webpackJsonp([105],{

/***/ 1181:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CounselOpinionCreatePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_camera_api_camera_api__ = __webpack_require__(162);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__common_select_tree_select_tree__ = __webpack_require__(519);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the CounselOpinionCreatePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var CounselOpinionCreatePage = /** @class */ (function () {
    function CounselOpinionCreatePage(navCtrl, navParams, modalCtrl, toolService, loadingController, alertController, ThePublicModule, thePublicModule, CameraApi) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modalCtrl = modalCtrl;
        this.toolService = toolService;
        this.loadingController = loadingController;
        this.alertController = alertController;
        this.ThePublicModule = ThePublicModule;
        this.thePublicModule = thePublicModule;
        this.CameraApi = CameraApi;
        this.defaultSegment = 'myCounsel';
        this.couselList = [];
        this.showAlert = {
            isShow: false
        };
        //列表图片
        this.imglist = [];
        this.image_url = __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["d" /* IMAGEURL */];
        this.opinionid = this.navParams.get('counselid');
        if (this.opinionid == 2) {
            this.cousel = {
                "counselContent": "",
                "objectId": 2,
                tagId: "",
                tagName: "",
                "title": "",
                "type": "10",
                "counselImg": "",
                "hideName": false
            };
            this.queryArgs = {
                pageNum: 1,
                pageSize: 15,
                dataLength: 0,
                pageLength: 0,
                actionUrl: 'bsCounselRecord/findMyCounselList?type=10&pageNum={pageNum}&pageSize={pageSize}'
            };
        }
        else if (this.opinionid == 3) {
            this.cousel = {
                "counselContent": "",
                "objectId": "",
                "title": "",
                "type": "13",
                "objectName": "",
                "counselImg": ""
            };
            this.queryArgs = {
                pageNum: 1,
                pageSize: 15,
                dataLength: 0,
                pageLength: 0,
                actionUrl: 'bsCounselRecord/getCounselRecord?type=13&pageNum={pageNum}&pageSize={pageSize}'
            };
        }
        this.onLoadData();
    }
    CounselOpinionCreatePage.prototype.ionViewDidLoad = function () {
    };
    CounselOpinionCreatePage.prototype.onLoadData = function () {
        var _this = this;
        var url = this.toolService.stringFormat(this.queryArgs.actionUrl, {
            pageNum: this.queryArgs.pageNum,
            pageSize: this.queryArgs.pageSize
        });
        var loading = this.loadingController.create();
        loading.present();
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000') {
                loading.dismiss();
                _this.couselList = data.return_data["list"];
                _this.queryArgs.dataLength = data.return_data['total'];
                _this.queryArgs.pageLength = data.return_data['pages'];
            }
            else {
                loading.dismiss();
                _this.toolService.showtoast(data.return_msg);
            }
        }, function (error) {
            loading.dismiss();
        });
    };
    CounselOpinionCreatePage.prototype.segmentChanged = function (e) {
        if (this.defaultSegment != 'opinion') {
            this.onLoadData();
        }
    };
    /**
     *下拉刷新界面
     */
    CounselOpinionCreatePage.prototype.doRefresh = function (refresher) {
        this.onLoadData();
        //动态切换
        setTimeout(function () {
            refresher.complete();
            //toast提示
            // this.toolService.showtoast("加载成功!");
        }, 2000);
    };
    CounselOpinionCreatePage.prototype.minInfinite = function (infiniteScroll) {
        var _this = this;
        var url = this.toolService.stringFormat(this.queryArgs.actionUrl, {
            pageNum: this.queryArgs.pageNum,
            pageSize: this.queryArgs.pageSize
        });
        // 判读数据超过十条启动刷新
        if (this.queryArgs.dataLength > this.queryArgs.pageSize) {
            setTimeout(function () {
                // 加载完成关闭刷新
                infiniteScroll.complete();
                //增加index
                _this.queryArgs.pageNum++;
                _this.toolService.doGet(url, function (data) {
                    // 循环插入数据数组
                    for (var i = 0; i < data.return_data['list'].length; i++) {
                        _this.couselList.push(data.return_data['list'][i]);
                    }
                });
                // 判断刷新分页页码大小
                if (_this.queryArgs.pageNum >= _this.queryArgs.pageLength) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    infiniteScroll.enable(false);
                    //toast提示
                    _this.toolService.showtoast("已加载所有");
                }
            }, 2000);
        }
        else {
            // 加载全部数据禁用刷新
            infiniteScroll.enable(false);
            this.toolService.showtoast("已加载所有");
        }
    };
    CounselOpinionCreatePage.prototype.onCreateCousel = function () {
        var _this = this;
        if (this.cousel.title == '') {
            this.toolService.showtoast('请输入标题');
        }
        else if (this.cousel.counselContent == "") {
            this.toolService.showtoast('请输入详细内容');
        }
        else {
            var url = 'bsCounselRecord/addCounselRecord';
            var loading = this.loadingController.create({});
            loading.present();
            this.toolService.doPost(url, this.cousel, function (data) {
                if (data.return_code == '000000') {
                    _this.showAlert.isShow = true;
                    _this.toolService.showtoast('提交成功！');
                    //提示消失
                    setTimeout(function () {
                        _this.onBack();
                    }, 2000);
                }
                else {
                    _this.toolService.showtoast(data.return_msg);
                }
                loading.dismiss();
            }, function (error) {
                loading.dismiss();
            });
        }
    };
    //
    // /**
    //  * 投诉站
    //  */
    // zonLoadServiceCenter() {
    //   let url = 'serviceOrg/getPageCompany?companyType=' + this.counseltype + '&status=1&pageNum=1&pageSize=100';
    //   this.toolService.doGet(url, data => {
    //     if (data.return_code == '000000' && data.return_data.list != '') {
    //       if (data.return_data.list.length > 0) {
    //         this.cousel.objectId = data.return_data.list[0].id;
    //         this.cousel.objectName = data.return_data.list[0].name;
    //       }
    //     }
    //   });
    // }
    /**
     * 投诉建议
     */
    CounselOpinionCreatePage.prototype.onChoseDepartment = function () {
        var _this = this;
        var url;
        if (this.opinionid == 2) {
            url = 'bsCategoryDictionary/getPageCategoryDictionary?type=17&pageNum=1&pageSize=100';
            var userModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_5__common_select_tree_select_tree__["a" /* SelectTreePage */], {
                ListUrlAction: url,
                "nameMap": {
                    object: {
                        name: "name",
                        value: "id"
                    },
                    dataList: "list"
                },
                choseTitle: ""
            });
            userModal.onDidDismiss(function (data) {
                if (data && data.length > 0) {
                    _this.cousel.tagId = data[0].id;
                    _this.cousel.tagName = data[0].name;
                }
            });
            userModal.present();
        }
        else {
            url = 'baseOrganization/getRegionDepartment?regionId=' + this.ThePublicModule.COMPANY.regionId;
            var userModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_5__common_select_tree_select_tree__["a" /* SelectTreePage */], {
                ListUrlAction: url,
                "nameMap": {
                    object: {
                        name: "name",
                        value: "id"
                    },
                    dataList: "list"
                },
                choseTitle: ""
            });
            userModal.onDidDismiss(function (data) {
                if (data && data.length > 0) {
                    _this.cousel.objectId = data[0].id;
                    _this.cousel.objectName = data[0].name;
                }
            });
            userModal.present();
        }
    };
    CounselOpinionCreatePage.prototype.onBack = function () {
        if (this.showAlert.isShow) {
            this.showAlert.isShow = false;
            this.cousel = {
                "counselContent": "",
                "objectId": "",
                "title": "",
                "type": "10",
                "objectName": "",
                "counselImg": ""
            };
            this.defaultSegment = 'myCounsel';
        }
    };
    CounselOpinionCreatePage.prototype.onDeleteCounsel = function (id) {
        var _this = this;
        var confirm = this.alertController.create({
            title: '确认删除?',
            message: '您确认删除该意见反馈?',
            buttons: [
                {
                    text: '取消',
                    handler: function () {
                    }
                },
                {
                    text: '确认',
                    handler: function () {
                        var url = 'bsCounselRecord/deleteCounselRecord?id=' + id;
                        var loading = _this.loadingController.create({});
                        loading.present();
                        _this.toolService.doGet(url, function (data) {
                            if (data.return_code == '000000') {
                                _this.onLoadData();
                            }
                            else {
                                _this.toolService.showtoast(data.return_msg);
                            }
                            loading.dismiss();
                        });
                    }
                }
            ]
        });
        confirm.present();
    };
    CounselOpinionCreatePage.prototype.onSkipToDetail = function (id) {
        this.navCtrl.push("CounselDetailsPage", { id: id, isCheck: true });
    };
    // 删除图片
    CounselOpinionCreatePage.prototype.deleDtao = function (key) {
        this.imglist.splice(key, 1);
    };
    /**
     * 上传图片
     */
    CounselOpinionCreatePage.prototype.goCameraApi = function (items) {
        this.initImgSer(items);
        this.CameraApi.showPicActionSheet();
    };
    // 照片回显方法
    CounselOpinionCreatePage.prototype.initImgSer = function (nums) {
        var _this = this;
        this.CameraApi.upload.success = function (data) {
            // 判断图片地址储存数组长度
            if (nums == 1) {
                if (_this.imglist.length > 0) {
                    _this.toolService.showtoast("只能上传1张图片。");
                }
                else {
                    /*每次增加的一个对象数据*/
                    var obj = data.return_data;
                    // 插入图片路径数组
                    _this.imglist.push(obj);
                    _this.cousel.counselImg = obj[0];
                }
            }
            ;
            _this.CameraApi.upload.error = function (err) {
                _this.toolService.showtoast('上传失败');
            };
        };
    };
    CounselOpinionCreatePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-counsel-opinion-create',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\counsel-option\counsel-opinion-create\counsel-opinion-create.html"*/'<!--\n\n  Generated template for the CounselOpinionCreatePage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n\n\n<ion-header>\n\n  <ion-navbar>\n\n    <ion-title *ngIf="opinionid == 2">投诉维权</ion-title>\n\n    <ion-title *ngIf="opinionid == 3">投诉建议</ion-title>\n\n  </ion-navbar>\n\n\n\n  <ion-segment [(ngModel)]="defaultSegment" mode="md" (ionChange)="segmentChanged($event)">\n\n    <ion-segment-button value="myCounsel" *ngIf="opinionid == 2">我的\n\n    </ion-segment-button>\n\n    <ion-segment-button value="createCounsel" *ngIf="opinionid == 2">新建\n\n    </ion-segment-button>\n\n    <ion-segment-button value="myCounsel" *ngIf="opinionid == 3">我的建议\n\n    </ion-segment-button>\n\n    <ion-segment-button value="createCounsel" *ngIf="opinionid == 3">新增建议\n\n    </ion-segment-button>\n\n\n\n  </ion-segment>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <div [ngSwitch]="defaultSegment" style="height:100%">\n\n    <ion-list [class]="defaultSegment==\'createCounsel\'?\'\':\'hidden\'">\n\n      <ion-item>\n\n        <ion-label>标题</ion-label>\n\n        <ion-input type="text" placeholder="请输入" [(ngModel)]="cousel.title" text-right></ion-input>\n\n      </ion-item>\n\n      <button ion-item (click)="onChoseDepartment()" *ngIf="cousel.tagId == \'\' && opinionid == 2">\n\n        类别\n\n      </button>\n\n      <ion-item *ngIf="cousel.tagId!=\'\' && opinionid == 2">\n\n        <ion-label>目标</ion-label>\n\n        <ion-label item-end text-right (click)="onChoseDepartment()">{{cousel.tagName}}</ion-label>\n\n      </ion-item>\n\n\n\n\n\n      <button ion-item (click)="onChoseDepartment()" *ngIf="cousel.objectId == \'\' && opinionid == 3">\n\n        投诉目标\n\n      </button>\n\n      <ion-item *ngIf="cousel.objectId!=\'\' && opinionid == 3">\n\n        <ion-label>投诉目标</ion-label>\n\n        <ion-label item-end text-right (click)="onChoseDepartment()">{{cousel.objectName}}</ion-label>\n\n      </ion-item>\n\n\n\n      <ion-item *ngIf="opinionid == 2">\n\n        <ion-label>是否匿名</ion-label>\n\n        <ion-toggle color="danger" checked="false" [(ngModel)]="cousel.hideName"></ion-toggle>\n\n      </ion-item>\n\n\n\n      <ion-item>\n\n        <ion-label stacked>具体内容</ion-label>\n\n        <ion-textarea placeholder="请输入详细描述" [(ngModel)]="cousel.counselContent"></ion-textarea>\n\n      </ion-item>\n\n\n\n      <div\n\n        style="width: 90%;margin-left: auto;margin-right: auto; height: 40px;padding-top: 10px;font-size: 16px;color: #364049;">\n\n        上传图片\n\n      </div>\n\n      <ion-item no-lines="">\n\n        <ng-container *ngFor="let item  of imglist;let i = index;">\n\n          <div class="eva_gocamera">\n\n            <ion-icon (click)="deleDtao(i,1)" class="sp" ios="ios-close-circle"></ion-icon>\n\n            <img style="width: 74px;height: 74px;" src="{{image_url+item}}" alt="">\n\n          </div>\n\n        </ng-container>\n\n        <div class="eva_gocamera" (click)="goCameraApi(1)">\n\n          <img src="assets/imgs/legalimg/tp.png">\n\n        </div>\n\n      </ion-item>\n\n\n\n      <div class="footer" padding [ngClass]="{\'inputing\': inputing}">\n\n        <button ion-button block class="backcolor" (click)="onCreateCousel()">提交</button>\n\n      </div>\n\n    </ion-list>\n\n\n\n    <ion-list [ngClass]="{\'hidden\': defaultSegment!=\'myCounsel\'}" class="counsel-div">\n\n      <ion-refresher (ionRefresh)="doRefresh($event)">\n\n        <ion-refresher-content pullingText="下拉刷新" refreshingSpinner="bubbles" refreshingText="加载中...">\n\n        </ion-refresher-content>\n\n      </ion-refresher>\n\n      <img *ngIf="couselList == \'\' " style="width: 80%;margin-left: 10%;" src="assets/imgs/nulldata.png">\n\n      <ion-card *ngFor="let item of couselList">\n\n        <ion-card-header (click)="onSkipToDetail(item.id)">\n\n          {{item.title}}\n\n\n\n          <img class="status-img" src="assets/imgs/feedback/wcl.png" *ngIf="!item.isReply">\n\n          <img class="status-img" src="assets/imgs/feedback/ycl.png" *ngIf="item.isReply">\n\n        </ion-card-header>\n\n        <ion-card-content (click)="onSkipToDetail(item.id)">\n\n          <div class="content">\n\n            {{item.counselContent}}\n\n          </div>\n\n          <div class="company" *ngIf="!item.isAnonymity && opinionid == 3">\n\n            咨询单位：{{item.objectName}}\n\n          </div>\n\n        </ion-card-content>\n\n        <ion-row class="footer-div">\n\n          <ion-col>\n\n            <ion-note class="time">\n\n              提交时间： {{item.counselDatetime | date:\'yyyy-MM-dd HH:mm:ss\'}}\n\n            </ion-note>\n\n            <span class="pull-right delete-btn" (click)="onDeleteCounsel(item.id)">\n\n                  <ion-icon name="ios-trash-outline"></ion-icon> 删除\n\n                </span>\n\n          </ion-col>\n\n        </ion-row>\n\n      </ion-card>\n\n\n\n      <ion-infinite-scroll (ionInfinite)="minInfinite($event)">\n\n        <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="加载中...">\n\n        </ion-infinite-scroll-content>\n\n      </ion-infinite-scroll>\n\n    </ion-list>\n\n  </div>\n\n</ion-content>\n\n\n\n<!-- <div [class]="showAlert.isShow?\'success-alert\':\'success-alert hidden\'" class="success-alert" (click)="onBack()">\n\n  <div class="alert-bg"></div>\n\n  <div class="alert-img-div">\n\n    <img src="assets/imgs/feedback/2.png">\n\n  </div>\n\n</div> -->\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\counsel-option\counsel-opinion-create\counsel-opinion-create.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"], __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["i" /* ThePublicModule */],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["i" /* ThePublicModule */], __WEBPACK_IMPORTED_MODULE_4__providers_camera_api_camera_api__["a" /* CameraApiProvider */]])
    ], CounselOpinionCreatePage);
    return CounselOpinionCreatePage;
}());

//# sourceMappingURL=counsel-opinion-create.js.map

/***/ }),

/***/ 957:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CounselOpinionCreatePageModule", function() { return CounselOpinionCreatePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__counsel_opinion_create__ = __webpack_require__(1181);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CounselOpinionCreatePageModule = /** @class */ (function () {
    function CounselOpinionCreatePageModule() {
    }
    CounselOpinionCreatePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__counsel_opinion_create__["a" /* CounselOpinionCreatePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__counsel_opinion_create__["a" /* CounselOpinionCreatePage */]),
            ],
        })
    ], CounselOpinionCreatePageModule);
    return CounselOpinionCreatePageModule;
}());

//# sourceMappingURL=counsel-opinion-create.module.js.map

/***/ })

});
//# sourceMappingURL=105.js.map