webpackJsonp([113],{

/***/ 1172:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TalentPoolPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the TalentPoolPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var TalentPoolPage = /** @class */ (function () {
    function TalentPoolPage(navCtrl, navParams, toolservice, loadingctrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.loadingctrl = loadingctrl;
        //人才数据
        this.talentdata = [];
        // 每页展示的记录条数
        this.pageSize = 10;
        // 人才记录列表刷新次数
        this.numrecord = 1;
        // 图片查看
        this.image_url = __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["d" /* IMAGEURL */];
        //[性别，薪资，年龄,求职状态，教育，工作经验]
        this.searchdata = [null, null, null, null, null, null];
        this.statusindex = {
            1: "离职找工作",
            2: "在职找工作",
            3: "在职找机会",
            4: "暂时不找工作"
        };
        this.initSearchData();
    }
    TalentPoolPage.prototype.ionViewDidLoad = function () {
        this.selecttalentdata();
    };
    //获取筛选数据
    TalentPoolPage.prototype.initSearchData = function () {
        var _this = this;
        var loading = this.loadingctrl.create({});
        loading.present();
        var url = 'ncTalent/getResumes?pageNum=1&pageSize=10';
        this.toolservice.doGetTa(url, function (data) {
            if (data.return_code == '000000') {
                var _array = [
                    {
                        title: '性别', content: [
                            { id: '男', name: '男', index: 0 },
                            { id: '女', name: '女', index: 0 }
                        ],
                    },
                    {
                        title: '薪资要求', content: [
                            { id: 3000, name: '3K', index: 1 },
                            { id: 8000, name: '3K-8K', index: 1 },
                            { id: 13000, name: '8K-13K', index: 1 },
                            { id: 18000, name: '13K-18K', index: 1 }
                        ],
                    },
                    {
                        title: '年龄', content: [
                            { id: 20, name: '20岁以下', index: 2 },
                            { id: 30, name: '20-30岁', index: 2 },
                            { id: 35, name: '30-35岁', index: 2 },
                            { id: 36, name: '35岁以上', index: 2 }
                        ],
                    },
                    {
                        title: '求职状态', content: [
                            { id: 1, name: '离职找工作', index: 3 },
                            { id: 2, name: '在职找工作', index: 3 },
                            { id: 3, name: '在职找机会', index: 3 },
                            { id: 4, name: '暂时不找工作', index: 3 }
                        ],
                    },
                ];
                var _index = 4;
                for (var x in data.return_data) {
                    var _obj = { title: '', content: [] };
                    for (var y in data.return_data[x]) {
                        _obj.title = data.return_data[x][y].codeDesc;
                        var obj = { id: '', name: '', index: 0 };
                        obj.id = data.return_data[x][y].codeValue;
                        obj.name = data.return_data[x][y].codeName;
                        obj.index = _index;
                        console.log(obj);
                        _obj.content.push(obj);
                    }
                    _index++;
                    _array.push(_obj);
                }
                _this.choosedata = _array;
                loading.dismiss();
            }
            else {
                loading.dismiss();
            }
        }, function (error) {
            loading.dismiss();
        });
    };
    //处理请求参数
    TalentPoolPage.prototype.initUrlParams = function () {
        //[性别，薪资，年龄,求职状态，教育，工作经验]
        var _text = '';
        var _index = {
            0: 'sex',
            1: 'money',
            2: 'age',
            3: 'status',
            4: 'education',
            5: 'workTime'
        };
        for (var i = 0; i < this.searchdata.length; i++) {
            if (this.searchdata[i] != null) {
                _text += '&' + _index[i] + '=' + this.searchdata[i];
            }
        }
        return _text;
    };
    /**
     * 查询人才信息
     */
    TalentPoolPage.prototype.selecttalentdata = function () {
        var _this = this;
        var loading = this.loadingctrl.create({});
        loading.present();
        var url = 'ncTalent/getResumes?pageNum=1&pageSize=10' + this.initUrlParams();
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
                if (data.return_data && data.return_data.list) {
                    _this.talentdata = data.return_data.list;
                    // 消息记录数组最大页面赋值
                    _this.talentPage = data.return_data['pages'];
                    _this.numrecord = 1;
                    _this.talentlength = data.return_data['total'];
                }
                loading.dismiss();
            }
            else {
                loading.dismiss();
            }
        }, function (error) {
            loading.dismiss();
        });
    };
    /**
     * 跳转详情
     */
    TalentPoolPage.prototype.jumptoappldetails = function (item) {
        this.navCtrl.push('ToapplrforyourresumeDetailsPage', { talentdetailsid: item, pandid: '9999999' });
    };
    /**
     * 根据条件查询
     */
    TalentPoolPage.prototype.searpolicys = function (polisear) {
        var _this = this;
        if (polisear.value.length == 0) {
            this.toolservice.showtoast("请输入内容");
        }
        else {
            var loading_1 = this.loadingctrl.create({});
            loading_1.present();
            this.numrecord = 1;
            var url = 'ncTalent/getResumes?searchString=' + polisear.value + '&pageNum=1&pageSize=10' + this.initUrlParams();
            this.toolservice.doGet(url, function (data) {
                if (data.return_code == '000000' && data.return_data.list != '') {
                    // 循环插入数据数组
                    _this.talentdata = data.return_data.list;
                    // 消息记录数组最大页面赋值
                    _this.talentPage = data.return_data['pages'];
                    _this.numrecord = 1;
                    _this.talentlength = data.return_data['total'];
                    loading_1.dismiss();
                }
                else {
                    _this.toolservice.showtoast(data.return_msg);
                    loading_1.dismiss();
                }
            }, function (error) {
                loading_1.dismiss();
            });
        }
    };
    /**
     * 判断是否有数据
     */
    TalentPoolPage.prototype.judgenulldata = function (searchjudg) {
        if (searchjudg.value.length == 0) {
            this.selecttalentdata();
        }
    };
    /**
     * 上滑加载更多
     */
    TalentPoolPage.prototype.minInfinite = function (infiniteScroll, minsearchname) {
        var _this = this;
        setTimeout(function () {
            // 加载完成关闭刷新
            infiniteScroll.complete();
            // 判读数据超过十条启动刷新
            if (_this.talentlength > _this.pageSize) {
                // setTimeout(() => {
                //增加index
                _this.numrecord++;
                // 判断刷新分页页码大小
                if (_this.numrecord > _this.talentPage) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    // infiniteScroll.enable(false);
                    //toast提示
                    _this.toolservice.showtoast("已加载所有");
                }
                else {
                    var url = void 0;
                    // 获取分页刷新数据
                    if (minsearchname.value.length == 0) {
                        url = 'ncTalent/getResumes?pageNum=' + _this.numrecord + '&pageSize=' + _this.pageSize + _this.initUrlParams();
                    }
                    else {
                        url = 'ncTalent/getResumes?searchString' + minsearchname.value + '&pageNum=' + _this.numrecord + '&pageSize=' + _this.pageSize + _this.initUrlParams();
                    }
                    _this.toolservice.doGet(url, function (data) {
                        if (data.return_code == '000000') {
                            // 加载完成关闭刷新
                            infiniteScroll.complete();
                            // 循环插入数据数组
                            for (var i = 0; i < data.return_data['list'].length; i++) {
                                _this.talentdata.push(data.return_data['list'][i]);
                            }
                        }
                    });
                }
                // }, 2000);
            }
            else {
                // 加载全部数据禁用刷新
                // infiniteScroll.enable(false);
                _this.toolservice.showtoast("已加载所有");
            }
        }, 2000);
    };
    /**
         * 筛选
         */
    TalentPoolPage.prototype.openscreening = function () {
        var screeningitem = document.getElementById("screening");
        screeningitem.style.display = 'block';
    };
    // 切换筛选
    TalentPoolPage.prototype.changenewfirm = function (item) {
        this.searchdata[item.index] = item.id;
    };
    /**
     * 关闭筛选
     */
    TalentPoolPage.prototype.closescreening = function (item) {
        var screeningitem = document.getElementById("screening");
        if (item == 1) {
            screeningitem.style.display = 'none';
        }
        else {
            screeningitem.style.display = 'none';
            this.selecttalentdata();
        }
    };
    //表达式计算年份
    TalentPoolPage.prototype.initDateTime = function (time) {
        var _time;
        if (time != null) {
            _time = new Date().getFullYear() - new Date(time).getFullYear();
        }
        else {
            _time = '-';
        }
        return _time;
    };
    //重置
    TalentPoolPage.prototype.closevalue = function () {
        for (var i = 0; i < this.searchdata.length; i++) {
            this.searchdata[i] = null;
        }
    };
    TalentPoolPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-talent-pool',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\talent-pool\talent-pool.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>人才列表</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <div style="width: 90%;margin-top: 15px;margin-left: 5%;height: 50px">\n\n    <ion-searchbar style="width: 70%;float: left;border-radius: 6px 0 0 6px;" #searchvalue placeholder="请输入意向职位等关键字"\n\n      (ionChange)="judgenulldata(searchvalue)"></ion-searchbar>\n\n    <div class="search_div">\n\n      <button ion-button block class="search_div_btn" (click)="searpolicys(searchvalue)">搜索\n\n      </button>\n\n    </div>\n\n    <div class="screening_div">\n\n      <button ion-button block class="screening_div_btn" (click)="openscreening()"><img style="width: 20px;"\n\n          src="assets/imgs/screening.png">\n\n      </button>\n\n    </div>\n\n  </div>\n\n  <div\n\n    style="width: 100%;background-color: #ffffff;border-top: 1px solid #F0F2FB;border-bottom: 8px solid #F0F2FB;display: flex;flex-direction: column;"\n\n    *ngFor="let tapool of talentdata" (click)="jumptoappldetails(tapool)">\n\n    <div style="padding: 14px 17px;color: #999999;font-size: 14px;">求职意向:岗位/地点/期望薪资</div>\n\n    <div style="display: flex;align-items: center;padding: 12px 17px 6px 0;border-top: 1px solid #F0F2FB;">\n\n      <img *ngIf="tapool.avatar!=null" style="width: 32px;height: 32px;border-radius: 50%;margin-left: 16px;"\n\n        [src]="tapool.avatar">\n\n      <img *ngIf="tapool.avatar==null" style="width: 32px;height: 32px;border-radius: 50%;margin-left: 16px;"\n\n        src="assets/imgs/resume/home1.png">\n\n      <div style="margin-left: 9px;font-size: 16px;color: #000000;font-weight: bold;">{{tapool.name}}</div>\n\n      <div style="margin-left: auto;">{{tapool.createTime | date:\'yyyy-MM-dd\'}}</div>\n\n    </div>\n\n    <div style="margin-left: 57px;font-size: 14px;color: #666;">{{initDateTime(tapool.workTime)}}年 |\n\n      {{initDateTime(tapool.bornTime)}} 岁 |{{tapool.education}} | {{tapool.sex}}</div>\n\n    <div style="margin-left: 57px;font-size: 14px;color: #666;margin-top: 10px;margin-bottom: 16px;">\n\n      求职状态:{{statusindex[tapool.status]}}</div>\n\n  </div>\n\n\n\n  <ion-infinite-scroll (ionInfinite)="minInfinite($event,searchvalue)">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>\n\n<!-- 筛选页面 -->\n\n<div style="width: 100%;position: absolute;height: 100%;z-index: 9999999;display: none;" id="screening">\n\n  <div style="width: 100%;height: 100%;z-index: 999999999;opacity: 0.5;background-color: #7F7F7F;"></div>\n\n  <div style="width: 100%;position: absolute;background-color:white;z-index: 9999999;border-radius: 15px 15px 0 0;\n\n    bottom: 0px;height: 60%;overflow: auto;box-shadow: 1px -1px 12px #666;">\n\n    <div style="width: 100%;height: 35px;position: fixed;background-color: white;border-radius: 15px 15px 0 0;">\n\n      <div style="width: 60%;float: left;height: 35px;color: #7F7F7F;padding-left: 20px;padding-top: 8px;">筛选全部</div>\n\n      <div style="width: 40%;float: right;height: 35px;text-align: right;padding-top: 8px;padding-right: 20px;">\n\n        <img style="width: 20px;height: 20px;" src="assets/imgs/cancel.png" (click)="closescreening(1)">\n\n      </div>\n\n    </div>\n\n    <div style="width: 100%;height: 1px;background-color: #F6F6F6;margin-top: 35px;"></div>\n\n    <div style="width: 100%;margin-bottom: 50px;">\n\n      <div style="width: 100%;" *ngFor="let laws of choosedata">\n\n        <div style="width: 100%;font-size: 13px;color: #A5A5A5;padding-left: 20px;margin-top: 10px">{{laws.title}}\n\n        </div>\n\n        <div class="categories">\n\n          <ion-grid>\n\n            <ion-row wrap style="margin-left: 20px;margin-right: 20px;margin-bottom: 10px;">\n\n              <ion-col text-center tappable col-4="" *ngFor="let cols of laws.content"\n\n                [class]="searchdata.includes(cols.id)?\'active\':\'\'" (click)="changenewfirm(cols)">\n\n                {{cols.name}}\n\n              </ion-col>\n\n            </ion-row>\n\n          </ion-grid>\n\n        </div>\n\n      </div>\n\n    </div>\n\n    <div style="width: 100%;height: 56px;position: fixed;bottom: 0px;background-color: white;">\n\n      <button ion-button\n\n        style=" font-size: 1.1em;height: 30px;width: 40%;background-color: #7F7F7F;color: white;float: left;margin-left: 5%;margin-top: 13px;"\n\n        (click)="closevalue()">重置\n\n      </button>\n\n      <button ion-button\n\n        style="margin-right: 5%;margin-top: 13px;font-size: 1.1em;height: 30px;width: 40%;background-color: red;color: white;float: right;"\n\n        (click)="closescreening(2)">确定\n\n      </button>\n\n    </div>\n\n  </div>\n\n</div>'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\talent-pool\talent-pool.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"]])
    ], TalentPoolPage);
    return TalentPoolPage;
}());

//# sourceMappingURL=talent-pool.js.map

/***/ }),

/***/ 947:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TalentPoolPageModule", function() { return TalentPoolPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__talent_pool__ = __webpack_require__(1172);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var TalentPoolPageModule = /** @class */ (function () {
    function TalentPoolPageModule() {
    }
    TalentPoolPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__talent_pool__["a" /* TalentPoolPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__talent_pool__["a" /* TalentPoolPage */]),
            ],
        })
    ], TalentPoolPageModule);
    return TalentPoolPageModule;
}());

//# sourceMappingURL=talent-pool.module.js.map

/***/ })

});
//# sourceMappingURL=113.js.map