webpackJsonp([115],{

/***/ 1169:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SupplyDreleasePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the SupplyDreleasePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var SupplyDreleasePage = /** @class */ (function () {
    function SupplyDreleasePage(navCtrl, navParams, toolservice, alertctrl, loadingctrl, loadingController, ThePublicModule) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.alertctrl = alertctrl;
        this.loadingctrl = loadingctrl;
        this.loadingController = loadingController;
        this.ThePublicModule = ThePublicModule;
        //我的对接数据
        this.mindockdata = [];
        //图片请求地址
        this.image_url = __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__["d" /* IMAGEURL */];
        // 每页展示的记录条数
        this.pageSize = 10;
        // 记录列表刷新次数
        this.numrecord = 1;
    }
    SupplyDreleasePage.prototype.ionViewDidLoad = function () {
    };
    SupplyDreleasePage.prototype.ionViewDidEnter = function () {
        this.selectminedocking();
    };
    /**
     * 发布供需
     */
    SupplyDreleasePage.prototype.jumprelease = function (itemnum, itemcont, item3) {
        this.navCtrl.push('DockingreleasePage', { dockdetailsnum: itemnum, dockdetacontent: itemcont.id, panduan: item3 });
    };
    /**
     * 删除供需
     */
    SupplyDreleasePage.prototype.deletedock = function (deleid) {
        var _this = this;
        var confirm = this.alertctrl.create({
            message: '删除供需',
            buttons: [
                {
                    text: '取消',
                    handler: function () {
                    }
                },
                {
                    text: '确认',
                    handler: function () {
                        var url = 'bsSupplyProduct/deleteSupplyProduct?id=' + deleid;
                        _this.toolservice.doGet(url, function (data) {
                            if (data.return_code == '000000') {
                                _this.selectminedocking();
                            }
                            else {
                                _this.toolservice.showtoast(data.return_msg);
                            }
                        });
                    }
                }
            ]
        });
        confirm.present();
    };
    /**
     * 下架产品
     */
    SupplyDreleasePage.prototype.Theshelvesdock = function (dockid) {
        var _this = this;
        var confirm = this.alertctrl.create({
            message: '是否下架',
            buttons: [
                {
                    text: '取消',
                    handler: function () {
                    }
                },
                {
                    text: '确认',
                    handler: function () {
                        var url = 'bsSupplyProduct/outSupplyProduct?id=' + dockid;
                        _this.toolservice.doGet(url, function (data) {
                            if (data.return_code == '000000') {
                                _this.toolservice.showtoast(data.return_data);
                                _this.selectminedocking();
                            }
                            else {
                                _this.toolservice.showtoast(data.return_msg);
                            }
                        });
                    }
                }
            ]
        });
        confirm.present();
    };
    /**
     * 查询我的供需对接
     */
    SupplyDreleasePage.prototype.selectminedocking = function () {
        var _this = this;
        if (this.ThePublicModule.USER_INFO == null) {
            this.navCtrl.push('LoginPage');
        }
        else {
            var url = 'bsSupplyProduct/getPageSupplyProduct?createUserId=' + this.ThePublicModule.USER_INFO.userId + '&supplyCategoryType=1,3&pageNum=1&pageSize=10';
            this.toolservice.doGet(url, function (data) {
                if (data.return_code == '000000' && data.return_data.list != '') {
                    _this.mindockdata = data.return_data.list;
                    _this.docklength = data.return_data['total'];
                    // 消息记录数组最大页面赋值
                    _this.dockPage = data.return_data['pages'];
                    _this.numrecord = 1;
                }
                else {
                    _this.mindockdata = [];
                    _this.toolservice.showtoast(data.return_msg);
                }
            });
        }
    };
    /**
     * 上架审核
     */
    SupplyDreleasePage.prototype.shelves = function (dockid) {
        var _this = this;
        var loading = this.loadingctrl.create({});
        loading.present();
        var url = 'bsSupplyProduct/onShelfSupplyProduct?id=' + dockid;
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
                loading.dismiss();
                _this.toolservice.showtoast("上架成功");
                _this.selectminedocking();
            }
            else {
                loading.dismiss();
                _this.toolservice.showtoast(data.return_msg);
            }
        }, function (error) {
            loading.dismiss();
        });
    };
    /**
     * 上滑加载更多
     */
    SupplyDreleasePage.prototype.minInfinite = function (infiniteScroll) {
        var _this = this;
        setTimeout(function () {
            // 加载完成关闭刷新
            infiniteScroll.complete();
            // 判读数据超过十条启动刷新
            if (_this.docklength > _this.pageSize) {
                // setTimeout(() => {
                //增加index
                _this.numrecord++;
                // 判断刷新分页页码大小
                if (_this.numrecord > _this.dockPage) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    //toast提示
                    _this.toolservice.showtoast("没有数据可以加载啦");
                    // newsstadata.style.display = 'block';
                }
                else {
                    var url = 'bsSupplyProduct/getPageSupplyProduct?createUserId=' + _this.ThePublicModule.USER_INFO.userId + '&supplyCategoryType=1,3&pageNum=' + _this.numrecord + '&pageSize=' + _this.pageSize;
                    _this.toolservice.doGet(url, function (data) {
                        if (data.return_code == '000000') {
                            // 加载完成关闭刷新
                            infiniteScroll.complete();
                            // 循环插入数据数组
                            for (var i = 0; i < data.return_data['list'].length; i++) {
                                _this.mindockdata.push(data.return_data['list'][i]);
                            }
                        }
                    });
                }
                // }, 2000);
            }
            else {
                // 加载全部数据禁用刷新
                // infiniteScroll.enable(false);
                _this.toolservice.showtoast("没有数据可以加载啦");
            }
        }, 2000);
    };
    SupplyDreleasePage.prototype.jumpdockingdetails = function (id) {
    };
    SupplyDreleasePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-supply-drelease',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\supply-drelease\supply-drelease.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>我的供需</ion-title>\n\n    <ion-buttons end>\n\n      <button ion-button icon-only (click)="jumprelease(2,2,2)">\n\n        发布\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <img *ngIf="mindockdata.length === 0" class="no_data" src="assets/imgs/noData.png">\n\n  <div style="width: 100%;height: 120px;margin-top: 15px;border-bottom: 5px solid #f4f4f4;"\n\n       *ngFor="let mindock of mindockdata">\n\n    <div style="float: left;margin-left: 5%;width: 70px;height: 70px;">\n\n      <img style="width: 70px;height: 70px;" src="{{image_url+mindock.mainImg}}">\n\n    </div>\n\n    <div style="margin-left: 100px;height: 70px;margin-right: 5%;" (click)="jumpdockingdetails(mindock.id)">\n\n      <div style="width: 100%;height: 24px;">\n\n        <ion-label style="font-size: 17px;float: left;width: 90%;color: #525252">\n\n          【{{mindock.productLabelName}}】{{mindock.name}}\n\n        </ion-label>\n\n        <div style="width: 10%;float: right;text-align: right;" *ngIf="mindock.isTop">\n\n          <img style="width: 20px;" src="assets/imgs/docking4.png">\n\n        </div>\n\n      </div>\n\n      <div style="width: 100%;height: 20px;">\n\n        <ion-label style="color: #666666;font-size: 14px;">\n\n          <img style="width: 23px;vertical-align: middle;" *ngIf="mindock.categoryId == 3"\n\n               src="assets/imgs/docking12.png">\n\n          <img style="width: 23px;vertical-align: middle;" *ngIf="mindock.categoryId == 1"\n\n               src="assets/imgs/docking13.png">\n\n          <span style="color: red;font-size: 14px;">{{mindock.price}}</span>&nbsp;\n\n          <img style="width: 13px;vertical-align: unset;" src="assets/imgs/docking6.png">\n\n          {{mindock.companyName}}\n\n        </ion-label>\n\n      </div>\n\n      <div style="width: 100%;margin-top: 5px;color: #666666;font-size: 13px;">发布日期:{{mindock.createTime |\n\n        date:"yyyy-MM-dd"}}\n\n        <div style=" margin-top: 2px;width: 30%;float: right;text-align: right;color: #7F7F7F;font-size: 13px;">\n\n          <img style="width: 17px;" src="assets/imgs/6.png">&nbsp;&nbsp;&nbsp;{{mindock.readQuantity}}\n\n        </div>\n\n      </div>\n\n    </div>\n\n    <div style="width: 100%;height: 1px;background-color: #F4F4F4;margin-top: 5px;margin-bottom: 5px;"></div>\n\n    <div style="width: 90%;margin-left: 5%;height: 30px;">\n\n      <button ion-button="" class="dock_div_button" [disabled]="true" *ngIf="mindock.status == 0">待审核</button>\n\n      <button ion-button="" class="dock_div_button" outline="" (click)="jumprelease(1,mindock,1)"\n\n              *ngIf="mindock.status == 2">编辑\n\n      </button>\n\n      <button ion-button="" class="dock_div_button" outline="" (click)="shelves(mindock.id)"\n\n              *ngIf="mindock.status == 2">上架\n\n      </button>\n\n      <button ion-button="" class="dock_div_button" outline="" (click)="deletedock(mindock.id)"\n\n              *ngIf="mindock.status == 2">删除\n\n      </button>\n\n      <button ion-button="" class="dock_div_button" outline="" (click)="Theshelvesdock(mindock.id)"\n\n              *ngIf="mindock.status == 1">下架\n\n      </button>\n\n    </div>\n\n  </div>\n\n\n\n  <ion-infinite-scroll (ionInfinite)="minInfinite($event)">\n\n    <ion-infinite-scroll-content\n\n      loadingSpinner="bubbles">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\supply-drelease\supply-drelease.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__["i" /* ThePublicModule */]])
    ], SupplyDreleasePage);
    return SupplyDreleasePage;
}());

//# sourceMappingURL=supply-drelease.js.map

/***/ }),

/***/ 944:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SupplyDreleasePageModule", function() { return SupplyDreleasePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__supply_drelease__ = __webpack_require__(1169);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var SupplyDreleasePageModule = /** @class */ (function () {
    function SupplyDreleasePageModule() {
    }
    SupplyDreleasePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__supply_drelease__["a" /* SupplyDreleasePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__supply_drelease__["a" /* SupplyDreleasePage */]),
            ],
        })
    ], SupplyDreleasePageModule);
    return SupplyDreleasePageModule;
}());

//# sourceMappingURL=supply-drelease.module.js.map

/***/ })

});
//# sourceMappingURL=115.js.map