webpackJsonp([119],{

/***/ 1162:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ServiceResumereceivePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__common_select_tree_select_tree__ = __webpack_require__(519);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_camera_api_camera_api__ = __webpack_require__(162);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the ServiceResumereceivePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ServiceResumereceivePage = /** @class */ (function () {
    function ServiceResumereceivePage(navCtrl, navParams, modalCtrl, ThePublicModule, CameraApi, toolservice) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modalCtrl = modalCtrl;
        this.ThePublicModule = ThePublicModule;
        this.CameraApi = CameraApi;
        this.toolservice = toolservice;
        //机构id
        this.serviceid = '';
        //机构名称
        this.servicename = '';
        //图片
        this.image_url = __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["d" /* IMAGEURL */];
        //使用申请表
        this.applicationimg = [];
        //费用使用证明
        this.costimg = [];
        //营业执照
        this.businessimg = [];
        this.serviceresumerdata = [this.navParams.get('serviceres')];
        if (this.serviceresumerdata[0].receiveStatus == 3) {
            this.applicationimg = (this.serviceresumerdata[0].applicationForm).split(",");
            this.costimg = (this.serviceresumerdata[0].costProof).split(",");
            this.businessimg = (this.serviceresumerdata[0].businessLicense).split(",");
            this.serviceid = this.serviceresumerdata[0].orgId;
            this.servicename = this.serviceresumerdata[0].orgName;
        }
    }
    ServiceResumereceivePage.prototype.ionViewDidLoad = function () {
    };
    /**
     * 服务机构
     */
    ServiceResumereceivePage.prototype.onChoseDepartment = function () {
        var _this = this;
        var url = 'serviceOrg/getPageCompany?status=1&isService=true&pageNum=1&pageSize=100';
        var userModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_2__common_select_tree_select_tree__["a" /* SelectTreePage */], {
            ListUrlAction: url,
            "nameMap": {
                object: {
                    name: "name",
                    value: "id"
                },
                dataList: "list"
            },
            choseTitle: "投诉类别"
        });
        userModal.onDidDismiss(function (data) {
            if (data && data.length > 0) {
                _this.serviceid = data[0].id;
                _this.servicename = data[0].name;
            }
        });
        userModal.present();
    };
    // 删除图片
    ServiceResumereceivePage.prototype.deleDtao = function (item, key) {
        if (item == 1) {
            this.applicationimg.splice(key, 1);
        }
        else if (item == 2) {
            this.costimg.splice(key, 1);
        }
        else {
            this.businessimg.splice(key, 1);
        }
    };
    /**
     * 上传图片
     */
    ServiceResumereceivePage.prototype.goCameraApi = function (items) {
        this.initImgSer(items);
        this.CameraApi.showPicActionSheet();
    };
    // 照片回显方法
    ServiceResumereceivePage.prototype.initImgSer = function (nums) {
        var _this = this;
        this.CameraApi.upload.success = function (data) {
            // 判断图片地址储存数组长度
            if (nums == 1) {
                if (_this.applicationimg.length > 0) {
                    _this.toolservice.showtoast("只能上传1张图片。");
                }
                else {
                    /*每次增加的一个对象数据*/
                    var obj = data.return_data;
                    _this.applicationimg.push(obj[0]);
                }
            }
            else if (nums == 2) {
                if (_this.costimg.length > 5) {
                    _this.toolservice.showtoast("营业执照只能上传一张。");
                }
                else {
                    /*每次增加的一个对象数据*/
                    var obj = data.return_data;
                    _this.costimg.push(obj[0]);
                }
            }
            else {
                if (_this.businessimg.length > 0) {
                    _this.toolservice.showtoast("最多上传5张图片。");
                }
                else {
                    /*每次增加的一个对象数据*/
                    var obj = data.return_data;
                    _this.businessimg.push(obj[0]);
                }
            }
            _this.CameraApi.upload.error = function (err) {
                _this.toolservice.showtoast('上传失败');
            };
        };
    };
    /**
     * 提交
     */
    ServiceResumereceivePage.prototype.onCreateservice = function () {
        var _this = this;
        if (this.serviceid == '') {
            this.toolservice.showtoast('请选择服务机构');
        }
        else if (this.applicationimg.length == 0) {
            this.toolservice.showtoast('请上传使用申请表');
        }
        else if (this.costimg.length == 0) {
            this.toolservice.showtoast('请上传费用使用证明');
        }
        else if (this.businessimg.length == 0) {
            this.toolservice.showtoast('营业执照');
        }
        else {
            this.serviceresumerdata[0].applicationForm = this.applicationimg.toString();
            this.serviceresumerdata[0].costProof = this.costimg.toString();
            this.serviceresumerdata[0].businessLicense = this.businessimg.toString();
            this.serviceresumerdata[0].orgId = this.serviceid;
            this.serviceresumerdata[0].orgName = this.servicename;
            var url = void 0;
            if (this.serviceresumerdata[0].receiveStatus == 3) {
                url = 'bsReturnWorkTicketRecord/submitReturnWorkTicketRecord';
            }
            else {
                url = 'bsReturnWorkTicketRecord/updateReturnWorkTicketRecord';
            }
            this.toolservice.doPost(url, this.serviceresumerdata[0], function (data) {
                if (data.return_code == '000000') {
                    _this.navCtrl.pop();
                    _this.toolservice.showtoast('提交成功');
                }
                else {
                    _this.toolservice.showtoast(data.return_msg);
                }
            });
        }
    };
    ServiceResumereceivePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-service-resumereceive',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\service-resumereceive\service-resumereceive.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>服务券使用</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <button ion-item (click)="onChoseDepartment()" *ngIf="servicename == \'\'">\n\n    服务机构\n\n  </button>\n\n  <ion-item *ngIf="servicename !=\'\'">\n\n    <ion-label>服务机构</ion-label>\n\n    <ion-label item-end text-right>{{servicename}}</ion-label>\n\n  </ion-item>\n\n\n\n\n\n  <div\n\n    style="width: 90%;margin-left: auto;margin-right: auto; height: 40px;padding-top: 10px;font-size: 16px;color: #364049;">\n\n    使用申请表\n\n  </div>\n\n  <ion-item no-lines="">\n\n    <ng-container *ngFor="let item  of applicationimg;let i = index;">\n\n      <div class="eva_gocamera">\n\n        <ion-icon (click)="deleDtao(1,i,1)" class="sp" ios="ios-close-circle"></ion-icon>\n\n        <img style="width: 74px;height: 74px;" src="{{image_url+item}}" alt="">\n\n      </div>\n\n    </ng-container>\n\n    <div class="eva_gocamera"  (click)="goCameraApi(1)">\n\n      <img src="assets/imgs/legalimg/tp.png">\n\n    </div>\n\n  </ion-item>\n\n\n\n  <div\n\n    style="width: 90%;margin-left: auto;margin-right: auto; height: 40px;padding-top: 10px;font-size: 16px;color: #364049;">\n\n    费用使用证明\n\n  </div>\n\n  <ion-item no-lines="">\n\n    <ng-container *ngFor="let item  of costimg;let k = index;">\n\n      <div class="eva_gocamera">\n\n        <ion-icon (click)="deleDtao(2,k,1)" class="sp" ios="ios-close-circle"></ion-icon>\n\n        <img style="width: 74px;height: 74px;" src="{{image_url+item}}" alt="">\n\n      </div>\n\n    </ng-container>\n\n    <div class="eva_gocamera" (click)="goCameraApi(2)">\n\n      <img src="assets/imgs/legalimg/tp.png">\n\n    </div>\n\n  </ion-item>\n\n\n\n  <div\n\n    style="width: 90%;margin-left: auto;margin-right: auto; height: 40px;padding-top: 10px;font-size: 16px;color: #364049;">\n\n    营业执照\n\n  </div>\n\n  <ion-item no-lines="">\n\n    <ng-container *ngFor="let item  of businessimg;let j = index;">\n\n      <div class="eva_gocamera">\n\n        <ion-icon (click)="deleDtao(3,j,1)" class="sp" ios="ios-close-circle"></ion-icon>\n\n        <img style="width: 74px;height: 74px;" src="{{image_url+item}}" alt="">\n\n      </div>\n\n    </ng-container>\n\n    <div class="eva_gocamera" (click)="goCameraApi(3)">\n\n      <img src="assets/imgs/legalimg/tp.png">\n\n    </div>\n\n  </ion-item>\n\n\n\n\n\n  <button ion-button block style="width: 80%;margin-left: 10%;margin-top: 60px;" class="backcolor"\n\n          (click)="onCreateservice()">提交\n\n  </button>\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\service-resumereceive\service-resumereceive.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"], __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["i" /* ThePublicModule */],
            __WEBPACK_IMPORTED_MODULE_4__providers_camera_api_camera_api__["a" /* CameraApiProvider */], __WEBPACK_IMPORTED_MODULE_5__providers_toolservice_toolservice__["a" /* ToolserviceProvider */]])
    ], ServiceResumereceivePage);
    return ServiceResumereceivePage;
}());

//# sourceMappingURL=service-resumereceive.js.map

/***/ }),

/***/ 937:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ServiceResumereceivePageModule", function() { return ServiceResumereceivePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__service_resumereceive__ = __webpack_require__(1162);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ServiceResumereceivePageModule = /** @class */ (function () {
    function ServiceResumereceivePageModule() {
    }
    ServiceResumereceivePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__service_resumereceive__["a" /* ServiceResumereceivePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__service_resumereceive__["a" /* ServiceResumereceivePage */]),
            ],
        })
    ], ServiceResumereceivePageModule);
    return ServiceResumereceivePageModule;
}());

//# sourceMappingURL=service-resumereceive.module.js.map

/***/ })

});
//# sourceMappingURL=119.js.map