webpackJsonp([121],{

/***/ 1160:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ServiceCaverificatioPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the ServiceCaverificatioPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ServiceCaverificatioPage = /** @class */ (function () {
    function ServiceCaverificatioPage(navCtrl, navParams, toolservice, ThePublicModule) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.ThePublicModule = ThePublicModule;
        //页面segment定义
        this.servicecaver = 'Servicevv';
        // 每页展示的记录条数
        this.pageSize = 10;
        // 新闻记录列表刷新次数
        this.numrecord = 1;
        //弹出发送成功
        this.showAlert = {
            isShow: false
        };
        this.showHandle = {
            isShow: false
        };
        this.selectcaverifdata();
    }
    ServiceCaverificatioPage.prototype.ionViewDidLoad = function () {
    };
    /**
     * 核销
     */
    ServiceCaverificatioPage.prototype.servicecar = function () {
        this.Cancelafterverificationdata = [];
    };
    /**
     * 查询核销数据
     */
    ServiceCaverificatioPage.prototype.selectcaverifdata = function () {
        var _this = this;
        var url = 'bsServiceTicket/getPageServiceTicketDetail?useCompanyId=' + this.ThePublicModule.USER_INFO.companyId + '&pageNum=1&pageSize=10';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                _this.servicevvvolumedata = data.return_data.list;
                _this.servicecaverlength = data.return_data['total'];
                // 消息记录数组最大页面赋值
                _this.servicecaverPage = data.return_data['pages'];
                _this.numrecord = 1;
            }
            else {
            }
        });
    };
    /**
     * 核销码验证
     */
    ServiceCaverificatioPage.prototype.Cancelafterverification = function (ehckcode) {
        var _this = this;
        if (ehckcode.value.length == 0) {
            this.toolservice.showtoast("请输入核销码");
        }
        else {
            var url = 'bsServiceTicket/getServiceTicketDetailById?checkCode=' + ehckcode.value;
            this.toolservice.doGet(url, function (data) {
                if (data.return_code == '000000') {
                    _this.Cancelafterverificationdata = [data.return_data];
                }
                else {
                    _this.toolservice.showtoast(data.return_msg);
                }
            });
        }
    };
    /**
     * 输入为空时
     */
    ServiceCaverificatioPage.prototype.cancelserve = function (cancelcode) {
        if (cancelcode.value.length == 0) {
            this.Cancelafterverificationdata = [];
        }
    };
    /**
     * 确认报销
     */
    ServiceCaverificatioPage.prototype.Confirmtseaccount = function (servecode) {
        var _this = this;
        var url = 'bsServiceTicket/useServiceTicket';
        var datas = {
            checkCode: servecode,
            useCompanyId: this.ThePublicModule.USER_INFO.companyId
        };
        this.toolservice.doPost(url, datas, function (data) {
            if (data.return_code == '000000') {
                //显示呈报
                _this.showAlert.isShow = true;
                _this.showHandle.isShow = false;
                //提示消失
                setTimeout(function (showAlert) {
                    if (showAlert.isShow) {
                        showAlert.isShow = false;
                    }
                }, 2000, _this.showAlert);
                _this.Cancelafterverificationdata = [];
            }
            else {
                _this.toolservice.showtoast(data.return_msg);
            }
        });
    };
    /**
     * 关闭弹窗
     *
     */
    ServiceCaverificatioPage.prototype.onGoBack = function () {
        this.showAlert.isShow = false;
    };
    /**
     * 跳转服务券详情
     */
    ServiceCaverificatioPage.prototype.jumpservicedetails = function (item1, item2) {
        this.navCtrl.push('ServiceVolmenuDetailsPage', { statid: item1, servicedata: item2 });
    };
    /**
     * 上滑加载更多
     */
    ServiceCaverificatioPage.prototype.minInfinite = function (infiniteScroll) {
        var _this = this;
        // let newsstadata = document.getElementById("datastatus");
        setTimeout(function () {
            // 加载完成关闭刷新
            infiniteScroll.complete();
            // 判读数据超过十条启动刷新
            if (_this.servicecaverlength > _this.pageSize) {
                // setTimeout(() => {
                //增加index
                _this.numrecord++;
                // 判断刷新分页页码大小
                if (_this.numrecord > _this.servicecaverPage) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    infiniteScroll.enable(false);
                    //toast提示
                    _this.toolservice.showtoast("已加载所有");
                    // newsstadata.style.display = 'block';
                }
                else {
                    var url = 'bsServiceTicket/getPageServiceTicketDetail?useCompanyId=' + _this.ThePublicModule.USER_INFO.companyId + '&pageNum=' + _this.numrecord + '&pageSize=' + _this.pageSize;
                    _this.toolservice.doGet(url, function (data) {
                        if (data.return_code == '000000') {
                            // 加载完成关闭刷新
                            infiniteScroll.complete();
                            // 循环插入数据数组
                            for (var i = 0; i < data.return_data['list'].length; i++) {
                                _this.servicevvvolumedata.push(data.return_data['list'][i]);
                            }
                        }
                    });
                }
                // }, 2000);
            }
            else {
                // 加载全部数据禁用刷新
                infiniteScroll.enable(false);
                _this.toolservice.showtoast("已加载所有");
            }
        }, 2000);
    };
    ServiceCaverificatioPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-service-caverificatio',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\service-caverificatio\service-caverificatio.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>服务卷核销</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-segment [(ngModel)]="servicecaver" mode="md" style="background-color: white;">\n\n    <ion-segment-button value="Servicevv" (click)="servicecar()">服务卷核销\n\n    </ion-segment-button>\n\n    <ion-segment-button value="Havecav" (click)="selectcaverifdata()">已核销列表\n\n    </ion-segment-button>\n\n  </ion-segment>\n\n  <div [ngSwitch]="servicecaver">\n\n    <ion-list *ngSwitchCase="\'Servicevv\'">\n\n      <div style="margin-top: 10px;height: 53px;background-color: white;">\n\n        <ion-item no-lines="" style="width: 100%;">\n\n          <ion-input style="font-size: 14px;color: #474443;" #code placeholder="请输入核销码"\n\n                     (ionChange)="cancelserve(code)"></ion-input>\n\n          <button\n\n            style="width: 25%;height: 30px;margin-top: 15px;color: white; background: linear-gradient(to right,  #FF6D49 , #FA1A51);font-size: 14px;"\n\n            ion-button item-end (click)="Cancelafterverification(code)">\n\n            核对信息\n\n          </button>\n\n        </ion-item>\n\n      </div>\n\n      <div style="width: 100%;height: 1px;background-color: #f1f3fa;"></div>\n\n      <div *ngFor="let cfid of Cancelafterverificationdata">\n\n        <div\n\n          style="width: 100%;padding-left:16px;padding-right: 16px; margin-top: 10px;color: #525252;font-size: 15px;margin-bottom: 10px;">\n\n          {{cfid.serviceTicketName}}\n\n        </div>\n\n        <div style="width: 100%;height: 1px;background-color: #f1f3fa;"></div>\n\n\n\n        <ion-item no-lines="">\n\n          <div style="width: 50%;float: left;color: #525252;font-size: 14px;">优惠券状态:</div>\n\n          <div style="width: 50%;float: right;text-align: right;font-size: 14px; color: #aaaeb9;">\n\n            <img style="width: 45px;" *ngIf="cfid.status == 0" src="assets/imgs/service10.png">\n\n            <img style="width: 45px;" *ngIf="cfid.status == 1" src="assets/imgs/service11.png">\n\n          </div>\n\n        </ion-item>\n\n        <div style="width: 100%;height: 1px;background-color: #f1f3fa;"></div>\n\n        <ion-item no-lines="">\n\n          <div style="width: 50%;float: left;color: #525252;font-size: 14px;">发卷单位:</div>\n\n          <div style="width: 50%;float: right;text-align: right;font-size: 14px; color: #aaaeb9;">\n\n            {{cfid.companyName}}\n\n          </div>\n\n        </ion-item>\n\n\n\n        <div style="width: 100%;height: 1px;background-color: #f1f3fa;"></div>\n\n        <ion-item no-lines="">\n\n          <div style="width: 50%;float: left;color: #525252;font-size: 14px;">领取时间:</div>\n\n          <div style="width: 50%;float: right;text-align: right;font-size: 14px; color: #aaaeb9;">\n\n            {{cfid.createTime | date:"yyyy-MM-dd"}}\n\n          </div>\n\n        </ion-item>\n\n\n\n        <div style="width: 100%;height: 1px;background-color: #f1f3fa;"></div>\n\n        <ion-item no-lines="">\n\n          <div style="width: 50%;float: left;color: #525252;font-size: 14px;">过期时间:</div>\n\n          <div style="width: 50%;float: right;text-align: right;font-size: 14px; color: #aaaeb9;">\n\n            {{cfid.receivedFailureTime | date:"yyyy-MM-dd"}}\n\n          </div>\n\n        </ion-item>\n\n\n\n        <div style="width: 100%;height: 1px;background-color: #f1f3fa;"></div>\n\n        <div\n\n          style="width: 100%;margin-top: 10px;margin-bottom: 10px;padding-left: 16px;padding-right: 16px;color: #525252;">\n\n          使用条件:\n\n        </div>\n\n        <div\n\n          style="width: 100%;padding-left: 16px;padding-right: 16px;color: #aaaeb9;margin-top: 10px;margin-bottom: 10px;">\n\n          &nbsp;&nbsp;&nbsp;{{cfid.useCondition}}\n\n        </div>\n\n        <button ion-button block class="service_caverifition_div_button" *ngIf="cfid.status == 0"\n\n                (click)="Confirmtseaccount(cfid.checkCode)">确认核销\n\n        </button>\n\n      </div>\n\n    </ion-list>\n\n\n\n    <ion-list *ngSwitchCase="\'Havecav\'">\n\n      <div style="height: 100px;margin-top: 20px;" *ngFor="let item of servicevvvolumedata"\n\n           (click)="jumpservicedetails(3,item)">\n\n        <div style="position:absolute;width: 90%;height:100px; margin-left: 5%">\n\n          <img src="assets/imgs/volumel.png" style="width: 30%;height: 100px;float: left;">\n\n          <img src="assets/imgs/volumer.png" style="width: 70%;height: 100px;">\n\n          <div style="top: 0px;position: absolute;width: 100%;height: 68px;">\n\n            <div style="width: 30%;color: white;font-size: 24px;padding-top: 20px;text-align: center;float: left;">\n\n              ￥{{item.price}}\n\n            </div>\n\n            <div style="width: 70%;height: 68px;float: right;">\n\n              <img style="width: 15%;margin-left: 55%;position: absolute;"\n\n                   *ngIf="item.status == 1 &&  !item.isUsed"\n\n                   src="assets/imgs/service5.png">\n\n              <ion-label\n\n                style="width: 100%;height: 34px;padding-left: 10px;padding-top: 10px;color: #525252;font-size: 16px;">\n\n                {{item.companyName}}\n\n              </ion-label>\n\n              <ion-label\n\n                style="width: 70%;float: left;font-size: 13px;padding-left: 10px;padding-top: 8px;color: #666666;">\n\n                核销时间:{{item.receivedFailureTime | date:"yyyy-MM-dd"}}\n\n              </ion-label>\n\n              <img style="width: 25%;float: right;padding-top: 8px;margin-right: 5%;" src="assets/imgs/service9.png">\n\n            </div>\n\n          </div>\n\n          <div style="top: 68px;position: absolute;width: 100%;height: 32px;">\n\n            <div style="width: 30%;color: white;font-size: 16px;text-align: center;float: left;padding-top: 6px;">\n\n              已核销\n\n            </div>\n\n            <button no-lines="" style="width: 70%;float: right;min-height: 0px;padding-left: 10px;margin-top: 8px;"\n\n                    ion-item="">\n\n              <div\n\n                style="text-overflow: ellipsis;width: 65%;font-size: 13px;color: #666666;overflow: hidden;float: left;">\n\n                {{item.serviceTicketName}}\n\n              </div>\n\n              <div style="width: 35%;font-size: 13px;color: #666666;float: right;text-align: right">使用说明\n\n              </div>\n\n            </button>\n\n          </div>\n\n        </div>\n\n      </div>\n\n      <ion-infinite-scroll (ionInfinite)="minInfinite($event)">\n\n        <ion-infinite-scroll-content\n\n          loadingSpinner="bubbles">\n\n        </ion-infinite-scroll-content>\n\n      </ion-infinite-scroll>\n\n    </ion-list>\n\n  </div>\n\n\n\n</ion-content>\n\n\n\n<div [class]="showAlert.isShow?\'success-alert\':\'success-alert hidden\'" class="success-alert" (click)="onGoBack()">\n\n  <div class="alert-bg"></div>\n\n  <div class="alert-img-div">\n\n    <img src="assets/imgs/successverification.png">\n\n  </div>\n\n</div>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\service-caverificatio\service-caverificatio.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__["i" /* ThePublicModule */]])
    ], ServiceCaverificatioPage);
    return ServiceCaverificatioPage;
}());

//# sourceMappingURL=service-caverificatio.js.map

/***/ }),

/***/ 935:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ServiceCaverificatioPageModule", function() { return ServiceCaverificatioPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__service_caverificatio__ = __webpack_require__(1160);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ServiceCaverificatioPageModule = /** @class */ (function () {
    function ServiceCaverificatioPageModule() {
    }
    ServiceCaverificatioPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__service_caverificatio__["a" /* ServiceCaverificatioPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__service_caverificatio__["a" /* ServiceCaverificatioPage */]),
            ],
        })
    ], ServiceCaverificatioPageModule);
    return ServiceCaverificatioPageModule;
}());

//# sourceMappingURL=service-caverificatio.module.js.map

/***/ })

});
//# sourceMappingURL=121.js.map