webpackJsonp([122],{

/***/ 1159:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ServerListPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_platform_browser__ = __webpack_require__(47);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




// import {IMAGEURL} from "../../../providers/toolservice/global";
/**
 * Generated class for the ServerListPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ServerListPage = /** @class */ (function () {
    function ServerListPage(navCtrl, navParams, toolservice, sanitiaer, loadingCtrl, toolservie) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.sanitiaer = sanitiaer;
        this.loadingCtrl = loadingCtrl;
        this.toolservie = toolservie;
        // 每页展示的记录条数
        this.pageSize = 10;
        // 新闻记录列表刷新次数
        this.numrecord = 1;
        //搜索内容
        this.searchvalue = '';
        this.title = this.navParams.get('title');
    }
    ServerListPage.prototype.ionViewDidLoad = function () {
        if (this.title == '管家服务') {
            this.getServerList(undefined);
        }
        else {
            this.getActivityList(undefined);
        }
    };
    // 获取管家服务列表
    ServerListPage.prototype.getServerList = function (title) {
        var _this = this;
        var loading = this.loadingCtrl.create();
        loading.present();
        var url;
        if (title) {
            url = 'butler/find?pageNum=1&pageSize=10&title=' + title;
        }
        else {
            url = 'butler/find?pageNum=1&pageSize=10';
        }
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
                loading.dismiss();
                _this.policydata = data.return_data.list;
                _this.newslength = data.return_data['total'];
            }
            else {
                loading.dismiss();
            }
        });
    };
    // 获取服务活动列表
    ServerListPage.prototype.getActivityList = function (title) {
        var _this = this;
        var loading = this.loadingCtrl.create();
        loading.present();
        var url;
        if (title) {
            url = 'bsNews/getNews?pageNum=1&pageSize=10&typeId=2&title=' + title;
        }
        else {
            url = 'bsNews/getNews?pageNum=1&pageSize=10&typeId=12';
        }
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
                loading.dismiss();
                _this.policydata = data.return_data.list;
                _this.newslength = data.return_data['total'];
                // 消息记录数组最大页面赋值
                _this.newsPage = data.return_data['pages'];
                _this.numrecord = 1;
            }
            else {
                loading.dismiss();
            }
        });
    };
    // 查看详情
    ServerListPage.prototype.jumppolicydetails = function (title, data) {
        if (this.title == '管家服务') {
            this.navCtrl.push('ServerDetailsPage', { id: data.id });
        }
        else {
            this.navCtrl.push('ServerActivityPage', { data: data });
        }
    };
    // 搜索
    ServerListPage.prototype.searpolicys = function (data) {
        if (this.title == '管家服务') {
            this.getServerList(data.value);
        }
        else {
            this.getActivityList(data.value);
        }
    };
    /**
     * 上滑加载更多
     */
    ServerListPage.prototype.minInfinite = function (infiniteScroll) {
        var _this = this;
        // let newsstadata = document.getElementById("datastatus");
        setTimeout(function () {
            // 加载完成关闭刷新
            infiniteScroll.complete();
            if (_this.newslength <= _this.policydata.length)
                return;
            // 判读数据超过十条启动刷新
            if (_this.newslength > _this.pageSize) {
                //增加index
                _this.numrecord++;
                // 判断刷新分页页码大小
                if (_this.numrecord > _this.newsPage) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    infiniteScroll.enable(false);
                    //toast提示
                    _this.toolservice.showtoast("已加载所有");
                    // newsstadata.style.display = 'block';
                }
                else {
                    // 获取分页刷新数据
                    var url = void 0;
                    if (_this.title == '管家服务') {
                        if (_this.searchvalue) {
                            url = 'butler/find?title=' + _this.searchvalue + '&pageNum=' + _this.numrecord + '&pageSize=' + _this.pageSize;
                        }
                        else {
                            url = 'butler/find?pageNum=' + _this.numrecord + '&pageSize=' + _this.pageSize;
                        }
                    }
                    else {
                        if (_this.searchvalue) {
                            url = 'bsNews/getNews?title=' + _this.searchvalue + '&typeId=12' + '&pageNum=' + _this.numrecord + '&pageSize=' + _this.pageSize;
                        }
                        else {
                            url = 'bsNews/getNews?typeId=12' + '&pageNum=' + _this.numrecord + '&pageSize=' + _this.pageSize;
                        }
                    }
                    _this.toolservice.doGet(url, function (data) {
                        if (data.return_code == '000000') {
                            // 加载完成关闭刷新
                            infiniteScroll.complete();
                            // 循环插入数据数组
                            for (var i = 0; i < data.return_data['list'].length; i++) {
                                _this.policydata.push(data.return_data['list'][i]);
                            }
                        }
                    });
                }
                // }, 2000);
            }
            else {
                // 加载全部数据禁用刷新
                // infiniteScroll.enable(false);
                _this.toolservice.showtoast("已加载所有");
            }
        }, 2000);
    };
    ServerListPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-server-list',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\server-list\server-list.html"*/'<!--\n\n  Generated template for the ServerListPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>{{title}}</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <div style="width: 100%;margin-top: 15px;margin-left: 5%;height: 50px">\n\n    <ion-searchbar style="width: 76%;float: left;" #searchvalue placeholder="请输入想搜索的内容"></ion-searchbar>\n\n    <div class="search_div">\n\n      <button ion-button block class="search_div_btn" (click)="searpolicys(searchvalue)">搜索</button>\n\n    </div>\n\n    <!-- <div style="" class="screening_div">\n\n      <button ion-button block class="screening_div_btn" (click)="openscreening()">筛选<img style="width: 12px;"\n\n          src="assets/imgs/screening.png">\n\n      </button>\n\n    </div> -->\n\n  </div>\n\n  <div style="width: 100%;height: 70px;border-bottom: 1px solid #f6f6f6;" *ngFor="let polis of policydata"\n\n    (click)="jumppolicydetails(polis.title, polis)">\n\n    <div style="width: 14%;float: left;margin-left: 5%;height: 40px;margin-top: 18px;">\n\n      <div style="width: 100%;height: 15px;font-size: 16px;">\n\n        {{polis.createTime | date:"MM/dd"}}\n\n      </div>\n\n      <div style="width: 100%;height: 20px;font-size: 19px;color: #aaaeb9">\n\n        {{polis.createTime | date:"yyyy"}}\n\n      </div>\n\n    </div>\n\n    <div style="width: 1px;height: 25px;background-color: #aaaeb9;float: left;margin-top: 25px;"></div>\n\n    <div style="width: 74%;float: right;margin-right: 5%;height: 40px;margin-top: 15px;font-size: 16px;"\n\n      *ngIf="polis.title.length>=28">\n\n      {{polis.title.toString().replace(polis.title.toString().substring(28,polis.title.length),"...")}}\n\n    </div>\n\n    <div style="width: 74%;float: right;margin-right: 5%;height: 40px;margin-top: 15px;font-size: 16px;display: table;"\n\n      *ngIf="polis.title.length<28">\n\n      <div style="display: table-cell;vertical-align: middle;">{{polis.title}}</div>\n\n    </div>\n\n  </div>\n\n  <ion-infinite-scroll (ionInfinite)="minInfinite($event,searchvalue)">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\server-list\server-list.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_3__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */]])
    ], ServerListPage);
    return ServerListPage;
}());

//# sourceMappingURL=server-list.js.map

/***/ }),

/***/ 934:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ServerListPageModule", function() { return ServerListPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__server_list__ = __webpack_require__(1159);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ServerListPageModule = /** @class */ (function () {
    function ServerListPageModule() {
    }
    ServerListPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__server_list__["a" /* ServerListPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__server_list__["a" /* ServerListPage */]),
            ],
        })
    ], ServerListPageModule);
    return ServerListPageModule;
}());

//# sourceMappingURL=server-list.module.js.map

/***/ })

});
//# sourceMappingURL=122.js.map