webpackJsonp([123],{

/***/ 1158:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ServerDetailsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_platform_browser__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_global__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the NewDetailsPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ServerDetailsPage = /** @class */ (function () {
    function ServerDetailsPage(navCtrl, navParams, toolservice, sanitiaer, loadingCtrl, toolservie, appCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.sanitiaer = sanitiaer;
        this.loadingCtrl = loadingCtrl;
        this.toolservie = toolservie;
        this.appCtrl = appCtrl;
        //详情图片地址
        this.newsdetailsimurl = __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_global__["d" /* IMAGEURL */];
        this.id = this.navParams.get('id');
        this.requestnewsdetails();
        this.newsdatailsdata = {};
        this.popupStatus = false;
        this.collectNum = 0;
        this.thumbs = 0;
        if (window.localStorage.getItem("USER_INFO") && window.localStorage.getItem("USER_INFO") != 'null') {
            this.userId = JSON.parse(window.localStorage.getItem("USER_INFO")).userId;
        }
        else {
            this.userId = '';
        }
    }
    ServerDetailsPage.prototype.ionViewDidEnter = function () {
    };
    /**
     * 请求详情数据
     */
    ServerDetailsPage.prototype.requestnewsdetails = function () {
        var that = this;
        var loading = this.loadingCtrl.create();
        loading.present();
        var url = 'butler/findOne?id=' + this.id;
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
                loading.dismiss();
                that.newsdatailsdata = data.return_data;
                that.id = data.return_data.id;
                that.thumbsUpStatus = data.return_data.userLike;
                // if(data.return_data.like == '0'){
                //   that.thumbs = 0
                // }else{
                //   that.thumbs = data.return_data.like
                // }
                that.collectionStatus = data.return_data.userCollect;
                // if(data.return_data.collect == '0'){
                //   that.collectNum = 0
                // }else{
                //   that.collectNum = data.return_data.collect
                // }
                that.deputytext = that.sanitiaer.bypassSecurityTrustHtml(data.return_data.content);
                if (data.return_data.attachment) {
                    that.fjdata = data.return_data.attachment.split(",");
                }
            }
            else {
                loading.dismiss();
            }
        }, function (error) {
            loading.dismiss();
        });
    };
    /**
     * 跳转
     */
    ServerDetailsPage.prototype.jumpweb = function (item) {
        window.location.href = __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_global__["d" /* IMAGEURL */] + item;
    };
    ServerDetailsPage.prototype.ionViewDidLoad = function () {
        this.getThumbs();
        this.getcollectData();
    };
    // 请求点赞数据
    ServerDetailsPage.prototype.getThumbs = function () {
        var _this = this;
        var url = 'userLike/countArticleLike?articleId=' + this.id + '&type=3';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.thumbs = data.return_data;
            }
        }, function (error) {
        });
    };
    // 请求收藏数据
    ServerDetailsPage.prototype.getcollectData = function () {
        var _this = this;
        var url = 'userCollect/countCollect?articleId=' + this.id + '&type=3';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.collectNum = data.return_data;
            }
        }, function (error) {
        });
    };
    // 点赞
    ServerDetailsPage.prototype.clickThumbs = function () {
        var _this = this;
        // 判断是否登录，未登录跳转到登录页面
        if (this.userId == '') {
            this.appCtrl.getActiveNav().push('LoginPage');
            return;
        }
        var url;
        if (this.thumbsUpStatus) {
            url = 'userLike/unlikeArticle'; //取消点赞
        }
        else {
            url = 'userLike/likeArticle'; //点赞
        }
        var userLikeArticle = {
            articleId: this.id,
            type: 3,
            userId: this.userId
        };
        this.toolservice.doPost(url, userLikeArticle, function (data) {
            if (data.return_code == '000000') {
                _this.getThumbs();
                // this.thumbs = data.return_data
                if (url === 'userLike/likeArticle') {
                    _this.thumbsUpStatus = true;
                }
                else {
                    _this.thumbsUpStatus = false;
                }
            }
            else {
                _this.toolservie.showtoast(data.return_msg);
            }
        }, function (error) {
        });
    };
    // 收藏
    ServerDetailsPage.prototype.clickCollection = function () {
        var _this = this;
        // 判断是否登录，未登录跳转到登录页面
        if (this.userId == '') {
            this.appCtrl.getActiveNav().push('LoginPage');
            return;
        }
        var url;
        if (this.collectionStatus) {
            url = 'userCollect/cancelCollect'; //取消收藏
        }
        else {
            url = 'userCollect/collect'; //收藏
        }
        var userLikeArticle = {
            articleId: this.id,
            type: 3,
            userId: this.userId
        };
        this.toolservice.doPost(url, userLikeArticle, function (data) {
            if (data.return_code == '000000') {
                // this.collectNum = data.return_data
                _this.getcollectData();
                if (url === 'userCollect/collect') {
                    _this.collectionStatus = true;
                }
                else {
                    _this.collectionStatus = false;
                }
            }
            else {
                _this.toolservie.showtoast(data.return_msg);
            }
        }, function (error) {
        });
    };
    ServerDetailsPage.prototype.share = function (type) {
        // 判断是否登录，未登录跳转到登录页面
        if (this.userId == '') {
            this.appCtrl.getActiveNav().push('LoginPage');
            return;
        }
        Wechat.share({
            message: {
                title: this.newsdatailsdata.title,
                description: this.newsdatailsdata.title,
                thumb: "www/assets/imgs/logo.jpg",
                media: {
                    type: Wechat.Type.WEBPAGE,
                    webpageUrl: __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_global__["a" /* BASE_SHARE_URL */] + "?type=server&id=" + this.id
                }
            },
            scene: type === 0 ? Wechat.Scene.SESSION : Wechat.Scene.TIMELINE
        }, function () {
        }, function (reason) {
            alert("Failed: " + reason);
        });
    };
    ServerDetailsPage.prototype.tapShare = function () {
        this.popupStatus = true;
    };
    ServerDetailsPage.prototype.apply = function () {
        if (this.userId) {
            this.navCtrl.push('ServerApplyPage', { id: this.id, type: 1 });
        }
        else {
            this.appCtrl.getActiveNav().push('LoginPage');
        }
    };
    ServerDetailsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-server-details',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\server-details\server-details.html"*/'<ion-header>\n\n  <ion-navbar class="bar-stable">\n\n    <ion-title>服务详情</ion-title>\n\n    <ion-buttons (click)="tapShare()" end>\n\n      <!-- <img (click)="tapShare()" src="assets/imgs/share/share.png" alt="" style="width: 1.875rem;color: #fff;"> -->\n\n      <div (click)="tapShare()">\n\n        <!-- <ion-icon name="share" style="font-size: 24px;color: #fff;margin-right: 5px;"></ion-icon> -->\n\n        <img src="assets/imgs/news/share.png" alt="" style="width: 26px;margin-top: 5px;">\n\n      </div>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <div class="hide-g" *ngIf="popupStatus" (click)="popupStatus = false">\n\n    <div class="hide-card">\n\n      <div class="wx" (click)="share(0)">\n\n        <img src="assets/imgs/share/wx.png" />\n\n        <p>微信分享</p>\n\n      </div>\n\n      <div class="pyq" (click)="share(1)">\n\n        <img src="assets/imgs/share/pyq.png" />\n\n        <p>朋友圈分享</p>\n\n      </div>\n\n    </div>\n\n  </div>\n\n  <div style="width: 100%;margin-bottom: 50px;">\n\n    <div class="server-title">{{newsdatailsdata.title}}</div>\n\n    <div class="news_div_relese">\n\n      <div class="news_div_relese_left">\n\n        <span>\n\n          {{newsdatailsdata.createTime | date:"yyyy-MM-dd"}}\n\n        </span>\n\n      </div>\n\n      <div class="rightIcon">\n\n        <div class="news_div_relese_right" (click)="clickThumbs()">\n\n          <img *ngIf="thumbsUpStatus" style="width: 17px;" src="assets/imgs/news/1.png">\n\n          <img *ngIf="!thumbsUpStatus" style="width: 17px;" src="assets/imgs/news/0.png">&nbsp;&nbsp;{{thumbs}}\n\n        </div>\n\n        <div class="news_div_relese_right" (click)="clickCollection()">\n\n          <img *ngIf="collectionStatus" style="width: 17px;" src="assets/imgs/news/3.png">\n\n          <img *ngIf="!collectionStatus" style="width: 17px;" src="assets/imgs/news/2.png">&nbsp;&nbsp;{{collectNum}}\n\n        </div>\n\n        <!-- <div class="news_div_relese_right"><img style="width: 17px;"\n\n            src="assets/imgs/6.png">&nbsp;&nbsp;{{newsdatailsdata.readQuantity}}\n\n        </div> -->\n\n      </div>\n\n    </div>\n\n    <div class="news_div_html" [innerHTML]="deputytext"></div>\n\n    <div style="width: 90%;margin-left: 5%;color: #525252;font-size: 15px;" *ngIf="fjdata !=null">\n\n      附件:\n\n    </div>\n\n    <div style="width: 90%;margin-left: 5%;color: #487aff;margin-top: 5px;" *ngFor="let fj of  fjdata"\n\n      (click)="jumpweb(fj)">\n\n      {{fj}}\n\n    </div>\n\n    <button ion-button block color="light" (click)="apply()">申请管家服务</button>\n\n  </div>\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\server-details\server-details.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_3__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["App"]])
    ], ServerDetailsPage);
    return ServerDetailsPage;
}());

//# sourceMappingURL=server-details.js.map

/***/ }),

/***/ 933:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ServerDetailsPageModule", function() { return ServerDetailsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__server_details__ = __webpack_require__(1158);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ServerDetailsPageModule = /** @class */ (function () {
    function ServerDetailsPageModule() {
    }
    ServerDetailsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__server_details__["a" /* ServerDetailsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__server_details__["a" /* ServerDetailsPage */]),
            ],
        })
    ], ServerDetailsPageModule);
    return ServerDetailsPageModule;
}());

//# sourceMappingURL=server-details.module.js.map

/***/ })

});
//# sourceMappingURL=123.js.map