webpackJsonp([131],{

/***/ 1150:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PolicyDetailsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_platform_browser__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_global__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the PolicyDetailsPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var PolicyDetailsPage = /** @class */ (function () {
    function PolicyDetailsPage(navCtrl, navParams, sanitiaer, toolservice, appCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.sanitiaer = sanitiaer;
        this.toolservice = toolservice;
        this.appCtrl = appCtrl;
        // 每页展示的记录条数
        this.pageSize = 10;
        // 政策记录列表刷新次数
        this.numpolrecord = 1;
        this.popupStatus = false;
        this.policydetailsid = this.navParams.get('policyid');
        if (window.localStorage.getItem("USER_INFO") && window.localStorage.getItem("USER_INFO") != 'null') {
            this.userId = JSON.parse(window.localStorage.getItem("USER_INFO")).userId;
        }
        else {
            this.userId = '';
        }
        this.collectNum = 0;
        this.thumbs = 0;
        this.segmentname = this.navParams.get('segmentname');
        if (this.policydetailsid) {
            window.sessionStorage.setItem('policydetailsid', this.policydetailsid.toString());
        }
        else {
            this.policydetailsid = parseInt(window.sessionStorage.getItem('policydetailsid'));
        }
        if (this.segmentname) {
            window.sessionStorage.setItem('segmentname', this.segmentname.toString());
        }
        else {
            this.segmentname = parseInt(window.sessionStorage.getItem('segmentname'));
        }
        this.selectpolicydetails();
    }
    PolicyDetailsPage.prototype.ionViewDidLoad = function () {
        this.getThumbs();
        this.getcollectData();
    };
    PolicyDetailsPage.prototype.share = function (type) {
        // 判断是否登录，未登录跳转到登录页面
        if (this.userId == '') {
            this.appCtrl.getActiveNav().push('LoginPage');
            return;
        }
        var title;
        if (this.segmentname == 1) {
            title = 'zcjiaodian';
        }
        else if (this.segmentname == 2) {
            title = 'zcjiedu';
        }
        else {
            title = 'xmsb';
        }
        Wechat.share({
            message: {
                title: this.policydetailsdata ? (this.policydetailsdata[0].title ? this.policydetailsdata[0].title : this.policydetailsdata[0].name) : (this.policyiterdata[0].title ? this.policyiterdata[0].title : this.policyiterdata[0].name),
                description: '',
                thumb: "www/assets/imgs/logo.jpg",
                media: {
                    type: Wechat.Type.WEBPAGE,
                    webpageUrl: __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_global__["a" /* BASE_SHARE_URL */] + "?type=" + title + "&id=" + this.policydetailsid
                }
            },
            scene: type === 0 ? Wechat.Scene.SESSION : Wechat.Scene.TIMELINE
        }, function () {
        }, function (reason) {
            alert("Failed: " + reason);
        });
    };
    PolicyDetailsPage.prototype.tapShare = function () {
        this.popupStatus = true;
    };
    // 请求点赞数据
    PolicyDetailsPage.prototype.getThumbs = function () {
        var _this = this;
        var url = 'userLike/countArticleLike?articleId=' + this.policydetailsid + '&type=' + this.segmentname;
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.thumbs = data.return_data;
            }
        }, function (error) {
        });
    };
    // 请求收藏数据
    PolicyDetailsPage.prototype.getcollectData = function () {
        var _this = this;
        var url = 'userCollect/countCollect?articleId=' + this.policydetailsid + '&type=' + this.segmentname;
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.collectNum = data.return_data;
            }
        }, function (error) {
        });
    };
    // 点赞
    PolicyDetailsPage.prototype.clickThumbs = function () {
        var _this = this;
        // 判断是否登录，未登录跳转到登录页面
        if (this.userId == '') {
            this.appCtrl.getActiveNav().push('LoginPage');
            return;
        }
        var url;
        if (this.thumbsUpStatus) {
            url = 'userLike/unlikeArticle'; //取消点赞
        }
        else {
            url = 'userLike/likeArticle'; //点赞
        }
        var userLikeArticle = {
            articleId: this.policydetailsid,
            type: this.segmentname,
            userId: this.userId
        };
        this.toolservice.doPost(url, userLikeArticle, function (data) {
            if (data.return_code == '000000') {
                // this.thumbs = data.return_data
                _this.getThumbs();
                if (url === 'userLike/likeArticle') {
                    _this.thumbsUpStatus = true;
                }
                else {
                    _this.thumbsUpStatus = false;
                }
            }
            else {
                _this.toolservice.showtoast(data.return_msg);
            }
        }, function (error) {
        });
    };
    // 收藏
    PolicyDetailsPage.prototype.clickCollection = function () {
        var _this = this;
        // 判断是否登录，未登录跳转到登录页面
        if (this.userId == '') {
            this.appCtrl.getActiveNav().push('LoginPage');
            return;
        }
        var url;
        if (this.collectionStatus) {
            url = 'userCollect/cancelCollect'; //取消收藏
        }
        else {
            url = 'userCollect/collect'; //收藏
        }
        var userLikeArticle = {
            articleId: this.policydetailsid,
            type: this.segmentname,
            userId: this.userId
        };
        this.toolservice.doPost(url, userLikeArticle, function (data) {
            if (data.return_code == '000000') {
                // this.collectNum = data.return_data
                _this.getcollectData();
                if (url === 'userCollect/collect') {
                    _this.collectionStatus = true;
                }
                else {
                    _this.collectionStatus = false;
                }
            }
            else {
                _this.toolservice.showtoast(data.return_msg);
            }
        }, function (error) {
        });
    };
    /**
     * 根据id查询数数据
     */
    PolicyDetailsPage.prototype.selectpolicydetails = function () {
        var _this = this;
        if (this.segmentname == 1) {
            var url = 'bsPolicyDocument/getPolicyDocumentById?id=' + this.policydetailsid;
            this.toolservice.doGet(url, function (data) {
                if (data.return_code == '000000') {
                    _this.policydetailsdata = [data.return_data];
                    _this.thumbsUpStatus = data.return_data.userLike;
                    _this.collectionStatus = data.return_data.userCollect;
                    // this.collectNum = data.return_data.totalCollectCount ? data.return_data.totalCollectCount : 0;
                    // this.thumbs = data.return_data.totalLikeCount ? data.return_data.totalLikeCount : 0;
                    _this.policydatilsfwb = _this.sanitiaer.bypassSecurityTrustHtml(data.return_data.content);
                    if (data.return_data.attachment != null) {
                        _this.attachment = data.return_data.attachment.split(",");
                    }
                    else {
                        _this.attachment = null;
                    }
                }
            });
        }
        else if (this.segmentname == 2) {
            var url2 = 'bsPolicyInterpret/getPolicyInterpretById?id=' + this.policydetailsid;
            this.toolservice.doGet(url2, function (data) {
                if (data.return_code == '000000') {
                    if (data.return_data.bsPolicyDocument) {
                        _this.thumbsUpStatus = data.return_data.bsPolicyDocument.userLike;
                        _this.collectionStatus = data.return_data.bsPolicyDocument.userCollect;
                        // this.collectNum = data.return_data.bsPolicyDocument.totalCollectCount ? data.return_data.bsPolicyDocument.totalCollectCount : 0;
                        // this.thumbs = data.return_data.bsPolicyDocument.totalLikeCount ? data.return_data.bsPolicyDocument.totalLikeCount : 0;
                        _this.policydetailsdata = [data.return_data.bsPolicyDocument];
                        _this.policydatilsfwb = _this.sanitiaer.bypassSecurityTrustHtml(data.return_data.bsPolicyDocument.content);
                    }
                    if (data.return_data.bsPolicyInterpret) {
                        _this.thumbsUpStatus = data.return_data.bsPolicyInterpret.userLike;
                        _this.collectionStatus = data.return_data.bsPolicyInterpret.userCollect;
                        // this.collectNum = data.return_data.bsPolicyInterpret.totalCollectCount ? data.return_data.bsPolicyInterpret.totalCollectCount : 0;
                        // this.thumbs = data.return_data.bsPolicyInterpret.totalLikeCount ? data.return_data.bsPolicyInterpret.totalLikeCount : 0;
                        _this.policyiterdata = [data.return_data.bsPolicyInterpret];
                        _this.policyiterdetails = _this.sanitiaer.bypassSecurityTrustHtml(data.return_data.bsPolicyInterpret.content);
                    }
                    if (data.return_data.bsPolicyInterpret.attachment) {
                        _this.attachment = data.return_data.bsPolicyInterpret.attachment.split(",");
                    }
                    else {
                        _this.attachment = null;
                    }
                }
            });
        }
        else {
            var url = 'bsProject/getProjectById?id=' + this.policydetailsid;
            this.toolservice.doGet(url, function (data) {
                if (data.return_code == '000000') {
                    _this.policydetailsdata = [data.return_data];
                    // this.thumbsUpStatus = data.return_data.userLike
                    // this.collectionStatus = data.return_data.userCollect
                    // this.collectNum = data.return_data.totalCollectCount ? data.return_data.totalCollectCount : 0;
                    // this.thumbs = data.return_data.totalLikeCount ? data.return_data.totalLikeCount : 0;
                    _this.policydatilsfwb = _this.sanitiaer.bypassSecurityTrustHtml(data.return_data.content);
                    if (data.return_data.attachment != null) {
                        _this.attachment = data.return_data.attachment.split(",");
                    }
                    else {
                        _this.attachment = null;
                    }
                }
            });
            this.selectevtiondata();
        }
    };
    /**
     * 下载附件
     */
    PolicyDetailsPage.prototype.jumpaddress = function (item) {
        window.location.href = __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_global__["d" /* IMAGEURL */] + item;
    };
    /**
     * 获取评价数据
     */
    PolicyDetailsPage.prototype.selectevtiondata = function () {
        var _this = this;
        if (this.userId) {
            var url1 = 'bsCounselRecord/getCounselRecord?type=2&objectId=' + this.policydetailsid + '&pageNum=1&pageSize=10';
            this.toolservice.doGet(url1, function (dataev) {
                if (dataev.return_code == '000000' && dataev.return_data.list != '') {
                    _this.evtionpolicy = dataev.return_data.list;
                    _this.policydetailslength = dataev.return_data['total'];
                    // 消息记录数组最大页面赋值
                    _this.policydetailsPage = dataev.return_data['pages'];
                }
            });
        }
    };
    /**
     * 评价留言
     */
    PolicyDetailsPage.prototype.sendevtion = function () {
        this.navCtrl.push('CounselServiceReleasePage', {
            conseltype: 2,
            conselid: this.policydetailsid,
            sonselName: this.policydetailsdata[0].name
        });
        // if (this.evmessage == null) {
        //   this.toolservice.showtoast("请输入评价内容");
        // } else {
        //   let url = 'bsCounselRecord/addCounselRecord';
        //   let data = {
        //     counselContent: this.evmessage,
        //     objectId: this.policydetailsid,
        //     type: 2
        //   }
        //   this.toolservice.doPost(url, data, datas => {
        //     if (datas.return_code == '000000') {
        //       this.toolservice.showtoast("评价成功!");
        //       this.selectevtiondata();
        //       this.evmessage = null;
        //     } else {
        //       this.toolservice.showtoast(datas.return_msg);
        //     }
        //   });
        // }
    };
    /**
     * 上滑加载更多
     */
    PolicyDetailsPage.prototype.minInfinite = function (infiniteScroll) {
        var _this = this;
        // let newsstadata = document.getElementById("datastatus");
        setTimeout(function () {
            infiniteScroll.complete();
            // 判读数据超过十条启动刷新
            if (_this.policydetailslength > _this.pageSize) {
                // setTimeout(() => {
                // 加载完成关闭刷新
                infiniteScroll.complete();
                //增加index
                _this.numpolrecord++;
                // 判断刷新分页页码大小
                if (_this.numpolrecord > _this.policydetailsPage) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    //toast提示
                    _this.toolservice.showtoast("已加载所有111");
                    infiniteScroll.enable(false);
                    // newsstadata.style.display = 'block';
                }
                else {
                    // let url = 'bsPolicyDocument/getPagePolicyDocument?status=2&pageNum=' + this.numrecord + '&pageSize=' + this.pageSize;
                    var url = 'bsCounselRecord/getCounselRecord?type=2&objectId=' + _this.policydetailsid + '&pageNum=' + _this.numpolrecord + '&pageSize=' + _this.pageSize;
                    _this.toolservice.doGet(url, function (data) {
                        if (data.return_code == '000000') {
                            // 加载完成关闭刷新
                            infiniteScroll.complete();
                            // 循环插入数据数组
                            for (var i = 0; i < data.return_data['list'].length; i++) {
                                _this.evtionpolicy.push(data.return_data['list'][i]);
                            }
                        }
                    });
                }
                // }, 2000);
            }
            else {
                // 加载全部数据禁用刷新
                infiniteScroll.enable(false);
                _this.toolservice.showtoast("已加载所有");
            }
        }, 2000);
    };
    PolicyDetailsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-policy-details',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\policy-details\policy-details.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title *ngIf="segmentname == 1">政策详情</ion-title>\n\n    <ion-title *ngIf="segmentname == 2">政策解读</ion-title>\n\n    <ion-title *ngIf="segmentname == 3">申报详情</ion-title>\n\n    <ion-buttons (click)="tapShare()" end>\n\n      <div (click)="tapShare()">\n\n        <img src="assets/imgs/news/share.png" alt="" style="width: 26px;margin-top: 5px;">\n\n      </div>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <div class="hide-g" *ngIf="popupStatus" (click)="popupStatus = false">\n\n    <div class="hide-card">\n\n      <div class="wx" (click)="share(0)">\n\n        <img src="assets/imgs/share/wx.png" />\n\n        <p>微信分享</p>\n\n      </div>\n\n      <div class="pyq" (click)="share(1)">\n\n        <img src="assets/imgs/share/pyq.png" />\n\n        <p>朋友圈分享</p>\n\n      </div>\n\n    </div>\n\n  </div>\n\n  <img style="width: 30%;margin-top: 10px;" *ngIf="policydetailsdata && segmentname ==2"\n\n       src="assets/imgs/poliiter1.png">\n\n  <div style="width: 100%;" *ngFor="let policydes of policydetailsdata">\n\n    <div style=" width: 90%;text-align: center;font-size: 18px;margin-left: 5%;margin-bottom: 10px;margin-top: 10px;"\n\n         *ngIf="segmentname != 3">{{policydes.title}}\n\n    </div>\n\n    <div style=" width: 90%;text-align: center;font-size: 18px;margin-left: 5%;margin-bottom: 10px;margin-top: 10px;"\n\n         *ngIf="segmentname == 3">{{policydes.name}}\n\n    </div>\n\n    <div style="width: 100%;height: 1px;background-color: #F6F6F6"></div>\n\n    <div style="padding: 10px;display: flex;">\n\n      <div style=" width: 50%;float: left;margin-top: 2px;font-size: 13px;color: #aaaeb9;text-align: left;">\n\n        <img style="width: 15px;" src="assets/imgs/7.png">&nbsp;&nbsp;\n\n        <span style="position: absolute;">\n\n        {{policydes.createDatetime | date:"yyyy-MM-dd"}}\n\n      </span>\n\n      </div>\n\n      <div class="rightIcon" *ngIf="segmentname != 3">\n\n        <div class="news_div_relese_right" (click)="clickThumbs()">\n\n          <img *ngIf="thumbsUpStatus" style="width: 17px;" src="assets/imgs/news/1.png">\n\n          <img *ngIf="!thumbsUpStatus" style="width: 17px;" src="assets/imgs/news/0.png">&nbsp;&nbsp;{{thumbs}}\n\n        </div>\n\n        <div class="news_div_relese_right" (click)="clickCollection()">\n\n          <img *ngIf="collectionStatus" style="width: 17px;" src="assets/imgs/news/3.png">\n\n          <img *ngIf="!collectionStatus" style="width: 17px;" src="assets/imgs/news/2.png">&nbsp;&nbsp;{{collectNum}}\n\n        </div>\n\n      </div>\n\n      <!--<div style="width: 50%;float: right;text-align: center;font-size: 13px;color: #aaaeb9;">来源:新华社-->\n\n      <!--</div>-->\n\n    </div>\n\n    <div style=" width: 100%;height: 1px;background-color: #f4f4f4;"></div>\n\n    <div style="width: 90%;margin-left: 5%;margin-top: 20px;" [innerHTML]="policydatilsfwb"></div>\n\n    <div\n\n      style="float:left;width: 90%;margin-left: 5%;color: #666666;margin-top: 5px;margin-bottom: 10px;text-align: center;"\n\n      *ngIf="attachment !=\'\'">\n\n      <a style="float: left;margin-top: 5px;text-align: left;text-decoration: underline;" *ngFor="let attac of attachment"\n\n         (click)="jumpaddress(attac)">附件:{{attac}}</a>\n\n    </div>\n\n  </div>\n\n\n\n  <img style="width: 30%;margin-top: 10px;" *ngIf="policyiterdata && segmentname ==2" src="assets/imgs/politer2.png">\n\n  <div style="width: 100%;" *ngFor="let policyter of policyiterdata">\n\n    <div style=" width: 90%;text-align: center;font-size: 18px;margin-left: 5%;margin-bottom: 10px;margin-top: 10px;">\n\n      {{policyter.title}}\n\n    </div>\n\n    <div style="width: 100%;height: 1px;background-color: #F6F6F6"></div>\n\n    <div style="padding: 10px;display: flex;">\n\n      <div style=" width: 50%;float: left;margin-top: 2px;font-size: 13px;color: #aaaeb9;text-align: left;">\n\n        <img style="width: 15px;" src="assets/imgs/7.png">&nbsp;&nbsp;\n\n        <span style="position: absolute;">\n\n        {{policyter.createTime | date:"yyyy-MM-dd"}}\n\n      </span>\n\n      </div>\n\n      <div class="rightIcon" *ngIf="segmentname != 3">\n\n        <div class="news_div_relese_right" (click)="clickThumbs()">\n\n          <img *ngIf="thumbsUpStatus" style="width: 17px;" src="assets/imgs/news/1.png">\n\n          <img *ngIf="!thumbsUpStatus" style="width: 17px;" src="assets/imgs/news/0.png">&nbsp;&nbsp;{{thumbs}}\n\n        </div>\n\n        <div class="news_div_relese_right" (click)="clickCollection()">\n\n          <img *ngIf="collectionStatus" style="width: 17px;" src="assets/imgs/news/3.png">\n\n          <img *ngIf="!collectionStatus" style="width: 17px;" src="assets/imgs/news/2.png">&nbsp;&nbsp;{{collectNum}}\n\n        </div>\n\n      </div>\n\n      <!--<div style="width: 50%;float: left;text-align: center;font-size: 13px;color: #aaaeb9;">来源:新华社-->\n\n      <!--</div>-->\n\n    </div>\n\n    <div style=" width: 100%;height: 1px;background-color: #f4f4f4;"></div>\n\n    <div style="width: 90%;margin-left: 5%;margin-top: 20px;" [innerHTML]="policyiterdetails"></div>\n\n    <div\n\n      style="float:left;width: 90%;margin-left: 5%;color: #666666;margin-top: 5px;margin-bottom: 10px;text-align: center;"\n\n      *ngIf="attachment !=\'\'">\n\n      <a  style="float: left;margin-top: 5px;text-align: left;text-decoration: underline;" *ngFor="let attac of attachment"\n\n         (click)="jumpaddress(attac)">附件:{{attac}}</a>\n\n    </div>\n\n  </div>\n\n\n\n\n\n  <!--<div style="width: 100%;height: 10px;background-color: #f4f4f4;" *ngIf="segmentname == 3"></div>-->\n\n  <!--<ion-list-header *ngIf="segmentname == 3">全部评价</ion-list-header>-->\n\n\n\n  <!--<ion-card class="card_1" *ngFor="let evtion of evtionpolicy" no-border="">-->\n\n    <!--<ion-item>-->\n\n      <!--<ion-avatar item-start>-->\n\n        <!--<img src="assets/imgs/1.jpg">-->\n\n      <!--</ion-avatar>-->\n\n      <!--<div style="margin: 0px;text-align: left;font-size: 16px;color: #525252;">-->\n\n        <!--{{evtion.counselUserName}}-->\n\n      <!--</div>-->\n\n      <!--<div style="font-size: 12px;color: #aaaeb9;">{{evtion.counselDatetime | date:"yyyy-MM-dd"}}</div>-->\n\n    <!--</ion-item>-->\n\n    <!--<ion-card-content>-->\n\n      <!--<p>&nbsp;&nbsp;&nbsp;{{evtion.counselContent}}</p>-->\n\n    <!--</ion-card-content>-->\n\n    <!--<div class="div_2"></div>-->\n\n  <!--</ion-card>-->\n\n\n\n  <ion-fab class="animated bounceInUp" style="margin-bottom: 50px;" right bottom *ngIf="segmentname == 3" (click)="sendevtion()">\n\n    <button ion-fab color="light" class="btn_badge" >\n\n      <img style="width: 40px;height: 40px;" src="assets/imgs/advisory.png">\n\n    </button>\n\n  </ion-fab>\n\n  <ion-infinite-scroll *ngIf="segmentname == 3" (ionInfinite)="minInfinite($event)">\n\n    <ion-infinite-scroll-content\n\n      loadingSpinner="bubbles">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>\n\n\n\n<!--<ion-footer *ngIf="segmentname == 3">-->\n\n  <!--<ion-toolbar color="light">-->\n\n    <!--<div style="width: 100%;">-->\n\n      <!--<ion-input class="evtion_input" placeholder="请输入评价内容" [(ngModel)]="evmessage">-->\n\n      <!--</ion-input>-->\n\n      <!--<button ion-button class="evtion_btn"-->\n\n              <!--(click)="sendevtion()">发送-->\n\n      <!--</button>-->\n\n    <!--</div>-->\n\n\n\n  <!--</ion-toolbar>-->\n\n<!--</ion-footer>-->\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\policy-details\policy-details.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["App"]])
    ], PolicyDetailsPage);
    return PolicyDetailsPage;
}());

//# sourceMappingURL=policy-details.js.map

/***/ }),

/***/ 925:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PolicyDetailsPageModule", function() { return PolicyDetailsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__policy_details__ = __webpack_require__(1150);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var PolicyDetailsPageModule = /** @class */ (function () {
    function PolicyDetailsPageModule() {
    }
    PolicyDetailsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__policy_details__["a" /* PolicyDetailsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__policy_details__["a" /* PolicyDetailsPage */]),
            ],
        })
    ], PolicyDetailsPageModule);
    return PolicyDetailsPageModule;
}());

//# sourceMappingURL=policy-details.module.js.map

/***/ })

});
//# sourceMappingURL=131.js.map