webpackJsonp([133],{

/***/ 1148:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PersonalCenterPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_service_service__ = __webpack_require__(167);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the PersonalCenterPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var PersonalCenterPage = /** @class */ (function () {
    function PersonalCenterPage(navCtrl, navParams, thePublicModule, webSocketService, app, alertCtrl, toolservice, loadingCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.thePublicModule = thePublicModule;
        this.webSocketService = webSocketService;
        this.app = app;
        this.alertCtrl = alertCtrl;
        this.toolservice = toolservice;
        this.loadingCtrl = loadingCtrl;
        //图片地址
        this.image_url = __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__["d" /* IMAGEURL */];
        this.Myactivities = [
            { title: '服务券', activiteimg: 'assets/imgs/personal6.png', jumppage: 'ServiceVolumePage' },
            { title: '需求对接', activiteimg: 'assets/imgs/personal7.png', jumppage: 'DockingPage' },
            { title: '活动报名', activiteimg: 'assets/imgs/personal8.png', jumppage: 'ActivityManagementPage' }
        ];
    }
    PersonalCenterPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.Userinfo = this.thePublicModule.USER_INFO;
        this.contermessage = this.thePublicModule.COMPANY;
        if (!this.webSocketService.webSocket || !this.Userinfo)
            return;
        this.webSocketService.webSocket.send(JSON.stringify({ uid: this.Userinfo.userId }));
        // 获取socket返回的数据
        this.webSocketService.messageSubject.subscribe(function (res) {
            console.log(res);
            // 站内信
            _this.myMsg = res[1] ? res[1].size : null;
        });
    };
    PersonalCenterPage.prototype.ionViewDidLoad = function () {
    };
    /**
     * 跳转我的消息
     */
    PersonalCenterPage.prototype.jumpdatum1 = function () {
        if (this.Userinfo == null) {
            this.exitlogin();
        }
        else {
            this.navCtrl.push('MessageIndexPage');
        }
    };
    /**
     * 我的积分
     */
    PersonalCenterPage.prototype.jumpdatum6 = function () {
        if (this.Userinfo == null) {
            this.exitlogin();
        }
        else {
            this.navCtrl.push('MineintegralPage');
        }
    };
    /**
     * 我的订单
     */
    PersonalCenterPage.prototype.jumpdatum7 = function () {
        if (this.Userinfo == null) {
            this.exitlogin();
        }
        else {
            this.navCtrl.push('MineOrderPage');
        }
    };
    /**
     * 关于我们
     */
    PersonalCenterPage.prototype.jumpdatum8 = function () {
        this.navCtrl.push('AboutusPage');
    };
    /**
     * 切换账号
     */
    PersonalCenterPage.prototype.jumpdatum9 = function () {
        this.navCtrl.push('SwitchaccountPage');
    };
    /**
     * 修改账号
     */
    PersonalCenterPage.prototype.jumpdatum4 = function () {
        if (this.Userinfo == null) {
            this.exitlogin();
        }
        else {
            this.navCtrl.push('AccountSecurityPage');
        }
    };
    /**
     * 修改资料
     */
    PersonalCenterPage.prototype.jumpdatum5 = function () {
        if (this.Userinfo == null) {
            this.exitlogin();
        }
        else {
            this.navCtrl.push('PersonalDataPage');
        }
    };
    // 我的收藏
    PersonalCenterPage.prototype.jumpdatum10 = function (title) {
        if (this.Userinfo == null) {
            this.exitlogin();
        }
        else {
            this.navCtrl.push('MyPublicPage', { title: title });
        }
    };
    // 我的申请
    PersonalCenterPage.prototype.jumpdatum11 = function () {
        this.navCtrl.push('MyApplyPage');
    };
    /**
     * 退出
     */
    PersonalCenterPage.prototype.jumplogin = function () {
        var _this = this;
        var prompt = this.alertCtrl.create({
            title: '确认退出',
            buttons: [
                {
                    text: '取消',
                    handler: function (data) {
                    }
                },
                {
                    text: '确认',
                    handler: function (data) {
                        _this.loginout();
                        _this.thePublicModule.USER_INFO = null;
                        // window.localStorage.clear();
                        _this.Touristspermissions();
                    }
                }
            ]
        });
        prompt.present();
    };
    /**
     * 游客登录权限查看
     */
    PersonalCenterPage.prototype.Touristspermissions = function () {
        var _this = this;
        var url = 'login/visitorJurisdiction';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data != '') {
                _this.thePublicModule.JOBSMENU_LIST = null;
                _this.thePublicModule.ZXMENU_LIST = null;
                _this.thePublicModule.BUTTON_LIST = data.return_data.buttonList;
                _this.thePublicModule.MENU_LIST = data.return_data.menuList;
                for (var i = 0; i < _this.thePublicModule.MENU_LIST.length; i++) {
                    if (_this.thePublicModule.MENU_LIST[i].menuName == '全部服务') {
                        _this.thePublicModule.MOREMENU_LIST = _this.thePublicModule.MENU_LIST[i].children;
                    }
                }
                // for (let i = 0; i < this.thePublicModule.MENU_LIST.length; i++) {
                //   if (this.thePublicModule.MENU_LIST[i].menuName == '工作台') {
                //     this.thePublicModule.JOBSMENU_LIST = this.thePublicModule.MENU_LIST[i].children;
                //   }
                // }
                //
                for (var i = 0; i < _this.thePublicModule.MENU_LIST.length; i++) {
                    if (_this.thePublicModule.MENU_LIST[i].menuName == '咨询') {
                        _this.thePublicModule.ZXMENU_LIST = _this.thePublicModule.MENU_LIST[i].children;
                    }
                }
            }
        });
    };
    /**
     * 退出
     */
    PersonalCenterPage.prototype.loginout = function () {
        var _this = this;
        var url = 'login/logout';
        this.toolservice.doPost(url, '', function (data) {
            if (data.return_code == '000000') {
                // this.app.getRootNav().setRoot('LoginPage');
                _this.Userinfo = _this.thePublicModule.USER_INFO;
                _this.contermessage = _this.thePublicModule.COMPANY;
            }
            else {
                _this.toolservice.showtoast(data.return_msg);
            }
        });
    };
    /**
     * 注销账户
     */
    PersonalCenterPage.prototype.logout = function () {
        var _this = this;
        var prompt = this.alertCtrl.create({
            title: '注销后该账号将不能再次登录,请输入密码确认。',
            inputs: [
                {
                    name: 'password',
                    placeholder: 'Password',
                    type: 'password'
                }
            ],
            buttons: [
                {
                    text: '取消',
                    handler: function (data) {
                    }
                },
                {
                    text: '确认',
                    handler: function (data) {
                        if (data.password == '') {
                            _this.toolservice.showtoast('请输入密码确认');
                        }
                        else {
                            var loading_1 = _this.loadingCtrl.create();
                            loading_1.present();
                            var url = 'login/deleteLogout?userId=' + _this.thePublicModule.USER_INFO.userId + '&password=' + data.password;
                            _this.toolservice.doGet(url, function (data) {
                                if (data.return_code == '000000') {
                                    window.localStorage.clear();
                                    loading_1.dismiss();
                                    _this.Touristspermissions();
                                    _this.Userinfo = _this.thePublicModule.USER_INFO;
                                    _this.contermessage = _this.thePublicModule.COMPANY;
                                }
                                else {
                                    loading_1.dismiss();
                                    _this.toolservice.showtoast(data.return_msg);
                                }
                            }, function (error) {
                                loading_1.dismiss();
                            });
                        }
                    }
                }
            ]
        });
        prompt.present();
    };
    /**
     * 退出登录
     */
    PersonalCenterPage.prototype.exitlogin = function () {
        // this.app.getRootNav().setRoot('LoginPage');
        this.navCtrl.push('LoginPage');
        this.Userinfo = this.thePublicModule.USER_INFO;
        this.contermessage = this.thePublicModule.COMPANY;
    };
    /**
     * 跳转
     */
    PersonalCenterPage.prototype.jumppages = function (item) {
        this.navCtrl.push(item.jumppage);
    };
    /**
     * 跳转官网
     */
    PersonalCenterPage.prototype.jumpgw = function () {
        window.location.href = __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__["b" /* COMPANY_URL */] + this.contermessage.id;
    };
    /**
     * 返回上一级
     */
    PersonalCenterPage.prototype.back = function () {
        this.navCtrl.pop();
    };
    PersonalCenterPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-personal-center',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\personal-center\personal-center.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>我的资料</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n<ion-content style="background-color: #f7f7f7;">\n\n\n\n  <div style="height: 110px;">\n\n    <div style="position:absolute;width: 100%;"></div>\n\n    <!--<div style="width: 100%;height: 100px;background:linear-gradient(to right, #ff685a, #ee1b24);"></div>-->\n\n    <img style="width: 100%;height: 100px;" src="assets/imgs/persons.png">\n\n    <div\n\n      style="position: absolute;top: 5px;width: 90%;left: 5%;right: 5%;border-radius: 8px;">\n\n      <div class="personal_cont_div" *ngIf="Userinfo != null">\n\n        <img class="personal_cont_img" src="{{image_url+contermessage.logo}}">\n\n        <div class="personal_cont_mess" style="padding-top: 10px;">\n\n          <div style="font-weight: 700; font-size: 16px;color: white; margin-bottom: 5px;">{{Userinfo.nickname}}&nbsp;&nbsp;<img item-left="" style="width: 20px;vertical-align: sub;" *ngIf="Userinfo !=null && Userinfo.superAdmin == 0" (click)="jumpdatum9()" src="assets/imgs/personal19.png">\n\n          </div>\n\n          <div style="font-weight: 700; font-size: 16px;color: white; margin-bottom: 5px;">\n\n            {{Userinfo.telephone.toString().replace(Userinfo.telephone.toString().substring(3,7),"****")}}\n\n          </div>\n\n        </div>\n\n      </div>\n\n\n\n      <div class="personal_cont_div" *ngIf="Userinfo == null">\n\n        <img class="personal_cont_img" src="assets/imgs/logo.png">\n\n        <div class="personal_cont_mess" style="padding-top: 25px;">\n\n          <div style="font-weight: 700; font-size: 16px;color: white; margin-bottom: 5px;" (click)="exitlogin()">\n\n            请登录\n\n          </div>\n\n        </div>\n\n      </div>\n\n    </div>\n\n\n\n  </div>\n\n\n\n  <div style="width: 100%;border-radius: 5px;background-color: #ffffff;">\n\n    <button no-lines="" ion-item="" (click)="jumpdatum5()">\n\n      <img item-left="" class="btn_img" src="assets/imgs/personal.png">\n\n      <span item-left="" class="btn_mess">&nbsp;&nbsp;个人资料</span>\n\n    </button>\n\n    <div class="personal_lae1"></div>\n\n    <button no-lines="" ion-item="" (click)="jumpdatum1()">\n\n      <img item-left="" class="btn_img" src="assets/imgs/personal9.png">\n\n      <span item-left="" class="btn_mess">&nbsp;&nbsp;我的消息<ion-badge color="primary">{{myMsg}}</ion-badge></span>\n\n    </button>\n\n    <div class="personal_lae1"></div>\n\n    <button no-lines="" ion-item="" (click)="jumpdatum6()">\n\n      <img item-left="" class="btn_img" src="assets/imgs/personal15.png">\n\n      <span item-left="" class="btn_mess">&nbsp;&nbsp;我的积分</span>\n\n    </button>\n\n    <div class="personal_lae1"></div>\n\n    <button no-lines="" ion-item="" (click)="jumpdatum10(\'我的收藏\')">\n\n      <img item-left="" class="btn_img" src="assets/imgs/news/2.png">\n\n      <span item-left="" class="btn_mess">&nbsp;&nbsp;我的收藏</span>\n\n    </button>\n\n    <div class="personal_lae1"></div>\n\n    <button no-lines="" ion-item="" (click)="jumpdatum10(\'我的点赞\')">\n\n      <img item-left="" class="btn_img" src="assets/imgs/news/0.png">\n\n      <span item-left="" class="btn_mess">&nbsp;&nbsp;我的点赞</span>\n\n    </button>\n\n    <div class="personal_lae1"></div>\n\n    <button no-lines="" ion-item="" (click)="jumpdatum11(\'我的申请\')">\n\n      <img item-left="" class="btn_img" src="assets/imgs/personal15.png">\n\n      <span item-left="" class="btn_mess">&nbsp;&nbsp;我的申请</span>\n\n    </button>\n\n    <div class="personal_lae1"></div>\n\n    <button no-lines="" ion-item="" (click)="jumpdatum7()">\n\n      <img item-left="" class="btn_img" src="assets/imgs/personal16.png">\n\n      <span item-left="" class="btn_mess">&nbsp;&nbsp;我的订单</span>\n\n    </button>\n\n    <div class="personal_lae1"></div>\n\n    <button no-lines="" ion-item="" (click)="jumpdatum8()">\n\n      <img item-left="" class="btn_img" src="assets/imgs/personal18.png">\n\n      <span item-left="" class="btn_mess">&nbsp;&nbsp;扫码分享</span>\n\n    </button>\n\n    <!--<div class="personal_lae1" *ngIf="Userinfo !=null && Userinfo.superAdmin == 0"></div>-->\n\n    <!--<button no-lines="" ion-item="" (click)="jumpdatum9()" *ngIf="Userinfo !=null && Userinfo.superAdmin == 0">-->\n\n      <!--<img item-left="" class="btn_img" src="assets/imgs/personal19.png">-->\n\n      <!--<span item-left="" class="btn_mess">&nbsp;&nbsp;切换账号</span>-->\n\n    <!--</button>-->\n\n    <div class="personal_lae1"></div>\n\n    <button no-lines="" ion-item="" (click)="jumpdatum4()">\n\n      <img item-left="" class="btn_img" src="assets/imgs/personal12.png">\n\n      <span item-left="" class="btn_mess">&nbsp;&nbsp;账户安全</span>\n\n    </button>\n\n    <div class="personal_lae1" *ngIf="Userinfo !=null"></div>\n\n    <button no-lines="" ion-item="" (click)="jumplogin()" *ngIf="Userinfo !=null">\n\n      <img item-left="" class="btn_img" src="assets/imgs/personal13.png">\n\n      <span item-left="" class="btn_mess">&nbsp;&nbsp;退出登录</span>\n\n    </button>\n\n    <div class="personal_lae1" *ngIf="Userinfo !=null"></div>\n\n    <button no-lines="" ion-item="" (click)="logout()" *ngIf="Userinfo !=null">\n\n      <img item-left="" class="btn_img" src="assets/imgs/personal17.png">\n\n      <span item-left="" class="btn_mess">&nbsp;&nbsp;注销账户</span>\n\n    </button>\n\n  </div>\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\personal-center\personal-center.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__["i" /* ThePublicModule */],
            __WEBPACK_IMPORTED_MODULE_4__providers_service_service__["a" /* WebSocketService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["App"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"]])
    ], PersonalCenterPage);
    return PersonalCenterPage;
}());

//# sourceMappingURL=personal-center.js.map

/***/ }),

/***/ 923:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PersonalCenterPageModule", function() { return PersonalCenterPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__personal_center__ = __webpack_require__(1148);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic3_star_rating__ = __webpack_require__(518);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var PersonalCenterPageModule = /** @class */ (function () {
    function PersonalCenterPageModule() {
    }
    PersonalCenterPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__personal_center__["a" /* PersonalCenterPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_3_ionic3_star_rating__["a" /* StarRatingModule */],
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__personal_center__["a" /* PersonalCenterPage */]),
            ],
        })
    ], PersonalCenterPageModule);
    return PersonalCenterPageModule;
}());

//# sourceMappingURL=personal-center.module.js.map

/***/ })

});
//# sourceMappingURL=133.js.map