webpackJsonp([135],{

/***/ 1146:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NewproductPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_app_availability__ = __webpack_require__(527);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_in_app_browser__ = __webpack_require__(528);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the NewproductPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var NewproductPage = /** @class */ (function () {
    function NewproductPage(navCtrl, navParams, toolservie, loadingCtrl, iab, platform, appAvailability) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservie = toolservie;
        this.loadingCtrl = loadingCtrl;
        this.iab = iab;
        this.platform = platform;
        this.appAvailability = appAvailability;
        //segment默认值
        this.nanproduct = 'nanchongmade';
        //筛选id
        this.productid = '';
        //筛选名称
        this.productname = '';
        // 每页展示的记录条数
        this.pageSize = 10;
        // 记录列表刷新次数
        this.numrecord = 1;
        //图片地址
        this.image_url = __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["d" /* IMAGEURL */];
        //筛选内容
        this.newcontent = '';
        //筛选id
        this.neworganid = '';
        // 搜索框输入条件
        this.searchvalue = '';
        // 南充企业
        //默认公司
        this.checknam = 'checkcompany';
        // 每页展示的记录条数
        this.qypageSize = 10;
        // 记录列表刷新次数
        this.qynumrecord = 1;
        //图片
        // image_url = IMAGEURL;
        //搜索内容
        this.searcontent = '';
        this.nanproduct = this.navParams.get('type');
        this.selectproduct();
        this.selectmineproduct();
        this.selectproductdata();
        this.selectpriseDirectoryList();
        this.selectCorporateAdvertising();
        this.distinguishid = 1;
        this.placeholdername = '请输入企业名称';
        this.newcitydata = [
            {
                title: '归属区域', content: [
                    { id: 511302, name: '顺庆区' },
                    { id: 511303, name: '高坪区' },
                    { id: 511304, name: '嘉陵区' },
                    { id: 511381, name: '阆中市' },
                    { id: 511321, name: '南部县' },
                    { id: 511325, name: '西充县' },
                    { id: 511324, name: '仪陇县' },
                    { id: 511322, name: '营山县' },
                    { id: 511323, name: '蓬安县' }
                ]
            }
        ];
    }
    NewproductPage.prototype.ionViewDidLoad = function () {
    };
    /**
     * 筛选
     */
    NewproductPage.prototype.openscreening = function () {
        // this.productid = '';
        // this.productname = '';
        // this.neworganid = '';
        // this.newcontent = '';
        var screeningitem = document.getElementById("screening");
        screeningitem.style.display = 'block';
    };
    /**
     * 查询我的新产品
     */
    NewproductPage.prototype.selectproduct = function () {
        var _this = this;
        this.productid = '';
        this.productname = '';
        this.neworganid = '';
        this.newcontent = '';
        this.productnum = 1;
        var loading = this.loadingCtrl.create({});
        loading.present();
        var url = 'bsSupplyProduct/getPageSupplyProduct?categoryId=2&status=1&isNewProduct=1&pageNum=1&pageSize=10';
        this.toolservie.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                _this.minenewproductdata = data.return_data.list;
                _this.newproductlength = data.return_data['total'];
                // 消息记录数组最大页面赋值
                _this.newproductPage = data.return_data['pages'];
                _this.numrecord = 1;
                loading.dismiss();
            }
            else {
                loading.dismiss();
            }
        }, function (error) {
            loading.dismiss();
        });
    };
    /**
     * 查询南充造
     */
    NewproductPage.prototype.selectmineproduct = function () {
        var _this = this;
        this.productid = '';
        this.productname = '';
        this.neworganid = '';
        this.newcontent = '';
        this.productnum = 2;
        var loading = this.loadingCtrl.create({});
        loading.present();
        var url = 'bsSupplyProduct/getPageSupplyProduct?categoryId=2&isNewProduct=0&status=1&pageNum=1&pageSize=10';
        this.toolservie.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                _this.newproductdata = data.return_data.list;
                _this.newproductlength = data.return_data['total'];
                // 消息记录数组最大页面赋值
                _this.newproductPage = data.return_data['pages'];
                _this.numrecord = 1;
                loading.dismiss();
            }
            else {
                loading.dismiss();
            }
        }, function (error) {
            loading.dismiss();
        });
    };
    /**
     * 查询分类
     */
    NewproductPage.prototype.selectproductdata = function () {
        var _this = this;
        var url = 'bsCategoryDictionary/getPageCategoryDictionary?type=16&pageNum=1&pageSize=10';
        this.toolservie.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                _this.producttypedata = [
                    { title: '标签', 'content': data.return_data.list }
                ];
            }
            else {
            }
        });
    };
    /**
     * 判断是否有数据
     */
    NewproductPage.prototype.judgenulldata = function (searchjudg) {
        if (searchjudg.value.length == 0) {
            if (this.productnum == 1) {
                this.selectproduct();
            }
            else {
                this.selectmineproduct();
            }
        }
    };
    /**
     * 选择
     */
    NewproductPage.prototype.changepolicy = function (item) {
        this.productid = item.id;
        this.productname = item.name;
    };
    /**
     * 选择
     */
    NewproductPage.prototype.changenewfirm = function (item) {
        this.neworganid = item.id;
        this.newcontent = item.name;
    };
    /**
     * 根据条件查询
     */
    NewproductPage.prototype.searproduct = function (polisear) {
        var _this = this;
        if (polisear.value.length == 0) {
            this.toolservie.showtoast("请输入内容");
        }
        else {
            var loading_1 = this.loadingCtrl.create({});
            loading_1.present();
            this.numrecord = 1;
            var url = void 0;
            if (this.productnum == 1) {
                url = 'bsSupplyProduct/getPageSupplyProduct?categoryId=2&name=' + polisear.value + '&regionId=' + this.neworganid + '&productLabel=' + this.productid + '&status=1&isNewProduct=1&pageNum=1&pageSize=10';
            }
            else {
                url = 'bsSupplyProduct/getPageSupplyProduct?categoryId=2&name=' + polisear.value + '&regionId=' + this.neworganid + '&productLabel=' + this.productid + '&status=1&isNewProduct=0&pageNum=1&pageSize=10';
            }
            this.toolservie.doGet(url, function (data) {
                if (data.return_code == '000000' && data.return_data.list != '') {
                    // 循环插入数据数组
                    if (_this.productnum == 1) {
                        _this.minenewproductdata = data.return_data.list;
                    }
                    else {
                        _this.newproductdata = data.return_data.list;
                    }
                    _this.newproductlength = data.return_data['total'];
                    // 消息记录数组最大页面赋值
                    _this.newproductPage = data.return_data['pages'];
                    _this.numrecord = 1;
                    loading_1.dismiss();
                }
                else {
                    _this.toolservie.showtoast(data.return_msg);
                    loading_1.dismiss();
                    if (_this.productnum == 1) {
                        _this.minenewproductdata = null;
                    }
                    else {
                        _this.newproductdata = null;
                    }
                }
            }, function (error) {
                loading_1.dismiss();
            });
        }
    };
    /**
     * 跳转详情
     */
    NewproductPage.prototype.jumpdockingdetails = function (itemid) {
        var url = '/bsSupplyProduct/addReadQuantity?id=' + itemid;
        this.toolservie.doGet(url, function (data) {
            if (data.return_code == '000000') {
            }
        });
        this.navCtrl.push('DockingDetailsPage', { dockid: itemid, jumpnum: 3 });
    };
    /**
     * 关闭筛选
     */
    NewproductPage.prototype.closescreening = function (item) {
        var _this = this;
        var screeningitem = document.getElementById("screening");
        if (item == 1) {
            // this.productid = '';
            // this.productname = '';
            // this.neworganid = '';
            // this.newcontent = '';
            screeningitem.style.display = 'none';
        }
        else {
            var url = '';
            if (this.productnum == 1) {
                url = 'bsSupplyProduct/getPageSupplyProduct?categoryId=2' + '&regionId=' + this.neworganid + '&productLabel=' + this.productid + '&status=1&isNewProduct=1&pageNum=1&pageSize=10';
            }
            else {
                url = 'bsSupplyProduct/getPageSupplyProduct?categoryId=2' + '&regionId=' + this.neworganid + '&productLabel=' + this.productid + '&status=1&isNewProduct=0&pageNum=1&pageSize=10';
            }
            // let url = 'bsSupplyProduct/getPageSupplyProduct?categoryId=2&productLabel=' + this.productid + '&status=1&isNewProduct=1&pageNum=1&pageSize=10'
            this.toolservie.doGet(url, function (data) {
                if (data.return_code == '000000' && data.return_data.list != '') {
                    if (_this.productnum == 1) {
                        _this.minenewproductdata = data.return_data.list;
                    }
                    else {
                        _this.newproductdata = data.return_data.list;
                    }
                    _this.newproductlength = data.return_data['total'];
                    // 消息记录数组最大页面赋值
                    _this.newproductPage = data.return_data['pages'];
                    _this.numrecord = 1;
                    screeningitem.style.display = 'none';
                }
                else {
                    _this.minenewproductdata = null;
                    _this.newproductdata = null;
                    _this.toolservie.showtoast("没查到数据");
                }
            });
        }
    };
    /**
     * 重置
     */
    NewproductPage.prototype.closevalue = function () {
        this.productid = '';
        this.productname = '';
        this.neworganid = '';
        this.newcontent = '';
        this.selectproduct();
        this.selectmineproduct();
        var screeningitem = document.getElementById("screening");
        screeningitem.style.display = 'none';
    };
    /**
     * 上滑加载更多
     */
    NewproductPage.prototype.minInfinite = function (infiniteScroll, searchvalue) {
        var _this = this;
        console.log(this.nanproduct);
        if (this.nanproduct == 'nanchongmade') {
            setTimeout(function () {
                // 加载完成关闭刷新
                infiniteScroll.complete();
                // 判读数据超过十条启动刷新
                if (_this.newproductlength > _this.pageSize) {
                    //增加index
                    _this.numrecord++;
                    // 判断刷新分页页码大小
                    if (_this.numrecord > _this.newproductPage) {
                        //如果都加载完成的情况，就直接 disable ，移除下拉加载
                        // infiniteScroll.enable(false);
                        //toast提示
                        _this.toolservie.showtoast("已加载所有");
                    }
                    else {
                        var url = '';
                        if (_this.productnum == 1) {
                            url = 'bsSupplyProduct/getPageSupplyProduct?categoryId=2&status=1&isNewProduct=1&productLabel=' + _this.productid + '&name=' + _this.searchvalue + '&pageNum=' + _this.numrecord + '&pageSize=' + _this.pageSize;
                        }
                        else {
                            url = 'bsSupplyProduct/getPageSupplyProduct?categoryId=2&isNewProduct=0&productLabel=' + _this.productid + '&name=' + _this.searchvalue + '&status=1&pageNum=' + _this.numrecord + '&pageSize=' + _this.pageSize;
                        }
                        _this.toolservie.doGet(url, function (data) {
                            if (data.return_code == '000000') {
                                // 加载完成关闭刷新
                                infiniteScroll.complete();
                                // 循环插入数据数组
                                for (var i = 0; i < data.return_data['list'].length; i++) {
                                    if (_this.productnum == 1) {
                                        _this.minenewproductdata.push(data.return_data['list'][i]);
                                    }
                                    else {
                                        _this.newproductdata.push(data.return_data['list'][i]);
                                    }
                                }
                            }
                        });
                    }
                    // }, 2000);
                }
                else {
                    // 加载全部数据禁用刷新
                    // infiniteScroll.enable(false);
                    _this.toolservie.showtoast("已加载所有");
                }
            }, 2000);
        }
        else {
            setTimeout(function () {
                // 加载完成关闭刷新
                infiniteScroll.complete();
                // 判读数据超过十条启动刷新
                if (_this.priselength > _this.qypageSize) {
                    //增加index
                    _this.qynumrecord++;
                    // 判断刷新分页页码大小
                    if (_this.qynumrecord > _this.prisePage) {
                        //如果都加载完成的情况，就直接 disable ，移除下拉加载
                        infiniteScroll.enable(false);
                        //toast提示
                        _this.toolservie.showtoast("已加载所有");
                    }
                    else {
                        var url = void 0;
                        if (_this.distinguishid == 1) {
                            url = 'baseEnterpriseDirectory/getEnterpriseDirectoryList?name=' + _this.searcontent + '&pageNum=' + _this.qynumrecord + '&pageSize=' + _this.qypageSize;
                        }
                        else if (_this.distinguishid == 2) {
                            url = 'baseEnterpriseDirectory/getEnterpriseDirectoryList?legalPerson=' + _this.searcontent + '&pageNum=' + _this.qynumrecord + '&pageSize=' + _this.qypageSize;
                        }
                        else {
                            url = 'baseEnterpriseDirectory/getEnterpriseDirectoryList?creditCode=' + _this.searcontent + '&pageNum=' + _this.qynumrecord + '&pageSize=' + _this.qypageSize;
                        }
                        _this.toolservie.doGet(url, function (data) {
                            if (data.return_code == '000000') {
                                // 加载完成关闭刷新
                                infiniteScroll.complete();
                                // 循环插入数据数组
                                for (var i = 0; i < data.return_data['list'].length; i++) {
                                    _this.priseDirectory.push(data.return_data['list'][i]);
                                }
                            }
                        });
                    }
                    // }, 2000);
                }
                else {
                    // 加载全部数据禁用刷新
                    _this.toolservie.showtoast("已加载所有");
                }
            }, 2000);
        }
    };
    // 南充企业
    /**
     * 跳转详情
     */
    NewproductPage.prototype.jumporgdetails = function (itemid) {
        this.navCtrl.push('OrganizationchatDetailsPage', { detid: itemid });
    };
    /**
     * 区分类型
     *
     */
    NewproductPage.prototype.distingtype = function (item) {
        if (item == 1) {
            this.searcontent = '';
            this.placeholdername = '请输入企业名称';
            this.distinguishid = 1;
            this.selectpriseDirectoryList();
        }
        else if (item == 2) {
            this.searcontent = '';
            this.distinguishid = 2;
            this.placeholdername = '请输入法人姓名';
            this.selectpriseDirectoryList();
        }
        else {
            this.searcontent = '';
            this.distinguishid = 3;
            this.placeholdername = '请输入企业代码';
            this.selectpriseDirectoryList();
        }
    };
    /**
     * 跳转官网
     */
    NewproductPage.prototype.jumpgw = function (url) {
        if (url) {
            window.location.href = url;
        }
        else {
            this.toolservie.showtoast('该公司暂无官网！');
        }
    };
    /**
     * 查询列表数据
     */
    NewproductPage.prototype.selectpriseDirectoryList = function () {
        var _this = this;
        var loading = this.loadingCtrl.create();
        loading.present();
        var url = 'baseEnterpriseDirectory/getEnterpriseDirectoryList?pageNum=1&pageSize=10';
        this.toolservie.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                _this.searid = 1;
                _this.priselength = data.return_data['total'];
                // 消息记录数组最大页面赋值
                _this.prisePage = data.return_data['pages'];
                _this.numrecord = 1;
                _this.priseDirectory = data.return_data.list;
                loading.dismiss();
            }
            else {
                loading.dismiss();
                _this.priseDirectory = null;
            }
        }, function (error) {
            loading.dismiss();
        });
    };
    /**
     * 查询广告
     */
    NewproductPage.prototype.selectCorporateAdvertising = function () {
        var _this = this;
        var url = 'cmsContent/getCorporateAdvertising';
        this.toolservie.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data != '') {
                _this.adimg = data.return_data.imgData;
            }
        });
    };
    /**
     * 跳转地图
     */
    NewproductPage.prototype.jumpgaod = function (item) {
        var _this = this;
        var app;
        var appname;
        if (this.platform.is('ios')) {
            app = 'autonavimap://';
            var mapa = encodeURI(item);
            appname = 'iosamap://poi?sourceApplication=applicationName&name=' + mapa;
        }
        else if (this.platform.is('android')) {
            app = 'com.autonavi.minimap';
            appname = 'androidamap://poi?sourceApplication=applicationName&keywords=' + item;
        }
        this.appAvailability.check(app)
            .then(function (yes) {
            _this.iab.create(appname, '_system');
        }, function (no) {
            _this.toolservie.showtoast('请下载高德地图');
        });
    };
    /**
     * 搜索菜单
     */
    NewproductPage.prototype.Searorgan = function () {
        var _this = this;
        if (this.searcontent == '') {
            this.selectpriseDirectoryList();
        }
        else {
            var loading_2 = this.loadingCtrl.create();
            loading_2.present();
            var url = void 0;
            if (this.distinguishid == 1) {
                url = 'baseEnterpriseDirectory/getEnterpriseDirectoryList?name=' + this.searcontent + '&pageNum=1&pageSize=10';
            }
            else if (this.distinguishid == 2) {
                url = 'baseEnterpriseDirectory/getEnterpriseDirectoryList?legalPerson=' + this.searcontent + '&pageNum=1&pageSize=10';
            }
            else {
                url = 'baseEnterpriseDirectory/getEnterpriseDirectoryList?creditCode=' + this.searcontent + '&pageNum=1&pageSize=10';
            }
            this.toolservie.doGet(url, function (data) {
                if (data.return_code == '000000' && data.return_data.list != '') {
                    _this.searid = 2;
                    _this.priselength = data.return_data['total'];
                    // 消息记录数组最大页面赋值
                    _this.prisePage = data.return_data['pages'];
                    _this.numrecord = 1;
                    _this.priseDirectory = data.return_data.list;
                    loading_2.dismiss();
                }
                else {
                    loading_2.dismiss();
                    _this.priseDirectory = null;
                }
            }, function (error) {
                loading_2.dismiss();
            });
        }
    };
    /**
     * 上滑加载更多
     */
    NewproductPage.prototype.minInfiniteqy = function (infiniteScroll) {
        var _this = this;
        setTimeout(function () {
            // 加载完成关闭刷新
            infiniteScroll.complete();
            // 判读数据超过十条启动刷新
            if (_this.priselength > _this.pageSize) {
                //增加index
                _this.numrecord++;
                // 判断刷新分页页码大小
                if (_this.numrecord > _this.prisePage) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    infiniteScroll.enable(false);
                    //toast提示
                    _this.toolservie.showtoast("已加载所有");
                }
                else {
                    var url = void 0;
                    if (_this.distinguishid == 1) {
                        url = 'baseEnterpriseDirectory/getEnterpriseDirectoryList?name=' + _this.searcontent + '&pageNum=' + _this.numrecord + '&pageSize=' + _this.pageSize;
                    }
                    else if (_this.distinguishid == 2) {
                        url = 'baseEnterpriseDirectory/getEnterpriseDirectoryList?legalPerson=' + _this.searcontent + '&pageNum=' + _this.numrecord + '&pageSize=' + _this.pageSize;
                    }
                    else {
                        url = 'baseEnterpriseDirectory/getEnterpriseDirectoryList?creditCode=' + _this.searcontent + '&pageNum=' + _this.numrecord + '&pageSize=' + _this.pageSize;
                    }
                    _this.toolservie.doGet(url, function (data) {
                        if (data.return_code == '000000') {
                            // 加载完成关闭刷新
                            infiniteScroll.complete();
                            // 循环插入数据数组
                            for (var i = 0; i < data.return_data['list'].length; i++) {
                                _this.priseDirectory.push(data.return_data['list'][i]);
                            }
                        }
                    });
                }
                // }, 2000);
            }
            else {
                // 加载全部数据禁用刷新
                _this.toolservie.showtoast("已加载所有");
            }
        }, 2000);
    };
    NewproductPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-newproduct',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\newproduct\newproduct.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>南充造</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <!-- <div class="docking_div_slide">\n\n    <img src="assets/imgs/docking1.png">\n\n  </div> -->\n\n  <ion-segment [(ngModel)]="nanproduct" mode="md" style="background-color: white;">\n\n    <ion-segment-button value="nanchongmade" (click)="selectmineproduct()">南充产品\n\n    </ion-segment-button>\n\n    <ion-segment-button value="organizationchart" (click)="selectproduct()">南充企业\n\n    </ion-segment-button>\n\n  </ion-segment>\n\n\n\n\n\n\n\n\n\n  <div [ngSwitch]="nanproduct">\n\n    <!-- <ion-list *ngSwitchCase="\'newproduct\'"> 新产品\n\n      <img *ngIf="minenewproductdata == null" style="width: 80%;margin-left: 10%;" src="assets/imgs/nulldata.png">\n\n      <div style="width: 100%;height: 90px;margin-top: 15px;border-bottom: 5px solid #f4f4f4;"\n\n           *ngFor="let pros of minenewproductdata" (click)="jumpdockingdetails(pros.id)">\n\n        <div style="float: left;margin-left: 5%;width: 70px;height: 70px;">\n\n          <img style="width: 70px;height: 70px;" src="{{image_url+pros.mainImg}}">\n\n        </div>\n\n        <div style="margin-left: 100px;height: 70px;margin-right: 5%;">\n\n          <div style="width: 100%;height: 24px;">\n\n            <ion-label style="font-size: 17px;float: left;width: 90%;color: #525252">{{pros.name}}</ion-label>\n\n            <div style="width: 10%;float: right;text-align: right;">\n\n              <img style="width: 20px;" src="assets/imgs/docking11.png">\n\n            </div>\n\n          </div>\n\n          <div style="width: 100%;">\n\n            <ion-label style="color: #666666;font-size: 14px;float: left;">\n\n              <span style="color: red;font-size: 14px;">{{pros.price}}</span>&nbsp;\n\n              <img style="width: 13px;" src="assets/imgs/docking6.png">\n\n              {{pros.companyName}}\n\n            </ion-label>\n\n          </div>\n\n          <div style="width: 100%;margin-top: 5px;color: #666666;font-size: 13px;">发布日期:{{pros.createTime |\n\n            date:"yyyy-MM-dd"}}\n\n            <div style=" margin-top: 2px;width: 30%;float: right;text-align: right;color: #7F7F7F;font-size: 13px;"><img\n\n              style="width: 17px;" src="assets/imgs/6.png">&nbsp;&nbsp;&nbsp;{{pros.readQuantity}}\n\n            </div>\n\n          </div>\n\n        </div>\n\n      </div>\n\n    </ion-list> -->\n\n    <ion-list *ngSwitchCase="\'nanchongmade\'">\n\n      <div style="width: 90%;margin-top: 15px;margin-left: 5%;height: 50px">\n\n        <ion-searchbar style="width: 65%;float: left;" [(ngModel)]="searchvalue" placeholder="请输入想搜索的内容"\n\n          (ionChange)="judgenulldata(searchvalue)"></ion-searchbar>\n\n        <div class="search_div">\n\n          <button ion-button block class="search_div_btn" (click)="searproduct(searchvalue)">搜索</button>\n\n        </div>\n\n        <div class="screening_div">\n\n          <button ion-button block class="screening_div_btn" (click)="openscreening()">筛选<img style="width: 12px;"\n\n              src="assets/imgs/screening.png">\n\n          </button>\n\n        </div>\n\n      </div>\n\n      <img *ngIf="newproductdata == null" style="width: 80%;margin-left: 10%;" src="assets/imgs/nulldata.png">\n\n      <div style="width: 100%;height: 80px;margin-top: 15px;border-bottom: 5px solid #f4f4f4;"\n\n        *ngFor="let minprod of newproductdata">\n\n        <div style="float: left;margin-left: 5%;width: 70px;height: 70px;">\n\n          <img style="width: 70px;height: 70px;" src="{{image_url+(minprod.litimg ? minprod.litimg : minprod.mainImg)}}">\n\n        </div>\n\n        <div style="margin-left: 100px;height: 70px;margin-right: 5%;" (click)="jumpdockingdetails(minprod.id)">\n\n          <div style="width: 100%;height: 24px;">\n\n            <ion-label style="font-size: 17px;float: left;width: 90%;color: #525252">{{minprod.name}}</ion-label>\n\n            <div style="width: 10%;float: right;text-align: right;">\n\n              <img style="width: 20px;" *ngIf="minprod.isBoutique" src="assets/imgs/docking10.png">\n\n            </div>\n\n          </div>\n\n          <div style="width: 100%;float: left;">\n\n            <ion-label style="color: #666666;font-size: 14px;">\n\n              <span style="color: red;font-size: 14px;">{{minprod.price}}</span>&nbsp;\n\n              <img style="width: 13px;" src="assets/imgs/docking6.png">\n\n              {{minprod.companyName}}\n\n            </ion-label>\n\n          </div>\n\n          <div style="width: 100%;margin-top: 5px;color: #666666;font-size: 13px;">发布日期:{{minprod.createTime |\n\n            date:"yyyy-MM-dd"}}\n\n            <div style=" margin-top: 2px;width: 30%;float: right;text-align: right;color: #7F7F7F;font-size: 13px;">\n\n              <img style="width: 17px;" src="assets/imgs/6.png">&nbsp;&nbsp;&nbsp;{{minprod.readQuantity}}\n\n            </div>\n\n          </div>\n\n        </div>\n\n      </div>\n\n    </ion-list>\n\n    <ion-list *ngSwitchCase="\'organizationchart\'" class="organizationchart">\n\n      <div class="top">\n\n        <img style="width: 100%;" src="assets/imgs/chatimg/chatimg.png">\n\n        <div class="content">\n\n          <ion-segment class="tabs" [(ngModel)]="checknam" mode="md">\n\n            <ion-segment-button value="checkcompany" (click)="distingtype(1)">查公司\n\n            </ion-segment-button>\n\n            <ion-segment-button value="checkperson" (click)="distingtype(2)">查法人\n\n            </ion-segment-button>\n\n            <ion-segment-button value="checkCode" (click)="distingtype(3)">查代码\n\n            </ion-segment-button>\n\n          </ion-segment>\n\n          <div class="searchDiv">\n\n            <ion-searchbar class="searchBar" [(ngModel)]="searcontent" placeholder="{{placeholdername}}">\n\n            </ion-searchbar>\n\n            <button ion-button block class="search_div_btn" (click)="Searorgan()">搜索</button>\n\n          </div>\n\n          <div class="tips">\n\n            *本查询数据由南充市中小微企业服务中心采集\n\n          </div>\n\n        </div>\n\n      </div>\n\n\n\n\n\n      <!-- <div style="width: 100%;height: 10px;background-color: #f7f7f7;margin-top: 70px;"></div> -->\n\n      <img src="{{image_url+adimg}}">\n\n      <div style="width: 100%;height: 10px;background-color: #f7f7f7;"></div>\n\n\n\n      <div [ngSwitch]="checknam">\n\n        <ion-list *ngSwitchCase="\'checkcompany\'">\n\n          <div style="width: 100%;padding-top: 10px;" *ngFor="let prise of priseDirectory">\n\n            <div style="width: 96%;margin-left: 2%;font-size: 17px;color: #525252;" (click)="jumporgdetails(prise.id)">\n\n              {{prise.name}}\n\n              &nbsp;\n\n              <img *ngIf="prise.recordStatus == \'续存(在营、开业、在册)\'" style="width: 13%;vertical-align: middle;"\n\n                src="assets/imgs/chatimg/chatimg5.png">\n\n              <img *ngIf="prise.recordStatus == \'迁出\'" style="width: 13%;vertical-align: middle;"\n\n                src="assets/imgs/chatimg/chatimg4.png">\n\n              <img *ngIf="prise.recordStatus == \'吊销、未注销\'" style="width: 30%;vertical-align: middle;"\n\n                src="assets/imgs/chatimg/chatimg6.png">\n\n              <img *ngIf="prise.recordStatus == \'注销\'" style="width: 13%;vertical-align: middle;"\n\n                src="assets/imgs/chatimg/chatimg7.png">\n\n              <img *ngIf="prise.recordStatus == \'吊销、已注销\'" style="width: 30%;vertical-align: middle;"\n\n                src="assets/imgs/chatimg/chatimg8.png">\n\n            </div>\n\n            <div style="width: 96%;margin-left: 2%;padding-top: 5px;height: 20px;" (click)="jumporgdetails(prise.id)">\n\n              <div class="org_header">\n\n                法定代表人\n\n              </div>\n\n              <div class="org_content">\n\n                统一社会信用代码\n\n              </div>\n\n              <div class="org_foot">\n\n                成立日期\n\n              </div>\n\n            </div>\n\n\n\n            <div style="width: 96%;margin-left: 2%;margin-top: 10px;height: 35px;" (click)="jumporgdetails(prise.id)">\n\n              <div class="org_content_hed">\n\n                {{prise.legalPerson}}\n\n              </div>\n\n              <div class="org_content_cot">\n\n                {{prise.creditCode}}\n\n              </div>\n\n              <div class="org_content_fot">\n\n                {{prise.establishedTime | date:"yyyy-MM-dd"}}\n\n              </div>\n\n            </div>\n\n            <div style="width: 100%;height: 1px;background-color: #f7f7f7;margin-top: 5px;"></div>\n\n            <div style="width: 100%;height: 40px;">\n\n              <div\n\n                style="width: 50%;height:40px;padding-top: 10px;font-size: 15px; float: left;text-align: center; border-right: 1px solid #f7f7f7;color: #ee1b24;"\n\n                (click)="jumpgaod(prise.address)">\n\n                <img style="width: 10%;vertical-align: sub;" src="assets/imgs/chatimg/chatimg2.png"> &nbsp;去这里\n\n              </div>\n\n              <div\n\n                style="width: 50%;height:40px;padding-top: 10px;font-size: 15px;float: right;text-align: center;color: #ee1b24;"\n\n                (click)="jumpgw(prise.siteUrl)">\n\n                <img style="width: 10%;vertical-align: sub;" src="assets/imgs/chatimg/chatimg3.png"> &nbsp;前去官网\n\n              </div>\n\n            </div>\n\n            <div style="width: 100%;height: 10px;background-color: #f7f7f7;"></div>\n\n          </div>\n\n        </ion-list>\n\n        <ion-list *ngSwitchCase="\'checkperson\'">\n\n          <div style="width: 100%;padding-top: 10px;" *ngFor="let prise of priseDirectory">\n\n            <div style="width: 96%;margin-left: 2%;font-size: 17px;color: #525252;" (click)="jumporgdetails(prise.id)">\n\n              {{prise.name}}\n\n              &nbsp;\n\n              <img *ngIf="prise.recordStatus == \'续存(在营、开业、在册)\'" style="width: 13%;vertical-align: middle;"\n\n                src="assets/imgs/chatimg/chatimg5.png">\n\n              <img *ngIf="prise.recordStatus == \'迁出\'" style="width: 13%;vertical-align: middle;"\n\n                src="assets/imgs/chatimg/chatimg4.png">\n\n              <img *ngIf="prise.recordStatus == \'吊销、未注销\'" style="width: 30%;vertical-align: middle;"\n\n                src="assets/imgs/chatimg/chatimg6.png">\n\n              <img *ngIf="prise.recordStatus == \'注销\'" style="width: 13%;vertical-align: middle;"\n\n                src="assets/imgs/chatimg/chatimg7.png">\n\n              <img *ngIf="prise.recordStatus == \'吊销、已注销\'" style="width: 30%;vertical-align: middle;"\n\n                src="assets/imgs/chatimg/chatimg8.png">\n\n            </div>\n\n            <div style="width: 96%;margin-left: 2%;padding-top: 5px;height: 20px;" (click)="jumporgdetails(prise.id)">\n\n              <div class="org_header">\n\n                法定代表人\n\n              </div>\n\n              <div class="org_content">\n\n                统一社会信用代码\n\n              </div>\n\n              <div class="org_foot">\n\n                成立日期\n\n              </div>\n\n            </div>\n\n\n\n            <div style="width: 96%;margin-left: 2%;margin-top: 10px;height: 35px;" (click)="jumporgdetails(prise.id)">\n\n              <div class="org_content_hed">\n\n                {{prise.legalPerson}}\n\n              </div>\n\n              <div class="org_content_cot">\n\n                {{prise.creditCode}}\n\n              </div>\n\n              <div class="org_content_fot">\n\n                {{prise.establishedTime | date:"yyyy-MM-dd"}}\n\n              </div>\n\n            </div>\n\n            <div style="width: 100%;height: 1px;background-color: #f7f7f7;margin-top: 5px;"></div>\n\n            <div style="width: 100%;height: 40px;">\n\n              <div\n\n                style="width: 50%;height:40px;padding-top: 10px;font-size: 15px; float: left;text-align: center; border-right: 1px solid #f7f7f7;color: #ee1b24;"\n\n                (click)="jumpgaod(prise.address)">\n\n                <img style="width: 10%;vertical-align: sub;" src="assets/imgs/chatimg/chatimg2.png"> &nbsp;去这里\n\n              </div>\n\n              <div\n\n                style="width: 50%;height:40px;padding-top: 10px;font-size: 15px;float: right;text-align: center;color: #ee1b24;"\n\n                (click)="jumpgw(prise.id)">\n\n                <img style="width: 10%;vertical-align: sub;" src="assets/imgs/chatimg/chatimg3.png"> &nbsp;前去官网\n\n              </div>\n\n            </div>\n\n            <div style="width: 100%;height: 10px;background-color: #f7f7f7;"></div>\n\n          </div>\n\n        </ion-list>\n\n        <ion-list *ngSwitchCase="\'checkCode\'">\n\n          <div style="width: 100%;padding-top: 10px;" *ngFor="let prise of priseDirectory">\n\n            <div style="width: 96%;margin-left: 2%;font-size: 17px;color: #525252;" (click)="jumporgdetails(prise.id)">\n\n              {{prise.name}}\n\n              &nbsp;\n\n              <img *ngIf="prise.recordStatus == \'续存(在营、开业、在册)\'" style="width: 13%;vertical-align: middle;"\n\n                src="assets/imgs/chatimg/chatimg5.png">\n\n              <img *ngIf="prise.recordStatus == \'迁出\'" style="width: 13%;vertical-align: middle;"\n\n                src="assets/imgs/chatimg/chatimg4.png">\n\n              <img *ngIf="prise.recordStatus == \'吊销、未注销\'" style="width: 30%;vertical-align: middle;"\n\n                src="assets/imgs/chatimg/chatimg6.png">\n\n              <img *ngIf="prise.recordStatus == \'注销\'" style="width: 13%;vertical-align: middle;"\n\n                src="assets/imgs/chatimg/chatimg7.png">\n\n              <img *ngIf="prise.recordStatus == \'吊销、已注销\'" style="width: 30%;vertical-align: middle;"\n\n                src="assets/imgs/chatimg/chatimg8.png">\n\n            </div>\n\n            <div style="width: 96%;margin-left: 2%;padding-top: 5px;height: 20px;" (click)="jumporgdetails(prise.id)">\n\n              <div class="org_header">\n\n                法定代表人\n\n              </div>\n\n              <div class="org_content">\n\n                统一社会信用代码\n\n              </div>\n\n              <div class="org_foot">\n\n                成立日期\n\n              </div>\n\n            </div>\n\n\n\n            <div style="width: 96%;margin-left: 2%;margin-top: 10px;height: 35px;" (click)="jumporgdetails(prise.id)">\n\n              <div class="org_content_hed">\n\n                {{prise.legalPerson}}\n\n              </div>\n\n              <div class="org_content_cot">\n\n                {{prise.creditCode}}\n\n              </div>\n\n              <div class="org_content_fot">\n\n                {{prise.establishedTime | date:"yyyy-MM-dd"}}\n\n              </div>\n\n            </div>\n\n            <div style="width: 100%;height: 1px;background-color: #f7f7f7;margin-top: 5px;"></div>\n\n            <div style="width: 100%;height: 40px;">\n\n              <div\n\n                style="width: 50%;height:40px;padding-top: 10px;font-size: 15px; float: left;text-align: center; border-right: 1px solid #f7f7f7;color: #ee1b24;"\n\n                (click)="jumpgaod(prise.address)">\n\n                <img style="width: 10%;vertical-align: sub;" src="assets/imgs/chatimg/chatimg2.png"> &nbsp;去这里\n\n              </div>\n\n              <div\n\n                style="width: 50%;height:40px;padding-top: 10px;font-size: 15px;float: right;text-align: center;color: #ee1b24;"\n\n                (click)="jumpgw(prise.id)">\n\n                <img style="width: 10%;vertical-align: sub;" src="assets/imgs/chatimg/chatimg3.png"> &nbsp;前去官网\n\n              </div>\n\n            </div>\n\n            <div style="width: 100%;height: 10px;background-color: #f7f7f7;"></div>\n\n          </div>\n\n        </ion-list>\n\n      </div>\n\n    </ion-list>\n\n  </div>\n\n  <ion-infinite-scroll (ionInfinite)="minInfinite($event,searchvalue)">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>\n\n\n\n\n\n<div style="width: 100%;position: absolute;height: 100%;z-index: 9999999;display: none;" id="screening">\n\n  <div style="width: 100%;height: 100%;z-index: 999999999;opacity: 0.5;background-color: #7F7F7F;"></div>\n\n  <div style="width: 100%;position: absolute;background-color:white;z-index: 9999999;border-radius: 15px 15px 0 0;\n\n    bottom: 0px;height: 60%;overflow: auto;box-shadow: 1px -1px 12px #666;">\n\n    <div style="width: 100%;height: 35px;position: fixed;background-color: white;border-radius: 15px 15px 0 0;">\n\n      <div style="width: 60%;float: left;height: 35px;color: #7F7F7F;padding-left: 20px;padding-top: 8px;">筛选全部</div>\n\n      <div style="width: 40%;float: right;height: 35px;text-align: right;padding-top: 8px;padding-right: 20px;">\n\n        <img style="width: 20px;height: 20px;" src="assets/imgs/cancel.png" (click)="closescreening(1)">\n\n      </div>\n\n    </div>\n\n    <div style="width: 100%;height: 1px;background-color: #F6F6F6;margin-top: 35px;"></div>\n\n    <div style="width: 100%;margin-bottom: 50px;">\n\n      <div style="width: 100%;" *ngFor="let laws of newcitydata">\n\n        <div style="width: 100%;font-size: 13px;color: #A5A5A5;padding-left: 20px;margin-top: 10px">{{laws.title}}\n\n        </div>\n\n        <div class="categories">\n\n          <ion-grid>\n\n            <ion-row wrap style="margin-left: 20px;margin-right: 20px;margin-bottom: 10px;">\n\n              <ion-col text-center tappable col-4="" *ngFor="let cols of laws.content"\n\n                [class]="cols.name==newcontent?\'active\':\'\'" (click)="changenewfirm(cols)">\n\n                {{cols.name}}\n\n              </ion-col>\n\n            </ion-row>\n\n          </ion-grid>\n\n        </div>\n\n      </div>\n\n\n\n      <div style="width: 100%;" *ngFor="let prodst of producttypedata">\n\n        <div style="width: 100%;font-size: 13px;color: #A5A5A5;padding-left: 20px;margin-top: 10px">{{prodst.title}}\n\n        </div>\n\n        <div class="categories">\n\n          <ion-grid>\n\n            <ion-row wrap style="margin-left: 20px;margin-right: 20px;margin-bottom: 10px;">\n\n              <ion-col text-center tappable col-3="" *ngFor="let cols of prodst.content"\n\n                [class]="cols.name==productname?\'active\':\'\'" (click)="changepolicy(cols)">\n\n                {{cols.name}}\n\n              </ion-col>\n\n            </ion-row>\n\n          </ion-grid>\n\n        </div>\n\n      </div>\n\n    </div>\n\n    <div style="width: 100%;height: 56px;position: fixed;bottom: 0px;background-color: white;">\n\n      <button ion-button\n\n        style=" font-size: 1.1em;height: 30px;width: 40%;background-color: #7F7F7F;color: white;float: left;margin-left: 5%;margin-top: 13px;"\n\n        (click)="closevalue()">重置\n\n      </button>\n\n      <button ion-button\n\n        style="margin-right: 5%;margin-top: 13px;font-size: 1.1em;height: 30px;width: 40%;background-color: red;color: white;float: right;"\n\n        (click)="closescreening(2)">确定\n\n      </button>\n\n    </div>\n\n  </div>\n\n</div>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\newproduct\newproduct.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"], __WEBPACK_IMPORTED_MODULE_5__ionic_native_in_app_browser__["a" /* InAppBrowser */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"], __WEBPACK_IMPORTED_MODULE_4__ionic_native_app_availability__["a" /* AppAvailability */]])
    ], NewproductPage);
    return NewproductPage;
}());

//# sourceMappingURL=newproduct.js.map

/***/ }),

/***/ 921:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NewproductPageModule", function() { return NewproductPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__newproduct__ = __webpack_require__(1146);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var NewproductPageModule = /** @class */ (function () {
    function NewproductPageModule() {
    }
    NewproductPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__newproduct__["a" /* NewproductPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__newproduct__["a" /* NewproductPage */]),
            ],
        })
    ], NewproductPageModule);
    return NewproductPageModule;
}());

//# sourceMappingURL=newproduct.module.js.map

/***/ })

});
//# sourceMappingURL=135.js.map