webpackJsonp([138],{

/***/ 1143:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyPublicPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
 * Generated class for the MyPublicPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var MyPublicPage = /** @class */ (function () {
    function MyPublicPage(navCtrl, navParams, toolservice) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.result = [];
        this.title = this.navParams.get('title');
    }
    MyPublicPage.prototype.ionViewDidEnter = function () {
        if (this.title == '我的收藏') {
            this.getCollection();
        }
        else {
            this.getThumbsUps();
        }
    };
    // 获取已点赞数据
    MyPublicPage.prototype.getThumbsUps = function () {
        var _this = this;
        var url = '/userLike/allLikeArticle?pageNum=1&pageSize=1000';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                _this.result = data.return_data.length ? data.return_data : [];
            }
            else {
                _this.toolservice.showtoast(data.return_msg);
            }
        });
    };
    // 获取收藏数据
    MyPublicPage.prototype.getCollection = function () {
        var _this = this;
        var url = '/userCollect/allCollectArticle?pageNum=1&pageSize=1000';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                _this.result = data.return_data.length ? data.return_data : [];
            }
            else {
                _this.toolservice.showtoast(data.return_msg);
            }
        });
    };
    // 点击查看详情
    MyPublicPage.prototype.detail = function (data) {
        switch (data.articleType) {
            case '0': //新闻
                this.navCtrl.push('NewDetailsPage', { newsid: data.id });
                break;
            case '1': //政策焦点
                this.navCtrl.push('PolicyDetailsPage', { policyid: data.id, segmentname: 1 });
                break;
            case '2': //政策解读
                this.navCtrl.push('PolicyDetailsPage', { policyid: data.id, segmentname: 2 });
                break;
            case '3': //管家服务
                this.navCtrl.push('ServerDetailsPage', { id: data.id });
                break;
            case '4': //营商论建
                this.navCtrl.push("FeedbackDetailPage", { id: data.id, isCheck: true });
                break;
        }
    };
    MyPublicPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-my-public',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\my-public\my-public.html"*/'<!--\n  Generated template for the MyPublicPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n  <ion-navbar>\n    <ion-title>{{title}}</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <img class="no_data" *ngIf="result.length === 0" src="assets/imgs/noData.png" alt="">\n  <div style="height: 85px;padding: 10px;border-bottom: 1px solid #ddd;" *ngFor="let item of result" (click)="detail(item)">\n    <ion-label style="font-size: 16px;height: 25px;width: 100%;">\n      {{item.title}}\n    </ion-label>\n\n   <div style="width: 100%;margin-top: 5px;">\n      <div style="width: 70%;float:left;font-size: 13px;color: #aaaeb9;">{{item.createTime |\n    date:"yyyy-MM-dd"}}\n      </div>\n    </div>\n  </div>\n</ion-content>\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\my-public\my-public.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"], __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */]])
    ], MyPublicPage);
    return MyPublicPage;
}());

//# sourceMappingURL=my-public.js.map

/***/ }),

/***/ 918:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "MyPublicPageModule", function() { return MyPublicPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__my_public__ = __webpack_require__(1143);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var MyPublicPageModule = /** @class */ (function () {
    function MyPublicPageModule() {
    }
    MyPublicPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__my_public__["a" /* MyPublicPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__my_public__["a" /* MyPublicPage */]),
            ],
        })
    ], MyPublicPageModule);
    return MyPublicPageModule;
}());

//# sourceMappingURL=my-public.module.js.map

/***/ })

});
//# sourceMappingURL=138.js.map