webpackJsonp([140],{

/***/ 1141:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MinefinancingPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_platform_browser__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the MinefinancingPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var MinefinancingPage = /** @class */ (function () {
    function MinefinancingPage(navCtrl, navParams, sanitiaer, toolservice) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.sanitiaer = sanitiaer;
        this.toolservice = toolservice;
        this.pandid = this.navParams.get('finanum');
        this.finacingdata = this.navParams.get('finadata');
        this.finacingtype = this.finacingdata.ategoryId;
        this.finactext = this.sanitiaer.bypassSecurityTrustHtml(this.finacingdata.content);
        this.textcontent = this.finacingdata.content;
        this.selectpagecate();
    }
    MinefinancingPage.prototype.ionViewDidLoad = function () {
    };
    /**
     * 查询产品分类
     */
    MinefinancingPage.prototype.selectpagecate = function () {
        var _this = this;
        var url = 'bsCategoryDictionary/getPageCategoryDictionary?type=4&pageNum=1&pageSize=1000';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                _this.finacingcatedata = data.return_data.list;
            }
            else {
            }
        });
    };
    /**
     * 修改需求
     */
    MinefinancingPage.prototype.updatefinacings = function (finacname, relesname, relesphone) {
        var _this = this;
        if (finacname.value.length == 0) {
            this.toolservice.showtoast("请输入产品需求名称");
        }
        else if (this.finacingtype == null) {
            this.toolservice.showtoast("请选择产品分类");
        }
        else if (relesname.value.length == 0) {
            this.toolservice.showtoast("请输入联系人");
        }
        else if (relesphone.value.length == 0) {
            this.toolservice.showtoast("请输入联系电话");
        }
        else if (this.textcontent == '') {
            this.toolservice.showtoast("请输入内容");
        }
        else {
            var a = this.finacingdata.content.toString().replace(this.finacingdata.content.toString().substring(1, this.finacingdata.content.length), '');
            var datas = void 0;
            if (a == '<') {
                datas = {
                    ategoryId: this.finacingtype,
                    contactInfo: relesphone.value,
                    content: this.finacingdata.content,
                    id: this.finacingdata.id,
                    linkman: relesname.value,
                    title: finacname.value
                };
            }
            else {
                datas = {
                    ategoryId: this.finacingtype,
                    contactInfo: relesphone.value,
                    content: this.textcontent,
                    id: this.finacingdata.id,
                    linkman: relesname.value,
                    title: finacname.value
                };
            }
            var url = 'bsFinProductDemand/updateFinProductDemand';
            this.toolservice.doPost(url, datas, function (data) {
                if (data.return_code == '000000') {
                    _this.toolservice.showtoast("修改成功");
                    _this.navCtrl.pop();
                }
                else {
                    _this.toolservice.showtoast(data.return_msg);
                }
            });
        }
    };
    /**
     * 发布需求
     */
    MinefinancingPage.prototype.relesefinacing = function (finacname, relesname, relesphone, relsecontet) {
        var _this = this;
        if (finacname.value.length == 0) {
            this.toolservice.showtoast("请输入产品需求名称");
        }
        else if (this.finacingtype == null) {
            this.toolservice.showtoast("请选择产品分类");
        }
        else if (relesname.value.length == 0) {
            this.toolservice.showtoast("请输入联系人");
        }
        else if (relesphone.value.length == 0) {
            this.toolservice.showtoast("请输入联系电话");
        }
        else if (relsecontet.value.length == 0) {
            this.toolservice.showtoast("请输入需求内容");
        }
        else {
            var reledata = {
                ategoryId: this.finacingtype,
                contactInfo: relesphone.value,
                content: relsecontet.value,
                linkman: relesname.value,
                title: finacname.value
            };
            var url = 'bsFinProductDemand/addFinProductDemand';
            this.toolservice.doPost(url, reledata, function (data) {
                if (data.return_code == '000000') {
                    _this.toolservice.showtoast("发布成功");
                    _this.navCtrl.pop();
                }
                else {
                    _this.toolservice.showtoast(data.return_msg);
                }
            });
        }
    };
    MinefinancingPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-minefinancing',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\minefinancing\minefinancing.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>融资管理</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <!--//修改-->\n\n  <div *ngIf="pandid == 2">\n\n    <ion-item no-lines="">\n\n    <span item-start="" style="font-size: 14px;margin-left: 16px;color: #364049;">\n\n      产品名称:\n\n    </span>\n\n      <ion-input item-end="" type="text" maxlength="20" style="font-size: 14px;float: right;"\n\n                 placeholder="请输入" value="{{finacingdata.title}}"\n\n                 #finacname></ion-input>\n\n    </ion-item>\n\n\n\n    <div style="width: 100%;height: 1px;background-color: #f4f4f4;"></div>\n\n    <div style="width: 100%;margin-left: 16px;height: 52.8px;">\n\n      <div style="width: 30%;height: 52.8px;float: left;padding-top: 16px;color:#364049">\n\n        <span style="position: absolute;">产品分类:</span>\n\n      </div>\n\n      <div style="width: 70%;height: 52.8px;float: right;padding-top: 7px;padding-right: 24px;">\n\n        <ion-select class="ion_item_content" style="font-size: 14px;" item-end="" [(ngModel)]="finacingtype"\n\n                    interface="action-sheet"\n\n                    placeholder="请产品分类" cancelText="取消">\n\n          <ion-option *ngFor="let c of finacingcatedata" value="{{c.id}}">{{c.name}}</ion-option>\n\n        </ion-select>\n\n      </div>\n\n    </div>\n\n\n\n    <div style="width: 100%;height: 1px;background-color: #f4f4f4;"></div>\n\n    <ion-item no-lines="">\n\n    <span item-start="" style="font-size: 14px;margin-left: 16px;color: #364049;">\n\n      联系人:\n\n    </span>\n\n      <ion-input item-end="" type="text" maxlength="20" style="font-size: 14px;float: right;"\n\n                 placeholder="请输入" value="{{finacingdata.linkman}}"\n\n                 #relename></ion-input>\n\n    </ion-item>\n\n\n\n    <div style="width: 100%;height: 1px;background-color: #f4f4f4;"></div>\n\n    <ion-item no-lines="">\n\n    <span item-start="" style="font-size: 14px;margin-left: 16px;color: #364049;">\n\n      联系电话:\n\n    </span>\n\n      <ion-input item-end="" type="text" maxlength="20" style="font-size: 14px;float: right;"\n\n                 placeholder="请输入" value="{{finacingdata.contactInfo}}"\n\n                 #relephone></ion-input>\n\n    </ion-item>\n\n    <div style="width: 100%;height: 1px;background-color: #f4f4f4;"></div>\n\n\n\n\n\n    <div style="width: 100%;padding-left: 16px;height: 30px;padding-top: 10px;font-size: 15px;color: #364049;">\n\n      需求内容:\n\n    </div>\n\n\n\n    <div style="width: 90%;margin-left: auto;margin-right: auto;">\n\n      <textarea placeholder="请输入" class="finacing_textarea"\n\n                cols="40" rows="10" [(ngModel)]="textcontent"\n\n                *ngIf="finacingdata.content.toString().replace(finacingdata.content.toString().substring(1,finacingdata.content.length),\'\') != \'<\' ">{{finacingdata.content}}\n\n        </textarea>\n\n      <div class="finacing_textarea"\n\n           *ngIf="finacingdata.content.toString().replace(finacingdata.content.toString().substring(1,finacingdata.content.length),\'\') == \'<\' "\n\n           [innerHTML]="finactext"></div>\n\n\n\n    </div>\n\n\n\n    <button ion-button block class="minefinancing_div_button"\n\n            (click)="updatefinacings(finacname,relename,relephone)">修改需求\n\n    </button>\n\n  </div>\n\n\n\n  <!--//发布-->\n\n  <div *ngIf="pandid == 1">\n\n    <ion-item no-lines="">\n\n    <span item-start="" style="font-size: 14px;margin-left: 16px;color: #364049;">\n\n      产品名称:\n\n    </span>\n\n      <ion-input item-end="" type="text" maxlength="20" style="font-size: 14px;float: right;"\n\n                 placeholder="请输入"\n\n                 #finacname></ion-input>\n\n    </ion-item>\n\n\n\n    <div style="width: 100%;height: 1px;background-color: #f4f4f4;"></div>\n\n    <div style="width: 100%;margin-left: 16px;height: 52.8px;">\n\n      <div style="width: 30%;height: 52.8px;float: left;padding-top: 16px;color:#364049">\n\n        <span style="position: absolute;">产品分类:</span>\n\n      </div>\n\n      <div style="width: 70%;height: 52.8px;float: right;padding-top: 7px;padding-right: 24px;">\n\n        <ion-select class="ion_item_content" style="font-size: 14px;" item-end="" [(ngModel)]="finacingtype"\n\n                    interface="action-sheet"\n\n                    placeholder="请产品分类" cancelText="取消">\n\n          <ion-option *ngFor="let c of finacingcatedata" value="{{c.id}}">{{c.name}}</ion-option>\n\n        </ion-select>\n\n      </div>\n\n    </div>\n\n\n\n    <div style="width: 100%;height: 1px;background-color: #f4f4f4;"></div>\n\n    <ion-item no-lines="">\n\n    <span item-start="" style="font-size: 14px;margin-left: 16px;color: #364049;">\n\n      联系人:\n\n    </span>\n\n      <ion-input item-end="" type="text" maxlength="20" style="font-size: 14px;float: right;"\n\n                 placeholder="请输入"\n\n                 #relename></ion-input>\n\n    </ion-item>\n\n\n\n    <div style="width: 100%;height: 1px;background-color: #f4f4f4;"></div>\n\n    <ion-item no-lines="">\n\n    <span item-start="" style="font-size: 14px;margin-left: 16px;color: #364049;">\n\n      联系电话:\n\n    </span>\n\n      <ion-input item-end="" type="text" maxlength="20" style="font-size: 14px;float: right;"\n\n                 placeholder="请输入"\n\n                 #relephone></ion-input>\n\n    </ion-item>\n\n    <div style="width: 100%;height: 1px;background-color: #f4f4f4;"></div>\n\n\n\n\n\n    <div style="width: 100%;padding-left: 16px;height: 30px;padding-top: 10px;font-size: 15px;color: #364049;">\n\n      需求内容:\n\n    </div>\n\n\n\n    <div style="width: 90%;margin-left: auto;margin-right: auto;">\n\n      <textarea placeholder="请输入" class="finacing_textarea"\n\n                cols="40" rows="10" #relecontent></textarea>\n\n    </div>\n\n\n\n    <button ion-button block class="minefinancing_div_button"\n\n            (click)="relesefinacing(finacname,relename,relephone,relecontent)">发布融资需求\n\n    </button>\n\n  </div>\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\minefinancing\minefinancing.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__angular_platform_browser__["c" /* DomSanitizer */], __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__["a" /* ToolserviceProvider */]])
    ], MinefinancingPage);
    return MinefinancingPage;
}());

//# sourceMappingURL=minefinancing.js.map

/***/ }),

/***/ 916:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "MinefinancingPageModule", function() { return MinefinancingPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__minefinancing__ = __webpack_require__(1141);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var MinefinancingPageModule = /** @class */ (function () {
    function MinefinancingPageModule() {
    }
    MinefinancingPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__minefinancing__["a" /* MinefinancingPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__minefinancing__["a" /* MinefinancingPage */]),
            ],
        })
    ], MinefinancingPageModule);
    return MinefinancingPageModule;
}());

//# sourceMappingURL=minefinancing.module.js.map

/***/ })

});
//# sourceMappingURL=140.js.map