webpackJsonp([143],{

/***/ 1138:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return KnowledgesharingPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the KnowledgesharingPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var KnowledgesharingPage = /** @class */ (function () {
    function KnowledgesharingPage(navCtrl, navParams, toolservice, loadingctrl, thePublicModule) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.loadingctrl = loadingctrl;
        this.thePublicModule = thePublicModule;
        this.defaultSegment = 'knowledge';
        // 每页展示的记录条数
        this.pageSize = 10;
        // 知识园地记录列表刷新次数
        this.knowrecord = 1;
        //图片地址
        this.imageurl = __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__["d" /* IMAGEURL */];
        // 文书模板数据名称
        this.templeteName = [];
        this.downloadData = '';
        this.datastatus = false;
        this.templeteName = [];
        this.templete = {};
        this.groupindex = 0;
    }
    KnowledgesharingPage.prototype.ionViewDidLoad = function () {
    };
    /**
     * 进入页面执行
     */
    KnowledgesharingPage.prototype.ionViewWillEnter = function () {
        this.requestnewsdata();
    };
    /**
     * 获取知识园地数据
     */
    KnowledgesharingPage.prototype.requestnewsdata = function () {
        var _this = this;
        // let newsstadata = document.getElementById("datastatus");
        // newsstadata.style.display = 'none';
        this.datastatus = false;
        var url = 'bsNews/getNews?status=2&typeId=5&pageNum=1&pageSize=10';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                _this.knowlength = data.return_data['total'];
                // 消息记录数组最大页面赋值
                _this.knowPage = data.return_data['pages'];
                _this.knowrecord = 1;
                _this.knowdata = data.return_data.list;
            }
            else {
                _this.toolservice.showtoast(data.return_msg);
            }
        });
    };
    /**
     * 跳转知识园地详情
     */
    KnowledgesharingPage.prototype.jumpnewdetails = function (item) {
        this.navCtrl.push('KnowledgesharingDetailsPage', { newsid: item });
        var url = 'bsNews/addReadQuantity?id=' + item;
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
            }
            else {
            }
        });
    };
    /**
     * 搜索知识园地
     */
    KnowledgesharingPage.prototype.searchnamedata = function (searchname) {
        var _this = this;
        if (searchname.value.length == 0) {
            this.toolservice.showtoast("请输入");
        }
        else {
            // let newsstadata = document.getElementById("datastatus");
            // newsstadata.style.display = 'none';
            this.datastatus = false;
            var loading_1 = this.loadingctrl.create({});
            loading_1.present();
            this.knowrecord = 1;
            var url = 'bsNews/getNews?title=' + searchname.value + '&typeId=5&status=2&pageNum=1&pageSize=10';
            this.toolservice.doGet(url, function (data) {
                if (data.return_code == '000000' && data.return_data.list != '') {
                    _this.knowdata = data.return_data.list;
                    _this.knowlength = data.return_data['total'];
                    // 消息记录数组最大页面赋值
                    _this.knowPage = data.return_data['pages'];
                    loading_1.dismiss();
                }
                else {
                    _this.knowdata = null;
                    _this.toolservice.showtoast(data.return_msg);
                    loading_1.dismiss();
                }
            });
        }
    };
    /**
     * 判断是否有数据
     */
    KnowledgesharingPage.prototype.judgenulldata = function (searchjudg) {
        if (searchjudg.value.length == 0) {
            this.requestnewsdata();
        }
    };
    // 文书下载-页面
    KnowledgesharingPage.prototype.clickDownload = function () {
        var _this = this;
        if (this.templeteName.length > 0)
            return;
        var loading = this.loadingctrl.create({});
        loading.present();
        var url = 'documentTemplate/templates';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
                loading.dismiss();
                if (JSON.stringify(data.return_data) != "{}") {
                    _this.templete = data.return_data;
                    Object.keys(data.return_data).forEach(function (n, i) {
                        _this.templeteName.push(n);
                    });
                }
                _this.groupName = _this.templeteName[0];
            }
            else {
                loading.dismiss();
                _this.knowdata = null;
                _this.toolservice.showtoast(data.return_msg);
            }
        });
    };
    // 文书类型切换
    KnowledgesharingPage.prototype.groupchage = function (data, index) {
        this.groupName = data;
        this.groupindex = index;
    };
    // 选中文书下载
    KnowledgesharingPage.prototype.clickUser = function (data) {
        // this.downloadData = data
        // this.boolattention = true
        this.navCtrl.push("InstrumentDetailPage", { id: data.id, title: data.title });
    };
    // 取消下载
    // cancel(){
    //   this.downloadData = ''
    //   this.boolattention = false
    // }
    // 确定下载
    KnowledgesharingPage.prototype.okDownload = function () {
        var company = JSON.parse(window.localStorage.getItem("COMPANY"));
        if (this.downloadData) {
            window.location.href = __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__["g" /* REQUESTTHEADDRESS */] + "/documentTemplate/download?id=" + this.downloadData.id + '&companyId=' + company.id;
        }
    };
    /**
     * 上滑加载更多
     */
    KnowledgesharingPage.prototype.minInfinite = function (infiniteScroll, minsearchname) {
        var _this = this;
        // let newsstadata = document.getElementById("datastatus");
        setTimeout(function () {
            // 加载完成关闭刷新
            infiniteScroll.complete();
            // 判读数据超过十条启动刷新
            if (_this.knowlength > _this.pageSize) {
                //增加index
                _this.knowrecord++;
                // 判断刷新分页页码大小
                if (_this.knowrecord > _this.knowPage) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    // infiniteScroll.enable(false);
                    //toast提示
                    _this.toolservice.showtoast("已加载所有");
                    // newsstadata.style.display = 'block';
                    _this.datastatus = true;
                }
                else {
                    var url = 'bsNews/getNews?title=' + minsearchname.value + '&status=2&typeId=5&pageNum=' + _this.knowrecord + '&pageSize=' + _this.pageSize;
                    _this.toolservice.doGet(url, function (data) {
                        if (data.return_code == '000000') {
                            // 加载完成关闭刷新
                            infiniteScroll.complete();
                            // 循环插入数据数组
                            for (var i = 0; i < data.return_data['list'].length; i++) {
                                _this.knowdata.push(data.return_data['list'][i]);
                            }
                        }
                    });
                }
                // }, 2000);
            }
            else {
                // 加载全部数据禁用刷新
                // infiniteScroll.enable(false);
                _this.toolservice.showtoast("已加载所有");
            }
        }, 2000);
    };
    KnowledgesharingPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-knowledgesharing',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\knowledgesharing\knowledgesharing.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>知识共享</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-segment [(ngModel)]="defaultSegment" mode="md">\n\n    <ion-segment-button value="knowledge" (click)="requestnewsdata()">知识园地\n\n      <div class="bolder-sm"></div>\n\n    </ion-segment-button>\n\n    <ion-segment-button value="textDownload" (click)="clickDownload()">文书下载\n\n      <div class="bolder-sm"></div>\n\n    </ion-segment-button>\n\n  </ion-segment>\n\n  <div [ngSwitch]="defaultSegment">\n\n    <ion-list *ngSwitchCase="\'knowledge\'">\n\n      <div style="width: 90%;margin-top: 15px;margin-bottom: 15px;margin-left: 5%;height: 50px">\n\n        <ion-searchbar style="width: 85%;float: left;" #searchvalue placeholder="请输入想搜索的内容"\n\n          (ionChange)="judgenulldata(searchvalue)"></ion-searchbar>\n\n        <div style="width: 15%;float: right;height: 36px;margin-top: 1px;">\n\n          <button ion-button block class="news_div_btn" (click)="searchnamedata(searchvalue)">搜索\n\n          </button>\n\n        </div>\n\n      </div>\n\n      <div style="width: 100%;height: 1px;background-color: #f6f6f6;"></div>\n\n      <img *ngIf="knowdata == null" style="width: 80%;margin-left: 10%;" src="assets/imgs/nulldata.png">\n\n      <div style="width: 100%;border-bottom: 8px solid #f6f6f6;" *ngFor="let serve of knowdata">\n\n        <div style="width: 90%;height: 90px;margin-left: 5%;margin-top: 12px;margin-bottom: 12px;">\n\n          <img style="width: 85px;height: 85px;float:left;" src="{{imageurl+(serve.litimg ? serve.litimg : serve.mainImg)}}">\n\n          <div style="margin-left: 90px;height: 85px;" (click)="jumpnewdetails(serve.id)">\n\n            <ion-label style="font-size: 16px;height: 25px;width: 100%;">\n\n              <button class="news_div_label_btn1" *ngIf="serve.typeId == 7">热点</button>\n\n              <button class="news_div_label_btn2" *ngIf="serve.typeId == 8">单位</button>\n\n              <button class="news_div_label_btn3" *ngIf="serve.typeId == 9">中心</button>\n\n              {{serve.title}}\n\n            </ion-label>\n\n            <div style="font-size: 13px;text-align: left;width: 100%;height: 33px;margin-top: 5px;color: #aaaeb9;"\n\n              *ngIf="serve.description.length>=28">\n\n              {{serve.description.toString().replace(serve.description.toString().substring(28,serve.description.length),"...")}}\n\n            </div>\n\n            <div style="font-size: 13px;text-align: left;width: 100%;height: 33px;margin-top: 5px;color: #aaaeb9;"\n\n              *ngIf="serve.description.length<28">\n\n              {{serve.description}}\n\n            </div>\n\n            <div style="width: 100%;margin-top: 5px;">\n\n              <div style="width: 70%;float:left;font-size: 13px;color: #aaaeb9;">发布日期:{{serve.createTime |\n\n            date:"yyyy-MM-dd"}}\n\n              </div>\n\n              <div style="width: 30%;float: right;text-align: right;font-size: 14px;color: #aaaeb9;">\n\n                <img style="width: 17px;" src="assets/imgs/6.png">&nbsp;&nbsp;&nbsp;{{serve.readQuantity}}\n\n              </div>\n\n            </div>\n\n          </div>\n\n        </div>\n\n      </div>\n\n      <div *ngIf="datastatus" id="datastatus"\n\n        style="width: 100%;margin-top: 20px;margin-bottom: 20px;height: 20px;color: #aaaeb9;text-align: center;font-size: 14px;display: none;">\n\n        已经没有了,不能再加载了\n\n      </div>\n\n      <ion-infinite-scroll (ionInfinite)="minInfinite($event,searchvalue)">\n\n        <ion-infinite-scroll-content loadingSpinner="bubbles">\n\n        </ion-infinite-scroll-content>\n\n      </ion-infinite-scroll>\n\n    </ion-list>\n\n    <ion-list *ngSwitchCase="\'textDownload\'" class="dcontent">\n\n      <img *ngIf="templeteName.length === 0" class="no_data" src="assets/imgs/noData.png">\n\n      <div class="group" *ngIf="templeteName.length > 0">\n\n        <div class="{{i==groupindex?\'group-item group-item-active\':\'group-item\'}}" (click)="groupchage(item, i)" *ngFor="let item of templeteName;let i=index">{{item}}</div>\n\n      </div>\n\n      <div class="member" *ngIf="templeteName.length > 0">\n\n        <div class="member-item" (click)="clickUser(item)" *ngFor="let item of templete[groupName]">{{item.title}}</div>\n\n      </div>\n\n    </ion-list>\n\n  </div>\n\n</ion-content>\n\n\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\knowledgesharing\knowledgesharing.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__["i" /* ThePublicModule */]])
    ], KnowledgesharingPage);
    return KnowledgesharingPage;
}());

//# sourceMappingURL=knowledgesharing.js.map

/***/ }),

/***/ 913:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "KnowledgesharingPageModule", function() { return KnowledgesharingPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__knowledgesharing__ = __webpack_require__(1138);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var KnowledgesharingPageModule = /** @class */ (function () {
    function KnowledgesharingPageModule() {
    }
    KnowledgesharingPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__knowledgesharing__["a" /* KnowledgesharingPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__knowledgesharing__["a" /* KnowledgesharingPage */]),
            ],
        })
    ], KnowledgesharingPageModule);
    return KnowledgesharingPageModule;
}());

//# sourceMappingURL=knowledgesharing.module.js.map

/***/ })

});
//# sourceMappingURL=143.js.map