webpackJsonp([150],{

/***/ 1131:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HandleAffairsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
 * Generated class for the HandleAffairsPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var HandleAffairsPage = /** @class */ (function () {
    function HandleAffairsPage(navCtrl, navParams, toolservice, loadingctrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.loadingctrl = loadingctrl;
        //办事排序
        this.handle = 1;
        //筛选
        this.selectLabel = '';
        // 每页展示的记录条数
        this.pageSize = 10;
        // 政策记录列表刷新次数
        this.numrecord = 1;
        this.selecthandledata();
        this.getChildAdmindata();
    }
    HandleAffairsPage.prototype.ionViewDidLoad = function () {
    };
    /**
     * 查询指南数据
     */
    HandleAffairsPage.prototype.selecthandledata = function () {
        var _this = this;
        this.handleorganid = '';
        var loading = this.loadingctrl.create({});
        loading.present();
        var url = 'bsGuidance/getPageGuidance?status=2&pageNum=1&pageSize=10';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                loading.dismiss();
                _this.handledata = data.return_data.list;
                _this.numrecord = 1;
                _this.handlelength = data.return_data['total'];
                // 消息记录数组最大页面赋值
                _this.handlePage = data.return_data['pages'];
            }
            else {
                loading.dismiss();
                _this.toolservice.showtoast(data.return_msg);
                _this.handledata = [];
            }
        }, function (error) {
            loading.dismiss();
        });
    };
    /**
     * 根据条件查询
     */
    HandleAffairsPage.prototype.searhandle = function (polisear) {
        var _this = this;
        if (polisear.value.length == 0) {
            this.toolservice.showtoast("请输入");
        }
        else {
            var loading_1 = this.loadingctrl.create({});
            loading_1.present();
            var url = void 0;
            if (this.handleorganid != '') {
                url = 'bsGuidance/getPageGuidance?title=' + polisear.value + '&orgId=' + this.handleorganid + '&status=2&pageNum=1&pageSize=10';
            }
            else {
                url = 'bsGuidance/getPageGuidance?title=' + polisear.value + '&status=2&pageNum=1&pageSize=10';
            }
            this.toolservice.doGet(url, function (data) {
                loading_1.dismiss();
                if (data.return_code == '000000' && data.return_data.list != '') {
                    _this.handledata = data.return_data.list;
                    _this.numrecord = 1;
                    _this.handlelength = data.return_data['total'];
                    // 消息记录数组最大页面赋值
                    _this.handlePage = data.return_data['pages'];
                }
                else {
                    _this.toolservice.showtoast(data.return_msg);
                    _this.handledata = [];
                }
            }, function (error) {
                loading_1.dismiss();
            });
        }
    };
    /**
     * 获取筛选部门数据
     */
    HandleAffairsPage.prototype.getChildAdmindata = function () {
        var _this = this;
        var url = 'baseOrganization/getAllChildAdminByIdentify?identify=ADMINISTRATION';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.handlescreeningdata = [
                    { title: '国家级', 'content': data.return_data.country },
                    { title: '省级', 'content': data.return_data.province },
                    { title: '市级', 'content': data.return_data.city },
                    { title: '县级', 'content': data.return_data.area },
                ];
                var cout = { 'name': '国家级', 'id': 2 };
                var provic = { 'name': '省级', 'id': 3 };
                var citys = { 'name': '市级', 'id': 4 };
                var area = { 'name': '县级', 'id': 5 };
                _this.handlescreeningdata[0].content.push(cout);
                _this.handlescreeningdata[1].content.push(provic);
                _this.handlescreeningdata[2].content.push(citys);
                _this.handlescreeningdata[3].content.push(area);
            }
        });
    };
    /**
     * 判断是否有数据
     */
    HandleAffairsPage.prototype.judgenulldata = function (searchjudg) {
        if (searchjudg.value.length == 0) {
            this.selecthandledata();
        }
    };
    /**
     * 筛选
     */
    HandleAffairsPage.prototype.openscreening = function () {
        var screeningitem = document.getElementById("screening");
        screeningitem.style.display = 'block';
    };
    /**
     * 选择部门
     */
    HandleAffairsPage.prototype.changehandle = function (item) {
        this.handleorganid = item.id;
        this.selectLabel = item.name;
    };
    /**
     * 关闭筛选
     */
    HandleAffairsPage.prototype.closescreening = function (item) {
        var _this = this;
        var screeningitem = document.getElementById("screening");
        if (item == 1) {
            this.handleorganid = '';
            screeningitem.style.display = 'none';
        }
        else {
            if (this.handleorganid != '') {
                var url = 'bsGuidance/getPageGuidance?orgId=' + this.handleorganid + '&status=2&pageNum=1&pageSize=10';
                this.toolservice.doGet(url, function (data) {
                    if (data.return_code == '000000' && data.return_data.list != '') {
                        _this.handledata = data.return_data.list;
                        _this.numrecord = 1;
                        _this.handlelength = data.return_data['total'];
                        // 消息记录数组最大页面赋值
                        _this.handlePage = data.return_data['pages'];
                        screeningitem.style.display = 'none';
                    }
                    else {
                        _this.toolservice.showtoast("没查到数据");
                    }
                });
            }
            else {
                this.toolservice.showtoast("请选择组织");
            }
        }
    };
    /**
     * 重置
     */
    HandleAffairsPage.prototype.closevalue = function () {
        this.handleorganid = '';
        this.selectLabel = '';
        this.selecthandledata();
        var screeningitem = document.getElementById("screening");
        screeningitem.style.display = 'none';
    };
    /**
     * 跳转详情
     */
    HandleAffairsPage.prototype.jumphandledetails = function (itemid) {
        this.navCtrl.push('HandleAffairsdetailsPage', { handleid: itemid, quid: 1 });
    };
    /**
     * 评价留言
     */
    HandleAffairsPage.prototype.sendevtion = function () {
        var _this = this;
        if (this.feedbackvalue == null) {
            this.toolservice.showtoast("请输入评价内容");
        }
        else {
            var url = 'bsCounselRecord/addCounselRecord';
            var data = {
                counselContent: this.feedbackvalue,
                objectId: 2,
                type: 5
            };
            this.toolservice.doPost(url, data, function (datas) {
                if (datas.return_code == '000000') {
                    _this.toolservice.showtoast("反馈成功!");
                    _this.feedbackvalue = null;
                }
                else {
                    _this.toolservice.showtoast(datas.return_msg);
                }
            });
        }
    };
    /**
     * 上滑加载更多
     */
    HandleAffairsPage.prototype.minInfinite = function (infiniteScroll, minsearchname) {
        var _this = this;
        // let newsstadata = document.getElementById("datastatus");
        setTimeout(function () {
            // 加载完成关闭刷新
            infiniteScroll.complete();
            // 判读数据超过十条启动刷新
            if (_this.handlelength > _this.pageSize) {
                //增加index
                _this.numrecord++;
                // 判断刷新分页页码大小
                if (_this.numrecord > _this.handlePage) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    // infiniteScroll.enable(false);
                    //toast提示
                    _this.toolservice.showtoast("已加载所有");
                    // newsstadata.style.display = 'block';
                }
                else {
                    var url = 'bsGuidance/getPageGuidance?title=' + minsearchname.value + '&orgId=' + _this.handleorganid + '&status=2&pageNum=' + _this.numrecord + '&pageSize=' + _this.pageSize;
                    _this.toolservice.doGet(url, function (data) {
                        if (data.return_code == '000000') {
                            // 加载完成关闭刷新
                            infiniteScroll.complete();
                            // 循环插入数据数组
                            for (var i = 0; i < data.return_data['list'].length; i++) {
                                _this.handledata.push(data.return_data['list'][i]);
                            }
                        }
                    });
                }
                // }, 2000);
            }
            else {
                // 加载全部数据禁用刷新
                // infiniteScroll.enable(false);
                _this.toolservice.showtoast("已加载所有");
            }
        }, 2000);
    };
    HandleAffairsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-handle-affairs',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\handle-affairs\handle-affairs.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>办事指南</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <div class="handle_div_slide">\n\n    <img src="assets/imgs/handle.png">\n\n  </div>\n\n  <div style="width: 90%;margin-top: 15px;margin-left: 5%;height: 50px">\n\n    <ion-searchbar style="width: 65%;float: left;" #searchvalue\n\n                   placeholder="请输入想搜索的内容" (ionChange)="judgenulldata(searchvalue)"></ion-searchbar>\n\n    <div class="search_div">\n\n      <button ion-button block class="search_div_btn"\n\n              (click)="searhandle(searchvalue)">搜索\n\n      </button>\n\n    </div>\n\n    <div style="" class="screening_div">\n\n      <button ion-button block class="screening_div_btn"\n\n              (click)="openscreening()">筛选<img style="width: 12px;" src="assets/imgs/screening.png">\n\n      </button>\n\n    </div>\n\n  </div>\n\n\n\n  <img *ngIf="handledata == \'\' " style="width: 60%;margin-left: 20%;" src="assets/imgs/nulldata.png">\n\n  <div style="width: 100%;height: 70px;border-bottom: 1px solid #f6f6f6;"\n\n       *ngFor="let hands of handledata" (click)="jumphandledetails(hands.id)">\n\n    <div style="width: 14%;float: left;margin-left: 5%;height: 40px;margin-top: 18px;">\n\n      <div style="width: 100%;height: 15px;font-size: 14px;">\n\n        {{hands.createDatetime | date:"MM/dd"}}\n\n      </div>\n\n      <div style="width: 100%;height: 20px;font-size: 20px;color: #aaaeb9">\n\n        {{hands.createDatetime | date:"yyyy"}}\n\n      </div>\n\n    </div>\n\n    <div style="width: 1px;height: 25px;background-color: #aaaeb9;float: left;margin-top: 25px;"></div>\n\n    <div style="width: 74%;float: right;margin-right: 5%;height: 40px;margin-top: 15px;font-size: 16px;"\n\n         *ngIf="hands.title.length>=28">\n\n      {{hands.title.toString().replace(hands.title.toString().substring(28,hands.title.length),"...")}}\n\n    </div>\n\n    <div\n\n      style="width: 74%;float: right;margin-right: 5%;height: 40px;margin-top: 15px;font-size: 16px;display: table;"\n\n      *ngIf="hands.title.length<28">\n\n      <div style="display: table-cell;vertical-align: middle;">{{hands.title}}</div>\n\n    </div>\n\n  </div>\n\n  <ion-infinite-scroll (ionInfinite)="minInfinite($event,searchvalue)">\n\n    <ion-infinite-scroll-content\n\n      loadingSpinner="bubbles">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n\n\n</ion-content>\n\n<ion-footer>\n\n  <ion-toolbar color="light">\n\n    <div style="width: 100%;">\n\n      <ion-input class="evtion_input" placeholder="请输入你的反馈信息" [(ngModel)]="feedbackvalue">\n\n      </ion-input>\n\n      <button ion-button class="evtion_btn"\n\n              (click)="sendevtion()">反馈\n\n      </button>\n\n    </div>\n\n\n\n  </ion-toolbar>\n\n</ion-footer>\n\n\n\n\n\n<div style="width: 100%;position: absolute;height: 100%;z-index: 9999999;display: none;" id="screening">\n\n  <div style="width: 100%;height: 100%;z-index: 999999999;opacity: 0.5;background-color: #7F7F7F;"></div>\n\n  <div style="width: 100%;position: absolute;background-color:white;z-index: 9999999;border-radius: 15px 15px 0 0;\n\n    bottom: 0px;height: 60%;overflow: auto;box-shadow: 1px -1px 12px #666;">\n\n    <div style="width: 100%;height: 35px;position: fixed;background-color: white;border-radius: 15px 15px 0 0;">\n\n      <div style="width: 60%;float: left;height: 35px;color: #7F7F7F;padding-left: 20px;padding-top: 8px;">筛选全部</div>\n\n      <div style="width: 40%;float: right;height: 35px;text-align: right;padding-top: 8px;padding-right: 20px;">\n\n        <img style="width: 20px;height: 20px;" src="assets/imgs/cancel.png" (click)="closescreening(1)">\n\n      </div>\n\n    </div>\n\n    <div style="width: 100%;height: 1px;background-color: #F6F6F6;margin-top: 35px;"></div>\n\n    <div style="width: 100%;margin-bottom: 50px;">\n\n      <div style="width: 100%;" *ngFor="let handle of handlescreeningdata">\n\n        <div style="width: 100%;font-size: 13px;color: #A5A5A5;padding-left: 20px;margin-top: 10px">{{handle.title}}\n\n        </div>\n\n        <div class="categories">\n\n          <ion-grid>\n\n            <ion-row wrap style="margin-left: 20px;margin-right: 20px;margin-bottom: 10px;">\n\n              <ion-col text-center tappable col-4="" *ngFor="let cols of handle.content"\n\n                       [class]="cols.name==selectLabel?\'active\':\'\'"\n\n                       (click)="changehandle(cols)">\n\n                {{cols.name}}\n\n              </ion-col>\n\n            </ion-row>\n\n          </ion-grid>\n\n        </div>\n\n      </div>\n\n    </div>\n\n    <div style="width: 100%;height: 56px;position: fixed;bottom: 0px;background-color: white;">\n\n      <button ion-button\n\n              style=" font-size: 1.1em;height: 30px;width: 40%;background-color: #7F7F7F;color: white;float: left;margin-left: 5%;margin-top: 13px;"\n\n              (click)="closevalue()">重置\n\n      </button>\n\n      <button ion-button\n\n              style="margin-right: 5%;margin-top: 13px;font-size: 1.1em;height: 30px;width: 40%;background-color: red;color: white;float: right;"\n\n              (click)="closescreening(2)">确定\n\n      </button>\n\n    </div>\n\n  </div>\n\n</div>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\handle-affairs\handle-affairs.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"]])
    ], HandleAffairsPage);
    return HandleAffairsPage;
}());

//# sourceMappingURL=handle-affairs.js.map

/***/ }),

/***/ 906:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "HandleAffairsPageModule", function() { return HandleAffairsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__handle_affairs__ = __webpack_require__(1131);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var HandleAffairsPageModule = /** @class */ (function () {
    function HandleAffairsPageModule() {
    }
    HandleAffairsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__handle_affairs__["a" /* HandleAffairsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__handle_affairs__["a" /* HandleAffairsPage */]),
            ],
        })
    ], HandleAffairsPageModule);
    return HandleAffairsPageModule;
}());

//# sourceMappingURL=handle-affairs.module.js.map

/***/ })

});
//# sourceMappingURL=150.js.map