webpackJsonp([153],{

/***/ 1127:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FinancingApplyPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_picker_picker__ = __webpack_require__(522);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the FinancingApplyPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var FinancingApplyPage = /** @class */ (function () {
    function FinancingApplyPage(navCtrl, navParams, pickerService, toolService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.pickerService = pickerService;
        this.toolService = toolService;
        this.roleOptions = [[1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24]];
        this.financdetaisdata = this.navParams.get('financdetaisdata');
        this.company = JSON.parse(window.localStorage.getItem("COMPANY"));
        this.cousel = {};
    }
    FinancingApplyPage.prototype.ionViewDidLoad = function () {
        console.log(this.financdetaisdata);
        this.getWay();
    };
    FinancingApplyPage.prototype.getWay = function () {
        var _this = this;
        var url = 'srt/refundWay';
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.reFundWay = [data.return_data];
                console.log(_this.reFundWay);
            }
        });
    };
    FinancingApplyPage.prototype.pickerFn = function ($start, $length, $option, type) {
        var that = this;
        this.pickerService.openPicker($start, $length, $option, function (result) {
            var vals = JSON.parse(result)['col-0'].text;
            that.dkqx = vals;
        });
    };
    FinancingApplyPage.prototype.returnPickerFn = function ($start, $length, $option, type) {
        var that = this;
        this.pickerService.openPicker($start, $length, $option, function (result) {
            var vals = JSON.parse(result)['col-0'].text;
            that.hkfs = vals;
        });
    };
    // checkRate(input) {
    // 　　var re = /^[0-9]+.?[0-9]*/;//判断字符串是否为数字//判断正整数/[1−9]+[0−9]∗]∗/
    // 　　if (!re.test(input)) {
    // 　　　　return true
    // 　　}
    // }
    FinancingApplyPage.prototype.onCreateCousel = function () {
        var _this = this;
        if (!this.dkqx) {
            this.toolService.showtoast('请选择贷款期限');
            return false;
        }
        if (!this.dkje) {
            this.toolService.showtoast('请输入贷款金额');
            return false;
        }
        if (this.dkje && String(Number(this.dkje)) == 'NaN') {
            this.toolService.showtoast('请输入正确的金额');
            return false;
        }
        if (!this.hkfs) {
            this.toolService.showtoast('请选择还款方式');
            return false;
        }
        var jsonBody = {
            companyId: this.company.id,
            prodName: this.financdetaisdata.name,
            dkqx: this.dkqx,
            productCode: this.financdetaisdata.id,
            hkfs: this.hkfs,
            dkje: this.dkje,
            uscc: this.company.creditCode,
            productName: this.financdetaisdata.name,
            phone: this.company.phone,
        };
        var url = 'srt/financialProductSyn';
        this.toolService.doPost(url, jsonBody, function (data) {
            if (data.return_code == '000000') {
                _this.toolService.showtoast(data.return_data);
                setTimeout(function () {
                    // 返回上一页
                    _this.navCtrl.getPrevious().data.create = true;
                    _this.navCtrl.pop();
                }, 1500);
            }
            else {
                _this.toolService.showtoast(data.return_msg);
            }
        });
    };
    FinancingApplyPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-financing-apply',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\financing-apply\financing-apply.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>贷款申请</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-item>\n\n    <ion-label>产品名称</ion-label>\n\n    <ion-label item-end text-right>{{financdetaisdata.name}}</ion-label>\n\n  </ion-item>\n\n  <ion-item>\n\n    <ion-label>申请电话</ion-label>\n\n    <ion-label item-end text-right>{{company.phone}}</ion-label>\n\n  </ion-item>\n\n  <ion-item>\n\n    <ion-label>纳税人名称</ion-label>\n\n    <ion-label item-end text-right>{{company.name}}</ion-label>\n\n  </ion-item>\n\n  <ion-item>\n\n    <ion-label>申请人姓名</ion-label>\n\n    <ion-label item-end text-right>{{company.legalPerson}}</ion-label>\n\n  </ion-item>\n\n  <ion-item>\n\n    <ion-label>纳税人识别码</ion-label>\n\n    <ion-label item-end text-right>{{company.creditCode}}</ion-label>\n\n  </ion-item>\n  <ion-item (click)="pickerFn(1, roleOptions[0].length, roleOptions,\'role\')">\n    <ion-label>贷款期限</ion-label>\n    <ion-input type="text" placeholder="请选择贷款期限" [(ngModel)]="dkqx" text-right (focus)="inputing=true"\n      (blur)="inputing=false"></ion-input>\n  </ion-item>\n  <ion-item>\n    <ion-label>贷款额度</ion-label>\n    <ion-input type="text" placeholder="请输入贷款额度(元)" [(ngModel)]="dkje" text-right (focus)="inputing=true"\n      (blur)="inputing=false">元</ion-input>\n  </ion-item>\n  <ion-item (click)="returnPickerFn(1, reFundWay[0].length, reFundWay,\'role\')">\n    <ion-label>还款方式</ion-label>\n    <ion-input type="text" placeholder="请选择还款方式" [(ngModel)]="hkfs" text-right (focus)="inputing=true"\n      (blur)="inputing=false"></ion-input>\n  </ion-item>\n\n  <div class="footer" padding [ngClass]="{\'inputing\': inputing}">\n\n    <button ion-button block color="primary" (click)="onCreateCousel()">提交申请</button>\n\n  </div>\n\n</ion-content>\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\financing-apply\financing-apply.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"], __WEBPACK_IMPORTED_MODULE_2__providers_picker_picker__["a" /* PickerService */], __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__["a" /* ToolserviceProvider */]])
    ], FinancingApplyPage);
    return FinancingApplyPage;
}());

//# sourceMappingURL=financing-apply.js.map

/***/ }),

/***/ 902:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "FinancingApplyPageModule", function() { return FinancingApplyPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__financing_apply__ = __webpack_require__(1127);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var FinancingApplyPageModule = /** @class */ (function () {
    function FinancingApplyPageModule() {
    }
    FinancingApplyPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__financing_apply__["a" /* FinancingApplyPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__financing_apply__["a" /* FinancingApplyPage */]),
            ],
        })
    ], FinancingApplyPageModule);
    return FinancingApplyPageModule;
}());

//# sourceMappingURL=financing-apply.module.js.map

/***/ })

});
//# sourceMappingURL=153.js.map