webpackJsonp([154],{

/***/ 1126:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return EpidemicreleasePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_camera_api_camera_api__ = __webpack_require__(162);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__common_select_tree_select_tree__ = __webpack_require__(519);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the EpidemicreleasePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var EpidemicreleasePage = /** @class */ (function () {
    function EpidemicreleasePage(navCtrl, navParams, loadingCtrl, toolservice, ThePublicModule, CameraApi, modalCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.loadingCtrl = loadingCtrl;
        this.toolservice = toolservice;
        this.ThePublicModule = ThePublicModule;
        this.CameraApi = CameraApi;
        this.modalCtrl = modalCtrl;
        this.imglist = [];
        this.image_url = __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["d" /* IMAGEURL */];
        //部门id
        this.departmentid = "";
        //部门name
        this.departmentname = "";
        this.dname = this.ThePublicModule.COMPANY.name;
        var date = new Date();
        var seperator1 = "-";
        var year = date.getFullYear();
        var month = date.getMonth() + 1;
        var strDate = date.getDate();
        this.dtime = year + seperator1 + month + seperator1 + strDate;
    }
    EpidemicreleasePage.prototype.ionViewDidLoad = function () {
    };
    EpidemicreleasePage.prototype.gobacks = function () {
        this.navCtrl.pop();
    };
    // 删除图片
    EpidemicreleasePage.prototype.deleDtao = function (key) {
        this.imglist.splice(key, 1);
    };
    /**
     * 跳转部门
     */
    EpidemicreleasePage.prototype.jumpdepartment = function () {
        var _this = this;
        var url = 'baseOrganization/getRegionDepartment?regionId=' + this.ThePublicModule.COMPANY.regionId;
        var userModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_5__common_select_tree_select_tree__["a" /* SelectTreePage */], {
            ListUrlAction: url,
            "nameMap": {
                object: {
                    name: "name",
                    value: "id"
                },
                dataList: "list"
            },
            choseTitle: "部门"
        });
        userModal.onDidDismiss(function (data) {
            if (data && data.length > 0) {
                _this.departmentid = data[0].id;
                _this.departmentname = data[0].name;
            }
        });
        userModal.present();
    };
    /**
     * 上传图片
     */
    EpidemicreleasePage.prototype.goCameraApi = function () {
        this.initImgSer();
        this.CameraApi.takePhoto();
    };
    // 照片回显方法
    EpidemicreleasePage.prototype.initImgSer = function () {
        var _this = this;
        this.CameraApi.upload.success = function (data) {
            // 判断图片地址储存数组长度
            if (_this.imglist.length > 2) {
                _this.toolservice.showtoast("只能上传3张图片。");
            }
            else {
                /*每次增加的一个对象数据*/
                var obj = data.return_data;
                // 插入图片路径数组
                _this.imglist.push(obj[0]);
            }
            ;
            _this.CameraApi.upload.error = function (err) {
                _this.toolservice.showtoast('上传失败');
            };
        };
    };
    /**
     * 发布疫情
     */
    EpidemicreleasePage.prototype.releaseepid = function (content) {
        var _this = this;
        if (content.value.length == 0) {
            this.toolservice.showtoast('请输入上报内容');
        }
        else if (this.imglist == null) {
            this.toolservice.showtoast('请上传防疫图片');
        }
        else if (this.departmentid == "") {
            this.toolservice.showtoast('请选择上报部门');
        }
        else {
            var a = this.imglist.join(',');
            var loading_1 = this.loadingCtrl.create();
            loading_1.present();
            var url = 'antivirusReport/add';
            var datas = {
                "content": content.value,
                "imgs": a,
                "objectId": this.departmentid,
                "objectName": this.departmentname,
            };
            this.toolservice.doPost(url, datas, function (data) {
                if (data.return_code == '000000') {
                    _this.toolservice.showtoast(data.return_data);
                    loading_1.dismiss();
                    _this.navCtrl.pop();
                }
                else {
                    _this.toolservice.showtoast(data.return_msg);
                    loading_1.dismiss();
                }
            }, function (error) {
                loading_1.dismiss();
            });
        }
    };
    EpidemicreleasePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-epidemicrelease',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\epidemicrelease\epidemicrelease.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>防疫上报</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n\n\n  <ion-item no-lines="">\n\n    <span item-start="" style="font-size: 14px;margin-left: 16px;color: #364049;">\n\n      企业名称:\n\n    </span>\n\n    <ion-label style="font-size: 15px;text-align: right; color: #525252;float: right;">\n\n      {{dname}}\n\n    </ion-label>\n\n  </ion-item>\n\n  <div style="width: 100%;height: 1px;background-color: #f4f4f4;"></div>\n\n\n\n\n\n  <ion-item no-lines="">\n\n    <span item-start="" style="font-size: 14px;margin-left: 16px;color: #364049;">\n\n      上报时间:\n\n    </span>\n\n    <ion-label style="font-size: 15px;text-align: right; color: #525252; float: right;">\n\n      {{dtime}}\n\n    </ion-label>\n\n  </ion-item>\n\n\n\n  <div style="width: 100%;height: 1px;background-color: #f4f4f4;"></div>\n\n\n\n  <button no-lines="" ion-item (click)="jumpdepartment()" *ngIf="departmentid ==\'\'">\n\n    上报部门:\n\n  </button>\n\n  <ion-item no-lines="" *ngIf="departmentid!=\'\'">\n\n    <ion-label>上报部门</ion-label>\n\n    <ion-label item-end text-right>{{departmentname}}</ion-label>\n\n  </ion-item>\n\n\n\n  <div style="width: 100%;height: 1px;background-color: #f4f4f4;"></div>\n\n\n\n  <div style="width: 100%;padding-left: 16px;height: 30px;padding-top: 10px;font-size: 15px;color: #364049;">\n\n    防疫图组(单次最多上传3张照片,可多次上报)\n\n  </div>\n\n\n\n  <ion-item no-lines="">\n\n    <ng-container *ngFor="let item  of imglist;let i = index;">\n\n      <div class="eva_gocamera">\n\n        <ion-icon (click)="deleDtao(i,1)" class="sp" ios="ios-close-circle"></ion-icon>\n\n        <img style="width: 74px;height: 74px;" src="{{image_url+item}}" alt="">\n\n      </div>\n\n    </ng-container>\n\n    <div class="eva_gocamera" (click)="goCameraApi()">\n\n      <img src="assets/imgs/legalimg/tp.png">\n\n    </div>\n\n  </ion-item>\n\n\n\n  <div style="width: 100%;padding-left: 16px;height: 30px;padding-top: 10px;font-size: 15px;color: #364049;">\n\n    上报内容\n\n  </div>\n\n\n\n  <div style="width: 90%;margin-left: auto;margin-right: auto;">\n\n      <textarea placeholder="请输入上报内容(字数300字以内)" class="docking_textarea"\n\n                cols="40" maxlength="300" rows="10" #relecontent></textarea>\n\n  </div>\n\n\n\n  <div style="width: 90%;margin-left: 5%;height: 30px;top: 50px;">\n\n    <button ion-button\n\n            style="height: 35px;width: 40%;top: 50px;font-size: 15px; float: left;color: white;background-color: #FF5555;"\n\n            (click)="gobacks()">\n\n      取消\n\n    </button>\n\n    <button ion-button\n\n            style="height: 35px;width: 40%;top: 50px;font-size: 15px;float: right;color: white;background-color: #487aff;"\n\n            (click)="releaseepid(relecontent)">\n\n      上报\n\n    </button>\n\n  </div>\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\epidemicrelease\epidemicrelease.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"], __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["i" /* ThePublicModule */], __WEBPACK_IMPORTED_MODULE_4__providers_camera_api_camera_api__["a" /* CameraApiProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"]])
    ], EpidemicreleasePage);
    return EpidemicreleasePage;
}());

//# sourceMappingURL=epidemicrelease.js.map

/***/ }),

/***/ 901:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "EpidemicreleasePageModule", function() { return EpidemicreleasePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__epidemicrelease__ = __webpack_require__(1126);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var EpidemicreleasePageModule = /** @class */ (function () {
    function EpidemicreleasePageModule() {
    }
    EpidemicreleasePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__epidemicrelease__["a" /* EpidemicreleasePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__epidemicrelease__["a" /* EpidemicreleasePage */]),
            ],
        })
    ], EpidemicreleasePageModule);
    return EpidemicreleasePageModule;
}());

//# sourceMappingURL=epidemicrelease.module.js.map

/***/ })

});
//# sourceMappingURL=154.js.map