webpackJsonp([156],{

/***/ 1124:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return EpidemicdetailsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the EpidemicdetailsPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var EpidemicdetailsPage = /** @class */ (function () {
    function EpidemicdetailsPage(navCtrl, navParams, toolservice) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        // 图片地址
        this.image_url = __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["d" /* IMAGEURL */];
        this.detailsid = this.navParams.get('epid');
        this.selectdetails();
    }
    EpidemicdetailsPage.prototype.ionViewDidLoad = function () {
    };
    /**
     * 查询详情
     */
    EpidemicdetailsPage.prototype.selectdetails = function () {
        var _this = this;
        var url = 'antivirusReport/getDetail?id=' + this.detailsid;
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.epiddata = [data.return_data];
                _this.epidimg = data.return_data.imgs.split(",");
            }
        });
    };
    /**
     * 删除上报
     */
    EpidemicdetailsPage.prototype.deleteepid = function (itemid) {
        var _this = this;
        var url = 'antivirusReport/del';
        var datas = {
            "id": itemid
        };
        this.toolservice.doPost(url, datas, function (data) {
            if (data.return_code == '000000') {
                _this.navCtrl.pop();
            }
            else {
                _this.toolservice.showtoast(data.return_msg);
            }
        });
    };
    EpidemicdetailsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-epidemicdetails',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\epidemicdetails\epidemicdetails.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>防疫详情</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <div style="width: 100%;" *ngFor="let ep of epiddata">\n\n    <div style="width: 90%;margin-left: 5%;height: 160px;">\n\n      <div style="width: 70%;float: left;margin-top: 5px;">\n\n        <div style="width: 100%;color: #aaaeb9;font-size: 13px;">企业名称:{{ep.companyName}}</div>\n\n        <div style="width: 100%;color: #aaaeb9;font-size: 13px;">\n\n          所属区域:&nbsp;{{ep.companyRegion}}\n\n        </div>\n\n        <div style="width: 100%;color: #aaaeb9;font-size: 13px;">\n\n          上报时间:&nbsp;{{ep.reportTime | date:"yyyy-MM-dd"}}\n\n        </div>\n\n        <div style="width: 100%;color: #aaaeb9;font-size: 13px;">\n\n          企业地址:&nbsp;{{ep.companyAddress}}\n\n        </div>\n\n        <div style="width: 100%;color: #aaaeb9;font-size: 13px;">\n\n          企业法人:&nbsp;{{ep.companyLegalPerson}}\n\n        </div>\n\n        <div style="width: 100%;color: #aaaeb9;font-size: 13px;">\n\n          联系方式:&nbsp;{{ep.legalPersonPhone}}\n\n        </div>\n\n      </div>\n\n      <div style="width: 25%;float: right;text-align: right;margin-top: 20px;" *ngIf="ep.status == 0">\n\n        <img style="width: 65%;" src="assets/imgs/dey.png">\n\n      </div>\n\n      <div style="width: 25%;float: right;text-align: right;margin-top: 20px;" *ngIf="ep.status == 1">\n\n        <img style="width: 65%;" src="assets/imgs/ysb.png">\n\n      </div>\n\n      <div style="width: 25%;float: right;text-align: right;margin-top: 20px;" *ngIf="ep.status == 2">\n\n        <img style="width: 65%;" src="assets/imgs/insta1.png">\n\n      </div>\n\n    </div>\n\n    <div style="width: 100%;height: 10px;background-color: #f1f3fa;"></div>\n\n    <div style="width: 100%;padding-left: 16px;height: 30px;padding-top: 8px;color: #525252;">\n\n      上报内容:\n\n    </div>\n\n    <div\n\n      style="width: 90%;margin-left: auto;margin-right: auto;color: #aaaeb9;font-size: 13px;margin-top: 8px;margin-bottom: 10px;">\n\n      {{ep.content}}\n\n    </div>\n\n    <div style="width: 100%;height: 10px;background-color: #f1f3fa;"></div>\n\n    <div style="width: 100%;padding-left: 16px;height: 30px;padding-top: 8px;color: #525252;">\n\n      防疫图组:\n\n    </div>\n\n      <img style="width: 90%;margin-top: 5px;margin-left: 5%;" *ngFor="let img of epidimg" src="{{image_url+img}}">\n\n    <button ion-button *ngIf="ep.status == 1"\n\n            style="height: 35px;width: 60%;margin-top: 70px;\n\n          margin-bottom: 50px;font-size: 15px;margin-left: 20%; color: white;background-color: #FF5555;"\n\n            (click)="deleteepid(ep.id)">\n\n      重新上报\n\n    </button>\n\n  </div>\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\epidemicdetails\epidemicdetails.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */]])
    ], EpidemicdetailsPage);
    return EpidemicdetailsPage;
}());

//# sourceMappingURL=epidemicdetails.js.map

/***/ }),

/***/ 899:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "EpidemicdetailsPageModule", function() { return EpidemicdetailsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__epidemicdetails__ = __webpack_require__(1124);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var EpidemicdetailsPageModule = /** @class */ (function () {
    function EpidemicdetailsPageModule() {
    }
    EpidemicdetailsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__epidemicdetails__["a" /* EpidemicdetailsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__epidemicdetails__["a" /* EpidemicdetailsPage */]),
            ],
        })
    ], EpidemicdetailsPageModule);
    return EpidemicdetailsPageModule;
}());

//# sourceMappingURL=epidemicdetails.module.js.map

/***/ })

});
//# sourceMappingURL=156.js.map