webpackJsonp([158],{

/***/ 1121:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DockingDetailsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_platform_browser__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_global__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_photo_viewer__ = __webpack_require__(164);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the DockingDetailsPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var DockingDetailsPage = /** @class */ (function () {
    function DockingDetailsPage(navCtrl, navParams, toolservice, sanitiaer, ThePublicModule, photoviewer, appCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.sanitiaer = sanitiaer;
        this.ThePublicModule = ThePublicModule;
        this.photoviewer = photoviewer;
        this.appCtrl = appCtrl;
        //我要对接状态
        this.phonestatus = 1;
        //对接状态
        this.dockaddlinkstatus = false;
        // 每页展示的记录条数
        this.pageSize = 10;
        // 记录列表刷新次数
        this.numrecord = 1;
        this.image_url = __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_global__["d" /* IMAGEURL */];
        this.popupStatus = false;
        if (window.localStorage.getItem("USER_INFO") && window.localStorage.getItem("USER_INFO") != 'null') {
            this.userId = JSON.parse(window.localStorage.getItem("USER_INFO")).userId;
        }
        else {
            this.userId = '';
        }
        this.dockdetailsid = this.navParams.get('dockid');
        this.selectdockdetails();
        this.pagestatus = this.navParams.get('jumpnum');
        this.selectMessageboard();
    }
    DockingDetailsPage.prototype.ionViewDidLoad = function () {
    };
    /**
     * 根据id查询留言板数据
     */
    DockingDetailsPage.prototype.selectMessageboard = function () {
        var _this = this;
        var url = 'bsNotes/getPageNotes?noteType=1&objectId=' + this.dockdetailsid + '&isDelete=false&pageNum=1&pageSize=10';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                _this.messageboardata = data.return_data.list;
                _this.messagelength = data.return_data['total'];
                // 消息记录数组最大页面赋值
                _this.messagePage = data.return_data['pages'];
            }
            else {
            }
        });
    };
    /**
     * 供需详情
     */
    DockingDetailsPage.prototype.selectdockdetails = function () {
        var _this = this;
        var url = 'bsSupplyProduct/getSupplyProductById?id=' + this.dockdetailsid;
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.dockdetailsdata = [data.return_data];
                _this.detailsimage = data.return_data.mainImg;
                _this.dockingtext = _this.sanitiaer.bypassSecurityTrustHtml(data.return_data.description);
            }
        });
    };
    /**
     * 我想对接
     */
    DockingDetailsPage.prototype.wantdocking = function () {
        var _this = this;
        var btnstatus1 = document.getElementById("btn1");
        var btnstatus2 = document.getElementById("btn2");
        this.phonestatus = 2;
        var url = 'bsSupplyProduct/addLinkReadQuantity?id=' + this.dockdetailsid;
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.dockaddlinkstatus = true;
                btnstatus1.style.display = 'none';
                btnstatus2.style.display = 'flex';
            }
            else {
                _this.dockaddlinkstatus = false;
                btnstatus1.style.display = 'flex';
                btnstatus2.style.display = 'none';
            }
        });
    };
    /**
     * 放大图片
     */
    DockingDetailsPage.prototype.daimage = function () {
        this.photoviewer.show(this.image_url + this.detailsimage);
    };
    /**
     * 回复消息
     */
    DockingDetailsPage.prototype.replymessge = function (item1) {
        var _this = this;
        setTimeout(function () {
            _this.myInput.setFocus(); //为输入框设置焦点
        }, 150);
        this.pdid = item1;
    };
    /**
     * 发送消息
     */
    DockingDetailsPage.prototype.sendmessage = function () {
        var _this = this;
        var url = 'bsNotes/addNotes';
        var datas;
        if (this.pdid == null) {
            if (this.relecontent == null) {
                this.pdid = null;
                this.toolservice.showtoast("请填写内容");
            }
            else {
                datas = {
                    noteType: 1,
                    messageContent: this.relecontent,
                    objectId: this.dockdetailsid
                };
                this.toolservice.doPost(url, datas, function (data) {
                    if (data.return_code == '000000') {
                        _this.pdid = null;
                        _this.toolservice.showtoast("发送成功");
                        _this.selectMessageboard();
                        _this.relecontent = null;
                    }
                    else {
                        _this.pdid = null;
                        _this.toolservice.showtoast(data.return_msg);
                    }
                });
            }
        }
        else {
            if (this.relecontent == null) {
                this.pdid = null;
                this.toolservice.showtoast("请填写内容");
            }
            else {
                datas = {
                    noteType: 1,
                    noteId: this.pdid,
                    messageContent: this.relecontent,
                    objectId: this.dockdetailsid
                };
                this.toolservice.doPost(url, datas, function (data) {
                    if (data.return_code == '000000') {
                        _this.toolservice.showtoast("发送成功");
                        _this.selectMessageboard();
                        _this.pdid = null;
                        _this.relecontent = null;
                    }
                    else {
                        _this.pdid = null;
                        _this.toolservice.showtoast(data.return_msg);
                    }
                });
            }
        }
    };
    DockingDetailsPage.prototype.share = function (type) {
        // 判断是否登录，未登录跳转到登录页面
        if (this.userId == '') {
            this.appCtrl.getActiveNav().push('LoginPage');
            return;
        }
        Wechat.share({
            message: {
                title: this.dockdetailsdata[0].name,
                description: this.dockdetailsdata[0].name,
                thumb: "www/assets/imgs/logo.jpg",
                media: {
                    type: Wechat.Type.WEBPAGE,
                    webpageUrl: __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_global__["a" /* BASE_SHARE_URL */] + "?type=nanchongzao&id=" + this.dockdetailsid
                }
            },
            scene: type === 0 ? Wechat.Scene.SESSION : Wechat.Scene.TIMELINE
        }, function () {
        }, function (reason) {
            alert("Failed: " + reason);
        });
    };
    DockingDetailsPage.prototype.tapShare = function () {
        this.popupStatus = true;
    };
    /**
     * 拨打号码
     */
    DockingDetailsPage.prototype.Dialthenumber = function (phone) {
        window.location.href = 'tel:' + phone;
    };
    /**
     * 上滑加载更多
     */
    DockingDetailsPage.prototype.minInfinite = function (infiniteScroll) {
        var _this = this;
        setTimeout(function () {
            // 加载完成关闭刷新
            infiniteScroll.complete();
            // 判读数据超过十条启动刷新
            if (_this.messagelength > _this.pageSize) {
                //增加index
                _this.numrecord++;
                // 判断刷新分页页码大小
                if (_this.numrecord > _this.messagePage) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    // infiniteScroll.enable(false);
                    //toast提示
                    _this.toolservice.showtoast("已加载所有");
                }
                else {
                    var url = 'bsNews/getNews?status=2&pageNum=' + _this.numrecord + '&pageSize=' + _this.pageSize;
                    _this.toolservice.doGet(url, function (data) {
                        if (data.return_code == '000000') {
                            // 加载完成关闭刷新
                            infiniteScroll.complete();
                            // 循环插入数据数组
                            for (var i = 0; i < data.return_data['list'].length; i++) {
                                _this.messageboardata.push(data.return_data['list'][i]);
                            }
                        }
                    });
                }
                // }, 2000);
            }
            else {
                // 加载全部数据禁用刷新
                infiniteScroll.enable(false);
                _this.toolservice.showtoast("已加载所有");
            }
        }, 2000);
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])('productID'),
        __metadata("design:type", Object)
    ], DockingDetailsPage.prototype, "myInput", void 0);
    DockingDetailsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-docking-details',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\docking-details\docking-details.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title *ngIf="pagestatus == 1">详情</ion-title>\n\n    <ion-title *ngIf="pagestatus == 2">产学研详情</ion-title>\n\n    <ion-title *ngIf="pagestatus == 3">产品详情</ion-title>\n\n    <ion-buttons (click)="tapShare()" end>\n\n      <div (click)="tapShare()">\n\n        <img src="assets/imgs/news/share.png" alt="" style="width: 26px;margin-top: 5px;">\n\n      </div>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n</ion-header>\n\n<div class="hide-g" *ngIf="popupStatus" (click)="popupStatus = false">\n\n  <div class="hide-card">\n\n    <div class="wx" (click)="share(0)">\n\n      <img src="assets/imgs/share/wx.png" />\n\n      <p>微信分享</p>\n\n    </div>\n\n    <div class="pyq" (click)="share(1)">\n\n      <img src="assets/imgs/share/pyq.png" />\n\n      <p>朋友圈分享</p>\n\n    </div>\n\n  </div>\n\n</div>\n\n<ion-content>\n\n\n\n  <div class="dockingdetails_div_slide">\n\n    <img src="assets/imgs/docking2.png" *ngIf="detailsimage == null">\n\n    <img src="{{image_url+detailsimage}}" *ngIf="detailsimage != null" (click)="daimage()">\n\n  </div>\n\n  <div style="width: 100%;" *ngFor="let docktea of dockdetailsdata">\n\n    <div style="width: 90%;margin-left: 5%;font-size: 20px;margin-top: 10px;">{{docktea.name}}\n\n    </div>\n\n    <div style="width: 90%;margin-left: 5%;height: 20px;" *ngIf="docktea.price !=null">\n\n      <div style="width: 60%;float: left;color: red;font-size: 16px;">{{docktea.price}}</div>\n\n      <div style="width: 40%;float: right;text-align: right;" *ngIf="docktea.isTop">\n\n        <img style="width: 20px;vertical-align: middle;" src="assets/imgs/docking4.png">\n\n      </div>\n\n    </div>\n\n\n\n    <div style="width: 100%;margin-top: 10px;margin-bottom: 10px;height: 1px;background-color: #F4F4F4;"></div>\n\n\n\n    <div style="width: 90%;margin-left: 5%;font-size: 13px;color: #525252;">\n\n      <img style="width: 13px;" src="assets/imgs/docking6.png">&nbsp;&nbsp;{{docktea.companyName}}\n\n    </div>\n\n    <div style="width: 90%;margin-left: 5%;margin-top: 10px;height: 20px;">\n\n      <div style="width: 70%;float: left;font-size: 13px;color:#525252;">发布日期:{{docktea.createTime | date:"yyyy-MM-dd"}}\n\n      </div>\n\n      <div style="width: 30%;float: right;color:#525252;font-size: 13px;text-align: right;">\n\n        <img style="width: 17px;" src="assets/imgs/6.png">&nbsp;&nbsp;&nbsp;{{docktea.readQuantity}}\n\n      </div>\n\n    </div>\n\n    <div style="width: 100%;margin-top: 10px;margin-bottom: 10px;height: 1px;background-color: #F4F4F4;"></div>\n\n    <div style="width: 90%;margin-left: 5%;font-size: 16px;">详情描述</div>\n\n    <div style="width: 100%;margin-top: 10px;margin-bottom: 10px;height: 1px;background-color: #F4F4F4;"></div>\n\n    <div style="width: 90%;margin-left: 5%;color: #525252;" [innerHTML]="dockingtext">\n\n    </div>\n\n\n\n    <div style="width: 100%;margin-top: 10px;margin-bottom: 10px;height: 1px;background-color: #F4F4F4;"\n\n      *ngIf="dockaddlinkstatus"></div>\n\n    <div style="width: 90%;margin-left: 5%;font-size: 20px;" *ngIf="dockaddlinkstatus">联系方式</div>\n\n    <div style="width: 100%;margin-top: 10px;margin-bottom: 10px;height: 1px;background-color: #F4F4F4;"\n\n      *ngIf="dockaddlinkstatus"></div>\n\n    <div style="width: 90%;margin-left: 5%;height: 30px;color: #525252;" *ngIf="dockaddlinkstatus">\n\n      <div style="width: 50%;float: left;">联系电话:{{docktea.contactId}}</div>\n\n      <!--<div style="width: 50%;float: right;text-align: right;">联系电:{{docktea.contactId}}</div>-->\n\n    </div>\n\n    <div style="width: 100%;margin-top: 5px;margin-bottom: 10px;height: 1px;background-color: #F4F4F4;"\n\n      *ngIf="dockaddlinkstatus"></div>\n\n    <button ion-button class="dockdetails_div_button" id="btn1" (click)="wantdocking()">查看联系方式\n\n    </button>\n\n\n\n    <button ion-button icon-start class="dockdetails_div_button1" id="btn2" (click)="Dialthenumber(docktea.contactId)">\n\n      <ion-icon name="ios-call-outline"></ion-icon>&nbsp;&nbsp;&nbsp;立即拨打\n\n    </button>\n\n\n\n    <div style="width: 100%;height: 10px;background-color: #f1f3fa;margin-bottom: 5px;margin-top: 5px;"></div>\n\n    <div\n\n      style="width: 100%;padding-left: 16px;padding-right: 16px;margin-top: 10px;margin-bottom: 10px;font-size: 16px;color: #487aff;">\n\n      留言板\n\n      <img style="width: 12px;" src="assets/imgs/docking9.png">\n\n    </div>\n\n    <div style="width: 100%;height: 1px;background-color: #f1f3fa;"></div>\n\n    <div style="width: 100%;">\n\n      <div style="width: 100%;margin-top: 10px;margin-bottom: 10px;" *ngFor="let mess  of messageboardata">\n\n        <div style="width: 100%;padding-left: 16px;padding-right: 16px;font-size: 15px;color: #525252;"\n\n          *ngIf="mess.noteId == null">\n\n          {{mess.createUserName}}\n\n        </div>\n\n        <div style="width: 100%;padding-left: 16px;padding-right: 16px;font-size: 15px;color: #525252;"\n\n          *ngIf="mess.noteId != null">\n\n          {{mess.createUserName}}<span style="color: #aaaeb9;font-size: 13px;">回复</span>{{mess.noteUserName}}\n\n        </div>\n\n        <div style="width: 100%;padding-left: 16px;padding-right: 16px;font-size: 12px;color: #909090;">\n\n          {{mess.createUserTime | date:"yyyy-MM-dd hh:mm"}}\n\n        </div>\n\n        <div style="width: 100%;padding-left: 16px;padding-right: 16px;font-size: 15px;color: #aaaeb9;">\n\n          {{mess.messageContent}}\n\n        </div>\n\n        <!--<div class="head_div">-->\n\n        <button ion-button block class="screening_div_btn" (click)="replymessge(mess.id)">回复\n\n        </button>\n\n        <div style="width: 100%;height: 1px;background-color: #f1f3fa;margin-bottom: 10px;margin-top: 10px;"></div>\n\n      </div>\n\n    </div>\n\n  </div>\n\n  <ion-infinite-scroll (ionInfinite)="minInfinite($event)">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>\n\n<!-- <ion-footer> -->\n\n<!-- <ion-toolbar color="light"> -->\n\n<div style="width: 100%;position: fixed;bottom: 0;z-index: 2;background-color: #fff;padding: 10px;">\n\n  <ion-input #productID class="evtion_input" placeholder="添加评论。。" [(ngModel)]="relecontent">\n\n  </ion-input>\n\n  <button ion-button class="evtion_btn" (click)="sendmessage()">发送\n\n  </button>\n\n</div>\n\n\n\n<!-- </ion-toolbar> -->\n\n<!-- </ion-footer> -->\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\docking-details\docking-details.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_3__angular_platform_browser__["c" /* DomSanitizer */], __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_global__["i" /* ThePublicModule */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_photo_viewer__["a" /* PhotoViewer */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["App"]])
    ], DockingDetailsPage);
    return DockingDetailsPage;
}());

//# sourceMappingURL=docking-details.js.map

/***/ }),

/***/ 896:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "DockingDetailsPageModule", function() { return DockingDetailsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__docking_details__ = __webpack_require__(1121);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var DockingDetailsPageModule = /** @class */ (function () {
    function DockingDetailsPageModule() {
    }
    DockingDetailsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__docking_details__["a" /* DockingDetailsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__docking_details__["a" /* DockingDetailsPage */]),
            ],
        })
    ], DockingDetailsPageModule);
    return DockingDetailsPageModule;
}());

//# sourceMappingURL=docking-details.module.js.map

/***/ })

});
//# sourceMappingURL=158.js.map