webpackJsonp([160],{

/***/ 1119:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ComplainthandlingPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
 * Generated class for the ComplainthandlingPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ComplainthandlingPage = /** @class */ (function () {
    function ComplainthandlingPage(navCtrl, navParams, toolservice, loadingCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.loadingCtrl = loadingCtrl;
        // 每页展示的记录条数
        this.pageSize = 10;
        // 记录列表刷新次数
        this.comrecord = 1;
        this.companyid = this.navParams.get('itemid');
    }
    ComplainthandlingPage.prototype.ionViewDidLoad = function () {
    };
    ComplainthandlingPage.prototype.ionViewWillEnter = function () {
        this.compladata();
    };
    /**
     * 查询防疫信息
     */
    ComplainthandlingPage.prototype.compladata = function () {
        var _this = this;
        var url = 'antivirusReport/getList?companyId=' + this.companyid + '&pageNum=1&pageSize=10';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                _this.comlength = data.return_data['total'];
                // 消息记录数组最大页面赋值
                _this.comPage = data.return_data['pages'];
                _this.comrecord = 1;
                _this.comdata = data.return_data.list;
            }
            else {
                _this.comdata = null;
            }
        });
    };
    /**
     * 跳转详情
     */
    ComplainthandlingPage.prototype.jumpcomdetails = function (item) {
        this.navCtrl.push('InspectiondetailsPage', { itemid: item });
    };
    /**
     * 搜索
     */
    ComplainthandlingPage.prototype.selectcomOrderList = function () {
        var _this = this;
        if (this.selectTime == "") {
            this.toolservice.showtoast("请选择上报日期");
        }
        else {
            var start1 = this.toolservice.getDate(this.selectTime);
            var start2 = this.toolservice.dateFormat(start1, 'yyyy-MM-dd');
            var start3 = this.toolservice.getDate(start2);
            var loading_1 = this.loadingCtrl.create({});
            this.selectTime = start3.getTime();
            loading_1.present();
            this.comrecord = 1;
            var url = 'antivirusReport/getList?companyId=' + this.companyid + '&reportTime=' + this.selectTime + '&pageNum=1&pageSize=10';
            this.toolservice.doGet(url, function (data) {
                if (data.return_code == '000000' && data.return_data.list != '') {
                    _this.comdata = data.return_data.list;
                    _this.comlength = data.return_data['total'];
                    // 消息记录数组最大页面赋值
                    _this.comPage = data.return_data['pages'];
                    loading_1.dismiss();
                }
                else {
                    _this.comdata = null;
                    _this.toolservice.showtoast(data.return_msg);
                    loading_1.dismiss();
                }
            });
        }
    };
    /**
     * 下拉刷新
     */
    ComplainthandlingPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        this.compladata();
        setTimeout(function () {
            refresher.complete();
            //toast提示
            _this.toolservice.showtoast("刷新成功!");
        }, 2000);
    };
    /**
     * 上滑加载更多
     */
    ComplainthandlingPage.prototype.minInfinite = function (infiniteScroll) {
        var _this = this;
        var start1 = this.toolservice.getDate(this.selectTime);
        var start2 = this.toolservice.dateFormat(start1, 'yyyy-MM-dd');
        var start3 = this.toolservice.getDate(start2);
        this.selectTime = start3.getTime();
        setTimeout(function () {
            // 加载完成关闭刷新
            infiniteScroll.complete();
            // 判读数据超过十条启动刷新
            if (_this.comlength > _this.pageSize) {
                //增加index
                _this.comrecord++;
                // 判断刷新分页页码大小
                if (_this.comrecord > _this.comPage) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    infiniteScroll.enable(false);
                    //toast提示
                    _this.toolservice.showtoast("已加载所有");
                }
                else {
                    var url = 'antivirusReport/getList?companyId=' + _this.companyid + 'reportTime=' + _this.selectTime + '&pageNum=' + _this.comrecord + '&pageSize=' + _this.pageSize;
                    _this.toolservice.doGet(url, function (data) {
                        if (data.return_code == '000000') {
                            // 加载完成关闭刷新
                            infiniteScroll.complete();
                            // 循环插入数据数组
                            for (var i = 0; i < data.return_data['list'].length; i++) {
                                _this.comdata.push(data.return_data['list'][i]);
                            }
                        }
                    });
                }
                // }, 2000);
            }
            else {
                // 加载全部数据禁用刷新
                _this.toolservice.showtoast("已加载所有");
            }
        }, 2000);
    };
    ComplainthandlingPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-complainthandling',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\complainthandling\complainthandling.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>上报查阅</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingText="下拉刷新" refreshingSpinner="bubbles"></ion-refresher-content>\n\n  </ion-refresher>\n\n  <div style="width: 94%;margin-left: 2%; margin-top: 10px;height: 50px;">\n\n    <ion-datetime class="order_starttime" displayFormat="YYYY/MM/DD"\n\n                  placeholder="选择上报日期" cancelText="取消" doneText="完成" [(ngModel)]="selectTime"></ion-datetime>\n\n    <button ion-button class="order_reset"\n\n            style="margin-top: 4px;float: right;color: #ffffff;background-color: #49B6F0;"\n\n            (click)="selectcomOrderList()">\n\n      查询\n\n    </button>\n\n  </div>\n\n  <img *ngIf="comdata == null" style="width: 80%;margin-left: 10%;" src="assets/imgs/nulldata.png">\n\n  <div style="width: 100%;height: 65px;border-bottom: 5px #f1f3fa solid;margin-top: 10px;"\n\n       *ngFor="let com  of comdata ">\n\n    <img style=" position: absolute;right: 5px;width: 40px;" *ngIf="com.status == 1" src="assets/imgs/insta3.png">\n\n    <img style="position: absolute;right: 5px;width: 40px;" *ngIf="com.status == 2" src="assets/imgs/insta4.png">\n\n    <ion-label style="margin-left: 5%;color: #525252; font-size: 15px;width: 90%;">{{com.content}}</ion-label>\n\n    <div style="margin-left: 5%;width: 90%;height: 30px;margin-top: 5px;">\n\n      <!--<ion-label style="width: 60%;float: left;color: #aaaeb9;font-size: 15px;">企业名称:南充市顺庆区服务中心</ion-label>-->\n\n      <!--<ion-label style="width: 60%;float: left;color: #aaaeb9;font-size: 15px;">所属区域:南充市顺庆区</ion-label>-->\n\n      <ion-label style="width: 60%;float: left;color: #aaaeb9;font-size: 15px;">上报时间:{{com.reportTime |\n\n        date:"yyyy-MM-dd"}}\n\n      </ion-label>\n\n      <button ion-button\n\n              style="font-size: 1.4rem;width: 22%;height: 25px;float: right;color: #ffffff;background-color: #49B6F0;"\n\n              (click)="jumpcomdetails(com.id)">\n\n        查看详情\n\n      </button>\n\n    </div>\n\n  </div>\n\n\n\n  <ion-infinite-scroll (ionInfinite)="minInfinite($event)">\n\n    <ion-infinite-scroll-content\n\n      loadingSpinner="bubbles">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\complainthandling\complainthandling.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"]])
    ], ComplainthandlingPage);
    return ComplainthandlingPage;
}());

//# sourceMappingURL=complainthandling.js.map

/***/ }),

/***/ 894:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ComplainthandlingPageModule", function() { return ComplainthandlingPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__complainthandling__ = __webpack_require__(1119);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ComplainthandlingPageModule = /** @class */ (function () {
    function ComplainthandlingPageModule() {
    }
    ComplainthandlingPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__complainthandling__["a" /* ComplainthandlingPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__complainthandling__["a" /* ComplainthandlingPage */]),
            ],
        })
    ], ComplainthandlingPageModule);
    return ComplainthandlingPageModule;
}());

//# sourceMappingURL=complainthandling.module.js.map

/***/ })

});
//# sourceMappingURL=160.js.map