webpackJsonp([163],{

/***/ 1116:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CompaniesToVisitPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the CompaniesToVisitPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var CompaniesToVisitPage = /** @class */ (function () {
    function CompaniesToVisitPage(navCtrl, navParams, toolservice, thePublicModule, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.thePublicModule = thePublicModule;
        this.alertCtrl = alertCtrl;
        //拜访记录
        this.companlist = [];
        // 每页展示的记录条数
        this.pageSize = 10;
        // 拜访记录列表刷新次数
        this.companrecord = 1;
    }
    CompaniesToVisitPage.prototype.ionViewDidLoad = function () {
    };
    CompaniesToVisitPage.prototype.ionViewWillEnter = function () {
        this.selectcompaninfo();
    };
    /**
     * 查询拜访数据
     */
    CompaniesToVisitPage.prototype.selectcompaninfo = function () {
        var _this = this;
        var url = 'bsVisitCompany/getVisitCompany?createUserId=' + this.thePublicModule.USER_INFO.userId + '&pageNum=1&pageSize=10';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.companlist = data.return_data.list;
                _this.companlength = data.return_data['total'];
                // 消息记录数组最大页面赋值
                _this.companPage = data.return_data['pages'];
            }
            else {
            }
        });
    };
    /**
     * 删除
     */
    CompaniesToVisitPage.prototype.compandelete = function (itemid) {
        var _this = this;
        var prompt = this.alertCtrl.create({
            title: '确认删除',
            buttons: [
                {
                    text: '取消',
                    handler: function (data) {
                    }
                },
                {
                    text: '确认',
                    handler: function (data) {
                        var url = 'bsVisitCompany/deleteVisitCompany?id=' + itemid;
                        _this.toolservice.doGet(url, function (data) {
                            if (data.return_code == '000000') {
                                _this.selectcompaninfo();
                            }
                            else {
                                _this.toolservice.showtoast(data.return_msg);
                            }
                        });
                    }
                }
            ]
        });
        prompt.present();
    };
    /**
     * 评价
     */
    CompaniesToVisitPage.prototype.companeleven = function (item) {
        this.navCtrl.push('VisitQrcodePage', { itemdta: item });
    };
    /**
     * 签到
     */
    CompaniesToVisitPage.prototype.jumpsignin = function (item) {
        var _this = this;
        var alert = this.alertCtrl.create();
        alert.setTitle('签到');
        alert.addInput({
            type: 'radio',
            label: 'GPS定位签到',
            value: '1',
            checked: false
        });
        alert.addInput({
            type: 'radio',
            label: '图片上传签到',
            value: '2',
            checked: false
        });
        alert.addButton('取消');
        alert.addButton({
            text: '确认',
            handler: function (data) {
                if (data == 1) {
                    _this.toolservice.showtoast('公众号此功能暂未开通');
                }
                else if (data == 2) {
                    _this.navCtrl.push('VisittoSigninPage', { items: item, status: 1 });
                }
            }
        });
        alert.present();
    };
    /**
     * 结束
     */
    CompaniesToVisitPage.prototype.companover = function (itemid) {
        var _this = this;
        var prompt = this.alertCtrl.create({
            title: '确认结束',
            buttons: [
                {
                    text: '取消',
                    handler: function (data) {
                    }
                },
                {
                    text: '确认',
                    handler: function (data) {
                        var url = 'bsVisitCompany/endVisit?id=' + itemid;
                        _this.toolservice.doGet(url, function (data) {
                            if (data.return_code == '000000') {
                                _this.selectcompaninfo();
                            }
                            else {
                                _this.toolservice.showtoast(data.return_msg);
                            }
                        });
                    }
                }
            ]
        });
        prompt.present();
    };
    /**
     * 进入详情
     */
    CompaniesToVisitPage.prototype.jumpdetails = function (datas, itemid) {
        this.navCtrl.push('CompaniesDetailsPage', { details: datas, panid: itemid });
    };
    CompaniesToVisitPage.prototype.getdate = function (time) {
        var now = new Date(time), y = now.getFullYear(), m = now.getMonth() + 1, d = now.getDate();
        return y + "-" + (m < 10 ? "0" + m : m) + "-" + (d < 10 ? "0" + d : d) + " " + now.toTimeString().substr(0, 5);
    };
    /**
     * 上滑加载更多
     */
    CompaniesToVisitPage.prototype.minInfinite = function (infiniteScroll, minsearchname) {
        var _this = this;
        setTimeout(function () {
            // 加载完成关闭刷新
            infiniteScroll.complete();
            // 判读数据超过十条启动刷新
            if (_this.companlength > _this.pageSize) {
                //增加index
                _this.companrecord++;
                // 判断刷新分页页码大小
                if (_this.companrecord > _this.companPage) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    infiniteScroll.enable(false);
                    //toast提示
                    _this.toolservice.showtoast("已加载所有");
                }
                else {
                    var url = 'bsVisitCompany/getVisitCompany?createUserId=' + _this.thePublicModule.USER_INFO.userId + '&pageNum=' + _this.companrecord + '&pageSize=' + _this.pageSize;
                    _this.toolservice.doGet(url, function (data) {
                        if (data.return_code == '000000') {
                            // 加载完成关闭刷新
                            infiniteScroll.complete();
                            // 循环插入数据数组
                            for (var i = 0; i < data.return_data['list'].length; i++) {
                                _this.companlist.push(data.return_data['list'][i]);
                            }
                        }
                    });
                }
                // }, 2000);
            }
            else {
                // 加载全部数据禁用刷新
                infiniteScroll.enable(false);
                _this.toolservice.showtoast("已加载所有");
            }
        }, 2000);
    };
    CompaniesToVisitPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-companies-to-visit',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\companies-to-visit\companies-to-visit.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>拜访记录</ion-title>\n\n    <ion-buttons end>\n\n      <button ion-button icon-only (click)="jumpdetails(999999,1)">\n\n        添加\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <img *ngIf="companlist.length === 0" class="no_data" src="assets/imgs/noData.png">\n\n  <div class="compan_list" *ngFor="let com of companlist">\n\n    <!--<div style="width: 100%;height: 50px;" (click)="jumpdetails(com)">-->\n\n    <div class="compan_header">\n\n      <ion-label class="label_left">{{com.companyName}}</ion-label>\n\n      <ion-label class="label_right">{{com.regionName}}</ion-label>\n\n    </div>\n\n    <ion-label\n\n      style="color: #525252;font-size: 12px;margin-left: 5%;margin-right: 5%;margin-top: 5px;margin-bottom: 8px;">\n\n      {{com.visitContent}}\n\n    </ion-label>\n\n    <!--</div>-->\n\n    <div style="width: 100%;background-color: #F1F3FB;height: 1px;margin-bottom: 5px;margin-top: 5px;"></div>\n\n    <div style="width: 90%;margin-left: 5%;height: 30px;">\n\n       <!-- | date:"yyyy-MM-dd hh:ss" -->\n\n      <ion-label style="width: 35%;float: left;margin-top: 6px;color: #525252;font-size: 12px;">{{getdate(com.visitTime)}}\n\n      </ion-label>\n\n      <div style="width: 65%;float: right;">\n\n        <button ion-button outline="" icon-start\n\n                style="width: 60px;float: right;height: 22px;border-radius: 4px;font-size: 12px;color: #0ba893;border: 1px #0ba893 solid;margin: 4px 1%;padding: 0 1em;"\n\n                (click)="jumpdetails(com,2)">\n\n          <ion-icon style="color: #0ba893;" name="create"></ion-icon>\n\n          编辑\n\n        </button>\n\n        <button ion-button outline icon-start\n\n                style="width: 60px;float: right;height: 22px;border-radius: 4px;font-size: 12px;color: #fc3e4e;border: 1px #fc3e4e solid;margin: 4px 1%;padding: 0 1em;"\n\n                *ngIf="com.status == 1" (click)="compandelete(com.id)">\n\n          <ion-icon style="color: #fc3e4e;" name="trash"></ion-icon>\n\n          删除\n\n        </button>\n\n        <button ion-button outline icon-start\n\n                style="width: 60px;float: right;height: 22px;border-radius: 4px;font-size: 12px;color: #38a9e3;border: 1px #38a9e3 solid;margin: 4px 1%;padding: 0 1em;"\n\n                *ngIf="com.status == 1" (click)="jumpsignin(com.id)">\n\n          <ion-icon style="color:#38a9e3;" name="list-box"></ion-icon>\n\n          签到\n\n        </button>\n\n        <button ion-button outline="" icon-start\n\n                style="width: 60px;float: right;height: 22px;border-radius: 4px;font-size: 12px;color: #38a9e3;border: 1px #38a9e3 solid;margin: 4px 1%;padding: 0 1em;"\n\n                *ngIf="com.status == 3 && com.evaluateStatus == 0" (click)="companeleven(com)">\n\n          <ion-icon style="color: #38a9e3;" name="star"></ion-icon>\n\n          评价\n\n        </button>\n\n        <button ion-button outline="" icon-start\n\n                style="width: 60px;float: right;height: 22px;border-radius: 4px;font-size: 12px;color: #38a9e3;border: 1px #38a9e3 solid;margin: 4px 1%;padding: 0 1em;"\n\n                *ngIf="com.status == 2" (click)="companover(com.id)">\n\n          <ion-icon style="color: #38a9e3;" name="alarm"></ion-icon>\n\n          结束\n\n        </button>\n\n      </div>\n\n    </div>\n\n    <div style="width: 100%;background-color: #F1F3FB;height: 10px;margin-bottom: 5px;margin-top: 5px;"></div>\n\n  </div>\n\n  <ion-infinite-scroll (ionInfinite)="minInfinite($event)">\n\n    <ion-infinite-scroll-content\n\n      loadingSpinner="bubbles">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\companies-to-visit\companies-to-visit.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["i" /* ThePublicModule */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"]])
    ], CompaniesToVisitPage);
    return CompaniesToVisitPage;
}());

//# sourceMappingURL=companies-to-visit.js.map

/***/ }),

/***/ 891:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CompaniesToVisitPageModule", function() { return CompaniesToVisitPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__companies_to_visit__ = __webpack_require__(1116);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CompaniesToVisitPageModule = /** @class */ (function () {
    function CompaniesToVisitPageModule() {
    }
    CompaniesToVisitPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__companies_to_visit__["a" /* CompaniesToVisitPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__companies_to_visit__["a" /* CompaniesToVisitPage */]),
            ],
        })
    ], CompaniesToVisitPageModule);
    return CompaniesToVisitPageModule;
}());

//# sourceMappingURL=companies-to-visit.module.js.map

/***/ })

});
//# sourceMappingURL=163.js.map