webpackJsonp([167],{

/***/ 1112:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BiddingUnitDetailsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_camera_api_camera_api__ = __webpack_require__(162);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the BiddingUnitDetailsPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var BiddingUnitDetailsPage = /** @class */ (function () {
    function BiddingUnitDetailsPage(navCtrl, navParams, toolservice, loadingController, CameraApi) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.loadingController = loadingController;
        this.CameraApi = CameraApi;
        this.imageList = [];
        this.myQuaimageListAnnex = [];
        this.tenimageListAnnex = [];
        // 投标信息
        this.tenderUrl = 'bsTenderInfo/findTenderInfoById?';
        // 删除url
        this.deteleUrl = 'bsTenderInfo/deleteTenderInfo?';
        // 中标url
        this.selectedTenUrl = 'bsTenderInfo/selectedTenderInfo';
        //图片
        this.image_url = __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["d" /* IMAGEURL */];
        //中标图片
        this.noticeList = '';
        this.tenId = this.navParams.get('dId');
        this.typeId = this.navParams.get('typeid');
    }
    BiddingUnitDetailsPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad BiddingUnitDetailsPage');
    };
    BiddingUnitDetailsPage.prototype.ionViewWillEnter = function () {
        this.bsTenderInfo();
    };
    /**
     * 查询投标详情
     */
    BiddingUnitDetailsPage.prototype.bsTenderInfo = function () {
        var _this = this;
        var loading = this.loadingController.create();
        loading.present();
        var url = this.tenderUrl + 'id=' + this.tenId;
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.detailsInfo = [data.return_data];
                _this.bindStatus = data.return_data.status;
                loading.dismiss();
                if (data.return_data.myQualificationsAnnex != "") {
                    _this.myQuaimageListAnnex = data.return_data.myQualificationsAnnex.split(",");
                }
                if (data.return_data.tenderAnnex != "") {
                    _this.tenimageListAnnex = data.return_data.tenderAnnex.split(",");
                }
                if (_this.bindStatus == 3 && data.return_data.biddingInfo.notice != null) {
                    _this.imageList = data.return_data.biddingInfo.notice.split(",");
                }
            }
            else {
                loading.dismiss();
            }
        }, function (error) {
            loading.dismiss();
        });
    };
    /**
     * 删除投标
     */
    BiddingUnitDetailsPage.prototype.deletebind = function () {
        var _this = this;
        var loading = this.loadingController.create();
        loading.present();
        var url = this.deteleUrl + 'id=' + this.tenId;
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.toolservice.showtoast(data.return_data);
                _this.navCtrl.pop();
                loading.dismiss();
            }
            else {
                loading.dismiss();
            }
        }, function (error) {
            loading.dismiss();
        });
    };
    /**
     * 跳转修改页面
     */
    BiddingUnitDetailsPage.prototype.jumpupdate = function () {
        this.navCtrl.push('BiddingInformationPage', { teId: this.tenId, typeId: 2 });
    };
    /**
     * 选定中标
     */
    BiddingUnitDetailsPage.prototype.selectedTenderInfo = function () {
        var _this = this;
        if (this.noticeList == '') {
            this.toolservice.showtoast('请上传中标通知');
        }
        else {
            var loading = this.loadingController.create();
            loading.present();
            var datas = {
                id: this.tenId,
                notice: this.noticeList
            };
            this.toolservice.doPost(this.selectedTenUrl, datas, function (data) {
                if (data.return_code == '000000') {
                    _this.toolservice.showtoast(data.return_data);
                    _this.bsTenderInfo();
                    loading.dismiss();
                }
                else {
                    _this.toolservice.showtoast(data.return_msg);
                    loading.dismiss();
                }
            });
        }
    };
    /**
     * 跳转
     */
    BiddingUnitDetailsPage.prototype.jumpweb = function (item) {
        window.location.href = __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["d" /* IMAGEURL */] + item;
    };
    /**
     * 上传图片
     */
    BiddingUnitDetailsPage.prototype.goCameraApi = function (items) {
        this.initImgSer(items);
        this.CameraApi.showPicActionSheet();
    };
    // 照片回显方法
    BiddingUnitDetailsPage.prototype.initImgSer = function (nums) {
        var _this = this;
        this.CameraApi.upload.success = function (data) {
            // 判断图片地址储存数组长度
            if (nums == 1) {
                if (_this.imageList.length > 2) {
                    _this.toolservice.showtoast("只能上传3张图片。");
                }
                else {
                    /*每次增加的一个对象数据*/
                    var obj = data.return_data;
                    // 插入图片路径数组
                    _this.imageList.push(obj);
                    _this.noticeList = _this.imageList.join(',');
                }
            }
            ;
            _this.CameraApi.upload.error = function (err) {
                _this.toolservice.showtoast('上传失败');
            };
        };
    };
    BiddingUnitDetailsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-bidding-unit-details',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\bidding-unit-details\bidding-unit-details.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>单位详情</ion-title>\n\n    <ion-buttons end *ngIf="bindStatus == 1">\n\n      <button ion-button icon-only (click)="deletebind()">\n\n        删除\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <div *ngFor="let des of detailsInfo">\n\n    <div class="bud-title width90">{{des.projectName}}</div>\n\n    <div class="width90 bud-name">\n\n      投标单位:{{des.tenderName}}\n\n    </div>\n\n    <div class="width90 bud-name">\n\n      投标时间:{{des.tenderTime | date:"yyyy-MM-dd HH:MM:ss"}}\n\n    </div>\n\n    <div class="width90 bud-name">\n\n      时间响应:{{des.projectCycle}}\n\n    </div>\n\n    <div class="width90 bud-name">\n\n      报价:{{des.myBudget}}万\n\n    </div>\n\n    <div class="width90 bud-name">\n\n      联系人:{{des.contacts}}\n\n    </div>\n\n    <div class="width90 bud-name">\n\n      联系方式:{{des.contactsPhone}}\n\n    </div>\n\n    <div class="bidud-line10"></div>\n\n\n\n    <ion-item-divider class="bidud-header" color="light">响要需求</ion-item-divider>\n\n    <textarea class="bidud-area" readonly="readonly" cols="40" rows="10" [(ngModel)]="des.projectPlan"></textarea>\n\n    <ion-item-divider class="bidud-header" color="light">其他响应</ion-item-divider>\n\n    <textarea class="bidud-area" readonly="readonly" cols="40" rows="10" [(ngModel)]="des.otherDescribePlan"></textarea>\n\n    <ion-item-divider class="bidud-header" color="light">资质响应</ion-item-divider>\n\n    <textarea class="bidud-area" readonly="readonly" cols="40" rows="10" [(ngModel)]="des.myQualifications"></textarea>\n\n    <ion-item-divider class="bidud-header" color="light" *ngIf="myQuaimageListAnnex !=\'\' ">资质附件</ion-item-divider>\n\n    <div style="width: 90%;margin-left: 5%;color: #487aff;margin-top: 5px;" *ngFor="let imgs of myQuaimageListAnnex" (click)="jumpweb(imgs)">\n\n      {{imgs}}\n\n    </div>\n\n    <ion-item-divider class="bidud-header" color="light" *ngIf="tenimageListAnnex != \'\'">附件</ion-item-divider>\n\n    <div style="width: 90%;margin-left: 5%;color: #487aff;margin-top: 5px;" *ngFor="let imgs of tenimageListAnnex" (click)="jumpweb(imgs)">\n\n      {{imgs}}\n\n    </div>\n\n    <ion-item-divider class="bidud-header" color="light" *ngIf="bindStatus == 3">中标通知书</ion-item-divider>\n\n    <div style="width: 90%;margin-left: 5%;color: #487aff;margin-top: 5px;"  (click)="jumpweb(item)"\n\n         *ngFor="let item  of imageList">\n\n      {{item}}\n\n    </div>\n\n\n\n    <ion-item-divider class="bidud-header" color="light" *ngIf="typeId !=1 && bindStatus == 2">上传中标通知书\n\n    </ion-item-divider>\n\n    <ion-item no-lines="" *ngIf="typeId !=1 && bindStatus == 2">\n\n      <div style="width: 90%;margin-left: 5%;color: #487aff;margin-top: 5px;" *ngFor="let item  of imageList">\n\n        {{item}}\n\n      </div>\n\n      <div class="eva_gocamera" (click)="goCameraApi(1)">\n\n        <img src="assets/imgs/legalimg/tp.png">\n\n      </div>\n\n    </ion-item>\n\n\n\n  <div style="width: 100%;height: 100px;"></div>\n\n  </div>\n\n</ion-content>\n\n\n\n<ion-footer>\n\n  <ion-toolbar *ngIf="typeId !=1 && bindStatus == 2">\n\n    <ion-title (click)="selectedTenderInfo()">选定中标单位</ion-title>\n\n  </ion-toolbar>\n\n  <ion-toolbar *ngIf="typeId ==1 && bindStatus == 1">\n\n    <ion-title (click)="jumpupdate()">修改</ion-title>\n\n  </ion-toolbar>\n\n</ion-footer>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\bidding-unit-details\bidding-unit-details.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_4__providers_camera_api_camera_api__["a" /* CameraApiProvider */]])
    ], BiddingUnitDetailsPage);
    return BiddingUnitDetailsPage;
}());

//# sourceMappingURL=bidding-unit-details.js.map

/***/ }),

/***/ 887:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "BiddingUnitDetailsPageModule", function() { return BiddingUnitDetailsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__bidding_unit_details__ = __webpack_require__(1112);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var BiddingUnitDetailsPageModule = /** @class */ (function () {
    function BiddingUnitDetailsPageModule() {
    }
    BiddingUnitDetailsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__bidding_unit_details__["a" /* BiddingUnitDetailsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__bidding_unit_details__["a" /* BiddingUnitDetailsPage */]),
            ],
        })
    ], BiddingUnitDetailsPageModule);
    return BiddingUnitDetailsPageModule;
}());

//# sourceMappingURL=bidding-unit-details.module.js.map

/***/ })

});
//# sourceMappingURL=167.js.map