webpackJsonp([169],{

/***/ 1110:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BiddingInformationPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_camera_api_camera_api__ = __webpack_require__(162);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the BiddingInformationPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var BiddingInformationPage = /** @class */ (function () {
    function BiddingInformationPage(navCtrl, navParams, CameraApi, toolService, loadingController) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.CameraApi = CameraApi;
        this.toolService = toolService;
        this.loadingController = loadingController;
        this.image_url = __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__["d" /* IMAGEURL */];
        //投标url
        this.addtenUrl = 'bsTenderInfo/addTenderInfo';
        //查询是否投递
        this.findMyUrl = 'bsTenderInfo/findMyTenderByBiddingId?';
        //查询投标url
        this.tendUrl = 'bsTenderInfo/findTenderInfoById?';
        //图片
        this.imageList = [];
        // 资质图片
        this.annesImageList = [];
        this.popupStatus = false;
        this.addtenId = this.navParams.get('teId');
        this.typeId = this.navParams.get('typeId');
        this.adddatas = {
            biddingId: this.addtenId,
            contacts: '',
            contactsPhone: '',
            myBudget: '',
            myQualifications: '',
            myQualificationsAnnex: '',
            otherDescribePlan: '',
            projectCycle: '',
            projectPlan: '',
            tenderAnnex: '',
            status: 0,
        };
        this.findMyTenderByBiddingId();
    }
    BiddingInformationPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad BiddingInformationPage');
    };
    // 删除图片
    BiddingInformationPage.prototype.deleDtao = function (key, item) {
        if (item == 1) {
            this.imageList.splice(key, 1);
        }
        else {
            this.annesImageList.splice(key, 1);
        }
    };
    /**
     * 查询是否投递
     */
    BiddingInformationPage.prototype.findMyTenderByBiddingId = function () {
        var _this = this;
        var url;
        if (this.typeId == 2) {
            url = this.tendUrl + 'id=' + this.addtenId;
        }
        else {
            url = this.findMyUrl + 'biddingId=' + this.addtenId;
        }
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data != null) {
                _this.bindInfo = data.return_data;
                _this.adddatas = {
                    biddingId: data.return_data.biddingId,
                    id: data.return_data.id,
                    contacts: data.return_data.contacts,
                    contactsPhone: data.return_data.contactsPhone,
                    myBudget: data.return_data.myBudget,
                    myQualifications: data.return_data.myQualifications,
                    myQualificationsAnnex: data.return_data.myQualificationsAnnex,
                    tenderAnnex: data.return_data.tenderAnnex,
                    otherDescribePlan: data.return_data.otherDescribePlan,
                    projectCycle: data.return_data.projectCycle,
                    projectPlan: data.return_data.projectPlan,
                    status: data.return_data.status,
                };
                if (data.return_data.myQualificationsAnnex != null) {
                    _this.imageList = data.return_data.myQualificationsAnnex.split(",");
                }
                if (data.return_data.tenderAnnex != null) {
                    _this.annesImageList = data.return_data.tenderAnnex.split(",");
                }
            }
            else {
                _this.bindInfo = null;
            }
        });
    };
    /**
     * 投标
     */
    BiddingInformationPage.prototype.addTenderInfos = function (item) {
        this.adddatas.status = item;
        if (this.adddatas.contacts == '') {
            this.toolService.showtoast('请输入联系人');
        }
        else if (this.adddatas.contactsPhone == '') {
            this.toolService.showtoast('请输入联系人电话');
        }
        else if (this.adddatas.myBudget == '') {
            this.toolService.showtoast('请输入报价金额');
        }
        else if (this.adddatas.projectPlan == '') {
            this.toolService.showtoast('请输入需求响应');
        }
        else if (this.adddatas.myQualifications == '') {
            this.toolService.showtoast('请输入资质响应');
        }
        else if (this.adddatas.otherDescribePlan == '') {
            this.toolService.showtoast('请输入其他说明');
        }
        else if (this.adddatas.projectCycle == '') {
            this.toolService.showtoast('请输入时间响应');
        }
        else if (this.imageList.length == 0 && item == 2) {
            this.toolService.showtoast('请上传资质附件');
        }
        else {
            this.popupStatus = true;
        }
    };
    // 取消提交
    BiddingInformationPage.prototype.workbench = function () {
        this.popupStatus = false;
    };
    // 提交竞标信息
    BiddingInformationPage.prototype.orderfilecabinets = function () {
        var _this = this;
        var loading = this.loadingController.create();
        loading.present();
        this.toolService.doPost(this.addtenUrl, this.adddatas, function (data) {
            if (data.return_code == '000000') {
                _this.toolService.showtoast(data.return_data);
                _this.navCtrl.pop();
                loading.dismiss();
            }
            else {
                _this.toolService.showtoast(data.return_msg);
                loading.dismiss();
            }
        });
    };
    /**
     * 上传图片
     */
    BiddingInformationPage.prototype.goCameraApi = function (items) {
        this.initImgSer(items);
        this.CameraApi.showPicActionSheet();
    };
    // 照片回显方法
    BiddingInformationPage.prototype.initImgSer = function (nums) {
        var _this = this;
        this.CameraApi.upload.success = function (data) {
            // 判断图片地址储存数组长度
            if (nums == 1) {
                if (_this.imageList.length > 2) {
                    _this.toolService.showtoast("只能上传3张图片。");
                }
                else {
                    /*每次增加的一个对象数据*/
                    var obj = data.return_data;
                    // 插入图片路径数组
                    _this.imageList.push(obj);
                    _this.adddatas.myQualificationsAnnex = _this.imageList.join(',');
                }
            }
            else {
                if (_this.annesImageList.length > 2) {
                    _this.toolService.showtoast("只能上传3张图片。");
                }
                else {
                    /*每次增加的一个对象数据*/
                    var obj = data.return_data;
                    // 插入图片路径数组
                    _this.annesImageList.push(obj);
                    _this.adddatas.tenderAnnex = _this.imageList.join(',');
                }
            }
            ;
            _this.CameraApi.upload.error = function (err) {
                _this.toolService.showtoast('上传失败');
            };
        };
    };
    BiddingInformationPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-bidding-information',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\bidding-information\bidding-information.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>竞标信息</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n<div class="hide-g" *ngIf="popupStatus">\n\n  <div class="hide-card">\n\n    <p style="text-align: center;font-size: 16px;font-weight: bold;">提示</p>\n\n    <p style="margin: 0 20px;text-align: center;">竞标信息提交后无法修改，请确认是否提交！</p>\n\n    <div class="hide-btn-wrap">\n\n      <button class="btn-default" (click)="workbench()">取消</button>\n\n      <button class="btn-default btn-agree" (click)="orderfilecabinets()">提交</button>\n\n    </div>\n\n  </div>\n\n</div>\n\n<ion-content>\n\n\n\n  <ion-item style="height: 50px;">\n\n    <ion-label class="bidim-bt"><span style="color: red;">*</span>联系人&nbsp;&nbsp;&nbsp;</ion-label>\n\n    <ion-input type="text" [(ngModel)]="adddatas.contacts" placeholder="请输入联系人姓名"></ion-input>\n\n  </ion-item>\n\n  <ion-item style="height: 50px;">\n\n    <ion-label class="bidim-bt"><span style="color: red;">*</span>联系电话</ion-label>\n\n    <ion-input type="text" [(ngModel)]="adddatas.contactsPhone" placeholder="请输入联系电话"></ion-input>\n\n  </ion-item>\n\n  <ion-item style="height: 50px;">\n\n    <ion-label class="bidim-bt"><span style="color: red;">*</span>时间响应</ion-label>\n\n    <ion-input type="text" [(ngModel)]="adddatas.projectCycle" placeholder="请输入什么时间完成"></ion-input>\n\n  </ion-item>\n\n  <ion-item style="height: 50px;">\n\n    <ion-label class="bidim-bt"><span style="color: red;">*</span>报价(万)&nbsp;</ion-label>\n\n    <ion-input type="text" [(ngModel)]="adddatas.myBudget" placeholder="请输入金额"></ion-input>\n\n  </ion-item>\n\n  <ion-item style="height: 50px;">\n\n    <ion-label class="bidim-bt"><span style="color: red;">*</span>资质响应</ion-label>\n\n    <ion-input type="text" [(ngModel)]="adddatas.myQualifications" placeholder="是否具备业务资质"></ion-input>\n\n  </ion-item>\n\n\n\n  <ion-item>\n\n    <ion-label stacked class="bidim-bt"><span style="color: red;">*</span>需求响应</ion-label>\n\n    <ion-textarea [(ngModel)]="adddatas.projectPlan" placeholder="请输入需求响应"></ion-textarea>\n\n  </ion-item>\n\n\n\n  <ion-item>\n\n    <ion-label stacked class="bidim-bt">其他响应</ion-label>\n\n    <ion-textarea [(ngModel)]="adddatas.otherDescribePlan" placeholder="请输入其他响应"></ion-textarea>\n\n  </ion-item>\n\n\n\n  <div class="bidim-bt"\n\n       style="width: 90%;margin-left: auto;margin-right: auto; height: 40px;padding-top: 10px;">\n       <span style="color: red;">*</span>\n\n    资质附件（相关能力证明）\n\n  </div>\n\n  <ion-item no-lines="">\n\n  <div style="width: 90%;margin-left: 5%;color: #487aff;margin-top: 5px;"\n\n       *ngFor="let item  of imageList;let i = index;">\n\n    {{item}}&nbsp;&nbsp;<ion-icon *ngIf="adddatas.myQualificationsAnnex != \'\' " (click)="deleDtao(i,1)" class="sp" ios="ios-close-circle"></ion-icon>\n\n  </div>\n\n  <div class="eva_gocamera" (click)="goCameraApi(1)">\n\n    <img src="assets/imgs/legalimg/tp.png">\n\n  </div>\n\n  </ion-item>\n\n\n\n  <div class="bidim-bt"\n\n       style="width: 90%;margin-left: auto;margin-right: auto; height: 40px;padding-top: 10px;">\n\n    附件（资质证明）\n\n  </div>\n\n  <ion-item no-lines="">\n\n  <div style="width: 90%;margin-left: 5%;color: #487aff;margin-top: 5px;"\n\n       *ngFor="let item  of annesImageList;let i = index;">\n\n    {{item}}&nbsp;&nbsp;<ion-icon *ngIf="adddatas.tenderAnnex != \'\' " (click)="deleDtao(i,2)" class="sp" ios="ios-close-circle"></ion-icon>\n\n  </div>\n\n  <div class="eva_gocamera" (click)="goCameraApi(2)">\n\n    <img src="assets/imgs/legalimg/tp.png">\n\n  </div>\n\n  </ion-item>\n\n\n\n\n\n  <div class="footer" *ngIf="bindInfo ==null || bindInfo.status == 1">\n\n    <button ion-button class="backcolor btnleft" (click)="addTenderInfos(1)">保存</button>\n\n    <button ion-button class="backcolor btnright" (click)="addTenderInfos(2)">发布</button>\n\n  </div>\n\n\n\n  <div class="footer" *ngIf="bindInfo !=null && bindInfo.status != 1">\n\n    <button ion-button class="graey graBtn" disabled="true">已参与投标</button>\n\n  </div>\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\bidding-information\bidding-information.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_3__providers_camera_api_camera_api__["a" /* CameraApiProvider */], __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"]])
    ], BiddingInformationPage);
    return BiddingInformationPage;
}());

//# sourceMappingURL=bidding-information.js.map

/***/ }),

/***/ 885:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "BiddingInformationPageModule", function() { return BiddingInformationPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__bidding_information__ = __webpack_require__(1110);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var BiddingInformationPageModule = /** @class */ (function () {
    function BiddingInformationPageModule() {
    }
    BiddingInformationPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__bidding_information__["a" /* BiddingInformationPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__bidding_information__["a" /* BiddingInformationPage */]),
            ],
        })
    ], BiddingInformationPageModule);
    return BiddingInformationPageModule;
}());

//# sourceMappingURL=bidding-information.module.js.map

/***/ })

});
//# sourceMappingURL=169.js.map