webpackJsonp([175],{

/***/ 1103:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ActivitySummarizePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_platform_browser__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_global__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the ActivitySummarizePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ActivitySummarizePage = /** @class */ (function () {
    function ActivitySummarizePage(navCtrl, navParams, loadingCtrl, toastCtrl, sanitizr, toolService, ThePublicModule) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.loadingCtrl = loadingCtrl;
        this.toastCtrl = toastCtrl;
        this.sanitizr = sanitizr;
        this.toolService = toolService;
        this.ThePublicModule = ThePublicModule;
        this.activityId = navParams.get('activityId');
    }
    ActivitySummarizePage.prototype.ionViewDidLoad = function () {
        this.onLoadData();
    };
    ActivitySummarizePage.prototype.onLoadData = function () {
        var _this = this;
        var loading = this.loadingCtrl.create({});
        loading.present();
        var actionPostUrl = 'bsActivities/getActivitiesById?id=' + this.activityId + '&userId=' + this.ThePublicModule.USER_INFO.userId;
        this.toolService.doGet(actionPostUrl, function (data) {
            if (data.return_code == '000000') {
                _this.activityDetail = data.return_data;
                //取得状态名称
                _this.toolService.doGet('baseDictionary/getDictionaryByCodeType?codeType=BS_ACTIVITIES_STAUTS&codeValue=' + _this.activityDetail.status, function (d) {
                    if (d.return_code == '000000') {
                        var statusList = d.return_data;
                        _this.activityDetail.statusName = statusList[0].codeName;
                    }
                });
            }
            else {
                _this.toolService.showtoast("活动被删除");
                _this.navCtrl.pop();
            }
            loading.dismiss();
        });
    };
    ActivitySummarizePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-activity-summarize',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\activityAndVote\activity-summarize\activity-summarize.html"*/'<!--\n\n  Generated template for the ActivitySummarizePage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>活动总结</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content >\n\n  <ion-card *ngIf="activityDetail!=null">\n\n    <ion-card-header>\n\n      <div class="">\n\n        <span class="title">{{activityDetail.title}}</span>\n\n      </div>\n\n      <div>\n\n        <span class="time">发布时间： {{activityDetail.releaseTime | date:\'yyyy-MM-dd HH:mm\'}}</span>\n\n      </div>\n\n    </ion-card-header>\n\n  \n\n    <ion-card-content [innerHTML]=\'sanitizr.bypassSecurityTrustHtml(activityDetail.summarize)\'>\n\n    </ion-card-content>\n\n  </ion-card>\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\activityAndVote\activity-summarize\activity-summarize.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"],
            __WEBPACK_IMPORTED_MODULE_2__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_global__["i" /* ThePublicModule */]])
    ], ActivitySummarizePage);
    return ActivitySummarizePage;
}());

//# sourceMappingURL=activity-summarize.js.map

/***/ }),

/***/ 878:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ActivitySummarizePageModule", function() { return ActivitySummarizePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__activity_summarize__ = __webpack_require__(1103);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ActivitySummarizePageModule = /** @class */ (function () {
    function ActivitySummarizePageModule() {
    }
    ActivitySummarizePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__activity_summarize__["a" /* ActivitySummarizePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__activity_summarize__["a" /* ActivitySummarizePage */]),
            ],
        })
    ], ActivitySummarizePageModule);
    return ActivitySummarizePageModule;
}());

//# sourceMappingURL=activity-summarize.module.js.map

/***/ })

});
//# sourceMappingURL=175.js.map