webpackJsonp([176],{

/***/ 1102:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ActivityManagementPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the ActivityManagementPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ActivityManagementPage = /** @class */ (function () {
    function ActivityManagementPage(navCtrl, navParams, toolService, loadingController, ThePublicModule) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolService = toolService;
        this.loadingController = loadingController;
        this.ThePublicModule = ThePublicModule;
        this.defaultSegment = "activity"; //选项卡
        this.myParticipationLabel = "activity"; //标签
        this.myParticipationLabelList = [{
                name: "投票",
                value: "vote"
            }, {
                name: "活动",
                value: "activity"
            }];
        //投票查询参数
        this.voteArgs = {
            pageNum: 1,
            pageSize: 15,
            dataLength: 0,
            pageLength: 0,
            actionUrl: 'bsVotes/getPageVotes?pageNum={pageNum}&pageSize={pageSize}&status=0'
        };
        //我的参与投票查询参数
        this.myVoteArgs = {
            pageNum: 1,
            pageSize: 15,
            dataLength: 0,
            pageLength: 0,
            actionUrl: 'bsVotes/getPageVotesRecord?pageNum={pageNum}&pageSize={pageSize}&voteRecordUserId={userId}'
        };
        this.voteList = [];
        this.activityList = [];
        this.myVoteList = [];
        this.myActivityList = [];
        this.typeid = this.navParams.get('activityid');
        this.distypeid = this.navParams.get('distypeid');
        if (this.distypeid == 2) {
            this.selectmyactivitydata();
        }
        if (this.typeid == 1) {
            this.activitytype = 1;
        }
        else {
            this.activitytype = 4;
        }
        this.myActivityArgs = {
            pageNum: 1,
            pageSize: 15,
            dataLength: 0,
            pageLength: 0,
            actionUrl: 'bsActivityRoster/getPageActivityRoster?pageNum={pageNum}&pageSize={pageSize}&applyUserId={userId}&type=' + this.activitytype
        };
        this.activityArgs = {
            pageNum: 1,
            pageSize: 15,
            dataLength: 0,
            pageLength: 0,
            actionUrl: 'bsActivities/getPageActivities?pageNum={pageNum}&pageSize={pageSize}&status=2,3,4&type=' + this.activitytype
        };
    }
    ActivityManagementPage.prototype.ionViewDidLoad = function () {
        this.onLoadData();
    };
    /**
     * 查询我的活动
     */
    ActivityManagementPage.prototype.selectmyactivitydata = function () {
        var _this = this;
        var url = 'bsActivityRoster/getPageActivityRoster?pageNum=1&pageSize=10&applyUserId=' + this.ThePublicModule.USER_INFO.userId + '&type=1';
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.myActivityList = data.return_data.list;
            }
            else {
                _this.myActivityList = [];
            }
        });
    };
    ActivityManagementPage.prototype.onLoadData = function () {
        var _this = this;
        var url = this.getActionUrl();
        var loading = this.loadingController.create({});
        loading.present();
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                switch (_this.defaultSegment) {
                    case "vote":
                        _this.voteList = data.return_data.list;
                        break;
                    case "activity":
                        _this.activityList = data.return_data.list;
                        break;
                    case "myVoteAndActivity":
                        if (_this.myParticipationLabel == "vote") {
                            _this.myVoteList = data.return_data.list;
                        }
                        else {
                            _this.myActivityList = data.return_data.list;
                        }
                        break;
                }
            }
            else {
                switch (_this.defaultSegment) {
                    case "vote":
                        _this.voteList = [];
                        break;
                    case "activity":
                        _this.activityList = [];
                        break;
                    case "myVoteAndActivity":
                        if (_this.myParticipationLabel == "vote") {
                            _this.myVoteList = [];
                        }
                        else {
                            _this.myActivityList = [];
                        }
                        break;
                }
            }
            loading.dismiss();
        });
    };
    ActivityManagementPage.prototype.segmentChanged = function (e) {
        this.onLoadData();
    };
    ActivityManagementPage.prototype.getActionUrl = function () {
        var args;
        switch (this.defaultSegment) {
            case "vote":
                args = this.voteArgs;
                break;
            case "activity":
                args = this.activityArgs;
                break;
            case "myVoteAndActivity":
                args = this.myParticipationLabel == "vote" ? this.myVoteArgs : this.myActivityArgs;
                break;
        }
        return this.toolService.stringFormat(args.actionUrl, {
            pageNum: args.pageNum,
            pageSize: args.pageSize,
            userId: this.ThePublicModule.USER_INFO.userId
        });
        // return this.toolService.stringFormat(args.actionUrl, { pageNum: args.pageNum, pageSize: args.pageSize, userId: ThePublicModule.USER_INFO.userId });
    };
    ActivityManagementPage.prototype.onChangeMyParticipationLabel = function (item) {
        if (this.typeid == 1) {
            this.myParticipationLabel = item.value;
        }
        else {
            this.myParticipationLabel = item;
        }
        this.onLoadData();
    };
    ActivityManagementPage.prototype.onSkipToVoteDetail = function (id, isCheck) {
        this.navCtrl.push("VoteDetailPage", { voteId: id, isCheck: isCheck });
    };
    ActivityManagementPage.prototype.onSkipToActivityDetail = function (id, isCheck) {
        // this.navCtrl.push('ActivityDetailPage');
        this.navCtrl.push('ActivityDetailPage', { activityId: id, isCheck: isCheck, onjumpid: 1 });
    };
    ActivityManagementPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-activity-management',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\activityAndVote\activity-management\activity-management.html"*/'<!--\n\n  Generated template for the ActivityManagementPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar>\n\n    <ion-title *ngIf="distypeid == 1">服务活动</ion-title>\n\n    <ion-title *ngIf="distypeid == 2">我的活动</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-segment [(ngModel)]="defaultSegment" mode="md" *ngIf="distypeid == 1" (ionChange)="segmentChanged($event)">\n\n    <ion-segment-button value="activity">活动中心\n\n      <!--<div class="bolder-sm"></div>-->\n\n    </ion-segment-button>\n\n    <ion-segment-button value="vote" *ngIf="typeid == 1">投票\n\n      <!--<div class="bolder-sm"></div>-->\n\n    </ion-segment-button>\n\n    <ion-segment-button value="myVoteAndActivity" *ngIf="typeid == 1">我的活动\n\n      <!--<div class="bolder-sm"></div>-->\n\n    </ion-segment-button>\n\n    <ion-segment-button value="myVoteAndActivity" *ngIf="typeid != 1" (click)="onChangeMyParticipationLabel(vote)">我的活动\n\n      <!--<div class="bolder-sm"></div>-->\n\n    </ion-segment-button>\n\n  </ion-segment>\n\n  <div [ngSwitch]="defaultSegment" *ngIf="distypeid == 1">\n\n    <ion-list [class]="defaultSegment==\'vote\'?\'\':\'hidden\'" *ngIf="typeid == 1">\n\n      <img *ngIf="voteList == null" style="width: 80%;margin-left: 10%;" src="assets/imgs/nulldata.png">\n\n      <ion-card *ngFor="let item of voteList" (click)="onSkipToVoteDetail(item.id,false)">\n\n        <ion-card-content>\n\n          <div class="content">\n\n            {{item.title}}\n\n          </div>\n\n          <div class="time">\n\n            投票截止时间：{{item.endDatetime| date:\'yyyy/MM/dd\'}}\n\n          </div>\n\n        </ion-card-content>\n\n        <ion-row class="footer">\n\n          <ion-col>\n\n\n\n          </ion-col>\n\n          <ion-col>\n\n            <ion-note class="vote-num">\n\n              已投票人数：{{item.voteTotalNum}}\n\n            </ion-note>\n\n          </ion-col>\n\n          <ion-col align-self-center text-center>\n\n            <button ion-button icon-start clear small class="vote-btn">\n\n              <ion-icon name="pricetag"></ion-icon>\n\n              <div>投一票</div>\n\n            </button>\n\n          </ion-col>\n\n        </ion-row>\n\n      </ion-card>\n\n    </ion-list>\n\n    <ion-list [class]="defaultSegment==\'activity\'?\'\':\'hidden\'">\n\n      <img *ngIf="activityList == null" style="width: 80%;margin-left: 10%;" src="assets/imgs/nulldata.png">\n\n      <ion-card *ngFor="let item of activityList" (click)="onSkipToActivityDetail(item.id,false)">\n\n        <ion-card-content>\n\n          <div class="content">\n\n            {{item.title}}\n\n          </div>\n\n          <div class="time">\n\n            发布者： {{item.createUserCompanyName}}\n\n          </div>\n\n          <div class="time">\n\n            发布时间 {{item.releaseTime| date:\'yyyy/MM/dd\'}}\n\n          </div>\n\n          <div class="time">\n\n            报名时间： {{item.applyBeginTime| date:\'yyyy/MM/dd\'}} - {{item.applyEndTime| date:\'yyyy/MM/dd\'}}\n\n          </div>\n\n        </ion-card-content>\n\n        <ion-row class="footer">\n\n          <ion-col>\n\n\n\n          </ion-col>\n\n          <ion-col>\n\n            <ion-note class="vote-num">\n\n              已报名人数：{{item.applyNum}}\n\n            </ion-note>\n\n          </ion-col>\n\n          <ion-col align-self-center text-center>\n\n            <ion-note *ngIf="item.status==2" class="status status-2">\n\n              报名中\n\n            </ion-note>\n\n            <ion-note *ngIf="item.status==3" class="status status-3">\n\n              活动中\n\n            </ion-note>\n\n            <ion-note *ngIf="item.status==4" class="status status-4">\n\n              已关闭\n\n            </ion-note>\n\n          </ion-col>\n\n        </ion-row>\n\n      </ion-card>\n\n    </ion-list>\n\n    <ion-list [class]="defaultSegment==\'myVoteAndActivity\'?\'\':\'hidden\'">\n\n      <div class="post-label" *ngIf="typeid == 1">\n\n        <span class="label-my-title"><i></i> 分类标签</span>\n\n        <ul class="post-my-label-ul">\n\n          <li *ngFor="let item of myParticipationLabelList" value="{{item.value}}"\n\n              [class]="item.value==myParticipationLabel?\'activated\':\'\'" (click)="onChangeMyParticipationLabel(item)">\n\n            {{item.name}}\n\n          </li>\n\n        </ul>\n\n      </div>\n\n      <div *ngIf="myParticipationLabel==\'vote\'">\n\n        <img *ngIf="myVoteList == null" style="width: 80%;margin-left: 10%;" src="assets/imgs/nulldata.png">\n\n        <ion-card *ngFor="let item of myVoteList" (click)="onSkipToVoteDetail(item.votesId,true)">\n\n          <ion-card-content>\n\n            <div class="content">\n\n              {{item.votesTitle}}\n\n            </div>\n\n          </ion-card-content>\n\n          <ion-row class="footer">\n\n            <ion-col align-self-center text-right>\n\n              <ion-note class="time pull-left">\n\n                投票时间：{{item.voteRecordDateTime | date:"yyyy/MM/dd HH:mm:ss"}}\n\n              </ion-note>\n\n              <ion-note *ngIf="item.votesStatus==0" class="status status-3 margin-top-5">\n\n                投票中\n\n              </ion-note>\n\n              <ion-note *ngIf="item.votesStatus==2" class="status status-4 margin-top-5">\n\n                已关闭\n\n              </ion-note>\n\n              <ion-note *ngIf="item.votesStatus==1" class="status status-4 margin-top-5">\n\n                已关闭\n\n              </ion-note>\n\n            </ion-col>\n\n          </ion-row>\n\n        </ion-card>\n\n      </div>\n\n      <div *ngIf="myParticipationLabel!=\'vote\'">\n\n        <img *ngIf="myActivityList == null" style="width: 80%;margin-left: 10%;" src="assets/imgs/nulldata.png">\n\n        <ion-card *ngFor="let item of myActivityList" (click)="onSkipToActivityDetail(item.activityId,true)">\n\n          <ion-card-content>\n\n            <div class="content">\n\n              {{item.activityTitle}}\n\n            </div>\n\n            <div class="time">\n\n              发布者： {{item.releaseCompanyName}}\n\n            </div>\n\n            <div class="time">\n\n              发布时间： {{item.releaseTime| date:\'yyyy/MM/dd\'}}\n\n            </div>\n\n          </ion-card-content>\n\n          <ion-row class="footer">\n\n            <ion-col align-self-center text-right>\n\n              <ion-note class="time pull-left">\n\n                报名时间： {{item.applyTime| date:\'yyyy/MM/dd HH:mm:ss\'}}\n\n              </ion-note>\n\n              <ion-note *ngIf="item.activityStatus==2" class="status status-2 margin-top-5">\n\n                报名中\n\n              </ion-note>\n\n              <ion-note *ngIf="item.activityStatus==3" class="status status-3 margin-top-5">\n\n                活动中\n\n              </ion-note>\n\n              <ion-note *ngIf="item.activityStatus==4" class="status status-4 margin-top-5">\n\n                已关闭\n\n              </ion-note>\n\n            </ion-col>\n\n          </ion-row>\n\n        </ion-card>\n\n      </div>\n\n    </ion-list>\n\n  </div>\n\n\n\n  <div style="width: 100%;height: 100%;" *ngIf="distypeid == 2">\n\n    <img class="no_data" *ngIf="myActivityList.length === 0" src="assets/imgs/noData.png">\n\n    <ion-card *ngFor="let item of myActivityList" (click)="onSkipToActivityDetail(item.activityId,true)">\n\n      <ion-card-content>\n\n        <div class="content">\n\n          {{item.activityTitle}}\n\n        </div>\n\n        <div class="time">\n\n          发布者： {{item.releaseCompanyName}}\n\n        </div>\n\n        <div class="time">\n\n          发布时间： {{item.releaseTime| date:\'yyyy/MM/dd\'}}\n\n        </div>\n\n      </ion-card-content>\n\n      <ion-row class="footer">\n\n        <ion-col align-self-center text-right>\n\n          <ion-note class="time pull-left">\n\n            报名时间： {{item.applyTime| date:\'yyyy/MM/dd HH:mm:ss\'}}\n\n          </ion-note>\n\n          <ion-note *ngIf="item.activityStatus==2" class="status status-2 margin-top-5">\n\n            报名中\n\n          </ion-note>\n\n          <ion-note *ngIf="item.activityStatus==3" class="status status-3 margin-top-5">\n\n            活动中\n\n          </ion-note>\n\n          <ion-note *ngIf="item.activityStatus==4" class="status status-4 margin-top-5">\n\n            已关闭\n\n          </ion-note>\n\n        </ion-col>\n\n      </ion-row>\n\n    </ion-card>\n\n  </div>\n\n\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\activityAndVote\activity-management\activity-management.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"], __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__["i" /* ThePublicModule */]])
    ], ActivityManagementPage);
    return ActivityManagementPage;
}());

//# sourceMappingURL=activity-management.js.map

/***/ }),

/***/ 877:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ActivityManagementPageModule", function() { return ActivityManagementPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__activity_management__ = __webpack_require__(1102);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ActivityManagementPageModule = /** @class */ (function () {
    function ActivityManagementPageModule() {
    }
    ActivityManagementPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__activity_management__["a" /* ActivityManagementPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__activity_management__["a" /* ActivityManagementPage */]),
            ],
        })
    ], ActivityManagementPageModule);
    return ActivityManagementPageModule;
}());

//# sourceMappingURL=activity-management.module.js.map

/***/ })

});
//# sourceMappingURL=176.js.map