webpackJsonp([180],{

/***/ 1065:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "OaComplainIndexPageModule", function() { return OaComplainIndexPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__oa_complain_index__ = __webpack_require__(1283);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var OaComplainIndexPageModule = /** @class */ (function () {
    function OaComplainIndexPageModule() {
    }
    OaComplainIndexPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__oa_complain_index__["a" /* OaComplainIndexPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__oa_complain_index__["a" /* OaComplainIndexPage */]),
            ],
        })
    ], OaComplainIndexPageModule);
    return OaComplainIndexPageModule;
}());

//# sourceMappingURL=oa-complain-index.module.js.map

/***/ }),

/***/ 1283:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OaComplainIndexPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the OaComplainIndexPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var OaComplainIndexPage = /** @class */ (function () {
    function OaComplainIndexPage(navCtrl, navParams, toolService, ThePublicModule, loadingController) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolService = toolService;
        this.ThePublicModule = ThePublicModule;
        this.loadingController = loadingController;
        this.defaultSegment = "noAudit";
        this.complainList = [];
        this.replayList = [];
        this.noAuditArgs = {
            pageNum: 1,
            pageSize: 15,
            approverId: 25,
            dataLength: 0,
            pageLength: 0,
        };
        this.auditedArgs = {
            pageNum: 1,
            pageSize: 15,
            approverId: 25,
            dataLength: 0,
            pageLength: 0,
        };
    }
    OaComplainIndexPage.prototype.ionViewCanEnter = function () {
        this.onLoadData();
    };
    OaComplainIndexPage.prototype.onLoadData = function () {
        var _this = this;
        var url = this.getActionUrl();
        var loading = this.loadingController.create({});
        loading.present();
        var pageArgs = this.defaultSegment == 'noAudit' ? this.noAuditArgs : this.auditedArgs;
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000') {
                if (data.return_data.list.length > 0) {
                    pageArgs.dataLength = data.return_data['total'];
                    // 消息记录数组最大页面赋值
                    pageArgs.pageLength = data.return_data['pages'];
                    if (_this.defaultSegment == 'noAudit') {
                        _this.complainList = data.return_data.list;
                    }
                    else {
                        _this.replayList = data.return_data.list;
                    }
                }
            }
            else {
                _this.toolService.showtoast(data.return_msg);
            }
            loading.dismiss();
        }, function (error) {
            loading.dismiss();
        });
    };
    /**
   *下拉刷新界面
   */
    OaComplainIndexPage.prototype.doRefresh = function (refresher) {
        this.onLoadData();
        //动态切换
        setTimeout(function () {
            refresher.complete();
            //toast提示
            // this.toolService.showtoast("加载成功!");
        }, 2000);
    };
    OaComplainIndexPage.prototype.minInfinite = function (infiniteScroll) {
        var _this = this;
        var getMyApplyUrl = this.getActionUrl();
        var args = this.defaultSegment == 'noAudit' ? this.noAuditArgs : this.auditedArgs;
        var dataList = [];
        if (this.defaultSegment == 'noAudit') {
            dataList = this.complainList;
        }
        else {
            dataList = this.replayList;
        }
        // 判读数据超过十条启动刷新
        if (args.dataLength > args.pageSize) {
            setTimeout(function () {
                // 加载完成关闭刷新
                infiniteScroll.complete();
                //增加index
                args.pageNum++;
                _this.toolService.doGet(getMyApplyUrl, function (data) {
                    // 循环插入数据数组
                    for (var i = 0; i < data.return_data['list'].length; i++) {
                        dataList.push(data.return_data['list'][i]);
                    }
                });
                // 判断刷新分页页码大小
                if (args.pageNum >= args.pageLength) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    infiniteScroll.enable(false);
                    //toast提示
                    _this.toolService.showtoast("已加载所有");
                }
            }, 2000);
        }
        else {
            // 加载全部数据禁用刷新
            infiniteScroll.enable(false);
            this.toolService.showtoast("已加载所有");
        }
    };
    OaComplainIndexPage.prototype.segmentChanged = function (e) {
        this.onLoadData();
    };
    OaComplainIndexPage.prototype.getActionUrl = function () {
        var url = "bsOaFeedback/getOaFeedback?";
        if (this.defaultSegment == 'noAudit') {
            url += "counselUserId=" + this.ThePublicModule.USER_INFO.userId + "&pageNum=" + this.noAuditArgs.pageNum + "&pageSize=" + this.noAuditArgs.pageSize;
        }
        else {
            url += "replyUserId=" + this.ThePublicModule.USER_INFO.userId + "&pageNum=" + this.noAuditArgs.pageNum + "&pageSize=" + this.noAuditArgs.pageSize;
        }
        return url;
    };
    OaComplainIndexPage.prototype.onSkipDetail = function (item) {
        this.navCtrl.push('OaComplainDetailPage', { id: item.id });
    };
    OaComplainIndexPage.prototype.onSkipReply = function (item) {
        if (item.isReply) {
            this.navCtrl.push('OaComplainDetailPage', { id: item.id });
        }
        else {
            this.navCtrl.push('OaComplainReplyPage', { id: item.id });
        }
    };
    OaComplainIndexPage.prototype.onCreateComplain = function () {
        this.navCtrl.push('OaComplainCreatePage');
    };
    OaComplainIndexPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-oa-complain-index',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\OA\oa-complain-index\oa-complain-index.html"*/'<!--\n\n  Generated template for the OaComplainIndexPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>投诉建议</ion-title>\n\n    <ion-buttons end>\n\n      <button ion-button icon-only (click)="onCreateComplain()">\n\n        <ion-icon name="add"></ion-icon>\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n    <ion-segment [(ngModel)]="defaultSegment" mode="md" (ionChange)="segmentChanged($event)">\n\n      <ion-segment-button value="noAudit">我的建议\n\n        <div class="bolder-sm">\n\n        </div>\n\n      </ion-segment-button>\n\n      <ion-segment-button value="audited">我的回复\n\n        <div class="bolder-sm"></div>\n\n      </ion-segment-button>\n\n    </ion-segment>\n\n</ion-header>\n\n\n\n\n\n<ion-content >\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingText="下拉刷新" refreshingSpinner="bubbles" refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n  <div [ngSwitch]="defaultSegment">\n\n    <ion-list [class]="defaultSegment==\'noAudit\'?\'\':\'hidden\'">\n\n        <div *ngFor="let item of complainList" (click)="onSkipDetail(item)">\n\n            <ion-card >\n\n              <ion-card-content>\n\n                <div>\n\n                  <img class="ion-img" src="assets/imgs/oa/2.png">\n\n                  <div class="right-header">\n\n                    <div class="title">{{item.counselTitle}}</div>\n\n                    <div  class="content">{{item.counselContent}}</div>\n\n                  </div>\n\n                </div>\n\n                <div class="time">\n\n                    反馈时间： {{item.counselDatetime| date:\'yyyy-MM-dd HH:mm\'}} <span class="status-replied" *ngIf="item.isReply">已回复</span><span class="status-no-replied" *ngIf="!item.isReply">未回复</span>\n\n                </div>\n\n                <div class="time">\n\n                    反馈目标： {{item.replyUserName}}\n\n                </div>\n\n              </ion-card-content>\n\n            </ion-card>\n\n            <div class="split-line"></div>\n\n          </div>\n\n    </ion-list>\n\n  </div>\n\n    \n\n  <div [ngSwitch]="defaultSegment">\n\n      <ion-list [class]="defaultSegment==\'audited\'?\'\':\'hidden\'">\n\n          <div *ngFor="let item of replayList" (click)="onSkipReply(item)">\n\n              <ion-card >\n\n                <ion-card-content>\n\n                  <div>\n\n                    <img class="ion-img" src="assets/imgs/oa/2.png">\n\n                    <div class="right-header">\n\n                      <div class="title">{{item.counselTitle}}</div>\n\n                      <div  class="content">{{item.counselContent}}</div>\n\n                    </div>\n\n                  </div>\n\n                  <div class="time">\n\n                      反馈时间： {{item.counselDatetime| date:\'yyyy-MM-dd HH:mm\'}} <span class="status-replied" *ngIf="item.isReply">已回复</span><span class="status-no-replied" *ngIf="!item.isReply">未回复</span>\n\n                  </div>\n\n                  <div class="time">\n\n                      反馈人： {{item.counselUserName}}\n\n                  </div>\n\n                </ion-card-content>\n\n              </ion-card>\n\n              <div class="split-line"></div>\n\n            </div>\n\n        </ion-list>\n\n  </div>\n\n    <ion-infinite-scroll (ionInfinite)="minInfinite($event)">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="加载中...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\OA\oa-complain-index\oa-complain-index.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["i" /* ThePublicModule */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"]])
    ], OaComplainIndexPage);
    return OaComplainIndexPage;
}());

//# sourceMappingURL=oa-complain-index.js.map

/***/ })

});
//# sourceMappingURL=180.js.map