webpackJsonp([182],{

/***/ 1063:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "OaComplainCreatePageModule", function() { return OaComplainCreatePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__oa_complain_create__ = __webpack_require__(1281);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var OaComplainCreatePageModule = /** @class */ (function () {
    function OaComplainCreatePageModule() {
    }
    OaComplainCreatePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__oa_complain_create__["a" /* OaComplainCreatePage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__oa_complain_create__["a" /* OaComplainCreatePage */]),
            ],
        })
    ], OaComplainCreatePageModule);
    return OaComplainCreatePageModule;
}());

//# sourceMappingURL=oa-complain-create.module.js.map

/***/ }),

/***/ 1281:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OaComplainCreatePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__oa_user_select_oa_user_select__ = __webpack_require__(521);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the OaComplainCreatePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var OaComplainCreatePage = /** @class */ (function () {
    function OaComplainCreatePage(navCtrl, navParams, toolService, ThePublicModule, loadingController, alertController, modalCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolService = toolService;
        this.ThePublicModule = ThePublicModule;
        this.loadingController = loadingController;
        this.alertController = alertController;
        this.modalCtrl = modalCtrl;
        this.complain = {
            "counselContent": "",
            "counselTitle": "",
            "replyUserId": 0,
            "replyUserName": ""
        };
    }
    OaComplainCreatePage.prototype.ionViewDidLoad = function () {
    };
    //打开选择人员
    OaComplainCreatePage.prototype.presentUserModal = function () {
        var _this = this;
        var userModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_4__oa_user_select_oa_user_select__["a" /* OaUserSelectPage */], { needChoseUserCount: 1 });
        userModal.onDidDismiss(function (data) {
            if (data && data.length > 0) {
                _this.complain.replyUserId = data[0].userId;
                _this.complain.replyUserName = data[0].userName;
            }
        });
        userModal.present();
    };
    OaComplainCreatePage.prototype.onCreateComplain = function () {
        var _this = this;
        if (this.complain.replyUserName == "") {
            this.toolService.showtoast("发送目标必须选择");
        }
        else if (this.complain.counselTitle == "") {
            this.toolService.showtoast("投诉建议标题不能为空");
        }
        else if (this.toolService.getStringLength(this.complain.counselTitle) > 100) {
            this.toolService.showtoast("投诉建议标题不能大于100个汉字");
        }
        else if (this.complain.counselContent == "") {
            this.toolService.showtoast("投诉建议内容不能为空");
        }
        else if (this.toolService.getStringLength(this.complain.counselContent) > 400) {
            this.toolService.showtoast("投诉建议内容不能超过200个汉字");
        }
        else {
            var url = "/bsOaFeedback/counseOaFeedback";
            var loading = this.loadingController.create({});
            loading.present();
            this.toolService.doPost(url, this.complain, function (data) {
                if (data.return_code == '000000') {
                    _this.toolService.showtoast("投诉/意见反馈成功");
                    setTimeout(function () {
                        _this.navCtrl.pop();
                    }, 1000);
                }
                else {
                    _this.toolService.showtoast(data.return_msg);
                }
                loading.dismiss();
            }, function (error) {
                loading.dismiss();
            });
        }
    };
    OaComplainCreatePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-oa-complain-create',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\OA\oa-complain-create\oa-complain-create.html"*/'<!--\n\n  Generated template for the OaComplainCreatePage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n\n\n  <ion-navbar>\n\n    <ion-title>新建投诉建议</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content padding>\n\n    <div class="template-item">\n\n        <div   class="control-panel">\n\n            <div class="left-panel">\n\n              <span   class="text-danger">*</span> 标题\n\n            </div>\n\n            <div class="right-panel text-right">\n\n              <input type="text" [(ngModel)]="complain.counselTitle" placeholder=\'请输入投诉/建议标题\'>\n\n            </div>\n\n          </div>\n\n          <div   class="control-panel">\n\n              <div class="left-panel">\n\n                <span   class="text-danger">*</span> 发送目标\n\n              </div>\n\n              <div class="right-panel text-right switch-span" (click)="presentUserModal()">\n\n                  <span *ngIf="complain.replyUserName==\'\'" class="chose-user">请选择 <ion-icon name="add-circle-outline">\n\n                    </ion-icon></span>\n\n                  <span *ngIf="complain.replyUserName!=\'\'" class="chosed-user">{{complain.replyUserName}}</span>\n\n              </div>\n\n            </div>\n\n            <div  class="multi-control-panel">\n\n                <div class="top-panel">  <span   class="text-danger">*</span> 详细内容\n\n                </div>\n\n                <div class="bottom-panel">\n\n                  <textarea rows="8" [(ngModel)]="complain.counselContent" placeholder=\'请输入详细内容(200个汉字)\'></textarea>\n\n                </div>\n\n              </div>\n\n    </div>\n\n    <div padding>\n\n        <button ion-button block color="danger" (click)="onCreateComplain()">提交</button>\n\n    </div>\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\OA\oa-complain-create\oa-complain-create.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["i" /* ThePublicModule */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"]])
    ], OaComplainCreatePage);
    return OaComplainCreatePage;
}());

//# sourceMappingURL=oa-complain-create.js.map

/***/ })

});
//# sourceMappingURL=182.js.map