webpackJsonp([189],{

/***/ 1056:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LearninggardenPageModule", function() { return LearninggardenPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__learninggarden__ = __webpack_require__(1274);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var LearninggardenPageModule = /** @class */ (function () {
    function LearninggardenPageModule() {
    }
    LearninggardenPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__learninggarden__["a" /* LearninggardenPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__learninggarden__["a" /* LearninggardenPage */]),
            ],
        })
    ], LearninggardenPageModule);
    return LearninggardenPageModule;
}());

//# sourceMappingURL=learninggarden.module.js.map

/***/ }),

/***/ 1274:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LearninggardenPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the LearninggardenPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var LearninggardenPage = /** @class */ (function () {
    function LearninggardenPage(navCtrl, navParams, toolservice, loadingctrl, thePublicModule) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.loadingctrl = loadingctrl;
        this.thePublicModule = thePublicModule;
        // 每页展示的记录条数
        this.pageSize = 10;
        // 知识园地记录列表刷新次数
        this.learnrecord = 1;
        //图片地址
        this.imageurl = __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__["d" /* IMAGEURL */];
    }
    LearninggardenPage.prototype.ionViewDidLoad = function () {
    };
    /**
     * 进入页面执行
     */
    LearninggardenPage.prototype.ionViewWillEnter = function () {
        this.requestnewsdata();
    };
    /**
     * 获取知识园地数据
     */
    LearninggardenPage.prototype.requestnewsdata = function () {
        var _this = this;
        var newsstadata = document.getElementById("datastatus");
        newsstadata.style.display = 'none';
        var url = 'bsNews/getNews?status=2&companyId=' + this.thePublicModule.USER_INFO.companyId + '&typeId=6&pageNum=1&pageSize=10';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                _this.learnlength = data.return_data['total'];
                // 消息记录数组最大页面赋值
                _this.learnPage = data.return_data['pages'];
                _this.learnrecord = 1;
                _this.learndata = data.return_data.list;
            }
            else {
                _this.toolservice.showtoast(data.return_msg);
            }
        });
    };
    /**
     * 跳转知识园地详情
     */
    LearninggardenPage.prototype.jumpnewdetails = function (item) {
        this.navCtrl.push('LearninggardenDetailsPage', { newsid: item });
        var url = 'bsNews/addReadQuantity?id=' + item;
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
            }
            else {
            }
        });
    };
    /**
     * 搜索知识园地
     */
    LearninggardenPage.prototype.searchnamedata = function (searchname) {
        var _this = this;
        if (searchname.value.length == 0) {
            this.toolservice.showtoast("请输入");
        }
        else {
            var newsstadata = document.getElementById("datastatus");
            newsstadata.style.display = 'none';
            var loading_1 = this.loadingctrl.create({});
            loading_1.present();
            this.learnrecord = 1;
            var url = 'bsNews/getNews?title=' + searchname.value + '&companyId=' + this.thePublicModule.USER_INFO.companyId + '&typeId=6&status=2&pageNum=1&pageSize=10';
            this.toolservice.doGet(url, function (data) {
                if (data.return_code == '000000' && data.return_data.list != '') {
                    _this.learndata = data.return_data.list;
                    _this.learnlength = data.return_data['total'];
                    // 消息记录数组最大页面赋值
                    _this.learnPage = data.return_data['pages'];
                    loading_1.dismiss();
                }
                else {
                    _this.learndata = null;
                    _this.toolservice.showtoast(data.return_msg);
                    loading_1.dismiss();
                }
            });
        }
    };
    /**
     * 判断是否有数据
     */
    LearninggardenPage.prototype.judgenulldata = function (searchjudg) {
        if (searchjudg.value.length == 0) {
            this.requestnewsdata();
        }
    };
    /**
     * 上滑加载更多
     */
    LearninggardenPage.prototype.minInfinite = function (infiniteScroll, minsearchname) {
        var _this = this;
        var newsstadata = document.getElementById("datastatus");
        setTimeout(function () {
            // 加载完成关闭刷新
            infiniteScroll.complete();
            // 判读数据超过十条启动刷新
            if (_this.learnlength > _this.pageSize) {
                //增加index
                _this.learnrecord++;
                // 判断刷新分页页码大小
                if (_this.learnrecord > _this.learnPage) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    // infiniteScroll.enable(false);
                    //toast提示
                    _this.toolservice.showtoast("已加载所有");
                    newsstadata.style.display = 'block';
                }
                else {
                    var url = 'bsNews/getNews?title=' + minsearchname.value + '&status=2&companyId=' + _this.thePublicModule.USER_INFO.companyId + '&typeId=6&pageNum=' + _this.learnrecord + '&pageSize=' + _this.pageSize;
                    _this.toolservice.doGet(url, function (data) {
                        if (data.return_code == '000000') {
                            // 加载完成关闭刷新
                            infiniteScroll.complete();
                            // 循环插入数据数组
                            for (var i = 0; i < data.return_data['list'].length; i++) {
                                _this.learndata.push(data.return_data['list'][i]);
                            }
                        }
                    });
                }
                // }, 2000);
            }
            else {
                // 加载全部数据禁用刷新
                // infiniteScroll.enable(false);
                _this.toolservice.showtoast("已加载所有");
            }
        }, 2000);
    };
    LearninggardenPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-learninggarden',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\OA\learninggarden\learninggarden.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>学习园地</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <div style="width: 90%;margin-top: 15px;margin-bottom: 15px;margin-left: 5%;height: 50px">\n\n    <ion-searchbar style="width: 85%;float: left;" #searchvalue\n\n                   placeholder="请输入想搜索的内容" (ionChange)="judgenulldata(searchvalue)"></ion-searchbar>\n\n    <div style="width: 15%;float: right;height: 36px;margin-top: 1px;">\n\n      <button ion-button block class="news_div_btn" (click)="searchnamedata(searchvalue)">搜索\n\n      </button>\n\n    </div>\n\n  </div>\n\n  <div style="width: 100%;height: 1px;background-color: #f6f6f6;"></div>\n\n  <img *ngIf="learndata == null" style="width: 80%;margin-left: 10%;" src="assets/imgs/nulldata.png">\n\n  <div style="width: 100%;border-bottom: 8px solid #f6f6f6;" *ngFor="let serve of learndata">\n\n    <div style="width: 90%;height: 90px;margin-left: 5%;margin-top: 12px;margin-bottom: 12px;">\n\n      <img style="width: 85px;height: 85px;float:left;" src="{{imageurl+serve.mainImg}}">\n\n      <div style="margin-left: 90px;height: 85px;" (click)="jumpnewdetails(serve.id)">\n\n        <ion-label style="font-size: 16px;height: 25px;width: 100%;">\n\n          <button class="news_div_label_btn1" *ngIf="serve.typeId == 7">热点</button>\n\n          <button class="news_div_label_btn2" *ngIf="serve.typeId == 8">企业</button>\n\n          <button class="news_div_label_btn3" *ngIf="serve.typeId == 9">中心</button>\n\n          {{serve.title}}\n\n        </ion-label>\n\n        <div style="font-size: 13px;text-align: left;width: 100%;height: 33px;margin-top: 5px;color: #aaaeb9;"\n\n             *ngIf="serve.description.length>=28">\n\n          {{serve.description.toString().replace(serve.description.toString().substring(28,serve.description.length),"...")}}\n\n        </div>\n\n        <div style="font-size: 13px;text-align: left;width: 100%;height: 33px;margin-top: 5px;color: #aaaeb9;"\n\n             *ngIf="serve.description.length<28">\n\n          {{serve.description}}\n\n        </div>\n\n        <div style="width: 100%;margin-top: 5px;">\n\n          <div style="width: 70%;float:left;font-size: 13px;color: #aaaeb9;">发布日期:{{serve.createTime |\n\n            date:"yyyy-MM-dd"}}\n\n          </div>\n\n          <div style="width: 30%;float: right;text-align: right;font-size: 14px;color: #aaaeb9;">\n\n            <img style="width: 17px;" src="assets/imgs/6.png">&nbsp;&nbsp;&nbsp;{{serve.readQuantity}}\n\n          </div>\n\n        </div>\n\n      </div>\n\n    </div>\n\n  </div>\n\n  <div id="datastatus"\n\n       style="width: 100%;margin-top: 20px;margin-bottom: 20px;height: 20px;color: #aaaeb9;text-align: center;font-size: 14px;display: none;">\n\n    已经没有了,不能再加载了\n\n  </div>\n\n  <ion-infinite-scroll (ionInfinite)="minInfinite($event,searchvalue)">\n\n    <ion-infinite-scroll-content\n\n      loadingSpinner="bubbles">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\OA\learninggarden\learninggarden.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__["i" /* ThePublicModule */]])
    ], LearninggardenPage);
    return LearninggardenPage;
}());

//# sourceMappingURL=learninggarden.js.map

/***/ })

});
//# sourceMappingURL=189.js.map