webpackJsonp([55],{

/***/ 1013:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "EduExperiencePageModule", function() { return EduExperiencePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__edu_experience__ = __webpack_require__(1234);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var EduExperiencePageModule = /** @class */ (function () {
    function EduExperiencePageModule() {
    }
    EduExperiencePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__edu_experience__["a" /* EduExperiencePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__edu_experience__["a" /* EduExperiencePage */]),
            ],
        })
    ], EduExperiencePageModule);
    return EduExperiencePageModule;
}());

//# sourceMappingURL=edu-experience.module.js.map

/***/ }),

/***/ 1234:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return EduExperiencePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the EduExperiencePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var EduExperiencePage = /** @class */ (function () {
    function EduExperiencePage(navCtrl, navParams, toolservice, loadingctrl, thePublicModule, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.loadingctrl = loadingctrl;
        this.thePublicModule = thePublicModule;
        this.alertCtrl = alertCtrl;
        this.schoolName = '';
        this.professional = '';
        this.endtime = '';
        this.admissiontime = '';
        this.graduationtime = '';
        this.typeId = this.navParams.get('eduid');
        this.endtime = this.toolservice.obtain();
        this.getDictionaryByCodeType();
        if (this.typeId != '' && this.thePublicModule.RESUME.bsResumeEducationExperiences != '') {
            this.schoolName = this.typeId.schoolName;
            this.professional = this.typeId.professional;
            this.edsName = this.typeId.education;
            this.edsId = this.typeId.educationId;
            this.admissiontime = this.typeId.ext1;
            this.graduationtime = this.typeId.ext2;
        }
    }
    EduExperiencePage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad EduExperiencePage');
    };
    /**
     *
     * @param {学历}
     */
    EduExperiencePage.prototype.getDictionaryByCodeType = function () {
        var _this = this;
        var url = 'common/getDictionaryByCodeType?codeType=RESUME_EDUCATION';
        this.toolservice.doGetTa(url, function (data) {
            if (data.return_code == '000000') {
                _this.eduExper = data.return_data;
            }
        });
    };
    /**
     * 提交教育经历
     */
    EduExperiencePage.prototype.editResumeEducationExperiences = function () {
        var _this = this;
        if (this.schoolName == '') {
            this.toolservice.showtoast('请输入学校名称');
        }
        else if (this.edsId == '') {
            this.toolservice.showtoast('请选择学历');
        }
        else if (this.professional == '') {
            this.toolservice.showtoast('请输入专业');
        }
        else if (this.admissiontime == '') {
            this.toolservice.showtoast('请选择入学时间');
        }
        else if (this.graduationtime == '') {
            this.toolservice.showtoast('请选择离校时间');
        }
        else {
            for (var i = 0; i < this.eduExper.length; i++) {
                if (this.edsId == this.eduExper[i].codeValue) {
                    this.edsName = this.eduExper[i].codeName;
                }
            }
            var url = 'bsResume/editResumeEducationExperiences';
            var datas = void 0;
            if (this.typeId != '') {
                datas = {
                    education: this.edsName,
                    educationId: this.edsId,
                    endTime: new Date(this.graduationtime).getTime(),
                    id: this.typeId.id,
                    professional: this.professional,
                    resumeId: this.thePublicModule.RESUME.bsResume.id,
                    schoolName: this.schoolName,
                    startTime: new Date(this.admissiontime).getTime()
                };
            }
            else {
                datas = {
                    education: this.edsName,
                    educationId: this.edsId,
                    endTime: new Date(this.graduationtime).getTime(),
                    professional: this.professional,
                    resumeId: this.thePublicModule.RESUME.bsResume.id,
                    schoolName: this.schoolName,
                    startTime: new Date(this.admissiontime).getTime()
                };
            }
            var loading_1 = this.loadingctrl.create();
            loading_1.present();
            this.toolservice.doPostTa(url, datas, function (data) {
                if (data.return_code == '000000') {
                    loading_1.dismiss();
                    _this.thePublicModule.RESUME = data.return_data;
                    _this.toolservice.showtoast('保存成功');
                    _this.navCtrl.pop();
                }
                else {
                    loading_1.dismiss();
                    _this.toolservice.showtoast(data.return_msg);
                }
            }, function (error) {
                loading_1.dismiss();
            });
        }
    };
    /**
     * 删除教育经历
     */
    EduExperiencePage.prototype.deleteResumeWorkExperience = function () {
        var _this = this;
        var prompt = this.alertCtrl.create({
            title: '确认是否删除',
            buttons: [
                {
                    text: '取消',
                    handler: function (data) {
                    }
                },
                {
                    text: '确认',
                    handler: function (data) {
                        var loading = _this.loadingctrl.create();
                        loading.present();
                        var url = 'bsResume/deleteResumeEducationExperiences?id=' + _this.typeId.id;
                        _this.toolservice.doPostTa(url, '', function (data) {
                            if (data.return_code == '000000') {
                                loading.dismiss();
                                _this.thePublicModule.RESUME = data.return_data;
                                _this.navCtrl.pop();
                                _this.toolservice.showtoast('删除成功');
                            }
                            else {
                                loading.dismiss();
                                _this.toolservice.showtoast(data.return_msg);
                            }
                        }, function (error) {
                            loading.dismiss();
                        });
                    }
                }
            ]
        });
        prompt.present();
    };
    EduExperiencePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-edu-experience',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\jobtory\edu-experience\edu-experience.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>教育经历</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-item class="width90 info-view">\n\n    <ion-label class="fcor333 font15">学校名称</ion-label>\n\n    <ion-input placeholder="请输入" [(ngModel)]="schoolName"></ion-input>\n\n  </ion-item>\n\n\n\n  <ion-item class="width90 info-view">\n\n    <ion-label class="fcor333 font15">学历</ion-label>\n\n    <ion-select [(ngModel)]="edsId" placeholder="请选择" cancelText="取消" okText="确认">\n\n      <ion-option *ngFor="let item of eduExper" value="{{item.codeValue}}">{{item.codeName}}</ion-option>\n\n    </ion-select>\n\n  </ion-item>\n\n\n\n  <ion-item class="width90 info-view">\n\n    <ion-label class="fcor333 font15">专业</ion-label>\n\n    <ion-input placeholder="请输入" [(ngModel)]="professional"></ion-input>\n\n  </ion-item>\n\n\n\n  <ion-item class="width90 info-view">\n\n    <ion-label class="fcor333 font15">入学时间</ion-label>\n\n    <ion-datetime placeholder="请选择" cancelText="取消" doneText="确认" displayFormat="YYYY.MM" min="1970" max="{{endtime}}"\n\n                  [(ngModel)]="admissiontime">\n\n    </ion-datetime>\n\n  </ion-item>\n\n\n\n\n\n  <ion-item class="width90 info-view" >\n\n    <ion-label class="fcor333 font15">离校时间</ion-label>\n\n    <ion-datetime placeholder="请选择" cancelText="取消" doneText="确认" displayFormat="YYYY.MM" min="1970" max="{{endtime}}"\n\n                  [(ngModel)]="graduationtime">\n\n    </ion-datetime>\n\n  </ion-item>\n\n\n\n  <button ion-button="" class="btnw70" (click)="editResumeEducationExperiences()">保存</button>\n\n\n\n  <div class="fcor999 font16 fotct mart40 marb50" *ngIf="typeId !=\'\' " (click)="deleteResumeWorkExperience()">删除教育经历\n\n  </div>\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\jobtory\edu-experience\edu-experience.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["i" /* ThePublicModule */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"]])
    ], EduExperiencePage);
    return EduExperiencePage;
}());

//# sourceMappingURL=edu-experience.js.map

/***/ })

});
//# sourceMappingURL=55.js.map