webpackJsonp([57],{

/***/ 1010:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CompanyDetailsPageModule", function() { return CompanyDetailsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__company_details__ = __webpack_require__(1232);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CompanyDetailsPageModule = /** @class */ (function () {
    function CompanyDetailsPageModule() {
    }
    CompanyDetailsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__company_details__["a" /* CompanyDetailsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__company_details__["a" /* CompanyDetailsPage */]),
            ],
        })
    ], CompanyDetailsPageModule);
    return CompanyDetailsPageModule;
}());

//# sourceMappingURL=company-details.module.js.map

/***/ }),

/***/ 1232:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CompanyDetailsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the CompanyDetailsPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var CompanyDetailsPage = /** @class */ (function () {
    function CompanyDetailsPage(navCtrl, navParams, toolservice, thePublicModule, loadingCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.thePublicModule = thePublicModule;
        this.loadingCtrl = loadingCtrl;
        this.companyId = '';
        this.conpanyList = '';
        this.imageUrl = '';
        this.searValue = '';
        // 每页展示的记录条数
        this.pageSize = 10;
        // 职位列表记录列表刷新次数
        this.jobrecord = 1;
        this.companyId = this.navParams.get('compy');
        this.findEnterpriseView();
        this.getListPosition();
    }
    CompanyDetailsPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad CompanyDetailsPage');
    };
    /**
     *
     * @param {公司详情} e
     */
    CompanyDetailsPage.prototype.findEnterpriseView = function () {
        var _this = this;
        var url = '/bsEnterprise/findEnterpriseView?id=' + this.companyId;
        this.toolservice.doGetTa(url, function (data) {
            if (data.return_code == '000000') {
                _this.conpanyList = data.return_data;
            }
        });
    };
    /**
     *
     * @param {查询公司在招职位} e
     */
    CompanyDetailsPage.prototype.getListPosition = function () {
        var _this = this;
        var loading = this.loadingCtrl.create();
        loading.present();
        var url = 'bsPosition/getListPositionOpen?companyId=' + this.companyId + '&positionName=' + this.searValue + '&pageNum=' + this.jobrecord + '&pageSize=' + this.pageSize;
        this.toolservice.doGetTa(url, function (data) {
            if (data.return_code == '000000' && data.return_data != null) {
                loading.dismiss();
                _this.positionList = data.return_data.list;
                _this.joblength = data.return_data['total'];
                // 消息记录数组最大页面赋值
                _this.jobPage = data.return_data['pages'];
                _this.jobrecord = 1;
            }
            else {
                _this.positionList = null;
                loading.dismiss();
            }
        });
    };
    /**
     * 跳转详情
     */
    CompanyDetailsPage.prototype.jumpjobdetails = function (items) {
        this.navCtrl.push('JobListiongsDetailsPage', { details: items });
    };
    /**
     * 搜索职位
     */
    CompanyDetailsPage.prototype.searchnamedata = function () {
        var _this = this;
        var loading = this.loadingCtrl.create({});
        loading.present();
        this.jobrecord = 1;
        var url = 'bsPosition/getListPositionOpen?companyId=' + this.companyId + '&positionName=' + this.searValue + '&pageNum=1&pageSize=10';
        this.toolservice.doGetTa(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                _this.positionList = data.return_data.list;
                _this.joblength = data.return_data['total'];
                // 消息记录数组最大页面赋值
                _this.jobPage = data.return_data['pages'];
                loading.dismiss();
            }
            else {
                _this.positionList = null;
                _this.toolservice.showtoast(data.return_msg);
                loading.dismiss();
            }
        }, function (error) {
            loading.dismiss();
        });
    };
    /**
     * 上滑加载更多
     */
    CompanyDetailsPage.prototype.minInfinite = function (infiniteScroll) {
        var _this = this;
        setTimeout(function () {
            // 加载完成关闭刷新
            infiniteScroll.complete();
            // 判读数据超过十条启动刷新
            if (_this.joblength > _this.pageSize) {
                //增加index
                _this.jobrecord++;
                // 判断刷新分页页码大小
                if (_this.jobrecord > _this.jobPage) {
                    //toast提示
                    _this.toolservice.showtoast("已加载所有");
                }
                else {
                    var url = 'bsPosition/getListPositionOpen?companyId=' + _this.companyId + '&positionName=' + _this.searValue + '&pageNum=' + _this.jobrecord + '&pageSize=' + _this.pageSize;
                    _this.toolservice.doGetTa(url, function (data) {
                        if (data.return_code == '000000') {
                            // 加载完成关闭刷新
                            infiniteScroll.complete();
                            // 循环插入数据数组
                            for (var i = 0; i < data.return_data['list'].length; i++) {
                                _this.positionList.push(data.return_data['list'][i]);
                            }
                        }
                    });
                }
                // }, 2000);
            }
            else {
                // 加载全部数据禁用刷新
                _this.toolservice.showtoast("已加载所有");
            }
        }, 2000);
    };
    CompanyDetailsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-company-details',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\jobtory\company-details\company-details.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>公司详情</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n<ion-content>\n\n  <div class="width90 mart15">\n\n    <div class="panycomlef flleft">\n\n      <div class="width100 font16 mart5 fcor666">\n\n        {{conpanyList.companyName}}\n\n      </div>\n\n      <div class="font14 fcor999 mart5">\n\n        {{conpanyList.companyLabel}}\n\n      </div>\n\n      <div class="font13 fcor999 mart5">\n\n        公司地址 : {{conpanyList.address}}\n\n      </div>\n\n    </div>\n\n    <div class="panycomrig flright fotrt">\n\n      <img class="panyimg" *ngIf="conpanyList.logoImg == null" src="assets/imgs/resume/comlogo.png">\n\n      <img class="panyimg" *ngIf="conpanyList.logoImg != null" src="{{imageUrl}}/{{conpanyList.logoImg}}">\n\n    </div>\n\n  </div>\n\n  <div class="line10 width100 displ mart15"></div>\n\n\n\n  <div class="joblisings_div_header">\n\n    <ion-searchbar style="width: 85%;float: left;" #searchvalue [(ngModel)]="searValue"\n\n                   placeholder="请输入想搜索的内容"></ion-searchbar>\n\n    <div class="joblisings_div_search">\n\n      <button ion-button block class="news_div_btn" (click)="searchnamedata()">搜索\n\n      </button>\n\n    </div>\n\n  </div>\n\n\n\n\n\n  <img *ngIf="positionList == null" class="delivery_header_img mart30" src="assets/imgs/nulldata.png">\n\n\n\n  <div class="width100" *ngFor="let item of  positionList" (click)="jumpjobdetails(item.id)">\n\n    <div class="width90 mart5 inx-hig">\n\n      <div class="width100 inxheig mart10">\n\n        <div class="fcor333 font15 flleft inxw text1">\n\n          {{item.positionName}}\n\n        </div>\n\n        <div class="fcoreb5 font14 flleft inxrigw fotrt">\n\n          {{item.payName}}\n\n        </div>\n\n      </div>\n\n      <div class="width100 inxheig mart10">\n\n        <div class="fcor999 font13 flleft inxw">\n\n          {{item.regionName}} / {{item.workTime}} / {{item.educationName}}\n\n        </div>\n\n        <div class="fcor999 font13 flleft inxrigw fotrt">\n\n          {{item.createTime | date:"yyyy-MM-dd"}}\n\n        </div>\n\n      </div>\n\n    </div>\n\n    <div class="width90 line1"></div>\n\n  </div>\n\n\n\n  <ion-infinite-scroll (ionInfinite)="minInfinite($event)">\n\n    <ion-infinite-scroll-content\n\n      loadingSpinner="bubbles">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\jobtory\company-details\company-details.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["i" /* ThePublicModule */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"]])
    ], CompanyDetailsPage);
    return CompanyDetailsPage;
}());

//# sourceMappingURL=company-details.js.map

/***/ })

});
//# sourceMappingURL=57.js.map