webpackJsonp([68],{

/***/ 1220:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OpenFilecabinetsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



// import { ControlValueAccessor, NG_VALUE_ACCESSOR } from '@angular/forms'
/**
 * Generated class for the FilecabinetsPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var OpenFilecabinetsPage = /** @class */ (function () {
    function OpenFilecabinetsPage(loading, toolservice, navCtrl, navParams) {
        this.loading = loading;
        this.toolservice = toolservice;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.boolhide = false;
        this.size = '';
        this.monthValue = 12;
        this.time = '12';
        this.price = '0';
        this.discounts = '0';
        this.date = '-';
        this.btntext = '计算价格';
    }
    // private propagateChange: any = {}
    OpenFilecabinetsPage.prototype.increment = function () {
        this.counterValue++;
        this.propagateChange(this.counterValue); //值传递
    };
    OpenFilecabinetsPage.prototype.decrement = function () {
        this.counterValue--;
        this.propagateChange(this.counterValue); //值传递
    };
    OpenFilecabinetsPage.prototype.propagateChange = function (value) {
        if (value >= 120) {
            this.counterValue = 120;
            this.time = '120';
        }
        else if (this.counterValue < 1) {
            this.counterValue = '';
            this.time = '';
        }
        else {
            this.time = String(value);
        }
    };
    OpenFilecabinetsPage.prototype.changeName = function (value) {
        if (value >= 120) {
            this.monthValue = 120;
            this.time = '120';
            this.counterValue = 120;
        }
        else if (value < 1) {
            this.monthValue = '';
            this.counterValue = '';
            this.time = '';
        }
        else {
            this.counterValue = value;
            this.monthValue = value;
            this.time = value;
        }
        if (value == '') {
            this.monthValue = '';
            this.counterValue = '';
            this.time = '';
        }
    };
    OpenFilecabinetsPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad OpenFilecabinetsPage');
    };
    OpenFilecabinetsPage.prototype.initDate = function (date) {
        if (date == '-') {
            return '-';
        }
        else {
            return new Date(date).toLocaleDateString().replace(/\//g, '-');
        }
    };
    OpenFilecabinetsPage.prototype.changeBtntext = function () {
        this.btntext = '计算价格';
    };
    OpenFilecabinetsPage.prototype.calcPrice = function () {
        var _this = this;
        if (this.size != '' && this.time != '') {
            /*检验数据是否为整数*/
            var r = /^\+?[1-9][0-9]*$/;
            if (!r.test(this.size)) {
                this.toolservice.showtoast('内存空间只能为正整数');
                return;
            }
            if (this.size == '0') {
                this.toolservice.showtoast('内存空间不能为0');
                return;
            }
            if (!r.test(this.time)) {
                this.toolservice.showtoast('服务时间只能为正整数');
                return;
            }
            if (this.time == '0') {
                this.toolservice.showtoast('服务时间不能为0');
                return;
            }
            var loading_1 = this.loading.create();
            loading_1.present();
            var url = "order/calcPrice?memorySize=" + this.size + "&month=" + this.time;
            this.toolservice.doGet(url, function (data) {
                loading_1.dismiss();
                if (data.return_code == '000000') {
                    _this.data = data.return_data;
                    _this.pay = data.return_data.discountAfter;
                    _this.discounts = data.return_data.discounts;
                    _this.date = data.return_data.enlargeTime;
                    _this.price = data.return_data.totalPrice;
                    _this.btntext = '去支付';
                    _this.thisTimeOrderNo = data.return_data.thisTimeOrderNo;
                }
                else {
                    _this.toolservice.showtoast(data.return_msg);
                }
            });
        }
    };
    OpenFilecabinetsPage.prototype.changehide = function () {
        if (this.btntext != "去支付") {
            /*判断空间、时间是否输入*/
            if (this.size == '' && this.time == '') {
                this.toolservice.showtoast('空间、时间未输入');
                return;
            }
            else if (this.size == '') {
                this.toolservice.showtoast('空间未输入');
                return;
            }
            else if (this.time == '') {
                this.toolservice.showtoast('时间未输入');
                return;
            }
            else {
                this.calcPrice();
            }
        }
        if (this.boolhide) {
            this.boolhide = false;
        }
        else {
            this.boolhide = true;
        }
    };
    OpenFilecabinetsPage.prototype.workbench = function () {
        this.navCtrl.popToRoot();
    };
    OpenFilecabinetsPage.prototype.orderfilecabinets = function () {
        this.data.typeindex = this.navParams.get('typeindex');
        this.data.payType = this.navParams.get('payType');
        this.data.companyid = this.navParams.get('companyid');
        // this.navCtrl.push('OrderFilecabinetsPage',{orderType:1,discountsPrice:this.discounts,size:this.size,date:this.date,thisTimeOrderNo:this.thisTimeOrderNo,pay:this.pay,price:this.price,typeindex:this.navParams.get('typeindex')});
        this.navCtrl.push('OrderFilecabinetsPage', this.data);
    };
    OpenFilecabinetsPage.prototype.openAgreement = function () {
        this.navCtrl.push('OpenAgreementPage');
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Input"])(),
        __metadata("design:type", Object)
    ], OpenFilecabinetsPage.prototype, "counterValue", void 0);
    OpenFilecabinetsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-openfilecabinets',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\filecabinets\open\openfilecabinets.html"*/'<!--\n\n  Generated template for the FilecabinetsPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>开通文件柜</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <div class="content">\n\n    <div class="input-wrap">\n\n      <div class="name">存储空间</div>\n\n      <input class="input-f" placeholder="请输入数字" [(ngModel)]="size" (focus)="changeBtntext()" />\n\n      <div class="num">GB</div>\n\n    </div>\n\n    <div class="input-wrap">\n\n      <div class="name">服务时间</div>\n      <div class="counterInput">\n        <ion-icon class="add" name="ios-remove-circle-outline" (click)=\'decrement()\'></ion-icon>\n        <ion-input class="input_num" type="tel" maxlength="3" [value]="monthValue" [(ngModel)]=\'counterValue\' (ngModelChange)="changeName($event)"></ion-input>\n        <ion-icon class="min" name="ios-add-circle-outline" (click)=\'increment()\'></ion-icon>\n      </div>\n\n      <!-- <input class="input-f" placeholder="请输入数字" [(ngModel)]="time" (focus)="changeBtntext()" (change)="calcPrice()" /> -->\n\n      <div class="num">月</div>\n\n    </div>\n\n    <div class="text">\n\n      <p style="margin: 5px 0;">规则说明</p>\n\n      <p style="margin: 0;">\n        1、请在“存储空间”处输入正整数数字。<br/>\n        2、首次开通服务时间需要1个月起，后期续费可灵活选择日期。<br/>\n        3、请合理选择所需空间大小，避免空间浪费和成本浪费。<br/>\n        4、个人文件柜的首次开通由账户所有者自行开通；企业文件柜的首次开通需要企业账号开通。<br/>\n        5、开通付费后服务立即开始，可开具发票，不能退款，故请认真阅读。\n      </p>\n\n    </div>\n\n    <div class="btn-wrap">\n\n      <div class="info">\n\n        <div class="info-item" style="color: #EE1B24;font-weight: 700;">\n\n          <span style="color: #666;font-weight: 400;">合计金额:</span>\n\n          ￥<span style="font-size: 18px;">{{pay}}</span>\n\n          <span>已优惠{{discounts}}元</span>\n\n        </div>\n\n        <div class="info-item">\n\n          <span style="color: #999;">本次购买到期时间：{{initDate(date)}}</span>\n\n        </div>\n\n        </div>\n\n      <button class="btn-buy" (click)="changehide()">{{btntext}}</button>\n\n    </div>\n\n    <div *ngIf="boolhide" class="hide-f"></div>\n\n    <div *ngIf="boolhide" class="hide-g">\n\n      <div class="hide-card">\n\n        <h1 style="text-align: center;">文件柜开通说明协议</h1>\n\n        <p style="margin: 0 20px;">在你开通文件柜的过程中,您需要了解并知晓文件柜开通说明协议。\n\n        你通过点击同意的形式在线签署文件柜开通协议,请你务必仔细阅读,充分理解协议中的条款。</p>\n\n        <p style="margin: 0 20px;margin-top: 16px;">点击同意即代表您已阅读并同意<span style="color: #EE1B24;" (click)="openAgreement()">《文件柜开通协议》</span></p>\n\n        <div class="hide-btn-wrap">\n\n          <button class="btn-default" (click)="workbench()">不同意</button>\n\n          <button class="btn-default btn-agree" (click)="orderfilecabinets()">同意</button>\n\n        </div>\n\n      </div>\n\n    </div>\n\n  </div>\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\filecabinets\open\openfilecabinets.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"], __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"]])
    ], OpenFilecabinetsPage);
    return OpenFilecabinetsPage;
}());

//# sourceMappingURL=openfilecabinets.js.map

/***/ }),

/***/ 997:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "OpenFilecabinetsPageModule", function() { return OpenFilecabinetsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__openfilecabinets__ = __webpack_require__(1220);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var OpenFilecabinetsPageModule = /** @class */ (function () {
    function OpenFilecabinetsPageModule() {
    }
    OpenFilecabinetsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__openfilecabinets__["a" /* OpenFilecabinetsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__openfilecabinets__["a" /* OpenFilecabinetsPage */]),
            ],
        })
    ], OpenFilecabinetsPageModule);
    return OpenFilecabinetsPageModule;
}());

//# sourceMappingURL=openfilecabinets.module.js.map

/***/ })

});
//# sourceMappingURL=68.js.map