webpackJsonp([75],{

/***/ 1213:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FiledirectoryPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ts_md5__ = __webpack_require__(163);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ts_md5___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_ts_md5__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the FiledirectoryPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var FiledirectoryPage = /** @class */ (function () {
    function FiledirectoryPage(navCtrl, navParams, toolservice, alertCtrl, loading) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.alertCtrl = alertCtrl;
        this.loading = loading;
        console.log(this.navParams);
        var data = this.navParams.data;
        this.filecabinetsinfo = data.filecabinetsinfo;
        this.removeData = data.item;
        this.fileIndex = 0;
        this.filedirector = {};
        this.funchide = false;
        this.funcinput = "";
        this.initfilecabinetsinfodetails(false);
    }
    FiledirectoryPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad FiledirectoryPage');
    };
    /*获取文件内容*/
    FiledirectoryPage.prototype.initfilecabinetsinfodetails = function (item) {
        var _this = this;
        var url = this.filecabinetsinfo.id + '/folder/list';
        /*进入子文件夹*/
        if (item) {
            var _str = '?folderId=' + item.id;
            /*加密文件夹*/
            if (item.restricted) {
                var datamd5 = (__WEBPACK_IMPORTED_MODULE_3_ts_md5__["Md5"].hashStr(this.funcinput).toString()).toUpperCase();
                _str = _str + '&password=' + datamd5;
            }
            url = url + _str;
        }
        //文件柜id
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
                // if(item){
                //   this.historyfilename.push(item.name)
                // }
                if (item.restricted)
                    _this.fileIndex++;
                if (data.return_data != null && data.return_data.length > 0) {
                    var filter = data.return_data.filter(function (item) {
                        return item.folder;
                    });
                    _this.fileData = filter;
                    _this.filedirector[_this.fileIndex] = filter;
                }
                else {
                    _this.fileData = [];
                    _this.filedirector[_this.fileIndex] = [];
                }
                // this.fileData =data.return_data
            }
            else {
                _this.toolservice.showtoast(data.return_msg);
            }
        });
    };
    FiledirectoryPage.prototype.radioclick = function (data) {
        this.pickData = data;
        this.intobj = "";
    };
    FiledirectoryPage.prototype.joinFile = function (item) {
        /*进入子文件夹判定是否需要密码*/
        if (item.restricted) {
            //显示输入界面
            this.intobj = item;
            this.funchide = true;
            this.pickData = item;
        }
        else {
            this.pickData = item;
            if (item.folder)
                this.initfilecabinetsinfodetails(item);
            this.fileIndex++;
        }
    };
    FiledirectoryPage.prototype.confirm = function () {
        var _this = this;
        var prompt = this.alertCtrl.create({
            title: '确定移动到该文件夹下吗？',
            buttons: [
                {
                    text: '取消',
                    handler: function (data) { }
                },
                {
                    text: '确认',
                    handler: function (data) {
                        if (_this.pickData.restricted) {
                            _this.funchide = true;
                        }
                        else {
                            _this.moveFileQuery(_this.pickData);
                        }
                    }
                }
            ]
        });
        prompt.present();
    };
    FiledirectoryPage.prototype.moveFileQuery = function (data) {
        var _this = this;
        var loading = this.loading.create();
        loading.present();
        var url = "/" + this.filecabinetsinfo.id + "/folder/move/" + this.removeData.id + "/to/" + data.id;
        this.toolservice.doGet(url, function (data) {
            loading.dismiss();
            if (data.return_code == '000000') {
                _this.toolservice.showtoast("迁移成功");
                setTimeout(function () {
                    _this.navCtrl.getPrevious().data.create = true;
                    _this.navCtrl.pop();
                }, 1000);
            }
            else {
                _this.toolservice.showtoast(data.return_msg);
            }
        });
    };
    FiledirectoryPage.prototype.cancel = function () {
        if (this.filedirector[1]) {
            delete this.filedirector[this.fileIndex];
            this.fileIndex--;
            this.fileData = this.filedirector[this.fileIndex];
        }
        console.log(this.filedirector);
    };
    FiledirectoryPage.prototype.funcsubmit = function () {
        if (this.intobj != "") {
            this.initfilecabinetsinfodetails(this.intobj);
        }
        if (this.pickData != "") {
            this.passwordVaildate(this.pickData);
        }
        this.funchide = false;
    };
    FiledirectoryPage.prototype.funcancle = function () {
        this.funchide = false;
    };
    FiledirectoryPage.prototype.passwordVaildate = function (item) {
        var _this = this;
        var url = this.filecabinetsinfo.id + '/folder/list';
        /*进入子文件夹*/
        if (item) {
            var _str = '?folderId=' + item.id;
            /*加密文件夹*/
            if (item.restricted) {
                var datamd5 = (__WEBPACK_IMPORTED_MODULE_3_ts_md5__["Md5"].hashStr(this.funcinput).toString()).toUpperCase();
                _str = _str + '&password=' + datamd5;
            }
            url = url + _str;
        }
        //文件柜id
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.moveFileQuery(item);
            }
            else {
                _this.toolservice.showtoast(data.return_msg);
            }
        });
    };
    FiledirectoryPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-filedirectory',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\filecabinets\filedirectory\filedirectory.html"*/'<!--\n\n  Generated template for the FiledirectoryPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>选择移动位置</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <div class="crumbs"></div>\n\n  <div class="radio" *ngFor="let item of fileData">\n\n    <div class="left" (click)="joinFile(item)">\n\n      <img src="assets/imgs/filecabinets/file.png">\n\n      <div class="fileName">{{item.name}}</div>\n\n    </div>\n\n    <input class="inputRadio" name="fileid" value="{{item.id}}" type="radio" [(ngModel)]="fileid" (click)="radioclick(item)" />\n\n  </div>\n\n  <div class="bottom">\n\n    <div class="cancel" (click)="cancel()">返回上级目录</div>\n\n    <div class="confirm" (click)="confirm()">移动</div>\n\n  </div>\n\n</ion-content>\n\n<ion-backdrop *ngIf="funchide" style="background-color: inherit;opacity: 1;z-index: 200;">\n\n  <div class="back-hide"></div>\n\n  <div class="back-wrap">\n\n    <div class="back-content">\n\n      <div class="back-title" style="margin-top: 26px;">访问密码</div>\n\n      <div class="back-input-wrap" style="margin-top: 22px;">\n\n        <input [(ngModel)]="funcinput" type="password" class="input-back" placeholder="请输入访问密码" />\n\n      </div>\n\n      <div class="back-btn-warp" style="margin-top: 16px;">\n\n        <button class="btn-back" (click)="funcancle()">取消</button>\n\n        <button class="btn-back" style="margin-left: 1px;color: #EE1B24;" (click)="funcsubmit()">确定</button>\n\n      </div>\n\n    </div>\n\n  </div>\n\n</ion-backdrop>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\filecabinets\filedirectory\filedirectory.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"], __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"]])
    ], FiledirectoryPage);
    return FiledirectoryPage;
}());

//# sourceMappingURL=filedirectory.js.map

/***/ }),

/***/ 990:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "FiledirectoryPageModule", function() { return FiledirectoryPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__filedirectory__ = __webpack_require__(1213);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var FiledirectoryPageModule = /** @class */ (function () {
    function FiledirectoryPageModule() {
    }
    FiledirectoryPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__filedirectory__["a" /* FiledirectoryPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__filedirectory__["a" /* FiledirectoryPage */]),
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicModule"]
            ],
        })
    ], FiledirectoryPageModule);
    return FiledirectoryPageModule;
}());

//# sourceMappingURL=filedirectory.module.js.map

/***/ })

});
//# sourceMappingURL=75.js.map