webpackJsonp([80],{

/***/ 1209:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AddFilecabinetsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ts_md5__ = __webpack_require__(163);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ts_md5___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_ts_md5__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_picker_picker__ = __webpack_require__(522);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the FilecabinetsPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var AddFilecabinetsPage = /** @class */ (function () {
    function AddFilecabinetsPage(navCtrl, navParams, loading, toolservice, pickerService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.loading = loading;
        this.toolservice = toolservice;
        this.pickerService = pickerService;
        this.roleOptions = [];
        this.infotext = '';
        this.loginType = window.localStorage.getItem('loginnum');
        this.typeindex = this.navParams.get('typeindex');
        this.parentId = this.navParams.get('parentId');
        this.filecabinetsid = this.navParams.get('filecabinetsid');
        this.fileData = this.navParams.get('fileData');
        this.historyfilename = this.navParams.get('historyfilename');
        this.password = 'false';
    }
    AddFilecabinetsPage.prototype.ionViewWillEnter = function () {
        var value = this.navParams.get('myNewKey');
        if (value) {
            this.type = this.navParams.get('myNewKey').name;
            this.parentId = this.navParams.get('myNewKey').parentId;
            this.filecabinetsid = this.navParams.get('myNewKey').filecabinetsid;
            if (this.type === '定向类文件夹') {
                this.password = 'true';
                this.disabled = true;
            }
            else {
                this.password = 'false';
                this.disabled = false;
            }
            this.bumen = ''; //重置bumen字段
        }
    };
    AddFilecabinetsPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        var userInfo = JSON.parse(window.localStorage.getItem('USER_INFO'));
        // 获取部门机构
        var url = "baseOrganization/getOrganizationTree?companyId=" + userInfo.companyId;
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
                if (data.return_data.nodes.length > 0) {
                    var arr_1 = [];
                    data.return_data.nodes.forEach(function (item) {
                        arr_1.push(item.text);
                    });
                    _this.roleOptions.push(arr_1);
                }
            }
        });
    };
    AddFilecabinetsPage.prototype.ngOnInit = function () { };
    AddFilecabinetsPage.prototype.pickerFn = function ($start, $length, $option, type) {
        var that = this;
        this.pickerService.openPicker($start, $length, $option, function (result) {
            var vals = JSON.parse(result)['col-0'].text;
            that.bumen = vals;
        });
    };
    AddFilecabinetsPage.prototype.chooseBM = function () {
        this.pickerFn(1, this.roleOptions[0].length, this.roleOptions, 'role');
    };
    AddFilecabinetsPage.prototype.bytesToSize = function (bytes) {
        if (bytes === 0)
            return '0 B';
        var k = 1024;
        // sizes = ['B','KB', 'MB', 'GB', 'TB', 'PB', 'EB', 'ZB', 'YB'];
        var i = Math.floor(Math.log(bytes) / Math.log(k));
        return (bytes / Math.pow(k, i));
    };
    AddFilecabinetsPage.prototype.homefilecabinets = function () {
        var _this = this;
        /*创建校验 1.是否设置密码 有密码前后输入密码是否一致 2.文件夹大小是否为整数*/
        var r = /^\+?[1-9][0-9]*$/;
        if (!r.test(this.filesize) && this.historyfilename.length === 1) {
            this.infotext = '文件夹大小不规范，应为正整数';
            return;
        }
        if (this.password == 'true') {
            if (this.password1 != this.password2) {
                this.infotext = '密码前后输入不一致';
                return;
            }
        }
        if (!this.type && this.loginType == "2") {
            this.infotext = '请选择类型';
            return;
        }
        if (!this.password) {
            this.infotext = '请选择加密类型';
            return;
        }
        if (!this.bumen && this.type === '部门类文件夹') {
            this.infotext = '请选择部门';
            return;
        }
        if (this.fileData) {
            var surplus = Number(this.fileData.size) - Number(this.fileData.used);
            if (this.filesize > this.bytesToSize(surplus)) {
                this.infotext = '新创建文件夹容量不能大于父文件夹可使用容量';
                return;
            }
        }
        /*校验通过*/
        var loading = this.loading.create();
        loading.present();
        var url;
        if (this.historyfilename.length === 1) {
            if (this.typeindex == "1") {
                url = this.filecabinetsid + "/folder/create?name=" + this.filename + "&size=" + this.filesize;
            }
            else {
                if (this.bumen != '') {
                    url = this.filecabinetsid + "/folder/create?name=" + this.filename + "&size=" + this.filesize + "&type=" + this.bumen;
                }
                else {
                    url = this.filecabinetsid + "/folder/create?name=" + this.filename + "&size=" + this.filesize + "&type=" + this.type;
                }
            }
        }
        else {
            if (this.typeindex == "1") {
                url = this.filecabinetsid + "/folder/create?name=" + this.filename;
            }
            else {
                if (this.bumen != '') {
                    url = this.filecabinetsid + "/folder/create?name=" + this.filename + "&type=" + this.bumen;
                }
                else {
                    url = this.filecabinetsid + "/folder/create?name=" + this.filename + "&type=" + this.type;
                }
            }
        }
        if (this.parentId) {
            url = url + ("&parentId=" + this.parentId);
        }
        if (this.password == 'true') {
            var datamd5 = (__WEBPACK_IMPORTED_MODULE_3_ts_md5__["Md5"].hashStr(this.password1).toString()).toUpperCase();
            url = url + ("&pwd=" + datamd5);
        }
        this.toolservice.doGet(url, function (data) {
            loading.dismiss();
            if (data.return_code == '000000') {
                // this.navCtrl.push('HomeFilecabinetsPage');
                _this.toolservice.showtoast('创建成功');
                // 返回上一页
                _this.navCtrl.getPrevious().data.create = true;
                _this.navCtrl.pop();
            }
            else {
                // loading.dismiss();
                _this.toolservice.showtoast(data.return_msg);
            }
        });
    };
    AddFilecabinetsPage.prototype.inSetFileType = function () {
        this.navCtrl.push('FiletypesetPage', { "parentId": this.parentId, "filecabinetsid": this.filecabinetsid });
    };
    AddFilecabinetsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-addfilecabinets',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\filecabinets\add\addfilecabinets.html"*/'<!--\n\n  Generated template for the FilecabinetsPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>创建文件夹</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <div class="content">\n\n    <div class="input-wrap" *ngIf="typeindex == 2" (click)="inSetFileType()">\n\n      <div class="name">类型选择</div>\n\n      <input class="input-f" placeholder="文件类型" readonly="readonly" [(ngModel)]="type" />\n\n      <i class="right-chevron"></i>\n\n    </div>\n\n    <div class="input-wrap" *ngIf="type == \'部门类文件夹\'">\n\n      <div class="name">部门选择</div>\n\n      <input class="input-f" placeholder="选择部门" readonly="readonly" [(ngModel)]="bumen" (click)="chooseBM()" />\n\n      <!-- <div class="num"></div> -->\n\n    </div>\n\n    <div class="input-wrap">\n\n      <div class="name">文件名称</div>\n\n      <input class="input-f" placeholder="文件夹名称" [(ngModel)]="filename" />\n\n      <!-- <div class="num"></div> -->\n\n    </div>\n\n    <div class="input-wrap" *ngIf="historyfilename.length === 1">\n\n      <div class="name">文件大小</div>\n\n      <input class="input-f" type="number" placeholder="文件夹大小(整数)" [(ngModel)]="filesize" />\n\n      <div class="num">GB</div>\n\n    </div>\n\n    <!--    <div class="input-wrap">\n\n      <div class="name">人员邀请</div>\n\n      <input class="input-f" placeholder="选择人员" readonly="readonly" [(ngModel)]="filename"/>\n\n      <i class="right-chevron"></i>\n\n    </div> -->\n\n    <div class="info-text" *ngIf="type != \'定向类文件夹\'">\n\n      <span style="margin-right: 15px;">访问密码</span>\n\n      <div class="radio-wrap">\n\n        <label class="label" form="password1">\n\n          <input type="radio" name="password1" [disabled]="disabled" [(ngModel)]="password" value="false"\n\n            style="height: 52px;">\n\n          <span>无密码</span>\n\n        </label>\n\n      </div>\n\n      <div class="radio-wrap">\n\n        <label class="label" form="password2">\n\n          <input type="radio" name="password2" [(ngModel)]="password" value="true" style="height: 52px;">\n\n          <span>密码访问</span>\n\n        </label>\n\n      </div>\n\n    </div>\n\n    <div class="hide-wrap" *ngIf="password==\'true\'">\n\n      <div class="input-wrap">\n\n        <div class="name">设置密码</div>\n\n        <input class="input-f" type="password" placeholder="不少于6位" [(ngModel)]="password1" />\n\n      </div>\n\n      <div class="input-wrap">\n\n        <div class="name">确认密码</div>\n\n        <input class="input-f" type="password" placeholder="请再次输入密码" [(ngModel)]="password2" />\n\n      </div>\n\n    </div>\n\n    <div class="hide-info" *ngIf="infotext!=\'\'">提示:{{infotext}}</div>\n\n    <div class="btn-wrap">\n\n      <button class="btn-pay" (click)="homefilecabinets()">确定</button>\n\n    </div>\n\n  </div>\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\filecabinets\add\addfilecabinets.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"], __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_4__providers_picker_picker__["a" /* PickerService */]])
    ], AddFilecabinetsPage);
    return AddFilecabinetsPage;
}());

//# sourceMappingURL=addfilecabinets.js.map

/***/ }),

/***/ 986:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AddFilecabinetsPageModule", function() { return AddFilecabinetsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__addfilecabinets__ = __webpack_require__(1209);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var AddFilecabinetsPageModule = /** @class */ (function () {
    function AddFilecabinetsPageModule() {
    }
    AddFilecabinetsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__addfilecabinets__["a" /* AddFilecabinetsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__addfilecabinets__["a" /* AddFilecabinetsPage */]),
            ],
        })
    ], AddFilecabinetsPageModule);
    return AddFilecabinetsPageModule;
}());

//# sourceMappingURL=addfilecabinets.module.js.map

/***/ })

});
//# sourceMappingURL=80.js.map