webpackJsonp([83],{

/***/ 1204:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TransactionDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__common_select_tree_select_tree__ = __webpack_require__(519);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the TransactionDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var TransactionDetailPage = /** @class */ (function () {
    function TransactionDetailPage(navCtrl, navParams, modalCtrl, toolService, loadingController) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modalCtrl = modalCtrl;
        this.toolService = toolService;
        this.loadingController = loadingController;
        this.transactionId = 0;
        this.transaction = {
            "id": 0,
            "title": "",
            "price": 0,
            "contactInfo": "",
            "linkMan": "",
            "companyId": 0,
            "companyName": "",
            "cerateUserId": 0,
            "createTime": "",
            "status": 0,
            "requireContent": ""
        };
        this.url_img = __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["d" /* IMAGEURL */];
        this.showAlert = {
            isShow: false
        };
        this.transactionId = this.navParams.get("transactionId");
    }
    TransactionDetailPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        if (this.transactionId) {
            var url = 'bsIndustryAgencies/getIndustryAgenciesById?id=' + this.transactionId;
            var loading = this.loadingController.create({});
            loading.present();
            this.toolService.doGet(url, function (data) {
                if (data.return_code == '000000') {
                    _this.transaction = data.return_data;
                }
                else {
                    _this.toolService.showtoast(data.return_msg);
                }
                loading.dismiss();
            });
        }
    };
    TransactionDetailPage.prototype.onChoseCompany = function () {
        var _this = this;
        var userModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_2__common_select_tree_select_tree__["a" /* SelectTreePage */], {
            ListUrlAction: "serviceOrg/getPageCompany?status=1&isService=true&pageNum=1&pageSize=1000",
            searchUrlAction: "serviceOrg/getPageCompany?status=1&isService=true&pageNum=1&pageSize=1000&name={0}",
            "nameMap": {
                object: {
                    name: "name",
                    value: "id"
                },
                dataList: "list",
            }
        });
        userModal.onDidDismiss(function (data) {
            if (data && data.length > 0) {
                _this.transaction.companyId = data[0].id;
                _this.transaction.companyName = data[0].name;
            }
        });
        userModal.present();
    };
    TransactionDetailPage.prototype.onCreateApply = function () {
        var _this = this;
        var url = this.transactionId == undefined ? 'bsIndustryAgencies/addIndustryAgencies' : 'bsIndustryAgencies/updateIndustryAgencies';
        if (this.transaction.companyName == '') {
            this.toolService.showtoast("服务机构必须选择", "top");
        }
        else if (this.transaction.linkMan == '') {
            this.toolService.showtoast("联系人必须填写", "top");
        }
        else if (this.transaction.contactInfo == '') {
            this.toolService.showtoast("联系方式必须填写", "top");
        }
        else if (this.transaction.title == '') {
            this.toolService.showtoast("标题必须填写", "top");
        }
        else if (this.transaction.price == 0) {
            this.toolService.showtoast("服务金额必须填写", "top");
        }
        else if (this.transaction.requireContent == '') {
            this.toolService.showtoast("需要代理服务的具体内容必须填写", "top");
        }
        else {
            var loading = this.loadingController.create({});
            loading.present();
            this.toolService.doPost(url, this.transaction, function (data) {
                if (data.return_code == '000000') {
                    //显示报名成功
                    _this.toolService.showtoast("发布成功！");
                    // this.showAlert.isShow = true;
                    //提示消失
                    setTimeout(function () {
                        // if(this.showAlert.isShow){
                        // showAlert.isShow = false;
                        _this.navCtrl.pop();
                        // }
                    }, 1500);
                    loading.dismiss();
                }
                else {
                    _this.toolService.showtoast(data.return_msg);
                }
            });
        }
    };
    TransactionDetailPage.prototype.onBack = function () {
        this.showAlert.isShow = false;
        this.navCtrl.pop();
    };
    TransactionDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-transaction-detail',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\entrepreneur\transaction-detail\transaction-detail.html"*/'<!--\n\n  Generated template for the TransactionDetailPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>发布事务</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-list inset>\n\n    <button ion-item (click)="onChoseCompany()" *ngIf="transaction.companyName==\'\'">\n\n        <span class="text-danger">*</span>\n\n      代理服务机构\n\n    </button>\n\n    <ion-item *ngIf="transaction.companyName!=\'\'">\n\n        <ion-label><span class="text-danger">*</span>代理服务机构</ion-label>\n\n        <ion-label item-end text-right (click)="onChoseCompany()">{{transaction.companyName}}</ion-label>\n\n      </ion-item>\n\n    <ion-item>\n\n      <ion-label><span class="text-danger">*</span>联系人</ion-label>\n\n      <ion-input type="text" [(ngModel)]="transaction.linkMan" placeholder="请输入" text-right></ion-input>\n\n    </ion-item>\n\n    <ion-item>\n\n      <ion-label><span class="text-danger">*</span>联系电话</ion-label>\n\n      <ion-input type="number" [(ngModel)]="transaction.contactInfo" placeholder="请输入" text-right></ion-input>\n\n    </ion-item>\n\n    <ion-item>\n\n      <ion-label><span class="text-danger">*</span>标题</ion-label>\n\n      <ion-input type="text" [(ngModel)]="transaction.title" placeholder="请输入" text-right></ion-input>\n\n    </ion-item>\n\n    <ion-item>\n\n        <ion-label><span class="text-danger">*</span>服务金额</ion-label>\n\n        <ion-input type="number" [(ngModel)]="transaction.price" placeholder="请输入" text-right></ion-input>\n\n      </ion-item>\n\n    <ion-item>\n\n      <ion-label stacked><span class="text-danger" >*</span>服务代理具体内容</ion-label>\n\n      <ion-textarea [(ngModel)]="transaction.requireContent" placeholder="请输入"></ion-textarea>\n\n    </ion-item>\n\n  </ion-list>\n\n  <div class="footer" padding>\n\n      <button ion-button block color="primary" (click)="onCreateApply()">提交</button>\n\n  </div>\n\n</ion-content>\n\n\n\n<div [class]="showAlert.isShow?\'success-alert\':\'success-alert hidden\'" class="success-alert"\n\n  (click)="onBack()">\n\n  <div class="alert-bg"></div>\n\n  <div class="alert-img-div">\n\n    <img src="assets/imgs/OA/success-alert.png">\n\n  </div>\n\n</div>'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\entrepreneur\transaction-detail\transaction-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"]])
    ], TransactionDetailPage);
    return TransactionDetailPage;
}());

//# sourceMappingURL=transaction-detail.js.map

/***/ }),

/***/ 981:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TransactionDetailPageModule", function() { return TransactionDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__transaction_detail__ = __webpack_require__(1204);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var TransactionDetailPageModule = /** @class */ (function () {
    function TransactionDetailPageModule() {
    }
    TransactionDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__transaction_detail__["a" /* TransactionDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__transaction_detail__["a" /* TransactionDetailPage */]),
            ],
        })
    ], TransactionDetailPageModule);
    return TransactionDetailPageModule;
}());

//# sourceMappingURL=transaction-detail.module.js.map

/***/ })

});
//# sourceMappingURL=83.js.map