webpackJsonp([85],{

/***/ 1202:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TrainDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_platform_browser__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_global__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the TrainDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var TrainDetailPage = /** @class */ (function () {
    function TrainDetailPage(navCtrl, navParams, loadingCtrl, toastCtrl, sanitizr, toolService, ThePublicModule) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.loadingCtrl = loadingCtrl;
        this.toastCtrl = toastCtrl;
        this.sanitizr = sanitizr;
        this.toolService = toolService;
        this.ThePublicModule = ThePublicModule;
        this.commentList = [];
        this.allCommentList = [];
        this.countTime = {
            day: {
                hundred: 0,
                ten: 0,
                unit: 0
            },
            hour: {
                ten: 0,
                unit: 0
            },
            min: {
                ten: 0,
                unit: 0
            },
            sec: {
                ten: 0,
                unit: 0
            }
        };
        this.showAlert = {
            isShow: false
        };
        this.showAllComment = {
            isShow: false
        };
        this.pagePara = {
            pageNum: 1,
            pageSize: 15,
            dataLength: 0,
            pageLength: 0,
        };
        this.trainId = navParams.get('trainId');
    }
    TrainDetailPage.prototype.ionViewDidLoad = function () {
        this.onLoadData();
    };
    TrainDetailPage.prototype.onLoadData = function () {
        var _this = this;
        var loading = this.loadingCtrl.create({});
        loading.present();
        var actionPostUrl = 'bsActivities/getActivitiesById?id=' + this.trainId + '&userId=' + this.ThePublicModule.USER_INFO.userId;
        this.toolService.doGet(actionPostUrl, function (data) {
            if (data.return_code == '000000') {
                _this.trainDetail = data.return_data;
                //取得状态名称
                _this.toolService.doGet('baseDictionary/getDictionaryByCodeType?codeType=BS_ACTIVITIES_STAUTS&codeValue=' + _this.trainDetail.status, function (d) {
                    if (d.return_code == '000000') {
                        var statusList = d.return_data;
                        _this.trainDetail.statusName = statusList[0].codeName;
                    }
                });
                _this.countDown();
            }
            else {
                _this.toolService.showtoast("培训被删除");
                _this.navCtrl.pop();
            }
            loading.dismiss();
        });
    };
    TrainDetailPage.prototype.onOpenAllComment = function () {
        this.showAllComment.isShow = true;
        this.onloadAllComment();
    };
    TrainDetailPage.prototype.onloadAllComment = function () {
        var _this = this;
        var url = 'bsActivityRoster/getPageActivityRoster?activitiesId=21&isComment=1&pageNum=' + this.pagePara.pageNum + '&pageSize=' + this.pagePara.pageSize;
        var loading = this.loadingCtrl.create({});
        loading.present();
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.allCommentList = data.return_data.list;
                _this.pagePara.dataLength = data.return_data['total'];
                // 消息记录数组最大页面赋值
                _this.pagePara.pageLength = data.return_data['pages'];
                loading.dismiss();
            }
            else {
                _this.toolService.showtoast(data.return_msg);
            }
        });
    };
    TrainDetailPage.prototype.countDown = function () {
        var joinEndTime = this.toolService.getDate(this.trainDetail.applyEndTime).getTime();
        var countTimer = this.countTime;
        var trainDetail = this.trainDetail;
        setInterval(function () {
            var timeNow = new Date().getTime();
            var timeLeft = joinEndTime - timeNow;
            if (timeLeft <= 0) {
                timeLeft = 0;
                if (trainDetail.status == 2) {
                    trainDetail.status = 3;
                }
            }
            var leftTime1 = timeLeft % (24 * 3600 * 1000);
            var leftTime2 = leftTime1 % (3600 * 1000);
            var leftTime3 = leftTime2 % (60 * 1000);
            var leftDay = Math.floor(timeLeft / (24 * 3600 * 1000)); //剩余天数
            var leftHour = Math.floor(leftTime1 / (3600 * 1000)); //剩余小时数
            var leftMin = Math.floor(leftTime2 / (60 * 1000)); //剩余分钟数
            var leftSec = Math.floor(leftTime3 / (1000)); //剩余秒数
            countTimer.day.hundred = Math.floor(leftDay / 100);
            countTimer.day.ten = Math.floor((leftDay % 100) / 10);
            countTimer.day.unit = (leftDay % 100) % 10;
            countTimer.hour.ten = Math.floor(leftHour / 10);
            countTimer.hour.unit = leftHour % 10;
            countTimer.min.ten = Math.floor(leftMin / 10);
            countTimer.min.unit = leftMin % 10;
            countTimer.sec.ten = Math.floor(leftSec / 10);
            countTimer.sec.unit = leftSec % 10;
        }, 1000);
    };
    TrainDetailPage.prototype.onJoin = function () {
        var _this = this;
        var url = 'bsActivityRoster/addActivityRoster';
        this.toolService.doPost(url, {
            activityId: this.trainId,
            applyUserId: this.ThePublicModule.USER_INFO.userId
        }, function (data) {
            if (data.return_code == '000000') {
                //显示报名成功
                _this.showAlert.isShow = true;
                //提示消失
                setTimeout(function (showAlert) {
                    showAlert.isShow = false;
                }, 3000, _this.showAlert);
                // this.toolService.showtoast(data.return_data);
                _this.trainDetail.userRosterStauts = true;
                _this.trainDetail.applyNum++;
            }
            else {
                _this.toolService.showtoast(data.return_msg);
            }
        });
    };
    TrainDetailPage.prototype.onCancelJoin = function () {
        var _this = this;
        var url = 'bsActivityRoster/cancelActivityRoster';
        this.toolService.doPost(url, {
            activityId: this.trainId,
            applyUserId: this.ThePublicModule.USER_INFO.userId
        }, function (data) {
            if (data.return_code == '000000') {
                _this.toolService.showtoast("取消报名成功");
                _this.trainDetail.userRosterStauts = false;
                _this.trainDetail.applyNum--;
            }
            else {
                _this.toolService.showtoast(data.return_msg);
            }
        });
    };
    TrainDetailPage.prototype.getStatusCls = function (status) {
        switch (status) {
            case 2:
                return "applying status";
            case 3:
                return "running status";
            case 4:
                return "colsed status";
            case 1:
                return "colsed status";
            default:
                return "colsed status";
        }
    };
    TrainDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-train-detail',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\entrepreneur\train-detail\train-detail.html"*/'<!--\n\n  Generated template for the TrainDetailPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>培训详情</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n\n\n<ion-content>\n\n    <ion-card *ngIf="trainDetail!=null">\n\n      <ion-card-header>\n\n        <div class="">\n\n          <span class="title">{{trainDetail.title}}</span>\n\n        </div>\n\n        <div class="sub-title">主办：{{trainDetail.organizer}} &nbsp;| &nbsp; 承办：{{trainDetail.sponsor}}</div>\n\n        <div>\n\n          <span class="time">发布者：{{trainDetail.createUserCompanyName}} &nbsp;| &nbsp;发布日期： {{trainDetail.releaseTime | date:\'yyyy-MM-dd\'}}</span>\n\n        </div>\n\n        <div class="">\n\n          <span class="join-number">已报名人数：{{trainDetail.applyNum}}人</span>\n\n          <!-- <span class="summarize" *ngIf="trainDetail.status==4&&trainDetail.summarize!=null"\n\n            (click)="onSkipSummarize()">培训总结 <ion-icon name="arrow-forward"></ion-icon> </span>\n\n          <span [class]="getStatusCls(trainDetail.status)">{{trainDetail.statusName}}</span> -->\n\n        </div>\n\n      </ion-card-header>\n\n      <ion-card-content [innerHTML]=\'sanitizr.bypassSecurityTrustHtml(trainDetail.content)\'>\n\n      </ion-card-content>\n\n      <div class="footer" *ngIf="!(trainDetail.status==4&&trainDetail.summarize!=null)">\n\n        <div class="remark">距报名结束还剩</div>\n\n        <div class="timer">\n\n          <span *ngIf="countTime.day.hundred>0">{{countTime.day.hundred}}</span>\n\n          <span>{{countTime.day.ten}}</span>\n\n          <span>{{countTime.day.unit}}</span> <i>:</i>\n\n          <span>{{countTime.hour.ten}}</span>\n\n          <span>{{countTime.hour.unit}}</span> <i>:</i>\n\n          <span>{{countTime.min.ten}}</span>\n\n          <span>{{countTime.min.unit}}</span> <i>:</i>\n\n          <span>{{countTime.sec.ten}}</span>\n\n          <span>{{countTime.sec.unit}}</span>\n\n        </div>\n\n        <div class="timer-unit">\n\n          <span>天</span>\n\n          <span>时</span>\n\n          <span>分</span>\n\n          <span>秒</span>\n\n        </div>\n\n        <div class="split">\n\n          <img src="assets/imgs/activity/2.png">\n\n        </div>\n\n        <div class="button-div">\n\n          <button *ngIf="trainDetail.status==2&&!trainDetail.userRosterStauts" ion-button block color="danger"\n\n            (click)="onJoin()">报名参加</button>\n\n          <button *ngIf="trainDetail.status==2&&trainDetail.userRosterStauts" ion-button block color="dark"\n\n            (click)="onCancelJoin()">取消报名</button>\n\n          <button *ngIf="trainDetail.status!=2" ion-button block color="light">报名结束</button>\n\n        </div>\n\n        <img class="status-img" *ngIf="trainDetail.userRosterStauts" src="assets/imgs/activity/3.png">\n\n      </div>\n\n    </ion-card>\n\n    <!-- <div *ngIf="trainDetail!=null && (trainDetail.status==4&&trainDetail.summarize!=null)">\n\n      <div class="split-line"></div>\n\n      <div class="comment-content">\n\n        <div class="title">评论（<a (click)="onOpenAllComment()">{{pagePara.dataLength}}条</a>）\n\n         <span class="pull-right" (click)="onOpenAllComment()"><ion-icon ios="ios-more" md="md-more"></ion-icon> </span>\n\n        </div>\n\n        <div class="content-div">\n\n          <div *ngFor="let item of commentList" class="item-div">\n\n            <div class="header">\n\n              <div class="left-div">\n\n                {{item.applyUserName.length>2?item.applyUserName.substring(0,2):item.applyUserName}}\n\n              </div>\n\n              <div class="right-div">\n\n                <div class="user-name">\n\n                  {{item.applyUserName}}\n\n                </div>\n\n                <div class="time">\n\n                  {{item.commentTime | date:\'yyyy-MM-dd HH:mm:ss\'}}\n\n                </div>\n\n              </div>\n\n            </div>\n\n            <div class="body">\n\n              {{item.commentContent}}\n\n            </div>\n\n          </div>\n\n        </div>\n\n        <div class="reply" *ngIf="!trainDetail.userCommentStauts">\n\n          <input [(ngModel)]="quickReplyContent" type="text" placeholder="说点什么吧...">\n\n          <button ion-button color="danger" class=" btn-send" (click)="onSendComment(postDetail)">发送</button>\n\n        </div>\n\n      </div>\n\n    </div> -->\n\n  \n\n  </ion-content>\n\n  <div [class]="showAlert.isShow?\'success-alert\':\'success-alert hidden\'" class="success-alert"\n\n    (click)="showAlert.isShow=false">\n\n    <div class="alert-bg"></div>\n\n    <div class="alert-img-div">\n\n      <img src="assets/imgs/activity/1.png">\n\n    </div>\n\n  </div>\n\n  '/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\entrepreneur\train-detail\train-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"],
            __WEBPACK_IMPORTED_MODULE_2__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_global__["i" /* ThePublicModule */]])
    ], TrainDetailPage);
    return TrainDetailPage;
}());

//# sourceMappingURL=train-detail.js.map

/***/ }),

/***/ 979:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TrainDetailPageModule", function() { return TrainDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__train_detail__ = __webpack_require__(1202);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var TrainDetailPageModule = /** @class */ (function () {
    function TrainDetailPageModule() {
    }
    TrainDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__train_detail__["a" /* TrainDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__train_detail__["a" /* TrainDetailPage */]),
            ],
        })
    ], TrainDetailPageModule);
    return TrainDetailPageModule;
}());

//# sourceMappingURL=train-detail.module.js.map

/***/ })

});
//# sourceMappingURL=85.js.map