webpackJsonp([90],{

/***/ 1197:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BusinessListPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_file_transfer__ = __webpack_require__(50);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_file__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_file_opener__ = __webpack_require__(165);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







/**
 * Generated class for the BusinessListPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var BusinessListPage = /** @class */ (function () {
    function BusinessListPage(navCtrl, navParams, toolService, alertCtrl, loadingController, ThePublicModule, transfer, file, fileOpener, changeDetectorRef) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolService = toolService;
        this.alertCtrl = alertCtrl;
        this.loadingController = loadingController;
        this.ThePublicModule = ThePublicModule;
        this.transfer = transfer;
        this.file = file;
        this.fileOpener = fileOpener;
        this.changeDetectorRef = changeDetectorRef;
        this.dataList = [];
        this.fileName = '';
        this.downloadData = '';
        this.progressNumber = 0;
        this.downloadStatus = false;
        //活动查询参数
        this.queryArgs = {
            pageNum: 1,
            pageSize: 15,
            dataLength: 0,
            pageLength: 0,
            actionUrl: "/venture/ventureFile?pageNum={pageNum}&pageSize={pageSize}&fileName=" + this.fileName
        };
        this.onLoadData();
    }
    BusinessListPage.prototype.ionViewDidLoad = function () {
    };
    BusinessListPage.prototype.downloadApp = function (downloadUrl, name) {
        var that = this;
        var fileTransfer = this.transfer.create();
        var saveurl = this.file.externalDataDirectory ? this.file.externalDataDirectory : this.file.dataDirectory;
        var pdf = 'file:///storage/emulated/0/' + name;
        var fileType = name.split(".")[name.split(".").length - 1];
        fileTransfer.download(downloadUrl, pdf).then(function (entry) {
            that.toolService.showtoast("下载成功！");
            setTimeout(function () {
                that.downloadStatus = false;
                that.fileOpener.open(pdf, that.toolService.getFileMimeType(fileType))
                    .then(function (e) {
                })
                    .catch(function (e) {
                    alert(JSON.stringify(e));
                });
            }, 1000);
        }, function (error) {
            that.toolService.showtoast("下载失败，请重试！");
            that.downloadStatus = false;
        });
        /**下载进度条*/
        fileTransfer.onProgress(function (event) {
            var num = Math.ceil(event.loaded / event.total * 100); //转化成1-100的进度
            that.progressNumber = num;
            that.changeDetectorRef.markForCheck();
            that.changeDetectorRef.detectChanges();
        });
    };
    BusinessListPage.prototype.onLoadData = function () {
        var _this = this;
        var url = this.toolService.stringFormat(this.queryArgs.actionUrl, {
            pageNum: this.queryArgs.pageNum,
            pageSize: this.queryArgs.pageSize
        });
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data != '') {
                _this.dataList = data.return_data.list;
                _this.queryArgs.dataLength = data.return_data['total'];
                _this.queryArgs.pageLength = data.return_data['pages'];
            }
            else {
                _this.toolService.showtoast(data.return_msg);
            }
        });
    };
    BusinessListPage.prototype.onAddTransaction = function () {
        this.navCtrl.push("BusinessListPage", { isCheck: false });
    };
    BusinessListPage.prototype.onSkipToDetail = function (id) {
        this.navCtrl.push("BusinessDetailPage", { businessId: id, isCheck: false });
    };
    // 下载文件
    BusinessListPage.prototype.download = function (data) {
        // window.location.href = REQUESTTHEADDRESS + `/ventureFile/download?id=${data.id}`
        this.downloadStatus = true;
        console.log(data);
        var company = JSON.parse(window.localStorage.getItem("COMPANY"));
        // let name = this.downloadData.attachment.split("/")[this.downloadData.attachment.split("/").length - 1]
        this.downloadApp(__WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__["g" /* REQUESTTHEADDRESS */] + ("/venture/download?id=" + data.id), data.fileName);
    };
    BusinessListPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-business-list',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\entrepreneur\business-list\business-list.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>创业资料</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content >\n\n  <div class="hide-g" *ngIf="downloadStatus">\n\n    <div class="hide-card">\n\n      <p style="text-align: center;font-size: 16px;font-weight: bold;">正在下载</p>\n\n      <progress-bar [progress]="progressNumber" [color]="\'#488aff\'"></progress-bar>\n\n      <div class="hide-btn-wrap">\n\n        <button class="btn-default btn-agree" (click)="downloadCancel()">取消</button>\n\n      </div>\n\n    </div>\n\n  </div>\n\n  <img *ngIf="dataList.length === 0" class="no_data" src="assets/imgs/noData.png">\n\n  <ion-card *ngFor="let item of dataList">\n\n    <ion-card-header>\n\n      <div class="fileHeader">\n\n        <div class="name">{{item.fileName}}</div>\n\n        <div class="down"><button type="button" (click)="download(item)">下载</button></div>\n\n      </div>\n\n    </ion-card-header>\n\n    <ion-row class="footer">\n\n      <ion-col  class="date-col">\n\n        <button ion-button icon-start clear small>\n\n          <div>上传日期：{{item.createTime | date:\'yyyy-MM-dd\'}}</div>\n\n        </button>\n\n      </ion-col>\n\n      <ion-col align-self-center text-left class="btn-col text-dark">\n\n        上传者：{{item.createUser}}\n\n      </ion-col>\n\n    </ion-row>\n\n  </ion-card>\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\entrepreneur\business-list\business-list.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__["i" /* ThePublicModule */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_native_file_transfer__["a" /* FileTransfer */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_file__["a" /* File */],
            __WEBPACK_IMPORTED_MODULE_6__ionic_native_file_opener__["a" /* FileOpener */],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["ChangeDetectorRef"]])
    ], BusinessListPage);
    return BusinessListPage;
}());

//# sourceMappingURL=business-list.js.map

/***/ }),

/***/ 974:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "BusinessListPageModule", function() { return BusinessListPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__business_list__ = __webpack_require__(1197);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_angular_progress_bar__ = __webpack_require__(524);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var BusinessListPageModule = /** @class */ (function () {
    function BusinessListPageModule() {
    }
    BusinessListPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__business_list__["a" /* BusinessListPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__business_list__["a" /* BusinessListPage */]),
                __WEBPACK_IMPORTED_MODULE_3_angular_progress_bar__["a" /* ProgressBarModule */]
            ],
        })
    ], BusinessListPageModule);
    return BusinessListPageModule;
}());

//# sourceMappingURL=business-list.module.js.map

/***/ })

});
//# sourceMappingURL=90.js.map