webpackJsonp([94],{

/***/ 1193:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OutbreakresponsePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the OutbreakresponsePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var OutbreakresponsePage = /** @class */ (function () {
    function OutbreakresponsePage(toolService, navCtrl, navParams, loadingCtrl, viewCtrl, alertCtl, ThePublicModule) {
        this.toolService = toolService;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.loadingCtrl = loadingCtrl;
        this.viewCtrl = viewCtrl;
        this.alertCtl = alertCtl;
        this.ThePublicModule = ThePublicModule;
        this.searchStr = '';
        this.counselList = [];
        this.outlist = 'requirementslist';
        this.queryArgs = {
            pageNum: 1,
            pageSize: 15,
            dataLength: 0,
            pageLength: 0,
            actionUrl: 'bsCounselRecord/getCounselRecord?type=12&pageNum={pageNum}&pageSize={pageSize}&title={title}&objectId={objectId}'
        };
        this.selectbscounsel();
        this.judgecity();
    }
    OutbreakresponsePage.prototype.ionViewDidLoad = function () {
    };
    /**
     * 判断是市还是区
     */
    OutbreakresponsePage.prototype.judgecity = function () {
        var _this = this;
        var url = 'baseOrganization/getOrganization?organizationId=' + this.ThePublicModule.USER_INFO.organizationId;
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.judgeid = data.return_data.label;
                _this.onLoadData();
            }
        });
    };
    /**
     * 获取统计数据
     */
    OutbreakresponsePage.prototype.selectbscounsel = function () {
        var _this = this;
        var url = 'bsCounselRecord/demandCount?type=12';
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.demanddata = data.return_data;
            }
            else {
                _this.demanddata = "";
                _this.messagedata = data.return_msg;
            }
        });
    };
    OutbreakresponsePage.prototype.onLoadData = function () {
        var _this = this;
        var url;
        if (this.judgeid == 2) {
            url = 'bsCounselRecord/getSonCounselRecord?type=12&orgId=' + this.ThePublicModule.USER_INFO.organizationId + '&pageNum=1&pageSize=10';
        }
        else {
            url = this.toolService.stringFormat(this.queryArgs.actionUrl, {
                pageNum: this.queryArgs.pageNum,
                pageSize: this.queryArgs.pageSize,
                title: this.searchStr,
                objectId: this.ThePublicModule.USER_INFO.organizationId
            });
        }
        var loading = this.loadingCtrl.create();
        loading.present();
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.counselList = data.return_data["list"];
                _this.queryArgs.dataLength = data.return_data['total'];
                _this.queryArgs.pageLength = data.return_data['pages'];
            }
            else {
                _this.toolService.showtoast(data.return_msg);
            }
            loading.dismiss();
        });
    };
    OutbreakresponsePage.prototype.onSearch = function (searchInput) {
        this.searchStr = searchInput.target.value.trim();
        this.onLoadData();
    };
    /**
     * 获取焦点
     */
    OutbreakresponsePage.prototype.jumppagelegal = function () {
        this.outlist = 'requirementslist';
    };
    /**
     *下拉刷新界面
     */
    OutbreakresponsePage.prototype.doRefresh = function (refresher) {
        this.onLoadData();
        //动态切换
        setTimeout(function () {
            refresher.complete();
            //toast提示
            // this.toolService.showtoast("加载成功!");
        }, 2000);
    };
    OutbreakresponsePage.prototype.minInfinite = function (infiniteScroll) {
        var _this = this;
        var url;
        if (this.judgeid == 2) {
            url = 'bsCounselRecord/getSonCounselRecord?type=12&orgId=' + this.ThePublicModule.USER_INFO.organizationId + '&pageNum=1&pageSize=10';
        }
        else {
            url = this.toolService.stringFormat(this.queryArgs.actionUrl, {
                pageNum: this.queryArgs.pageNum,
                pageSize: this.queryArgs.pageSize
            });
        }
        // 判读数据超过十条启动刷新
        if (this.queryArgs.dataLength > this.queryArgs.pageSize) {
            setTimeout(function () {
                // 加载完成关闭刷新
                infiniteScroll.complete();
                //增加index
                _this.queryArgs.pageNum++;
                _this.toolService.doGet(url, function (data) {
                    // 循环插入数据数组
                    for (var i = 0; i < data.return_data['list'].length; i++) {
                        _this.counselList.push(data.return_data['list'][i]);
                    }
                });
                // 判断刷新分页页码大小
                if (_this.queryArgs.pageNum >= _this.queryArgs.pageLength) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    infiniteScroll.enable(false);
                    //toast提示
                    _this.toolService.showtoast("已加载所有");
                }
            }, 2000);
        }
        else {
            // 加载全部数据禁用刷新
            infiniteScroll.enable(false);
            this.toolService.showtoast("已加载所有");
        }
    };
    OutbreakresponsePage.prototype.onSkipToDetail = function (id) {
        this.navCtrl.push("CounselDetailsPage", { id: id, isCheck: false });
    };
    OutbreakresponsePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-outbreakresponse',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\counsel\outbreakresponse\outbreakresponse.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>需求受理</ion-title>\n\n  </ion-navbar>\n\n  <ion-toolbar color="primary">\n\n    <ion-searchbar (input)="onSearch($event)" (ionFocus)="jumppagelegal()" placeholder="搜索.."></ion-searchbar>\n\n  </ion-toolbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingText="下拉刷新" refreshingSpinner="bubbles" refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n  <ion-segment [(ngModel)]="outlist" mode="md" style="background-color: white;">\n\n    <ion-segment-button value="requirementslist">需求列表\n\n    </ion-segment-button>\n\n    <ion-segment-button value="demandstatistics">需求统计\n\n    </ion-segment-button>\n\n  </ion-segment>\n\n  <div [ngSwitch]="outlist">\n\n    <ion-list *ngSwitchCase="\'requirementslist\'">\n\n      <ion-card *ngFor="let item of counselList">\n\n        <ion-card-header (click)="onSkipToDetail(item.id)">\n\n          {{item.title}}\n\n          <img class="status-img" src="assets/imgs/feedback/wcl.png" *ngIf="!item.isReply">\n\n          <img class="status-img" src="assets/imgs/feedback/ycl.png" *ngIf="item.isReply">\n\n        </ion-card-header>\n\n        <ion-card-content (click)="onSkipToDetail(item.id)">\n\n          <div class="content">\n\n            {{item.counselContent}}\n\n          </div>\n\n          <div class="company" *ngIf="!item.isAnonymity">\n\n            咨询企业：{{item.counselUserCompanyName}}\n\n          </div>\n\n        </ion-card-content>\n\n        <ion-row class="footer-div">\n\n          <ion-col text-right>\n\n            <ion-note class="time">\n\n              提交时间： {{item.counselDatetime | date:\'yyyy-MM-dd HH:mm:ss\'}}\n\n            </ion-note>\n\n          </ion-col>\n\n        </ion-row>\n\n      </ion-card>\n\n      <ion-infinite-scroll (ionInfinite)="minInfinite($event)">\n\n        <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="加载中...">\n\n        </ion-infinite-scroll-content>\n\n      </ion-infinite-scroll>\n\n    </ion-list>\n\n\n\n    <ion-list *ngSwitchCase="\'demandstatistics\'">\n\n      <div class="head" style="width: 46%;">\n\n        单位名称\n\n      </div>\n\n      <div class="head" style="width: 18%;">\n\n        需求总量\n\n      </div>\n\n      <div class="head" style="width: 18%;">\n\n        已处理\n\n      </div>\n\n      <div class="head" style="color: #ff5555;width: 18%;">\n\n        未处理\n\n      </div>\n\n\n\n      <div *ngIf="demanddata == \'\' " style="width: 80%;\n\n    padding-top: 30%;\n\n    height: 20px;\n\n    text-align: center;\n\n    color: #525252;\n\n    font-size: 16px;\n\n    margin-left: 10%;">\n\n        {{messagedata}}\n\n      </div>\n\n\n\n      <div style="width: 46%;height: 100%;float: left;">\n\n        <div class="context" style="color: #525252;padding-left: 2px;padding-top: 18px;"\n\n             *ngFor="let dem of demanddata">\n\n          {{dem.areaOrgName}}\n\n        </div>\n\n      </div>\n\n      <div style="width: 18%;height: 100%;float: left;">\n\n        <div class="context" style="color: #525252;padding-top: 20px;"\n\n             *ngFor="let de of demanddata">\n\n          {{de.all}}\n\n        </div>\n\n      </div>\n\n      <div style="width: 18%;height: 100%;float: left;">\n\n        <div class="context" style="color: #525252;padding-top: 20px;"\n\n             *ngFor="let de of demanddata">\n\n          {{de.replied}}\n\n        </div>\n\n      </div>\n\n      <div style="width: 18%;height: 100%;float: left;">\n\n        <div class="context" style="color: #ff5555;padding-top: 20px;"\n\n             *ngFor="let de of demanddata">\n\n          {{de.unanswered}}\n\n        </div>\n\n      </div>\n\n    </ion-list>\n\n  </div>\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\counsel\outbreakresponse\outbreakresponse.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__["i" /* ThePublicModule */]])
    ], OutbreakresponsePage);
    return OutbreakresponsePage;
}());

//# sourceMappingURL=outbreakresponse.js.map

/***/ }),

/***/ 970:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "OutbreakresponsePageModule", function() { return OutbreakresponsePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__outbreakresponse__ = __webpack_require__(1193);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var OutbreakresponsePageModule = /** @class */ (function () {
    function OutbreakresponsePageModule() {
    }
    OutbreakresponsePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__outbreakresponse__["a" /* OutbreakresponsePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__outbreakresponse__["a" /* OutbreakresponsePage */]),
            ],
        })
    ], OutbreakresponsePageModule);
    return OutbreakresponsePageModule;
}());

//# sourceMappingURL=outbreakresponse.module.js.map

/***/ })

});
//# sourceMappingURL=94.js.map