webpackJsonp([95],{

/***/ 1192:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CounselIndexPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the CounselIndexPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var CounselIndexPage = /** @class */ (function () {
    function CounselIndexPage(toolService, navCtrl, navParams, loadingCtrl, viewCtrl, alertCtl, ThePublicModule) {
        this.toolService = toolService;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.loadingCtrl = loadingCtrl;
        this.viewCtrl = viewCtrl;
        this.alertCtl = alertCtl;
        this.ThePublicModule = ThePublicModule;
        this.searchStr = '';
        this.counselList = [];
        //活动查询参数
        this.queryArgs = {
            pageNum: 1,
            pageSize: 15,
            dataLength: 0,
            pageLength: 0,
            actionUrl: 'bsCounselRecord/getCounselRecord?pageNum={pageNum}&pageSize={pageSize}&title={title}&type={type}'
        };
        //标签
        this.sounselid = '';
        //名称
        this.sounselname = '';
        this.onLoadData();
        this.selectsounselDictionary();
        this.isreplydata = [
            {
                title: '回复状态', 'content': [
                    { id: 1, name: '已回复' },
                    { id: 2, name: '未回复' }
                ]
            }
        ];
    }
    CounselIndexPage.prototype.ionViewDidLoad = function () {
    };
    CounselIndexPage.prototype.onLoadData = function () {
        var _this = this;
        var url = this.toolService.stringFormat(this.queryArgs.actionUrl, {
            pageNum: this.queryArgs.pageNum,
            pageSize: this.queryArgs.pageSize,
            title: this.searchStr,
            type: this.sounselid
        });
        var loading = this.loadingCtrl.create();
        loading.present();
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data["list"] != '') {
                _this.counselList = data.return_data["list"];
                _this.queryArgs.dataLength = data.return_data['total'];
                _this.queryArgs.pageLength = data.return_data['pages'];
            }
            else {
                _this.counselList = null;
                _this.toolService.showtoast(data.return_msg);
            }
            loading.dismiss();
        });
    };
    /**
     * 查询咨询类型
     */
    CounselIndexPage.prototype.selectsounselDictionary = function () {
        var _this = this;
        var url = 'baseDictionary/getDictionaryByCodeType?codeType=BS_COUNSEL_RECORD_TYPE&pageNum=1&pageSize=999';
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data != '') {
                _this.counselindexdata = [
                    { title: '咨询类型', 'content': data.return_data }
                ];
            }
        });
    };
    /**
     * 打开
     */
    CounselIndexPage.prototype.openscreening = function () {
        var screeningitem = document.getElementById("screening");
        screeningitem.style.display = 'block';
    };
    /**
     * 重置
     */
    CounselIndexPage.prototype.closevalue = function () {
        this.sounselid = '';
        this.sounselname = '';
        this.isreplyid = '';
        this.isreplyname = '';
        var screeningitem = document.getElementById("screening");
        screeningitem.style.display = 'none';
        this.onLoadData();
    };
    /**
     * 选择
     */
    CounselIndexPage.prototype.changelabel = function (item) {
        this.sounselid = item.codeValue;
        this.sounselname = item.codeName;
    };
    CounselIndexPage.prototype.isreplabel = function (item1) {
        this.isreplyid = item1.id;
        this.isreplyname = item1.name;
    };
    /**
     * 判断是否有数据
     */
    CounselIndexPage.prototype.judgenulldata = function (searchjudg) {
        if (searchjudg.value.length == 0) {
            this.searchStr = '';
            this.sounselid = '';
            this.sounselname = '';
            this.isreplyid = '';
            this.isreplyname = '';
            this.onLoadData();
        }
    };
    /**
     * 根据条件查询
     */
    CounselIndexPage.prototype.searpolicys = function (polisear) {
        this.searchStr = polisear.value;
        this.onLoadData();
    };
    /**
     *下拉刷新界面
     */
    CounselIndexPage.prototype.doRefresh = function (refresher) {
        this.onLoadData();
        //动态切换
        setTimeout(function () {
            refresher.complete();
            //toast提示
            // this.toolService.showtoast("加载成功!");
        }, 2000);
    };
    /**
     * 关闭筛选
     */
    CounselIndexPage.prototype.closescreening = function (item) {
        var screeningitem = document.getElementById("screening");
        if (item == 1) {
            this.sounselid = '';
            this.isreplyid = '';
            screeningitem.style.display = 'none';
        }
        else {
            if (this.isreplyid == null) {
                this.onLoadData();
            }
            else {
                this.selectstatusdata();
            }
            screeningitem.style.display = 'none';
        }
    };
    /**
     * 根据状态查询
     *
     */
    CounselIndexPage.prototype.selectstatusdata = function () {
        var _this = this;
        var url;
        if (this.isreplyid == 1) {
            url = 'bsCounselRecord/getCounselRecord?pageNum=1&pageSize=10&title=' + this.searchStr + '&type=' + this.sounselid + '&isReply=true';
        }
        else {
            url = 'bsCounselRecord/getCounselRecord?pageNum=1&pageSize=10&title=' + this.searchStr + '&type=' + this.sounselid + '&isReply=false';
        }
        var loading = this.loadingCtrl.create();
        loading.present();
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data["list"] != '') {
                _this.counselList = data.return_data["list"];
                _this.queryArgs.dataLength = data.return_data['total'];
                _this.queryArgs.pageLength = data.return_data['pages'];
            }
            else {
                _this.counselList = null;
                _this.toolService.showtoast(data.return_msg);
            }
            loading.dismiss();
        });
    };
    CounselIndexPage.prototype.minInfinite = function (infiniteScroll) {
        var _this = this;
        var url = this.toolService.stringFormat(this.queryArgs.actionUrl, {
            pageNum: this.queryArgs.pageNum,
            pageSize: this.queryArgs.pageSize
        });
        // 判读数据超过十条启动刷新
        if (this.queryArgs.dataLength > this.queryArgs.pageSize) {
            setTimeout(function () {
                // 加载完成关闭刷新
                infiniteScroll.complete();
                //增加index
                _this.queryArgs.pageNum++;
                _this.toolService.doGet(url, function (data) {
                    // 循环插入数据数组
                    for (var i = 0; i < data.return_data['list'].length; i++) {
                        _this.counselList.push(data.return_data['list'][i]);
                    }
                });
                // 判断刷新分页页码大小
                if (_this.queryArgs.pageNum >= _this.queryArgs.pageLength) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    infiniteScroll.enable(false);
                    //toast提示
                    _this.toolService.showtoast("已加载所有");
                }
            }, 2000);
        }
        else {
            // 加载全部数据禁用刷新
            infiniteScroll.enable(false);
            this.toolService.showtoast("已加载所有");
        }
    };
    CounselIndexPage.prototype.onSkipToDetail = function (id) {
        this.navCtrl.push("CounselDetailsPage", { id: id, isCheck: false });
    };
    CounselIndexPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-counsel-index',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\counsel\counsel-index\counsel-index.html"*/'<!--\n\n  Generated template for the CounselIndexPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>咨询回复</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingText="下拉刷新" refreshingSpinner="bubbles" refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n\n\n  <div style="width: 90%;margin-top: 15px;margin-left: 5%;height: 50px">\n\n    <ion-searchbar style="width: 65%;float: left;" #searchvalue\n\n                   placeholder="请输入想搜索的内容" (ionChange)="judgenulldata(searchvalue)"></ion-searchbar>\n\n    <div class="search_div">\n\n      <button ion-button block class="search_div_btn"\n\n              (click)="searpolicys(searchvalue)">搜索\n\n      </button>\n\n    </div>\n\n    <div style="" class="screening_div">\n\n      <button ion-button block class="screening_div_btn"\n\n              (click)="openscreening()">筛选<img style="width: 12px;" src="assets/imgs/screening.png">\n\n      </button>\n\n    </div>\n\n  </div>\n\n\n\n  <img *ngIf="counselList == null" style="width: 60%;margin-left: 20%;" src="assets/imgs/nulldata.png">\n\n\n\n  <ion-card *ngFor="let item of counselList">\n\n    <ion-card-header (click)="onSkipToDetail(item.id)">\n\n      {{item.title}}\n\n\n\n      <img class="status-img" src="assets/imgs/feedback/wcl.png" *ngIf="!item.isReply">\n\n      <img class="status-img" src="assets/imgs/feedback/ycl.png" *ngIf="item.isReply">\n\n    </ion-card-header>\n\n    <ion-card-content (click)="onSkipToDetail(item.id)">\n\n      <div class="content">\n\n        {{item.counselContent}}\n\n      </div>\n\n      <div class="company" *ngIf="!item.isAnonymity">\n\n        咨询单位：{{item.counselUserCompanyName}}\n\n      </div>\n\n    </ion-card-content>\n\n    <ion-row class="footer-div">\n\n      <ion-col text-right>\n\n        <ion-note class="time">\n\n          咨询时间： {{item.counselDatetime | date:\'yyyy-MM-dd HH:mm:ss\'}}\n\n        </ion-note>\n\n      </ion-col>\n\n    </ion-row>\n\n  </ion-card>\n\n\n\n  <ion-infinite-scroll (ionInfinite)="minInfinite($event)">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="加载中...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>\n\n\n\n\n\n<div style="width: 100%;position: absolute;height: 100%;z-index: 9999999;display: none;" id="screening">\n\n  <div style="width: 100%;height: 100%;z-index: 999999999;opacity: 0.5;background-color: #7F7F7F;"></div>\n\n  <div style="width: 100%;position: absolute;background-color:white;z-index: 9999999;border-radius: 15px 15px 0 0;\n\n    bottom: 0px;height: 60%;overflow: auto;box-shadow: 1px -1px 12px #666;">\n\n    <div style="width: 100%;height: 35px;position: fixed;background-color: white;border-radius: 15px 15px 0 0;">\n\n      <div style="width: 60%;float: left;height: 35px;color: #7F7F7F;padding-left: 20px;padding-top: 8px;">筛选全部</div>\n\n      <div style="width: 40%;float: right;height: 35px;text-align: right;padding-top: 8px;padding-right: 20px;">\n\n        <img style="width: 20px;height: 20px;" src="assets/imgs/cancel.png" (click)="closescreening(1)">\n\n      </div>\n\n    </div>\n\n    <div style="width: 100%;height: 1px;background-color: #F6F6F6;margin-top: 35px;"></div>\n\n    <div style="width: 100%;margin-bottom: 50px;">\n\n      <div style="width: 100%;" *ngFor="let sous of counselindexdata">\n\n        <div style="width: 100%;font-size: 13px;color: #A5A5A5;padding-left: 20px;margin-top: 10px">{{sous.title}}\n\n        </div>\n\n        <div class="categories">\n\n          <ion-grid>\n\n            <ion-row wrap style="margin-left: 20px;margin-right: 20px;margin-bottom: 10px;">\n\n              <ion-col text-center tappable col-4="" *ngFor="let cols of sous.content"\n\n                       [class]="cols.codeName==sounselname?\'active\':\'\'"\n\n                       (click)="changelabel(cols)">\n\n                {{cols.codeName}}\n\n              </ion-col>\n\n            </ion-row>\n\n          </ion-grid>\n\n        </div>\n\n      </div>\n\n      <div style="width: 100%;" *ngFor="let isrep of isreplydata">\n\n        <div style="width: 100%;font-size: 13px;color: #A5A5A5;padding-left: 20px;margin-top: 10px">{{isrep.title}}\n\n        </div>\n\n        <div class="categories">\n\n          <ion-grid>\n\n            <ion-row wrap style="margin-left: 20px;margin-right: 20px;margin-bottom: 10px;">\n\n              <ion-col text-center tappable col-4="" *ngFor="let rep of isrep.content"\n\n                       [class]="rep.name==isreplyname?\'active\':\'\'"\n\n                       (click)="isreplabel(rep)">\n\n                {{rep.name}}\n\n              </ion-col>\n\n            </ion-row>\n\n          </ion-grid>\n\n        </div>\n\n      </div>\n\n      <div style="width: 100%;height: 56px;position: fixed;bottom: 0px;background-color: white;">\n\n        <button ion-button\n\n                style=" font-size: 1.1em;height: 30px;width: 40%;background-color: #7F7F7F;color: white;float: left;margin-left: 5%;margin-top: 13px;"\n\n                (click)="closevalue()">重置\n\n        </button>\n\n        <button ion-button\n\n                style="margin-right: 5%;margin-top: 13px;font-size: 1.1em;height: 30px;width: 40%;background-color: red;color: white;float: right;"\n\n                (click)="closescreening(2)">确定\n\n        </button>\n\n      </div>\n\n    </div>\n\n  </div>\n\n</div>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\counsel\counsel-index\counsel-index.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["i" /* ThePublicModule */]])
    ], CounselIndexPage);
    return CounselIndexPage;
}());

//# sourceMappingURL=counsel-index.js.map

/***/ }),

/***/ 969:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CounselIndexPageModule", function() { return CounselIndexPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__counsel_index__ = __webpack_require__(1192);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CounselIndexPageModule = /** @class */ (function () {
    function CounselIndexPageModule() {
    }
    CounselIndexPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__counsel_index__["a" /* CounselIndexPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__counsel_index__["a" /* CounselIndexPage */]),
            ],
        })
    ], CounselIndexPageModule);
    return CounselIndexPageModule;
}());

//# sourceMappingURL=counsel-index.module.js.map

/***/ })

});
//# sourceMappingURL=95.js.map