webpackJsonp([100],{

/***/ 1186:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CounselServiceDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__ = __webpack_require__(47);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the CounselServiceDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var CounselServiceDetailPage = /** @class */ (function () {
    function CounselServiceDetailPage(navCtrl, navParams, toolService, loadingController, sanitizr) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolService = toolService;
        this.loadingController = loadingController;
        this.sanitizr = sanitizr;
        //图片地址
        this.image_url = __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["d" /* IMAGEURL */];
        this.cousel = {
            "counselContent": "",
            "objectId": "",
            "title": "",
            "type": "6",
            "objectName": ""
        };
        this.couselList = [];
        this.showAlert = {
            isShow: false
        };
        this.showHandle = {
            isShow: false
        };
        //活动查询参数
        this.queryArgs = {
            pageNum: 1,
            pageSize: 15,
            dataLength: 0,
            pageLength: 0,
            actionUrl: 'bsCounselRecord/getCounselRecord?type=6&pageNum={pageNum}&pageSize={pageSize}&objectId={objectId}'
        };
        this.companyId = this.navParams.get("id");
        this.imageBaseUrl = __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["d" /* IMAGEURL */];
        this.selectmangedata();
    }
    CounselServiceDetailPage.prototype.ionViewDidLoad = function () {
        this.onLoadData();
        this.onLoadReply();
    };
    CounselServiceDetailPage.prototype.onLoadData = function () {
        var _this = this;
        var url = 'baseCompany/getCompanyById?id=' + this.companyId;
        var loading = this.loadingController.create();
        loading.present();
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data != '') {
                _this.serviceCenter = data.return_data;
                if (_this.serviceCenter.sizes != null) {
                    _this.setSize(_this.serviceCenter.sizes);
                }
                if (_this.serviceCenter.businessType != null) {
                    _this.setTypes(_this.serviceCenter.businessType);
                }
                if (_this.serviceCenter.businessCategoryIds != null) {
                    _this.setCategoryTypes(_this.serviceCenter.businessCategoryIds);
                }
                loading.dismiss();
            }
            else {
                loading.dismiss();
                _this.toolService.showtoast(data.return_msg);
            }
        }, function (error) {
            loading.dismiss();
        });
    };
    CounselServiceDetailPage.prototype.onLoadReply = function () {
        var _this = this;
        var url = this.toolService.stringFormat(this.queryArgs.actionUrl, {
            pageNum: this.queryArgs.pageNum,
            pageSize: this.queryArgs.pageSize,
            objectId: this.companyId
        });
        var loading = this.loadingController.create();
        loading.present();
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.couselList = data.return_data["list"];
                _this.queryArgs.dataLength = data.return_data['total'];
                _this.queryArgs.pageLength = data.return_data['pages'];
                loading.dismiss();
            }
            else {
                loading.dismiss();
                _this.toolService.showtoast(data.return_msg);
            }
        }, function (error) {
            loading.dismiss();
        });
    };
    CounselServiceDetailPage.prototype.setSize = function (sizes) {
        var _this = this;
        var sizeIdList = sizes.split(',');
        var url = 'bsCategoryDictionary/getPageCategoryDictionary?type=5&pageNum=1&pageSize=100';
        this.toolService.doGet(url, function (data) {
            if (data.return_code = '000000') {
                var sizesList = data.return_data.list;
                var nameList = [];
                var categoryListUse = sizesList.filter(function (f) {
                    return sizeIdList.indexOf(f.id.toString()) >= 0;
                });
                categoryListUse.forEach(function (element) {
                    nameList.push(element.name);
                });
                _this.serviceCenter.sizesName = nameList.join('/');
            }
            else {
                _this.toolService.showtoast(data.return_msg);
            }
        });
    };
    /**
     * 查询服务
     */
    CounselServiceDetailPage.prototype.selectmangedata = function () {
        var _this = this;
        var url = 'bsServiceProduct/getServiceProduct?status=1&companyId=' + this.companyId + '&pageNum=1&pageSize=10';
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                _this.counseldata = data.return_data.list;
            }
            else {
                _this.counseldata = null;
            }
        });
    };
    CounselServiceDetailPage.prototype.jumpmanagementdetails = function (item) {
        this.navCtrl.push('ServiceproductdetailsPage', { servicedata: item });
    };
    CounselServiceDetailPage.prototype.setTypes = function (businessType) {
        var _this = this;
        var url = 'baseDictionary/getDictionaryByCodeType?codeType=BASE_COMPANY_BUSINESS_TYPE&codeValue=' + businessType;
        this.toolService.doGet(url, function (data) {
            if (data.return_code = '000000') {
                if (data.return_data.length > 0) {
                    _this.serviceCenter.businessTypeName = data.return_data[0].codeName;
                }
                else {
                    _this.serviceCenter.businessTypeName = "无";
                }
            }
            else {
                _this.toolService.showtoast(data.return_msg);
            }
        });
    };
    CounselServiceDetailPage.prototype.setCategoryTypes = function (businessCategoryIds) {
        var _this = this;
        var idList = businessCategoryIds.split(',');
        var url = 'bsCategoryDictionary/getPageCategoryDictionary?type=1&pageNum=1&pageSize=100';
        this.toolService.doGet(url, function (data) {
            if (data.return_code = '000000') {
                var categoryList = data.return_data.list;
                var nameList = [];
                var categoryListUse = categoryList.filter(function (f) {
                    return idList.indexOf(f.id.toString()) >= 0;
                });
                categoryListUse.forEach(function (element) {
                    nameList.push(element.name);
                });
                _this.serviceCenter.businessCategoryName = nameList.join('/');
            }
            else {
                _this.toolService.showtoast(data.return_msg);
            }
        });
    };
    /**
     *下拉刷新界面
     */
    CounselServiceDetailPage.prototype.doRefresh = function (refresher) {
        this.onLoadReply();
        //动态切换
        setTimeout(function () {
            refresher.complete();
            //toast提示
            // this.toolService.showtoast("加载成功!");
        }, 2000);
    };
    CounselServiceDetailPage.prototype.minInfinite = function (infiniteScroll) {
        var _this = this;
        var url = this.toolService.stringFormat(this.queryArgs.actionUrl, {
            pageNum: this.queryArgs.pageNum,
            pageSize: this.queryArgs.pageSize
        });
        // 判读数据超过十条启动刷新
        if (this.queryArgs.dataLength > this.queryArgs.pageSize) {
            setTimeout(function () {
                // 加载完成关闭刷新
                infiniteScroll.complete();
                //增加index
                _this.queryArgs.pageNum++;
                _this.toolService.doGet(url, function (data) {
                    // 循环插入数据数组
                    for (var i = 0; i < data.return_data['list'].length; i++) {
                        _this.couselList.push(data.return_data['list'][i]);
                    }
                });
                // 判断刷新分页页码大小
                if (_this.queryArgs.pageNum >= _this.queryArgs.pageLength) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    infiniteScroll.enable(false);
                    //toast提示
                    _this.toolService.showtoast("已加载所有");
                }
            }, 2000);
        }
        else {
            // 加载全部数据禁用刷新
            infiniteScroll.enable(false);
            this.toolService.showtoast("已加载所有");
        }
    };
    CounselServiceDetailPage.prototype.onSendQus = function () {
        this.navCtrl.push('CounselServiceReleasePage', { conseltype: 6, conselid: this.companyId });
        // if (this.cousel.title == "") {
        //   this.toolService.showtoast('请输入咨询标题')
        // } else if (this.cousel.counselContent == "") {
        //   this.toolService.showtoast('请输入咨询标题')
        // } else {
        //   var url = 'bsCounselRecord/addCounselRecord';
        //
        //   var loading = this.loadingController.create({});
        //   loading.present();
        //
        //   this.cousel.objectId = this.serviceCenter.id;
        //   this.cousel.objectName = this.serviceCenter.name;
        //   this.cousel.objectId = this.companyId;
        //
        //   console.log('请求参数' + JSON.stringify(this.cousel));
        //   this.toolService.doPost(url, this.cousel, data => {
        //     if (data.return_code == '000000') {
        //       loading.dismiss();
        //       //显示呈报
        //       this.showAlert.isShow = true;
        //       this.showHandle.isShow = false;
        //       //提示消失
        //       setTimeout((showAlert: any) => {
        //         this.onGoBack();
        //       }, 3000, this.showAlert);
        //     } else {
        //       loading.dismiss();
        //       this.toolService.showtoast(data.return_msg);
        //     }
        //   }, error => {
        //     loading.dismiss();
        //   });
        // }
    };
    CounselServiceDetailPage.prototype.onGoBack = function () {
        if (this.showAlert.isShow) {
            this.showAlert.isShow = false;
            this.onLoadReply();
        }
    };
    CounselServiceDetailPage.prototype.onChangeInpting = function (result) {
        this.isContentInputing = result;
    };
    CounselServiceDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-counsel-service-detail',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\counsel-service\counsel-service-detail\counsel-service-detail.html"*/'<!--\n\n  Generated template for the CounselServiceDetailPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>机构咨询</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <div *ngIf="serviceCenter != null">\n\n    <div *ngFor="let img of serviceCenter">\n\n      <ion-card class="header-card">\n\n        <ion-item>\n\n          <ion-avatar item-start>\n\n            <img src="{{imageBaseUrl}}/{{img.logo}}">\n\n          </ion-avatar>\n\n          <h2>{{img.name}}</h2>\n\n          <p>地址：{{img.address}}</p>\n\n          <p>联系电话：{{img.phone}}</p>\n\n        </ion-item>\n\n      </ion-card>\n\n\n\n      <ion-card class="header-card">\n\n        <div class="title">\n\n          <span class="splat"></span>\n\n          <span class="name">公司信息</span>\n\n        </div>\n\n        <div class="content-div">\n\n          <span class="left-span"> 规模：</span>\n\n          <span class="right-span">{{img.sizesName}}</span>\n\n        </div>\n\n        <div class="content-div">\n\n          <span class="left-span"> 类型：</span>\n\n          <span class="right-span">{{img.businessTypeName}}</span>\n\n        </div>\n\n        <div class="content-div">\n\n          <span class="left-span"> 行业：</span>\n\n          <span class="right-span">{{img.businessCategoryName}}</span>\n\n        </div>\n\n        <div class="content-div">\n\n          <span class="left-span"> 法人：</span>\n\n          <span class="right-span">{{img.legalPerson}}</span>\n\n        </div>\n\n        <div class="content-div">\n\n          <span class="left-span"> 邮箱：</span>\n\n          <span class="right-span">{{img.email}}</span>\n\n        </div>\n\n      </ion-card>\n\n      <div style="width: 100%;height: 1px;background-color: #f1f3fa;"></div>\n\n\n\n      <ion-card class="header-card">\n\n        <div class="title">\n\n          <span class="splat"></span>\n\n          <span class="name">公司介绍</span>\n\n        </div>\n\n        <div class="content-div">\n\n          <ion-card-content [innerHTML]=\'sanitizr.bypassSecurityTrustHtml(img.introduction)\'>\n\n          </ion-card-content>\n\n        </div>\n\n      </ion-card>\n\n      <div style="width: 100%;height: 1px;background-color: #f1f3fa;"></div>\n\n\n\n\n\n      <ion-card class="header-card">\n\n        <div class="title">\n\n          <span class="splat"></span>\n\n          <span class="name">服务产品</span>\n\n        </div>\n\n      </ion-card>\n\n      <div class="counseltion">\n\n        <ion-grid>\n\n          <ion-row wrap>\n\n            <ion-col text-center tappable col-6 *ngFor="let med of counseldata"\n\n                     (click)="jumpmanagementdetails(med)">\n\n              <img src="{{image_url+med.mainImg}}">\n\n              <span class="title">{{med.name}}</span>\n\n            </ion-col>\n\n          </ion-row>\n\n        </ion-grid>\n\n      </div>\n\n\n\n      <!--<div class="split-line"></div>-->\n\n      <!--<div class="counsel-div">-->\n\n      <!--<div class="title">-->\n\n      <!--<span class="splat"></span>-->\n\n      <!--<span class="name">咨询详情</span>-->\n\n      <!--</div>-->\n\n      <!--<ion-card class="counsel-card" *ngFor="let item of couselList">-->\n\n      <!--<div class="user">-->\n\n      <!--{{item.counselUserName}}-->\n\n      <!--</div>-->\n\n      <!--<div class="time">-->\n\n      <!--{{item.counselDatetime | date:\'yyyy-MM-dd HH:mm:ss\'}}-->\n\n      <!--</div>-->\n\n      <!--<div class="content">-->\n\n      <!--【{{item.title}}】 {{item.counselContent}}-->\n\n\n\n      <!--<div class="reply-div" *ngIf="item.isReply">-->\n\n      <!--<div class="reply-user"> 中心回复：</div>-->\n\n      <!--<div class="reply-time">-->\n\n      <!--{{item.replyDatetime | date:\'yyyy-MM-dd HH:mm:ss\'}}-->\n\n      <!--</div>-->\n\n      <!--<div class="reply-content"> {{item.replyContent}}</div>-->\n\n      <!--</div>-->\n\n      <!--</div>-->\n\n      <!--</ion-card>-->\n\n      <!--</div>-->\n\n    </div>\n\n  </div>\n\n\n\n\n\n  <ion-fab class="animated bounceInUp" style="margin-bottom: 50px;" right bottom (click)="onSendQus()">\n\n    <button ion-fab color="light" class="btn_badge">\n\n      <img style="width: 40px;height: 40px;" src="assets/imgs/advisory.png">\n\n    </button>\n\n  </ion-fab>\n\n\n\n  <!--<ion-infinite-scroll (ionInfinite)="minInfinite($event)">-->\n\n    <!--<ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="加载中...">-->\n\n    <!--</ion-infinite-scroll-content>-->\n\n  <!--</ion-infinite-scroll>-->\n\n<!--</ion-content>-->\n\n<!--<div class="footer-div" padding>-->\n\n<!--<button ion-button block color="danger" (click)="showHandle.isShow=true">咨询</button>-->\n\n<!--</div>-->\n\n\n\n<!--<div [class]="showHandle.isShow?\'success-alert\':\'success-alert hidden\'" class="success-alert">-->\n\n<!--<div class="alert-bg" (click)="showHandle.isShow=false"></div>-->\n\n<!--<div class="alert-bottom-div" [ngClass]="{\'inputing\': isContentInputing}">-->\n\n<!--<div class="title">服务咨询</div>-->\n\n<!--<div class="title-content">-->\n\n<!--<input type="text" [(ngModel)]="cousel.title" placeholder="请输入咨询标题">-->\n\n<!--</div>-->\n\n<!--<div class="body-content">-->\n\n<!--<textarea [(ngModel)]="cousel.counselContent" placeholder="请输入咨询详情" (focus)="onChangeInpting(true)"-->\n\n<!--(blur)="onChangeInpting(false)">-->\n\n<!--</textarea>-->\n\n<!--</div>-->\n\n<!--<div class="footer" padding>-->\n\n<!--<button ion-button block color="danger" (click)="onSendQus()">提交</button>-->\n\n<!--</div>-->\n\n<!--</div>-->\n\n<!--</div>-->\n\n\n\n<!--<div [class]="showAlert.isShow?\'success-alert\':\'success-alert hidden\'" class="success-alert" (click)="onGoBack()">-->\n\n  <!--<div class="alert-bg"></div>-->\n\n  <!--<div class="alert-img-div">-->\n\n    <!--<img src="../../../assets/imgs/OA/success-alert.png">-->\n\n  <!--</div>-->\n\n<!--</div>-->\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\counsel-service\counsel-service-detail\counsel-service-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__["c" /* DomSanitizer */]])
    ], CounselServiceDetailPage);
    return CounselServiceDetailPage;
}());

//# sourceMappingURL=counsel-service-detail.js.map

/***/ }),

/***/ 962:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CounselServiceDetailPageModule", function() { return CounselServiceDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__counsel_service_detail__ = __webpack_require__(1186);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CounselServiceDetailPageModule = /** @class */ (function () {
    function CounselServiceDetailPageModule() {
    }
    CounselServiceDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__counsel_service_detail__["a" /* CounselServiceDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__counsel_service_detail__["a" /* CounselServiceDetailPage */]),
            ],
        })
    ], CounselServiceDetailPageModule);
    return CounselServiceDetailPageModule;
}());

//# sourceMappingURL=counsel-service-detail.module.js.map

/***/ })

});
//# sourceMappingURL=100.js.map