webpackJsonp([101],{

/***/ 1185:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CounselServiceCreatePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the CounselServiceCreatePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var CounselServiceCreatePage = /** @class */ (function () {
    function CounselServiceCreatePage(navCtrl, navParams, toolService, loadingController, thePublicModule, alertController) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolService = toolService;
        this.loadingController = loadingController;
        this.thePublicModule = thePublicModule;
        this.alertController = alertController;
        this.searchStr = '';
        this.serviceCenterList = [];
        this.numrecord = 1;
        this.pageSize = 10;
        this.imageBaseUrl = __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["d" /* IMAGEURL */];
    }
    CounselServiceCreatePage.prototype.ionViewDidLoad = function () {
    };
    CounselServiceCreatePage.prototype.ionViewDidEnter = function () {
        this.onLoadData();
        this.selectCategoryDictionary();
    };
    /**
     * 查询行业
     */
    CounselServiceCreatePage.prototype.selectCategoryDictionary = function () {
        var _this = this;
        var url = 'bsCategoryDictionary/getPageCategoryDictionary?type=1&pageNum=1&pageSize=999';
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                _this.Dictionarydata = [
                    { title: '行业', 'content': data.return_data.list }
                ];
            }
        });
    };
    /**
     * 选择
     */
    CounselServiceCreatePage.prototype.changelabel = function (item) {
        this.counselid = item.id;
        this.sounselname = item.name;
    };
    /**
     * 查询列表
     */
    CounselServiceCreatePage.prototype.onLoadData = function () {
        var _this = this;
        var url = 'serviceOrg/getPageCompany?name&status=1&isService=true&pageNum=1&pageSize=10';
        var loading = this.loadingController.create();
        loading.present();
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                loading.dismiss();
                _this.numrecord = 1;
                _this.serviceCenterList = data.return_data.list;
                _this.dataLength = data.return_data['total'];
                _this.pageLength = data.return_data['pages'];
            }
            else {
                loading.dismiss();
            }
        }, function (error) {
            loading.dismiss();
        });
    };
    /**
     * 重置
     */
    CounselServiceCreatePage.prototype.closevalue = function () {
        this.counselid = '';
        this.sounselname = '';
        this.onLoadData();
        var screeningitem = document.getElementById("screening");
        screeningitem.style.display = 'none';
    };
    /**
     * 打开
     */
    CounselServiceCreatePage.prototype.openscreening = function () {
        var screeningitem = document.getElementById("screening");
        screeningitem.style.display = 'block';
    };
    /**
     * 判断是否有数据
     */
    CounselServiceCreatePage.prototype.judgenulldata = function (searchjudg) {
        if (searchjudg.value.length == 0) {
            this.onLoadData();
        }
    };
    /**
     * 关闭筛选
     */
    CounselServiceCreatePage.prototype.closescreening = function (item) {
        var _this = this;
        var screeningitem = document.getElementById("screening");
        if (item == 1) {
            this.counselid = '';
            screeningitem.style.display = 'none';
        }
        else {
            var loading_1 = this.loadingController.create();
            loading_1.present();
            var url = 'serviceOrg/getPageCompany?isService=true&status=1&businessCategoryIds=' + this.counselid + '&pageNum=1&pageSize=10';
            this.toolService.doGet(url, function (data) {
                if (data.return_code == '000000' && data.return_data.list != '') {
                    _this.serviceCenterList = data.return_data.list;
                    _this.dataLength = data.return_data['total'];
                    // 消息记录数组最大页面赋值
                    _this.pageLength = data.return_data['pages'];
                    loading_1.dismiss();
                    _this.numrecord = 1;
                    screeningitem.style.display = 'none';
                }
                else {
                    loading_1.dismiss();
                    _this.toolService.showtoast("没查到数据");
                }
            }, function (error) {
                loading_1.dismiss();
            });
        }
    };
    /**
     * 根据条件查询
     */
    CounselServiceCreatePage.prototype.searpolicys = function (polisear) {
        var _this = this;
        var loading = this.loadingController.create({});
        loading.present();
        var url = 'serviceOrg/getPageCompany?name=' + polisear.value + '&isService=true&status=1&pageNum=1&pageSize=10';
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                loading.dismiss();
                _this.serviceCenterList = data.return_data.list;
                _this.dataLength = data.return_data['total'];
                // 消息记录数组最大页面赋值
                _this.pageLength = data.return_data['pages'];
                _this.numrecord = 1;
            }
            else {
                loading.dismiss();
                _this.toolService.showtoast("没查到数据");
            }
        }, function (error) {
            loading.dismiss();
        });
    };
    /**
     *下拉刷新界面
     */
    CounselServiceCreatePage.prototype.doRefresh = function (refresher) {
        this.onLoadData();
        //动态切换
        setTimeout(function () {
            refresher.complete();
        }, 2000);
    };
    CounselServiceCreatePage.prototype.minInfinite = function (infiniteScroll, content) {
        var _this = this;
        setTimeout(function () {
            // 加载完成关闭刷新
            infiniteScroll.complete();
            // 判读数据超过十条启动刷新
            if (_this.dataLength > _this.pageSize) {
                // setTimeout(() => {
                //增加index
                _this.numrecord++;
                // 判断刷新分页页码大小
                if (_this.numrecord > _this.pageLength) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    infiniteScroll.enable(false);
                    //toast提示
                    _this.toolService.showtoast("已加载所有");
                }
                else {
                    var url = 'serviceOrg/getPageCompany?isService=true&status=1&name=' + content.value + '&businessCategoryIds=' + _this.counselid + '&pageNum=' + _this.numrecord + '&pageSize=' + _this.pageSize;
                    _this.toolService.doGet(url, function (data) {
                        if (data.return_code == '000000') {
                            // 加载完成关闭刷新
                            infiniteScroll.complete();
                            // 循环插入数据数组
                            for (var i = 0; i < data.return_data['list'].length; i++) {
                                _this.serviceCenterList.push(data.return_data['list'][i]);
                            }
                        }
                    });
                }
            }
            else {
                // 加载全部数据禁用刷新
                _this.toolService.showtoast("已加载所有");
            }
        }, 2000);
    };
    CounselServiceCreatePage.prototype.onSkipToDetail = function (id) {
        this.navCtrl.push("CounselDetailsPage", { id: id, isCheck: true });
    };
    CounselServiceCreatePage.prototype.onSkipToServiceDetail = function (id) {
        this.navCtrl.push("CounselServiceDetailPage", { id: id, isCheck: true });
    };
    CounselServiceCreatePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-counsel-service-create',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\counsel-service\counsel-service-create\counsel-service-create.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>服务咨询</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingText="下拉刷新" refreshingSpinner="bubbles" refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n\n\n  <div style="width: 90%;margin-top: 15px;margin-left: 5%;height: 50px">\n\n    <ion-searchbar style="width: 65%;float: left;" #searchvalue\n\n                   placeholder="请输入服务机构名称" (ionChange)="judgenulldata(searchvalue)"></ion-searchbar>\n\n    <div class="search_div">\n\n      <button ion-button block class="search_div_btn"\n\n              (click)="searpolicys(searchvalue)">搜索\n\n      </button>\n\n    </div>\n\n    <div style="" class="screening_div">\n\n      <button ion-button block class="screening_div_btn"\n\n              (click)="openscreening()">筛选<img style="width: 12px;" src="assets/imgs/screening.png">\n\n      </button>\n\n    </div>\n\n  </div>\n\n  <img *ngIf="serviceCenterList == null" style="width: 60%;margin-left: 20%;" src="assets/imgs/nulldata.png">\n\n\n\n  <ion-card *ngFor="let item of serviceCenterList" class="service-cneter" (click)="onSkipToServiceDetail(item.id)">\n\n    <ion-item>\n\n      <ion-avatar item-start>\n\n        <img src="{{imageBaseUrl}}/{{item.logo}}">\n\n      </ion-avatar>\n\n      <h2>{{item.name}}</h2>\n\n      <div class="remark">{{item.introduction}}</div>\n\n      <p class="address">地址：{{item.address}}</p>\n\n    </ion-item>\n\n  </ion-card>\n\n  <ion-infinite-scroll (ionInfinite)="minInfinite($event,searchvalue)">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="加载中...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>\n\n\n\n\n\n<div style="width: 100%;position: absolute;height: 100%;z-index: 9999999;display: none;" id="screening">\n\n  <div style="width: 100%;height: 100%;z-index: 999999999;opacity: 0.5;background-color: #7F7F7F;"></div>\n\n  <div style="width: 100%;position: absolute;background-color:white;z-index: 9999999;border-radius: 15px 15px 0 0;\n\n    bottom: 0px;height: 60%;overflow: auto;box-shadow: 1px -1px 12px #666;">\n\n    <div style="width: 100%;height: 35px;position: fixed;background-color: white;border-radius: 15px 15px 0 0;">\n\n      <div style="width: 60%;float: left;height: 35px;color: #7F7F7F;padding-left: 20px;padding-top: 8px;">筛选全部</div>\n\n      <div style="width: 40%;float: right;height: 35px;text-align: right;padding-top: 8px;padding-right: 20px;">\n\n        <img style="width: 20px;height: 20px;" src="assets/imgs/cancel.png" (click)="closescreening(1)">\n\n      </div>\n\n    </div>\n\n    <div style="width: 100%;height: 1px;background-color: #F6F6F6;margin-top: 35px;"></div>\n\n    <div style="width: 100%;margin-bottom: 50px;">\n\n      <div style="width: 100%;" *ngFor="let policys of Dictionarydata">\n\n        <div style="width: 100%;font-size: 13px;color: #A5A5A5;padding-left: 20px;margin-top: 10px">{{policys.title}}\n\n        </div>\n\n        <div class="categories">\n\n          <ion-grid>\n\n            <ion-row wrap style="margin-left: 20px;margin-right: 20px;margin-bottom: 10px;">\n\n              <ion-col text-center tappable col-4="" *ngFor="let cols of policys.content"\n\n                       [class]="cols.id==counselid?\'active\':\'\'"\n\n                       (click)="changelabel(cols)">\n\n                {{cols.name}}\n\n              </ion-col>\n\n            </ion-row>\n\n          </ion-grid>\n\n        </div>\n\n      </div>\n\n      <div style="width: 100%;height: 56px;position: fixed;bottom: 0px;background-color: white;">\n\n        <button ion-button\n\n                style=" font-size: 1.1em;height: 30px;width: 40%;background-color: #7F7F7F;color: white;float: left;margin-left: 5%;margin-top: 13px;"\n\n                (click)="closevalue()">重置\n\n        </button>\n\n        <button ion-button\n\n                style="margin-right: 5%;margin-top: 13px;font-size: 1.1em;height: 30px;width: 40%;background-color: red;color: white;float: right;"\n\n                (click)="closescreening(2)">确定\n\n        </button>\n\n      </div>\n\n    </div>\n\n  </div>\n\n</div>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\counsel-service\counsel-service-create\counsel-service-create.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["i" /* ThePublicModule */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"]])
    ], CounselServiceCreatePage);
    return CounselServiceCreatePage;
}());

//# sourceMappingURL=counsel-service-create.js.map

/***/ }),

/***/ 961:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CounselServiceCreatePageModule", function() { return CounselServiceCreatePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__counsel_service_create__ = __webpack_require__(1185);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CounselServiceCreatePageModule = /** @class */ (function () {
    function CounselServiceCreatePageModule() {
    }
    CounselServiceCreatePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__counsel_service_create__["a" /* CounselServiceCreatePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__counsel_service_create__["a" /* CounselServiceCreatePage */]),
            ],
        })
    ], CounselServiceCreatePageModule);
    return CounselServiceCreatePageModule;
}());

//# sourceMappingURL=counsel-service-create.module.js.map

/***/ })

});
//# sourceMappingURL=101.js.map