webpackJsonp([103],{

/***/ 1183:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CounselPlatformCreatePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the CounselPlatformCreatePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var CounselPlatformCreatePage = /** @class */ (function () {
    function CounselPlatformCreatePage(navCtrl, navParams, modalCtrl, toolService, loadingController, alertController, thePublicModule) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modalCtrl = modalCtrl;
        this.toolService = toolService;
        this.loadingController = loadingController;
        this.alertController = alertController;
        this.thePublicModule = thePublicModule;
        this.defaultSegment = 'createCounsel';
        this.cousel = {
            "counselContent": "",
            "objectId": "",
            "title": "",
            "type": "4",
            "objectName": ""
        };
        this.couselList = [];
        this.showAlert = {
            isShow: false
        };
        //活动查询参数
        this.queryArgs = {
            pageNum: 1,
            pageSize: 15,
            dataLength: 0,
            pageLength: 0,
            actionUrl: 'bsCounselRecord/getCounselRecord?type=4&pageNum={pageNum}&pageSize={pageSize}&counselUserId={userId}'
        };
    }
    CounselPlatformCreatePage.prototype.ionViewDidLoad = function () {
        this.onLoadServiceCenter();
    };
    CounselPlatformCreatePage.prototype.onLoadData = function () {
        var _this = this;
        var url = this.toolService.stringFormat(this.queryArgs.actionUrl, { pageNum: this.queryArgs.pageNum, pageSize: this.queryArgs.pageSize, userId: this.thePublicModule.USER_INFO.userId });
        var loading = this.loadingController.create();
        loading.present();
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.couselList = data.return_data["list"];
                _this.queryArgs.dataLength = data.return_data['total'];
                _this.queryArgs.pageLength = data.return_data['pages'];
            }
            else {
                _this.toolService.showtoast(data.return_msg);
            }
            loading.dismiss();
        });
    };
    CounselPlatformCreatePage.prototype.segmentChanged = function (e) {
        if (this.defaultSegment != 'opinion') {
            this.onLoadData();
        }
    };
    /**
   *下拉刷新界面
   */
    CounselPlatformCreatePage.prototype.doRefresh = function (refresher) {
        this.onLoadData();
        //动态切换
        setTimeout(function () {
            refresher.complete();
            //toast提示
            // this.toolService.showtoast("加载成功!");
        }, 2000);
    };
    CounselPlatformCreatePage.prototype.minInfinite = function (infiniteScroll) {
        var _this = this;
        var url = this.toolService.stringFormat(this.queryArgs.actionUrl, { pageNum: this.queryArgs.pageNum, pageSize: this.queryArgs.pageSize });
        // 判读数据超过十条启动刷新
        if (this.queryArgs.dataLength > this.queryArgs.pageSize) {
            setTimeout(function () {
                // 加载完成关闭刷新
                infiniteScroll.complete();
                //增加index
                _this.queryArgs.pageNum++;
                _this.toolService.doGet(url, function (data) {
                    // 循环插入数据数组
                    for (var i = 0; i < data.return_data['list'].length; i++) {
                        _this.couselList.push(data.return_data['list'][i]);
                    }
                });
                // 判断刷新分页页码大小
                if (_this.queryArgs.pageNum >= _this.queryArgs.pageLength) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    infiniteScroll.enable(false);
                    //toast提示
                    _this.toolService.showtoast("已加载所有");
                }
            }, 2000);
        }
        else {
            // 加载全部数据禁用刷新
            infiniteScroll.enable(false);
            this.toolService.showtoast("已加载所有");
        }
    };
    CounselPlatformCreatePage.prototype.onCreateCousel = function () {
        var _this = this;
        if (this.cousel.title == '') {
            this.toolService.showtoast('请输入标题');
        }
        else if (this.cousel.counselContent == "") {
            this.toolService.showtoast('请输入详细内容');
        }
        else {
            var url = 'bsCounselRecord/addCounselRecord';
            var loading = this.loadingController.create({});
            loading.present();
            this.toolService.doPost(url, this.cousel, function (data) {
                if (data.return_code == '000000') {
                    _this.showAlert.isShow = true;
                    //提示消失
                    setTimeout(function (showAlert) {
                        _this.onBack();
                    }, 3000, _this.showAlert);
                }
                else {
                    _this.toolService.showtoast(data.return_msg);
                }
                loading.dismiss();
            });
        }
    };
    CounselPlatformCreatePage.prototype.onLoadServiceCenter = function () {
        var _this = this;
        var url = 'serviceOrg/getPageCompany?companyType=0&status=1&pageNum=1&pageSize=100';
        this.toolService.doGet(url, function (data) {
            if (data.return_code = '000000') {
                if (data.return_data.list.length > 0) {
                    _this.cousel.objectId = data.return_data.list[0].id;
                    _this.cousel.objectName = data.return_data.list[0].name;
                }
            }
        });
    };
    CounselPlatformCreatePage.prototype.onBack = function () {
        if (this.showAlert.isShow) {
            this.showAlert.isShow = false;
            this.cousel = {
                "counselContent": "",
                "objectId": "",
                "title": "",
                "type": "3",
                "objectName": ""
            };
            this.defaultSegment = 'myCounsel';
        }
    };
    CounselPlatformCreatePage.prototype.onDeleteCounsel = function (id) {
        var _this = this;
        var confirm = this.alertController.create({
            title: '确认删除?',
            message: '您确认删除该意见反馈?',
            buttons: [
                {
                    text: '取消',
                    handler: function () {
                    }
                },
                {
                    text: '确认',
                    handler: function () {
                        var url = 'bsCounselRecord/deleteCounselRecord?id=' + id;
                        var loading = _this.loadingController.create({});
                        loading.present();
                        _this.toolService.doGet(url, function (data) {
                            if (data.return_code == '000000') {
                                _this.onLoadData();
                            }
                            else {
                                _this.toolService.showtoast(data.return_msg);
                            }
                            loading.dismiss();
                        });
                    }
                }
            ]
        });
        confirm.present();
    };
    CounselPlatformCreatePage.prototype.onSkipToDetail = function (id) {
        this.navCtrl.push("CounselDetailsPage", { id: id, isCheck: true });
    };
    CounselPlatformCreatePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-counsel-platform-create',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\counsel-platform\counsel-platform-create\counsel-platform-create.html"*/'<!--\n\n  Generated template for the CounselPlatformCreatePage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n\n\n<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>平台咨询</ion-title>\n\n  </ion-navbar>\n\n  <!--<ion-segment [(ngModel)]="defaultSegment" mode="md" (ionChange)="segmentChanged($event)">-->\n\n  <!--<ion-segment-button value="createCounsel">新建咨询-->\n\n  <!--<div class="bolder-sm"></div>-->\n\n  <!--</ion-segment-button>-->\n\n  <!--<ion-segment-button value="myCounsel">我的咨询-->\n\n  <!--<div class="bolder-sm"></div>-->\n\n  <!--</ion-segment-button>-->\n\n  <!--</ion-segment>-->\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <!--<div [ngSwitch]="defaultSegment" style="height:100%">-->\n\n  <!--<ion-list [class]="defaultSegment==\'createCounsel\'?\'\':\'hidden\'">-->\n\n  <ion-item>\n\n    <ion-label>标题</ion-label>\n\n    <ion-input type="text" placeholder="请输入" [(ngModel)]="cousel.title" text-right (focus)="inputing=true"\n\n               (blur)="inputing=false"></ion-input>\n\n  </ion-item>\n\n  <button ion-item (click)="onChoseDepartment()" *ngIf="cousel.objectId==\'\'">\n\n    咨询目标\n\n  </button>\n\n  <ion-item *ngIf="cousel.objectId!=\'\'">\n\n    <ion-label>咨询目标</ion-label>\n\n    <ion-label item-end text-right (click)="onChoseDepartment()">{{cousel.objectName}}</ion-label>\n\n  </ion-item>\n\n  <ion-item>\n\n    <ion-label stacked>详细描述</ion-label>\n\n    <ion-textarea placeholder="请输入问题详细描述" [(ngModel)]="cousel.counselContent" (focus)="inputing=true"\n\n                  (blur)="inputing=false"></ion-textarea>\n\n  </ion-item>\n\n  <div class="footer" padding [ngClass]="{\'inputing\': inputing}">\n\n    <button ion-button block color="primary" (click)="onCreateCousel()">提交咨询</button>\n\n  </div>\n\n  <!--</ion-list>-->\n\n\n\n  <!--<ion-list [ngClass]="{\'hidden\': defaultSegment!=\'myCounsel\'}" class="counsel-div">-->\n\n  <!--<ion-refresher (ionRefresh)="doRefresh($event)">-->\n\n  <!--<ion-refresher-content pullingText="下拉刷新" refreshingSpinner="bubbles" refreshingText="加载中...">-->\n\n  <!--</ion-refresher-content>-->\n\n  <!--</ion-refresher>-->\n\n  <!--<ion-card *ngFor="let item of couselList">-->\n\n  <!--<ion-card-header  (click)="onSkipToDetail(item.id)">-->\n\n  <!--{{item.title}}-->\n\n\n\n  <!--<img class="status-img" src="assets/imgs/feedback/wcl.png" *ngIf="!item.isReply">-->\n\n  <!--<img class="status-img" src="assets/imgs/feedback/ycl.png" *ngIf="item.isReply">-->\n\n  <!--</ion-card-header>-->\n\n  <!--<ion-card-content  (click)="onSkipToDetail(item.id)">-->\n\n  <!--<div class="content">-->\n\n  <!--{{item.counselContent}}-->\n\n  <!--</div>-->\n\n  <!--<div class="company" *ngIf="!item.isAnonymity">-->\n\n  <!--咨询单位：{{item.objectName}}-->\n\n  <!--</div>-->\n\n  <!--</ion-card-content>-->\n\n  <!--<ion-row class="footer-div">-->\n\n  <!--<ion-col>-->\n\n  <!--<ion-note class="time">-->\n\n  <!--咨询时间： {{item.counselDatetime | date:\'yyyy-MM-dd  HH:mm:ss\'}}-->\n\n  <!--</ion-note>-->\n\n  <!--<span class="pull-right delete-btn" (click)="onDeleteCounsel(item.id)" >-->\n\n  <!--<ion-icon name="ios-trash-outline"></ion-icon> 删除-->\n\n  <!--</span>-->\n\n  <!--</ion-col>-->\n\n  <!--</ion-row>-->\n\n  <!--</ion-card>-->\n\n\n\n  <ion-infinite-scroll (ionInfinite)="minInfinite($event)">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="加载中...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n  <!--</ion-list>-->\n\n  <!--</div>-->\n\n</ion-content>\n\n\n\n<div [class]="showAlert.isShow?\'success-alert\':\'success-alert hidden\'" class="success-alert" (click)="onBack()">\n\n  <div class="alert-bg"></div>\n\n  <div class="alert-img-div">\n\n    <img src="assets/imgs/feedback/2.png">\n\n  </div>\n\n</div>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\counsel-platform\counsel-platform-create\counsel-platform-create.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["i" /* ThePublicModule */]])
    ], CounselPlatformCreatePage);
    return CounselPlatformCreatePage;
}());

//# sourceMappingURL=counsel-platform-create.js.map

/***/ }),

/***/ 959:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CounselPlatformCreatePageModule", function() { return CounselPlatformCreatePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__counsel_platform_create__ = __webpack_require__(1183);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CounselPlatformCreatePageModule = /** @class */ (function () {
    function CounselPlatformCreatePageModule() {
    }
    CounselPlatformCreatePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__counsel_platform_create__["a" /* CounselPlatformCreatePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__counsel_platform_create__["a" /* CounselPlatformCreatePage */]),
            ],
        })
    ], CounselPlatformCreatePageModule);
    return CounselPlatformCreatePageModule;
}());

//# sourceMappingURL=counsel-platform-create.module.js.map

/***/ })

});
//# sourceMappingURL=103.js.map