webpackJsonp([107],{

/***/ 1179:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return VisittoSigninPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_camera_api_camera_api__ = __webpack_require__(162);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the VisittoSigninPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var VisittoSigninPage = /** @class */ (function () {
    function VisittoSigninPage(navCtrl, navParams, cameraService, toolservice) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.cameraService = cameraService;
        this.toolservice = toolservice;
        //图片访问
        this.imgurl = __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__["d" /* IMAGEURL */];
        //图片数据
        this.imgList = [];
        this.visitid = this.navParams.get('items');
        this.status = this.navParams.get('status');
    }
    VisittoSigninPage.prototype.ionViewDidLoad = function () {
    };
    // 删除图片
    VisittoSigninPage.prototype.deleDtao = function (key) {
        this.imgList.splice(key, 1);
    };
    /**
     * 点击签到
     */
    VisittoSigninPage.prototype.singin = function () {
        var _this = this;
        if (this.imgList.length == 0) {
            this.toolservice.showtoast('请选择签到图片');
        }
        else {
            var url = 'bsVisitCompany/checkIn';
            var datas = {
                id: this.visitid,
                checkInImg: this.imgList.join(','),
                status: this.status
                // visitDetailed: this.visitenmatcontent
            };
            this.toolservice.doPost(url, datas, function (data) {
                if (data.return_code == '000000') {
                    _this.toolservice.showtoast('签到成功');
                    _this.navCtrl.pop();
                }
                else {
                    _this.toolservice.showtoast(data.return_msg);
                }
            });
        }
    };
    /**
     * 拍照上传
     * @param e
     */
    VisittoSigninPage.prototype.goCameraApi = function (e) {
        this.imgResultRegister();
        this.cameraService.showPicActionSheet(true, false);
    };
    /**
     * 选择图片结果
     * @param items
     */
    VisittoSigninPage.prototype.imgResultRegister = function () {
        var _this = this;
        this.cameraService.upload.success = function (data) {
            if (data.return_code == '000000') {
                if (_this.imgList.length > 2) {
                    _this.toolservice.showtoast('只能上传3张图片');
                }
                else {
                    _this.imgList.push(data.return_data[0]);
                }
            }
            else {
                _this.toolservice.showtoast(data.return_msg);
            }
        };
        this.cameraService.upload.error = function (err) {
            _this.toolservice.showtoast('上传失败');
        };
    };
    VisittoSigninPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-visitto-signin',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\visitto-signin\visitto-signin.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>拜访签到</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content style="background-color: #F1F3FB;">\n\n  <div style="width: 90%;margin-left: 5%;background-color: white;border-radius: 5px;margin-top: 10px;">\n\n    <ion-item no-lines="">\n\n      <ng-container *ngFor="let item  of imgList;let i = index;">\n\n        <div class="eva_gocamera">\n\n          <ion-icon (click)="deleDtao(i)" class="sp" ios="ios-close-circle-outline"></ion-icon>\n\n          <img style="width: 74px;height: 74px;" src="{{imgurl+item}}" alt="" >\n\n        </div>\n\n      </ng-container>\n\n      <div\n\n        style="margin-top: 10px;margin-left: 5%;float: left;width: 74px;height: 74px;line-height: 78px;font-size: 30px;text-align: center;position: relative;">\n\n        <img style="width: 74px;" src="assets/imgs/docking7.png" (click)="goCameraApi($event)">\n\n      </div>\n\n    </ion-item>\n\n\n\n    <!--<textarea placeholder="请填写备注说明" class="mypro_textarea" cols="50" rows="5" [(ngModel)]="visitenmatcontent">-->\n\n  <!--</textarea>-->\n\n  </div>\n\n\n\n  <div style="width: 90%;margin-left: 5%;background-color: white;height: 260px;border-radius: 5px;margin-top: 10px;">\n\n    <img style="width: 30%;margin-left: 35%;margin-top: 50px;" src="assets/imgs/signin.png" (click)="singin()">\n\n  </div>\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\visitto-signin\visitto-signin.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_3__providers_camera_api_camera_api__["a" /* CameraApiProvider */], __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_toolservice__["a" /* ToolserviceProvider */]])
    ], VisittoSigninPage);
    return VisittoSigninPage;
}());

//# sourceMappingURL=visitto-signin.js.map

/***/ }),

/***/ 955:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "VisittoSigninPageModule", function() { return VisittoSigninPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__visitto_signin__ = __webpack_require__(1179);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var VisittoSigninPageModule = /** @class */ (function () {
    function VisittoSigninPageModule() {
    }
    VisittoSigninPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__visitto_signin__["a" /* VisittoSigninPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__visitto_signin__["a" /* VisittoSigninPage */]),
            ],
        })
    ], VisittoSigninPageModule);
    return VisittoSigninPageModule;
}());

//# sourceMappingURL=visitto-signin.module.js.map

/***/ })

});
//# sourceMappingURL=107.js.map