webpackJsonp([112],{

/***/ 1173:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TenderDetailsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_platform_browser__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_global__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_camera_api_camera_api__ = __webpack_require__(162);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the TenderDetailsPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var TenderDetailsPage = /** @class */ (function () {
    function TenderDetailsPage(navCtrl, navParams, sanitiaer, toolservice, loadingController, CameraApi, alertCtrl, appCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.sanitiaer = sanitiaer;
        this.toolservice = toolservice;
        this.loadingController = loadingController;
        this.CameraApi = CameraApi;
        this.alertCtrl = alertCtrl;
        this.appCtrl = appCtrl;
        //详情URL
        this.tenderurl = 'bsBiddingInfo/findBiddingInfoById?';
        //删除url
        this.deleurl = 'bsBiddingInfo/deleteBiddingInfo?';
        //关闭
        this.closeurl = 'bsBiddingInfo/closeBiddingInfo?';
        //发布url
        this.puburl = 'bsBiddingInfo/publishBiddingInfo?';
        //发票地址
        this.invoiceUrl = 'bsBiddingInfo/uploadInvoice';
        this.countTime = {
            day: {
                hundred: 0,
                ten: 0,
                unit: 0
            },
            hour: {
                ten: 0,
                unit: 0
            },
            min: {
                ten: 0,
                unit: 0
            },
            sec: {
                ten: 0,
                unit: 0
            }
        };
        //图片地址
        this.bindimg = [];
        //图片
        this.imageList = [];
        // 投标状态
        this.tbStatus = null;
        this.online = '0';
        if (window.localStorage.getItem("USER_INFO") && window.localStorage.getItem("USER_INFO") != 'null') {
            this.userId = JSON.parse(window.localStorage.getItem("USER_INFO")).userId;
        }
        else {
            this.userId = '';
        }
        this.qrinfos = this.navParams.get('typeid');
        this.tenderId = this.navParams.get('dId');
    }
    TenderDetailsPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad TenderDetailsPage');
    };
    TenderDetailsPage.prototype.ionViewWillEnter = function () {
        this.findBiddingInfoById();
        this.findMyTenderByBiddingId();
    };
    TenderDetailsPage.prototype.share = function (type) {
        // 判断是否登录，未登录跳转到登录页面
        if (this.userId == '') {
            this.appCtrl.getActiveNav().push('LoginPage');
            return;
        }
        Wechat.share({
            message: {
                title: this.tenderInfo[0].companyName,
                description: this.tenderInfo[0].demandDescribe,
                thumb: "www/assets/imgs/logo.jpg",
                media: {
                    type: Wechat.Type.WEBPAGE,
                    webpageUrl: __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_global__["a" /* BASE_SHARE_URL */] + "?type=zhaobiao&id=" + this.tenderId
                }
            },
            scene: type === 0 ? Wechat.Scene.SESSION : Wechat.Scene.TIMELINE
        }, function () {
        }, function (reason) {
            alert("Failed: " + reason);
        });
    };
    TenderDetailsPage.prototype.tapShare = function () {
        this.popupStatus = true;
    };
    // 查询当前账号是否投递
    TenderDetailsPage.prototype.findMyTenderByBiddingId = function () {
        var _this = this;
        if (this.userId) {
            var url = 'bsTenderInfo/findMyTenderByBiddingId?biddingId=' + this.tenderId;
            this.toolservice.doGet(url, function (data) {
                if (data.return_code == '000000' && data.return_data != null) {
                    _this.tbStatus = data.return_data;
                }
            });
        }
    };
    /**
     * 查询招标详情
     */
    TenderDetailsPage.prototype.findBiddingInfoById = function () {
        var _this = this;
        var loading = this.loadingController.create();
        loading.present();
        var url = this.tenderurl + 'id=' + this.tenderId;
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
                if (!data.return_data.qualifications)
                    data.return_data.qualifications = '无资质要求';
                if (!data.return_data.otherDescribe)
                    data.return_data.otherDescribe = '无其他说明';
                _this.tenderInfo = [data.return_data];
                _this.tendstatus = data.return_data.status;
                _this.online = data.return_data.online;
                if (_this.tendstatus == 2) {
                    _this.tendstatusName = '招标中';
                    _this.countDown(data.return_data.biddingEndTime);
                }
                if (_this.tendstatus == 3 || _this.tendstatus == 5) {
                    _this.tendstatusName = '投标截止';
                }
                if (_this.tendstatus == 4) {
                    _this.tendstatusName = '已完成';
                }
                if (data.return_data.biddingAnnex != null) {
                    _this.bindimg = data.return_data.biddingAnnex.split(",");
                }
                if (data.return_data.invoice != null && _this.qrinfos == 2) {
                    _this.invoiceImage = data.return_data.invoice.split(',');
                }
                loading.dismiss();
            }
            else {
                _this.toolservice.showtoast(data['return_msg']);
                loading.dismiss();
            }
        }, function (error) {
            loading.dismiss();
        });
    };
    /**
     * 删除、关闭招标信息
     */
    TenderDetailsPage.prototype.deleteclBiddingInfo = function (item, items) {
        var _this = this;
        var url;
        if (item == 1) {
            url = this.deleurl + 'id=' + this.tenderId;
        }
        else if (item == 2) {
            url = this.closeurl + 'id=' + this.tenderId;
        }
        else {
            url = this.puburl + 'id=' + this.tenderId;
        }
        var prompt = this.alertCtrl.create({
            title: items,
            buttons: [
                {
                    text: '取消',
                    handler: function (data) {
                    }
                },
                {
                    text: '确认',
                    handler: function (data) {
                        var loading = _this.loadingController.create();
                        loading.present();
                        _this.toolservice.doGet(url, function (data) {
                            if (data.return_code == '000000') {
                                _this.toolservice.showtoast(data.return_data);
                                _this.navCtrl.pop();
                                loading.dismiss();
                            }
                            else {
                                _this.toolservice.showtoast(data.retrun_msg);
                                loading.dismiss();
                            }
                        }, function (error) {
                            loading.dismiss();
                        });
                    }
                }
            ]
        });
        prompt.present();
    };
    TenderDetailsPage.prototype.countDown = function (item) {
        var countTimer = this.countTime;
        setInterval(function () {
            var timeNow = new Date().getTime();
            var timeLeft = item - timeNow > 0 ? item - timeNow : 0;
            var leftTime1 = timeLeft % (24 * 3600 * 1000);
            var leftTime2 = leftTime1 % (3600 * 1000);
            var leftTime3 = leftTime2 % (60 * 1000);
            var leftDay = Math.floor(timeLeft / (24 * 3600 * 1000)); //剩余天数
            var leftHour = Math.floor(leftTime1 / (3600 * 1000)); //剩余小时数
            var leftMin = Math.floor(leftTime2 / (60 * 1000)); //剩余分钟数
            var leftSec = Math.floor(leftTime3 / (1000)); //剩余秒数
            countTimer.day.hundred = Math.floor(leftDay / 100);
            countTimer.day.ten = Math.floor((leftDay % 100) / 10);
            countTimer.day.unit = (leftDay % 100) % 10;
            countTimer.hour.ten = Math.floor(leftHour / 10);
            countTimer.hour.unit = leftHour % 10;
            countTimer.min.ten = Math.floor(leftMin / 10);
            countTimer.min.unit = leftMin % 10;
            countTimer.sec.ten = Math.floor(leftSec / 10);
            countTimer.sec.unit = leftSec % 10;
        }, 1000);
    };
    // 删除图片
    TenderDetailsPage.prototype.deleDtao = function (key) {
        this.imageList.splice(key, 1);
    };
    /**
     * 跳转发布
     */
    TenderDetailsPage.prototype.jumpbindres = function () {
        this.navCtrl.push('BiddingReleasePage', { params: this.tenderInfo });
    };
    /**
     * 跳转竞标列表
     */
    TenderDetailsPage.prototype.jumpUnitList = function () {
        this.navCtrl.push('BiddingUnitPage', { bindId: this.tenderId });
    };
    /**
     * 跳转参与投标
     */
    TenderDetailsPage.prototype.participateten = function () {
        var _this = this;
        var url = 'bsTenderInfo/findMyTenderByBiddingId?biddingId=' + this.tenderId;
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.navCtrl.push('BiddingInformationPage', { teId: _this.tenderId, typeId: 1 });
            }
            else {
                _this.toolservice.showtoast(data['return_msg']);
            }
        });
    };
    /**
     * 跳转
     */
    TenderDetailsPage.prototype.jumpweb = function (item) {
        window.location.href = __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_global__["d" /* IMAGEURL */] + item;
    };
    /**
     * 上传发票
     */
    TenderDetailsPage.prototype.invoiceAdd = function () {
        var _this = this;
        if (this.imageList == []) {
            this.toolservice.showtoast('请上传发票');
        }
        else {
            var loading = this.loadingController.create();
            loading.present();
            var datas = {
                biddingId: this.tenderId,
                invoice: this.imageList.join(',')
            };
            this.toolservice.doPost(this.invoiceUrl, datas, function (data) {
                if (data.return_code == '000000') {
                    _this.toolservice.showtoast(data.return_data);
                    _this.findBiddingInfoById();
                    loading.dismiss();
                }
                else {
                    _this.toolservice.showtoast(data.return_msg);
                    loading.dismiss();
                }
            });
        }
    };
    /**
     * 上传图片
     */
    TenderDetailsPage.prototype.goCameraApi = function (items) {
        this.initImgSer(items);
        this.CameraApi.showPicActionSheet();
    };
    // 照片回显方法
    TenderDetailsPage.prototype.initImgSer = function (nums) {
        var _this = this;
        this.CameraApi.upload.success = function (data) {
            // 判断图片地址储存数组长度
            if (nums == 1) {
                if (_this.imageList.length > 2) {
                    _this.toolservice.showtoast("只能上传3张图片。");
                }
                else {
                    /*每次增加的一个对象数据*/
                    var obj = data.return_data;
                    // 插入图片路径数组
                    _this.imageList.push(obj);
                }
            }
            ;
            _this.CameraApi.upload.error = function (err) {
                _this.toolservice.showtoast('上传失败');
            };
        };
    };
    TenderDetailsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-tender-details',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\tender-details\tender-details.html"*/'<ion-header no-border="">\n\n    <ion-navbar>\n\n        <ion-title>招标详情</ion-title>\n\n        <ion-buttons end *ngIf="tendstatus == 1 && qrinfos == 2">\n\n            <button ion-button icon-only (click)="deleteclBiddingInfo(1,\'确认删除\')">\n\n        删除\n\n      </button>\n\n        </ion-buttons>\n\n        <!-- <ion-buttons end *ngIf="(tendstatus == 2 || tendstatus == 3) && qrinfos == 2">\n\n      <button ion-button icon-only (click)="deleteclBiddingInfo(2,\'确认关闭\')">\n\n        关闭\n\n      </button>\n\n    </ion-buttons> -->\n\n        <ion-buttons (click)="tapShare()" end *ngIf="tendstatus != 1 && qrinfos != 2">\n\n            <div (click)="tapShare()">\n\n                <img src="assets/imgs/news/share.png" alt="" style="width: 26px;margin-top: 5px;">\n\n            </div>\n\n        </ion-buttons>\n\n    </ion-navbar>\n\n</ion-header>\n\n<div class="hide-g" *ngIf="popupStatus" (click)="popupStatus = false">\n\n    <div class="hide-card">\n\n        <div class="wx" (click)="share(0)">\n\n            <img src="assets/imgs/share/wx.png" />\n\n            <p>微信分享</p>\n\n        </div>\n\n        <div class="pyq" (click)="share(1)">\n\n            <img src="assets/imgs/share/pyq.png" />\n\n            <p>朋友圈分享</p>\n\n        </div>\n\n    </div>\n\n</div>\n\n<ion-content>\n\n    <div style="width: 100%;" *ngFor="let ten of tenderInfo">\n\n        <div class="tender-title width90">\n\n            {{ten.projectName}}\n\n        </div>\n\n        <div class="width90 tender-name">\n\n            发布单位: {{ten.companyName}}\n\n        </div>\n\n        <div class="width90 tender-name" *ngIf="ten.publishTime !=null">\n\n            发布时间：{{ten.publishTime | date:"yyyy-MM-dd HH:mm"}}\n\n        </div>\n\n\n\n        <div class="width90 tender-name" *ngIf="ten.publishTime ==null">\n\n            创建时间：{{ten.createTime | date:"yyyy-MM-dd HH:mm"}}\n\n        </div>\n\n        <div class="width90 tender-name" *ngIf="ten.publishTime !=null">\n\n            招标状态：{{tendstatusName}}\n\n        </div>\n\n        <div class="width90 tender-name" style="color: #ff685a;" *ngIf="ten.victoryCompany !=null">\n\n            中标单位：{{ten.victoryCompany}}\n\n        </div>\n\n        <div class="width90 tender-name">\n\n            <span class="tender-btn">{{ten.tenderNumber}}家单位已报名</span>\n\n        </div>\n\n\n\n        <div class="width90 tender-name" style="color: #F95500;" *ngIf="tendstatus == 2">\n\n            距截止剩：{{countTime.day.ten}}{{countTime.day.unit}}天{{countTime.hour.ten}}{{countTime.hour.unit}}时{{countTime.min.ten}}{{countTime.min.unit}}分{{countTime.sec.ten}}{{countTime.sec.unit}}秒\n\n        </div>\n\n\n\n        <div class="ten-line10"></div>\n\n        <ion-item-divider class="tender-header" color="light">项目信息</ion-item-divider>\n\n\n\n        <div class="ten-from">\n\n            <div class="width90">\n\n                <div class="ten-left-mes">投标截止时间</div>\n\n                <div class="ten-right-mes">{{ten.biddingEndTime | date:"yyyy-MM-dd HH:mm"}}</div>\n\n            </div>\n\n            <div class="width90">\n\n                <div class="ten-left-mes">项目编号</div>\n\n                <div class="ten-right-mes">{{ten.projectNo}}</div>\n\n            </div>\n\n            <div class="width90">\n\n                <div class="ten-left-mes">项目规格</div>\n\n                <div class="ten-right-mes">{{ten.specs}}</div>\n\n            </div>\n\n            <div class="width90">\n\n                <div class="ten-left-mes">规格数量</div>\n\n                <div class="ten-right-mes">{{ten.amount}}{{ten.specs}}</div>\n\n            </div>\n\n            <div class="width90">\n\n                <div class="ten-left-mes">项目预算</div>\n\n                <div class="ten-right-mes" *ngIf="ten.quotingManner == 2">{{ten.maxBudget}}万</div>\n\n                <div class="ten-right-mes" *ngIf="ten.quotingManner == 1">听取报价</div>\n\n            </div>\n\n            <div class="width90">\n\n                <div class="ten-left-mes" style="border-bottom: 1px solid #e6e6e6;">时间要求</div>\n\n                <div class="ten-right-mes" style="border-bottom: 1px solid #e6e6e6;">{{ten.completionTime}}</div>\n\n            </div>\n\n        </div>\n\n\n\n\n\n        <ion-item-divider class="tender-header" color="light">资质要求</ion-item-divider>\n\n        <pre class="tender-area">{{ten.qualifications}}</pre>\n\n        <!-- <textarea class="tender-area" readonly="readonly" [(ngModel)]="ten.qualifications"></textarea> -->\n\n        <ion-item-divider class="tender-header" color="light">需求描述</ion-item-divider>\n\n        <pre class="tender-area">{{ten.demandDescribe}}</pre>\n\n        <!-- <textarea class="tender-area" readonly="readonly" [(ngModel)]="ten.demandDescribe"></textarea> -->\n\n        <ion-item-divider class="tender-header" color="light">其他说明</ion-item-divider>\n\n        <pre class="tender-area">{{ten.otherDescribe}}</pre>\n\n        <!-- <textarea class="tender-area" readonly="readonly" [(ngModel)]="ten.otherDescribe"></textarea> -->\n\n        <ion-item-divider class="tender-header" color="light" *ngIf="bindimg.length > 0 && bindimg[0] != \'\'">相关附件</ion-item-divider>\n\n        <div style="width: 90%;margin-left: 5%;color: #487aff;margin-top: 5px;" *ngFor="let bidmig of bindimg" (click)="jumpweb(bidmig)">\n\n            {{bidmig}}\n\n        </div>\n\n\n\n        <ion-item-divider class="tender-header" color="light" *ngIf="ten.invoice !=null && qrinfos == 2">发票\n\n        </ion-item-divider>\n\n        <div style="width: 90%;margin-left: 5%;color: #487aff;margin-top: 5px;" *ngFor="let item  of invoiceImage" (click)="jumpweb(item)">\n\n            {{item}}\n\n        </div>\n\n\n\n        <ion-item-divider class="tender-header" color="light" *ngIf="qrinfos == 2 && tendstatus == 4">上传发票\n\n        </ion-item-divider>\n\n        <ion-item no-lines="" *ngIf="qrinfos == 2 && tendstatus == 4">\n\n            <div style="width: 90%;margin-left: 5%;color: #487aff;margin-top: 5px;" *ngFor="let item  of imageList;let i = index;">\n\n                {{item}}&nbsp;&nbsp;\n\n                <ion-icon (click)="deleDtao(i,1)" class="sp" ios="ios-close-circle"></ion-icon>\n\n            </div>\n\n\n\n            <div class="eva_gocamera" (click)="goCameraApi(1)">\n\n                <img src="assets/imgs/legalimg/tp.png">\n\n            </div>\n\n        </ion-item>\n\n        <div style="width: 100%;height: 100px;"></div>\n\n        <!-- <div style="width: 100%;height: 100px;"></div> -->\n\n    </div>\n\n</ion-content>\n\n\n\n<ion-footer style="padding-left: 1%;" *ngIf="qrinfos == 2">\n\n    <ion-toolbar *ngIf="tendstatus == 4">\n\n        <ion-title (click)="invoiceAdd()">上传发票</ion-title>\n\n    </ion-toolbar>\n\n\n\n    <ion-toolbar *ngIf="tendstatus == 2 || tendstatus == 3 || tendstatus == 5">\n\n        <ion-title (click)="jumpUnitList()">查看已报名单位</ion-title>\n\n    </ion-toolbar>\n\n    <button ion-button="" class="tens-btn bg_trans" *ngIf="tendstatus == 1" (click)="jumpbindres()">修改</button>\n\n\n\n    <button ion-button="" class="tens-btn" *ngIf="tendstatus == 1" (click)="deleteclBiddingInfo(3,\'确认是否发布\')">发布</button>\n\n</ion-footer>\n\n\n\n<ion-footer *ngIf="qrinfos == 1 && tendstatus == 2 && online == \'1\'">\n\n    <ion-toolbar>\n\n        <ion-title (click)="participateten()">{{tbStatus != null ? \'查看竞标信息\' : \'参与投标\'}}</ion-title>\n\n    </ion-toolbar>\n\n</ion-footer>'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\tender-details\tender-details.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__angular_platform_browser__["c" /* DomSanitizer */], __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"], __WEBPACK_IMPORTED_MODULE_5__providers_camera_api_camera_api__["a" /* CameraApiProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["App"]])
    ], TenderDetailsPage);
    return TenderDetailsPage;
}());

//# sourceMappingURL=tender-details.js.map

/***/ }),

/***/ 948:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TenderDetailsPageModule", function() { return TenderDetailsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__tender_details__ = __webpack_require__(1173);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var TenderDetailsPageModule = /** @class */ (function () {
    function TenderDetailsPageModule() {
    }
    TenderDetailsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__tender_details__["a" /* TenderDetailsPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__tender_details__["a" /* TenderDetailsPage */]),
            ],
        })
    ], TenderDetailsPageModule);
    return TenderDetailsPageModule;
}());

//# sourceMappingURL=tender-details.module.js.map

/***/ })

});
//# sourceMappingURL=112.js.map