webpackJsonp([120],{

/***/ 1161:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ServiceCemipdPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the ServiceCemipdPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ServiceCemipdPage = /** @class */ (function () {
    function ServiceCemipdPage(navCtrl, navParams, app, toolservice, loadingctrl, ThePublicModule) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.app = app;
        this.toolservice = toolservice;
        this.loadingctrl = loadingctrl;
        this.ThePublicModule = ThePublicModule;
        //页面segment
        this.myservice = 'allservice';
        // 每页展示的记录条数
        this.pageSize = 10;
        // 记录列表刷新次数
        this.numrecord = 1;
    }
    ServiceCemipdPage.prototype.ionViewDidLoad = function () {
    };
    ServiceCemipdPage.prototype.ionViewWillEnter = function () {
        this.selectallservicedata();
    };
    /**
     * 查询全部
     */
    ServiceCemipdPage.prototype.selectallservicedata = function () {
        var _this = this;
        this.servicestaus = 1;
        var loading = this.loadingctrl.create({});
        loading.present();
        var url = 'bsServiceTicket/getPageServiceTicket?type=2&status=1&pageNum=1&pageSize=10';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data != '') {
                loading.dismiss();
                _this.servicevolumedata = data.return_data.list;
                _this.servicelength = data.return_data['total'];
                // 消息记录数组最大页面赋值
                _this.servicePage = data.return_data['pages'];
                _this.numrecord = 1;
            }
            else {
                loading.dismiss();
                _this.servicevolumedata = null;
            }
        }, function (error) {
            loading.dismiss();
        });
    };
    /**
     * 查询我的
     */
    ServiceCemipdPage.prototype.selectmineservicedata = function () {
        var _this = this;
        if (this.ThePublicModule.USER_INFO == null) {
            // this.app.getRootNav().setRoot('LoginPage');
            this.navCtrl.push('LoginPage');
        }
        else {
            var loading_1 = this.loadingctrl.create();
            loading_1.present();
            this.servicestaus = 2;
            var url = 'bsServiceTicket/getPageServiceTicketDetail?type=2&useUserId=' + this.ThePublicModule.USER_INFO.userId + '&pageNum=1&pageSize=10';
            this.toolservice.doGet(url, function (data) {
                if (data.return_code == '000000' && data.return_data.list != '') {
                    _this.serviceminedata = data.return_data.list;
                    _this.servicelength = data.return_data['total'];
                    // 消息记录数组最大页面赋值
                    _this.servicePage = data.return_data['pages'];
                    _this.numrecord = 1;
                    loading_1.dismiss();
                }
                else {
                    loading_1.dismiss();
                }
            }, function (error) {
                loading_1.dismiss();
            });
        }
    };
    /**
     * 搜索服务券
     */
    ServiceCemipdPage.prototype.searchnamedata = function (searchname) {
        var _this = this;
        if (searchname.value.length == 0) {
            this.toolservice.showtoast("请输入");
        }
        else {
            var loading_2 = this.loadingctrl.create({});
            loading_2.present();
            this.numrecord = 1;
            var url = 'bsServiceTicket/getPageServiceTicket?type=2&status=1&name=' + searchname.value + '&pageNum=1&pageSize=10';
            this.toolservice.doGet(url, function (data) {
                if (data.return_code == '000000' && data.return_data.list != '') {
                    _this.servicevolumedata = data.return_data.list;
                    _this.servicelength = data.return_data['total'];
                    // 消息记录数组最大页面赋值
                    _this.servicePage = data.return_data['pages'];
                    loading_2.dismiss();
                }
                else {
                    _this.servicevolumedata = null;
                    _this.toolservice.showtoast(data.return_msg);
                    loading_2.dismiss();
                }
            });
        }
    };
    /**
     * 判断是否有数据
     */
    ServiceCemipdPage.prototype.judgenulldata = function (searchjudg) {
        if (searchjudg.value.length == 0) {
            this.selectallservicedata();
        }
    };
    /**
     * 跳转服务券详情
     */
    ServiceCemipdPage.prototype.jumpservicedetails = function (items, itemid) {
        if (items == 1) {
            this.navCtrl.push('ServiceResumeworkPage', { servicedata: itemid });
        }
        else {
            this.navCtrl.push('ServiceServiceusePage', { userdata: itemid });
        }
    };
    /**
     * 上滑加载更多
     */
    ServiceCemipdPage.prototype.minInfinite = function (infiniteScroll) {
        var _this = this;
        setTimeout(function () {
            // 加载完成关闭刷新
            infiniteScroll.complete();
            // 判读数据超过十条启动刷新
            if (_this.servicelength > _this.pageSize) {
                //增加index
                _this.numrecord++;
                // 判断刷新分页页码大小
                if (_this.numrecord > _this.servicePage) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    // infiniteScroll.enable(false);
                    //toast提示
                    _this.toolservice.showtoast("已加载所有");
                }
                else {
                    var url = void 0;
                    if (_this.servicestaus == 1) {
                        url = 'bsServiceTicket/getPageServiceTicket?type=2&status=1&pageNum=' + _this.numrecord + '&pageSize=' + _this.pageSize;
                    }
                    else {
                        url = 'bsServiceTicket/getPageServiceTicketDetail?type=2&useUserId=' + _this.ThePublicModule.USER_INFO.userId + '&pageNum=' + _this.numrecord + '&pageSize=' + _this.pageSize;
                    }
                    _this.toolservice.doGet(url, function (data) {
                        if (data.return_code == '000000') {
                            // 加载完成关闭刷新
                            infiniteScroll.complete();
                            // 循环插入数据数组
                            for (var i = 0; i < data.return_data['list'].length; i++) {
                                if (_this.servicestaus == 1) {
                                    _this.servicevolumedata.push(data.return_data['list'][i]);
                                }
                                else {
                                    _this.serviceminedata.push(data.return_data['list'][i]);
                                }
                            }
                        }
                    });
                }
            }
            else {
                // 加载全部数据禁用刷新
                // infiniteScroll.enable(false);
                _this.toolservice.showtoast("已加载所有");
            }
        }, 2000);
    };
    ServiceCemipdPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-service-cemipd',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\service-cemipd\service-cemipd.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>服务券</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content style="background-color: #f0f2f5;">\n\n\n\n  <ion-segment [(ngModel)]="myservice" mode="md" style="background-color: white;">\n\n    <ion-segment-button value="allservice">全部\n\n    </ion-segment-button>\n\n    <ion-segment-button value="mineservice" (click)="selectmineservicedata()">我的卡券\n\n    </ion-segment-button>\n\n  </ion-segment>\n\n  <div [ngSwitch]="myservice">\n\n    <ion-list *ngSwitchCase="\'allservice\'">\n\n      <div style="width: 90%;margin-top: 15px;margin-bottom: 15px;margin-left: 5%;height: 50px">\n\n        <ion-searchbar style="width: 85%;float: left;" #searchvalue\n\n                       placeholder="请输入想搜索的内容" (ionChange)="judgenulldata(searchvalue)"></ion-searchbar>\n\n        <div style="width: 15%;float: right;height: 36px;margin-top: 1px;">\n\n          <button ion-button block class="news_div_btn" (click)="searchnamedata(searchvalue)">搜索\n\n          </button>\n\n        </div>\n\n      </div>\n\n      <img *ngIf="servicevolumedata == null" style="width: 80%;margin-left: 10%;" src="assets/imgs/nulldata.png">\n\n      <div style="height: 100px;margin-top: 10px;" *ngFor="let allser of servicevolumedata"\n\n           (click)="jumpservicedetails(1,allser)">\n\n        <div style="position:absolute;width: 90%;height:100px; margin-left: 5%">\n\n          <img src="assets/imgs/volumel.png" style="width: 30%;height: 100px;float: left;">\n\n          <img src="assets/imgs/volumer.png" style="width: 70%;height: 100px;">\n\n          <div style="top: 0px;position: absolute;width: 100%;height: 68px;">\n\n            <div style="width: 30%;color: white;font-size: 24px;padding-top: 20px;text-align: center;float: left;">\n\n              ￥{{allser.price}}\n\n            </div>\n\n            <div style="width: 70%;height: 68px;float: right;">\n\n              <ion-label\n\n                style="height: 34px;padding-left: 10px;padding-top: 10px;color: #525252;font-size: 16px;width: 98%;">\n\n                {{allser.name}}\n\n              </ion-label>\n\n              <ion-label\n\n                style="float: left;font-size: 13px;padding-left: 10px;padding-top: 8px;color: #666666;width: 98%;">\n\n                {{allser.companyName}}\n\n              </ion-label>\n\n\n\n            </div>\n\n          </div>\n\n          <div style="top: 68px;position: absolute;width: 100%;height: 32px;">\n\n            <div style="width: 30%;color: white;font-size: 16px;text-align: center;float: left;padding-top: 6px;">\n\n              剩余{{allser.currentNum}}张\n\n            </div>\n\n            <button no-lines="" style="width: 70%;float: right;min-height: 0px;padding-left: 10px;margin-top: 8px;"\n\n                    ion-item="">\n\n              <div\n\n                style="text-overflow: ellipsis;width: 65%;font-size: 13px;color: #666666;overflow: hidden;float: left;">\n\n                过期时间:{{allser.downTime | date:"yyyy-MM-dd"}}\n\n              </div>\n\n              <div style="width: 35%;font-size: 13px;color: #666666;float: right;text-align: right">使用说明\n\n              </div>\n\n            </button>\n\n          </div>\n\n        </div>\n\n      </div>\n\n    </ion-list>\n\n    <ion-list *ngSwitchCase="\'mineservice\'">\n\n      <img *ngIf="serviceminedata == null" style="width: 80%;margin-left: 10%;" src="assets/imgs/nulldata.png">\n\n      <div style="height: 100px;margin-top: 10px;" *ngFor="let mineser of serviceminedata"\n\n           (click)="jumpservicedetails(2,mineser)">\n\n        <div style="position:absolute;width: 90%;height:100px; margin-left: 5%">\n\n          <img src="assets/imgs/volumel.png" style="width: 30%;height: 100px;float: left;">\n\n          <img src="assets/imgs/volumer.png" style="width: 70%;height: 100px;">\n\n          <div style="top: 0px;position: absolute;width: 100%;height: 68px;">\n\n            <div style="width: 30%;color: white;font-size: 24px;padding-top: 20px;text-align: center;float: left;">\n\n              ￥{{mineser.price}}\n\n            </div>\n\n            <div style="width: 70%;height: 68px;float: right;">\n\n              <img style="width: 15%;margin-left: 55%;position: absolute;" *ngIf="mineser.receiveStatus == 0"\n\n                   src="assets/imgs/service13.png">\n\n              <img style="width: 15%;margin-left: 55%;position: absolute;"\n\n                   *ngIf="mineser.receiveStatus == 1"\n\n                   src="assets/imgs/service12.png">\n\n              <img style="width: 15%;margin-left: 55%;position: absolute;"\n\n                   *ngIf="mineser.receiveStatus == 2"\n\n                   src="assets/imgs/service16.png">\n\n              <img style="width: 15%;margin-left: 55%;position: absolute;"\n\n                   *ngIf="mineser.receiveStatus == 3"\n\n                   src="assets/imgs/service14.png">\n\n              <img style="width: 15%;margin-left: 55%;position: absolute;"\n\n                   *ngIf="mineser.receiveStatus == 4"\n\n                   src="assets/imgs/service15.png">\n\n              <ion-label\n\n                style="width: 100%;height: 34px;padding-left: 10px;padding-top: 10px;color: #525252;font-size: 16px;">\n\n                {{mineser.serviceTicketName}}\n\n              </ion-label>\n\n              <ion-label\n\n                style="width: 100%;float: left;font-size: 13px;padding-left: 10px;padding-top: 8px;color: #666666;">\n\n                {{mineser.companyName}}\n\n              </ion-label>\n\n            </div>\n\n          </div>\n\n          <div style="top: 68px;position: absolute;width: 100%;height: 32px;">\n\n            <div style="width: 30%;color: white;font-size: 16px;text-align: center;float: left;padding-top: 6px;">\n\n              服务券\n\n            </div>\n\n            <button no-lines="" style="width: 70%;float: right;min-height: 0px;padding-left: 10px;margin-top: 8px;"\n\n                    ion-item="">\n\n              <div\n\n                style="text-overflow: ellipsis;width: 65%;font-size: 13px;color: #666666;overflow: hidden;float: left;">\n\n                过期时间:{{mineser.receivedFailureTime | date:"yyyy-MM-dd"}}\n\n              </div>\n\n              <div style="width: 35%;font-size: 13px;color: #666666;float: right;text-align: right">使用说明\n\n              </div>\n\n            </button>\n\n          </div>\n\n        </div>\n\n      </div>\n\n    </ion-list>\n\n  </div>\n\n  <ion-infinite-scroll (ionInfinite)="minInfinite($event)">\n\n    <ion-infinite-scroll-content\n\n      loadingSpinner="bubbles">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\service-cemipd\service-cemipd.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["App"],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__["i" /* ThePublicModule */]])
    ], ServiceCemipdPage);
    return ServiceCemipdPage;
}());

//# sourceMappingURL=service-cemipd.js.map

/***/ }),

/***/ 936:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ServiceCemipdPageModule", function() { return ServiceCemipdPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__service_cemipd__ = __webpack_require__(1161);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ServiceCemipdPageModule = /** @class */ (function () {
    function ServiceCemipdPageModule() {
    }
    ServiceCemipdPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__service_cemipd__["a" /* ServiceCemipdPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__service_cemipd__["a" /* ServiceCemipdPage */]),
            ],
        })
    ], ServiceCemipdPageModule);
    return ServiceCemipdPageModule;
}());

//# sourceMappingURL=service-cemipd.module.js.map

/***/ })

});
//# sourceMappingURL=120.js.map