webpackJsonp([124],{

/***/ 1157:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ServerApplyPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_platform_browser__ = __webpack_require__(47);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




// import {IMAGEURL} from "../../../providers/toolservice/global";
/**
 * Generated class for the ServerApplyPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ServerApplyPage = /** @class */ (function () {
    function ServerApplyPage(navCtrl, navParams, toolservice, sanitiaer, loadingCtrl, toolservie) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.sanitiaer = sanitiaer;
        this.loadingCtrl = loadingCtrl;
        this.toolservie = toolservie;
        this.id = this.navParams.get('id');
        this.type = this.navParams.get('type');
        this.USER_INFO = JSON.parse(window.localStorage.getItem("USER_INFO"));
        this.COMPANY = JSON.parse(window.localStorage.getItem("COMPANY"));
        this.applyData = {};
        if (this.type == 1) {
            this.title = '申请管家服务';
        }
        else {
            this.title = '申请服务';
            this.applyData.userId = this.USER_INFO.userId;
        }
        this.applyData.companyName = this.COMPANY.name;
        this.applyData.companyId = this.COMPANY.id;
        this.applyData.name = this.USER_INFO.userName;
        this.applyData.phone = this.USER_INFO.telephone;
        this.applyData.context = '';
        this.applyData.type = this.type;
        this.applyData.serviceId = this.id;
    }
    ServerApplyPage.prototype.ionViewDidLoad = function () {
    };
    ServerApplyPage.prototype.apply = function () {
        var _this = this;
        if (!this.applyData.companyName) {
            this.toolservie.showtoast("请输入单位名称");
            return;
        }
        if (!this.applyData.name) {
            this.toolservie.showtoast("请输入联系人");
            return;
        }
        if (!this.applyData.phone) {
            this.toolservie.showtoast("请输入电话号码");
            return;
        }
        if (!this.applyData.context) {
            this.toolservie.showtoast("请输入服务需求");
            return;
        }
        this.toolservice.doPost("/applyFor", this.applyData, function (data) {
            if (data.return_code == '000000') {
                _this.toolservie.showtoast("申请成功！");
                setTimeout(function () {
                    _this.navCtrl.pop();
                }, 1500);
            }
            else {
                _this.toolservie.showtoast(data.return_msg);
            }
        }, function (error) {
        });
    };
    ServerApplyPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-server-apply',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\server-apply\server-apply.html"*/'<!--\n  Generated template for the ServerApplyPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n  <ion-navbar>\n    <ion-title>{{title}}</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <div class="div">\n    <div class="title">单位名称<i>*</i></div>\n    <ion-item class="itemLabel">\n      <ion-input type="text" class="ion_item_login" placeholder="请输入单位名称" [(ngModel)]="applyData.companyName">\n      </ion-input>\n    </ion-item>\n  </div>\n  <div class="div">\n    <div class="title">联系人<i>*</i></div>\n    <ion-item class="itemLabel">\n      <ion-input type="text" class="ion_item_login" placeholder="请输入联系人" [(ngModel)]="applyData.name">\n      </ion-input>\n    </ion-item>\n  </div>\n  <div class="div">\n    <div class="title">电话号码<i>*</i></div>\n    <ion-item class="itemLabel">\n      <ion-input type="text" class="ion_item_login" placeholder="请输入电话号码" [(ngModel)]="applyData.phone">\n      </ion-input>\n    </ion-item>\n  </div>\n  <div class="div">\n    <div class="title">服务需求描述<i>*</i></div>\n    <ion-item class="itemLabel area">\n      <ion-textarea [(ngModel)]="applyData.context" placeholder="请输入服务需求描述" autoresize style="height: 120px;"></ion-textarea>\n    </ion-item>\n  </div>\n  <button ion-button block color="light" (click)="apply()">提交</button>\n</ion-content>\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\server-apply\server-apply.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_3__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */]])
    ], ServerApplyPage);
    return ServerApplyPage;
}());

//# sourceMappingURL=server-apply.js.map

/***/ }),

/***/ 932:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ServerApplyPageModule", function() { return ServerApplyPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__server_apply__ = __webpack_require__(1157);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ServerApplyPageModule = /** @class */ (function () {
    function ServerApplyPageModule() {
    }
    ServerApplyPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__server_apply__["a" /* ServerApplyPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__server_apply__["a" /* ServerApplyPage */]),
            ],
        })
    ], ServerApplyPageModule);
    return ServerApplyPageModule;
}());

//# sourceMappingURL=server-apply.module.js.map

/***/ })

});
//# sourceMappingURL=124.js.map