webpackJsonp([125],{

/***/ 1163:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ServerActivityPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_platform_browser__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_global__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var ServerActivityPage = /** @class */ (function () {
    function ServerActivityPage(navCtrl, navParams, toolservice, sanitiaer, loadingCtrl, toolservie, appCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.sanitiaer = sanitiaer;
        this.loadingCtrl = loadingCtrl;
        this.toolservie = toolservie;
        this.appCtrl = appCtrl;
        //详情图片地址
        this.newsdetailsimurl = __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_global__["d" /* IMAGEURL */];
        var data = this.navParams.get('data');
        this.newsId = data.id;
        this.thumbsUpStatus = this.navParams.get('thumbsUp');
        this.collectionStatus = this.navParams.get('collectS');
        this.requestnewsdetails();
        this.popupStatus = false;
        this.collectNum = 0;
        this.thumbs = 0;
        if (window.localStorage.getItem("USER_INFO") && window.localStorage.getItem("USER_INFO") != 'null') {
            this.userId = JSON.parse(window.localStorage.getItem("USER_INFO")).userId;
        }
        else {
            this.userId = '';
        }
    }
    /**
     * 请求详情数据
     */
    ServerActivityPage.prototype.requestnewsdetails = function () {
        var _this = this;
        var loading = this.loadingCtrl.create();
        loading.present();
        var url = 'bsNews/getNewsById?id=' + this.newsId;
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data != '') {
                loading.dismiss();
                _this.newsdatailsdata = [data.return_data];
                _this.deputytext = _this.sanitiaer.bypassSecurityTrustHtml(data.return_data.content);
                if (data.return_data.attachment != '') {
                    _this.fjdata = data.return_data.attachment.split(",");
                }
            }
            else {
                loading.dismiss();
            }
        }, function (error) {
            loading.dismiss();
        });
    };
    /**
     * 跳转
     */
    ServerActivityPage.prototype.jumpweb = function (item) {
        window.location.href = __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_global__["d" /* IMAGEURL */] + item;
    };
    ServerActivityPage.prototype.ionViewDidLoad = function () {
        this.getThumbs();
        this.getcollectData();
    };
    // 请求点赞数据
    ServerActivityPage.prototype.getThumbs = function () {
        var _this = this;
        var url = 'userLike/countArticleLike?articleId=' + this.newsId + '&type=0';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data != '') {
                _this.thumbs = data.return_data;
            }
        }, function (error) {
        });
    };
    // 请求收藏数据
    ServerActivityPage.prototype.getcollectData = function () {
        var _this = this;
        var url = 'userCollect/countCollect?articleId=' + this.newsId + '&type=0';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data != '') {
                _this.collectNum = data.return_data;
            }
        }, function (error) {
        });
    };
    // 点赞
    ServerActivityPage.prototype.clickThumbs = function () {
        var _this = this;
        // 判断是否登录，未登录跳转到登录页面
        if (this.userId == '') {
            this.appCtrl.getActiveNav().push('LoginPage');
            return;
        }
        var url;
        if (this.thumbsUpStatus) {
            url = 'userLike/unlikeArticle'; //取消点赞
        }
        else {
            url = 'userLike/likeArticle'; //点赞
        }
        var userLikeArticle = {
            articleId: this.newsId,
            type: 0,
            userId: this.userId
        };
        this.toolservice.doPost(url, userLikeArticle, function (data) {
            if (data.return_code == '000000' && typeof data.return_data === 'number') {
                _this.thumbs = data.return_data;
                if (url === 'userLike/likeArticle') {
                    _this.thumbsUpStatus = true;
                }
                else {
                    _this.thumbsUpStatus = false;
                }
            }
            else {
                _this.toolservie.showtoast(data.return_msg);
            }
        }, function (error) {
        });
    };
    // 收藏
    ServerActivityPage.prototype.clickCollection = function () {
        var _this = this;
        // 判断是否登录，未登录跳转到登录页面
        if (this.userId == '') {
            this.appCtrl.getActiveNav().push('LoginPage');
            return;
        }
        var url;
        if (this.collectionStatus) {
            url = 'userCollect/cancelCollect'; //取消收藏
        }
        else {
            url = 'userCollect/collect'; //收藏
        }
        var userLikeArticle = {
            articleId: this.newsId,
            type: 0,
            userId: this.userId
        };
        this.toolservice.doPost(url, userLikeArticle, function (data) {
            if (data.return_code == '000000' && typeof data.return_data === 'number') {
                _this.collectNum = data.return_data;
                if (url === 'userCollect/collect') {
                    _this.collectionStatus = true;
                }
                else {
                    _this.collectionStatus = false;
                }
            }
            else {
                _this.toolservie.showtoast(data.return_msg);
            }
        }, function (error) {
        });
    };
    ServerActivityPage.prototype.share = function (type) {
        // 判断是否登录，未登录跳转到登录页面
        if (this.userId == '') {
            this.appCtrl.getActiveNav().push('LoginPage');
            return;
        }
        Wechat.share({
            message: {
                title: this.newsdatailsdata[0].title,
                description: this.newsdatailsdata[0].title,
                thumb: "www/assets/imgs/logo.jpg",
                media: {
                    type: Wechat.Type.WEBPAGE,
                    webpageUrl: __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_global__["a" /* BASE_SHARE_URL */] + "?id=" + this.newsId + "&type=news"
                }
            },
            scene: type === 0 ? Wechat.Scene.SESSION : Wechat.Scene.TIMELINE
        }, function () {
        }, function (reason) {
            alert("Failed: " + reason);
        });
    };
    ServerActivityPage.prototype.tapShare = function () {
        this.popupStatus = true;
    };
    ServerActivityPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-server-activity',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\server-activity\server-activity.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>活动详情</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <div style="width: 100%;margin-bottom: 50px;" *ngFor="let newsde of newsdatailsdata">\n\n    <div class="news_div_title">{{newsde.title}}</div>\n\n    <!-- <div style="width: 100%;height: 1px;background-color: #F6F6F6"></div> -->\n\n    <div class="news_div_relese">\n\n      <div class="news_div_relese_left">\n\n        <!-- <img style="width: 15px;" src="assets/imgs/7.png">&nbsp;&nbsp; -->\n\n        <span>\n\n          {{newsde.createTime | date:"yyyy-MM-dd"}}\n\n        </span>\n\n      </div>\n\n      <!--<div class="news_div_relese_conter">来源:{{newsde.source}}</div>-->\n\n     <!-- <div class="rightIcon">\n\n        <div class="news_div_relese_right" (click)="clickThumbs()">\n\n          <img *ngIf="thumbsUpStatus" style="width: 17px;" src="../../../assets/imgs/news/1.png">\n\n          <img *ngIf="!thumbsUpStatus" style="width: 17px;" src="../../../assets/imgs/news/0.png">&nbsp;&nbsp;{{thumbs}}\n\n        </div>\n\n        <div class="news_div_relese_right" (click)="clickCollection()">\n\n          <img *ngIf="collectionStatus" style="width: 17px;" src="../../../assets/imgs/news/3.png">\n\n          <img *ngIf="!collectionStatus" style="width: 17px;"\n\n            src="../../../assets/imgs/news/2.png">&nbsp;&nbsp;{{collectNum}}\n\n        </div>\n\n        <div class="news_div_relese_right"><img style="width: 17px;"\n\n            src="assets/imgs/6.png">&nbsp;&nbsp;{{newsde.readQuantity}}\n\n        </div>\n\n      </div> -->\n\n    </div>\n\n    <img style="width: 100%;" src="{{newsdetailsimurl+newsde.mainImg}}">\n\n    <!-- <div class="news_div_label"></div> -->\n\n    <div class="news_div_html" [innerHTML]="deputytext"></div>\n\n    <div style="width: 90%;margin-left: 5%;color: #525252;font-size: 15px;" *ngIf="fjdata !=null">\n\n      附件:\n\n    </div>\n\n    <div style="width: 90%;margin-left: 5%;color: #487aff;margin-top: 5px;" *ngFor="let fj of fjdata"\n\n      (click)="jumpweb(fj)">\n\n      {{fj}}\n\n    </div>\n\n  </div>\n\n</ion-content>\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\server-activity\server-activity.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_3__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["App"]])
    ], ServerActivityPage);
    return ServerActivityPage;
}());

//# sourceMappingURL=server-activity.js.map

/***/ }),

/***/ 938:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ServerActivityPageModule", function() { return ServerActivityPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__server_activity__ = __webpack_require__(1163);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ServerActivityPageModule = /** @class */ (function () {
    function ServerActivityPageModule() {
    }
    ServerActivityPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__server_activity__["a" /* ServerActivityPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__server_activity__["a" /* ServerActivityPage */]),
            ],
        })
    ], ServerActivityPageModule);
    return ServerActivityPageModule;
}());

//# sourceMappingURL=server-activity.module.js.map

/***/ })

});
//# sourceMappingURL=125.js.map