webpackJsonp([126],{

/***/ 1170:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return RecruitmentPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the RecruitmentPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var RecruitmentPage = /** @class */ (function () {
    function RecruitmentPage(navCtrl, navParams, toolservice, modalctrl, thePublicModule, loadingCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.modalctrl = modalctrl;
        this.thePublicModule = thePublicModule;
        this.loadingCtrl = loadingCtrl;
        //职位类别
        this.positionType = '';
        //职位列表名称
        this.positionTypeName = '';
        //工作地点
        this.cityress = '';
        this.cityressId = '';
        this.getDictionaryByCodeTypeEXPERIENCE();
        this.getDictionaryByCodeTypeEDUCATION();
        this.typeId = this.navParams.get('resId');
        if (this.typeId != '') {
            this.findById();
        }
    }
    RecruitmentPage.prototype.ionViewDidLoad = function () {
    };
    //页面即将进入的时候
    RecruitmentPage.prototype.ionViewWillEnter = function () {
        if (window.localStorage.getItem('sendIndexname') != null) {
            this.cityress = window.localStorage.getItem('sendIndexname');
            this.cityressId = window.localStorage.getItem('firstIndexss') + ',' + window.localStorage.getItem('sendIndex');
        }
        if (window.localStorage.getItem('sendTypeIndexname') != null) {
            this.positionTypeName = window.localStorage.getItem('sendTypeIndexname');
            this.positionType = window.localStorage.getItem('firstTypeIndex') + ',' + window.localStorage.getItem('sendTypeIndex') + ',' + window.localStorage.getItem('thirTypeIndex');
        }
    };
    /**
     * 查询详情
     */
    RecruitmentPage.prototype.findById = function () {
        var _this = this;
        var url = 'ncTalent/findById?positionId=' + this.typeId;
        this.toolservice.doGetTa(url, function (data) {
            if (data.return_code == '000000') {
                _this.companyName = data.return_data.companyName;
                _this.recruitmentType = data.return_data.recruitmentType;
                _this.positionName = data.return_data.positionName;
                _this.positionType = data.return_data.positionType;
                _this.positionTypeName = data.return_data.positionTypeName;
                _this.experience = data.return_data.experience;
                _this.education = data.return_data.education;
                var prices = data.return_data.pay.split(',');
                _this.salaryIndex = prices[0];
                _this.salaryIndexto = prices[1];
                _this.recruitingNum = data.return_data.recruitingNum;
                _this.positionLabel = data.return_data.positionLabel;
                _this.cityressId = data.return_data.regionId;
                _this.cityress = data.return_data.regionName;
                _this.address = data.return_data.address;
                _this.lightspot = data.return_data.lightspot;
                _this.department = data.return_data.department;
                _this.positionDescribe = data.return_data.positionDescribe;
            }
        });
    };
    /**
     * 工作经验查询
     */
    RecruitmentPage.prototype.getDictionaryByCodeTypeEXPERIENCE = function () {
        var _this = this;
        var url = 'common/getDictionaryByCodeType?codeType=EXPERIENCE';
        this.toolservice.doGetTa(url, function (data) {
            if (data.return_code == '000000') {
                _this.experData = data.return_data;
            }
        });
    };
    /**
     * 学历
     */
    RecruitmentPage.prototype.getDictionaryByCodeTypeEDUCATION = function () {
        var _this = this;
        var url = 'common/getDictionaryByCodeType?codeType=EDUCATION';
        this.toolservice.doGetTa(url, function (data) {
            if (data.return_code == '000000') {
                _this.educData = data.return_data;
            }
        });
    };
    /**
     * 页面已经离开
     */
    RecruitmentPage.prototype.ionViewWillLeave = function () {
        if (window.localStorage.getItem('sendIndex') != null) {
            window.localStorage.removeItem('sendIndex');
            window.localStorage.removeItem('sendIndexname');
            window.localStorage.removeItem('firstIndexss');
        }
        if (window.localStorage.getItem('sendTypeIndexname') != null) {
            window.localStorage.removeItem('sendTypeIndex');
            window.localStorage.removeItem('firstTypeIndex');
            window.localStorage.removeItem('sendTypeIndexname');
            window.localStorage.removeItem('thirTypeIndex');
        }
    };
    /**
     * 跳转城市选择
     */
    RecruitmentPage.prototype.jumpCity = function () {
        this.navCtrl.push('ClassCtiryPage');
    };
    /**
     * 职位选择
     */
    RecruitmentPage.prototype.jumpJobInfo = function () {
        this.navCtrl.push('JobClassInfoPage');
    };
    /**
     * 发布
     */
    RecruitmentPage.prototype.releserecru = function () {
        var _this = this;
        if (this.recruitmentType == '') {
            this.toolservice.showtoast("请选择招聘类型");
        }
        else if (this.positionName == '') {
            this.toolservice.showtoast("请输入职位名称");
        }
        else if (this.positionType == '') {
            this.toolservice.showtoast("请选择职位类别");
        }
        else if (this.experience == '') {
            this.toolservice.showtoast("请选择工作年数");
        }
        else if (this.education == '') {
            this.toolservice.showtoast("请选择最低学历");
        }
        else if (this.salaryIndex == '') {
            this.toolservice.showtoast("请输入最低薪资");
        }
        else if (this.salaryIndexto == '') {
            this.toolservice.showtoast("请输入最高薪资");
        }
        else if (this.recruitingNum == '') {
            this.toolservice.showtoast("请输入招聘人数");
        }
        else if (this.positionLabel == '') {
            this.toolservice.showtoast("请输入职位关键词");
        }
        else if (this.cityress == '') {
            this.toolservice.showtoast("请选择工作地址");
        }
        else if (this.address == '') {
            this.toolservice.showtoast("请输入详情地址");
        }
        else if (this.lightspot == '') {
            this.toolservice.showtoast("请输入职位亮点");
        }
        else if (this.positionDescribe == '') {
            this.toolservice.showtoast("请输入职位描述");
        }
        else {
            var loading_1 = this.loadingCtrl.create();
            loading_1.present();
            this.pay = this.salaryIndex + ',' + this.salaryIndexto;
            var url = void 0;
            var datas = void 0;
            if (this.typeId != '') {
                url = 'ncTalent/updatePosition';
                datas = {
                    id: this.typeId,
                    address: this.address,
                    experience: this.experience,
                    companyName: this.companyName,
                    education: this.education,
                    lightspot: this.lightspot,
                    pay: this.pay,
                    //pay1 pay2
                    positionDescribe: this.positionDescribe,
                    positionLabel: this.positionLabel,
                    positionName: this.positionName,
                    positionType: this.positionType,
                    positionTypeName: this.positionTypeName,
                    recruitmentType: this.recruitmentType,
                    //regionArray 0 1
                    regionId: this.cityressId,
                    recruitingNum: this.recruitingNum,
                    department: this.department
                };
            }
            else {
                url = 'ncTalent/addPosition';
                datas = {
                    address: this.address,
                    experience: this.experience,
                    education: this.education,
                    lightspot: this.lightspot,
                    companyName: JSON.parse(window.localStorage.getItem("COMPANY")).name,
                    pay: this.pay,
                    pay1: this.pay.split(',')[1],
                    pay2: this.pay.split(',')[0],
                    positionDescribe: this.positionDescribe,
                    positionLabel: this.positionLabel,
                    positionName: this.positionName,
                    positionType: this.positionType,
                    positionTypeName: this.positionTypeName,
                    recruitmentType: this.recruitmentType,
                    regionArray: this.cityressId.split(','),
                    1: this.cityressId.split(',')[0],
                    2: this.cityressId.split(',')[1],
                    regionId: this.cityressId,
                    recruitingNum: this.recruitingNum,
                    department: this.department
                };
            }
            this.toolservice.doPostTa(url, datas, function (data) {
                if (data.return_code == '000000') {
                    _this.toolservice.showtoast("发布成功");
                    loading_1.dismiss();
                    setTimeout(function () {
                        _this.navCtrl.pop();
                    }, 1000);
                }
                else {
                    _this.toolservice.showtoast(data.return_msg);
                    loading_1.dismiss();
                }
            }, function (error) {
                loading_1.dismiss();
            });
        }
    };
    RecruitmentPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-recruitment',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\recruitment\recruitment.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>发布招聘</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n\n\n  <div class="selfDes fcor999 font14">基本信息</div>\n\n  <ion-item class="width90 info-view">\n\n    <ion-label class="fcor333 font15">招聘类型</ion-label>\n\n    <ion-select [(ngModel)]="recruitmentType" placeholder="请选择招聘类型" cancelText="取消" okText="确认">\n\n      <ion-option value="1">兼职</ion-option>\n\n      <ion-option value="2">全职</ion-option>\n\n    </ion-select>\n\n  </ion-item>\n\n\n\n  <ion-item class="width90 info-view">\n\n    <ion-label class="fcor333 font15">职位名称</ion-label>\n\n    <ion-input placeholder="请输入职位名称" [(ngModel)]="positionName"></ion-input>\n\n  </ion-item>\n\n\n\n  <div class="width90 height50" style="border-bottom: 1px solid #b2b2b2;" (click)="jumpJobInfo()">\n\n    <div class="fcor333 font14 width30">职位类别</div>\n\n    <img class="image-jiantou" src="assets/imgs/resume/tabbar7.png">\n\n    <div class="fcor999 font14 flright width50">\n\n      {{ positionTypeName === \'\' ? "请选择职位类别" : positionTypeName }}\n\n    </div>\n\n  </div>\n\n\n\n\n\n  <ion-item class="width90 info-view">\n\n    <ion-label class="fcor333 font15">工作年数</ion-label>\n\n    <ion-select [(ngModel)]="experience" placeholder="请选择工作年数" cancelText="取消" okText="确认">\n\n      <ion-option *ngFor="let ex1 of experData" value="{{ex1.codeValue}}">{{ex1.codeName}}</ion-option>\n\n    </ion-select>\n\n  </ion-item>\n\n\n\n  <ion-item class="width90 info-view">\n\n    <ion-label class="fcor333 font15">最低学历</ion-label>\n\n    <ion-select [(ngModel)]="education" placeholder="请选择最低学历" cancelText="取消" okText="确认">\n\n      <ion-option *ngFor="let ex1 of educData" value="{{ex1.codeValue}}">{{ex1.codeName}}</ion-option>\n\n    </ion-select>\n\n  </ion-item>\n\n\n\n\n\n  <ion-item class="width90 info-view">\n\n    <ion-label class="fcor333 font15">最低薪资(k)</ion-label>\n\n    <ion-input placeholder="输入整数(k)" [(ngModel)]="salaryIndex"></ion-input>\n\n  </ion-item>\n\n\n\n  <ion-item class="width90 info-view" no-lines="">\n\n    <ion-label class="fcor333 font15">最高薪资(k)</ion-label>\n\n    <ion-input placeholder="输入整数(k)" [(ngModel)]="salaryIndexto"></ion-input>\n\n  </ion-item>\n\n\n\n\n\n  <div class="selfDes fcor999 font14">职位详情</div>\n\n  <ion-item class="width90 info-view">\n\n    <ion-label class="fcor333 font15">招聘人数</ion-label>\n\n    <ion-input placeholder="请输入招聘人数" [(ngModel)]="recruitingNum"></ion-input>\n\n  </ion-item>\n\n\n\n  <ion-item class="width90 info-view">\n\n    <ion-label class="fcor333 font15">职位关键词</ion-label>\n\n    <ion-input placeholder="请输入职位关键词,多个关键词用\',\'隔开" [(ngModel)]="positionLabel"></ion-input>\n\n  </ion-item>\n\n\n\n\n\n  <div class="width90 height50" (click)="jumpCity()">\n\n    <div class="fcor333 font14 width30">工作地址</div>\n\n    <img class="image-jiantou" src="assets/imgs/resume/tabbar7.png">\n\n    <div class="fcor999 font14 flright width50">\n\n      {{ cityress === \'\' ? "请选择工作地址" : cityress }}\n\n    </div>\n\n  </div>\n\n\n\n  <div class="line885 width90"></div>\n\n\n\n  <ion-item class="width90 info-view">\n\n    <ion-label class="fcor333 font15">详细地址</ion-label>\n\n    <ion-input placeholder="请输入详细地址" [(ngModel)]="address"></ion-input>\n\n  </ion-item>\n\n\n\n  <ion-item class="width90 info-view">\n\n    <ion-label class="fcor333 font15">职位亮点</ion-label>\n\n    <ion-input placeholder="请输入职位亮点" [(ngModel)]="lightspot"></ion-input>\n\n  </ion-item>\n\n\n\n\n\n  <ion-item class="width90 info-view">\n\n    <ion-label class="fcor333 font15">所属部门</ion-label>\n\n    <ion-input placeholder="请输入所属部门" [(ngModel)]="department"></ion-input>\n\n  </ion-item>\n\n\n\n  <div class="textarea-wrp">\n\n    <textarea placeholder="请输入岗位职责,任职要求等,至少20字" maxlength="500" class="mypro_textarea" cols="50" rows="8"\n\n              [(ngModel)]="positionDescribe"></textarea>\n\n  </div>\n\n\n\n\n\n  <button ion-button="" class="btnw70 marb50" (click)="releserecru()">保存</button>\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\recruitment\recruitment.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["i" /* ThePublicModule */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"]])
    ], RecruitmentPage);
    return RecruitmentPage;
}());

//# sourceMappingURL=recruitment.js.map

/***/ }),

/***/ 945:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "RecruitmentPageModule", function() { return RecruitmentPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__recruitment__ = __webpack_require__(1170);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var RecruitmentPageModule = /** @class */ (function () {
    function RecruitmentPageModule() {
    }
    RecruitmentPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__recruitment__["a" /* RecruitmentPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__recruitment__["a" /* RecruitmentPage */]),
            ],
        })
    ], RecruitmentPageModule);
    return RecruitmentPageModule;
}());

//# sourceMappingURL=recruitment.module.js.map

/***/ })

});
//# sourceMappingURL=126.js.map