webpackJsonp([127],{

/***/ 1155:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PublishPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};



/**
 * Generated class for the PublishPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var PublishPage = /** @class */ (function () {
    function PublishPage(navCtrl, navParams, pickercontroller, toolservice) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.pickercontroller = pickercontroller;
        this.toolservice = toolservice;
        this.pickerController = document.querySelector('ion-picker-controller');
        this.defaultColumnOptions = [
            [
                'Dog',
                'Cat',
                'Bird',
                'Lizard',
                'Chinchilla'
            ]
        ];
    }
    PublishPage.prototype.ionViewDidLoad = function () {
        this.getSpecifications();
    };
    // 查询项目规格
    PublishPage.prototype.getSpecifications = function () {
        var url = 'bsCategoryDictionary/getPageCategoryDictionary?type=18&pageNum=1&pageSize=1000';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
                console.log(data['return_data']);
            }
        });
    };
    PublishPage.prototype.openPicker = function (numColumns, numOptions, multiColumnOptions) {
        if (numColumns === void 0) { numColumns = 1; }
        if (numOptions === void 0) { numOptions = 5; }
        return __awaiter(this, void 0, void 0, function () {
            var picker;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, this.pickercontroller.create({
                            columns: this.getColumns(numColumns, numOptions, multiColumnOptions),
                            buttons: [
                                {
                                    text: '取消',
                                    role: 'cancel'
                                },
                                {
                                    text: '确定',
                                    handler: function (value) {
                                        console.log("Got Value " + value);
                                    }
                                }
                            ]
                        })];
                    case 1:
                        picker = _a.sent();
                        return [4 /*yield*/, picker.present()];
                    case 2:
                        _a.sent();
                        return [2 /*return*/];
                }
            });
        });
    };
    PublishPage.prototype.getColumns = function (numColumns, numOptions, columnOptions) {
        var columns = [];
        for (var i = 0; i < numColumns; i++) {
            columns.push({
                name: "col-" + i,
                options: this.getColumnOptions(i, numOptions, columnOptions)
            });
        }
        return columns;
    };
    PublishPage.prototype.getColumnOptions = function (columnIndex, numOptions, columnOptions) {
        var options = [];
        for (var i = 0; i < numOptions; i++) {
            options.push({
                text: columnOptions[columnIndex][i % numOptions],
                value: i
            });
        }
        return options;
    };
    PublishPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-publish',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\publish\publish.html"*/'<!--\n\n  Generated template for the PublishPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>招标发布</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-item>\n\n    <ion-label>项目名称</ion-label>\n\n    <ion-input></ion-input>\n\n  </ion-item>\n\n  <ion-item>\n\n    <ion-label>项目规格</ion-label>\n\n    <ion-input (click)="openPicker(1,5,defaultColumnOptions)"></ion-input>\n\n  </ion-item>\n\n  <ion-item>\n\n    <ion-label>项目数量</ion-label>\n\n    <ion-input></ion-input>\n\n  </ion-item>\n\n  <ion-item>\n\n    <ion-label>报价方式</ion-label>\n\n    <ion-input></ion-input>\n\n  </ion-item>\n\n  <ion-item>\n\n    <ion-label>截止时间</ion-label>\n\n    <ion-datetime displayFormat="YYYY-MM-DD" cancelText="取消" doneText="确定" [min]="minDate" max="2049-12" [(ngModel)]="expiryDate" (ionChange)="changeBtntext()"></ion-datetime>\n\n  </ion-item>\n\n  <ion-item>\n\n    <ion-label>时间要求</ion-label>\n\n    <ion-input></ion-input>\n\n  </ion-item>\n  <ion-item>\n    <ion-label>需求描述</ion-label>\n    <ion-textarea rows="6"></ion-textarea>\n  </ion-item>\n  <ion-item>\n    <ion-label>资质要求</ion-label>\n    <ion-textarea rows="6"></ion-textarea>\n  </ion-item>\n  <ion-item>\n    <ion-label>其他说明</ion-label>\n    <ion-textarea rows="6"></ion-textarea>\n  </ion-item>\n\n</ion-content>\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\publish\publish.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["PickerController"], __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */]])
    ], PublishPage);
    return PublishPage;
}());

//# sourceMappingURL=publish.js.map

/***/ }),

/***/ 930:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PublishPageModule", function() { return PublishPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__publish__ = __webpack_require__(1155);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var PublishPageModule = /** @class */ (function () {
    function PublishPageModule() {
    }
    PublishPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__publish__["a" /* PublishPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__publish__["a" /* PublishPage */]),
            ],
        })
    ], PublishPageModule);
    return PublishPageModule;
}());

//# sourceMappingURL=publish.module.js.map

/***/ })

});
//# sourceMappingURL=127.js.map