webpackJsonp([129],{

/***/ 1151:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PositionDetailsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the PositionDetailsPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var PositionDetailsPage = /** @class */ (function () {
    function PositionDetailsPage(navCtrl, navParams, toolservice, modalctrl, thePublicModule, loadingCtrl, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.modalctrl = modalctrl;
        this.thePublicModule = thePublicModule;
        this.loadingCtrl = loadingCtrl;
        this.alertCtrl = alertCtrl;
        //地址
        this.address = '';
        //面试时间
        this.deliveryDate = '';
        //面试时间
        this.deliveryTime = '';
        //联系人
        this.linkman = '';
        //电话号码
        this.phone = '';
        //备注
        this.remark = '';
        this.positionId = this.navParams.get('posid');
    }
    PositionDetailsPage.prototype.ionViewDidLoad = function () {
    };
    /**
     * 邀请面试
     */
    PositionDetailsPage.prototype.resumeStatusChange = function () {
        var _this = this;
        if (this.deliveryTime == '') {
            this.toolservice.showtoast('请填写面试时间');
        }
        else if (this.linkman == '') {
            this.toolservice.showtoast('请填写联系人');
        }
        else if (this.phone == '') {
            this.toolservice.showtoast('请填写联系电话');
        }
        else if (this.address == '') {
            this.toolservice.showtoast('请填写面试地址');
        }
        else {
            var prompt_1 = this.alertCtrl.create({
                title: '确认当前操作吗?',
                buttons: [
                    {
                        text: '取消',
                        handler: function (data) {
                        }
                    },
                    {
                        text: '确认',
                        handler: function (data) {
                            var loading = _this.loadingCtrl.create();
                            loading.present();
                            var url = 'ncTalent/resumeStatusChange';
                            var _time = '' + _this.deliveryDate + ' ' + _this.deliveryTime;
                            var datas = {
                                address: _this.address,
                                deliveryTime: new Date(_time).getTime(),
                                id: _this.positionId,
                                linkman: _this.linkman,
                                phone: _this.phone,
                                remark: _this.remark,
                                status: 2
                            };
                            _this.toolservice.doPostTa(url, datas, function (data) {
                                if (data.return_code == '000000') {
                                    loading.dismiss();
                                    _this.toolservice.showtoast(data.return_data);
                                    _this.navCtrl.pop();
                                }
                                else {
                                    _this.toolservice.showtoast(data.return_msg);
                                    loading.dismiss();
                                }
                            }, function (error) {
                                loading.dismiss();
                            });
                        }
                    }
                ]
            });
            prompt_1.present();
        }
    };
    PositionDetailsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-position-details',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\position-details\position-details.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>邀请面试</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-item class="width90 info-view">\n\n    <ion-label class="fcor333 font15">面试日期</ion-label>\n\n    <ion-datetime placeholder="请选择" cancelText="取消" doneText="确认" displayFormat="YYYY-MM-DD"\n\n                  [(ngModel)]="deliveryDate">\n\n    </ion-datetime>\n\n  </ion-item>\n\n  <ion-item class="width90 info-view">\n\n    <ion-label class="fcor333 font15">面试时间</ion-label>\n\n    <ion-datetime placeholder="请选择" cancelText="取消" doneText="确认" displayFormat="HH:mm"\n\n                  [(ngModel)]="deliveryTime">\n\n    </ion-datetime>\n\n  </ion-item>\n\n\n\n  <ion-item class="width90 info-view">\n\n    <ion-label class="fcor333 font15">联系人</ion-label>\n\n    <ion-input placeholder="请输入" [(ngModel)]="linkman"></ion-input>\n\n  </ion-item>\n\n\n\n  <ion-item class="width90 info-view">\n\n    <ion-label class="fcor333 font15">联系电话</ion-label>\n\n    <ion-input placeholder="请输入" [(ngModel)]="phone"></ion-input>\n\n  </ion-item>\n\n\n\n  <ion-item class="width90 info-view">\n\n    <ion-label class="fcor333 font15">面试地址</ion-label>\n\n    <ion-input placeholder="请输入" [(ngModel)]="address"></ion-input>\n\n  </ion-item>\n\n\n\n  <div class="textarea-wrp">\n\n    <textarea placeholder="请填写备注信息" maxlength="500" class="mypro_textarea" cols="50" rows="8"\n\n              [(ngModel)]="remark"></textarea>\n\n  </div>\n\n\n\n  <button ion-button="" class="btnw70" (click)="resumeStatusChange()">确定</button>\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\position-details\position-details.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["i" /* ThePublicModule */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"]])
    ], PositionDetailsPage);
    return PositionDetailsPage;
}());

//# sourceMappingURL=position-details.js.map

/***/ }),

/***/ 926:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PositionDetailsPageModule", function() { return PositionDetailsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__position_details__ = __webpack_require__(1151);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var PositionDetailsPageModule = /** @class */ (function () {
    function PositionDetailsPageModule() {
    }
    PositionDetailsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__position_details__["a" /* PositionDetailsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__position_details__["a" /* PositionDetailsPage */]),
            ],
        })
    ], PositionDetailsPageModule);
    return PositionDetailsPageModule;
}());

//# sourceMappingURL=position-details.module.js.map

/***/ })

});
//# sourceMappingURL=129.js.map