webpackJsonp([130],{

/***/ 1152:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PolicyPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
 * Generated class for the PolicyPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var PolicyPage = /** @class */ (function () {
    function PolicyPage(navCtrl, navParams, toolservice, loadingctrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.loadingctrl = loadingctrl;
        //segment默认
        this.Policyhall = 'Policyfocus';
        //筛选
        this.selectLabel = '';
        this.getLabel = '';
        this.getlabelid = '';
        // 每页展示的记录条数
        this.pageSize = 10;
        // 政策记录列表刷新次数
        this.numrecord = 1;
        //声明参数
        this.nums = 1;
        this.Requestpolicydata();
        this.getChildAdmindata();
        this.dqdatetime = new Date().getTime();
        this.getPageCategory();
        this.ThumbsUps = [];
        this.collects = [];
        this.typeid = this.navParams.get('numid');
        this.Policyhall = this.navParams.get('type');
        if (this.typeid = 1) {
        }
        if (this.Policyhall === 'Projectapplication') {
            this.Projectapplicationdata();
        }
    }
    /**
     * 请求政策数据
     */
    PolicyPage.prototype.Requestpolicydata = function () {
        var _this = this;
        this.policyorganid = '';
        this.nums = 1;
        // let newsstadata = document.getElementById("datastatus");
        // newsstadata.style.display = 'none';
        var loading = this.loadingctrl.create({});
        loading.present();
        var url = 'bsPolicyDocument/getPagePolicyDocument?status=2&pageNum=1&pageSize=10';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                _this.policydata = data.return_data.list;
                _this.policylength = data.return_data['total'];
                // 消息记录数组最大页面赋值
                _this.policyPage = data.return_data['pages'];
                _this.numrecord = 1;
                loading.dismiss();
            }
            else {
                _this.toolservice.showtoast(data.return_msg);
                loading.dismiss();
            }
        }, function (error) {
            loading.dismiss();
        });
    };
    /**
     * 获取标签
     */
    PolicyPage.prototype.getPageCategory = function () {
        var _this = this;
        var url = 'bsCategoryDictionary/getPageCategoryDictionary?type=13&pageNum=1&pageSize=10';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                _this.labeldata = [
                    { title: '标签', 'content': data.return_data.list }
                ];
            }
            else {
                _this.labeldata = null;
            }
        });
    };
    /**
     * 进入页面执行
     */
    PolicyPage.prototype.ionViewWillEnter = function () {
        // this.getThumbsUps()
        // this.getCollection()
    };
    // 获取已点赞数据
    PolicyPage.prototype.getThumbsUps = function () {
        var _this = this;
        var url = 'userLike/userLikeArticles?type=0&pageNum=1&pageSize=1000';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                _this.ThumbsUps = data.return_data.length ? data.return_data : [];
            }
            else {
                _this.toolservice.showtoast(data.return_msg);
            }
        });
    };
    // 获取收藏数据
    PolicyPage.prototype.getCollection = function () {
        var _this = this;
        var url = 'userCollect/collectArticle?type=0&pageNum=1&pageSize=1000';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                _this.collects = data.return_data.length ? data.return_data : [];
            }
            else {
                _this.toolservice.showtoast(data.return_msg);
            }
        });
    };
    /**
     * 请求政策解读数据
     */
    PolicyPage.prototype.Policyinterpretationdata = function () {
        var _this = this;
        this.policyorganid = '';
        this.nums = 2;
        // let newsstadata = document.getElementById("datastatus");
        // newsstadata.style.display = 'none';
        var loading = this.loadingctrl.create({});
        loading.present();
        var url = 'bsPolicyInterpret/getPagePolicyInterpret?status=2&pageNum=1&pageSize=10';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                _this.Policyinpretadata = data.return_data.list;
                _this.policylength = data.return_data['total'];
                // 消息记录数组最大页面赋值
                _this.policyPage = data.return_data['pages'];
                _this.numrecord = 1;
                loading.dismiss();
            }
            else {
                loading.dismiss();
                _this.toolservice.showtoast(data.return_msg);
            }
        }, function (error) {
            loading.dismiss();
        });
    };
    /**
     * 请求项目申报数据
     */
    PolicyPage.prototype.Projectapplicationdata = function () {
        var _this = this;
        this.policyorganid = '';
        this.nums = 3;
        var loading = this.loadingctrl.create({});
        loading.present();
        var url = 'bsProject/getPageProject?status=2&pageNum=1&pageSize=10';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                _this.Projectdata = data.return_data.list;
                _this.policylength = data.return_data['total'];
                // 消息记录数组最大页面赋值
                _this.policyPage = data.return_data['pages'];
                _this.numrecord = 1;
                loading.dismiss();
            }
            else {
                loading.dismiss();
                _this.toolservice.showtoast(data.return_msg);
            }
        }, function (error) {
            loading.dismiss();
        });
    };
    /**
     * 根据条件查询
     */
    PolicyPage.prototype.searpolicys = function (polisear) {
        var _this = this;
        if (polisear.value.length == 0) {
            this.toolservice.showtoast("请输入");
        }
        else {
            var loading_1 = this.loadingctrl.create({});
            loading_1.present();
            this.numrecord = 1;
            var url = void 0;
            if (this.nums == 1) {
                if (this.policyorganid != '') {
                    url = 'bsPolicyDocument/getPagePolicyDocument?title=' + polisear.value + '&orgId=' + this.policyorganid + '&status=2&pageNum=1&pageSize=10';
                }
                else {
                    url = 'bsPolicyDocument/getPagePolicyDocument?title=' + polisear.value + '&status=2&pageNum=1&pageSize=10';
                }
            }
            else if (this.nums == 2) {
                if (this.policyorganid != '') {
                    url = 'bsPolicyInterpret/getPagePolicyInterpret?title=' + polisear.value + '&orgId=' + this.policyorganid + '&status=2&pageNum=1&pageSize=10';
                }
                else {
                    url = 'bsPolicyInterpret/getPagePolicyInterpret?title=' + polisear.value + '&status=2&pageNum=1&pageSize=10';
                }
            }
            else {
                if (this.policyorganid != '') {
                    url = 'bsProject/getPageProject?name=' + polisear.value + '&categoryId=' + this.policyorganid + '&status=2&pageNum=1&pageSize=10';
                }
                else {
                    url = 'bsProject/getPageProject?name=' + polisear.value + '&status=2&pageNum=1&pageSize=10';
                }
            }
            this.toolservice.doGet(url, function (data) {
                if (data.return_code == '000000' && data.return_data.list != '') {
                    loading_1.dismiss();
                    if (_this.nums == 1) {
                        _this.policydata = data.return_data.list;
                    }
                    else if (_this.nums == 2) {
                        _this.Policyinpretadata = data.return_data.list;
                    }
                    else {
                        _this.Projectdata = data.return_data.list;
                    }
                    _this.policylength = data.return_data['total'];
                    // 消息记录数组最大页面赋值
                    _this.policyPage = data.return_data['pages'];
                }
                else {
                    loading_1.dismiss();
                    _this.toolservice.showtoast(data.return_msg);
                    if (_this.nums == 1) {
                        _this.policydata = [];
                    }
                    else if (_this.nums == 2) {
                        _this.Policyinpretadata = [];
                    }
                    else {
                        _this.Projectdata = [];
                    }
                }
            }, function (error) {
                loading_1.dismiss();
            });
        }
    };
    /**
     * 获取筛选部门数据
     */
    PolicyPage.prototype.getChildAdmindata = function () {
        var _this = this;
        var url = 'baseOrganization/getAllChildAdminByIdentify?identify=ADMINISTRATION';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data != '') {
                _this.policyscreeningdata = [
                    { title: '国家级', 'content': data.return_data.country },
                    { title: '省级', 'content': data.return_data.province },
                    { title: '市级', 'content': data.return_data.city },
                    { title: '县级', 'content': data.return_data.area },
                ];
                var cout = { 'name': '国家级', 'id': 2 };
                var provic = { 'name': '省级', 'id': 3 };
                var citys = { 'name': '市级', 'id': 4 };
                var area = { 'name': '县级', 'id': 5 };
                _this.policyscreeningdata[0].content.push(cout);
                _this.policyscreeningdata[1].content.push(provic);
                _this.policyscreeningdata[2].content.push(citys);
                _this.policyscreeningdata[3].content.push(area);
            }
        });
    };
    /**
     * 打开
     */
    PolicyPage.prototype.openscreening = function () {
        this.selectLabel = '';
        this.policyorganid = '';
        this.getLabel = '';
        this.getlabelid = '';
        var screeningitem = document.getElementById("screening");
        screeningitem.style.display = 'block';
    };
    // /**
    //  * 评价
    //  * @param item
    //  */
    // evaluationpolicy(screid) {
    // }
    //
    // closescre(item) {
    //   let sct = item.path.filter(function (f) {
    //     return f.className == 'changes';
    //   });
    //
    //   let pjBtn = item.path.filter(function (f) {
    //     return f.className == 'button-inner';
    //   });
    //
    //   if (pjBtn.length == 0 && sct.length == 0) {
    //     this.numid = "";
    //   }
    // }
    /**
     * 关闭筛选
     */
    PolicyPage.prototype.closescreening = function (item) {
        var _this = this;
        var screeningitem = document.getElementById("screening");
        if (item == 1) {
            this.policyorganid = '';
            screeningitem.style.display = 'none';
        }
        else {
            //政策文件
            if (this.nums == 1) {
                var loading_2 = this.loadingctrl.create();
                loading_2.present();
                var url = 'bsPolicyDocument/getPagePolicyDocument?orgId=' + this.policyorganid + '&tagId=' + this.getlabelid + '&status=2&pageNum=1&pageSize=10';
                this.toolservice.doGet(url, function (data) {
                    if (data.return_code == '000000' && data.return_data.list != '') {
                        _this.policydata = data.return_data.list;
                        _this.policylength = data.return_data['total'];
                        // 消息记录数组最大页面赋值
                        _this.policyPage = data.return_data['pages'];
                        loading_2.dismiss();
                        _this.numrecord = 1;
                        screeningitem.style.display = 'none';
                    }
                    else {
                        loading_2.dismiss();
                        _this.toolservice.showtoast("没查到数据");
                    }
                }, function (error) {
                    loading_2.dismiss();
                });
            }
            else if (this.nums == 2) {
                var loading_3 = this.loadingctrl.create();
                loading_3.present();
                var url = 'bsPolicyInterpret/getPagePolicyInterpret?orgId=' + this.policyorganid + '&status=2&pageNum=1&pageSize=10';
                this.toolservice.doGet(url, function (data) {
                    if (data.return_code == '000000' && data.return_data.list != '') {
                        _this.Policyinpretadata = data.return_data.list;
                        _this.policylength = data.return_data['total'];
                        // 消息记录数组最大页面赋值
                        _this.policyPage = data.return_data['pages'];
                        _this.numrecord = 1;
                        loading_3.dismiss();
                        screeningitem.style.display = 'none';
                    }
                    else {
                        loading_3.dismiss();
                        _this.toolservice.showtoast("没查到数据");
                    }
                }, function (error) {
                    loading_3.dismiss();
                });
            }
            else {
                var loading_4 = this.loadingctrl.create();
                loading_4.present();
                var url = 'bsProject/getPageProject?categoryId=' + this.policyorganid + '&status=2&pageNum=1&pageSize=10';
                this.toolservice.doGet(url, function (data) {
                    if (data.return_code == '000000' && data.return_data.list != '') {
                        _this.Projectdata = data.return_data.list;
                        _this.policylength = data.return_data['total'];
                        // 消息记录数组最大页面赋值
                        _this.policyPage = data.return_data['pages'];
                        _this.numrecord = 1;
                        loading_4.dismiss();
                        screeningitem.style.display = 'none';
                    }
                    else {
                        loading_4.dismiss();
                        _this.toolservice.showtoast("没查到数据");
                    }
                }, function (error) {
                    loading_4.dismiss();
                });
            }
        }
    };
    /**
     * 选择
     */
    PolicyPage.prototype.changepolicy = function (item) {
        this.policyorganid = item.id;
        this.selectLabel = item.name;
    };
    /**
     * 选择
     */
    PolicyPage.prototype.changelabel = function (item) {
        this.getlabelid = item.id;
        this.getLabel = item.name;
    };
    /**
     * 跳转详情
     */
    PolicyPage.prototype.jumppolicydetails = function (itemid, itemname) {
        // let status = this.ThumbsUps.some((data, index) =>{
        //   return data.id === itemid
        // })
        // let collectStatus = this.collects.some((data, index) =>{
        //   return data.id === itemid
        // })
        this.navCtrl.push('PolicyDetailsPage', { policyid: itemid, segmentname: itemname });
    };
    /**
     * 重置
     */
    PolicyPage.prototype.closevalue = function () {
        this.policyorganid = '';
        this.selectLabel = '';
    };
    /**
     * 判断是否有数据
     */
    PolicyPage.prototype.judgenulldata = function (searchjudg) {
        if (searchjudg.value.length == 0) {
            if (this.nums == 1) {
                this.Requestpolicydata();
            }
            else if (this.nums == 2) {
                this.Policyinterpretationdata();
            }
            else {
                this.Projectapplicationdata();
            }
        }
    };
    /**
     * 上滑加载更多
     */
    PolicyPage.prototype.minInfinite = function (infiniteScroll, policyhtml) {
        var _this = this;
        // let newsstadata = document.getElementById("datastatus");
        setTimeout(function () {
            infiniteScroll.complete();
            // 判读数据超过十条启动刷新
            if (_this.policylength > _this.pageSize) {
                // setTimeout(() => {
                // 加载完成关闭刷新
                infiniteScroll.complete();
                //增加index
                _this.numrecord++;
                // 判断刷新分页页码大小
                if (_this.numrecord > _this.policyPage) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    //toast提示
                    // this.toolservice.showtoast("已加载所有");
                    // newsstadata.style.display = 'block';
                }
                else {
                    var url = void 0;
                    // 获取分页刷新数据
                    if (_this.nums == 1) {
                        if (policyhtml.value.length == 0) {
                            url = 'bsPolicyDocument/getPagePolicyDocument?status=2&pageNum=' + _this.numrecord + '&tagId=' + _this.getlabelid + '&pageSize=' + _this.pageSize;
                        }
                        else if (_this.policyorganid != '') {
                            url = 'bsPolicyDocument/getPagePolicyDocument?title=' + policyhtml.value + '&orgId=' + _this.policyorganid + '&tagId=' + _this.getlabelid + '&status=2&pageNum=' + _this.numrecord + '&pageSize=' + _this.pageSize;
                        }
                        else {
                            url = 'bsPolicyDocument/getPagePolicyDocument?title=' + policyhtml.value + '&status=2&pageNum=' + _this.numrecord + '&tagId=' + _this.getlabelid + '&pageSize=' + _this.pageSize;
                        }
                    }
                    else if (_this.nums == 2) {
                        if (policyhtml.value.length == 0) {
                            url = 'bsPolicyInterpret/getPagePolicyInterpret?status=2&pageNum=' + _this.numrecord + '&pageSize=' + _this.pageSize;
                        }
                        else if (_this.policyorganid != '') {
                            url = 'bsPolicyInterpret/getPagePolicyInterpret?title=' + policyhtml.value + '&orgId=' + _this.policyorganid + '&status=2&pageNum=' + _this.numrecord + '&pageSize=' + _this.pageSize;
                        }
                        else {
                            url = 'bsPolicyInterpret/getPagePolicyInterpret?title=' + policyhtml.value + '&status=2&pageNum=' + _this.numrecord + '&pageSize=' + _this.pageSize;
                        }
                    }
                    else {
                        if (policyhtml.value.length == 0) {
                            url = 'bsProject/getPageProject?status=2&pageNum=' + _this.numrecord + '&pageSize=' + _this.pageSize;
                        }
                        else if (_this.policyorganid != '') {
                            url = 'bsProject/getPageProject?name=' + policyhtml.value + '&categoryId=' + _this.policyorganid + '&status=2&pageNum=' + _this.numrecord + '&pageSize=' + _this.pageSize;
                        }
                        else {
                            url = 'bsProject/getPageProject?name=' + policyhtml.value + '&status=2&pageNum=' + _this.numrecord + '&pageSize=' + _this.pageSize;
                        }
                    }
                    _this.toolservice.doGet(url, function (data) {
                        if (data.return_code == '000000') {
                            // 加载完成关闭刷新
                            infiniteScroll.complete();
                            // 循环插入数据数组
                            for (var i = 0; i < data.return_data['list'].length; i++) {
                                if (_this.nums == 1) {
                                    _this.policydata.push(data.return_data['list'][i]);
                                }
                                else if (_this.nums == 2) {
                                    _this.Policyinpretadata.push(data.return_data['list'][i]);
                                }
                                else {
                                    _this.Projectdata.push(data.return_data['list'][i]);
                                }
                            }
                        }
                    });
                }
                // }, 2000);
            }
            else {
                // 加载全部数据禁用刷新
                // infiniteScroll.enable(false);
                _this.toolservice.showtoast("已加载所有");
            }
        }, 2000);
    };
    PolicyPage.prototype.ionViewDidLoad = function () {
    };
    PolicyPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-policy',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\policy\policy.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>政策大厅</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <div class="policy_div_slide">\n\n    <img src="assets/imgs/policyhead.png">\n\n  </div>\n\n\n\n  <ion-segment [(ngModel)]="Policyhall" mode="md" style="background-color: white;">\n\n    <ion-segment-button value="Policyfocus" (click)="Requestpolicydata()">政策焦点\n\n    </ion-segment-button>\n\n    <ion-segment-button value="Policyinterpretation" (click)="Policyinterpretationdata()">政策解读\n\n    </ion-segment-button>\n\n    <ion-segment-button value="Projectapplication" (click)="Projectapplicationdata()">项目申报\n\n    </ion-segment-button>\n\n  </ion-segment>\n\n\n\n  <div [ngSwitch]="Policyhall">\n\n    <!--//-----政策文件------->\n\n    <ion-list *ngSwitchCase="\'Policyfocus\'">\n\n      <div style="width: 90%;margin-top: 15px;margin-left: 5%;height: 50px">\n\n        <ion-searchbar style="width: 65%;float: left;" #searchvalue\n\n                       placeholder="请输入想搜索的内容" (ionChange)="judgenulldata(searchvalue)"></ion-searchbar>\n\n        <div class="search_div">\n\n          <button ion-button block class="search_div_btn"\n\n                  (click)="searpolicys(searchvalue)">搜索\n\n          </button>\n\n        </div>\n\n        <div style="" class="screening_div">\n\n          <button ion-button block class="screening_div_btn"\n\n                  (click)="openscreening()">筛选<img style="width: 12px;" src="assets/imgs/screening.png">\n\n          </button>\n\n        </div>\n\n      </div>\n\n      <img *ngIf="policydata == null" style="width: 60%;margin-left: 20%;" src="assets/imgs/nulldata.png">\n\n      <div style="width: 100%;height: 70px;border-bottom: 1px solid #f6f6f6;"\n\n           *ngFor="let polis of policydata" (click)="jumppolicydetails(polis.id,1)">\n\n        <div style="width: 14%;float: left;margin-left: 5%;height: 40px;margin-top: 18px;">\n\n          <div style="width: 100%;height: 15px;font-size: 16px;">\n\n            {{polis.createDatetime | date:"MM/dd"}}\n\n          </div>\n\n          <div style="width: 100%;height: 20px;font-size: 19px;color: #aaaeb9">\n\n            {{polis.createDatetime | date:"yyyy"}}\n\n          </div>\n\n        </div>\n\n        <div style="width: 1px;height: 25px;background-color: #aaaeb9;float: left;margin-top: 25px;"></div>\n\n        <div style="width: 74%;float: right;margin-right: 5%;height: 40px;margin-top: 15px;font-size: 16px;"\n\n             *ngIf="polis.title.length>=28">\n\n          {{polis.title.toString().replace(polis.title.toString().substring(28,polis.title.length),"...")}}\n\n        </div>\n\n        <div\n\n          style="width: 74%;float: right;margin-right: 5%;height: 40px;margin-top: 15px;font-size: 16px;display: table;"\n\n          *ngIf="polis.title.length<28">\n\n          <div style="display: table-cell;vertical-align: middle;">{{polis.title}}</div>\n\n        </div>\n\n      </div>\n\n      <ion-infinite-scroll (ionInfinite)="minInfinite($event,searchvalue)">\n\n        <ion-infinite-scroll-content\n\n          loadingSpinner="bubbles">\n\n        </ion-infinite-scroll-content>\n\n      </ion-infinite-scroll>\n\n    </ion-list>\n\n\n\n    <!--------政策解读------->\n\n    <ion-list *ngSwitchCase="\'Policyinterpretation\'">\n\n      <div style="width: 90%;margin-top: 15px;margin-left: 5%;height: 50px">\n\n        <ion-searchbar style="width: 65%;float: left;" #searchvalue\n\n                       placeholder="请输入想搜索的内容" (ionChange)="judgenulldata(searchvalue)"></ion-searchbar>\n\n        <div class="search_div">\n\n          <button ion-button block class="search_div_btn"\n\n                  (click)="searpolicys(searchvalue)">搜索\n\n          </button>\n\n        </div>\n\n        <div style="" class="screening_div">\n\n          <button ion-button block class="screening_div_btn"\n\n                  (click)="openscreening()">筛选<img style="width: 12px;" src="assets/imgs/screening.png">\n\n          </button>\n\n        </div>\n\n      </div>\n\n      <img *ngIf="Policyinpretadata == null" style="width: 60%;margin-left: 20%;" src="assets/imgs/nulldata.png">\n\n      <div style="width: 100%;height: 70px;border-bottom: 1px solid #f6f6f6;"\n\n           *ngFor="let preta of Policyinpretadata" (click)="jumppolicydetails(preta.id,2)">\n\n        <div style="width: 14%;float: left;margin-left: 5%;height: 40px;margin-top: 18px;">\n\n          <div style="width: 100%;height: 15px;font-size: 16px;">\n\n            {{preta.createTime | date:"MM/dd"}}\n\n          </div>\n\n          <div style="width: 100%;height: 20px;font-size: 19px;color: #aaaeb9">\n\n            {{preta.createTime | date:"yyyy"}}\n\n          </div>\n\n        </div>\n\n        <div style="width: 1px;height: 25px;background-color: #aaaeb9;float: left;margin-top: 25px;"></div>\n\n        <div style="width: 74%;float: right;margin-right: 5%;height: 40px;margin-top: 15px;font-size: 16px;"\n\n             *ngIf="preta.title.length>=28">\n\n          {{preta.title.toString().replace(preta.title.toString().substring(28,preta.title.length),"...")}}\n\n        </div>\n\n        <div\n\n          style="width: 74%;float: right;margin-right: 5%;height: 40px;margin-top: 15px;font-size: 16px;display: table;"\n\n          *ngIf="preta.title.length<28">\n\n          <div style="display: table-cell;vertical-align: middle;">{{preta.title}}</div>\n\n        </div>\n\n      </div>\n\n      <ion-infinite-scroll (ionInfinite)="minInfinite($event,searchvalue)">\n\n        <ion-infinite-scroll-content\n\n          loadingSpinner="bubbles">\n\n        </ion-infinite-scroll-content>\n\n      </ion-infinite-scroll>\n\n    </ion-list>\n\n\n\n    <!--//项目申报-->\n\n    <ion-list *ngSwitchCase="\'Projectapplication\'">\n\n      <div style="width: 90%;margin-top: 15px;margin-left: 5%;height: 50px">\n\n        <ion-searchbar style="width: 65%;float: left;" #searchvalue\n\n                       placeholder="请输入想搜索的内容" (ionChange)="judgenulldata(searchvalue)"></ion-searchbar>\n\n        <div class="search_div">\n\n          <button ion-button block class="search_div_btn"\n\n                  (click)="searpolicys(searchvalue)">搜索\n\n          </button>\n\n        </div>\n\n        <div style="" class="screening_div">\n\n          <button ion-button block class="screening_div_btn"\n\n                  (click)="openscreening()">筛选<img style="width: 12px;" src="assets/imgs/screening.png">\n\n          </button>\n\n        </div>\n\n      </div>\n\n      <img *ngIf="Projectdata == null" style="width: 60%;margin-left: 20%;" src="assets/imgs/nulldata.png">\n\n      <div style="width: 100%;border-bottom: 1px solid #f6f6f6;"\n\n           *ngFor="let project of Projectdata">\n\n        <div style="width: 90%;height: 60px;margin-left: 5%;margin-bottom: 10px;">\n\n          <div style="width: 15%;float: left;height: 40px;margin-top: 18px;">\n\n            <div style="width: 100%;height: 15px;font-size: 16px;">\n\n              {{project.createDatetime | date:"MM/dd"}}\n\n            </div>\n\n            <div style="width: 100%;height: 20px;font-size: 19px;color: #aaaeb9">\n\n              {{project.createDatetime | date:"yyyy"}}\n\n            </div>\n\n          </div>\n\n\n\n          <div style="width: 1px;height: 25px;background-color: #aaaeb9;float: left;margin-top: 25px;"></div>\n\n          <div style="width: 84%;float: right;height: 40px;margin-top: 15px;font-size: 16px;"\n\n               *ngIf="project.name.length>=28" (click)="jumppolicydetails(project.id,3)">\n\n            <span style="color: red;" *ngIf="dqdatetime > project.endDate">【已过期】</span>{{project.name.toString().replace(project.name.toString().substring(28,project.name.length),"...")}}\n\n          </div>\n\n          <div style="width: 84%;float: right;height: 40px;margin-top: 15px;font-size: 16px;display: table;"\n\n               *ngIf="project.name.length<28" (click)="jumppolicydetails(project.id,3)">\n\n            <div style="display: table-cell;vertical-align: middle;"><span style="color: red;" *ngIf="dqdatetime > project.endDate">【已过期】</span>{{project.name}}\n\n            </div>\n\n          </div>\n\n        </div>\n\n        <!--<div class="evaluation_div">-->\n\n          <!--<button ion-button block class="evaluation_div_btn"-->\n\n                  <!--(click)="jumppolicydetails(project.id,3)"><img style="width: 12px;" src="assets/imgs/evation.png">&nbsp;&nbsp;评价-->\n\n          <!--</button>-->\n\n        <!--</div>-->\n\n      </div>\n\n      <ion-infinite-scroll (ionInfinite)="minInfinite($event,searchvalue)">\n\n        <ion-infinite-scroll-content\n\n          loadingSpinner="bubbles">\n\n        </ion-infinite-scroll-content>\n\n      </ion-infinite-scroll>\n\n    </ion-list>\n\n  </div>\n\n\n\n</ion-content>\n\n\n\n\n\n<div style="width: 100%;position: absolute;height: 100%;z-index: 9999999;display: none;" id="screening">\n\n  <div style="width: 100%;height: 100%;z-index: 999999999;opacity: 0.5;background-color: #7F7F7F;"></div>\n\n  <div style="width: 100%;position: absolute;background-color:white;z-index: 9999999;border-radius: 15px 15px 0 0;\n\n    bottom: 0px;height: 60%;overflow: auto;box-shadow: 1px -1px 12px #666;">\n\n    <div style="width: 100%;height: 35px;position: fixed;background-color: white;border-radius: 15px 15px 0 0;">\n\n      <div style="width: 60%;float: left;height: 35px;color: #7F7F7F;padding-left: 20px;padding-top: 8px;">筛选全部</div>\n\n      <div style="width: 40%;float: right;height: 35px;text-align: right;padding-top: 8px;padding-right: 20px;">\n\n        <img style="width: 20px;height: 20px;" src="assets/imgs/cancel.png" (click)="closescreening(1)">\n\n      </div>\n\n    </div>\n\n    <div style="width: 100%;height: 1px;background-color: #F6F6F6;margin-top: 35px;"></div>\n\n    <div style="width: 100%;margin-bottom: 50px;">\n\n      <div style="width: 100%;" *ngFor="let policys of policyscreeningdata">\n\n        <div style="width: 100%;font-size: 13px;color: #A5A5A5;padding-left: 20px;margin-top: 10px">{{policys.title}}\n\n        </div>\n\n        <div class="categories">\n\n          <ion-grid>\n\n            <ion-row wrap style="margin-left: 20px;margin-right: 20px;margin-bottom: 10px;">\n\n              <ion-col text-center tappable col-4="" *ngFor="let cols of policys.content"\n\n                       [class]="cols.name==selectLabel?\'active\':\'\'"\n\n                       (click)="changepolicy(cols)">\n\n                {{cols.name}}\n\n              </ion-col>\n\n            </ion-row>\n\n          </ion-grid>\n\n        </div>\n\n      </div>\n\n\n\n      <div *ngIf="nums == 1">\n\n        <div style="width: 100%;" *ngFor="let lab of labeldata">\n\n          <div style="width: 100%;font-size: 13px;color: #A5A5A5;padding-left: 20px;margin-top: 10px">{{lab.title}}\n\n          </div>\n\n          <div class="categories">\n\n            <ion-grid>\n\n              <ion-row wrap style="margin-left: 20px;margin-right: 20px;margin-bottom: 10px;">\n\n                <ion-col text-center tappable col-4="" *ngFor="let cols of lab.content"\n\n                         [class]="cols.name==getLabel?\'active\':\'\'"\n\n                         (click)="changelabel(cols)">\n\n                  {{cols.name}}\n\n                </ion-col>\n\n              </ion-row>\n\n            </ion-grid>\n\n          </div>\n\n        </div>\n\n      </div>\n\n    </div>\n\n    <div style="width: 100%;height: 56px;position: fixed;bottom: 0px;background-color: white;">\n\n      <button ion-button\n\n              style=" font-size: 1.1em;height: 30px;width: 40%;background-color: #7F7F7F;color: white;float: left;margin-left: 5%;margin-top: 13px;"\n\n              (click)="closevalue()">重置\n\n      </button>\n\n      <button ion-button\n\n              style="margin-right: 5%;margin-top: 13px;font-size: 1.1em;height: 30px;width: 40%;background-color: red;color: white;float: right;"\n\n              (click)="closescreening(2)">确定\n\n      </button>\n\n    </div>\n\n  </div>\n\n</div>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\policy\policy.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"]])
    ], PolicyPage);
    return PolicyPage;
}());

//# sourceMappingURL=policy.js.map

/***/ }),

/***/ 927:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PolicyPageModule", function() { return PolicyPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__policy__ = __webpack_require__(1152);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var PolicyPageModule = /** @class */ (function () {
    function PolicyPageModule() {
    }
    PolicyPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__policy__["a" /* PolicyPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__policy__["a" /* PolicyPage */]),
            ],
        })
    ], PolicyPageModule);
    return PolicyPageModule;
}());

//# sourceMappingURL=policy.module.js.map

/***/ })

});
//# sourceMappingURL=130.js.map