webpackJsonp([132],{

/***/ 1149:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PersonalDataPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the PersonalDataPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var PersonalDataPage = /** @class */ (function () {
    function PersonalDataPage(navCtrl, navParams, thePublicModule, toolservice) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.thePublicModule = thePublicModule;
        this.toolservice = toolservice;
        this.persondata = this.thePublicModule.USER_INFO;
        this.sexvalue = this.persondata.sex;
        this.civiliza = this.persondata.civilization;
    }
    PersonalDataPage.prototype.ionViewDidLoad = function () {
    };
    /**
     * 修改资料
     */
    PersonalDataPage.prototype.updatemyprofile = function (name, ages) {
        var _this = this;
        if (name.value.length == 0) {
            this.toolservice.showtoast('请输入昵称');
        }
        else if (this.sexvalue == null) {
            this.toolservice.showtoast('请选择性别');
        }
        else if (ages.value.length == 0) {
            this.toolservice.showtoast('请输入年龄');
        }
        else if (this.civiliza == null) {
            this.toolservice.showtoast('请选择学历');
        }
        else {
            var url = 'secUser/updateUserInfo';
            var datas = {
                userId: this.persondata.userId,
                nickname: name.value,
                age: ages.value,
                sex: this.sexvalue,
                civilization: this.civiliza
            };
            this.toolservice.doPost(url, datas, function (data) {
                if (data.return_code == '000000') {
                    _this.toolservice.showtoast('修改成功');
                    _this.navCtrl.pop();
                    _this.thePublicModule.USER_INFO = data.return_data;
                }
                else {
                    _this.toolservice.showtoast(data.return_msg);
                }
            });
        }
    };
    PersonalDataPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-personal-data',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\personal-data\personal-data.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>修改资料</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-item no-lines="" style="width: 100%;border-bottom: #efefef 0.5px solid;">\n\n    <ion-label item-start="" style="font-size: 14px;color: #525252;">昵称:</ion-label>\n\n    <ion-input item-end="" type="text" style="font-size: 14px;color: #474443;float: right;" #nickname\n\n               placeholder="请输入昵称"\n\n               value="{{persondata.nickname}}"></ion-input>\n\n  </ion-item>\n\n  <div style="width: 100%;margin-left: 16px;height: 52.8px;">\n\n    <div style="width: 30%;height: 52.8px;float: left;padding-top: 16px;color:#364049">\n\n      <span style="position: absolute;">性别:</span>\n\n    </div>\n\n    <div style="width: 70%;height: 52.8px;float: right;padding-top: 7px;padding-right: 24px;">\n\n      <ion-select class="ion_item_content" style="font-size: 14px;" item-end="" [(ngModel)]="sexvalue"\n\n                  interface="action-sheet"\n\n                  placeholder="请选择性别" cancelText="取消">\n\n        <ion-option value="男">男</ion-option>\n\n        <ion-option value="女">女</ion-option>\n\n      </ion-select>\n\n    </div>\n\n  </div>\n\n  <div style="width: 100%;height: 1px;background-color: #f4f4f4;"></div>\n\n  <ion-item no-lines="" style="width: 100%;border-bottom: #efefef 0.5px solid;">\n\n    <ion-label item-start="" style="font-size: 14px;color: #525252;">年龄:</ion-label>\n\n    <ion-input item-end="" type="number" style="font-size: 14px;color: #474443;float: right;" #age placeholder="请输入年龄"\n\n               value="{{persondata.age}}"></ion-input>\n\n  </ion-item>\n\n  <div style="width: 100%;margin-left: 16px;height: 52.8px;">\n\n    <div style="width: 30%;height: 52.8px;float: left;padding-top: 16px;color:#364049">\n\n      <span style="position: absolute;">学历:</span>\n\n    </div>\n\n    <div style="width: 70%;height: 52.8px;float: right;padding-top: 7px;padding-right: 24px;">\n\n      <ion-select class="ion_item_content" style="font-size: 14px;" item-end="" [(ngModel)]="civiliza"\n\n                  interface="action-sheet"\n\n                  placeholder="请选择学历" cancelText="取消">\n\n        <ion-option value="初中">初中</ion-option>\n\n        <ion-option value="高中">高中</ion-option>\n\n        <ion-option value="职高">职高</ion-option>\n\n        <ion-option value="大专">大专</ion-option>\n\n        <ion-option value="本科">本科</ion-option>\n\n        <ion-option value="本科以上">本科以上</ion-option>\n\n      </ion-select>\n\n    </div>\n\n  </div>\n\n  <div style="width: 100%;height: 1px;background-color: #f4f4f4;"></div>\n\n\n\n\n\n  <div style="margin-left: auto; margin-right: auto; margin-top: 30px;width: 80%;margin-bottom: 40px;">\n\n    <button ion-button block style="font-size: 1.1em;height: 40px;\n\n    background: linear-gradient(to top, #72C5FE, #49B6F0 );" (click)="updatemyprofile(nickname,age)">修改资料\n\n    </button>\n\n  </div>\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\personal-data\personal-data.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__["i" /* ThePublicModule */], __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__["a" /* ToolserviceProvider */]])
    ], PersonalDataPage);
    return PersonalDataPage;
}());

//# sourceMappingURL=personal-data.js.map

/***/ }),

/***/ 924:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PersonalDataPageModule", function() { return PersonalDataPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__personal_data__ = __webpack_require__(1149);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var PersonalDataPageModule = /** @class */ (function () {
    function PersonalDataPageModule() {
    }
    PersonalDataPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__personal_data__["a" /* PersonalDataPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__personal_data__["a" /* PersonalDataPage */]),
            ],
        })
    ], PersonalDataPageModule);
    return PersonalDataPageModule;
}());

//# sourceMappingURL=personal-data.module.js.map

/***/ })

});
//# sourceMappingURL=132.js.map