webpackJsonp([134],{

/***/ 1147:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NewsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the NewsPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var NewsPage = /** @class */ (function () {
    function NewsPage(navCtrl, navParams, toolservice, loadingCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.loadingCtrl = loadingCtrl;
        //tab默认显示
        this.newsList = 'Policyfocus';
        // 每页展示的记录条数
        this.pageSize = 10;
        // 新闻记录列表刷新次数
        this.numrecord = 1;
        //图片地址
        this.imageurl = __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["d" /* IMAGEURL */];
        //搜索内容
        this.searchvalue = '';
        // 招商投资-变量
        this.merchants = 'regionalinvestment';
        // 分类索引
        this.selectedIndex = 0;
        //图片地址
        this.Image_url = __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["d" /* IMAGEURL */];
        this.qufenid = this.navParams.get('news');
        this.newsList = this.navParams.get('type');
        this.title = this.navParams.get('title');
        this.selectregion('CMS_regionInvest');
        this.ThumbsUps = [];
        this.collects = [];
        if (this.qufenid == 1) {
            this.typeids = 1;
        }
        else {
            this.typeids = 8;
        }
    }
    NewsPage.prototype.ionViewDidLoad = function () {
        this.requestnewsdata();
    };
    /**
     * 进入页面执行
     */
    NewsPage.prototype.ionViewWillEnter = function () {
        // this.getThumbsUps()
        // this.getCollection()
    };
    // 获取已点赞数据
    NewsPage.prototype.getThumbsUps = function () {
        var _this = this;
        var url = 'userLike/userLikeArticles?type=0&pageNum=1&pageSize=1000';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                _this.ThumbsUps = data.return_data.length ? data.return_data : [];
            }
            else {
                _this.toolservice.showtoast(data.return_msg);
            }
        });
    };
    // 获取收藏数据
    NewsPage.prototype.getCollection = function () {
        var _this = this;
        var url = 'userCollect/collectArticle?type=0&pageNum=1&pageSize=1000';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                _this.collects = data.return_data.length ? data.return_data : [];
            }
            else {
                _this.toolservice.showtoast(data.return_msg);
            }
        });
    };
    /**
     * 获取新闻数据
     */
    NewsPage.prototype.requestnewsdata = function () {
        var _this = this;
        this.qufenid = 1;
        // let newsstadata = document.getElementById("datastatus");
        // newsstadata.style.display = 'none';
        var url = 'bsNews/getNews?status=2&typeId=' + this.typeids + '&pageNum=1&pageSize=10';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                _this.newslength = data.return_data['total'];
                // 消息记录数组最大页面赋值
                _this.newsPage = data.return_data['pages'];
                _this.numrecord = 1;
                _this.newsdata = data.return_data.list;
            }
            else {
                _this.toolservice.showtoast(data.return_msg);
            }
        });
    };
    /**
     * 跳转新闻详情
     */
    NewsPage.prototype.jumpnewdetails = function (item) {
        // let status = this.ThumbsUps.some((data, index) =>{
        //   return data.id === item
        // })
        // let collectStatus = this.collects.some((data, index) =>{
        //   return data.id === item
        // })
        this.navCtrl.push('NewDetailsPage', { newsid: item });
        var url = 'bsNews/addReadQuantity?id=' + item;
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
            }
            else {
            }
        });
    };
    /**
     * 搜索新闻
     */
    NewsPage.prototype.searchnamedata = function () {
        var _this = this;
        if (this.searchvalue == '') {
            this.requestnewsdata();
        }
        else {
            var newsstadata = document.getElementById("datastatus");
            newsstadata.style.display = 'none';
            var loading_1 = this.loadingCtrl.create({});
            loading_1.present();
            this.numrecord = 1;
            var url = 'bsNews/getNews?title=' + this.searchvalue + '&status=2&typeId=' + this.typeids + '&pageNum=1&pageSize=10';
            this.toolservice.doGet(url, function (data) {
                if (data.return_code == '000000' && data.return_data.list != '') {
                    _this.newsdata = data.return_data.list;
                    _this.newslength = data.return_data['total'];
                    // 消息记录数组最大页面赋值
                    _this.newsPage = data.return_data['pages'];
                    loading_1.dismiss();
                }
                else {
                    _this.newsdata = null;
                    _this.toolservice.showtoast(data.return_msg);
                    loading_1.dismiss();
                }
            });
        }
    };
    /**
     * 上滑加载更多
     */
    NewsPage.prototype.minInfinite = function (infiniteScroll) {
        var _this = this;
        var newsstadata = document.getElementById("datastatus");
        setTimeout(function () {
            // 加载完成关闭刷新
            infiniteScroll.complete();
            // 判读数据超过十条启动刷新
            if (_this.newslength > _this.pageSize) {
                //增加index
                _this.numrecord++;
                // 判断刷新分页页码大小
                if (_this.numrecord > _this.newsPage) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    infiniteScroll.enable(false);
                    //toast提示
                    _this.toolservice.showtoast("已加载所有");
                    newsstadata.style.display = 'block';
                }
                else {
                    // 获取分页刷新数据
                    var url = 'bsNews/getNews?title=' + _this.searchvalue + '&status=2&typeId=' + _this.typeids + '&pageNum=' + _this.numrecord + '&pageSize=' + _this.pageSize;
                    _this.toolservice.doGet(url, function (data) {
                        if (data.return_code == '000000') {
                            // 加载完成关闭刷新
                            infiniteScroll.complete();
                            // 循环插入数据数组
                            for (var i = 0; i < data.return_data['list'].length; i++) {
                                _this.newsdata.push(data.return_data['list'][i]);
                            }
                        }
                    });
                }
                // }, 2000);
            }
            else {
                // 加载全部数据禁用刷新
                // infiniteScroll.enable(false);
                _this.toolservice.showtoast("已加载所有");
            }
        }, 2000);
    };
    // 获取招商投资数据
    NewsPage.prototype.merchantsinvestmentdata = function () {
    };
    NewsPage.prototype.onClick = function (item1, items) {
        this.selectedIndex = item1;
        for (var i = 0; i < this.menusdata.length; i++) {
            if (this.menusdata[i].code == items) {
                this.reginmessage = this.menusdata[i].nodes;
            }
        }
    };
    /**
     * 查询区域
     */
    NewsPage.prototype.selectregion = function (item) {
        var _this = this;
        this.selectedIndex = 0;
        var loading = this.loadingCtrl.create();
        loading.present();
        var url = 'cmsCategory/getCategoryTree?parentCode=' + item;
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data[0].nodes != null) {
                _this.reginmessage = data.return_data[0].nodes[0].nodes;
                loading.dismiss();
                _this.menusdata = data.return_data[0].nodes;
            }
            else {
                loading.dismiss();
                _this.menusdata = null;
                _this.regincontent = null;
                _this.reginmessage = null;
            }
        }, function (error) {
            loading.dismiss();
        });
    };
    /**
     * 跳转详情
     */
    NewsPage.prototype.jumpdetails = function (itemid) {
        this.navCtrl.push('HandleAffairsdetailsPage', { handleid: itemid, quid: 2 });
    };
    /**
     *
     * 招商列表
     */
    NewsPage.prototype.jumpmerlist = function (item) {
        this.navCtrl.push('MerchantsinvestmentDsPage', { merdatas: item });
    };
    NewsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-news',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\news\news.html"*/'<ion-header no-border="">\n  <ion-navbar>\n    <ion-title>{{title}}</ion-title>\n    <!-- <ion-title *ngIf="qufenid == 2">复工列表</ion-title> -->\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <ion-segment [(ngModel)]="newsList" mode="md" style="background-color: white;">\n    <ion-segment-button value="Policyfocus" (click)="requestnewsdata()">新闻列表\n    </ion-segment-button>\n    <ion-segment-button value="merchantsinvestment" (click)="merchantsinvestmentdata()">招商投资\n    </ion-segment-button>\n  </ion-segment>\n\n  <div [ngSwitch]="newsList">\n    <ion-list *ngSwitchCase="\'Policyfocus\'">\n      <div style="width: 90%;margin-top: 15px;margin-bottom: 15px;margin-left: 5%;height: 50px">\n        <ion-searchbar style="width: 85%;float: left;" [(ngModel)]="searchvalue" placeholder="请输入新闻标题"\n          *ngIf="qufenid == 1"></ion-searchbar>\n        <ion-searchbar style="width: 85%;float: left;" [(ngModel)]="searchvalue" placeholder="请输入复工标题"\n          *ngIf="qufenid == 2"></ion-searchbar>\n        <div style="width: 15%;float: right;height: 36px;margin-top: 1px;">\n          <button ion-button block class="news_div_btn" (click)="searchnamedata()">搜索\n          </button>\n        </div>\n      </div>\n      <div style="width: 100%;height: 1px;background-color: #f6f6f6;"></div>\n      <img *ngIf="newsdata == null" style="width: 80%;margin-left: 10%;" src="assets/imgs/nulldata.png">\n      <div style="width: 100%;border-bottom: 8px solid #f6f6f6;" *ngFor="let serve of newsdata">\n        <div style="width: 90%;height: 90px;margin-left: 5%;margin-top: 12px;margin-bottom: 12px;display: flex;">\n          <img style="width: 85px;height: 85px;margin-right: 10px;" *ngIf="serve.litimg"\n            src="{{imageurl+(serve.litimg ? serve.litimg : serve.mainImg)}}">\n          <div style="height: 85px;flex: 1;overflow: hidden;text-overflow: ellipsis;white-space: nowrap;"\n            (click)="jumpnewdetails(serve.id)">\n            <ion-label style="font-size: 16px;height: 25px;width: 100%;">\n              <!--<button class="news_div_label_btn1">热点</button>-->\n              <!--<button class="news_div_label_btn2" *ngIf="serve.typeId == 8">企业</button>-->\n              <!--<button class="news_div_label_btn3" *ngIf="serve.typeId == 9">中心</button>-->\n              {{serve.title}}\n            </ion-label>\n            <div style="font-size: 13px;text-align: left;width: 100%;height: 33px;margin-top: 5px;color: #aaaeb9;overflow: hidden;\n            text-overflow: ellipsis;\n            white-space: nowrap;" *ngIf="serve.description.length>=28">\n              {{serve.description.toString().replace(serve.description.toString().substring(28,serve.description.length),"...")}}\n            </div>\n            <div style="font-size: 13px;text-align: left;width: 100%;height: 33px;margin-top: 5px;color: #aaaeb9;overflow: hidden;\n            text-overflow: ellipsis;white-space: nowrap;" *ngIf="serve.description.length<28">\n              {{serve.description}}\n            </div>\n            <div style="width: 100%;margin-top: 5px;">\n              <div style="width: 70%;float:left;font-size: 13px;color: #aaaeb9;">发布日期:{{serve.createTime |\n            date:"yyyy-MM-dd"}}\n              </div>\n              <div style="width: 30%;float: right;text-align: right;font-size: 14px;color: #aaaeb9;">\n                <img style="width: 17px;" src="assets/imgs/6.png">&nbsp;&nbsp;&nbsp;{{serve.readQuantity}}\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n      <div id="datastatus"\n        style="width: 100%;margin-top: 20px;margin-bottom: 20px;height: 20px;color: #aaaeb9;text-align: center;font-size: 14px;display: none;">\n        已经没有了,不能再加载了\n      </div>\n      <ion-infinite-scroll (ionInfinite)="minInfinite($event)">\n        <ion-infinite-scroll-content loadingSpinner="bubbles">\n        </ion-infinite-scroll-content>\n      </ion-infinite-scroll>\n    </ion-list>\n    <ion-list *ngSwitchCase="\'merchantsinvestment\'">\n      <ion-segment [(ngModel)]="merchants" mode="md">\n        <ion-segment-button value="regionalinvestment" (click)="selectregion(\'CMS_regionInvest\')">区域招商\n        </ion-segment-button>\n        <ion-segment-button value="industrialpark" (click)="selectregion(\'CMS_industrialPark\')">工业园区\n        </ion-segment-button>\n        <ion-segment-button value="incubator" (click)="selectregion(\'CMS_incubator\')">孵化器\n        </ion-segment-button>\n        <ion-segment-button value="businessbody" (click)="selectregion(\'CMS_commercialBody\')">商业体\n        </ion-segment-button>\n      </ion-segment>\n      <div class="slides_div" *ngIf="menusdata !=null">\n        <ion-slides class="slide-title" [slidesPerView]="3.2" [pager]="false">\n          <ion-slide *ngFor="let slide of menusdata; let i = index;" class="slides-title-unit"\n            [ngClass]="{\'slide-title-active\': selectedIndex == i}" (click)="onClick(i,slide.code)">\n            {{slide.text}}\n          </ion-slide>\n        </ion-slides>\n      </div>\n\n      <div [ngSwitch]="merchants">\n        <ion-list *ngSwitchCase="\'regionalinvestment\'">\n          <img *ngIf="reginmessage == null" style="width: 80%;margin-left: 10%;" src="assets/imgs/nulldata.png">\n          <div style="width: 100%;height: 100px;background-color: white;margin-top: 10px;"\n            *ngFor="let  regin  of reginmessage" (click)="jumpmerlist(regin)">\n            <div style="float: left;padding-left: 10px;height: 85px;">\n              <img style="width: 85px;height: 85px;object-fit: cover;" *ngIf="regin.coverImg == null"\n                src="assets/imgs/logo.png">\n              <img style="width: 85px;height: 85px;object-fit: cover;" *ngIf="regin.coverImg != null"\n                src="{{Image_url+regin.coverImg}}">\n            </div>\n            <div style="margin-left: 100px;padding-right: 16px;height: 80px;padding-top: 10px;">\n              <div class="mer_div">单位:&nbsp;{{regin.unitInfo.unitName}}</div>\n              <div class="mer_div">地址:&nbsp;{{regin.unitInfo.address}}</div>\n            </div>\n          </div>\n        </ion-list>\n        <ion-list *ngSwitchCase="\'industrialpark\'">\n          <img *ngIf="reginmessage == null" style="width: 80%;margin-left: 10%;" src="assets/imgs/nulldata.png">\n          <div style="width: 100%;height: 100px;background-color: white;margin-top: 10px;"\n            *ngFor="let  regin  of reginmessage" (click)="jumpmerlist(regin)">\n            <div style="float: left;padding-left: 10px;height: 85px;">\n              <img style="width: 85px;height: 85px;object-fit: cover;" *ngIf="regin.coverImg == null"\n                src="assets/imgs/logo.png">\n              <img style="width: 85px;height: 85px;object-fit: cover;" *ngIf="regin.coverImg != null"\n                src="{{Image_url+regin.coverImg}}">\n            </div>\n            <div style="margin-left: 100px;padding-right: 16px;height: 80px;padding-top: 10px;">\n              <div class="mer_div">单位:&nbsp;{{regin.unitInfo.unitName}}</div>\n              <div class="mer_div">地址:&nbsp;{{regin.unitInfo.address}}</div>\n            </div>\n          </div>\n        </ion-list>\n        <ion-list *ngSwitchCase="\'incubator\'">\n          <img *ngIf="reginmessage == null" style="width: 80%;margin-left: 10%;" src="assets/imgs/nulldata.png">\n          <div style="width: 100%;height: 100px;background-color: white;margin-top: 10px;"\n            *ngFor="let  regin  of reginmessage" (click)="jumpmerlist(regin)">\n            <div style="float: left;padding-left: 10px;height: 85px;">\n              <img style="width: 85px;height: 85px;object-fit: cover;" *ngIf="regin.coverImg == null"\n                src="assets/imgs/logo.png">\n              <img style="width: 85px;height: 85px;object-fit: cover;" *ngIf="regin.coverImg != null"\n                src="{{Image_url+regin.coverImg}}">\n            </div>\n            <div style="margin-left: 100px;padding-right: 16px;height: 80px;padding-top: 10px;">\n              <div class="mer_div">单位:&nbsp;{{regin.unitInfo.unitName}}</div>\n              <div class="mer_div">地址:&nbsp;{{regin.unitInfo.address}}</div>\n            </div>\n          </div>\n        </ion-list>\n        <ion-list *ngSwitchCase="\'businessbody\'">\n          <img *ngIf="reginmessage == null" style="width: 80%;margin-left: 10%;" src="assets/imgs/nulldata.png">\n          <div style="width: 100%;height: 100px;background-color: white;margin-top: 10px;"\n            *ngFor="let  regin  of reginmessage" (click)="jumpmerlist(regin)">\n            <div style="float: left;padding-left: 10px;height: 85px;">\n              <img style="width: 85px;height: 85px;object-fit: cover;" *ngIf="regin.coverImg == null"\n                src="assets/imgs/logo.png">\n              <img style="width: 85px;height: 85px;object-fit: cover;" *ngIf="regin.coverImg != null"\n                src="{{Image_url+regin.coverImg}}">\n            </div>\n            <div style="margin-left: 100px;padding-right: 16px;height: 80px;padding-top: 10px;">\n              <div class="mer_div">单位:&nbsp;{{regin.unitInfo.unitName}}</div>\n              <div class="mer_div">地址:&nbsp;{{regin.unitInfo.address}}</div>\n            </div>\n          </div>\n        </ion-list>\n      </div>\n    </ion-list>\n  </div>\n</ion-content>'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\news\news.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"]])
    ], NewsPage);
    return NewsPage;
}());

//# sourceMappingURL=news.js.map

/***/ }),

/***/ 922:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NewsPageModule", function() { return NewsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__news__ = __webpack_require__(1147);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var NewsPageModule = /** @class */ (function () {
    function NewsPageModule() {
    }
    NewsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__news__["a" /* NewsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__news__["a" /* NewsPage */]),
            ],
        })
    ], NewsPageModule);
    return NewsPageModule;
}());

//# sourceMappingURL=news.module.js.map

/***/ })

});
//# sourceMappingURL=134.js.map