webpackJsonp([142],{

/***/ 1139:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ListOfUnitsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
 * Generated class for the ListOfUnitsPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ListOfUnitsPage = /** @class */ (function () {
    function ListOfUnitsPage(navCtrl, navParams, toolservice, loadingController) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.loadingController = loadingController;
        //segment默认值
        this.mines = '';
        //我的招标url
        this.mybindUrl = 'bsBiddingInfo/getPageMyBiddingInfo?';
        //我的招标
        this.mytenderUrl = 'bsTenderInfo/getPageMyTenderInfo?';
        //数据字典
        this.dictionurl = 'baseDictionary/getDictionaryByCodeType?';
        //字典id
        this.dictionId = '';
        //字典name
        this.dictionName = '';
        //搜索名称
        this.searcName = '';
        // 每页展示的记录条数
        this.pagenum = 1;
        this.pagesize = 10;
        //类别id
        this.typeId = 1;
    }
    ListOfUnitsPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad ListOfUnitsPage');
    };
    ListOfUnitsPage.prototype.ionViewWillEnter = function () {
        this.typeId = 1;
        this.pagenum = 1;
        this.searcName = '';
        this.dictionId = '';
        this.dictionName = '';
        this.myBiddingInfo();
        if (this.typeId == 1) {
            this.baseDictionary();
        }
        else {
            this.baseDictontender();
        }
        this.mines = 'mineBidding';
    };
    /**
     * 打开
     */
    ListOfUnitsPage.prototype.openscreening = function () {
        var screeningitem = document.getElementById("screen");
        screeningitem.style.display = 'block';
    };
    /**
     * 跳转招标发布
     */
    ListOfUnitsPage.prototype.jumpBindRelease = function () {
        this.navCtrl.push('BiddingReleasePage', { params: 1 });
    };
    /**
     * 重置
     */
    ListOfUnitsPage.prototype.closevalue = function () {
        this.dictionId = '';
        this.dictionName = '';
    };
    /**
     * 跳转招标详情
     */
    ListOfUnitsPage.prototype.jumpTender = function (detailsId) {
        if (this.typeId == 1) {
            this.navCtrl.push('TenderDetailsPage', { dId: detailsId, typeid: 2 });
        }
        else {
            this.navCtrl.push('BiddingUnitDetailsPage', { dId: detailsId, typeid: 1 });
        }
    };
    /**
     * 关闭筛选
     */
    ListOfUnitsPage.prototype.closescreening = function () {
        var screeningitem = document.getElementById("screen");
        screeningitem.style.display = 'none';
        this.myBiddingInfo();
    };
    ListOfUnitsPage.prototype.changehandle = function (item) {
        this.dictionId = item.codeValue;
        this.dictionName = item.codeName;
    };
    /**
     * 切换
     */
    ListOfUnitsPage.prototype.switchInfo = function (item) {
        this.typeId = item;
        this.searcName = '';
        this.dictionId = '';
        this.dictionName = '';
        this.myBiddingInfo();
        if (this.typeId == 1) {
            this.baseDictionary();
        }
        else {
            this.baseDictontender();
        }
    };
    /**
     * 我的招投标
     */
    ListOfUnitsPage.prototype.myBiddingInfo = function () {
        var _this = this;
        var url;
        if (this.typeId == 1) {
            url = this.mybindUrl + 'projectName=' + this.searcName + '&status=' + this.dictionId + '&pageNum=' + this.pagenum + '&pageSize=' + this.pagesize;
        }
        else {
            url = this.mytenderUrl + 'projectName=' + this.searcName + '&status=' + this.dictionId + '&pageNum=' + this.pagenum + '&pageSize=' + this.pagesize;
        }
        this.pagenum = 1;
        var loading = this.loadingController.create();
        loading.present();
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.mybindInfo = data.return_data.list;
                _this.mybindlength = data.return_data['total'];
                // 消息记录数组最大页面赋值
                _this.mybindPage = data.return_data['pages'];
                loading.dismiss();
            }
            else {
                _this.toolservice.showtoast(data.return_msg);
                loading.dismiss();
            }
        }, function (error) {
            loading.dismiss();
        });
    };
    /**
     * 招标状态
     */
    ListOfUnitsPage.prototype.baseDictionary = function () {
        var _this = this;
        var url = this.dictionurl + 'codeType=BIDDING_INFO_STATUS';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.dictionInfo = [
                    { title: '招标状态', 'content': data.return_data }
                ];
            }
        });
    };
    /**
     * 投标状态
     */
    ListOfUnitsPage.prototype.baseDictontender = function () {
        var _this = this;
        var url = this.dictionurl + 'codeType=TENDER_INFO_STATUS';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.dictionInfo = [
                    { title: '投标状态', 'content': data.return_data }
                ];
            }
        });
    };
    /**
     * 上滑加载更多
     */
    ListOfUnitsPage.prototype.minInfinite = function (infiniteScroll) {
        var _this = this;
        setTimeout(function () {
            // 加载完成关闭刷新
            infiniteScroll.complete();
            // 判读数据超过十条启动刷新
            if (_this.mybindlength > _this.pagesize) {
                // setTimeout(() => {
                //增加index
                _this.pagenum++;
                // 判断刷新分页页码大小
                if (_this.pagenum > _this.mybindPage) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    //toast提示
                    _this.toolservice.showtoast("没有数据可以加载啦");
                }
                else {
                    var url = void 0;
                    if (_this.typeId == 1) {
                        url = _this.mybindUrl + 'projectName=' + _this.searcName + '&status=' + _this.dictionId + '&pageNum=' + _this.pagenum + '&pageSize=' + _this.pagesize;
                    }
                    else {
                        url = _this.mytenderUrl + 'projectName=' + _this.searcName + '&status=' + _this.dictionId + '&pageNum=' + _this.pagenum + '&pageSize=' + _this.pagesize;
                    }
                    _this.toolservice.doGet(url, function (data) {
                        if (data.return_code == '000000') {
                            // 加载完成关闭刷新
                            infiniteScroll.complete();
                            // 循环插入数据数组
                            for (var i = 0; i < data.return_data['list'].length; i++) {
                                _this.mybindInfo.push(data.return_data['list'][i]);
                            }
                        }
                    });
                }
                // }, 2000);
            }
            else {
                // 加载全部数据禁用刷新
                _this.toolservice.showtoast("没有数据可以加载啦");
            }
        }, 2000);
    };
    ListOfUnitsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-list-of-units',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\list-of-units\list-of-units.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>招标列表</ion-title>\n\n    <ion-buttons end>\n\n      <button ion-button icon-only (click)="jumpBindRelease()">\n\n        发布\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n\n\n  <ion-segment [(ngModel)]="mines" mode="md" style="background-color: white;">\n\n    <ion-segment-button value="mineBidding" (click)="switchInfo(1)">我的招标\n\n    </ion-segment-button>\n\n    <ion-segment-button value="mineTender" (click)="switchInfo(2)">我的投标\n\n    </ion-segment-button>\n\n  </ion-segment>\n\n\n\n\n\n  <div style="width: 90%;margin-top: 15px;margin-left: 5%;height: 50px">\n\n    <ion-searchbar style="width: 65%;float: left;"  [(ngModel)]="searcName"\n\n                   placeholder="请输入想搜索的内容"></ion-searchbar>\n\n    <div class="search_div">\n\n      <button ion-button block class="search_div_btn" (click)="myBiddingInfo()">搜索\n\n      </button>\n\n    </div>\n\n    <div style="" class="screening_div">\n\n      <button ion-button block class="screening_div_btn"\n\n              (click)="openscreening()">筛选<img style="width: 12px;" src="assets/imgs/screening.png">\n\n      </button>\n\n    </div>\n\n  </div>\n\n\n\n  <img *ngIf="mybindInfo == \'\' " style="width: 60%;margin-left: 20%;" src="assets/imgs/nulldata.png">\n\n  <div style="width: 100%;" *ngFor="let myinfo of mybindInfo" (click)="jumpTender(myinfo.id)">\n\n    <div class="lou-title width90">\n\n      {{myinfo.projectName}}\n\n    </div>\n\n    <div class="lou-other width90">\n\n      <div class="lou-o-left">{{myinfo.statusName}}</div>\n\n      <div class="lou-o-right" *ngIf="myinfo.publishTime != null">发布时间:\n\n        {{myinfo.publishTime | date:"yyyy-MM-dd"}}\n\n      </div>\n\n      <div class="lou-o-right" *ngIf="myinfo.publishTime == null">创建时间:\n\n        {{myinfo.createTime | date:"yyyy-MM-dd"}}\n\n      </div>\n\n    </div>\n\n    <div class="lou-line10"></div>\n\n  </div>\n\n  <ion-infinite-scroll (ionInfinite)="minInfinite($event)">\n\n    <ion-infinite-scroll-content\n\n      loadingSpinner="bubbles">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>\n\n\n\n<div style="width: 100%;position: absolute;height: 100%;z-index: 9999999;display: none;" id="screen">\n\n  <div style="width: 100%;height: 100%;z-index: 999999999;opacity: 0.5;background-color: #7F7F7F;"></div>\n\n  <div style="width: 100%;position: absolute;background-color:white;z-index: 9999999;border-radius: 15px 15px 0 0;\n\n    bottom: 0px;height: 60%;overflow: auto;box-shadow: 1px -1px 12px #666;">\n\n    <div style="width: 100%;height: 35px;position: fixed;background-color: white;border-radius: 15px 15px 0 0;">\n\n      <div style="width: 60%;float: left;height: 35px;color: #7F7F7F;padding-left: 20px;padding-top: 8px;">筛选全部</div>\n\n      <div style="width: 40%;float: right;height: 35px;text-align: right;padding-top: 8px;padding-right: 20px;">\n\n        <img style="width: 20px;height: 20px;" src="assets/imgs/cancel.png" (click)="closescreening(1)">\n\n      </div>\n\n    </div>\n\n    <div style="width: 100%;height: 1px;background-color: #F6F6F6;margin-top: 35px;"></div>\n\n\n\n    <div style="width: 100%;" *ngFor="let dic of dictionInfo">\n\n      <div style="width: 100%;font-size: 13px;color: #A5A5A5;padding-left: 20px;margin-top: 10px">{{dic.title}}\n\n      </div>\n\n      <div class="categories">\n\n        <ion-grid>\n\n          <ion-row wrap style="margin-left: 20px;margin-right: 20px;margin-bottom: 10px;">\n\n            <ion-col text-center tappable col-4="" *ngFor="let diction of dic.content"\n\n                     [class]="diction.codeName == dictionName?\'active\':\'\'"\n\n                     (click)="changehandle(diction)">\n\n              {{diction.codeName}}\n\n            </ion-col>\n\n          </ion-row>\n\n        </ion-grid>\n\n      </div>\n\n    </div>\n\n\n\n\n\n    <div style="width: 100%;height: 56px;position: fixed;bottom: 0px;background-color: white;">\n\n      <button ion-button\n\n              style=" font-size: 1.1em;height: 40px;width: 40%;background-color: #7F7F7F;color: white;float: left;margin-left: 5%;margin-top: 13px;"\n\n              (click)="closevalue()">重置\n\n      </button>\n\n      <button ion-button\n\n              style="margin-right: 5%;margin-top: 13px;font-size: 1.1em;height: 40px;width: 40%;background-color: red;color: white;float: right;"\n\n              (click)="closescreening()">确定\n\n      </button>\n\n    </div>\n\n  </div>\n\n</div>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\list-of-units\list-of-units.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"]])
    ], ListOfUnitsPage);
    return ListOfUnitsPage;
}());

//# sourceMappingURL=list-of-units.js.map

/***/ }),

/***/ 914:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ListOfUnitsPageModule", function() { return ListOfUnitsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__list_of_units__ = __webpack_require__(1139);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ListOfUnitsPageModule = /** @class */ (function () {
    function ListOfUnitsPageModule() {
    }
    ListOfUnitsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__list_of_units__["a" /* ListOfUnitsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__list_of_units__["a" /* ListOfUnitsPage */]),
            ],
        })
    ], ListOfUnitsPageModule);
    return ListOfUnitsPageModule;
}());

//# sourceMappingURL=list-of-units.module.js.map

/***/ })

});
//# sourceMappingURL=142.js.map