webpackJsonp([144],{

/***/ 1137:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return KnowledgesharingDetailsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_file_transfer__ = __webpack_require__(50);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_file__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_file_opener__ = __webpack_require__(165);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_native_android_permissions__ = __webpack_require__(166);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









/**
 * Generated class for the KnowledgesharingDetailsPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var KnowledgesharingDetailsPage = /** @class */ (function () {
    function KnowledgesharingDetailsPage(navCtrl, navParams, toolservice, sanitiaer, transfer, file, fileOpener, androidPermissions, changeDetectorRef) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.sanitiaer = sanitiaer;
        this.transfer = transfer;
        this.file = file;
        this.fileOpener = fileOpener;
        this.androidPermissions = androidPermissions;
        this.changeDetectorRef = changeDetectorRef;
        //详情图片地址
        this.newsdetailsimurl = __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__["d" /* IMAGEURL */];
        this.downloadStatus = false;
        this.progressNumber = 0;
        this.contentList = [];
        this.newsId = this.navParams.get('newsid');
        this.requestnewsdetails();
    }
    /**
     * 请求详情数据
     */
    KnowledgesharingDetailsPage.prototype.requestnewsdetails = function () {
        var _this = this;
        var url = 'bsNews/getNewsById?id=' + this.newsId;
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.newsdatailsdata = [data.return_data];
                _this.deputytext = _this.sanitiaer.bypassSecurityTrustHtml(data.return_data.content);
                _this.contentList = data.return_data.attachment.split(",");
                console.log(_this.contentList);
            }
            else {
            }
        });
    };
    // 点击附件
    KnowledgesharingDetailsPage.prototype.okDownload = function (data) {
        var name = data.split("/")[data.split("/").length - 1];
        this.downloadFile(__WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__["d" /* IMAGEURL */] + data, name);
    };
    // 下载附件
    KnowledgesharingDetailsPage.prototype.downloadFile = function (downloadUrl, name) {
        var that = this;
        this.getPrmissions().then(function (res) {
            that.downloadStatus = true;
            var fileTransfer = that.transfer.create();
            var pdf = 'file:///storage/emulated/0/' + name;
            var fileType = name.split(".")[name.split(".").length - 1];
            fileTransfer.download(downloadUrl, pdf).then(function (entry) {
                // that.toolservice.showtoast("下载成功！");
                setTimeout(function () {
                    that.downloadStatus = false;
                    that.fileOpener.open(pdf, that.toolservice.getFileMimeType(fileType))
                        .then(function (e) {
                    })
                        .catch(function (e) {
                        alert(JSON.stringify(e));
                    });
                }, 1000);
            }, function (error) {
                that.toolservice.showtoast("打开失败，请重试！");
                that.downloadStatus = false;
            });
            /**下载进度条*/
            // fileTransfer.onProgress((event) => {
            //   let num = Math.ceil(event.loaded / event.total * 100);  //转化成1-100的进度
            //   that.progressNumber = num
            //   that.changeDetectorRef.markForCheck();
            //   that.changeDetectorRef.detectChanges();
            // });
        });
    };
    //获取手机权限
    KnowledgesharingDetailsPage.prototype.getPrmissions = function () {
        var _this = this;
        this.androidPermissions.checkPermission(this.androidPermissions.PERMISSION.WRITE_EXTERNAL_STORAGE).then(function (result) {
            console.log('本机权限状态:' + result.hasPermission);
        }, function (err) {
            //申请手机权限
            _this.androidPermissions.requestPermission(_this.androidPermissions.PERMISSION.WRITE_EXTERNAL_STORAGE);
        });
        return new Promise(function (resolve) {
            _this.androidPermissions.requestPermissions([_this.androidPermissions.PERMISSION.WRITE_EXTERNAL_STORAGE, _this.androidPermissions.PERMISSION.GET_ACCOUNTS]).then(function (res) {
                resolve(res);
            });
        });
    };
    KnowledgesharingDetailsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-knowledgesharing-details',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\knowledgesharing-details\knowledgesharing-details.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>知识共享详情</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <div style="width: 100%;" *ngFor="let newsde of newsdatailsdata">\n\n    <!-- <img style="width: 100%;" src="{{newsdetailsimurl+newsde.mainImg}}"> -->\n\n    <div class="news_div_title">{{newsde.title}}</div>\n\n    <div style="width: 100%;height: 1px;background-color: #F6F6F6"></div>\n\n    <div class="news_div_relese">\n\n      <div class="news_div_relese_left">\n\n        <img style="width: 15px;" src="assets/imgs/7.png">&nbsp;&nbsp;\n\n        <span style="position: absolute;">\n\n        {{newsde.createTime | date:"yyyy-MM-dd"}}\n\n      </span>\n\n      </div>\n\n      <!--<div class="news_div_relese_conter">来源:{{newsde.source}}</div>-->\n\n      <div class="news_div_relese_right"><img style="width: 17px;" src="assets/imgs/6.png">&nbsp;&nbsp;&nbsp;{{newsde.readQuantity}}</div>\n\n    </div>\n\n    <div class="news_div_label"></div>\n\n    <div class="news_div_html" [innerHTML]="deputytext"></div>\n\n    <div class="fileList">\n\n      <p>附件：</p>\n\n      <div class="file" *ngFor="let data of contentList" (click)="okDownload(data)">\n\n        <a>{{data}}</a>\n\n      </div>\n\n    </div>\n\n  </div>\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\knowledgesharing-details\knowledgesharing-details.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_file_transfer__["a" /* FileTransfer */], __WEBPACK_IMPORTED_MODULE_6__ionic_native_file__["a" /* File */], __WEBPACK_IMPORTED_MODULE_7__ionic_native_file_opener__["a" /* FileOpener */], __WEBPACK_IMPORTED_MODULE_8__ionic_native_android_permissions__["a" /* AndroidPermissions */],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["ChangeDetectorRef"]])
    ], KnowledgesharingDetailsPage);
    return KnowledgesharingDetailsPage;
}());

//# sourceMappingURL=knowledgesharing-details.js.map

/***/ }),

/***/ 912:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "KnowledgesharingDetailsPageModule", function() { return KnowledgesharingDetailsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__knowledgesharing_details__ = __webpack_require__(1137);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var KnowledgesharingDetailsPageModule = /** @class */ (function () {
    function KnowledgesharingDetailsPageModule() {
    }
    KnowledgesharingDetailsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__knowledgesharing_details__["a" /* KnowledgesharingDetailsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__knowledgesharing_details__["a" /* KnowledgesharingDetailsPage */]),
            ],
        })
    ], KnowledgesharingDetailsPageModule);
    return KnowledgesharingDetailsPageModule;
}());

//# sourceMappingURL=knowledgesharing-details.module.js.map

/***/ })

});
//# sourceMappingURL=144.js.map