webpackJsonp([145],{

/***/ 1136:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return InstrumentDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_photo_viewer__ = __webpack_require__(164);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_file_transfer__ = __webpack_require__(50);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_file__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_file_opener__ = __webpack_require__(165);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_native_android_permissions__ = __webpack_require__(166);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









/**
 * Generated class for the InstrumentDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var InstrumentDetailPage = /** @class */ (function () {
    function InstrumentDetailPage(navCtrl, navParams, photoviewer, toolservice, alertCtrl, transfer, file, fileOpener, changeDetectorRef, androidPermissions) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.photoviewer = photoviewer;
        this.toolservice = toolservice;
        this.alertCtrl = alertCtrl;
        this.transfer = transfer;
        this.file = file;
        this.fileOpener = fileOpener;
        this.changeDetectorRef = changeDetectorRef;
        this.androidPermissions = androidPermissions;
        this.image_url = __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__["d" /* IMAGEURL */];
        this.boolattention = false;
        this.downloadData = '';
        this.progressNumber = 0;
        this.downloadStatus = false;
        this.id = this.navParams.get("id");
        this.title = this.navParams.get("title");
    }
    InstrumentDetailPage.prototype.downloadApp = function (downloadUrl, name) {
        var that = this;
        this.getPrmissions().then(function (res) {
            that.boolattention = false;
            that.downloadStatus = true;
            var fileTransfer = that.transfer.create();
            var saveurl = that.file.externalDataDirectory ? that.file.externalDataDirectory : that.file.dataDirectory;
            var pdf = 'file:///storage/emulated/0/' + name;
            var fileType = name.split(".")[name.split(".").length - 1];
            fileTransfer.download(downloadUrl, pdf).then(function (entry) {
                that.toolservice.showtoast("下载成功！");
                setTimeout(function () {
                    that.downloadStatus = false;
                    that.fileOpener.open(pdf, that.toolservice.getFileMimeType(fileType))
                        .then(function (e) {
                    })
                        .catch(function (e) {
                        alert(JSON.stringify(e));
                    });
                }, 1000);
            }, function (error) {
                that.toolservice.showtoast("下载失败，请重试！");
                that.downloadStatus = false;
            });
            /**下载进度条*/
            fileTransfer.onProgress(function (event) {
                var num = Math.ceil(event.loaded / event.total * 100); //转化成1-100的进度
                that.progressNumber = num;
                that.changeDetectorRef.markForCheck();
                that.changeDetectorRef.detectChanges();
            });
        });
    };
    InstrumentDetailPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        this.toolservice.doGet("/documentTemplate/template?id=" + this.id, function (data) {
            if (data.return_code == '000000') {
                _this.showPath = data.return_data.showPath.split(",");
                _this.downloadData = data.return_data;
            }
            else {
                _this.toolservice.showtoast(data.return_msg);
            }
        });
    };
    InstrumentDetailPage.prototype.jumpscaner = function () {
        this.boolattention = true;
    };
    //获取手机权限
    InstrumentDetailPage.prototype.getPrmissions = function () {
        var _this = this;
        this.androidPermissions.checkPermission(this.androidPermissions.PERMISSION.WRITE_EXTERNAL_STORAGE).then(function (result) {
            console.log('本机权限状态:' + result.hasPermission);
        }, function (err) {
            //申请手机权限
            _this.androidPermissions.requestPermission(_this.androidPermissions.PERMISSION.WRITE_EXTERNAL_STORAGE);
        });
        return new Promise(function (resolve) {
            _this.androidPermissions.requestPermissions([_this.androidPermissions.PERMISSION.WRITE_EXTERNAL_STORAGE, _this.androidPermissions.PERMISSION.GET_ACCOUNTS]).then(function (res) {
                resolve(res);
            });
        });
    };
    // 取消下载
    InstrumentDetailPage.prototype.cancel = function () {
        this.boolattention = false;
    };
    // 确定下载
    InstrumentDetailPage.prototype.okDownload = function () {
        var company = JSON.parse(window.localStorage.getItem("COMPANY"));
        var name = this.downloadData.attachment.split("/")[this.downloadData.attachment.split("/").length - 1];
        this.downloadApp(__WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__["g" /* REQUESTTHEADDRESS */] + "/documentTemplate/download?id=" + this.downloadData.id + '&companyId=' + company.id, name);
        // window.location.href = REQUESTTHEADDRESS + "/documentTemplate/download?id=" + this.downloadData.id + '&companyId=' + company.id
    };
    // 取消下载
    InstrumentDetailPage.prototype.downloadCancel = function () {
        this.downloadStatus = false;
    };
    //查看图片
    InstrumentDetailPage.prototype.showImg = function (data) {
        this.toolservice.documentShowImage(this.image_url + data);
    };
    InstrumentDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-instrument-detail',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\instrument-detail\instrument-detail.html"*/'<!--\n  Generated template for the InstrumentDetailPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n  <ion-navbar>\n    <ion-title>文书详情</ion-title>\n    <ion-buttons end>\n      <button ion-button icon-only style="width: 26px;border-radius: 50%; font-size: 14px;margin-right: 10px;"\n        (click)="jumpscaner()">\n        下载\n      </button>\n    </ion-buttons>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <div class="hide-g" *ngIf="downloadStatus">\n    <div class="hide-card">\n      <p style="text-align: center;font-size: 16px;font-weight: bold;">正在下载</p>\n      <progress-bar [progress]="progressNumber" [color]="\'#488aff\'"></progress-bar>\n      <div class="hide-btn-wrap">\n        <button class="btn-default btn-agree" (click)="downloadCancel()">后台下载</button>\n      </div>\n    </div>\n  </div>\n  \n  <div class="title">{{title}}</div>\n  <div class="imgs">\n    <img src="{{image_url + item}}" alt="" *ngFor="let item of showPath" (click)="showImg(item)">\n  </div>\n</ion-content>\n<ion-backdrop *ngIf="boolattention" style="background-color: inherit;opacity: 1;z-index: 200;">\n  <div class="back-hide"></div>\n  <div class="back-wrap">\n    <div class="back-content">\n      <div style="margin-top: 28px;font-size: 16px;font-weight: bold;">下载文件</div>\n      <div style="margin: 16px 0;padding:0 30px; font-size:14px;color: #666;text-align: center;">\n        本次文档下载需要支付积分：{{downloadData.integral}} <br />请问是否下载该文档？</div>\n      <div class="button">\n        <div class="btns exit" (click)="cancel()">取消</div>\n        <div class="btns sure" (click)="okDownload()">确定</div>\n      </div>\n    </div>\n  </div>\n</ion-backdrop>'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\instrument-detail\instrument-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"], __WEBPACK_IMPORTED_MODULE_3__ionic_native_photo_viewer__["a" /* PhotoViewer */],
            __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_file_transfer__["a" /* FileTransfer */], __WEBPACK_IMPORTED_MODULE_6__ionic_native_file__["a" /* File */], __WEBPACK_IMPORTED_MODULE_7__ionic_native_file_opener__["a" /* FileOpener */],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["ChangeDetectorRef"],
            __WEBPACK_IMPORTED_MODULE_8__ionic_native_android_permissions__["a" /* AndroidPermissions */]])
    ], InstrumentDetailPage);
    return InstrumentDetailPage;
}());

//# sourceMappingURL=instrument-detail.js.map

/***/ }),

/***/ 911:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "InstrumentDetailPageModule", function() { return InstrumentDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__instrument_detail__ = __webpack_require__(1136);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_angular_progress_bar__ = __webpack_require__(524);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var InstrumentDetailPageModule = /** @class */ (function () {
    function InstrumentDetailPageModule() {
    }
    InstrumentDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__instrument_detail__["a" /* InstrumentDetailPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__instrument_detail__["a" /* InstrumentDetailPage */]),
                __WEBPACK_IMPORTED_MODULE_3_angular_progress_bar__["a" /* ProgressBarModule */]
            ],
        })
    ], InstrumentDetailPageModule);
    return InstrumentDetailPageModule;
}());

//# sourceMappingURL=instrument-detail.module.js.map

/***/ })

});
//# sourceMappingURL=145.js.map