webpackJsonp([147],{

/***/ 1134:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return InspectionPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
 * Generated class for the InspectionPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var InspectionPage = /** @class */ (function () {
    function InspectionPage(navCtrl, navParams, toolservice, loadingCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.loadingCtrl = loadingCtrl;
        //筛选id
        this.laworganid = '';
        this.lawcontent = '';
        this.seleid = '';
        this.selectcontent = '';
        // 每页展示的记录条数
        this.pageSize = 10;
        // 记录列表刷新次数
        this.inspecrecord = 1;
        //查询时间
        this.selectTime = "";
        //行业id
        this.industyid = '';
        //行业content
        this.industycontent = '';
        this.inspec = 'inspeclist';
        this.inspeclength = 0;
        this.lawscreeningdata = [
            {
                title: '归属区域', content: [
                    { id: 511302, name: '顺庆区' },
                    { id: 511303, name: '高坪区' },
                    { id: 511304, name: '嘉陵区' },
                    { id: 511381, name: '阆中市' },
                    { id: 511321, name: '南部县' },
                    { id: 511325, name: '西充县' },
                    { id: 511324, name: '仪陇县' },
                    { id: 511322, name: '营山县' },
                    { id: 511323, name: '蓬安县' }
                ]
            }
        ];
        this.selestatus = [
            {
                title: '记录状态', content: [
                    { id: 2, name: '已查阅' },
                    { id: 1, name: '未查阅' },
                ]
            }
        ];
        this.selectindustrydata();
        this.selectinspecdata();
        this.selectbscounsel();
    }
    InspectionPage.prototype.ionViewDidLoad = function () {
    };
    /**
     * 查询行业
     */
    InspectionPage.prototype.selectindustrydata = function () {
        var _this = this;
        var url = 'bsCategoryDictionary/getPageCategoryDictionary?type=1&pageNum=1&pageSize=1000';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                _this.industrydata = [
                    { title: '所属行业', content: data.return_data.list }
                ];
            }
        });
    };
    /**
     * 打开
     */
    InspectionPage.prototype.openscreening = function () {
        this.lawcontent = '';
        this.laworganid = '';
        this.seleid = '';
        this.selectcontent = '';
        var screeningitem = document.getElementById("screening");
        screeningitem.style.display = 'block';
    };
    /**
     * 选择
     */
    InspectionPage.prototype.changelawfirm = function (item) {
        this.laworganid = item.id;
        this.lawcontent = item.name;
    };
    InspectionPage.prototype.selecontent = function (item) {
        this.seleid = item.id;
        this.selectcontent = item.name;
    };
    InspectionPage.prototype.seleindusty = function (item) {
        this.industyid = item.id;
        this.industycontent = item.name;
    };
    /**
     * 重置
     */
    InspectionPage.prototype.closevalue = function () {
        this.laworganid = '';
        this.lawcontent = '';
        this.seleid = '';
        this.selectcontent = '';
        this.industyid = '';
        this.industycontent = '';
    };
    /**
     * 跳转详情
     */
    InspectionPage.prototype.jumpinspecdetails = function (item) {
        this.navCtrl.push('ComplainthandlingPage', { itemid: item });
    };
    /**
     * 获取统计数据
     */
    InspectionPage.prototype.selectbscounsel = function () {
        var _this = this;
        var url = 'antivirusReport/getStatistics';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.inspectiondata = data.return_data;
            }
            else {
                _this.messagedata = data.return_msg;
                _this.inspectiondata = "";
            }
        });
    };
    /**
     * 搜索
     */
    InspectionPage.prototype.selectconditionOrderList = function () {
        var _this = this;
        if (this.selectTime == "") {
            this.toolservice.showtoast("请选择上报日期");
        }
        else {
            var start1 = this.toolservice.getDate(this.selectTime);
            var start2 = this.toolservice.dateFormat(start1, 'yyyy-MM-dd');
            var start3 = this.toolservice.getDate(start2);
            var loading_1 = this.loadingCtrl.create({});
            this.selectTime = start3.getTime();
            loading_1.present();
            this.inspecrecord = 1;
            var url = 'antivirusReport/getListReportedCompany?reportTime=' + this.selectTime + '&pageNum=1&pageSize=10';
            this.toolservice.doGet(url, function (data) {
                if (data.return_code == '000000' && data.return_data.list != '') {
                    _this.inspecdata = data.return_data.list;
                    _this.inspeclength = data.return_data['total'];
                    // 消息记录数组最大页面赋值
                    _this.inspecPage = data.return_data['pages'];
                    loading_1.dismiss();
                }
                else {
                    _this.inspeclength = 0;
                    _this.inspecdata = null;
                    _this.toolservice.showtoast(data.return_msg);
                    loading_1.dismiss();
                }
            });
        }
    };
    /**
     * 关闭筛选
     */
    InspectionPage.prototype.closescreening = function (item) {
        var _this = this;
        var screeningitem = document.getElementById("screening");
        if (item == 1) {
            this.laworganid = '';
            screeningitem.style.display = 'none';
        }
        else {
            //政策文件
            var loading_2 = this.loadingCtrl.create();
            loading_2.present();
            var url = 'antivirusReport/getListReportedCompany?regionId=' + this.laworganid + '&categoryId=' + this.industyid + '&status=' + this.seleid + '&pageNum=' + this.inspecrecord + '&pageSize=' + this.pageSize;
            this.toolservice.doGet(url, function (data) {
                if (data.return_code == '000000' && data.return_data.list != '') {
                    _this.inspeclength = data.return_data['total'];
                    // 消息记录数组最大页面赋值
                    _this.inspecPage = data.return_data['pages'];
                    _this.inspecrecord = 1;
                    screeningitem.style.display = 'none';
                    loading_2.dismiss();
                    _this.inspecdata = data.return_data.list;
                }
                else {
                    loading_2.dismiss();
                    screeningitem.style.display = 'none';
                    _this.inspecdata = null;
                    _this.toolservice.showtoast("没有相关数据");
                }
            }, function (error) {
                loading_2.dismiss();
            });
        }
    };
    /**
     * 查询防疫信息
     */
    InspectionPage.prototype.selectinspecdata = function () {
        var _this = this;
        var url = 'antivirusReport/getListReportedCompany?pageNum=1&pageSize=10';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                _this.inspeclength = data.return_data['total'];
                // 消息记录数组最大页面赋值
                _this.inspecPage = data.return_data['pages'];
                _this.inspecrecord = 1;
                _this.inspecdata = data.return_data.list;
            }
            else {
                _this.inspeclength = 0;
                _this.inspecdata = null;
            }
        });
    };
    /**
     *下拉刷型界面
     */
    InspectionPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        if (this.inspec == 'inspeclist') {
            this.selectinspecdata();
        }
        else {
            this.selectbscounsel();
        }
        setTimeout(function () {
            refresher.complete();
            //toast提示
            _this.toolservice.showtoast("刷新成功!");
        }, 2000);
    };
    /**
     * 上滑加载更多
     */
    InspectionPage.prototype.minInfinite = function (infiniteScroll) {
        var _this = this;
        var start1 = this.toolservice.getDate(this.selectTime);
        var start2 = this.toolservice.dateFormat(start1, 'yyyy-MM-dd');
        var start3 = this.toolservice.getDate(start2);
        this.selectTime = start3.getTime();
        setTimeout(function () {
            // 加载完成关闭刷新
            infiniteScroll.complete();
            // 判读数据超过十条启动刷新
            if (_this.inspeclength > _this.pageSize) {
                //增加index
                _this.inspecrecord++;
                // 判断刷新分页页码大小
                if (_this.inspecrecord > _this.inspecPage) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    infiniteScroll.enable(false);
                    //toast提示
                    _this.toolservice.showtoast("已加载所有");
                }
                else {
                    var url = 'antivirusReport/getListReportedCompany?reportTime=' + _this.selectTime + '&regionId=' + _this.laworganid + '&categoryId=' + _this.industyid + '&status=' + _this.seleid + '&pageNum=' + _this.inspecrecord + '&pageSize=' + _this.pageSize;
                    _this.toolservice.doGet(url, function (data) {
                        if (data.return_code == '000000') {
                            // 加载完成关闭刷新
                            infiniteScroll.complete();
                            // 循环插入数据数组
                            for (var i = 0; i < data.return_data['list'].length; i++) {
                                _this.inspecdata.push(data.return_data['list'][i]);
                            }
                        }
                    });
                }
                // }, 2000);
            }
            else {
                // 加载全部数据禁用刷新
                _this.toolservice.showtoast("已加载所有");
            }
        }, 2000);
    };
    InspectionPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-inspection',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\inspection\inspection.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>上报查阅</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-refresher  (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingText="下拉刷新" refreshingSpinner="bubbles"></ion-refresher-content>\n\n  </ion-refresher>\n\n  <ion-segment [(ngModel)]="inspec" mode="md" style="background-color: white;">\n\n    <ion-segment-button value="inspeclist">上报列表\n\n    </ion-segment-button>\n\n    <ion-segment-button value="inspecstatistics">上报统计\n\n    </ion-segment-button>\n\n  </ion-segment>\n\n\n\n  <div [ngSwitch]="inspec">\n\n    <ion-list *ngSwitchCase="\'inspeclist\'">\n\n      <div style="width: 94%;margin-left: 2%; margin-top: 10px;height: 50px;">\n\n        <ion-datetime class="order_starttime" displayFormat="YYYY/MM/DD"\n\n                      placeholder="选择上报日期" cancelText="取消" doneText="完成" [(ngModel)]="selectTime"></ion-datetime>\n\n        <button ion-button class="order_reset"\n\n                style="margin-top: 4px;margin-left: 10px; color: #ffffff;background-color: #49B6F0;"\n\n                (click)="selectconditionOrderList()">\n\n          查询\n\n        </button>\n\n        <div style="" class="screening_div">\n\n          <button ion-button block class="screening_div_btn"\n\n                  (click)="openscreening()">筛选<img style="width: 12px;" src="assets/imgs/screening.png">\n\n          </button>\n\n        </div>\n\n      </div>\n\n      <ion-label style="width: 90%;margin-left: 5%;font-size: 14px;color: #ff5555;">上报企业数量:{{inspeclength}}户</ion-label>\n\n      <div style="width: 90%;background-color: #aaaeb9;height: 1px;margin-top: 8px;margin-left: 5%;"></div>\n\n      <img *ngIf="inspecdata == null" style="width: 80%;margin-left: 10%;" src="assets/imgs/nulldata.png">\n\n      <div style="width: 100%;height: 65px;border-bottom: 5px #f1f3fa solid;margin-top: 10px;"\n\n           *ngFor="let ins  of inspecdata ">\n\n        <ion-label style="margin-left: 5%;color: #525252; font-size: 16px;width: 90%;">{{ins.name}}</ion-label>\n\n        <div style="margin-left: 5%;width: 90%;height: 30px;margin-top: 5px;">\n\n          <ion-label style="width: 60%;float: left;color: #aaaeb9;font-size: 15px;">所属区域:{{ins.regionName}}</ion-label>\n\n          <button ion-button\n\n                  style="font-size: 1.4rem;width: 22%;height: 25px;float: right;color: #ffffff;background-color: #49B6F0;"\n\n                  (click)="jumpinspecdetails(ins.id)">\n\n            查看详情\n\n          </button>\n\n        </div>\n\n      </div>\n\n      <ion-infinite-scroll (ionInfinite)="minInfinite($event)">\n\n        <ion-infinite-scroll-content\n\n          loadingSpinner="bubbles">\n\n        </ion-infinite-scroll-content>\n\n      </ion-infinite-scroll>\n\n    </ion-list>\n\n    <ion-list *ngSwitchCase="\'inspecstatistics\'">\n\n      <div class="head" style="width: 46%;">\n\n        单位名称\n\n      </div>\n\n      <div class="head" style="width: 18%;">\n\n        上报总量\n\n      </div>\n\n      <div class="head" style="width: 18%;">\n\n        已查阅\n\n      </div>\n\n      <div class="head" style="color: #ff5555;width: 18%;">\n\n        未查阅\n\n      </div>\n\n\n\n      <div *ngIf="inspectiondata == \'\' " style="width: 80%;\n\n    padding-top: 30%;\n\n    height: 20px;\n\n    text-align: center;\n\n    color: #525252;\n\n    font-size: 16px;\n\n    margin-left: 10%;">\n\n        {{messagedata}}\n\n      </div>\n\n      <div style="width: 46%;height: 100%;float: left;">\n\n        <div class="context" style="color: #525252;padding-left: 2px;padding-top: 18px;"\n\n             *ngFor="let dem of inspectiondata">\n\n          {{dem.organizationName}}\n\n        </div>\n\n      </div>\n\n      <div style="width: 18%;height: 100%;float: left;">\n\n        <div class="context" style="color: #525252;padding-top: 20px;"\n\n             *ngFor="let de of inspectiondata">\n\n          {{de.total}}\n\n        </div>\n\n      </div>\n\n      <div style="width: 18%;height: 100%;float: left;">\n\n        <div class="context" style="color: #525252;padding-top: 20px;"\n\n             *ngFor="let de of inspectiondata">\n\n          {{de.audited}}\n\n        </div>\n\n      </div>\n\n      <div style="width: 18%;height: 100%;float: left;">\n\n        <div class="context" style="color: #ff5555;padding-top: 20px;"\n\n             *ngFor="let de of inspectiondata">\n\n          {{de.unaudited}}\n\n        </div>\n\n      </div>\n\n    </ion-list>\n\n  </div>\n\n</ion-content>\n\n\n\n\n\n<div style="width: 100%;position: absolute;height: 100%;z-index: 9999999;display: none;bottom: 0px;" id="screening">\n\n  <div style="width: 100%;height: 100%;z-index: 999999999;opacity: 0.5;background-color: #7F7F7F;"></div>\n\n  <div style="width: 100%;position: absolute;background-color:white;z-index: 9999999;border-radius: 15px 15px 0 0;\n\n    bottom: 0px;height: 60%;overflow: auto;box-shadow: 1px -1px 12px #666;">\n\n    <div style="width: 100%;height: 35px;position: fixed;background-color: white;border-radius: 15px 15px 0 0;">\n\n      <div style="width: 60%;float: left;height: 35px;color: #7F7F7F;padding-left: 20px;padding-top: 8px;">筛选全部</div>\n\n      <div style="width: 40%;float: right;height: 35px;text-align: right;padding-top: 8px;padding-right: 20px;">\n\n        <img style="width: 20px;height: 20px;" src="assets/imgs/cancel.png" (click)="closescreening(1)">\n\n      </div>\n\n    </div>\n\n    <div style="width: 100%;height: 1px;background-color: #F6F6F6;margin-top: 35px;"></div>\n\n    <div style="width: 100%;" *ngFor="let laws of lawscreeningdata">\n\n      <div style="width: 100%;font-size: 13px;color: #A5A5A5;padding-left: 20px;margin-top: 10px">{{laws.title}}\n\n      </div>\n\n      <div class="categories">\n\n        <ion-grid>\n\n          <ion-row wrap style="margin-left: 20px;margin-right: 20px;margin-bottom: 10px;">\n\n            <ion-col text-center tappable col-4="" *ngFor="let cols of laws.content"\n\n                     [class]="cols.name==lawcontent?\'active\':\'\'"\n\n                     (click)="changelawfirm(cols)">\n\n              {{cols.name}}\n\n            </ion-col>\n\n          </ion-row>\n\n        </ion-grid>\n\n      </div>\n\n    </div>\n\n\n\n    <div style="width: 100%;" *ngFor="let indu of industrydata">\n\n      <div style="width: 100%;font-size: 13px;color: #A5A5A5;padding-left: 20px;margin-top: 10px">{{indu.title}}\n\n      </div>\n\n      <div class="categories">\n\n        <ion-grid>\n\n          <ion-row wrap style="margin-left: 20px;margin-right: 20px;margin-bottom: 10px;">\n\n            <ion-col text-center tappable col-4="" *ngFor="let cols of indu.content"\n\n                     [class]="cols.name==industycontent?\'active\':\'\'"\n\n                     (click)="seleindusty(cols)">\n\n              {{cols.name}}\n\n            </ion-col>\n\n          </ion-row>\n\n        </ion-grid>\n\n      </div>\n\n    </div>\n\n\n\n\n\n    <div style="width: 100%;" *ngFor="let laws of selestatus">\n\n      <div style="width: 100%;font-size: 13px;color: #A5A5A5;padding-left: 20px;margin-top: 10px">{{laws.title}}\n\n      </div>\n\n      <div class="categories">\n\n        <ion-grid>\n\n          <ion-row wrap style="margin-left: 20px;margin-right: 20px;margin-bottom: 80px;">\n\n            <ion-col text-center tappable col-4="" *ngFor="let cols of laws.content"\n\n                     [class]="cols.name==selectcontent?\'active\':\'\'"\n\n                     (click)="selecontent(cols)">\n\n              {{cols.name}}\n\n            </ion-col>\n\n          </ion-row>\n\n        </ion-grid>\n\n      </div>\n\n    </div>\n\n\n\n\n\n    <div style="width: 100%;height: 56px;position: fixed;bottom: 0px;background-color: white;">\n\n      <button ion-button\n\n              style=" font-size: 1.1em;height: 30px;width: 40%;background-color: #7F7F7F;color: white;float: left;margin-left: 5%;margin-top: 13px;"\n\n              (click)="closevalue()">重置\n\n      </button>\n\n      <button ion-button\n\n              style="margin-right: 5%;margin-top: 13px;font-size: 1.1em;height: 30px;width: 40%;background-color: red;color: white;float: right;"\n\n              (click)="closescreening(2)">确定\n\n      </button>\n\n    </div>\n\n  </div>\n\n</div>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\inspection\inspection.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"]])
    ], InspectionPage);
    return InspectionPage;
}());

//# sourceMappingURL=inspection.js.map

/***/ }),

/***/ 909:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "InspectionPageModule", function() { return InspectionPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__inspection__ = __webpack_require__(1134);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var InspectionPageModule = /** @class */ (function () {
    function InspectionPageModule() {
    }
    InspectionPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__inspection__["a" /* InspectionPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__inspection__["a" /* InspectionPage */]),
            ],
        })
    ], InspectionPageModule);
    return InspectionPageModule;
}());

//# sourceMappingURL=inspection.module.js.map

/***/ })

});
//# sourceMappingURL=147.js.map