webpackJsonp([159],{

/***/ 1120:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ConsultativePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_service_service__ = __webpack_require__(167);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the ConsultativePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ConsultativePage = /** @class */ (function () {
    function ConsultativePage(navCtrl, navParams, thePublicModule, app, webSocketService, toolService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.thePublicModule = thePublicModule;
        this.app = app;
        this.webSocketService = webSocketService;
        this.toolService = toolService;
        this.messageNum = 0;
        if (window.localStorage.getItem("USER_INFO") && window.localStorage.getItem("USER_INFO") != 'null') {
            this.userId = JSON.parse(window.localStorage.getItem("USER_INFO")).userId;
        }
        else {
            this.userId = '';
        }
    }
    ConsultativePage.prototype.ionViewWillEnter = function () {
        var _this = this;
        var USER_INFO = window.localStorage.getItem("USER_INFO") ? JSON.parse(window.localStorage.getItem("USER_INFO")) : null;
        if (USER_INFO) {
            if (!this.webSocketService.webSocket)
                return;
            this.webSocketService.webSocket.send(JSON.stringify({ uid: USER_INFO.userId }));
            // 获取socket返回的数据
            this.webSocketService.messageSubject.subscribe(function (res) {
                // 咨询
                _this.myMsg = res[2] ? res[2].size : null;
            });
        }
        var consu = this.thePublicModule.ZXMENU_LIST;
        if (consu.length > 0) {
            consu.forEach(function (item) {
                if (item.menuName == '咨询服务') {
                    _this.Consuledata = item.children;
                }
            });
        }
        if (this.userId)
            this.getNoReplay();
    };
    ConsultativePage.prototype.ionViewDidLoad = function () {
    };
    // 查询咨询回复-未回复数据
    ConsultativePage.prototype.getNoReplay = function () {
        var _this = this;
        var url = 'bsCounselRecord/findMyCounselList?pageNum=1&pageSize=1000&isReply=true';
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000') {
                if (data.return_data.list.length != 0) {
                    var num = data.return_data.list.filter(function (d) {
                        return !d.isReply;
                    });
                    _this.messageNum = num.length;
                }
                else {
                    _this.messageNum = 0;
                }
            }
        });
    };
    /**
     * 跳转页面
     */
    ConsultativePage.prototype.jumpconsulpage = function (item) {
        if (item.menuMobileUrl == 'CounselCreatePage') {
            if (this.thePublicModule.USER_INFO == null) {
                // this.app.getRootNav().setRoot('LoginPage');
                this.navCtrl.push('LoginPage');
            }
            else {
                this.navCtrl.push('CounselCreatePage', { counid: 1 });
            }
        }
        else if (item.menuMobileUrl == 'CounselServiceCreatePage') {
            if (this.thePublicModule.USER_INFO == null) {
                // this.app.getRootNav().setRoot('LoginPage');
                this.navCtrl.push('LoginPage');
            }
            else {
                this.navCtrl.push(item.menuMobileUrl);
            }
        }
        else if (item.menuMobileUrl == 'CounselPlatformCreatePage') {
            if (this.thePublicModule.USER_INFO == null) {
                // this.app.getRootNav().setRoot('LoginPage');
                this.navCtrl.push('LoginPage');
            }
            else {
                this.navCtrl.push(item.menuMobileUrl);
            }
        }
        else if (item.menuMobileUrl == 'MineconsultationPage') {
            if (this.thePublicModule.USER_INFO == null) {
                // this.app.getRootNav().setRoot('LoginPage');
                this.navCtrl.push('LoginPage');
            }
            else {
                this.navCtrl.push(item.menuMobileUrl);
            }
        }
        else if (item.menuMobileUrl == 'FeedbackCreatePage') {
            if (this.thePublicModule.USER_INFO == null) {
                // this.app.getRootNav().setRoot('LoginPage');
                this.navCtrl.push('LoginPage');
            }
            else {
                this.navCtrl.push(item.menuMobileUrl);
            }
        }
        else {
            this.navCtrl.push(item.menuMobileUrl);
        }
    };
    ConsultativePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-consultative',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\consultative\consultative.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>咨询</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content style="background-color: #f7f7f7;">\n\n  <button class="btnList" no-lines="" ion-item="" *ngFor="let con of Consuledata;let i = index" (click)="jumpconsulpage(con)">\n\n    <img class="btn_img" item-left="" class="btn_img" src="{{\'assets/imgs/Consul/\'+(i+1)+\'.png\'}}">\n\n    <span item-left="" class="btn_mess">{{con.menuName}}<ion-badge color="primary" *ngIf="con.menuName == \'我的咨询\'">{{myMsg}}</ion-badge></span>\n\n    <div class="redIcon" *ngIf="con.menuName == \'我的咨询\' && messageNum != 0">{{messageNum}}</div>\n\n  </button>\n\n <!-- <div *ngFor="let con of Consuledata">\n\n    <ion-item-divider class="t-header" color="light"> {{con.menuName}}</ion-item-divider>\n\n    <ion-grid>\n\n      <ion-row wrap>\n\n        <ion-col text-center tappable col-6 *ngFor="let c of con.children" (click)="jumpconsulpage(c)">\n\n          <img src="{{c.menuUrlImg}}">\n\n        </ion-col>\n\n      </ion-row>\n\n    </ion-grid>\n\n  </div> -->\n\n\n\n  <!--<div class="consul_div_classification">-->\n\n  <!--<div class="consul_div_leftcont">-->\n\n  <!--<div class="consul_div_img">-->\n\n  <!--<img src="assets/imgs/Consul/Consul1.png" (click)="jumpconsulpage(1)">-->\n\n  <!--</div>-->\n\n  <!--<div class="consul_div_img">-->\n\n  <!--<img src="assets/imgs/Consul/Consul3.png" (click)="jumpconsulpage(2)">-->\n\n  <!--</div>-->\n\n  <!--</div>-->\n\n  <!--<div class="consul_div_rightcont">-->\n\n  <!--<div class="consul_div_img">-->\n\n  <!--<img src="assets/imgs/Consul/Consul2.png" (click)="jumpconsulpage(3)">-->\n\n  <!--</div>-->\n\n  <!--<div class="consul_div_img">-->\n\n  <!--<img src="assets/imgs/Consul/Consul4.png" (click)="jumpconsulpage(4)">-->\n\n  <!--</div>-->\n\n  <!--</div>-->\n\n  <!--</div>-->\n\n\n\n  <!--<ion-item-divider class="t-header" color="light"> 解答</ion-item-divider>-->\n\n\n\n  <!--<div style="width: 100%;height: 65px;">-->\n\n  <!--<div class="consul_div_leftcont">-->\n\n  <!--<div class="consul_div_img">-->\n\n  <!--<img src="assets/imgs/Consul/Consul5.png" (click)="jumpconsulpage(5)">-->\n\n  <!--</div>-->\n\n  <!--</div>-->\n\n  <!--</div>-->\n\n\n\n\n\n  <!--<ion-item-divider class="t-header" color="light"> 共建营商</ion-item-divider>-->\n\n\n\n  <!--<div style="width: 100%;height: 65px;">-->\n\n  <!--<div class="consul_div_leftcont">-->\n\n  <!--<div class="consul_div_img">-->\n\n  <!--<img src="assets/imgs/Consul/Consul6.png" (click)="jumpconsulpage(6)">-->\n\n  <!--</div>-->\n\n  <!--</div>-->\n\n  <!--</div>-->\n\n\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\consultative\consultative.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__["i" /* ThePublicModule */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["App"],
            __WEBPACK_IMPORTED_MODULE_4__providers_service_service__["a" /* WebSocketService */],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__["a" /* ToolserviceProvider */]])
    ], ConsultativePage);
    return ConsultativePage;
}());

//# sourceMappingURL=consultative.js.map

/***/ }),

/***/ 895:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ConsultativePageModule", function() { return ConsultativePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__consultative__ = __webpack_require__(1120);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ConsultativePageModule = /** @class */ (function () {
    function ConsultativePageModule() {
    }
    ConsultativePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__consultative__["a" /* ConsultativePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__consultative__["a" /* ConsultativePage */]),
            ],
        })
    ], ConsultativePageModule);
    return ConsultativePageModule;
}());

//# sourceMappingURL=consultative.module.js.map

/***/ })

});
//# sourceMappingURL=159.js.map