webpackJsonp([161],{

/***/ 1118:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CompanieslistPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the CompanieslistPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var CompanieslistPage = /** @class */ (function () {
    function CompanieslistPage(navCtrl, navParams, toolservice, loadctrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.loadctrl = loadctrl;
        // 每页展示的记录条数
        this.pageSize = 10;
        // 记录列表刷新次数
        this.numrecord = 1;
        //图片地址
        this.imageurl = __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["d" /* IMAGEURL */];
        //筛选id
        this.laworganid = '';
        this.lawcontent = '';
        this.selectcompanies();
        this.lawscreeningdata = [
            {
                title: '归属区域', content: [
                    { id: 511302, name: '顺庆区' },
                    { id: 511303, name: '高坪区' },
                    { id: 511304, name: '嘉陵区' },
                    { id: 511381, name: '阆中市' },
                    { id: 511321, name: '南部县' },
                    { id: 511325, name: '西充县' },
                    { id: 511324, name: '仪陇县' },
                    { id: 511322, name: '营山县' },
                    { id: 511323, name: '蓬安县' }
                ]
            }
        ];
    }
    CompanieslistPage.prototype.ionViewDidLoad = function () {
    };
    /**
     * 判断是否有数据
     */
    CompanieslistPage.prototype.judgenulldata = function (searchjudg) {
        if (searchjudg.value.length == 0) {
            this.selectcompanies();
        }
    };
    /**
     * 详情
     */
    CompanieslistPage.prototype.jumpcompanieslistdetails = function (items) {
        this.navCtrl.push('CompanieslistDetailsPage', { compandeta: items });
    };
    /**
     * 打开
     */
    CompanieslistPage.prototype.openscreening = function () {
        this.lawcontent = '';
        this.laworganid = '';
        var screeningitem = document.getElementById("screening");
        screeningitem.style.display = 'block';
    };
    /**
     * 选择
     */
    CompanieslistPage.prototype.changelawfirm = function (item) {
        this.laworganid = item.id;
        this.lawcontent = item.name;
    };
    /**
     * 重置
     */
    CompanieslistPage.prototype.closevalue = function () {
        this.laworganid = '';
        this.lawcontent = '';
    };
    /**
     * 关闭筛选
     */
    CompanieslistPage.prototype.closescreening = function (item) {
        var _this = this;
        var screeningitem = document.getElementById("screening");
        if (item == 1) {
            this.laworganid = '';
            screeningitem.style.display = 'none';
        }
        else {
            //政策文件
            var loading_1 = this.loadctrl.create();
            loading_1.present();
            var url = 'serviceOrg/getPageCompany?status=1&regionId=' + this.laworganid + '&pageNum=1&pageSize=10';
            this.toolservice.doGet(url, function (data) {
                if (data.return_code == '000000' && data.return_data.list != '') {
                    _this.companlength = data.return_data['total'];
                    // 消息记录数组最大页面赋值
                    _this.companPage = data.return_data['pages'];
                    _this.numrecord = 1;
                    loading_1.dismiss();
                    _this.companireslistdata = data.return_data.list;
                    screeningitem.style.display = 'none';
                }
                else {
                    loading_1.dismiss();
                    _this.companireslistdata = null;
                    screeningitem.style.display = 'none';
                    _this.toolservice.showtoast("没查到数据");
                }
            }, function (error) {
                loading_1.dismiss();
            });
        }
    };
    /**
     * 企业管理列表
     */
    CompanieslistPage.prototype.selectcompanies = function () {
        var _this = this;
        var loading = this.loadctrl.create({});
        loading.present();
        var url = 'serviceOrg/getPageCompany?status=1&pageNum=1&pageSize=10';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                _this.companireslistdata = data.return_data.list;
                _this.numrecord = 1;
                _this.companlength = data.return_data['total'];
                // 消息记录数组最大页面赋值
                _this.companPage = data.return_data['pages'];
                loading.dismiss();
            }
            else {
                loading.dismiss();
            }
        }, function (error) {
            loading.dismiss();
        });
    };
    /**
     * 搜索企业
     */
    CompanieslistPage.prototype.searchnamedata = function (searchname) {
        var _this = this;
        if (searchname.value.length == 0) {
            this.toolservice.showtoast("请输入");
        }
        else {
            var loading_2 = this.loadctrl.create({});
            loading_2.present();
            var url = 'serviceOrg/getPageCompany?status=1&regionId=' + this.laworganid + '&name=' + searchname.value +
                '&pageNum=1&pageSize=10';
            this.toolservice.doGet(url, function (data) {
                if (data.return_code == '000000' && data.return_data.list != '') {
                    _this.companireslistdata = data.return_data.list;
                    _this.numrecord = 1;
                    _this.companlength = data.return_data['total'];
                    // 消息记录数组最大页面赋值
                    _this.companPage = data.return_data['pages'];
                    loading_2.dismiss();
                }
                else {
                    loading_2.dismiss();
                }
            }, function (error) {
                loading_2.dismiss();
            });
        }
    };
    /**
     * 上滑加载更多
     */
    CompanieslistPage.prototype.minInfinite = function (infiniteScroll, minsearchname) {
        var _this = this;
        setTimeout(function () {
            // 加载完成关闭刷新
            infiniteScroll.complete();
            // 判读数据超过十条启动刷新
            if (_this.companlength > _this.pageSize) {
                //增加index
                _this.numrecord++;
                // 判断刷新分页页码大小
                if (_this.numrecord > _this.companPage) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    // infiniteScroll.enable(false);
                    //toast提示
                    _this.toolservice.showtoast("已加载所有");
                }
                else {
                    var url = 'serviceOrg/getPageCompany?status=1&regionId=' + _this.laworganid + '&name=' + minsearchname.value + '&pageNum=' + _this.numrecord + '&pageSize=' + _this.pageSize;
                    _this.toolservice.doGet(url, function (data) {
                        if (data.return_code == '000000') {
                            // 加载完成关闭刷新
                            infiniteScroll.complete();
                            // 循环插入数据数组
                            for (var i = 0; i < data.return_data['list'].length; i++) {
                                _this.companireslistdata.push(data.return_data['list'][i]);
                            }
                        }
                    });
                }
            }
            else {
                // 加载全部数据禁用刷新
                // infiniteScroll.enable(false);
                _this.toolservice.showtoast("已加载所有");
            }
        }, 2000);
    };
    CompanieslistPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-companieslist',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\companieslist\companieslist.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>单位列表</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <div class="compan_div_slide">\n\n    <img src="assets/imgs/companhead.png">\n\n  </div>\n\n  <!--<div style="width: 90%;margin-top: 15px;margin-bottom: 5px;margin-left: 5%;height: 50px">-->\n\n  <!--<ion-searchbar style="width: 85%;float: left;" #searchvalue-->\n\n  <!--placeholder="请输入单位名称或关键字" (ionChange)="judgenulldata(searchvalue)"></ion-searchbar>-->\n\n  <!--<div style="width: 15%;float: right;height: 36px;margin-top: 1px;">-->\n\n  <!--<button ion-button block class="compan_div_btn" (click)="searchnamedata(searchvalue)">搜索-->\n\n  <!--</button>-->\n\n  <!--</div>-->\n\n  <!--</div>-->\n\n\n\n\n\n  <div style="width: 90%;margin-top: 15px;margin-left: 5%;height: 50px">\n\n    <ion-searchbar style="width: 65%;float: left;" #searchvalue\n\n                   placeholder="请输入想要查询的内容" (ionChange)="judgenulldata(searchvalue)"></ion-searchbar>\n\n    <div class="search_div">\n\n      <button ion-button block class="search_div_btn"\n\n              (click)="searchnamedata(searchvalue)">搜索\n\n      </button>\n\n    </div>\n\n    <div style="" class="screening_div">\n\n      <button ion-button block class="screening_div_btn"\n\n              (click)="openscreening()">筛选<img style="width: 12px;" src="assets/imgs/screening.png">\n\n      </button>\n\n    </div>\n\n  </div>\n\n\n\n  <img *ngIf="companireslistdata == null" style="width: 80%;margin-left: 10%;" src="assets/imgs/nulldata.png">\n\n  <div style="width: 100%;" *ngFor="let compan of companireslistdata" (click)="jumpcompanieslistdetails(compan)">\n\n    <div style="width: 80px;height: 80px;float: left;margin-left: 16px;">\n\n      <img style="width: 80px;height: 80px;border-radius: 8px;"\n\n           src="{{imageurl+compan.logo}}">\n\n    </div>\n\n    <div style="margin-left: 105px;height: 80px;margin-right: 16px;">\n\n      <ion-label style="font-size: 17px;color: #525252;">{{compan.name}}</ion-label>\n\n      <div style="width: 45%;float: left; font-size: 14px;color: #aaaeb9;margin-top: 5px;">所属区域:{{compan.regionName}}\n\n      </div>\n\n      <div style="float: right; width: 55%;overflow: hidden;font-size: 14px;color: #aaaeb9;margin-top: 5px;\n\ndisplay: -webkit-box;-webkit-line-clamp: 1;text-align: right; -webkit-box-orient: vertical;text-overflow: ellipsis;">所属行业:{{compan.businessCategoryName}}</div>\n\n      <div style="width: 100%;">\n\n        <ion-label style="width: 56%;float: left;text-align: left;margin-top: 7px;">\n\n          <img style="width: 19px;" *ngIf="compan.honestBadge" src="assets/imgs/compan1.png">\n\n          <img style="width: 19px;" *ngIf="!compan.honestBadge" src="assets/imgs/compan6.png">\n\n          <img style="width: 19px;margin-left: -3px;" *ngIf="compan.highBadge" src="assets/imgs/compan2.png">\n\n          <img style="width: 19px;margin-left: -3px;" *ngIf="!compan.highBadge" src="assets/imgs/compan7.png">\n\n          <img style="width: 19px;margin-left: -3px;" *ngIf="compan.reputationBadge" src="assets/imgs/compan3.png">\n\n          <img style="width: 19px;margin-left: -3px;" *ngIf="!compan.reputationBadge" src="assets/imgs/compan8.png">\n\n          <img style="width: 19px;margin-left: -3px;" *ngIf="compan.learnBadge" src="assets/imgs/compan4.png">\n\n          <img style="width: 19px;margin-left: -3px;" *ngIf="!compan.learnBadge" src="assets/imgs/compan9.png">\n\n          <img style="width: 19px;margin-left: -3px;" *ngIf="compan.realBadge" src="assets/imgs/compan5.png">\n\n          <img style="width: 19px;margin-left: -3px;" *ngIf="!compan.realBadge" src="assets/imgs/compan10.png">\n\n        </ion-label>\n\n        <ion-label style="width: 44%;float: right;text-align: right;font-size: 14px; color: #aaaeb9;margin-top: 5px;">\n\n          <ionic3-star-rating\n\n            activeIcon="ios-star"\n\n            defaultIcon="ios-star"\n\n            activeColor="#ff8600"\n\n            defaultColor="#aaaeb9"\n\n            readonly="true"\n\n            [rating]="compan.starGrade">\n\n          </ionic3-star-rating>\n\n        </ion-label>\n\n      </div>\n\n    </div>\n\n    <div style="width: 100%;height: 1px;background-color: #F4F4F4;margin-top: 10px;margin-bottom: 10px;"></div>\n\n  </div>\n\n  <ion-infinite-scroll (ionInfinite)="minInfinite($event,searchvalue)">\n\n    <ion-infinite-scroll-content\n\n      loadingSpinner="bubbles">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>\n\n\n\n\n\n<div style="width: 100%;position: absolute;height: 100%;z-index: 9999999;display: none;" id="screening">\n\n  <div style="width: 100%;height: 100%;z-index: 999999999;opacity: 0.5;background-color: #7F7F7F;"></div>\n\n  <div style="width: 100%;position: absolute;background-color:white;z-index: 9999999;border-radius: 15px 15px 0 0;\n\n    bottom: 0px;height: 60%;overflow: auto;box-shadow: 1px -1px 12px #666;">\n\n    <div style="width: 100%;height: 35px;position: fixed;background-color: white;border-radius: 15px 15px 0 0;">\n\n      <div style="width: 60%;float: left;height: 35px;color: #7F7F7F;padding-left: 20px;padding-top: 8px;">筛选全部</div>\n\n      <div style="width: 40%;float: right;height: 35px;text-align: right;padding-top: 8px;padding-right: 20px;">\n\n        <img style="width: 20px;height: 20px;" src="assets/imgs/cancel.png" (click)="closescreening(1)">\n\n      </div>\n\n    </div>\n\n    <div style="width: 100%;height: 1px;background-color: #F6F6F6;margin-top: 35px;"></div>\n\n    <div style="width: 100%;" *ngFor="let laws of lawscreeningdata">\n\n      <div style="width: 100%;font-size: 13px;color: #A5A5A5;padding-left: 20px;margin-top: 10px">{{laws.title}}\n\n      </div>\n\n      <div class="categories">\n\n        <ion-grid>\n\n          <ion-row wrap style="margin-left: 20px;margin-right: 20px;margin-bottom: 10px;">\n\n            <ion-col text-center tappable col-4="" *ngFor="let cols of laws.content"\n\n                     [class]="cols.name==lawcontent?\'active\':\'\'"\n\n                     (click)="changelawfirm(cols)">\n\n              {{cols.name}}\n\n            </ion-col>\n\n          </ion-row>\n\n        </ion-grid>\n\n      </div>\n\n    </div>\n\n    <div style="width: 100%;height: 56px;position: fixed;bottom: 0px;background-color: white;">\n\n      <button ion-button\n\n              style=" font-size: 1.1em;height: 30px;width: 40%;background-color: #7F7F7F;color: white;float: left;margin-left: 5%;margin-top: 13px;"\n\n              (click)="closevalue()">重置\n\n      </button>\n\n      <button ion-button\n\n              style="margin-right: 5%;margin-top: 13px;font-size: 1.1em;height: 30px;width: 40%;background-color: red;color: white;float: right;"\n\n              (click)="closescreening(2)">确定\n\n      </button>\n\n    </div>\n\n  </div>\n\n</div>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\companieslist\companieslist.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"]])
    ], CompanieslistPage);
    return CompanieslistPage;
}());

//# sourceMappingURL=companieslist.js.map

/***/ }),

/***/ 893:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CompanieslistPageModule", function() { return CompanieslistPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__companieslist__ = __webpack_require__(1118);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic3_star_rating__ = __webpack_require__(518);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var CompanieslistPageModule = /** @class */ (function () {
    function CompanieslistPageModule() {
    }
    CompanieslistPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__companieslist__["a" /* CompanieslistPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_3_ionic3_star_rating__["a" /* StarRatingModule */],
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__companieslist__["a" /* CompanieslistPage */]),
            ],
        })
    ], CompanieslistPageModule);
    return CompanieslistPageModule;
}());

//# sourceMappingURL=companieslist.module.js.map

/***/ })

});
//# sourceMappingURL=161.js.map