webpackJsonp([164],{

/***/ 1115:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CompaniesDetailsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_camera_api_camera_api__ = __webpack_require__(162);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__common_select_tree_visit_select_tree_visit__ = __webpack_require__(535);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__common_select_tree_select_tree__ = __webpack_require__(519);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







/**
 * Generated class for the CompaniesDetailsPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var CompaniesDetailsPage = /** @class */ (function () {
    function CompaniesDetailsPage(navCtrl, navParams, toolservice, cameraService, modalctrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.cameraService = cameraService;
        this.modalctrl = modalctrl;
        //记录图片
        this.Recordimage = [];
        //签到图片
        this.Signimage = [];
        //图片地址
        this.image_url = __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["d" /* IMAGEURL */];
        this.companiesdata = this.navParams.get('details');
        this.panduid = this.navParams.get('panid');
        if (this.companiesdata != '') {
            this.compantime = this.companiesdata.visitTime;
            if (this.companiesdata.visitImg != null) {
                this.Recordimage = this.companiesdata.visitImg.split(',');
            }
            if (this.companiesdata.checkInImg != null) {
                this.Signimage = this.companiesdata.checkInImg.split(',');
            }
            this.visitenterprise = this.companiesdata.companyName;
            this.Belongarea = this.companiesdata.regionId;
            this.visitenpepole = this.companiesdata.contactName;
            this.telephone = this.companiesdata.contactPhone;
            this.visitenmatters = this.companiesdata.visitContent;
            this.visitendetails = this.companiesdata.visitDetailed;
            this.Belongname = this.companiesdata.regionName;
            this.datetimes = this.companiesdata.visitTime;
            this.labelvalue = this.companiesdata.tagId;
            this.evenalstart = this.companiesdata.evaluateStart;
            this.evenalcontetnt = this.companiesdata.evaluateContent;
            this.selectDictionary();
        }
    }
    /**
     * 查询公司规模
     */
    CompaniesDetailsPage.prototype.selectDictionary = function () {
        var _this = this;
        var that = this;
        var url = 'bsCategoryDictionary/getPageCategoryDictionary?type=15&pageNum=1&pageSize=1000';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                var parenfaesult = data.return_data.list.filter(function (f) {
                    if (that.companiesdata.tagId == null && that.companiesdata.tagId == undefined) {
                        return false;
                    }
                    return that.companiesdata.tagId.split(',').indexOf(f.id.toString()) >= 0;
                });
                var calesendata = [];
                for (var i = 0; i < parenfaesult.length; i++) {
                    calesendata.push(parenfaesult[i].name);
                }
                _this.labelname = calesendata.join(',');
            }
            else {
            }
        });
    };
    CompaniesDetailsPage.prototype.ionViewDidLoad = function () {
    };
    // 删除图片
    CompaniesDetailsPage.prototype.deleDtaore = function (key) {
        this.Recordimage.splice(key, 1);
    };
    // 删除图片
    CompaniesDetailsPage.prototype.deleDtaosi = function (key) {
        this.Signimage.splice(key, 1);
    };
    /**
     * 拍照上传
     * @param e
     */
    CompaniesDetailsPage.prototype.goCameraApi = function (e, item) {
        this.imgResultRegister(item);
        this.cameraService.showPicActionSheet();
    };
    CompaniesDetailsPage.prototype.getdate = function (time) {
        var now = new Date(time), y = now.getFullYear(), m = now.getMonth() + 1, d = now.getDate();
        return y + "-" + (m < 10 ? "0" + m : m) + "-" + (d < 10 ? "0" + d : d) + " " + now.toTimeString().substr(0, 8);
    };
    /**
     * 科技企业标签
     */
    CompaniesDetailsPage.prototype.selectcategory = function () {
        var _this = this;
        var data = {
            ListUrlAction: 'bsCategoryDictionary/getPageCategoryDictionary?type=15&pageNum=1&pageSize=1000',
            choseTitle: "所属标签",
            needChoseItemCount: 2,
            selectItemList: this.labeldatalist,
            nameMap: {
                dataList: 'list'
            }
        };
        var userModal = this.modalctrl.create(__WEBPACK_IMPORTED_MODULE_6__common_select_tree_select_tree__["a" /* SelectTreePage */], data);
        userModal.onDidDismiss(function (data) {
            if (data && data.length > 0) {
                _this.labeldatalist = data;
                var dusname = [];
                var dusvale = [];
                for (var i = 0; i < _this.labeldatalist.length; i++) {
                    dusvale.push(_this.labeldatalist[i].id);
                    dusname.push(_this.labeldatalist[i].name);
                }
                _this.labelvalue = ',' + dusvale.join(',') + ',';
                _this.labelname = dusname.join(',');
            }
        });
        userModal.present();
    };
    /**
     * 选择图片结果
     * @param items
     */
    CompaniesDetailsPage.prototype.imgResultRegister = function (items) {
        var _this = this;
        this.cameraService.upload.success = function (data) {
            if (data.return_code == '000000') {
                if (items == 1) {
                    if (_this.Recordimage.length > 2) {
                        _this.toolservice.showtoast('只能上传3张图片');
                    }
                    else {
                        _this.Recordimage.push(data.return_data[0]);
                    }
                }
                else {
                    if (_this.Signimage.length > 2) {
                        _this.toolservice.showtoast('只能上传3张图片');
                    }
                    else {
                        _this.Signimage.push(data.return_data[0]);
                    }
                }
            }
            else {
                _this.toolservice.showtoast(data.return_msg);
            }
        };
        this.cameraService.upload.error = function (err) {
            _this.toolservice.showtoast('上传失败');
        };
    };
    /**
     *  时间
     */
    CompaniesDetailsPage.prototype.onChoseDate = function (btn) {
        var allChildren = this.findAllChild(btn.currentTarget);
        var dateInput = allChildren.filter(function (f) {
            return f.classList.contains('datetime-input');
        });
        if (dateInput.length > 0) {
            if (this.toolservice.isIOS()) {
                dateInput[0].focus();
            }
            else {
                dateInput[0].click();
            }
        }
    };
    CompaniesDetailsPage.prototype.findAllChild = function (parentEle) {
        var result = [];
        var children = parentEle.children;
        if (children && children.length > 0) {
            for (var i = 0; i < children.length; i++) {
                var child = children[i];
                var childrenLast = this.findAllChild(child);
                if (childrenLast.length > 0) {
                    childrenLast.forEach(function (element) {
                        result.push(element);
                    });
                }
                result.push(child);
            }
        }
        return result;
    };
    /**
     * 拜访企业
     */
    CompaniesDetailsPage.prototype.companiesdatas = function () {
        var _this = this;
        var data = {
            ListUrlAction: 'bsVisitCompany/getCompany',
            searchUrlAction: 'bsVisitCompany/getCompany?companyName={0}',
            choseTitle: "拜访企业",
            needChoseItemCount: 1,
            // selectItemList: this.visitenterprise,
            nameMap: {
                dataList: 'list',
                object: {
                    name: "companyName",
                    value: "id"
                },
            }
        };
        var userModal = this.modalctrl.create(__WEBPACK_IMPORTED_MODULE_5__common_select_tree_visit_select_tree_visit__["a" /* SelectTreeVisitPage */], data);
        userModal.onDidDismiss(function (data) {
            if (data && data.length > 0) {
                if (data[0].companyName == null && data[0].companyName == undefined) {
                    _this.visitenterprise = data;
                    _this.Belongarea = '';
                }
                else {
                    _this.visitenterprise = data[0].companyName;
                    _this.Belongarea = data[0].regionId;
                }
            }
        });
        userModal.present();
    };
    /**
     * 保存拜访数据
     */
    CompaniesDetailsPage.prototype.saveinfo = function () {
        var _this = this;
        if (this.panduid == 1) {
            if (this.visitenterprise == null) {
                this.toolservice.showtoast('请输入拜访企业');
            }
            else if (this.Belongarea == null) {
                this.toolservice.showtoast('请输入拜访区域');
            }
            else if (this.visitenmatters == null) {
                this.toolservice.showtoast('请输入拜访事项');
            }
            else {
                var date = this.toolservice.getDate(this.datetimes);
                var url = 'bsVisitCompany/addVisitCompany';
                var datas = {
                    regionId: this.Belongarea,
                    companyName: this.visitenterprise,
                    contactName: this.visitenpepole,
                    contactPhone: this.telephone,
                    tagId: this.labelvalue,
                    visitContent: this.visitenmatters,
                    visitTime: date
                };
                this.toolservice.doPost(url, datas, function (data) {
                    if (data.return_code == '000000') {
                        _this.toolservice.showtoast('添加成功');
                        _this.navCtrl.pop();
                    }
                    else {
                        _this.toolservice.showtoast(data.return_msg);
                    }
                });
            }
        }
        else {
            if (this.visitenmatters == null) {
                this.toolservice.showtoast('请输入拜访事项');
            }
            else {
                var url = 'bsVisitCompany/updateVisitCompany';
                var datas = {
                    id: this.companiesdata.id,
                    contactName: this.visitenpepole,
                    contactPhone: this.telephone,
                    visitContent: this.visitenmatters,
                    tagId: this.labelvalue,
                    visitDetailed: this.visitendetails
                };
                this.toolservice.doPost(url, datas, function (data) {
                    if (data.return_code == '000000') {
                        _this.toolservice.showtoast('修改成功');
                        _this.navCtrl.pop();
                    }
                    else {
                        _this.toolservice.showtoast(data.return_msg);
                    }
                });
            }
        }
    };
    CompaniesDetailsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-companies-details',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\companies-details\companies-details.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title *ngIf="panduid == 1">添加拜访</ion-title>\n\n    <ion-title *ngIf="panduid == 2">拜访详情</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-label style="background-color: #F1F3FB;color: #aaaeb9;height: 40px;padding-top: 10px;padding-left: 10px;"\n\n             *ngIf="panduid == 2">\n\n    提示:内容前标识为*号的记录无法更改\n\n  </ion-label>\n\n  <ion-item no-lines="" style="width: 100%;border-bottom: #efefef 0.5px solid;" *ngIf="panduid == 2">\n\n    <ion-label item-start="" style="font-size: 14px;color: #474443;">\n\n      <span style="vertical-align: middle;">*</span>签到时间\n\n    </ion-label>\n\n    <ion-input item-end="" style="font-size: 14px;color: #474443;float: right;" disabled="true"\n\n               value="{{getdate(compantime)}}"></ion-input>\n\n  </ion-item>\n\n  <!--(click)="companiesdatas()"-->\n\n  <ion-item no-lines="" style="width: 100%;border-bottom: #efefef 0.5px solid;" (click)="companiesdatas()"\n\n            *ngIf="panduid == 1">\n\n    <ion-label item-start="" style="font-size: 14px;color: #474443;">\n\n      拜访单位\n\n    </ion-label>\n\n    <!--<ion-input item-end="" style="font-size: 14px;color: #474443;float: right;" placeholder="请输入拜访企业"-->\n\n    <!--[(ngModel)]="visitenterprise">-->\n\n    <!--</ion-input>-->\n\n    <ion-label style="font-size: 14px;text-align: right;color: #aaaeb9;" item-end="" *ngIf="visitenterprise== null">\n\n      请选择\n\n    </ion-label>\n\n    <ion-label style="font-size: 14px;text-align: right;color: #525252;" item-end="" *ngIf="visitenterprise!= null">\n\n      {{visitenterprise}}\n\n    </ion-label>\n\n  </ion-item>\n\n  <ion-item no-lines="" style="width: 100%;border-bottom: #efefef 0.5px solid;" *ngIf="panduid == 2">\n\n    <ion-label item-start="" style="font-size: 14px;color: #474443;">\n\n      <span style="vertical-align: middle;">*</span>拜访单位\n\n    </ion-label>\n\n    <ion-input item-end="" style="font-size: 14px;color: #474443;float: right;" disabled="true"\n\n               [(ngModel)]="visitenterprise"></ion-input>\n\n  </ion-item>\n\n\n\n\n\n  <ion-item no-lines="" style="width: 100%;border-bottom: #efefef 0.5px solid;" *ngIf="panduid == 2">\n\n    <ion-label item-start="" style="font-size: 14px;color: #474443;">\n\n      <span style="vertical-align: middle;">*</span>所属区域\n\n    </ion-label>\n\n    <ion-input item-end="" style="font-size: 14px;color: #474443;float: right;" disabled="true"\n\n               [(ngModel)]="Belongname"></ion-input>\n\n  </ion-item>\n\n\n\n  <!--<ion-item no-lines="" style="width: 100%;border-bottom: #efefef 0.5px solid;font-size: 14px;" *ngIf="panduid == 1">-->\n\n  <!--<ion-label style="  color: #474443;float: left;font-size: 14px;width: 25%;">拜访标签</ion-label>-->\n\n  <!--<ion-select placeholder="请选择标签" interface="popover" [(ngModel)]="Belonglabel" cancelText="取消">-->\n\n  <!--<ion-option value="{{lab.id}}" *ngFor="let lab of belonglabeldata">{{lab.name}}</ion-option>-->\n\n  <!--</ion-select>-->\n\n  <!--</ion-item>-->\n\n\n\n  <ion-item no-lines="" style="width: 100%;border-bottom: #efefef 0.5px solid;"\n\n            (click)="selectcategory()">\n\n    <ion-label item-start="" style="font-size: 14px;color: #474443;">\n\n      所属标签\n\n    </ion-label>\n\n    <ion-label style="font-size: 14px;text-align: right;color: #999999;"\n\n               *ngIf="labelvalue== null" item-end="">\n\n      请选择拜访标签\n\n    </ion-label>\n\n    <ion-label style="font-size: 14px;text-align: right;color: #525252;"\n\n               *ngIf="labelvalue!= null"\n\n               item-end="">\n\n      {{labelname}}\n\n    </ion-label>\n\n  </ion-item>\n\n\n\n\n\n  <ion-item no-lines="" style="width: 100%;border-bottom: #efefef 0.5px solid;font-size: 14px;" *ngIf="panduid == 1">\n\n    <ion-label style="  color: #474443;float: left;font-size: 14px;width: 25%;">所属区域</ion-label>\n\n    <ion-select placeholder="请选择所属区域" interface="popover" [(ngModel)]="Belongarea" cancelText="取消">\n\n      <ion-option value="511302">顺庆区</ion-option>\n\n      <ion-option value="511303">高坪区</ion-option>\n\n      <ion-option value="511304">嘉陵区</ion-option>\n\n      <ion-option value="511321">南部县</ion-option>\n\n      <ion-option value="511322">营山县</ion-option>\n\n      <ion-option value="511323">蓬安县</ion-option>\n\n      <ion-option value="511324">仪陇县</ion-option>\n\n      <ion-option value="511325">西充县</ion-option>\n\n      <ion-option value="511381">阆中市</ion-option>\n\n    </ion-select>\n\n  </ion-item>\n\n  <ion-item no-lines="" style="width: 100%;border-bottom: #efefef 0.5px solid;">\n\n    <ion-label item-start="" style="font-size: 14px;color: #474443;">\n\n      拜访人员\n\n    </ion-label>\n\n    <ion-input item-end="" style="font-size: 14px;color: #474443;float: right;" placeholder="请输入拜访人员"\n\n               [(ngModel)]="visitenpepole"></ion-input>\n\n  </ion-item>\n\n  <ion-item no-lines="" style="width: 100%;border-bottom: #efefef 0.5px solid;">\n\n    <ion-label item-start="" style="font-size: 14px;color: #474443;">\n\n      联系电话\n\n    </ion-label>\n\n    <ion-input item-end="" style="font-size: 14px;color: #474443;float: right;" placeholder="请输入联系方式"\n\n               [(ngModel)]="telephone"></ion-input>\n\n  </ion-item>\n\n\n\n  <ion-item no-lines="" style="width: 100%;border-bottom: #efefef 0.5px solid;"\n\n            *ngIf="panduid == 2 && this.evenalstart !=null">\n\n    <div style="width: 50%;float: left;color: #525252;font-size: 14px;padding-top: 5px;"><span\n\n      style="vertical-align: middle;">*</span>评价星级:\n\n    </div>\n\n    <div style="width: 50%;float: right;text-align: right;font-size: 14px; color: #aaaeb9;">\n\n      <ionic3-star-rating\n\n        activeIcon="ios-star"\n\n        defaultIcon="ios-star-outline"\n\n        activeColor="#f03353"\n\n        defaultColor="#aaaeb9"\n\n        readonly="true"\n\n        [rating]="evenalstart">\n\n      </ionic3-star-rating>\n\n    </div>\n\n  </ion-item>\n\n\n\n  <div class="control-panel" *ngIf="panduid == 1">\n\n    <button ion-item (click)="onChoseDate($event)">\n\n      <ion-label style="color: #525252;font-size: 14px;">拜访时间</ion-label>\n\n      <ion-label>\n\n        <span *ngIf="datetimes== null" class="pull-right remark text-dark"\n\n              style="font-size: 14px;margin-top: 2px;">请选择</span>\n\n        <span *ngIf="datetimes!= null" class="pull-right date-value" style="margin-top: 2px;">{{getdate(datetimes)}}</span>\n\n        <input type="datetime-local" [(ngModel)]="datetimes" class="datetime-input">\n\n      </ion-label>\n\n    </button>\n\n  </div>\n\n\n\n  <ion-item no-lines="" style="width: 100%;border-bottom: #efefef 0.5px solid;" *ngIf="panduid == 2">\n\n    <ion-label item-start="" style="font-size: 14px;color: #474443;">\n\n      <span style="vertical-align: middle;">*</span>拜访时间\n\n    </ion-label>\n    <!-- datetimes | date:\'yyyy-MM-dd hh:ss\' -->\n\n    <ion-label item-end="" style="font-size: 14px;color: #474443;float: right;text-align: right;">{{getdate(datetimes)}}\n\n    </ion-label>\n\n  </ion-item>\n\n\n\n  <div style="width: 100%;padding-left: 16px;height: 30px;padding-top: 10px;font-size: 15px;color: #364049;"\n\n       *ngIf="panduid == 2">\n\n    <span style="vertical-align: middle;">*</span>记录图片\n\n  </div>\n\n  <ion-item no-lines="" *ngIf="panduid == 2">\n\n    <ng-container *ngFor="let item  of Recordimage;let i = index;">\n\n      <div class="eva_gocamera">\n\n        <!--<ion-icon (click)="deleDtaore(i)" class="sp" ios="ios-close-circle-outline"></ion-icon>-->\n\n        <img style="width: 74px;height: 74px;" src="{{image_url+item}}" alt="">\n\n      </div>\n\n    </ng-container>\n\n  </ion-item>\n\n\n\n  <div style="width: 100%;padding-left: 16px;height: 30px;padding-top: 10px;font-size: 15px;color: #364049;"\n\n       *ngIf="panduid == 2">\n\n    <span style="vertical-align: middle;">*</span>签到图片\n\n  </div>\n\n  <ion-item no-lines="" *ngIf="panduid == 2">\n\n    <ng-container *ngFor="let item  of Signimage;let k = index;">\n\n      <div class="eva_gocamera">\n\n        <!--<ion-icon (click)="deleDtaosi(k)" class="sp" ios="ios-close-circle-outline"></ion-icon>-->\n\n        <img style="width: 74px;height: 74px;" src="{{image_url+item}}" alt="">\n\n      </div>\n\n    </ng-container>\n\n    <!--<div-->\n\n    <!--style="margin-top: 10px;margin-left: 5%;float: left;width: 74px;height: 74px;line-height: 78px;font-size: 30px;text-align: center;position: relative;" *ngIf="panduid == 2">-->\n\n    <!--<img style="width: 74px;" src="assets/imgs/docking7.png" (click)="goCameraApi($event,2)">-->\n\n    <!--</div>-->\n\n  </ion-item>\n\n\n\n  <div style="width: 100%;padding-left: 16px;height: 30px;padding-top: 10px;font-size: 15px;color: #364049;"\n\n       *ngIf="panduid == 2 && this.evenalcontetnt !=null">\n\n    <span style="vertical-align: middle;">*</span>评价内容\n\n  </div>\n\n  <textarea *ngIf="panduid == 2 && this.evenalcontetnt !=null" class="mypro_textarea" disabled="true" cols="50" rows="5"\n\n            [(ngModel)]="evenalcontetnt">\n\n  </textarea>\n\n\n\n  <div style="width: 100%;padding-left: 16px;height: 30px;padding-top: 10px;font-size: 15px;color: #364049;">\n\n    拜访事项\n\n  </div>\n\n  <textarea placeholder="请填写拜访事项" class="mypro_textarea" cols="50" rows="5" [(ngModel)]="visitenmatters">\n\n  </textarea>\n\n  <div style="width: 100%;padding-left: 16px;height: 30px;padding-top: 10px;font-size: 15px;color: #364049;"\n\n       *ngIf="panduid == 2">\n\n    拜访详情\n\n  </div>\n\n  <textarea placeholder="请填写拜访详情" class="mypro_textarea" cols="50" rows="5" [(ngModel)]="visitendetails"\n\n            *ngIf="panduid == 2">\n\n  </textarea>\n\n\n\n  <div style="margin-left: auto; margin-right: auto; margin-top: 30px;width: 80%;margin-bottom: 40px;"\n\n       (click)="saveinfo()">\n\n    <button ion-button block style="font-size: 1.1em;height: 40px;\n\n    background: #fc3e4e;" *ngIf="panduid == 1">添加拜访\n\n    </button>\n\n    <button ion-button block style="font-size: 1.1em;height: 40px;\n\n    background: #fc3e4e;" *ngIf="panduid == 2">保存\n\n    </button>\n\n  </div>\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\companies-details\companies-details.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_4__providers_camera_api_camera_api__["a" /* CameraApiProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"]])
    ], CompaniesDetailsPage);
    return CompaniesDetailsPage;
}());

//# sourceMappingURL=companies-details.js.map

/***/ }),

/***/ 890:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CompaniesDetailsPageModule", function() { return CompaniesDetailsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__companies_details__ = __webpack_require__(1115);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic3_star_rating__ = __webpack_require__(518);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var CompaniesDetailsPageModule = /** @class */ (function () {
    function CompaniesDetailsPageModule() {
    }
    CompaniesDetailsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__companies_details__["a" /* CompaniesDetailsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_3_ionic3_star_rating__["a" /* StarRatingModule */],
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__companies_details__["a" /* CompaniesDetailsPage */]),
            ],
        })
    ], CompaniesDetailsPageModule);
    return CompaniesDetailsPageModule;
}());

//# sourceMappingURL=companies-details.module.js.map

/***/ })

});
//# sourceMappingURL=164.js.map