webpackJsonp([165],{

/***/ 1114:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CenterIntroductionPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_platform_browser__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_global__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the CenterIntroductionPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var CenterIntroductionPage = /** @class */ (function () {
    function CenterIntroductionPage(navCtrl, navParams, toolservice, sanitiaer, loadingCtrl, toolservie) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.sanitiaer = sanitiaer;
        this.loadingCtrl = loadingCtrl;
        this.toolservie = toolservie;
        this.Policyhall = 'introduction';
        //图片地址
        this.imageurl = __WEBPACK_IMPORTED_MODULE_4__providers_toolservice_global__["d" /* IMAGEURL */];
    }
    CenterIntroductionPage.prototype.ionViewDidLoad = function () {
        this.getCenterData();
        var contentH = document.body.clientHeight - document.querySelector(".content-header").clientHeight - 80 - document.getElementById("banner").clientHeight;
        document.getElementById("tabPanel").style.height = contentH + 'px';
    };
    // 获取中心简介数据
    CenterIntroductionPage.prototype.getCenterData = function () {
        var _this = this;
        var loading = this.loadingCtrl.create();
        loading.present();
        var url = '/baseCompany/ncsme';
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
                loading.dismiss();
                _this.synopsis = data.return_data.introduction;
                _this.users = data.return_data.users;
                _this.guidingUnit = data.return_data.guidingUnit;
                _this.cooperator = data.return_data.cooperator;
                _this.centerImg = data.return_data.honour ? data.return_data.honour.split(",") : [];
                _this.siteUrl = data.return_data.siteUrl;
                _this.name = data.return_data.name;
                console.log(_this.users);
            }
            else {
                loading.dismiss();
            }
        }, function (error) {
            loading.dismiss();
        });
    };
    // 中心简介
    CenterIntroductionPage.prototype.introduction = function () {
    };
    // 资质荣誉
    CenterIntroductionPage.prototype.honor = function () {
    };
    // 企服管家
    CenterIntroductionPage.prototype.housekeeper = function () {
    };
    // 指导单位
    CenterIntroductionPage.prototype.Company = function () {
    };
    // 拨打电话
    CenterIntroductionPage.prototype.call = function (phone) {
        document.location.href = "tel:" + phone;
    };
    CenterIntroductionPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-center-introduction',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\center-introduction\center-introduction.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>中心简介</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <div class="content-header">\n    <div class="topContent">\n      <div class="top">\n        <div class="logo">\n          <img src="assets/imgs/logo.png" alt="">\n        </div>\n        <div class="text">\n          <div class="title">南充市中小微企业服务中心</div>\n          <div class="pingtai">{{name}}</div>\n          <div class="wangzhi">网址：{{siteUrl}}</div>\n        </div>\n      </div>\n      <div class="tips">四川省南充市顺庆油院路石油大学孵化园二期</div>\n    </div>\n  </div>\n  <div class="center">\n    <ion-segment [(ngModel)]="Policyhall" mode="md" style="background-color: white;" id="banner">\n      <ion-segment-button value="introduction" (click)="introduction()">情况简介\n      </ion-segment-button>\n      <ion-segment-button value="honor" (click)="honor()">资质荣誉\n      </ion-segment-button>\n      <ion-segment-button value="housekeeper" (click)="housekeeper()">企服管家\n      </ion-segment-button>\n      <ion-segment-button value="Company" (click)="Company()">指导单位\n      </ion-segment-button>\n    </ion-segment>\n\n    <div class="tabPanel" id="tabPanel" [ngSwitch]="Policyhall">\n      <ion-list *ngSwitchCase="\'introduction\'">\n        <div class="panel">\n          <div class="title">[情况简介]</div>\n          <div class="text jianjie">\n            {{synopsis}}\n          </div>\n        </div>\n      </ion-list>\n      <ion-list *ngSwitchCase="\'honor\'">\n        <div class="panel">\n          <div class="title">[荣誉证书]</div>\n          <ul>\n            <li *ngFor="let img of centerImg">\n              <div class="img"><img src="{{imageurl+img}}" alt=""></div>\n              <!-- <div class="name">四川科技企业进步奖</div> -->\n            </li>\n          </ul>\n        </div>\n      </ion-list>\n      <ion-list *ngSwitchCase="\'housekeeper\'">\n        <div class="panel">\n          <div class="title">[企服管家]</div>\n          <ul class="houseKeep">\n            <li *ngFor="let user of users">\n              <div class="header"><img src="{{user.icon ? imageurl + user.icon : \'assets/imgs/logo.png\'}}" alt=""></div>\n              <div class="content">\n                <div class="name">{{user.userName}}\n                  <div class="tips">企服管家</div>\n                </div>\n                <div class="remark">简介：政策咨询服务、融资服务、管理服务、合作交流服务</div>\n                <div class="phone">\n                  <div class="number">电话：{{user.telephone}}</div>\n                  <button size="small" (click)="call(user.telephone)">拨打电话</button>\n                </div>\n              </div>\n            </li>\n          </ul>\n        </div>\n      </ion-list>\n      <ion-list *ngSwitchCase="\'Company\'">\n        <div class="panel">\n          <div class="title">[指导单位]</div>\n          <div class="companys">\n            <div class="title" *ngFor="let item of guidingUnit">{{item}}</div>\n          </div>\n          <div class="title">[合作单位]</div>\n          <div class="companys">\n            <div class="title" *ngFor="let item of cooperator">{{item}}</div>\n          </div>\n        </div>\n      </ion-list>\n    </div>\n  </div>\n</ion-content>\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\center-introduction\center-introduction.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_3__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */]])
    ], CenterIntroductionPage);
    return CenterIntroductionPage;
}());

//# sourceMappingURL=center-introduction.js.map

/***/ }),

/***/ 889:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CenterIntroductionPageModule", function() { return CenterIntroductionPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__center_introduction__ = __webpack_require__(1114);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CenterIntroductionPageModule = /** @class */ (function () {
    function CenterIntroductionPageModule() {
    }
    CenterIntroductionPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__center_introduction__["a" /* CenterIntroductionPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__center_introduction__["a" /* CenterIntroductionPage */]),
            ],
        })
    ], CenterIntroductionPageModule);
    return CenterIntroductionPageModule;
}());

//# sourceMappingURL=center-introduction.module.js.map

/***/ })

});
//# sourceMappingURL=165.js.map