webpackJsonp([166],{

/***/ 1113:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BiddingUnitPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
 * Generated class for the BiddingUnitPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var BiddingUnitPage = /** @class */ (function () {
    function BiddingUnitPage(navCtrl, navParams, toolservice, loadingController) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.loadingController = loadingController;
        //投标列表url
        this.tenderUrl = 'bsTenderInfo/getPageTenderInfo?';
        // 每页展示的记录条数
        this.pagenum = 1;
        this.pagesize = 100;
        this.binddingid = this.navParams.get('bindId');
        this.bsTenderInfoList();
    }
    BiddingUnitPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad BiddingUnitPage');
    };
    /**
     * 查询列表
     */
    BiddingUnitPage.prototype.bsTenderInfoList = function () {
        var _this = this;
        var url = this.tenderUrl + 'biddingId=' + this.binddingid + '&pageNum=' + this.pagenum + '&pageSize=' + this.pagesize;
        var loading = this.loadingController.create();
        loading.present();
        this.toolservice.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.tenderInfo = data.return_data.list;
                _this.tenderlength = data.return_data['total'];
                // 消息记录数组最大页面赋值
                _this.tenderPage = data.return_data['pages'];
                loading.dismiss();
            }
            else {
                _this.toolservice.showtoast(data.return_msg);
                loading.dismiss();
            }
        }, function (error) {
            loading.dismiss();
        });
    };
    /**
     * 跳转单位详情
     */
    BiddingUnitPage.prototype.jumpBud = function (item) {
        this.navCtrl.push('BiddingUnitDetailsPage', { dId: item, typeid: 2 });
    };
    BiddingUnitPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-bidding-unit',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\bidding-unit\bidding-unit.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>竞标单位</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <div *ngFor="let tens of tenderInfo" (click)="jumpBud(tens.id)">\n\n    <div class="width90 bu-title" style="margin-top: 10px;">\n\n      {{tens.tenderName}}\n\n    </div>\n\n    <div class="width90">\n\n      <div class="bu-con-left">\n\n        时间相应：{{tens.projectCycle}}\n\n      </div>\n\n      <div class="bu-con-right">\n\n        报价：{{tens.myBudget}}万\n\n      </div>\n\n    </div>\n\n    <div class="width90">\n\n      <div class="bu-con-left">\n\n        联系人：{{tens.contacts}}\n\n      </div>\n\n      <div class="bu-con-right">\n\n        联系电话：{{tens.contactsPhone}}\n\n      </div>\n\n    </div>\n\n    <div class="bu-line10"></div>\n\n  </div>\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\bidding-unit\bidding-unit.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"]])
    ], BiddingUnitPage);
    return BiddingUnitPage;
}());

//# sourceMappingURL=bidding-unit.js.map

/***/ }),

/***/ 888:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "BiddingUnitPageModule", function() { return BiddingUnitPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__bidding_unit__ = __webpack_require__(1113);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var BiddingUnitPageModule = /** @class */ (function () {
    function BiddingUnitPageModule() {
    }
    BiddingUnitPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__bidding_unit__["a" /* BiddingUnitPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__bidding_unit__["a" /* BiddingUnitPage */]),
            ],
        })
    ], BiddingUnitPageModule);
    return BiddingUnitPageModule;
}());

//# sourceMappingURL=bidding-unit.module.js.map

/***/ })

});
//# sourceMappingURL=166.js.map