webpackJsonp([168],{

/***/ 1111:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BiddingReleasePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__common_select_tree_select_tree__ = __webpack_require__(519);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_camera_api_camera_api__ = __webpack_require__(162);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__angular_common__ = __webpack_require__(43);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the BiddingReleasePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var BiddingReleasePage = /** @class */ (function () {
    function BiddingReleasePage(navCtrl, navParams, toolservice, modalCtrl, loadingController, CameraApi) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.modalCtrl = modalCtrl;
        this.loadingController = loadingController;
        this.CameraApi = CameraApi;
        // 规格url
        this.specurl = 'bsCategoryDictionary/getPageCategoryDictionary?';
        // 发布url
        this.addTenderurl = 'bsBiddingInfo/addBiddingInfo';
        //修改url
        this.updateurl = 'bsBiddingInfo/updateBiddingInfo';
        //图片
        this.imageList = [];
        this.typeInfo = this.navParams.get('params');
        if (this.typeInfo == 1) {
            this.addDatas = {
                projectName: "",
                specs: "",
                amount: '',
                quotingManner: 0,
                maxBudget: 0,
                biddingAnnex: "",
                status: 0,
                biddingEndTime: '',
                completionTime: "",
                demandDescribe: "",
                otherDescribe: "",
                qualifications: "",
                online: ""
            };
        }
        else {
            if (this.typeInfo[0].biddingAnnex != null) {
                this.imageList = this.typeInfo[0].biddingAnnex.split(",");
            }
            else {
                this.addDatas = {
                    biddingAnnex: ''
                };
            }
            this.addDatas = {
                projectName: this.typeInfo[0].projectName,
                biddingAnnex: this.typeInfo[0].biddingAnnex,
                specs: this.typeInfo[0].specs,
                amount: this.typeInfo[0].amount,
                quotingManner: this.typeInfo[0].quotingManner,
                maxBudget: this.typeInfo[0].maxBudget,
                status: this.typeInfo[0].status,
                biddingEndTime: this.typeInfo[0].biddingEndTime,
                completionTime: this.typeInfo[0].completionTime,
                demandDescribe: this.typeInfo[0].demandDescribe,
                otherDescribe: this.typeInfo[0].otherDescribe,
                qualifications: this.typeInfo[0].qualifications,
                online: this.typeInfo[0].online,
                id: this.typeInfo[0].id
            };
        }
    }
    BiddingReleasePage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad BiddingReleasePage');
    };
    /**
     * 查询分类
     */
    BiddingReleasePage.prototype.specDictionInfo = function () {
        var _this = this;
        var url = this.specurl + 'type=18&pageNum=1&pageSize=1000';
        var userModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_3__common_select_tree_select_tree__["a" /* SelectTreePage */], {
            ListUrlAction: url,
            "nameMap": {
                object: {
                    name: "name",
                    value: "id"
                },
                dataList: "list"
            },
            choseTitle: ""
        });
        userModal.onDidDismiss(function (data) {
            if (data && data.length > 0) {
                _this.addDatas.specs = data[0].name;
            }
        });
        userModal.present();
    };
    //截止时间选择
    BiddingReleasePage.prototype.onChoseDate = function (btn) {
        var allChildren = this.findAllChild(btn.currentTarget);
        var dateInput = allChildren.filter(function (f) {
            return f.classList.contains('datetime-input');
        });
        if (dateInput.length > 0) {
            if (this.toolservice.isIOS()) {
                dateInput[0].focus();
            }
            else {
                dateInput[0].click();
            }
        }
    };
    BiddingReleasePage.prototype.findAllChild = function (parentEle) {
        var result = [];
        var children = parentEle.children;
        if (children && children.length > 0) {
            for (var i = 0; i < children.length; i++) {
                var child = children[i];
                var childrenLast = this.findAllChild(child);
                if (childrenLast.length > 0) {
                    childrenLast.forEach(function (element) {
                        result.push(element);
                    });
                }
                result.push(child);
            }
        }
        return result;
    };
    // 删除图片
    BiddingReleasePage.prototype.deleDtao = function (key) {
        this.imageList.splice(key, 1);
    };
    /**
     * 发布招标
     */
    BiddingReleasePage.prototype.addTenderInfo = function (item) {
        var _this = this;
        this.addDatas.status = item;
        if (this.addDatas.projectName == '') {
            this.toolservice.showtoast('请填写项目名称');
        }
        else if (this.addDatas.specs == '') {
            this.toolservice.showtoast('请选择规格');
        }
        else if (this.addDatas.amount == 0) {
            this.toolservice.showtoast('请填写规格数量');
        }
        else if (this.addDatas.completionTime == '') {
            this.toolservice.showtoast('请填写时间要求');
        }
        else if (this.addDatas.quotingManner == 0) {
            this.toolservice.showtoast('请选择报价方式');
        }
        else if (this.addDatas.demandDescribe == '') {
            this.toolservice.showtoast('请填写需求描述');
        }
        else if (this.addDatas.online == '') {
            this.toolservice.showtoast('请选择投标类型');
        }
        //  else if (this.addDatas.biddingEndTime == '') {
        //   this.toolservice.showtoast('请填写招标截止时间');
        // } 
        else {
            var url = void 0;
            if (this.typeInfo == 1) {
                url = this.addTenderurl;
            }
            else {
                url = this.updateurl;
            }
            var loading = this.loadingController.create();
            loading.present();
            this.toolservice.doPost(url, this.addDatas, function (data) {
                if (data.return_code == '000000') {
                    _this.toolservice.showtoast(data.return_data);
                    loading.dismiss();
                    _this.navCtrl.pop();
                }
                else {
                    _this.toolservice.showtoast(data.return_msg);
                    loading.dismiss();
                }
            }, function (error) {
                loading.dismiss();
            });
        }
    };
    BiddingReleasePage.prototype.formatDate = function (date, format) {
        if (!date) {
            return null;
        }
        var datePipe = new __WEBPACK_IMPORTED_MODULE_5__angular_common__["d" /* DatePipe */]('en-US');
        return datePipe.transform(date, format);
    };
    /**
     * 上传图片
     */
    BiddingReleasePage.prototype.goCameraApi = function (items) {
        this.initImgSer(items);
        this.CameraApi.showPicActionSheet();
    };
    // 照片回显方法
    BiddingReleasePage.prototype.initImgSer = function (nums) {
        var _this = this;
        this.CameraApi.upload.success = function (data) {
            // 判断图片地址储存数组长度
            if (nums == 1) {
                if (_this.imageList.length > 2) {
                    _this.toolservice.showtoast("只能上传3张图片。");
                }
                else {
                    /*每次增加的一个对象数据*/
                    var obj = data.return_data;
                    // 插入图片路径数组
                    _this.imageList.push(obj);
                    _this.addDatas.biddingAnnex = _this.imageList.join(',');
                }
            }
            ;
            _this.CameraApi.upload.error = function (err) {
                _this.toolservice.showtoast('上传失败');
            };
        };
    };
    BiddingReleasePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-bidding-release',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\collection\bidding-release\bidding-release.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>招标发布</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-item style="height: 50px;">\n\n    <ion-label class="bidre-bt"><span style="color: red;">*</span>项目名称</ion-label>\n\n    <ion-input type="text" placeholder="请输入" [(ngModel)]="addDatas.projectName"></ion-input>\n\n  </ion-item>\n\n\n\n  <ion-item style="height: 50px;">\n\n    <ion-label class="bidre-bt"><span style="color: red;">*</span>项目规格</ion-label>\n\n    <ion-label style="color: #999999;" (click)="specDictionInfo()" *ngIf="addDatas.specs == \'\'">请选择\n\n    </ion-label>\n\n    <ion-label style="color: #999999" (click)="specDictionInfo()" *ngIf="addDatas.specs != \'\'">{{addDatas.specs}}\n\n    </ion-label>\n\n  </ion-item>\n\n\n\n  <ion-item style="height: 50px;">\n\n    <ion-label class="bidre-bt"><span style="color: red;">*</span>规格数量</ion-label>\n\n    <ion-input type="text" placeholder="请输入规格数量" [(ngModel)]="addDatas.amount"></ion-input>\n\n  </ion-item>\n\n\n\n  <ion-item style="height: 50px;">\n\n    <ion-label class="bidre-bt"><span style="color: red;">*</span>报价方式</ion-label>\n\n    <ion-select placeholder="请选择报价方式" [(ngModel)]="addDatas.quotingManner" interface="popover" cancelText="取消">\n\n      <ion-option value="1">听取报价</ion-option>\n\n      <ion-option value="2">预算限制</ion-option>\n\n    </ion-select>\n\n  </ion-item>\n\n  <ion-item style="height: 50px;" *ngIf="addDatas.quotingManner == 2">\n\n    <ion-label class="bidre-bt">预算金额</ion-label>\n\n    <ion-input type="text" placeholder="预算金额(万)" [(ngModel)]="addDatas.maxBudget"></ion-input>\n\n  </ion-item>\n\n\n\n  <!--<ion-item style="height: 50px;" (click)="onChoseDate($event)">-->\n\n  <!--<ion-label class="bidre-bt"><span style="color: red;">*</span>截止时间</ion-label>-->\n\n  <!--<span *ngIf="addDatas.biddingEndTime==\'\'" class="pull-right remark text-dark">截止时间</span>-->\n\n  <!--<span *ngIf="addDatas.biddingEndTime!==\'\'" class="pull-right remark text-dark">{{addDatas.biddingEndTime |date:\'yyyy/MM/dd HH:mm\'}}</span>-->\n\n  <!--<input type="datetime-local" [(ngModel)]="addDatas.biddingEndTime" class="datetime-input">-->\n\n  <!--&lt;!&ndash;<ion-datetime displayFormat="YYYY-MM-DD HH:mm" pickerFormat="YYYY-MM-DD HH:mm" placeholder="截止时间" cancelText="取消"&ndash;&gt;-->\n\n  <!--&lt;!&ndash;doneText="完成"&ndash;&gt;-->\n\n  <!--&lt;!&ndash;[(ngModel)]="addDatas.biddingEndTime"></ion-datetime>&ndash;&gt;-->\n\n  <!--</ion-item>-->\n\n\n\n\n\n  <button ion-item (click)="onChoseDate($event)">\n\n    <ion-label style="color: #666666;">\n\n      <span  class="bidre-bt" style="color: red;">*</span>截止时间\n\n      <span *ngIf="addDatas.biddingEndTime==\'\'" class="remark" style="padding-left: 36px;color: #999999;">截止时间</span>\n\n      <span *ngIf="addDatas.biddingEndTime!=\'\'" class="date-value" style="padding-left: 36px;">{{addDatas.biddingEndTime | date:\'yyyy/MM/dd HH:mm\'}}</span>\n\n      <input type="datetime-local" [(ngModel)]="addDatas.biddingEndTime" class="datetime-input">\n\n    </ion-label>\n\n  </button>\n\n\n\n\n\n  <ion-item style="height: 50px;">\n\n    <ion-label class="bidre-bt"><span style="color: red;">*</span>时间要求</ion-label>\n\n    <ion-input type="text" placeholder="时间要求" [(ngModel)]="addDatas.completionTime"></ion-input>\n\n  </ion-item>\n\n\n\n  <ion-item style="height: 50px;">\n\n    <ion-label class="bidre-bt"><span style="color: red;">*</span>是否在线投标</ion-label>\n\n    <ion-select placeholder="请选择投标方式" [(ngModel)]="addDatas.online" interface="popover" cancelText="取消">\n\n      <ion-option value="1">在线投标</ion-option>\n\n      <ion-option value="0">不在线投标</ion-option>\n\n    </ion-select>\n\n  </ion-item>\n\n\n\n  <ion-item no-lines="">\n\n    <ion-label stacked class="bidre-bt">资质要求</ion-label>\n\n    <ion-textarea placeholder="请输入您的资质要求" [(ngModel)]="addDatas.qualifications"></ion-textarea>\n\n  </ion-item>\n\n\n\n  <ion-item no-lines="">\n\n    <ion-label stacked class="bidre-bt"><span style="color: red;">*</span>需求描述</ion-label>\n\n    <ion-textarea placeholder="请输入您的需求描述" [(ngModel)]="addDatas.demandDescribe"></ion-textarea>\n\n  </ion-item>\n\n\n\n\n\n  <ion-item no-lines="">\n\n    <ion-label stacked class="bidre-bt">其他说明</ion-label>\n\n    <ion-textarea placeholder="请输入您的其他说明" [(ngModel)]="addDatas.otherDescribe"></ion-textarea>\n\n  </ion-item>\n\n\n\n\n\n  <div class="bidre-btn"\n\n       style="width: 90%;margin-left: auto;margin-right: auto; height: 40px;padding-top: 10px;">\n\n    附件\n\n  </div>\n\n  <ion-item no-lines="" >\n\n    <!--<ng-container *ngFor="let item  of addDatas.biddingAnnex;let i = index;">-->\n\n    <!--<div class="eva_gocamera">-->\n\n    <!--<ion-icon (click)="deleDtao(i,1)" class="sp" ios="ios-close-circle"></ion-icon>-->\n\n    <!--<img style="width: 74px;height: 74px;" src="{{image_url+item}}" alt="">-->\n\n    <!--</div>-->\n\n    <!--</ng-container>-->\n\n\n\n    <div style="width: 90%;margin-left: 5%;color: #487aff;margin-top: 5px;"\n\n         *ngFor="let item  of imageList;let i = index;">\n\n      {{item}}&nbsp;&nbsp;<ion-icon *ngIf="addDatas.biddingAnnex != \'\' " (click)="deleDtao(i,1)" class="sp" ios="ios-close-circle"></ion-icon>\n\n    </div>\n\n\n\n    <div class="eva_gocamera" (click)="goCameraApi(1)">\n\n      <img src="assets/imgs/legalimg/tp.png">\n\n    </div>\n\n  </ion-item>\n\n\n\n  <div class="footer">\n\n    <button ion-button class="backcolor btnleft" (click)="addTenderInfo(1)">保存</button>\n\n    <button ion-button class="backcolor btnright" (click)="addTenderInfo(2)">发布</button>\n\n  </div>\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\collection\bidding-release\bidding-release.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"], __WEBPACK_IMPORTED_MODULE_4__providers_camera_api_camera_api__["a" /* CameraApiProvider */]])
    ], BiddingReleasePage);
    return BiddingReleasePage;
}());

//# sourceMappingURL=bidding-release.js.map

/***/ }),

/***/ 886:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "BiddingReleasePageModule", function() { return BiddingReleasePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__bidding_release__ = __webpack_require__(1111);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var BiddingReleasePageModule = /** @class */ (function () {
    function BiddingReleasePageModule() {
    }
    BiddingReleasePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__bidding_release__["a" /* BiddingReleasePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__bidding_release__["a" /* BiddingReleasePage */]),
            ],
        })
    ], BiddingReleasePageModule);
    return BiddingReleasePageModule;
}());

//# sourceMappingURL=bidding-release.module.js.map

/***/ })

});
//# sourceMappingURL=168.js.map