webpackJsonp([174],{

/***/ 1109:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return EventschedulingPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the EventschedulingPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var EventschedulingPage = /** @class */ (function () {
    function EventschedulingPage(navCtrl, navParams, loadingController, toolService, thePublicModule) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.loadingController = loadingController;
        this.toolService = toolService;
        this.thePublicModule = thePublicModule;
        this.defaultSegment = "activity"; //选项卡
        // 每页展示的记录条数
        this.pageSize = 10;
        // 列表刷新次数
        this.numrecord = 1;
        this.daysconfig = [];
        this.optionsRange = {
            from: new Date('2000'),
            daysConfig: this.daysconfig,
            weekStart: 1,
            pickMode: 'single',
            monthFormat: 'YYYY 年 MM 月',
            monthPickerFormat: ['一月', '二月', '三月', '四月', '五月', '六月', '七月', '八月', '九月', '十月', '十一月', '十二月'],
            weekdays: ['日', '一', '二', '三', '四', '五', '六']
        };
    }
    EventschedulingPage.prototype.ionViewDidLoad = function () {
        this.date = this.toolService.getNowDate();
    };
    EventschedulingPage.prototype.ionViewWillEnter = function () {
        this.currenttime = new Date().getTime();
        this.selectactivitynums('', 1);
        this.activityData();
        this.onChange(this.date);
    };
    /**
     * 查询每天的活动数量
     */
    EventschedulingPage.prototype.selectactivitynums = function (item, itemnum) {
        var _this = this;
        if (itemnum == 2) {
            this.years = item.newMonth.years;
            this.months = item.newMonth.months;
        }
        else {
            var daysdata = new Date(this.currenttime);
            this.years = daysdata.getFullYear();
            this.months = daysdata.getMonth() + 1;
        }
        var url = 'bsActivities/getActivityMonthCount?year=' + this.years + '&month=' + this.months;
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000') {
                for (var i = 0; i < data.return_data.length; i++) {
                    _this.daysconfig.push({
                        date: new Date(_this.years, _this.months - 1, data.return_data[i].day),
                        subTitle: data.return_data[i].number
                    });
                }
                var optionsRange1 = {
                    from: new Date('2000'),
                    daysConfig: _this.daysconfig,
                    weekStart: 1,
                    pickMode: 'single',
                    monthFormat: 'YYYY 年 MM 月',
                    monthPickerFormat: ['一月', '二月', '三月', '四月', '五月', '六月', '七月', '八月', '九月', '十月', '十一月', '十二月'],
                    weekdays: ['日', '一', '二', '三', '四', '五', '六']
                };
                _this.optionsRange = optionsRange1;
            }
        });
    };
    EventschedulingPage.prototype.activityData = function () {
        var _this = this;
        this.typeid = 1;
        var url = 'bsActivities/getPageActivities?scheduleTime=' + this.currenttime + '&pageNum=1&pageSize=10&status=2,3,4,5&type=1';
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data != "") {
                _this.activityList = data.return_data.list;
                _this.totalnum = data.return_data['total'];
                // 消息记录数组最大页面赋值
                _this.eventsPage = data.return_data['pages'];
                _this.numrecord = 1;
            }
            else {
            }
        }, function (error) {
        });
    };
    EventschedulingPage.prototype.voteData = function () {
        var _this = this;
        this.typeid = 2;
        var url = 'bsVotes/getPageVotes?pageNum=1&pageSize=10&status=0';
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data != "") {
                _this.voteList = data.return_data.list;
                // 消息记录数组最大页面赋值
                _this.eventsPage = data.return_data['pages'];
                _this.numrecord = 1;
            }
            else {
                _this.voteList = null;
            }
        }, function (error) {
        });
    };
    /**
     * 条件查询记录
     * @param item1
     */
    EventschedulingPage.prototype.onChange = function (item1) {
        var _this = this;
        var start1 = this.toolService.getDate(item1);
        var start2 = this.toolService.dateFormat(start1, 'yyyy-MM-dd');
        var start3 = this.toolService.getDate(start2);
        var a = start3.getTime();
        this.currenttime = a;
        var url = 'bsActivities/getPageActivities?scheduleTime=' + a + '&pageNum=1&pageSize=10&status=2,3,4,5&type=1';
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data != "") {
                _this.activityList = data.return_data.list;
                _this.totalnum = data.return_data['total'];
                // 消息记录数组最大页面赋值
                _this.eventsPage = data.return_data['pages'];
                _this.numrecord = 1;
            }
            else {
                _this.activityList = null;
            }
        }, function (error) {
        });
    };
    EventschedulingPage.prototype.onSkipToVoteDetail = function (id, isCheck) {
        this.navCtrl.push("VoteDetailPage", { voteId: id, isCheck: isCheck });
    };
    EventschedulingPage.prototype.onSkipToActivityDetail = function (id, isCheck) {
        if (this.thePublicModule.USER_INFO == null) {
            this.navCtrl.push('LoginPage');
        }
        else {
            this.navCtrl.push('ActivityDetailPage', { activityId: id, isCheck: isCheck, onjumpid: 1 });
        }
    };
    /**
     * 上滑加载更多
     */
    EventschedulingPage.prototype.minInfinite = function (infiniteScroll, minsearchname) {
        var _this = this;
        var newsstadata = document.getElementById("datastatus");
        setTimeout(function () {
            // 加载完成关闭刷新
            infiniteScroll.complete();
            // 判读数据超过十条启动刷新
            if (_this.totalnum > _this.pageSize) {
                // setTimeout(() => {
                //增加index
                _this.numrecord++;
                // 判断刷新分页页码大小
                if (_this.numrecord > _this.eventsPage) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    infiniteScroll.enable(false);
                    //toast提示
                    _this.toolService.showtoast("已加载所有");
                    newsstadata.style.display = 'block';
                }
                else {
                    var url = void 0;
                    if (_this.typeid == 1) {
                        url = 'bsActivities/getPageActivities?scheduleTime=' + _this.currenttime + '&pageNum=' + _this.numrecord + '&pageSize=' + _this.pageSize + '&status=2,3,4,5&type=1';
                    }
                    else {
                        url = 'bsVotes/getPageVotes?&pageNum=' + _this.numrecord + '&pageSize=' + _this.pageSize + '&status=0';
                    }
                    _this.toolService.doGet(url, function (data) {
                        if (data.return_code == '000000') {
                            // 加载完成关闭刷新
                            infiniteScroll.complete();
                            // 循环插入数据数组
                            for (var i = 0; i < data.return_data['list'].length; i++) {
                                if (_this.typeid == 1) {
                                    _this.activityList.push(data.return_data['list'][i]);
                                }
                                else {
                                    _this.voteList.push(data.return_data['list'][i]);
                                }
                            }
                        }
                    });
                }
                // }, 2000);
            }
            else {
                // 加载全部数据禁用刷新
                // infiniteScroll.enable(false);
                _this.toolService.showtoast("已加载所有");
            }
        }, 2000);
    };
    EventschedulingPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-eventscheduling',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\activityAndVote\eventscheduling\eventscheduling.html"*/'<ion-header no-border="">\n\n    <ion-navbar>\n\n        <ion-title>活动排期</ion-title>\n\n    </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n    <ion-segment [(ngModel)]="defaultSegment" mode="md">\n\n        <ion-segment-button value="activity" (click)="activityData()">活动中心\n\n        </ion-segment-button>\n\n        <ion-segment-button value="vote" (click)="voteData()">投票\n\n        </ion-segment-button>\n\n    </ion-segment>\n\n\n\n    <div [ngSwitch]="defaultSegment">\n\n        <ion-list *ngSwitchCase="\'activity\'">\n\n            <ion-calendar [(ngModel)]="date" name="date" (monthChange)="selectactivitynums($event,2)" [options]="optionsRange" [format]="\'YYYY-MM-DD\'" (onChange)="onChange($event)">\n\n            </ion-calendar>\n\n\n\n            <div style="padding-left: 16px;padding-top: 11px;">\n\n                <img style="width: 20px;" src="assets/imgs/announcement.png">&nbsp;\n\n                <span style="vertical-align: top;font-size: 16px;">{{currenttime | date:"MM-dd" }}号当日活动共{{totalnum}}场</span>\n\n            </div>\n\n\n\n\n\n            <div style="width: 100%;margin-top: 40px;text-align: center;font-size: 14px;color: #525252;" *ngIf="activityList == \'\' ">暂无记录\n\n            </div>\n\n            <ion-card *ngFor="let item of activityList" (click)="onSkipToActivityDetail(item.id,false)">\n\n                <ion-card-content>\n\n                    <div class="content">\n\n                        {{item.title}}\n\n                    </div>\n\n                    <div class="time">\n\n                        报名时间：{{item.applyBeginTime| date:\'yyyy/MM/dd hh:mm\'}} - {{item.applyEndTime| date:\'yyyy/MM/dd hh:mm\'}}\n\n                    </div>\n\n                    <div class="time">\n\n                        活动时间：{{item.startTime | date:\'yyyy/MM/dd hh:mm\'}}\n\n                    </div>\n\n                </ion-card-content>\n\n                <ion-row class="footer">\n\n                    <ion-col>\n\n\n\n                    </ion-col>\n\n                    <ion-col>\n\n                        <ion-note class="vote-num">\n\n                            已报名人数：{{item.applyNum}}\n\n                        </ion-note>\n\n                    </ion-col>\n\n                    <ion-col align-self-center text-center>\n\n                        <ion-note *ngIf="item.status==2" class="status status-2">\n\n                            报名中\n\n                        </ion-note>\n\n                        <ion-note *ngIf="item.status==3" class="status status-3">\n\n                            活动中\n\n                        </ion-note>\n\n                        <ion-note *ngIf="item.status==4" class="status status-4">\n\n                            已关闭\n\n                        </ion-note>\n\n                    </ion-col>\n\n                </ion-row>\n\n            </ion-card>\n\n        </ion-list>\n\n\n\n        <ion-list *ngSwitchCase="\'vote\'">\n\n            <ion-card *ngFor="let item of voteList" (click)="onSkipToVoteDetail(item.id,false)">\n\n                <ion-card-content>\n\n                    <div class="content">\n\n                        {{item.title}}\n\n                    </div>\n\n                    <div class="time">\n\n                        投票截止时间：{{item.endDatetime| date:\'yyyy/MM/dd\'}}\n\n                    </div>\n\n                </ion-card-content>\n\n                <ion-row class="footer">\n\n                    <ion-col>\n\n                        <ion-note class="vote-num">\n\n                            已投票人数：{{item.voteTotalNum}}\n\n                        </ion-note>\n\n                    </ion-col>\n\n                    <ion-col align-self-center text-center>\n\n                        <button ion-button icon-start clear small class="vote-btn">\n\n              <ion-icon name="pricetag"></ion-icon>\n\n              <div>投一票</div>\n\n            </button>\n\n                    </ion-col>\n\n                </ion-row>\n\n            </ion-card>\n\n        </ion-list>\n\n    </div>\n\n\n\n    <ion-infinite-scroll (ionInfinite)="minInfinite($event,searchvalue)">\n\n        <ion-infinite-scroll-content loadingSpinner="bubbles">\n\n        </ion-infinite-scroll-content>\n\n    </ion-infinite-scroll>\n\n</ion-content>'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\activityAndVote\eventscheduling\eventscheduling.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"], __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["i" /* ThePublicModule */]])
    ], EventschedulingPage);
    return EventschedulingPage;
}());

//# sourceMappingURL=eventscheduling.js.map

/***/ }),

/***/ 884:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "EventschedulingPageModule", function() { return EventschedulingPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__eventscheduling__ = __webpack_require__(1109);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ion2_calendar__ = __webpack_require__(525);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ion2_calendar___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_ion2_calendar__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var EventschedulingPageModule = /** @class */ (function () {
    function EventschedulingPageModule() {
    }
    EventschedulingPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__eventscheduling__["a" /* EventschedulingPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_3_ion2_calendar__["CalendarModule"],
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__eventscheduling__["a" /* EventschedulingPage */]),
            ],
        })
    ], EventschedulingPageModule);
    return EventschedulingPageModule;
}());

//# sourceMappingURL=eventscheduling.module.js.map

/***/ })

});
//# sourceMappingURL=174.js.map