webpackJsonp([48],{

/***/ 1023:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "WorkExperiencePageModule", function() { return WorkExperiencePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__work_experience__ = __webpack_require__(1241);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var WorkExperiencePageModule = /** @class */ (function () {
    function WorkExperiencePageModule() {
    }
    WorkExperiencePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__work_experience__["a" /* WorkExperiencePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__work_experience__["a" /* WorkExperiencePage */]),
            ],
        })
    ], WorkExperiencePageModule);
    return WorkExperiencePageModule;
}());

//# sourceMappingURL=work-experience.module.js.map

/***/ }),

/***/ 1241:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return WorkExperiencePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the WorkExperiencePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var WorkExperiencePage = /** @class */ (function () {
    function WorkExperiencePage(navCtrl, navParams, toolservice, loadingctrl, thePublicModule, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.loadingctrl = loadingctrl;
        this.thePublicModule = thePublicModule;
        this.alertCtrl = alertCtrl;
        this.endtime = '';
        this.companyName = '';
        this.positionName = '';
        this.resignDate = '';
        this.entryDate = '';
        this.positionCont = '';
        this.typeId = this.navParams.get('tyid');
        this.endtime = this.toolservice.obtain();
        if (this.typeId != '' && this.thePublicModule.RESUME.bsResumeWorkExperiences != null) {
            this.companyName = this.typeId.companyName;
            this.positionName = this.typeId.positionName;
            this.entryDate = this.typeId.ext2;
            if (this.typeId.ext3 == null) {
                this.resignDate = this.endtime;
            }
            else {
                this.resignDate = this.typeId.ext3;
            }
            this.positionCont = this.typeId.workContent;
        }
    }
    WorkExperiencePage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad WorkExperiencePage');
    };
    /**
     * 发布工作经历
     */
    WorkExperiencePage.prototype.editResumeWorkExperience = function () {
        var _this = this;
        if (this.companyName === '') {
            this.toolservice.showtoast('请填写公司名称');
        }
        else if (this.positionName === '') {
            this.toolservice.showtoast('请填写你的职位');
        }
        else if (this.entryDate === '') {
            this.toolservice.showtoast('请选择入职时间');
        }
        else if (this.resignDate === '') {
            this.toolservice.showtoast('请选择离职时间');
        }
        else if (this.positionCont === '') {
            this.toolservice.showtoast('请填写工作内容');
        }
        else {
            if (this.resignDate == this.endtime) {
                this.resignDate = null;
            }
            var url = '/bsResume/editResumeWorkExperience';
            var datas = void 0;
            if (this.typeId != '') {
                if (this.resignDate == null) {
                    datas = {
                        companyName: this.companyName,
                        endTime: null,
                        id: this.typeId.id,
                        positionName: this.positionName,
                        resumeId: this.thePublicModule.RESUME.bsResume.id,
                        startTime: new Date(this.entryDate).getTime(),
                        workContent: this.positionCont
                    };
                }
                else {
                    datas = {
                        companyName: this.companyName,
                        endTime: new Date(this.resignDate).getTime(),
                        id: this.typeId.id,
                        positionName: this.positionName,
                        resumeId: this.thePublicModule.RESUME.bsResume.id,
                        startTime: new Date(this.entryDate).getTime(),
                        workContent: this.positionCont
                    };
                }
            }
            else {
                if (this.resignDate == null) {
                    datas = {
                        companyName: this.companyName,
                        endTime: null,
                        positionName: this.positionName,
                        resumeId: this.thePublicModule.RESUME.bsResume.id,
                        startTime: new Date(this.entryDate).getTime(),
                        workContent: this.positionCont
                    };
                }
                else {
                    datas = {
                        companyName: this.companyName,
                        endTime: new Date(this.resignDate).getTime(),
                        positionName: this.positionName,
                        resumeId: this.thePublicModule.RESUME.bsResume.id,
                        startTime: new Date(this.entryDate).getTime(),
                        workContent: this.positionCont
                    };
                }
            }
            var loading_1 = this.loadingctrl.create();
            loading_1.present();
            this.toolservice.doPostTa(url, datas, function (data) {
                if (data.return_code == '000000') {
                    loading_1.dismiss();
                    _this.thePublicModule.RESUME = data.return_data;
                    _this.toolservice.showtoast('保存成功');
                    _this.navCtrl.pop();
                }
                else {
                    loading_1.dismiss();
                    _this.toolservice.showtoast(data.return_msg);
                }
            }, function (error) {
                loading_1.dismiss();
            });
        }
    };
    /**
     * 删除工作经历
     */
    WorkExperiencePage.prototype.deleteResumeWorkExperience = function () {
        var _this = this;
        var prompt = this.alertCtrl.create({
            title: '确认是否删除',
            buttons: [
                {
                    text: '取消',
                    handler: function (data) {
                    }
                },
                {
                    text: '确认',
                    handler: function (data) {
                        var loading = _this.loadingctrl.create();
                        loading.present();
                        var url = 'bsResume/deleteResumeWorkExperience?id=' + _this.typeId.id;
                        _this.toolservice.doPostTa(url, '', function (data) {
                            if (data.return_code == '000000') {
                                loading.dismiss();
                                _this.thePublicModule.RESUME = data.return_data;
                                _this.navCtrl.pop();
                                _this.toolservice.showtoast('删除成功');
                            }
                            else {
                                loading.dismiss();
                                _this.toolservice.showtoast(data.return_msg);
                            }
                        }, function (error) {
                            loading.dismiss();
                        });
                    }
                }
            ]
        });
        prompt.present();
    };
    WorkExperiencePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-work-experience',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\jobtory\work-experience\work-experience.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>工作经历</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-item class="width90 info-view">\n\n    <ion-label class="fcor333 font15">公司名称</ion-label>\n\n    <ion-input placeholder="请输入" [(ngModel)]="companyName"></ion-input>\n\n  </ion-item>\n\n\n\n  <ion-item class="width90 info-view">\n\n    <ion-label class="fcor333 font15">你的职位</ion-label>\n\n    <ion-input placeholder="请输入" [(ngModel)]="positionName"></ion-input>\n\n  </ion-item>\n\n\n\n  <ion-item class="width90 info-view">\n\n    <ion-label class="fcor333 font15">入职时间</ion-label>\n\n    <ion-datetime placeholder="请选择" cancelText="取消" doneText="确认" displayFormat="YYYY.MM" min="1970" max="{{endtime}}"\n\n                  [(ngModel)]="entryDate">\n\n    </ion-datetime>\n\n  </ion-item>\n\n\n\n\n\n  <ion-item class="width90 info-view" no-lines="">\n\n    <ion-label class="fcor333 font15">离职时间</ion-label>\n\n    <ion-datetime placeholder="请选择" cancelText="取消" doneText="确认" displayFormat="YYYY.MM" min="1970" max="{{endtime}}"\n\n                  [(ngModel)]="resignDate">\n\n    </ion-datetime>\n\n  </ion-item>\n\n\n\n\n\n  <div class="workDes fcor999 font14">工作内容</div>\n\n\n\n  <div class="textarea-wrp">\n\n    <textarea placeholder="请输入工作内容。。。" maxlength="500" class="mypro_textarea" cols="50" rows="8"\n\n              [(ngModel)]="positionCont"></textarea>\n\n  </div>\n\n  <div class="line1 width100"></div>\n\n\n\n\n\n  <button ion-button="" class="btnw70" (click)="editResumeWorkExperience()">保存</button>\n\n\n\n  <div class="fcor999 font16 fotct mart40 marb50" *ngIf="typeId !=\'\' " (click)="deleteResumeWorkExperience()">删除工作经历\n\n  </div>\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\jobtory\work-experience\work-experience.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["i" /* ThePublicModule */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"]])
    ], WorkExperiencePage);
    return WorkExperiencePage;
}());

//# sourceMappingURL=work-experience.js.map

/***/ })

});
//# sourceMappingURL=48.js.map