webpackJsonp([61],{

/***/ 1005:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ForgotPasswordPageModule", function() { return ForgotPasswordPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__forgot_password__ = __webpack_require__(1228);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ForgotPasswordPageModule = /** @class */ (function () {
    function ForgotPasswordPageModule() {
    }
    ForgotPasswordPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__forgot_password__["a" /* ForgotPasswordPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__forgot_password__["a" /* ForgotPasswordPage */]),
            ],
        })
    ], ForgotPasswordPageModule);
    return ForgotPasswordPageModule;
}());

//# sourceMappingURL=forgot-password.module.js.map

/***/ }),

/***/ 1228:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ForgotPasswordPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ts_md5__ = __webpack_require__(163);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ts_md5___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_ts_md5__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the ForgotPasswordPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ForgotPasswordPage = /** @class */ (function () {
    function ForgotPasswordPage(navCtrl, navParams, toolService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolService = toolService;
        //随机数
        this.num = "";
        //判断显示
        this.forgornum = 1;
        //弹出发送成功
        this.showAlert = {
            isShow: false
        };
        this.showHandle = {
            isShow: false
        };
        // 验证码倒计时参数
        this.verifyCode = {
            verifyCodeTips: "获取验证码",
            countdown: 60,
            disable: true
        };
    }
    ForgotPasswordPage.prototype.ionViewDidLoad = function () {
    };
    // 倒计时旧方法
    ForgotPasswordPage.prototype.settime = function () {
        var _this = this;
        if (this.verifyCode.countdown == 1) {
            this.verifyCode.countdown = 60;
            this.verifyCode.verifyCodeTips = "获取验证码";
            this.verifyCode.disable = true;
            return;
        }
        else {
            this.verifyCode.countdown--;
        }
        this.verifyCode.verifyCodeTips = "重新获取(" + this.verifyCode.countdown + ")";
        setTimeout(function () {
            _this.verifyCode.verifyCodeTips = "重新获取(" + _this.verifyCode.countdown + ")";
            _this.settime();
        }, 1000);
    };
    //获取6位验证码
    ForgotPasswordPage.prototype.getCode = function (telephone) {
        var _this = this;
        if (telephone.value.length == 0 || telephone.value.length != 11) {
            this.toolService.showtoast("你输入的手机号不正确");
            return;
        }
        else {
            this.num = "";
            for (var i = 0; i < 6; i++) {
                this.num += Math.floor(Math.random() * 10);
            }
            //请求
            var url = 'aliyuncsSms/sendVerificationCode?phone=' + telephone.value + '&code=' + this.num;
            // 请求
            this.toolService.doGet(url, function (datas) {
                if (datas.return_code == '000000') {
                    _this.toolService.showtoast(datas.return_msg);
                }
                else {
                    _this.toolService.showtoast(datas.return_msg);
                }
            });
        }
        //发送验证码成功后开始倒计时
        this.verifyCode.disable = false;
        this.settime();
    };
    /**
     * 下一步
     */
    ForgotPasswordPage.prototype.forgetpas = function (phone, forcode) {
        var _this = this;
        var a = new Date().getTime();
        if (phone.value.length == 0) {
            this.toolService.showtoast("请输入手机号");
        }
        else if (this.num != forcode.value || forcode.value.length == 0) {
            this.toolService.showtoast("请输入正确的验证码");
        }
        else {
            var data_1 = 'telephone=' + phone.value + '&nonceStr=' + a;
            var datamd5 = (__WEBPACK_IMPORTED_MODULE_3_ts_md5__["Md5"].hashStr(data_1).toString()).toUpperCase();
            var url = 'login/getUserByTelephone';
            var datas = {
                telephone: phone.value,
                nonceStr: a,
                sign: datamd5
            };
            this.toolService.doPost(url, datas, function (data) {
                if (data.return_code == '000000') {
                    _this.currentdata = data.return_data;
                    _this.forgornum = 2;
                }
                else {
                    _this.toolService.showtoast(data.return_msg);
                }
            });
        }
    };
    /**
     * 发送短信验证
     */
    ForgotPasswordPage.prototype.sendSMS = function (iemid) {
        var _this = this;
        var str = new Date().getTime();
        ;
        var data_1 = 'userId=' + iemid + '&nonceStr=' + str;
        var datamd5 = (__WEBPACK_IMPORTED_MODULE_3_ts_md5__["Md5"].hashStr(data_1).toString()).toUpperCase();
        var url = 'login/sendUserPass';
        var datas = {
            userId: iemid,
            nonceStr: str,
            sign: datamd5
        };
        this.toolService.doPost(url, datas, function (data) {
            if (data.return_code == '000000') {
                //显示呈报
                _this.showAlert.isShow = true;
                _this.showHandle.isShow = false;
                //提示消失
                setTimeout(function (showAlert) {
                    if (showAlert.isShow) {
                        showAlert.isShow = false;
                        _this.navCtrl.pop();
                    }
                }, 2000, _this.showAlert);
            }
            else {
                _this.toolService.showtoast(data.return_msg);
            }
        });
    };
    /**
     * 关闭弹窗
     *
     */
    ForgotPasswordPage.prototype.onGoBack = function () {
        this.showAlert.isShow = false;
        this.navCtrl.pop();
    };
    ForgotPasswordPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-forgot-password',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\forgot-password\forgot-password.html"*/'<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>忘记密码</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <!--<div class="forget_div_img">-->\n\n    <!--<img src="assets/imgs/forget.png">-->\n\n  <!--</div>-->\n\n\n\n  <div *ngIf="forgornum == 1">\n\n    <ion-item no-lines="" style="width: 100%;">\n\n      <ion-input class="ion_item_forget" type="number" placeholder="请输入电话号码" #telephone></ion-input>\n\n    </ion-item>\n\n    <div style="width: 100%;height: 1px;background-color: #aaaeb9;"></div>\n\n    <ion-item no-lines="" style="width: 100%;">\n\n      <ion-input class="ion_item_forget" type="number" #code placeholder="请输入验证码"></ion-input>\n\n      <button style="width: 30%;float: right;height: 30px;margin-top: 15px;\n\n      color: #ffffff;font-size: 14px;" class="backcolor" ion-button item-end [disabled]="!verifyCode.disable"\n\n              (click)="getCode(telephone)">\n\n        {{verifyCode.verifyCodeTips}}\n\n      </button>\n\n    </ion-item>\n\n    <div style="width: 100%;height: 1px;background-color: #aaaeb9;"></div>\n\n    <div style="margin-left: auto; margin-right: auto; margin-top: 40px;width: 80%;">\n\n      <button ion-button block style="font-size: 1.1em;height: 40px;" class="backcolor"\n\n              (click)="forgetpas(telephone,code)">下一步\n\n      </button>\n\n    </div>\n\n  </div>\n\n\n\n  <div *ngIf="forgornum == 2">\n\n    <ion-item style="width: 100%;" *ngFor="let curr of currentdata">\n\n      <ion-input class="ion_item_forget" type="text" value="{{curr.loginName}}"></ion-input>\n\n      <button style="width: 30%;float: right;height: 30px;margin-top: 15px;\n\n  color: #ffffff;font-size: 14px;" ion-button class="backcolor" item-end (click)="sendSMS(curr.userId)">\n\n        发送密码短信\n\n      </button>\n\n    </ion-item>\n\n  </div>\n\n</ion-content>\n\n<div [class]="showAlert.isShow?\'success-alert\':\'success-alert hidden\'" class="success-alert" (click)="onGoBack()">\n\n  <div class="alert-bg"></div>\n\n  <div class="alert-img-div">\n\n    <img src="assets/imgs/accountsecurity1.png">\n\n  </div>\n\n</div>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\forgot-password\forgot-password.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */]])
    ], ForgotPasswordPage);
    return ForgotPasswordPage;
}());

//# sourceMappingURL=forgot-password.js.map

/***/ })

});
//# sourceMappingURL=61.js.map