webpackJsonp([67],{

/***/ 1221:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OrderFilecabinetsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
 * Generated class for the FilecabinetsPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var OrderFilecabinetsPage = /** @class */ (function () {
    function OrderFilecabinetsPage(loading, toolservice, navCtrl, navParams) {
        this.loading = loading;
        this.toolservice = toolservice;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.boolhide = false;
        this.paytype = '1';
        var data = this.navParams.data;
        this.category = data.typeindex;
        this.thisTimeOrderNo = data.thisTimeOrderNo;
        this.nowOrder = {
            orderNo: data.thisTimeOrderNo,
            size: data.thisTimeMemory,
            startTime: data.enlargeStartTime ? new Date(data.enlargeStartTime).toLocaleDateString().replace(/\//g, '-') : this.getNowDay(),
            date: new Date(data.enlargeTime).toLocaleDateString().replace(/\//g, '-'),
            pay: data.orderType == 3 ? data.thisTimeCost : data.discountAfter,
            total: data.orderType == 3 ? data.discountAfter : data.discountAfter
        };
        this.beforeOrder = {
            orderNo: data.exitOrderNo,
            size: data.existMemory,
            startTime: new Date(data.existStartTime).toLocaleDateString().replace(/\//g, '-'),
            date: new Date(data.existTime).toLocaleDateString().replace(/\//g, '-'),
            pay: data.backTax
        };
    }
    OrderFilecabinetsPage.prototype.getNowDay = function () {
        var nowDate = new Date();
        var year = nowDate.getFullYear();
        var month = nowDate.getMonth() + 1 < 10 ? "0" + (nowDate.getMonth() + 1)
            : nowDate.getMonth() + 1;
        var day = nowDate.getDate() < 10 ? "0" + nowDate.getDate() : nowDate
            .getDate();
        return year + "-" + month + "-" + day;
    };
    OrderFilecabinetsPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad OrderFilecabinetsPage');
    };
    OrderFilecabinetsPage.prototype.wepay = function (return_data) {
        return new Promise(function (resolve, reject) {
            var _parms = {
                partnerid: return_data.partnerid,
                prepayid: return_data.prepayid,
                noncestr: return_data.noncestr,
                timestamp: return_data.timestamp + "",
                sign: return_data.sign
            };
            Wechat.sendPaymentRequest(_parms, function (result) {
                resolve(result);
            }, function (error) {
                reject(error);
            });
        });
    };
    OrderFilecabinetsPage.prototype.alipay = function (orderString) {
        return new Promise(function (resolve, reject) {
            cordova.plugins.alipay.payment(orderString, function (success) {
                resolve(success);
            }, function (error) {
                // 调用失败
                reject(error);
            });
        });
    };
    //免支付调试
    // resultfilecabinets(){
    //       this.navCtrl.push('ResultFilecabinetsPage',{boolresult:true,typeindex:this.category,payType:this.navParams.get('payType'),companyid:this.navParams.get('companyid')});
    // }
    OrderFilecabinetsPage.prototype.resultfilecabinets = function () {
        var _this = this;
        if (this.paytype != 'null') {
            var url = 'order/mobilePay';
            var datas = {
                orderNo: this.thisTimeOrderNo,
                payType: this.paytype,
                category: this.category,
            };
            this.toolservice.doPost(url, datas, function (data) {
                if (data.return_code == '000000') {
                    // loading.dismiss();
                    /*判断支付渠道*/
                    if (_this.paytype == '1') {
                        // console.log('微信支付')
                        _this.wepay(data.return_data)
                            .then(function (success) {
                            if (success == 'OK') {
                                _this.navCtrl.push('ResultFilecabinetsPage', { boolresult: true, typeindex: _this.category, payType: _this.navParams.get('payType'), companyid: _this.navParams.get('companyid') });
                            }
                        })
                            .catch(function (err) {
                            _this.toolservice.showtoast(JSON.stringify(err));
                        });
                    }
                    else {
                        // console.log('支付宝支付')
                        _this.alipay(data.return_data.orderString)
                            .then(function (success) {
                            if (success.resultStatus == "9000") {
                                _this.navCtrl.push('ResultFilecabinetsPage', { boolresult: true, typeindex: _this.category, payType: _this.navParams.get('payType'), companyid: _this.navParams.get('companyid') });
                            }
                        })
                            .catch(function (err) {
                            _this.toolservice.showtoast(JSON.stringify(err));
                        });
                    }
                }
                else {
                    _this.toolservice.showtoast(data.return_msg);
                    // loading.dismiss();
                }
            }, function (error) {
                // loading.dismiss();
                _this.toolservice.showtoast('post err');
            });
        }
        else {
            this.toolservice.showtoast('请选择支付类型!');
        }
    };
    OrderFilecabinetsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-orderfilecabinets',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\filecabinets\order\orderfilecabinets.html"*/'<!--\n\n  Generated template for the FilecabinetsPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>确认订单</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <div class="content">\n\n    <div style="background-color: #fff;">\n\n      <div class="info-text">订单详情</div>\n      <div class="one" *ngIf="beforeOrder.orderNo">\n        <div class="info-item"><span class="info-span-text">订单编号1</span><span\n            class="info-span">{{beforeOrder.orderNo}}</span></div>\n        <div class="info-item"><span class="info-span-text">内存空间</span><span\n            class="info-span">{{beforeOrder.size}}GB</span></div>\n        <div class="info-item"><span class="info-span-text">开始时间</span><span class="info-span">{{beforeOrder.startTime}}</span>\n        </div>\n        <div class="info-item"><span class="info-span-text">到期时间</span><span class="info-span">{{beforeOrder.date}}</span>\n        </div>\n        <div class="info-item"><span class="info-span-text">金额</span><span class="info-span">{{beforeOrder.pay}}</span>\n        </div>\n      </div>\n\n      <div class="two">\n\n        <div class="info-item" *ngIf="beforeOrder.orderNo"><span class="info-span-text">订单编号2</span><span\n\n            class="info-span">{{nowOrder.orderNo}}</span></div>\n        <div class="info-item" *ngIf="!beforeOrder.orderNo"><span class="info-span-text">订单编号</span><span\n            class="info-span">{{nowOrder.orderNo}}</span></div>\n\n        <div class="info-item"><span class="info-span-text">内存空间</span><span\n\n            class="info-span">{{nowOrder.size}}GB</span></div>\n        <div class="info-item"><span class="info-span-text">开始时间</span><span class="info-span">{{nowOrder.startTime}}</span>\n        </div>\n\n        <div class="info-item"><span class="info-span-text">到期时间</span><span class="info-span">{{nowOrder.date}}</span>\n\n        </div>\n\n        <div class="info-item"><span class="info-span-text">金额</span><span class="info-span">{{nowOrder.pay}}</span>\n\n        </div>\n\n        <div class="info-text"><span class="info-span-text">合计</span><span style="color: #EE1B24;"\n\n            class="info-span">{{nowOrder.total}}</span></div>\n\n      </div>\n\n    </div>\n\n    <div style="background-color: #fff;margin-top: 8px;">\n\n      <div class="info-text">支付方式</div>\n\n      <div class="radio-wrap">\n        <label from="wechar">\n\n        <div class="radio-info" style="display: flex;align-items: center;">\n\n          <img src="assets/imgs/pay/2.jpeg" style="width: 24px;height: 24px;display: inline-block;" />\n\n          <span class="radio-name">微信</span>\n\n        </div>\n\n        <input [(ngModel)]="paytype" type="radio" ng-checked="paytype" name="wechar" value="1" style="height: 52px;">\n        </label>\n\n      </div>\n\n      <div class="radio-wrap">\n        <label from="alipay">\n\n        <div class="radio-info" style="display: flex;align-items: center;">\n\n          <img src="assets/imgs/pay/1.jpeg" style="width: 24px;height: 24px;display: inline-block;" />\n\n          <span class="radio-name">支付宝</span>\n\n        </div>\n\n        <input [(ngModel)]="paytype" type="radio" ng-checked="paytype" name="alipay" value="2" style="height: 52px;">\n        </label>\n\n      </div>\n    </div>\n    <div class="tips" *ngIf="beforeOrder.orderNo">\n      *温馨提示：由于您这次订购空间已超出上次订购空间截止时间， 系统自动默认把之前订购有效时间延长并收取相关费用。\n    </div>\n\n    <div class="btn-wrap">\n\n      <button class="btn-pay" (click)="resultfilecabinets()">立即支付</button>\n\n    </div>\n\n  </div>\n\n\n\n</ion-content>\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\filecabinets\order\orderfilecabinets.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"], __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"]])
    ], OrderFilecabinetsPage);
    return OrderFilecabinetsPage;
}());

//# sourceMappingURL=orderfilecabinets.js.map

/***/ }),

/***/ 998:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "OrderFilecabinetsPageModule", function() { return OrderFilecabinetsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__orderfilecabinets__ = __webpack_require__(1221);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var OrderFilecabinetsPageModule = /** @class */ (function () {
    function OrderFilecabinetsPageModule() {
    }
    OrderFilecabinetsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__orderfilecabinets__["a" /* OrderFilecabinetsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__orderfilecabinets__["a" /* OrderFilecabinetsPage */]),
            ],
        })
    ], OrderFilecabinetsPageModule);
    return OrderFilecabinetsPageModule;
}());

//# sourceMappingURL=orderfilecabinets.module.js.map

/***/ })

});
//# sourceMappingURL=67.js.map