webpackJsonp([70],{

/***/ 1218:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MoreFilecabinetsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
 * Generated class for the FilecabinetsPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var MoreFilecabinetsPage = /** @class */ (function () {
    function MoreFilecabinetsPage(loading, toolservice, navCtrl, navParams) {
        this.loading = loading;
        this.toolservice = toolservice;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.boolhide = false;
        this.paytype = this.navParams.get('paytype');
        this.cabinateId = this.navParams.get('cabinetsId');
        this.initMinDate();
        this.size = '';
        this.time = '';
        this.price = '0';
        this.discounts = '0';
        this.totalSize = '0';
        this.date = '-';
        this.btntext = '计算价格';
        this.title = this.navParams.get('title');
        this.nowDate = this.toolservice.getNowDate(); //获取当前日期年月日
    }
    MoreFilecabinetsPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad OpenFilecabinetsPage');
    };
    MoreFilecabinetsPage.prototype.initMinDate = function () {
        // let _date='2021-08-08'.split('.')
        var _date = this.navParams.get('expiryDate').split('.');
        if (parseInt(_date[1]) < 10) {
            _date[1] = '0' + _date[1];
        }
        if (parseInt(_date[2]) < 10) {
            _date[2] = '0' + _date[2];
        }
        this.expiryDate = _date.join('-');
        this.minDate = _date.join('-');
    };
    MoreFilecabinetsPage.prototype.initDate = function (date) {
        if (date == '-') {
            return '-';
        }
        else {
            return new Date(date).toLocaleDateString().replace(/\//g, '-');
        }
    };
    MoreFilecabinetsPage.prototype.changeBtntext = function () {
        this.btntext = '计算价格';
    };
    MoreFilecabinetsPage.prototype.calcPrice = function () {
        var _this = this;
        console.log('calcPrice');
        /*判断空间、时间是否输入*/
        if (this.size == '' && this.paytype == '3') {
            this.toolservice.showtoast('请输入扩容空间');
            return;
        }
        else {
            /*检验数据是否为整数*/
            var r = /^\+?[1-9][0-9]*$/;
            if (!r.test(this.size) && this.size != '0' && this.paytype == '3') {
                this.toolservice.showtoast('内存空间格式错误，应为正整数');
                return;
            }
            var loading_1 = this.loading.create();
            loading_1.present();
            var _size = this.size;
            if (this.paytype == '2') {
                _size = '0';
            }
            var url = "order/enlarge?memorySize=" + _size + "&enlargeTime=" + this.expiryDate + "&cabinetsId=" + this.cabinateId;
            this.toolservice.doGet(url, function (data) {
                loading_1.dismiss();
                if (data.return_code == '000000') {
                    _this.returnData = data.return_data;
                    _this.pay = data.return_data.discountAfter;
                    _this.discounts = data.return_data.discounts;
                    _this.date = data.return_data.enlargeTime;
                    _this.price = data.return_data.totalPrice;
                    _this.btntext = '去支付';
                    _this.totalSize = data.return_data.totalMemory;
                    _this.thisTimeOrderNo = data.return_data.thisTimeOrderNo;
                }
                else {
                    _this.toolservice.showtoast(data.return_msg);
                }
            });
        }
    };
    MoreFilecabinetsPage.prototype.changehide = function () {
        if (this.btntext != "去支付") {
            this.calcPrice();
            return;
        }
        if (this.btntext == "去支付") {
            this.orderfilecabinets();
            return;
        }
        if (this.pay == '0.00') {
            this.toolservice.showtoast('无效订单！请确认订单信息。');
            return;
        }
        if (this.boolhide) {
            this.boolhide = false;
        }
        else {
            this.boolhide = true;
        }
    };
    // workbench(){
    //   this.navCtrl.popToRoot()
    // }
    MoreFilecabinetsPage.prototype.orderfilecabinets = function () {
        // let _size=this.size
        // if(this.paytype=='2'){
        //   _size='0'
        // }
        this.returnData.typeindex = this.navParams.get('typeindex');
        this.navCtrl.push('OrderFilecabinetsPage', this.returnData);
        // this.navCtrl.push('OrderFilecabinetsPage',{exitOrderNo: this.exitOrderNo,existTime: this.existTime,backTax: this.backTax, orderType:this.paytype,discountsPrice:this.discounts,thisTimeOrderNo:this.thisTimeOrderNo,size:this.totalSize,date:this.date,pay:this.pay,price:this.price,typeindex:this.navParams.get('typeindex')});
    };
    MoreFilecabinetsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-morefilecabinets',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\filecabinets\more\morefilecabinets.html"*/'<!--\n\n  Generated template for the FilecabinetsPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>{{title}}</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <div class="content">\n    <div class="input-wrap" *ngIf="paytype==3">\n      <div class="name">扩容空间</div>\n      <input class="input-f" placeholder="请输入数字" [(ngModel)]="size" (focus)="changeBtntext()"/>\n      <div class="num">GB</div>\n    </div>\n    <div class="input-wrap setText">\n      <div class="name">服务时间</div>\n      <ion-item class="datetime-wrap">\n        <ion-datetime displayFormat="YYYY-MM-DD" cancelText="取消" doneText="确定" [min]="minDate" max="2049-12" [(ngModel)]="expiryDate" (ionChange)="changeBtntext()">222</ion-datetime>\n      </ion-item>\n      <!-- <a class="num" href="javascript:;" (click)="changeBtntext()">修改</a> -->\n    </div>\n    <div class="text">\n      <p style="margin: 5px 0;">规则说明</p>\n      <p style="margin: 0;" *ngIf="paytype==3">\n        1、请在“扩容空间”处输入正整数数字。<br />\n        2、服务时间选择不得少于已有空间的有效服务期限。<br />\n        3、为方便您的管理，完成扩容要件填写后，原空间服务时间与扩容空间服务时间将保持一致，从而合并为一个服务对象。该详情会在订单中生成，请认真核对。<br />\n        4、扩容时间可按照实际需求精确到天，实现高灵活需求和灵活管理。<br />\n        5、扩容支付完成立即生效使用，费用计算是从支付完成日后1天的00:00至所选择日期的24:00止。<br />\n        6、支付完成后服务开始，可开具发票，不能退款，故请认真阅读。\n      </p>\n      <p style="margin: 0;" *ngIf="paytype==2">\n        1、本次续费是对已有空间服务时间的延续，不涉及增加空间行为。<br />\n        2、本次续费是在已有服务时间基础上向未来做正向时间选择，不可减少原有服务时间。<br />\n        3、续费时间可按照实际需求精确到天，实现高灵活需求和灵活管理。<br />\n        4、续费支付完成立即生效，费用计算是从支付完成日后1天的00:00至所选择日期的24:00止。<br />\n        5、支付完成后服务开始，可开具发票，不能退款，故请认真阅读。\n      </p>\n    </div>\n    <div class="btn-wrap">\n      <div class="info">\n        <div class="info-item" style="color: #EE1B24;font-weight: 700;">\n          <span style="color: #666;font-weight: 400;">合计金额:</span>\n          ￥<span style="font-size: 18px;">{{pay}}</span>\n          <span>已优惠{{discounts}}元</span>\n        </div>\n        <div class="info-item">\n          <span style="color: #999;">本次购买到期时间：{{initDate(date)}}</span>\n        </div>\n        </div>\n      <button class="btn-buy" (click)="changehide()">{{btntext}}</button>\n    </div>\n    <!-- <div *ngIf="boolhide" class="hide-f"></div> -->\n    <!-- <div *ngIf="boolhide" class="hide-g">\n      <div class="hide-card">\n        <h1 style="text-align: center;">文件柜开通说明协议</h1>\n        <p style="margin: 0 20px;text-indent: 2rem;">在你开通文件柜的过程中，您需要了解并 知晓文件柜开通说明协议。\n        你通过点击同 意的形式在线签署文件柜开通协议，请你 务必仔细阅读，充分理解协议中的条款。</p>\n        <p style="margin: 2rem 20px;text-indent: 2rem;">点击同意即代表您已阅读并同意<span style="color: #EE1B24;">《文件柜开通协议》</span></p>\n        <div class="hide-btn-wrap">\n          <button class="btn-default" (click)="workbench()">不同意</button>\n          <button class="btn-default btn-agree" (click)="orderfilecabinets()">同意</button>\n        </div>\n      </div>\n    </div> -->\n  </div>\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\filecabinets\more\morefilecabinets.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"], __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"]])
    ], MoreFilecabinetsPage);
    return MoreFilecabinetsPage;
}());

//# sourceMappingURL=morefilecabinets.js.map

/***/ }),

/***/ 995:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "MoreFilecabinetsPageModule", function() { return MoreFilecabinetsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__morefilecabinets__ = __webpack_require__(1218);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var MoreFilecabinetsPageModule = /** @class */ (function () {
    function MoreFilecabinetsPageModule() {
    }
    MoreFilecabinetsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__morefilecabinets__["a" /* MoreFilecabinetsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__morefilecabinets__["a" /* MoreFilecabinetsPage */]),
            ],
        })
    ], MoreFilecabinetsPageModule);
    return MoreFilecabinetsPageModule;
}());

//# sourceMappingURL=morefilecabinets.module.js.map

/***/ })

});
//# sourceMappingURL=70.js.map