webpackJsonp([77],{

/***/ 1211:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return EmpowerfilecabinetsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
 * Generated class for the FilecabinetsPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var EmpowerfilecabinetsPage = /** @class */ (function () {
    function EmpowerfilecabinetsPage(navCtrl, navParams, toolservice, loading) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.loading = loading;
        this.cabinateData = this.navParams.get('cabinate');
        this.fileId = this.navParams.get('fileId');
        this.checkedUser = [];
        this.editName = '编辑';
        this.pagetype = this.navParams.get('type');
        this.title = '管理授权,使用授权,文件夹授权,文件夹转让'.split(',');
        this.groupindex = 0;
        this.data = [];
        this.delArr = [];
    }
    EmpowerfilecabinetsPage.prototype.ngOnInit = function () {
        var _this = this;
        var $this = this;
        var loading = this.loading.create();
        loading.present();
        // 获取部门机构
        var url = "baseOrganization/getOrganizationTree?companyId=" + this.cabinateData.company;
        this.toolservice.doGet(url, function (data) {
            loading.dismiss();
            if (data.return_code == '000000') {
                var num_1 = 0;
                // let resultArr:any[] = []
                if (data.return_data.nodes == null) {
                    _this.data = [];
                    return false;
                }
                data.return_data.nodes.forEach(function (item) {
                    var userUrl = "secUser/getUserList?companyId=" + _this.cabinateData.company + "&pageNum=1&pageSize=1000&organizationId=" + item.id;
                    $this.toolservice.doGet(userUrl, function (result) {
                        // loading.dismiss();
                        num_1++;
                        // resultArr = resultArr.concat(result.return_data.list)
                        if (result.return_data.list.length > 0 && item.id === result.return_data.list[0].organizationId) {
                            result.return_data.list.forEach(function (d) {
                                d.id = d.userId;
                                d.name = d.userName;
                            });
                        }
                        item.children = result.return_data.list;
                        if (data.return_data.nodes.length === num_1) { //人员查询完成
                            // loading.dismiss();
                            $this.data = data.return_data.nodes;
                        }
                    });
                });
            }
            else {
                loading.dismiss();
                _this.toolservice.showtoast(data.return_msg);
            }
        });
        // 获取授权对象
        var authUrl;
        switch (this.pagetype) {
            case 0:
                authUrl = 'file-cabinets/auth/managers?cabinetsId=' + this.cabinateData.id;
                break;
            case 1:
                authUrl = this.cabinateData.id + "/folder/auth";
                break;
            case 2:
                authUrl = this.cabinateData.id + "/folder/" + this.fileId + "/auth";
                break;
        }
        this.toolservice.doGet(authUrl, function (result) {
            if (result.return_code === "000000") {
                if (result.return_data.length > 0) {
                    // if(this.pagetype != 0) result.return_data.shift()
                    $this.checkedUser = result.return_data;
                    console.log($this.checkedUser);
                    if ($this.checkedUser.length > 0)
                        $this.checkedU = true;
                }
            }
        });
    };
    EmpowerfilecabinetsPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad EmpowerfilecabinetsPage');
    };
    EmpowerfilecabinetsPage.prototype.groupchage = function (index) {
        this.groupindex = index;
    };
    EmpowerfilecabinetsPage.prototype.orderlistfilecabinets = function () {
        this.navCtrl.push('OrderlistFilecabinetsPage');
    };
    EmpowerfilecabinetsPage.prototype.save = function () {
        var _this = this;
        if (this.pagetype === 3) {
            var url = "/file-cabinets/updateCreate?newUserId=" + this.checkedUser[0].userId + "&folderId=" + this.fileId;
            this.toolservice.doGet(url, function (result) {
                // loading.dismiss();
                if (result.return_code == '000000') {
                    _this.toolservice.showtoast('操作成功');
                    setTimeout(function () {
                        _this.navCtrl.pop();
                    }, 1000);
                }
                else {
                    _this.toolservice.showtoast(result.return_msg);
                }
            });
        }
        else {
            this.toolservice.showtoast('操作成功');
            setTimeout(function () {
                _this.navCtrl.pop();
            }, 1000);
        }
    };
    EmpowerfilecabinetsPage.prototype.queryData = function (data) {
        var _this = this;
        var url;
        if (this.pagetype === 2) {
            url = this.cabinateData.id + "/folder/" + this.fileId + "/authorize?userId=" + data.userId;
        }
        if (this.pagetype === 1) {
            url = this.cabinateData.id + "/folder/authorize?userId=" + data.userId;
        }
        if (this.pagetype === 0) {
            url = "file-cabinets/authManager?managerId=" + data.userId;
        }
        if (this.pagetype === 3) {
            url = "/file-cabinets/updateCreate?newUserId=" + data.userId + "&folderId=" + this.fileId;
        }
        this.toolservice.doGet(url, function (result) {
            // loading.dismiss();
            if (result.return_code == '000000') {
                if (_this.pagetype != 3) {
                    _this.checkedUser.push(data);
                }
                // this.toolservice.showtoast('操作成功');
                // setTimeout(() =>{
                //   this.navCtrl.pop()
                // },1000)
            }
            else {
                _this.toolservice.showtoast(result.return_msg);
            }
        });
    };
    EmpowerfilecabinetsPage.prototype.clickUser = function (item) {
        if (this.pagetype === 3) { //文件夹转让操作，只能添加一个人
            this.checkedUser = [];
            this.checkedUser.push(item);
        }
        else {
            if (this.checkedUser.length === 0) {
                // this.checkedUser.push(item)
                this.queryData(item);
            }
            else {
                // 判断数组中是否已经添加了数据，如果没有就添加，有就不添加
                var some = this.checkedUser.some(function (data) {
                    return data.userId === item.userId;
                });
                if (!some) {
                    // this.checkedUser.push(item)
                    this.queryData(item);
                }
            }
        }
        this.checkedU = true;
        // this.num = this.checkedUser.length % 3
    };
    EmpowerfilecabinetsPage.prototype.edit = function () {
        if (this.editName === '编辑') {
            this.editName = '完成';
            this.del = true;
        }
        else {
            this.editName = '编辑';
            this.del = false;
        }
    };
    EmpowerfilecabinetsPage.prototype.deleteUser = function (item) {
        var _this = this;
        var $this = this;
        var url;
        // 取消授权
        if (this.pagetype === 1) {
            url = "/" + this.cabinateData.id + "/folder/revoke/auth?userId=" + item.userId;
        }
        if (this.pagetype === 2) {
            url = "/" + this.cabinateData.id + "/folder/" + this.fileId + "/revoke/auth?userId=" + item.userId;
        }
        if (this.pagetype === 0) {
            url = "/file-cabinets/revoke/manager?managerId=" + item.userId;
        }
        // console.log(this.delArr)
        this.toolservice.doGet(url, function (result) {
            if (result.return_code == '000000') {
                // this.toolservice.showtoast('移除成功');
                $this.checkedUser.forEach(function (value, index) {
                    if (value.userId === item.userId) {
                        $this.checkedUser.splice(index, 1);
                    }
                });
                if ($this.checkedUser.length === 0) {
                    $this.del = false;
                    $this.editName = '编辑';
                    $this.checkedU = false;
                }
            }
            else {
                // $this.toolservice.showtoast('取消授权失败，请重试');
                _this.toolservice.showtoast(result.return_msg);
            }
        });
    };
    EmpowerfilecabinetsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-empowerfilecabinets',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\filecabinets\empower\empowerfilecabinets.html"*/'<!--\n\n  Generated template for the FilecabinetsPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>{{title[pagetype]}}</ion-title>\n\n    <ion-buttons end class="save">\n\n      <button ion-button icon-only (click)="save()">保存</button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n  <!-- <div class="input-wrap">\n\n    <input class="input-empower" type="input" placeholder="搜索人名" />\n\n  </div> -->\n</ion-header>\n\n\n\n<ion-content>\n<div *ngIf="data.length > 0" style="height: 100%;">\n  <div class="haschecked" *ngIf="checkedU">\n    <div class="tips">\n      <div class="text">已选中</div>\n      <div class="edit" (click)="edit()" *ngIf="this.pagetype != 3">{{editName}}</div>\n    </div>\n    <div class="userList" *ngIf="checkedUser.length > 0">\n      <div class="user-item" *ngFor="let item of checkedUser" (click)="clickUser(item)"><i (click)="deleteUser(item)" *ngIf="del === true"></i>{{item.name ? item.name : (item.username ? item.username : item.userName)}}</div>\n      <!-- <div class="user-item" style="visibility: hidden;" *ngIf="(checkedUser.length % 2) === 0"></div> -->\n      <div class="user-item" style="visibility: hidden;" *ngIf="(checkedUser.length / 2 % 2) !== 0"></div>\n      <div class="user-item" style="visibility: hidden;" *ngIf="(checkedUser.length / 2 % 2) !== 1.5"></div>\n    </div>\n  </div>\n\n  <div class="content">\n    <div class="group">\n\n      <div class="{{i==groupindex?\'group-item group-item-active\':\'group-item\'}}" *ngFor="let item of data;let i=index"\n\n        (click)="groupchage(i)">{{item.text}}</div>\n\n    </div>\n\n    <div class="member">\n\n      <div class="member-item" *ngFor="let item of data[groupindex].children" (click)="clickUser(item)">{{item.name}}</div>\n      <div class="member-item" style="visibility: hidden;"></div>\n\n    </div>\n\n  </div>\n\n</div>\n<div *ngIf="data.length == 0" style="text-align: center;margin-top: 20px;">\n暂无部门数据\n</div>\n\n</ion-content>\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\filecabinets\empower\empowerfilecabinets.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"], __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"]])
    ], EmpowerfilecabinetsPage);
    return EmpowerfilecabinetsPage;
}());

//# sourceMappingURL=empowerfilecabinets.js.map

/***/ }),

/***/ 988:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "EmpowerfilecabinetsPageModule", function() { return EmpowerfilecabinetsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__empowerfilecabinets__ = __webpack_require__(1211);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var EmpowerfilecabinetsPageModule = /** @class */ (function () {
    function EmpowerfilecabinetsPageModule() {
    }
    EmpowerfilecabinetsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__empowerfilecabinets__["a" /* EmpowerfilecabinetsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__empowerfilecabinets__["a" /* EmpowerfilecabinetsPage */]),
            ],
        })
    ], EmpowerfilecabinetsPageModule);
    return EmpowerfilecabinetsPageModule;
}());

//# sourceMappingURL=empowerfilecabinets.module.js.map

/***/ })

});
//# sourceMappingURL=77.js.map