webpackJsonp([78],{

/***/ 1210:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DeleteFilePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


// import {REQUESTTHEADDRESS} from "../../../providers/toolservice/global";

var DeleteFilePage = /** @class */ (function () {
    function DeleteFilePage(navCtrl, navParams, toolservice) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolservice = toolservice;
        this.codetext = '获取验证码';
        this.codebool = false;
        this.cabinetsId = this.navParams.get('fileCabinetsId');
        this.fileId = this.navParams.get('id');
        this.tips = '';
    }
    DeleteFilePage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad DeleteFilePage');
    };
    DeleteFilePage.prototype.funcode = function () {
        var _this = this;
        this.codebool = true;
        this.codetext = '60s后重试';
        var status = 60;
        var $this = this;
        var url = this.cabinetsId + "/folder/" + this.fileId + "/sendcode/password";
        this.toolservice.doPostFormData(url, '', function (data) {
            if (data.return_code == '102000') {
                _this.toolservice.showtoast('验证码发送成功');
                _this.tips = '(验证码发送到上级领导尾号为' + data.return_msg.slice(7, 11) + '的手机上)';
                var interval_1 = setInterval(function () {
                    if (status == 0) {
                        clearInterval(interval_1);
                        $this.codebool = false;
                        $this.codetext = '获取验证码';
                    }
                    else {
                        status--;
                        $this.codetext = status + 's后重试';
                    }
                }, 1000);
            }
            else {
                _this.toolservice.showtoast(data.return_msg);
            }
        });
        // this.toPost(`${this.filecabinetsinfo.id}/folder/${this.fileid}/sendcode/password`,'',false)
    };
    DeleteFilePage.prototype.selectPhoneNumber = function (str) {
        var regx = /(1[3|4|5|7|8][\d]{9}|0[\d]{2,3}-[\d]{7,8}|400[-]?[\d]{3}[-]?[\d]{4})/g;
        var phoneNums = str.match(regx);
        if (phoneNums) {
            for (var i = 0; i < phoneNums.length; i++) {
                var temp = phoneNums[i];
                str = temp;
            }
        }
        return str;
    };
    DeleteFilePage.prototype.sure = function () {
        var _this = this;
        if (this.verifyCode) {
            var url = this.cabinetsId + "/folder/" + this.fileId + "/del?verifyCode=" + this.verifyCode;
            this.toolservice.doGet(url, function (data) {
                if (data.return_code == '000000') {
                    _this.toolservice.showtoast('删除成功');
                    setTimeout(function () {
                        _this.navCtrl.getPrevious().data.create = true;
                        _this.navCtrl.pop();
                    }, 1000);
                }
                else {
                    _this.toolservice.showtoast(data.return_msg);
                }
            });
        }
        else {
            this.toolservice.showtoast('请输入验证码');
        }
    };
    DeleteFilePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-delete-file',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\filecabinets\delete-file\delete-file.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>删除文件夹</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content class="content">\n\n  <div class="tips">\n\n    本操作将导致文件夹直接删除，且无法找回，如继续操作请输入验证码确认<span>{{tips}}</span>\n\n  </div>\n\n  <div class="input-wrap">\n\n    <div class="name">验证码</div>\n\n    <input class="input-f" type="number" [(ngModel)]="verifyCode" placeholder="请输入验证码" />\n\n    <div class="num"><button type="button" class="codeBtn" (click)="funcode()" [disabled]="codebool">{{codetext}}</button></div>\n\n  </div>\n  <div class="btn-wrap">\n    <button class="btn-pay" (click)="sure()">确定</button>\n  </div>\n\n</ion-content>\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\filecabinets\delete-file\delete-file.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"], __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */]])
    ], DeleteFilePage);
    return DeleteFilePage;
}());

//# sourceMappingURL=delete-file.js.map

/***/ }),

/***/ 987:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "DeleteFilePageModule", function() { return DeleteFilePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__delete_file__ = __webpack_require__(1210);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var DeleteFilePageModule = /** @class */ (function () {
    function DeleteFilePageModule() {
    }
    DeleteFilePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__delete_file__["a" /* DeleteFilePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__delete_file__["a" /* DeleteFilePage */]),
            ],
        })
    ], DeleteFilePageModule);
    return DeleteFilePageModule;
}());

//# sourceMappingURL=delete-file.module.js.map

/***/ })

});
//# sourceMappingURL=78.js.map