webpackJsonp([81],{

/***/ 1208:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FeedbackIndexPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
 * Generated class for the FeedbackIndexPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var FeedbackIndexPage = /** @class */ (function () {
    function FeedbackIndexPage(navCtrl, navParams, toolService, loadingController, alertController) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolService = toolService;
        this.loadingController = loadingController;
        this.alertController = alertController;
        this.feedbackList = [];
        //活动查询参数
        this.queryArgs = {
            pageNum: 1,
            pageSize: 15,
            dataLength: 0,
            pageLength: 0,
            actionUrl: 'bsQusFeedback/getPageQusFeedback?pageNum={pageNum}&pageSize={pageSize}'
        };
    }
    FeedbackIndexPage.prototype.ionViewDidLoad = function () {
        this.onLoadData();
    };
    FeedbackIndexPage.prototype.onLoadData = function () {
        var _this = this;
        var url = this.toolService.stringFormat(this.queryArgs.actionUrl, { pageNum: this.queryArgs.pageNum, pageSize: this.queryArgs.pageSize });
        var loading = this.loadingController.create();
        loading.present();
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.feedbackList = data.return_data["list"];
                _this.queryArgs.dataLength = data.return_data['total'];
                _this.queryArgs.pageLength = data.return_data['pages'];
            }
            else {
                _this.toolService.showtoast(data.return_msg);
            }
            loading.dismiss();
        });
    };
    /**
   *下拉刷新界面
   */
    FeedbackIndexPage.prototype.doRefresh = function (refresher) {
        this.onLoadData();
        //动态切换
        setTimeout(function () {
            refresher.complete();
            //toast提示
            // this.toolService.showtoast("加载成功!");
        }, 2000);
    };
    FeedbackIndexPage.prototype.minInfinite = function (infiniteScroll) {
        var _this = this;
        var url = this.toolService.stringFormat(this.queryArgs.actionUrl, { pageNum: this.queryArgs.pageNum, pageSize: this.queryArgs.pageSize });
        // 判读数据超过十条启动刷新
        if (this.queryArgs.dataLength > this.queryArgs.pageSize) {
            setTimeout(function () {
                // 加载完成关闭刷新
                infiniteScroll.complete();
                //增加index
                _this.queryArgs.pageNum++;
                _this.toolService.doGet(url, function (data) {
                    // 循环插入数据数组
                    for (var i = 0; i < data.return_data['list'].length; i++) {
                        _this.feedbackList.push(data.return_data['list'][i]);
                    }
                });
                // 判断刷新分页页码大小
                if (_this.queryArgs.pageNum >= _this.queryArgs.pageLength) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    infiniteScroll.enable(false);
                    //toast提示
                    _this.toolService.showtoast("已加载所有");
                }
            }, 2000);
        }
        else {
            // 加载全部数据禁用刷新
            infiniteScroll.enable(false);
            this.toolService.showtoast("已加载所有");
        }
    };
    FeedbackIndexPage.prototype.onSkipToDetail = function (id) {
        this.navCtrl.push("FeedbackDetailPage", { id: id, isCheck: false });
    };
    FeedbackIndexPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-feedback-index',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\feedback\feedback-index\feedback-index.html"*/'<!--\n\n  Generated template for the FeedbackIndexPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>共建营商</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content >\n\n    <ion-refresher (ionRefresh)="doRefresh($event)">\n\n        <ion-refresher-content pullingText="下拉刷新" refreshingSpinner="bubbles" refreshingText="加载中...">\n\n        </ion-refresher-content>\n\n      </ion-refresher>\n\n      <ion-item *ngFor="let item of feedbackList" class="list-item" (click)="onSkipToDetail(item.id)">\n\n        <div class="title" >\n\n          <span class="text-success" *ngIf=" item.type==0">【吐槽】<span class="roundel" *ngIf="item.status==0"></span></span>\n\n          <span class="text-danger" *ngIf=" item.type==1">【问题】<span class="roundel" *ngIf="item.status==0"></span></span>\n\n          <span class="text-md-primary" *ngIf=" item.type==2">【建议】<span class="roundel" *ngIf="item.status==0"></span></span>\n\n\n\n          {{item.title}}\n\n        </div>\n\n        <div class="commpany" *ngIf="!item.isAnonymity" (click)="onSkipToDetail(item.id)">\n\n          发布单位： {{item.createUserCompanyName}}\n\n        </div>\n\n        <div >\n\n          <span class="time">\n\n            发布时间： {{item.createTime | date:\'yyyy-MM-dd  HH:mm:ss\'}}\n\n          </span>\n\n        </div>\n\n      </ion-item>\n\n      <ion-infinite-scroll (ionInfinite)="minInfinite($event)">\n\n        <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="加载中...">\n\n        </ion-infinite-scroll-content>\n\n      </ion-infinite-scroll>\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\feedback\feedback-index\feedback-index.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"]])
    ], FeedbackIndexPage);
    return FeedbackIndexPage;
}());

//# sourceMappingURL=feedback-index.js.map

/***/ }),

/***/ 985:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "FeedbackIndexPageModule", function() { return FeedbackIndexPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__feedback_index__ = __webpack_require__(1208);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var FeedbackIndexPageModule = /** @class */ (function () {
    function FeedbackIndexPageModule() {
    }
    FeedbackIndexPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__feedback_index__["a" /* FeedbackIndexPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__feedback_index__["a" /* FeedbackIndexPage */]),
            ],
        })
    ], FeedbackIndexPageModule);
    return FeedbackIndexPageModule;
}());

//# sourceMappingURL=feedback-index.module.js.map

/***/ })

});
//# sourceMappingURL=81.js.map