webpackJsonp([82],{

/***/ 1207:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FeedbackDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the FeedbackDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var FeedbackDetailPage = /** @class */ (function () {
    function FeedbackDetailPage(navCtrl, navParams, loadingController, toolService, ThePublicModule, alertController) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.loadingController = loadingController;
        this.toolService = toolService;
        this.ThePublicModule = ThePublicModule;
        this.alertController = alertController;
        this.feedback = {
            "id": 0,
            "title": "",
            "content": "",
            "type": 0,
            "categoryId": 0,
            "isAnonymity": true,
            "isPublic": true,
            "createTime": "",
            "createUserId": 0,
            "replyContent": "",
            "replyDatetime": "",
            "replyUserId": 0,
            "status": 0,
            "createUserName": "",
            "createUserCompanyId": 0,
            "createUserCompanyName": "",
            "replyUserName": ""
        };
        this.replyList = [];
        this.showAlert = {
            isShow: false
        };
        //回复查询参数
        this.queryArgs = {
            pageNum: 1,
            pageSize: 15,
            dataLength: 0,
            pageLength: 0,
            actionUrl: 'bsNotes/getPageNotes?noteType=2&isDelete=false&pageNum={pageNum}&pageSize={pageSize}&objectId={objectId}'
        };
        this.imgbaseUrl = __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["d" /* IMAGEURL */];
        this.tagetNoteId = null;
        this.replyContentPlaceHolder = "回复帖子";
        this.popupStatus = false;
        this.feedback.id = navParams.get("id");
        this.isCheck = navParams.get("isCheck");
        this.currentUserHeadImg = ThePublicModule.COMPANY.logo;
        this.currentUserId = ThePublicModule.USER_INFO.userId;
        this.userId = JSON.parse(window.localStorage.getItem("USER_INFO")).userId;
        this.thumbs = 0;
    }
    FeedbackDetailPage.prototype.ionViewDidLoad = function () {
        this.onLoadData();
        this.onLoadReply();
        this.getThumbs();
    };
    FeedbackDetailPage.prototype.onLoadData = function () {
        var _this = this;
        var url = 'bsQusFeedback/getQusFeedbackById?id=' + this.feedback.id;
        var loading = this.loadingController.create({});
        loading.present();
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.feedback = data.return_data;
                _this.thumbsUpStatus = data.return_data.userLike;
            }
            else {
                _this.toolService.showtoast(data.return_msg);
            }
            loading.dismiss();
        });
    };
    FeedbackDetailPage.prototype.onLoadReply = function () {
        var _this = this;
        var url = this.toolService.stringFormat(this.queryArgs.actionUrl, { pageNum: this.queryArgs.pageNum, pageSize: this.queryArgs.pageSize, objectId: this.feedback.id });
        var loading = this.loadingController.create();
        loading.present();
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.replyList = data.return_data["list"];
                _this.queryArgs.dataLength = data.return_data['total'];
                _this.queryArgs.pageLength = data.return_data['pages'];
            }
            else {
                _this.toolService.showtoast(data.return_msg);
            }
            loading.dismiss();
        }, function (error) {
            loading.dismiss();
        });
    };
    // 请求点赞数据
    FeedbackDetailPage.prototype.getThumbs = function () {
        var _this = this;
        var url = 'userLike/countArticleLike?articleId=' + this.feedback.id + '&type=4';
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.thumbs = data.return_data;
            }
        }, function (error) {
        });
    };
    FeedbackDetailPage.prototype.share = function (type) {
        Wechat.share({
            message: {
                title: this.feedback.title,
                description: '',
                thumb: "www/assets/imgs/logo.jpg",
                media: {
                    type: Wechat.Type.WEBPAGE,
                    id: this.feedback.id
                }
            },
            scene: type === 0 ? Wechat.Scene.SESSION : Wechat.Scene.TIMELINE
        }, function () {
        }, function (reason) {
            alert("Failed: " + reason);
        });
    };
    FeedbackDetailPage.prototype.tapShare = function () {
        this.popupStatus = true;
    };
    // 点赞
    FeedbackDetailPage.prototype.clickThumbs = function () {
        var _this = this;
        var url;
        if (this.thumbsUpStatus) {
            url = 'userLike/unlikeArticle'; //取消点赞
        }
        else {
            url = 'userLike/likeArticle'; //点赞
        }
        var userLikeArticle = {
            articleId: this.feedback.id,
            type: 4,
            userId: this.userId
        };
        this.toolService.doPost(url, userLikeArticle, function (data) {
            if (data.return_code == '000000') {
                // this.thumbs = data.return_data
                _this.getThumbs();
                if (url === 'userLike/likeArticle') {
                    _this.thumbsUpStatus = true;
                }
                else {
                    _this.thumbsUpStatus = false;
                }
            }
            else {
                _this.toolService.showtoast(data.return_msg);
            }
        }, function (error) {
        });
    };
    FeedbackDetailPage.prototype.minInfinite = function (infiniteScroll) {
        var _this = this;
        var url = this.toolService.stringFormat(this.queryArgs.actionUrl, { pageNum: this.queryArgs.pageNum, pageSize: this.queryArgs.pageSize, objectId: this.feedback.id });
        // 判读数据超过十条启动刷新
        if (this.queryArgs.dataLength > this.queryArgs.pageSize) {
            setTimeout(function () {
                // 加载完成关闭刷新
                infiniteScroll.complete();
                //增加index
                _this.queryArgs.pageNum++;
                _this.toolService.doGet(url, function (data) {
                    // 循环插入数据数组
                    for (var i = 0; i < data.return_data['list'].length; i++) {
                        _this.replyList.push(data.return_data['list'][i]);
                    }
                });
                // 判断刷新分页页码大小
                if (_this.queryArgs.pageNum >= _this.queryArgs.pageLength) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    infiniteScroll.enable(false);
                    //toast提示
                    _this.toolService.showtoast("已加载所有");
                }
            }, 2000);
        }
        else {
            // 加载全部数据禁用刷新
            infiniteScroll.enable(false);
            this.toolService.showtoast("已加载所有");
        }
    };
    FeedbackDetailPage.prototype.onReply = function (tagetNoteId, userName, type) {
        if (type == "post") {
            this.replyContentPlaceHolder = "回复";
            this.replyContent = "";
            this.tagetNoteId = tagetNoteId;
        }
        else {
            this.replyContentPlaceHolder = "回复  " + userName;
            this.replyContent = "";
        }
        document.getElementById("replyContentInput").focus();
        this.tagetNoteId = tagetNoteId;
    };
    FeedbackDetailPage.prototype.onSendReply = function () {
        var _this = this;
        if (this.replyContent == '') {
            this.toolService.showtoast('请输入回复内容', 'top');
        }
        else {
            var url = 'bsNotes/addNotes';
            var loading = this.loadingController.create({});
            loading.present();
            this.toolService.doPost(url, {
                "messageContent": this.replyContent,
                "noteId": this.tagetNoteId,
                "noteType": "2",
                "objectId": this.feedback.id
            }, function (data) {
                if (data.return_code == '000000') {
                    _this.onLoadReply();
                }
                else {
                    _this.toolService.showtoast(data.return_msg);
                }
                loading.dismiss();
            });
        }
    };
    FeedbackDetailPage.prototype.onDeleteReply = function (replyId) {
        var _this = this;
        var alert = this.alertController.create({
            title: '确认删除？',
            message: '您确认删除这条<strong>回复</strong>吗？',
            buttons: [
                {
                    text: '取消',
                    cssClass: 'secondary',
                    handler: function () {
                    }
                }, {
                    text: '确认',
                    handler: function () {
                        var url = 'bsNotes/deleteNotes?id=' + replyId;
                        var loading = _this.loadingController.create({});
                        loading.present();
                        _this.toolService.doGet(url, function (data) {
                            if (data.return_code == "000000") {
                                _this.onLoadReply();
                                _this.toolService.showtoast("删除成功");
                            }
                            else {
                                _this.toolService.showtoast(data.return_msg);
                            }
                            loading.dismiss();
                        });
                    }
                }
            ]
        });
        alert.present();
    };
    FeedbackDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-feedback-detail',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\feedback\feedback-detail\feedback-detail.html"*/'<!--\n\n  Generated template for the FeedbackDetailPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>意见详情</ion-title>\n\n    <ion-buttons (click)="tapShare()" end>\n\n      <div (click)="tapShare()">\n\n        <img src="assets/imgs/news/share.png" alt="" style="width: 26px;margin-top: 5px;">\n\n      </div>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content >\n\n  <div class="hide-g" *ngIf="popupStatus" (click)="popupStatus = false">\n\n    <div class="hide-card">\n\n      <div class="wx" (click)="share(0)">\n\n        <img src="assets/imgs/share/wx.png" />\n\n        <p>微信分享</p>\n\n      </div>\n\n      <div class="pyq" (click)="share(1)">\n\n        <img src="assets/imgs/share/pyq.png" />\n\n        <p>朋友圈分享</p>\n\n      </div>\n\n    </div>\n\n  </div>\n\n<div class="header-div" *ngIf="feedback!=null">\n\n  <div class="title" >\n\n      <span class="text-success" *ngIf="feedback.categoryId==1 && feedback.type==0">【吐槽】<span class="roundel" *ngIf="feedback.status==0"></span></span>\n\n      <span class="text-danger" *ngIf="feedback.categoryId==1 && feedback.type==1">【问题】<span class="roundel" *ngIf="feedback.status==0"></span></span>\n\n      <span class="text-md-primary" *ngIf="feedback.categoryId==1 && feedback.type==2">【建议】<span class="roundel" *ngIf="feedback.status==0"></span></span>\n\n      <span class="text-warning" *ngIf="feedback.categoryId==2">【指南反馈】<span class="roundel" *ngIf="feedback.status==0"></span></span>\n\n\n\n      {{feedback.title}}\n\n  </div>\n\n  <div class="release-commpay" *ngIf="feedback.isAnonymity">\n\n    发布单位：{{feedback.createUserCompanyName}}\n\n  </div>\n\n  <div class="release-commpay" *ngIf="!feedback.isAnonymity">\n\n    发布单位：匿名\n\n  </div>\n\n  <div class="release-date">\n\n      发布时间：{{feedback.createTime | date:\'yyyy-MM-dd HH:mm:ss\'}}\n\n      <div class="news_div_relese_right" (click)="clickThumbs()">\n\n        <img *ngIf="thumbsUpStatus" style="width: 17px;" src="assets/imgs/news/1.png">\n\n        <img *ngIf="!thumbsUpStatus" style="width: 17px;" src="assets/imgs/news/0.png">&nbsp;&nbsp;{{thumbs}}\n\n      </div>\n\n  </div>\n\n</div>\n\n<div class="content-div" *ngIf="feedback!=null">\n\n  <div class="title">具体描述：</div>\n\n  <div class="content">\n\n      {{feedback.content}}\n\n  </div>\n\n</div>\n\n<div class="split-line"></div>\n\n<ion-card *ngIf="feedback!=null">\n\n  <ion-card-header>\n\n    全部回复 （<a (click)="onReply(null,\'\',\'post\')">{{queryArgs.dataLength}}条</a>）\n\n    <span>  </span>\n\n  </ion-card-header>\n\n  <ion-card-content class="reply-content">\n\n  <ion-card *ngFor="let item of replyList">\n\n    <ion-card-header (click)="onReply(item.id,item.createUserName,\'reply\')">\n\n      <img class="head-img" ios="ios-close-circle" src="{{imgbaseUrl}}/{{item.createUserImg}}" >\n\n      <ion-card-title>\n\n        {{item.createUserName}} <span *ngIf="item.noteId!=null"><span style="padding: 0px 5px;color: #aaaeb9;">回复</span> {{item.noteUserName}} </span>\n\n        <div class="datetime">{{item.createUserTime | date:\'yyyy/MM/dd HH:mm\'}}</div>\n\n\n\n        <ion-icon *ngIf="item.createUserId==currentUserId" name="trash" class="delete-icon" (click)="onDeleteReply(item.id)"></ion-icon>\n\n      </ion-card-title>\n\n    </ion-card-header>\n\n    <ion-card-content>\n\n      {{item.messageContent}}\n\n    </ion-card-content>\n\n    <img *ngIf="item.centerReplyStatus"  class="zxhf-img" src="assets/imgs/feedback/ZXHF.png">\n\n  </ion-card>\n\n</ion-card-content>\n\n</ion-card>\n\n<ion-infinite-scroll (ionInfinite)="minInfinite($event)">\n\n    <ion-infinite-scroll-content\n\n      loadingSpinner="bubbles"\n\n      loadingText="加载中...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n\n\n</ion-content>\n\n<ion-footer *ngIf="feedback!=null">\n\n  <ion-toolbar>\n\n      <img class="head-img" ios="ios-close-circle" src="{{imgbaseUrl}}/{{currentUserHeadImg}}">\n\n      <div class="reply-content-div">\n\n      <input type="text" [(ngModel)]="replyContent" id="replyContentInput" placeholder="{{replyContentPlaceHolder}}">\n\n      <button ion-button color="danger" class=" btn-send" (click)="onSendReply()" >发送</button>\n\n    </div>\n\n  </ion-toolbar>\n\n</ion-footer>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\feedback\feedback-detail\feedback-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"], __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["i" /* ThePublicModule */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"]])
    ], FeedbackDetailPage);
    return FeedbackDetailPage;
}());

//# sourceMappingURL=feedback-detail.js.map

/***/ }),

/***/ 984:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "FeedbackDetailPageModule", function() { return FeedbackDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__feedback_detail__ = __webpack_require__(1207);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var FeedbackDetailPageModule = /** @class */ (function () {
    function FeedbackDetailPageModule() {
    }
    FeedbackDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__feedback_detail__["a" /* FeedbackDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__feedback_detail__["a" /* FeedbackDetailPage */]),
            ],
        })
    ], FeedbackDetailPageModule);
    return FeedbackDetailPageModule;
}());

//# sourceMappingURL=feedback-detail.module.js.map

/***/ })

});
//# sourceMappingURL=82.js.map