webpackJsonp([84],{

/***/ 1203:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TrainListPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the TrainListPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var TrainListPage = /** @class */ (function () {
    function TrainListPage(navCtrl, navParams, toolService, loadingController, ThePublicModule) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolService = toolService;
        this.loadingController = loadingController;
        this.ThePublicModule = ThePublicModule;
        this.defaultSegment = "trainCenter";
        this.trainList = [];
        this.myTrainList = [];
        //活动查询参数
        this.trainCenterArgs = {
            pageNum: 1,
            pageSize: 15,
            dataLength: 0,
            pageLength: 0,
            actionUrl: 'bsActivities/getPageActivities?pageNum={pageNum}&pageSize={pageSize}&status=2,3&type=2'
        };
        //活动查询参数
        this.myTrainArgs = {
            pageNum: 1,
            pageSize: 15,
            dataLength: 0,
            pageLength: 0,
            actionUrl: 'bsActivityRoster/getPageActivityRoster?pageNum={pageNum}&pageSize={pageSize}&applyUserId={userId}&type=2'
        };
    }
    TrainListPage.prototype.ionViewDidLoad = function () {
        this.onLoadData();
    };
    TrainListPage.prototype.ionViewDidEnter = function () {
    };
    TrainListPage.prototype.onLoadData = function () {
        var _this = this;
        var url = this.getActionUrl();
        var loading = this.loadingController.create({});
        loading.present();
        this.toolService.doGet(url, function (data) {
            if (data.return_code = '000000') {
                switch (_this.defaultSegment) {
                    case "trainCenter":
                        _this.trainList = data.return_data.list;
                        _this.trainCenterArgs.dataLength = data.return_data['total'];
                        _this.trainCenterArgs.pageLength = data.return_data['pages'];
                        break;
                    case "myTrain":
                        _this.myTrainList = data.return_data.list;
                        _this.myTrainArgs.dataLength = data.return_data['total'];
                        _this.myTrainArgs.pageLength = data.return_data['pages'];
                        break;
                }
            }
            loading.dismiss();
        });
    };
    TrainListPage.prototype.getActionUrl = function () {
        var args;
        switch (this.defaultSegment) {
            case "trainCenter":
                args = this.trainCenterArgs;
                break;
            case "myTrain":
                args = this.myTrainArgs;
                break;
        }
        return this.toolService.stringFormat(args.actionUrl, { pageNum: args.pageNum, pageSize: args.pageSize, userId: this.ThePublicModule.USER_INFO.userId });
        // return this.toolService.stringFormat(args.actionUrl, { pageNum: args.pageNum, pageSize: args.pageSize, userId: ThePublicModule.USER_INFO.userId });
    };
    TrainListPage.prototype.segmentChanged = function (e) {
        this.onLoadData();
    };
    /**
   *下拉刷新界面
   */
    TrainListPage.prototype.doRefresh = function (refresher) {
        this.onLoadData();
        //动态切换
        setTimeout(function () {
            refresher.complete();
            //toast提示
            // this.toolService.showtoast("加载成功!");
        }, 2000);
    };
    TrainListPage.prototype.minInfinite = function (infiniteScroll) {
        var _this = this;
        var args = this.defaultSegment == 'trainCenter' ? this.trainCenterArgs : this.myTrainArgs;
        var dataList = this.defaultSegment == 'trainCenter' ? this.trainList : this.myTrainList;
        // 判读数据超过十条启动刷新
        if (args.dataLength > args.pageSize) {
            setTimeout(function () {
                // 加载完成关闭刷新
                infiniteScroll.complete();
                //增加index
                args.pageNum++;
                var getMyApplyUrl = _this.getActionUrl();
                _this.toolService.doGet(getMyApplyUrl, function (data) {
                    // 循环插入数据数组
                    for (var i = 0; i < data.return_data['list'].length; i++) {
                        dataList.push(data.return_data['list'][i]);
                    }
                });
                // 判断刷新分页页码大小
                if (args.pageNum >= args.pageLength) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    infiniteScroll.enable(false);
                    //toast提示
                    _this.toolService.showtoast("已加载所有");
                }
            }, 2000);
        }
        else {
            // 加载全部数据禁用刷新
            infiniteScroll.enable(false);
            this.toolService.showtoast("已加载所有");
        }
    };
    TrainListPage.prototype.onSkipToDetail = function (trainId, isCheck) {
        this.navCtrl.push("TrainDetailPage", { trainId: trainId });
    };
    TrainListPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-train-list',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\entrepreneur\train-list\train-list.html"*/'<!--\n\n  Generated template for the TrainListPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>创业培训</ion-title>\n\n  </ion-navbar>\n\n  <ion-segment [(ngModel)]="defaultSegment" mode="md" (ionChange)="segmentChanged($event)">\n\n    <ion-segment-button value="trainCenter">培训中心\n\n      <div class="bolder-sm"></div>\n\n    </ion-segment-button>\n\n    <ion-segment-button value="myTrain">我的培训\n\n      <div class="bolder-sm"></div>\n\n    </ion-segment-button>\n\n  </ion-segment>\n\n</ion-header>\n\n\n\n<ion-content padding>\n\n    <ion-refresher (ionRefresh)="doRefresh($event)">\n\n        <ion-refresher-content pullingText="下拉刷新" refreshingSpinner="bubbles"\n\n                               refreshingText="加载中..."></ion-refresher-content>\n\n      </ion-refresher>\n\n  <div [ngSwitch]="defaultSegment">\n\n    <ion-list [class]="defaultSegment==\'trainCenter\'?\'\':\'hidden\'">\n\n        <img *ngIf="trainList.length === 0" class="no_data" src="assets/imgs/noData.png">\n\n        <ion-card *ngFor="let item of trainList" (click)="onSkipToDetail(item.id,false)">\n\n            <ion-card-content>\n\n              <div class="content">\n\n                {{item.title}}\n\n              </div>\n\n              <div class="company">\n\n                主办：{{item.organizer}} \n\n              </div>\n\n              <div class="company">\n\n                承办：{{item.sponsor}}\n\n              </div>\n\n              <div class="time">\n\n                报名时间： {{item.applyBeginTime| date:\'yyyy/MM/dd\'}} - {{item.applyEndTime| date:\'yyyy/MM/dd\'}}\n\n              </div>\n\n            </ion-card-content>\n\n            <ion-row class="footer">\n\n              <ion-col>\n\n    \n\n              </ion-col>\n\n              <ion-col>\n\n                <ion-note class="vote-num">\n\n                  已报名人数：{{item.applyNum}}\n\n                </ion-note>\n\n              </ion-col>\n\n              <ion-col align-self-center text-center>\n\n                <ion-note *ngIf="item.status==2" class="status status-2">\n\n                  报名中\n\n                </ion-note>\n\n                <ion-note *ngIf="item.status==3" class="status status-3">\n\n                  活动中\n\n                </ion-note>\n\n                <ion-note *ngIf="item.status==4" class="status status-4">\n\n                  已报名\n\n                </ion-note>\n\n              </ion-col>\n\n            </ion-row>\n\n          </ion-card>\n\n      </ion-list>\n\n      <ion-list [class]="defaultSegment==\'myTrain\'?\'\':\'hidden\'">\n\n        <img *ngIf="myTrainList.length === 0" class="no_data" src="assets/imgs/noData.png">\n\n          <ion-card *ngFor="let item of myTrainList" (click)="onSkipToDetail(item.activityId,false)">\n\n              <ion-card-content>\n\n                <div class="content">\n\n                  {{item.activityTitle}}\n\n                </div>\n\n                <div class="company">\n\n                  主办：{{item.organizer}} \n\n                </div>\n\n                <div class="company">\n\n                  承办：{{item.sponsor}}\n\n                </div>\n\n                <div class="time">\n\n                  报名时间： {{item.applyTime| date:\'yyyy/MM/dd HH:mm:ss\'}}\n\n                </div>\n\n              </ion-card-content>\n\n              <ion-row class="footer">\n\n                <ion-col>\n\n      \n\n                </ion-col>\n\n                <ion-col>\n\n                  <ion-note class="vote-num">\n\n                    已报名人数：{{item.applyNum}}\n\n                  </ion-note>\n\n                </ion-col>\n\n                <ion-col align-self-center text-center>\n\n                  <ion-note *ngIf="item.activityStatus==2" class="status status-2">\n\n                    报名中\n\n                  </ion-note>\n\n                  <ion-note *ngIf="item.activityStatus==3" class="status status-3">\n\n                    活动中\n\n                  </ion-note>\n\n                  <ion-note *ngIf="item.activityStatus==4" class="status status-4">\n\n                    已关闭\n\n                  </ion-note>\n\n                </ion-col>\n\n              </ion-row>\n\n            </ion-card>\n\n        </ion-list>\n\n  </div>\n\n  \n\n  <ion-infinite-scroll (ionInfinite)="minInfinite($event)">\n\n      <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="加载中...">\n\n      </ion-infinite-scroll-content>\n\n    </ion-infinite-scroll>\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\entrepreneur\train-list\train-list.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["i" /* ThePublicModule */]])
    ], TrainListPage);
    return TrainListPage;
}());

//# sourceMappingURL=train-list.js.map

/***/ }),

/***/ 980:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TrainListPageModule", function() { return TrainListPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__train_list__ = __webpack_require__(1203);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var TrainListPageModule = /** @class */ (function () {
    function TrainListPageModule() {
    }
    TrainListPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__train_list__["a" /* TrainListPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__train_list__["a" /* TrainListPage */]),
            ],
        })
    ], TrainListPageModule);
    return TrainListPageModule;
}());

//# sourceMappingURL=train-list.module.js.map

/***/ })

});
//# sourceMappingURL=84.js.map