webpackJsonp([91],{

/***/ 1196:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BusinessDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_platform_browser__ = __webpack_require__(47);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the BusinessDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var BusinessDetailPage = /** @class */ (function () {
    function BusinessDetailPage(navCtrl, navParams, sanitizr, modalCtrl, toolService, loadingController) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.sanitizr = sanitizr;
        this.modalCtrl = modalCtrl;
        this.toolService = toolService;
        this.loadingController = loadingController;
        this.businessId = 0;
        this.transaction = {
            "id": 0,
            "title": "",
            "price": 0,
            "contactInfo": "",
            "linkMan": "",
            "companyId": 0,
            "companyName": "",
            "cerateUserId": 0,
            "createTime": "",
            "status": 0,
            "requireContent": ""
        };
        this.businessId = this.navParams.get("businessId");
        this.isCheck = this.navParams.get("isCheck");
    }
    BusinessDetailPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        if (this.businessId) {
            var url = 'bsIndustryAgencies/getIndustryAgenciesById?id=' + this.businessId;
            var loading = this.loadingController.create({});
            loading.present();
            this.toolService.doGet(url, function (data) {
                if (data.return_code == '000000') {
                    _this.transaction = data.return_data;
                }
                else {
                    _this.toolService.showtoast(data.return_msg);
                }
                loading.dismiss();
            });
        }
    };
    BusinessDetailPage.prototype.onLink = function () {
        var _this = this;
        var url = 'bsIndustryAgencies/updateStatusOfIndustryAgencies?id=' + this.businessId + "&status=1";
        // var loading = this.loadingController.create({});
        // loading.present();
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000') {
            }
            else {
                _this.toolService.showtoast(data.return_msg);
            }
        });
    };
    BusinessDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-business-detail',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\entrepreneur\business-detail\business-detail.html"*/'<!--\n\n  Generated template for the BusinessDetailPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>代理业务详情</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-list inset *ngIf="transaction!=null">\n\n    <ion-item *ngIf="transaction.companyName!=\'\'">\n\n      <ion-label>代理服务机构</ion-label>\n\n      <ion-note item-end>{{transaction.companyName}}</ion-note>\n\n    </ion-item>\n\n    <ion-item>\n\n      <ion-label>联系人</ion-label>\n\n      <!-- <ion-label item-end text-right >{{transaction.linkMan}}</ion-label> -->\n\n      <ion-note item-end>{{transaction.linkMan}}</ion-note>\n\n    </ion-item>\n\n    <ion-item>\n\n      <ion-label>联系电话</ion-label>\n\n      <ion-note item-end>{{transaction.contactInfo}}</ion-note>\n\n    </ion-item>\n\n    <ion-item>\n\n      <ion-label>标题</ion-label>\n\n      <ion-note item-end>{{transaction.title}}</ion-note>\n\n    </ion-item>\n\n    <ion-item>\n\n      <ion-label>服务金额</ion-label>\n\n      <ion-note item-end>{{transaction.price}}</ion-note>\n\n    </ion-item>\n\n  </ion-list>\n\n  <div class="split-line"></div>\n\n  <div class="remark-div" [innerHTML]=\'sanitizr.bypassSecurityTrustHtml(transaction.requireContent)\'>\n\n  </div>\n\n  <div class="footer" padding *ngIf="!isCheck">\n\n    <a href="tel:{{transaction.contactInfo}}" (click)="onLink()">立即联系</a>\n\n  </div>\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\entrepreneur\business-detail\business-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_3__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"]])
    ], BusinessDetailPage);
    return BusinessDetailPage;
}());

//# sourceMappingURL=business-detail.js.map

/***/ }),

/***/ 973:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "BusinessDetailPageModule", function() { return BusinessDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__business_detail__ = __webpack_require__(1196);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var BusinessDetailPageModule = /** @class */ (function () {
    function BusinessDetailPageModule() {
    }
    BusinessDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__business_detail__["a" /* BusinessDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__business_detail__["a" /* BusinessDetailPage */]),
            ],
        })
    ], BusinessDetailPageModule);
    return BusinessDetailPageModule;
}());

//# sourceMappingURL=business-detail.module.js.map

/***/ })

});
//# sourceMappingURL=91.js.map