webpackJsonp([93],{

/***/ 1194:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AdvisorDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__ = __webpack_require__(47);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the AdvisorDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var AdvisorDetailPage = /** @class */ (function () {
    function AdvisorDetailPage(navCtrl, navParams, loadingCtrl, toolService, sanitizr, ThePublicModule) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.loadingCtrl = loadingCtrl;
        this.toolService = toolService;
        this.sanitizr = sanitizr;
        this.ThePublicModule = ThePublicModule;
        this.img_url = __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["d" /* IMAGEURL */];
        this.showHandle = {
            isShow: false
        };
        this.advisorId = navParams.get("advisorId");
    }
    AdvisorDetailPage.prototype.ionViewDidLoad = function () {
        this.onLoadData();
    };
    AdvisorDetailPage.prototype.onLoadData = function () {
        var _this = this;
        var url = 'bsIndustryAdvisors/getIndustryAdvisorsById?id=' + this.advisorId;
        var loading = this.loadingCtrl.create({});
        loading.present();
        this.toolService.doGet(url, function (data) {
            if (data.return_code = '000000') {
                _this.advisorDetail = data.return_data;
            }
            else {
                _this.toolService.showtoast(data.return_msg);
            }
            loading.dismiss();
        });
    };
    AdvisorDetailPage.prototype.onCreateApply = function () {
        var _this = this;
        this.showHandle.isShow = false;
        var url = 'bsIndustryApply/addIndustryApply';
        var loading = this.loadingCtrl.create({});
        loading.present();
        this.toolService.doPost(url, {
            "applyType": "0",
            "createUserId": this.ThePublicModule.USER_INFO.userId,
            "objectId": this.advisorId,
            "remark": this.counselContent
        }, function (data) {
            if (data.return_code = '000000') {
                _this.toolService.showtoast("申请成功");
                _this.advisorDetail.hasUncheckedApply = true;
            }
            else {
                _this.toolService.showtoast(data.return_msg);
            }
            loading.dismiss();
        });
    };
    AdvisorDetailPage.prototype.onChangeInpting = function (result) {
        this.isContentInputing = result;
    };
    AdvisorDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-advisor-detail',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\entrepreneur\advisor-detail\advisor-detail.html"*/'<!--\n\n  Generated template for the AdvisorDetailPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>导师详情</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <div class="header-bg">\n\n    <img src="assets/imgs/entrepreneur/3.png">\n\n  </div>\n\n\n\n  <div class="content-div" *ngIf="advisorDetail!=null">\n\n    <div class="user-info">\n\n      <div class="left-div">\n\n        <img src="{{img_url+\'/\'+advisorDetail.headImg}}">\n\n      </div>\n\n      <div class="right-div">\n\n        <div class="user-name">{{advisorDetail.name}}</div>\n\n        <div class="company-name">{{advisorDetail.workplace}}</div>\n\n      </div>\n\n    </div>\n\n    <div class="detail-div">\n\n      <div class="title">详细介绍：</div>\n\n      <ion-card-content [innerHTML]=\'sanitizr.bypassSecurityTrustHtml(advisorDetail.description)\'>\n\n      </ion-card-content>\n\n    </div>\n\n    <div class="footer-div" padding *ngIf="!advisorDetail.hasUncheckedApply">\n\n      <button ion-button block color="primary" (click)="showHandle.isShow=true">申请帮助</button>\n\n    </div>\n\n\n\n    <div class="footer-div" padding *ngIf="advisorDetail.hasUncheckedApply">\n\n      <button ion-button block class="backcolor">已申请</button>\n\n    </div>\n\n  </div>\n\n</ion-content>\n\n\n\n\n\n<div [class]="showHandle.isShow?\'success-alert\':\'success-alert hidden\'" class="success-alert">\n\n  <div class="alert-bg" (click)="showHandle.isShow=false"></div>\n\n  <div class="alert-bottom-div" [ngClass]="{\'inputing\': isContentInputing}">\n\n    <div class="title">留言备注</div>\n\n    <div class="body-content">\n\n        <textarea [(ngModel)]="counselContent" placeholder="请输入留言备注" (focus)="onChangeInpting(true)"\n\n                  (blur)="onChangeInpting(false)">\n\n          </textarea>\n\n    </div>\n\n    <div class="footer" padding>\n\n      <button ion-button block color="danger" (click)="onCreateApply()">提交</button>\n\n    </div>\n\n  </div>\n\n</div>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\entrepreneur\advisor-detail\advisor-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["i" /* ThePublicModule */]])
    ], AdvisorDetailPage);
    return AdvisorDetailPage;
}());

//# sourceMappingURL=advisor-detail.js.map

/***/ }),

/***/ 971:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AdvisorDetailPageModule", function() { return AdvisorDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__advisor_detail__ = __webpack_require__(1194);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var AdvisorDetailPageModule = /** @class */ (function () {
    function AdvisorDetailPageModule() {
    }
    AdvisorDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__advisor_detail__["a" /* AdvisorDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__advisor_detail__["a" /* AdvisorDetailPage */]),
            ],
        })
    ], AdvisorDetailPageModule);
    return AdvisorDetailPageModule;
}());

//# sourceMappingURL=advisor-detail.module.js.map

/***/ })

});
//# sourceMappingURL=93.js.map