webpackJsonp([96],{

/***/ 1191:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CounselDetailsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the CounselDetailsPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var CounselDetailsPage = /** @class */ (function () {
    function CounselDetailsPage(navCtrl, navParams, loadingController, toolService, ThePublicModule) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.loadingController = loadingController;
        this.toolService = toolService;
        this.ThePublicModule = ThePublicModule;
        this.counsel = {
            "id": 0,
            "title": '',
            "counselContent": "",
            "counselDatetime": "",
            "counselUserId": 0,
            "counselUserName": "",
            "replyContent": '',
            "replyDatetime": '',
            "replyUserId": '',
            "replyUserName": '',
            "isReply": false,
            "objectId": "",
            "objectName": '',
            "isClosed": false,
            "type": 3
        };
        this.showAlert = {
            isShow: false
        };
        this.image_url = __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["d" /* IMAGEURL */];
        this.counsel.id = navParams.get("id");
        this.isCheck = navParams.get("isCheck");
    }
    CounselDetailsPage.prototype.ionViewDidLoad = function () {
        this.onLoadData();
    };
    CounselDetailsPage.prototype.onLoadData = function () {
        var _this = this;
        var url = '/bsCounselRecord/getCounselRecordById?id=' + this.counsel.id;
        var loading = this.loadingController.create({});
        loading.present();
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.counsel = data.return_data.bsCounselRecord;
            }
            else {
                _this.toolService.showtoast(data.return_msg);
            }
            loading.dismiss();
        });
    };
    CounselDetailsPage.prototype.onReplyCounsel = function () {
        var _this = this;
        if (this.counsel.replyContent == '' || this.counsel.replyContent == null) {
            this.toolService.showtoast('请输入回复内容', "top");
        }
        else {
            var url = 'bsCounselRecord/replyCounselRecord';
            this.counsel.replyUserId = this.ThePublicModule.USER_INFO.userId;
            var loading = this.loadingController.create({});
            loading.present();
            this.toolService.doPost(url, this.counsel, function (data) {
                if (data.return_code == '000000') {
                    _this.showAlert.isShow = true;
                    //提示消失
                    setTimeout(function (showAlert) {
                        _this.onBack();
                    }, 3000, _this.showAlert);
                }
                else {
                    _this.toolService.showtoast(data.return_msg);
                }
                loading.dismiss();
            });
        }
    };
    CounselDetailsPage.prototype.onBack = function () {
        if (this.showAlert.isShow) {
            this.showAlert.isShow = false;
            this.onLoadData();
        }
    };
    CounselDetailsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-counsel-details',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\counsel\counsel-details\counsel-details.html"*/'<!--\n\n  Generated template for the CounselDetailsPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>详情</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <div class="header-div" *ngIf="!isCheck">\n\n    <div class="title">咨询类型--{{counsel.typeStr}}\n\n    </div>\n\n  </div>\n\n  <div class="header-div">\n\n    <div class="title">\n\n      {{counsel.title}}\n\n    </div>\n\n    <div class="release-date" *ngIf="!isCheck">\n\n      咨询单位:{{counsel.counselUserCompanyName}}\n\n    </div>\n\n    <div class="release-commpay">\n\n      联系人:{{counsel.counselUserName}}\n\n    </div>\n\n    <div class="release-commpay">\n\n      联系方式:{{counsel.counselUserPhone}}\n\n    </div>\n\n    <div class="release-date" *ngIf="counsel.type !=\'10\'">\n\n      提交时间:{{counsel.counselDatetime | date:\'yyyy-MM-dd HH:mm:ss\'}}\n\n    </div>\n\n    <div class="release-date" *ngIf="counsel.type ==\'10\'">\n\n      投诉时间:{{counsel.counselDatetime | date:\'yyyy-MM-dd HH:mm:ss\'}}\n\n    </div>\n\n  </div>\n\n  <div class="content-div">\n\n    <div class="title" *ngIf="counsel.type !=\'10\'">需求描述：</div>\n\n    <div class="title" *ngIf="counsel.type ==\'10\'">投诉描述：</div>\n\n    <div class="release-date" style="height: 20px;" *ngIf="counsel.type==\'12\'">\n\n      <div style="width: 45%;float: left;color: #909090;margin-left: 10px;">\n\n        口罩数量:{{counseldata.maskNumber}}个\n\n      </div>\n\n      <div style="width: 45%;float: right;color: #909090;">\n\n        体温枪数量:{{counseldata.temperatureGunNumber}}支\n\n      </div>\n\n    </div>\n\n\n\n    <div class="release-date" style="height: 20px;margin-top: 5px;" *ngIf="counsel.type==\'12\'">\n\n      <div style="width: 45%;float: left;color: #909090;margin-left: 10px;">\n\n        消毒液数量:{{counseldata.disinfectantNumber}}斤\n\n      </div>\n\n      <div style="width: 45%;float: right;color: #909090;">\n\n        酒精数量:{{counseldata.alcoholNumber}}斤\n\n      </div>\n\n    </div>\n\n    <div class="content">\n\n      {{counsel.counselContent}}\n\n    </div>\n\n\n\n    <img *ngIf="counsel.type ==\'10\' && counsel.counselImg!=\'\'" src="{{image_url+counsel.counselImg}}">\n\n  </div>\n\n  <div class="split-line"></div>\n\n  <div class="reply-div" *ngIf="isCheck || counsel.isReply">\n\n    <div class="title">受理信息:\n\n    </div>\n\n    <div class="content">\n\n      <div class="time">\n\n        受理时间:{{counsel.replyDatetime | date:\'yyyy-MM-dd HH:mm:ss\'}}\n\n      </div>\n\n      {{counsel.replyContent}}\n\n    </div>\n\n\n\n    <img class="status-img" *ngIf="!counsel.isReply" src="assets/imgs/feedback/whf.png">\n\n    <img class="status-img" *ngIf="counsel.isReply" src="assets/imgs/feedback/yhf.png">\n\n  </div>\n\n  <div class="reply-div" *ngIf="!isCheck && !counsel.isReply">\n\n    <div class="title" *ngIf="counsel.type==\'10\'">投诉回复\n\n    </div>\n\n    <div class="title" *ngIf="counsel.type==\'12\'">受理回复\n\n    </div>\n\n    <div class="title" *ngIf="counsel.type !=\'12\' && counsel.type !=\'10\'">咨询回复\n\n    </div>\n\n    <div class="content">\n\n            <textarea [(ngModel)]="counsel.replyContent" (focus)="inputing=true" (blur)="inputing=false">\n\n\n\n            </textarea>\n\n    </div>\n\n  </div>\n\n\n\n  <div class="footer" padding *ngIf="!isCheck && !counsel.isReply">\n\n    <button ion-button block color="primary" (click)="onReplyCounsel()">回复</button>\n\n  </div>\n\n</ion-content>\n\n\n\n<div [class]="showAlert.isShow?\'success-alert\':\'success-alert hidden\'" class="success-alert" (click)="onBack()">\n\n  <div class="alert-bg"></div>\n\n  <div class="alert-img-div">\n\n    <img src="assets/imgs/feedback/1.png">\n\n  </div>\n\n</div>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\counsel\counsel-details\counsel-details.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["i" /* ThePublicModule */]])
    ], CounselDetailsPage);
    return CounselDetailsPage;
}());

//# sourceMappingURL=counsel-details.js.map

/***/ }),

/***/ 968:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CounselDetailsPageModule", function() { return CounselDetailsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__counsel_details__ = __webpack_require__(1191);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CounselDetailsPageModule = /** @class */ (function () {
    function CounselDetailsPageModule() {
    }
    CounselDetailsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__counsel_details__["a" /* CounselDetailsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__counsel_details__["a" /* CounselDetailsPage */]),
            ],
        })
    ], CounselDetailsPageModule);
    return CounselDetailsPageModule;
}());

//# sourceMappingURL=counsel-details.module.js.map

/***/ })

});
//# sourceMappingURL=96.js.map