webpackJsonp([97],{

/***/ 1189:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MineconsultationPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__minecounseldetails_minecounseldetails__ = __webpack_require__(529);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the MineconsultationPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var MineconsultationPage = /** @class */ (function () {
    function MineconsultationPage(navCtrl, navParams, toolService, loadingCtrl, thePublicModule, alertController) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolService = toolService;
        this.loadingCtrl = loadingCtrl;
        this.thePublicModule = thePublicModule;
        this.alertController = alertController;
        this.couselList = [];
        this.numrecord = 1;
        // 每页展示的记录条数
        this.pageSize = 10;
        this.selectminecounsel();
        this.selectsounselDictionary();
    }
    MineconsultationPage.prototype.ionViewDidLoad = function () {
    };
    /**
     * 查询咨询类型
     */
    MineconsultationPage.prototype.selectsounselDictionary = function () {
        var _this = this;
        var url = 'baseDictionary/getDictionaryByCodeType?codeType=BS_COUNSEL_RECORD_TYPE&pageNum=1&pageSize=999';
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data != '') {
                _this.sounseldata = [
                    { title: '咨询类型', 'content': data.return_data }
                ];
            }
        });
    };
    /**
     * 查询我的咨询
     */
    MineconsultationPage.prototype.selectminecounsel = function () {
        var _this = this;
        var loading = this.loadingCtrl.create();
        loading.present();
        var url = 'bsCounselRecord/findMyCounselList?pageNum=1&pageSize=10';
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.couselList = data.return_data["list"];
                _this.dataLength = data.return_data['total'];
                _this.pageLength = data.return_data['pages'];
                loading.dismiss();
            }
            else {
                loading.dismiss();
                _this.toolService.showtoast(data.return_msg);
            }
        }, function (error) {
            loading.dismiss();
        });
    };
    /**
     * 选择
     */
    MineconsultationPage.prototype.changelabel = function (item) {
        this.minecounselid = item.codeValue;
        this.minesounselname = item.codeName;
    };
    /**
     * 跳转详情
     * @param id
     */
    MineconsultationPage.prototype.onSkipToDetail = function (id) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__minecounseldetails_minecounseldetails__["a" /* MinecounseldetailsPage */], { detailsid: id });
    };
    /**
     * 重置
     */
    MineconsultationPage.prototype.closevalue = function () {
        this.minecounselid = '';
        this.minesounselname = '';
        var screeningitem = document.getElementById("screening");
        screeningitem.style.display = 'none';
        this.selectminecounsel();
    };
    /**
     * 打开
     */
    MineconsultationPage.prototype.openscreening = function () {
        var screeningitem = document.getElementById("screening");
        screeningitem.style.display = 'block';
    };
    /**
     * 判断是否有数据
     */
    MineconsultationPage.prototype.judgenulldata = function (searchjudg) {
        if (searchjudg.value.length == 0) {
            this.selectminecounsel();
        }
    };
    /**
     * 关闭筛选
     */
    MineconsultationPage.prototype.closescreening = function (item) {
        var _this = this;
        var screeningitem = document.getElementById("screening");
        if (item == 1) {
            this.minecounselid = '';
            screeningitem.style.display = 'none';
        }
        else {
            var loading_1 = this.loadingCtrl.create();
            loading_1.present();
            var url = 'bsCounselRecord/findMyCounselList?type=' + this.minecounselid + '&pageNum=1&pageSize=10';
            this.toolService.doGet(url, function (data) {
                if (data.return_code == '000000' && data.return_data.list != '') {
                    _this.couselList = data.return_data.list;
                    _this.dataLength = data.return_data['total'];
                    // 消息记录数组最大页面赋值
                    _this.pageLength = data.return_data['pages'];
                    loading_1.dismiss();
                    _this.numrecord = 1;
                    screeningitem.style.display = 'none';
                }
                else {
                    loading_1.dismiss();
                    _this.toolService.showtoast("没查到数据");
                }
            }, function (error) {
                loading_1.dismiss();
            });
        }
    };
    /**
     * 根据条件查询
     */
    MineconsultationPage.prototype.searpolicys = function (polisear) {
        var _this = this;
        var loading = this.loadingCtrl.create({});
        loading.present();
        var url = 'bsCounselRecord/findMyCounselList?title=' + polisear.value + '&pageNum=1&pageSize=10';
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                loading.dismiss();
                _this.couselList = data.return_data.list;
                _this.dataLength = data.return_data['total'];
                // 消息记录数组最大页面赋值
                _this.pageLength = data.return_data['pages'];
                _this.numrecord = 1;
            }
            else {
                loading.dismiss();
                _this.toolService.showtoast("没查到数据");
            }
        }, function (error) {
            loading.dismiss();
        });
    };
    /**
     *下拉刷新界面
     */
    MineconsultationPage.prototype.doRefresh = function (refresher) {
        //动态切换
        setTimeout(function () {
            refresher.complete();
        }, 2000);
    };
    MineconsultationPage.prototype.onDeleteCounsel = function (id) {
        var _this = this;
        var confirm = this.alertController.create({
            title: '确认删除?',
            message: '您确认删除该意见反馈?',
            buttons: [
                {
                    text: '取消',
                    handler: function () {
                    }
                },
                {
                    text: '确认',
                    handler: function () {
                        var url = 'bsCounselRecord/deleteCounselRecord?id=' + id;
                        var loading = _this.loadingCtrl.create({});
                        loading.present();
                        _this.toolService.doGet(url, function (data) {
                            if (data.return_code == '000000') {
                                _this.selectminecounsel();
                            }
                            else {
                                _this.toolService.showtoast(data.return_msg);
                            }
                            loading.dismiss();
                        });
                    }
                }
            ]
        });
        confirm.present();
    };
    /**
     * 上滑加载更多
     */
    MineconsultationPage.prototype.minInfinite = function (infiniteScroll, content) {
        var _this = this;
        setTimeout(function () {
            // 加载完成关闭刷新
            infiniteScroll.complete();
            // 判读数据超过十条启动刷新
            if (_this.dataLength > _this.pageSize) {
                // setTimeout(() => {
                //增加index
                _this.numrecord++;
                // 判断刷新分页页码大小
                if (_this.numrecord > _this.pageLength) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    infiniteScroll.enable(false);
                    //toast提示
                    _this.toolService.showtoast("已加载所有");
                }
                else {
                    var url = 'bsCounselRecord/findMyCounselList?title=' + content.value + '&type=' + _this.minecounselid + '&pageNum=' + _this.numrecord + '&pageSize=' + _this.pageSize;
                    _this.toolService.doGet(url, function (data) {
                        if (data.return_code == '000000') {
                            // 加载完成关闭刷新
                            infiniteScroll.complete();
                            // 循环插入数据数组
                            for (var i = 0; i < data.return_data['list'].length; i++) {
                                _this.couselList.push(data.return_data['list'][i]);
                            }
                        }
                    });
                }
                // }, 2000);
            }
            else {
                // 加载全部数据禁用刷新
                // infiniteScroll.enable(false);
                _this.toolService.showtoast("已加载所有");
            }
        }, 2000);
    };
    MineconsultationPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-mineconsultation',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\counsel-service\mineconsultation\mineconsultation.html"*/'<!--\n\n  Generated template for the MineconsultationPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header no-border="">\n\n  <ion-navbar>\n\n    <ion-title>我的咨询</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n\n\n  <div style="width: 90%;margin-top: 15px;margin-left: 5%;height: 50px">\n\n    <ion-searchbar style="width: 65%;float: left;" #searchvalue\n\n                   placeholder="请输入想搜索的咨询" (ionChange)="judgenulldata(searchvalue)"></ion-searchbar>\n\n    <div class="search_div">\n\n      <button ion-button block class="search_div_btn"\n\n              (click)="searpolicys(searchvalue)">搜索\n\n      </button>\n\n    </div>\n\n    <div class="screening_div">\n\n      <button ion-button block class="screening_div_btn"\n\n              (click)="openscreening()">筛选<img style="width: 12px;" src="assets/imgs/screening.png">\n\n      </button>\n\n    </div>\n\n  </div>\n\n\n\n  <img *ngIf="couselList == null" style="width: 60%;margin-left: 20%;" src="assets/imgs/nulldata.png">\n\n  <ion-card *ngFor="let item of couselList">\n\n    <ion-card-header (click)="onSkipToDetail(item.id)">\n\n      {{item.title}}\n\n      <img class="status-img" src="assets/imgs/feedback/wcl.png" *ngIf="!item.isReply">\n\n      <img class="status-img" src="assets/imgs/feedback/ycl.png" *ngIf="item.isReply">\n\n    </ion-card-header>\n\n    <ion-card-content (click)="onSkipToDetail(item.id)">\n\n      <div class="content">\n\n        {{item.counselContent}}\n\n      </div>\n\n    </ion-card-content>\n\n    <ion-row class="footer-div">\n\n      <ion-col>\n\n        <ion-note class="time">\n\n          咨询时间： {{item.counselDatetime | date:\'yyyy-MM-dd HH:mm:ss\'}}\n\n        </ion-note>\n\n        <span class="pull-right delete-btn" (click)="onDeleteCounsel(item.id)">\n\n  <ion-icon name="ios-trash-outline"></ion-icon> 删除\n\n  </span>\n\n      </ion-col>\n\n    </ion-row>\n\n  </ion-card>\n\n  <ion-infinite-scroll (ionInfinite)="minInfinite($event,searchvalue)">\n\n    <ion-infinite-scroll-content\n\n      loadingSpinner="bubbles">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>\n\n\n\n<div style="width: 100%;position: absolute;height: 100%;z-index: 9999999;display: none;" id="screening">\n\n  <div style="width: 100%;height: 100%;z-index: 999999999;opacity: 0.5;background-color: #7F7F7F;"></div>\n\n  <div style="width: 100%;position: absolute;background-color:white;z-index: 9999999;border-radius: 15px 15px 0 0;\n\n    bottom: 0px;height: 60%;overflow: auto;box-shadow: 1px -1px 12px #666;">\n\n    <div style="width: 100%;height: 35px;position: fixed;background-color: white;border-radius: 15px 15px 0 0;">\n\n      <div style="width: 60%;float: left;height: 35px;color: #7F7F7F;padding-left: 20px;padding-top: 8px;">筛选全部</div>\n\n      <div style="width: 40%;float: right;height: 35px;text-align: right;padding-top: 8px;padding-right: 20px;">\n\n        <img style="width: 20px;height: 20px;" src="assets/imgs/cancel.png" (click)="closescreening(1)">\n\n      </div>\n\n    </div>\n\n    <div style="width: 100%;height: 1px;background-color: #F6F6F6;margin-top: 35px;"></div>\n\n    <div style="width: 100%;margin-bottom: 50px;">\n\n      <div style="width: 100%;" *ngFor="let sous of sounseldata">\n\n        <div style="width: 100%;font-size: 13px;color: #A5A5A5;padding-left: 20px;margin-top: 10px">{{sous.title}}\n\n        </div>\n\n        <div class="categories">\n\n          <ion-grid>\n\n            <ion-row wrap style="margin-left: 20px;margin-right: 20px;margin-bottom: 10px;">\n\n              <ion-col text-center tappable col-4="" *ngFor="let cols of sous.content"\n\n                       [class]="cols.codeName==minesounselname?\'active\':\'\'"\n\n                       (click)="changelabel(cols)">\n\n                {{cols.codeName}}\n\n              </ion-col>\n\n            </ion-row>\n\n          </ion-grid>\n\n        </div>\n\n      </div>\n\n      <div style="width: 100%;height: 56px;position: fixed;bottom: 0px;background-color: white;">\n\n        <button ion-button\n\n                style=" font-size: 1.1em;height: 30px;width: 40%;background-color: #7F7F7F;color: white;float: left;margin-left: 5%;margin-top: 13px;"\n\n                (click)="closevalue()">重置\n\n        </button>\n\n        <button ion-button\n\n                style="margin-right: 5%;margin-top: 13px;font-size: 1.1em;height: 30px;width: 40%;background-color: red;color: white;float: right;"\n\n                (click)="closescreening(2)">确定\n\n        </button>\n\n      </div>\n\n    </div>\n\n  </div>\n\n</div>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\counsel-service\mineconsultation\mineconsultation.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["i" /* ThePublicModule */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"]])
    ], MineconsultationPage);
    return MineconsultationPage;
}());

//# sourceMappingURL=mineconsultation.js.map

/***/ }),

/***/ 965:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "MineconsultationPageModule", function() { return MineconsultationPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__mineconsultation__ = __webpack_require__(1189);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var MineconsultationPageModule = /** @class */ (function () {
    function MineconsultationPageModule() {
    }
    MineconsultationPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__mineconsultation__["a" /* MineconsultationPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__mineconsultation__["a" /* MineconsultationPage */]),
            ],
        })
    ], MineconsultationPageModule);
    return MineconsultationPageModule;
}());

//# sourceMappingURL=mineconsultation.module.js.map

/***/ })

});
//# sourceMappingURL=97.js.map