webpackJsonp([98],{

/***/ 1188:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CounselServiceReleasePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
 * Generated class for the CounselServiceReleasePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var CounselServiceReleasePage = /** @class */ (function () {
    function CounselServiceReleasePage(navCtrl, navParams, toolService, loadingController) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolService = toolService;
        this.loadingController = loadingController;
        //标题
        this.couseltitle = '';
        //内容
        this.couselcounselContent = '';
        this.showAlert = {
            isShow: false
        };
        this.showHandle = {
            isShow: false
        };
        this.counid = this.navParams.get('conselid');
        this.countype = this.navParams.get('conseltype');
        if (this.countype == 2 || this.countype == 1) {
            this.couseltitle = '关于#' + this.navParams.get('sonselName') + '#的咨询';
        }
    }
    CounselServiceReleasePage.prototype.ionViewDidLoad = function () {
    };
    CounselServiceReleasePage.prototype.onSendQus = function () {
        var _this = this;
        if (this.couseltitle == "") {
            this.toolService.showtoast('请输入咨询标题');
        }
        else if (this.couselcounselContent == "") {
            this.toolService.showtoast('请输入咨询内容');
        }
        else {
            var url = 'bsCounselRecord/addCounselRecord';
            var loading = this.loadingController.create({});
            loading.present();
            var data = {
                "counselContent": this.couselcounselContent,
                "objectId": this.counid,
                "title": this.couseltitle,
                "type": this.countype,
                "hideName": false
            };
            this.toolService.doPost(url, data, function (data) {
                if (data.return_code == '000000') {
                    loading.dismiss();
                    //显示呈报
                    _this.showAlert.isShow = true;
                    _this.showHandle.isShow = false;
                    //提示消失
                    setTimeout(function (showAlert) {
                        _this.navCtrl.pop();
                    }, 1000, _this.showAlert);
                }
                else {
                    loading.dismiss();
                    _this.toolService.showtoast(data.return_msg);
                }
            }, function (error) {
                loading.dismiss();
            });
        }
    };
    CounselServiceReleasePage.prototype.onGoBack = function () {
        if (this.showAlert.isShow) {
            this.showAlert.isShow = false;
        }
    };
    CounselServiceReleasePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-counsel-service-release',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\counsel-service\counsel-service-release\counsel-service-release.html"*/'<!--\n\n  Generated template for the CounselServiceReleasePage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>咨询填报</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <!--<div class="alert-bg" (click)="showHandle.isShow=false"></div>-->\n\n  <!--<div class="alert-bottom-div" [ngClass]="{\'inputing\': isContentInputing}">-->\n\n  <!--<div class="title">服务咨询</div>-->\n\n  <div class="title-content">\n\n    <input type="text" [(ngModel)]="couseltitle" placeholder="请输入咨询标题">\n\n  </div>\n\n  <div class="body-content">\n\n  <textarea [(ngModel)]="couselcounselContent" placeholder="请输入咨询详情" >\n\n  </textarea>\n\n  </div>\n\n  <div style="padding: 50px 20px 0px 20px;">\n\n    <button ion-button block color="danger" (click)="onSendQus()">提交</button>\n\n  </div>\n\n  <!--</div>-->\n\n</ion-content>\n\n<div [class]="showAlert.isShow?\'success-alert\':\'success-alert hidden\'" class="success-alert" (click)="onGoBack()">\n\n  <div class="alert-bg"></div>\n\n  <div class="alert-img-div">\n\n    <img src="assets/imgs/OA/success-alert.png">\n\n  </div>\n\n</div>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\counsel-service\counsel-service-release\counsel-service-release.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"]])
    ], CounselServiceReleasePage);
    return CounselServiceReleasePage;
}());

//# sourceMappingURL=counsel-service-release.js.map

/***/ }),

/***/ 964:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CounselServiceReleasePageModule", function() { return CounselServiceReleasePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__counsel_service_release__ = __webpack_require__(1188);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CounselServiceReleasePageModule = /** @class */ (function () {
    function CounselServiceReleasePageModule() {
    }
    CounselServiceReleasePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__counsel_service_release__["a" /* CounselServiceReleasePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__counsel_service_release__["a" /* CounselServiceReleasePage */]),
            ],
        })
    ], CounselServiceReleasePageModule);
    return CounselServiceReleasePageModule;
}());

//# sourceMappingURL=counsel-service-release.module.js.map

/***/ })

});
//# sourceMappingURL=98.js.map