webpackJsonp([99],{

/***/ 1187:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CounselServiceIndexPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the CounselServiceIndexPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var CounselServiceIndexPage = /** @class */ (function () {
    function CounselServiceIndexPage(toolService, navCtrl, navParams, loadingCtrl, viewCtrl, alertCtl, thePublicModule) {
        this.toolService = toolService;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.loadingCtrl = loadingCtrl;
        this.viewCtrl = viewCtrl;
        this.alertCtl = alertCtl;
        this.thePublicModule = thePublicModule;
        this.searchStr = '';
        this.counselList = [];
        //活动查询参数
        this.queryArgs = {
            pageNum: 1,
            pageSize: 15,
            dataLength: 0,
            pageLength: 0,
            actionUrl: 'bsCounselRecord/getCounselRecord?type=6&pageNum={pageNum}&pageSize={pageSize}&title={title}&objectId={objectId}'
        };
    }
    CounselServiceIndexPage.prototype.ionViewDidLoad = function () {
        this.onLoadData();
    };
    CounselServiceIndexPage.prototype.onLoadData = function () {
        var _this = this;
        var url = this.toolService.stringFormat(this.queryArgs.actionUrl, { pageNum: this.queryArgs.pageNum, pageSize: this.queryArgs.pageSize, title: this.searchStr, objectId: this.thePublicModule.COMPANY.id });
        var loading = this.loadingCtrl.create();
        loading.present();
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000') {
                _this.counselList = data.return_data["list"];
                _this.queryArgs.dataLength = data.return_data['total'];
                _this.queryArgs.pageLength = data.return_data['pages'];
            }
            else {
                _this.toolService.showtoast(data.return_msg);
            }
            loading.dismiss();
        });
    };
    CounselServiceIndexPage.prototype.onSearch = function (searchInput) {
        this.searchStr = searchInput.target.value.trim();
        this.onLoadData();
    };
    /**
   *下拉刷新界面
   */
    CounselServiceIndexPage.prototype.doRefresh = function (refresher) {
        this.onLoadData();
        //动态切换
        setTimeout(function () {
            refresher.complete();
            //toast提示
            // this.toolService.showtoast("加载成功!");
        }, 2000);
    };
    CounselServiceIndexPage.prototype.minInfinite = function (infiniteScroll) {
        var _this = this;
        var url = this.toolService.stringFormat(this.queryArgs.actionUrl, { pageNum: this.queryArgs.pageNum, pageSize: this.queryArgs.pageSize });
        // 判读数据超过十条启动刷新
        if (this.queryArgs.dataLength > this.queryArgs.pageSize) {
            setTimeout(function () {
                // 加载完成关闭刷新
                infiniteScroll.complete();
                //增加index
                _this.queryArgs.pageNum++;
                _this.toolService.doGet(url, function (data) {
                    // 循环插入数据数组
                    for (var i = 0; i < data.return_data['list'].length; i++) {
                        _this.counselList.push(data.return_data['list'][i]);
                    }
                });
                // 判断刷新分页页码大小
                if (_this.queryArgs.pageNum >= _this.queryArgs.pageLength) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    infiniteScroll.enable(false);
                    //toast提示
                    _this.toolService.showtoast("已加载所有");
                }
            }, 2000);
        }
        else {
            // 加载全部数据禁用刷新
            infiniteScroll.enable(false);
            this.toolService.showtoast("已加载所有");
        }
    };
    CounselServiceIndexPage.prototype.onSkipToDetail = function (id) {
        this.navCtrl.push("CounselDetailsPage", { id: id, isCheck: false });
    };
    CounselServiceIndexPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-counsel-service-index',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\counsel-service\counsel-service-index\counsel-service-index.html"*/'<!--\n\n  Generated template for the CounselServiceIndexPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>服务咨询</ion-title>\n\n  </ion-navbar>\n\n  <ion-toolbar color="primary">\n\n      <ion-searchbar (input)="onSearch($event)"  placeholder="搜索.." ></ion-searchbar>\n\n    </ion-toolbar>\n\n</ion-header>\n\n\n\n<ion-content >\n\n    <ion-refresher (ionRefresh)="doRefresh($event)">\n\n        <ion-refresher-content pullingText="下拉刷新" refreshingSpinner="bubbles" refreshingText="加载中...">\n\n        </ion-refresher-content>\n\n      </ion-refresher>\n\n      <ion-card *ngFor="let item of counselList">\n\n        <ion-card-header  (click)="onSkipToDetail(item.id)">\n\n          {{item.title}}\n\n\n\n          <img class="status-img" src="assets/imgs/feedback/wcl.png" *ngIf="!item.isReply">\n\n          <img class="status-img" src="assets/imgs/feedback/ycl.png" *ngIf="item.isReply">\n\n        </ion-card-header>\n\n        <ion-card-content  (click)="onSkipToDetail(item.id)">\n\n          <div class="content">\n\n              {{item.counselContent}}\n\n          </div>\n\n          <div class="company" *ngIf="!item.isAnonymity">\n\n              发布单位：{{item.counselUserName}}\n\n            </div>\n\n        </ion-card-content>\n\n        <ion-row class="footer-div">\n\n            <ion-col text-right>\n\n              <ion-note class="time">\n\n                  发布时间： {{item.counselDatetime | date:\'yyyy-MM-dd  HH:mm:ss\'}}\n\n              </ion-note>\n\n            </ion-col>\n\n          </ion-row>\n\n        </ion-card>\n\n\n\n      <ion-infinite-scroll (ionInfinite)="minInfinite($event)">\n\n        <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="加载中...">\n\n        </ion-infinite-scroll-content>\n\n      </ion-infinite-scroll>\n\n</ion-content>\n\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\counsel-service\counsel-service-index\counsel-service-index.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_global__["i" /* ThePublicModule */]])
    ], CounselServiceIndexPage);
    return CounselServiceIndexPage;
}());

//# sourceMappingURL=counsel-service-index.js.map

/***/ }),

/***/ 963:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CounselServiceIndexPageModule", function() { return CounselServiceIndexPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__counsel_service_index__ = __webpack_require__(1187);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CounselServiceIndexPageModule = /** @class */ (function () {
    function CounselServiceIndexPageModule() {
    }
    CounselServiceIndexPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__counsel_service_index__["a" /* CounselServiceIndexPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__counsel_service_index__["a" /* CounselServiceIndexPage */]),
            ],
        })
    ], CounselServiceIndexPageModule);
    return CounselServiceIndexPageModule;
}());

//# sourceMappingURL=counsel-service-index.module.js.map

/***/ })

});
//# sourceMappingURL=99.js.map